/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ 18458:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ createCache)
/* harmony export */ });
/* harmony import */ var _emotion_sheet__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(39532);
/* harmony import */ var stylis__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(79241);
/* harmony import */ var stylis__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(41448);
/* harmony import */ var stylis__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(73755);
/* harmony import */ var stylis__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(91758);
/* harmony import */ var stylis__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(51714);
/* harmony import */ var stylis__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(31721);





var identifierWithPointTracking = function identifierWithPointTracking(begin, points, index) {
  var previous = 0;
  var character = 0;

  while (true) {
    previous = character;
    character = (0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .peek */ .se)(); // &\f

    if (previous === 38 && character === 12) {
      points[index] = 1;
    }

    if ((0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .token */ .Sh)(character)) {
      break;
    }

    (0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .next */ .K2)();
  }

  return (0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .slice */ .di)(begin, stylis__WEBPACK_IMPORTED_MODULE_0__/* .position */ .G1);
};

var toRules = function toRules(parsed, points) {
  // pretend we've started with a comma
  var index = -1;
  var character = 44;

  do {
    switch ((0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .token */ .Sh)(character)) {
      case 0:
        // &\f
        if (character === 38 && (0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .peek */ .se)() === 12) {
          // this is not 100% correct, we don't account for literal sequences here - like for example quoted strings
          // stylis inserts \f after & to know when & where it should replace this sequence with the context selector
          // and when it should just concatenate the outer and inner selectors
          // it's very unlikely for this sequence to actually appear in a different context, so we just leverage this fact here
          points[index] = 1;
        }

        parsed[index] += identifierWithPointTracking(stylis__WEBPACK_IMPORTED_MODULE_0__/* .position */ .G1 - 1, points, index);
        break;

      case 2:
        parsed[index] += (0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .delimit */ .Tb)(character);
        break;

      case 4:
        // comma
        if (character === 44) {
          // colon
          parsed[++index] = (0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .peek */ .se)() === 58 ? '&\f' : '';
          points[index] = parsed[index].length;
          break;
        }

      // fallthrough

      default:
        parsed[index] += (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .from */ .HT)(character);
    }
  } while (character = (0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .next */ .K2)());

  return parsed;
};

var getRules = function getRules(value, points) {
  return (0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .dealloc */ .VF)(toRules((0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .alloc */ .c4)(value), points));
}; // WeakSet would be more appropriate, but only WeakMap is supported in IE11


var fixedElements = /* #__PURE__ */new WeakMap();
var compat = function compat(element) {
  if (element.type !== 'rule' || !element.parent || // positive .length indicates that this rule contains pseudo
  // negative .length indicates that this rule has been already prefixed
  element.length < 1) {
    return;
  }

  var value = element.value,
      parent = element.parent;
  var isImplicitRule = element.column === parent.column && element.line === parent.line;

  while (parent.type !== 'rule') {
    parent = parent.parent;
    if (!parent) return;
  } // short-circuit for the simplest case


  if (element.props.length === 1 && value.charCodeAt(0) !== 58
  /* colon */
  && !fixedElements.get(parent)) {
    return;
  } // if this is an implicitly inserted rule (the one eagerly inserted at the each new nested level)
  // then the props has already been manipulated beforehand as they that array is shared between it and its "rule parent"


  if (isImplicitRule) {
    return;
  }

  fixedElements.set(element, true);
  var points = [];
  var rules = getRules(value, points);
  var parentRules = parent.props;

  for (var i = 0, k = 0; i < rules.length; i++) {
    for (var j = 0; j < parentRules.length; j++, k++) {
      element.props[k] = points[i] ? rules[i].replace(/&\f/g, parentRules[j]) : parentRules[j] + " " + rules[i];
    }
  }
};
var removeLabel = function removeLabel(element) {
  if (element.type === 'decl') {
    var value = element.value;

    if ( // charcode for l
    value.charCodeAt(0) === 108 && // charcode for b
    value.charCodeAt(2) === 98) {
      // this ignores label
      element["return"] = '';
      element.value = '';
    }
  }
};
var ignoreFlag = 'emotion-disable-server-rendering-unsafe-selector-warning-please-do-not-use-this-the-warning-exists-for-a-reason';

var isIgnoringComment = function isIgnoringComment(element) {
  return element.type === 'comm' && element.children.indexOf(ignoreFlag) > -1;
};

var createUnsafeSelectorsAlarm = function createUnsafeSelectorsAlarm(cache) {
  return function (element, index, children) {
    if (element.type !== 'rule' || cache.compat) return;
    var unsafePseudoClasses = element.value.match(/(:first|:nth|:nth-last)-child/g);

    if (unsafePseudoClasses) {
      var isNested = !!element.parent; // in nested rules comments become children of the "auto-inserted" rule and that's always the `element.parent`
      //
      // considering this input:
      // .a {
      //   .b /* comm */ {}
      //   color: hotpink;
      // }
      // we get output corresponding to this:
      // .a {
      //   & {
      //     /* comm */
      //     color: hotpink;
      //   }
      //   .b {}
      // }

      var commentContainer = isNested ? element.parent.children : // global rule at the root level
      children;

      for (var i = commentContainer.length - 1; i >= 0; i--) {
        var node = commentContainer[i];

        if (node.line < element.line) {
          break;
        } // it is quite weird but comments are *usually* put at `column: element.column - 1`
        // so we seek *from the end* for the node that is earlier than the rule's `element` and check that
        // this will also match inputs like this:
        // .a {
        //   /* comm */
        //   .b {}
        // }
        //
        // but that is fine
        //
        // it would be the easiest to change the placement of the comment to be the first child of the rule:
        // .a {
        //   .b { /* comm */ }
        // }
        // with such inputs we wouldn't have to search for the comment at all
        // TODO: consider changing this comment placement in the next major version


        if (node.column < element.column) {
          if (isIgnoringComment(node)) {
            return;
          }

          break;
        }
      }

      unsafePseudoClasses.forEach(function (unsafePseudoClass) {
        console.error("The pseudo class \"" + unsafePseudoClass + "\" is potentially unsafe when doing server-side rendering. Try changing it to \"" + unsafePseudoClass.split('-child')[0] + "-of-type\".");
      });
    }
  };
};

var isImportRule = function isImportRule(element) {
  return element.type.charCodeAt(1) === 105 && element.type.charCodeAt(0) === 64;
};

var isPrependedWithRegularRules = function isPrependedWithRegularRules(index, children) {
  for (var i = index - 1; i >= 0; i--) {
    if (!isImportRule(children[i])) {
      return true;
    }
  }

  return false;
}; // use this to remove incorrect elements from further processing
// so they don't get handed to the `sheet` (or anything else)
// as that could potentially lead to additional logs which in turn could be overhelming to the user


var nullifyElement = function nullifyElement(element) {
  element.type = '';
  element.value = '';
  element["return"] = '';
  element.children = '';
  element.props = '';
};

var incorrectImportAlarm = function incorrectImportAlarm(element, index, children) {
  if (!isImportRule(element)) {
    return;
  }

  if (element.parent) {
    console.error("`@import` rules can't be nested inside other rules. Please move it to the top level and put it before regular rules. Keep in mind that they can only be used within global styles.");
    nullifyElement(element);
  } else if (isPrependedWithRegularRules(index, children)) {
    console.error("`@import` rules can't be after other rules. Please put your `@import` rules before your other rules.");
    nullifyElement(element);
  }
};

/* eslint-disable no-fallthrough */

function prefix(value, length) {
  switch ((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .hash */ .tW)(value, length)) {
    // color-adjust
    case 5103:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + 'print-' + value + value;
    // animation, animation-(delay|direction|duration|fill-mode|iteration-count|name|play-state|timing-function)

    case 5737:
    case 4201:
    case 3177:
    case 3433:
    case 1641:
    case 4457:
    case 2921: // text-decoration, filter, clip-path, backface-visibility, column, box-decoration-break

    case 5572:
    case 6356:
    case 5844:
    case 3191:
    case 6645:
    case 3005: // mask, mask-image, mask-(mode|clip|size), mask-(repeat|origin), mask-position, mask-composite,

    case 6391:
    case 5879:
    case 5623:
    case 6135:
    case 4599:
    case 4855: // background-clip, columns, column-(count|fill|gap|rule|rule-color|rule-style|rule-width|span|width)

    case 4215:
    case 6389:
    case 5109:
    case 5365:
    case 5621:
    case 3829:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + value;
    // appearance, user-select, transform, hyphens, text-size-adjust

    case 5349:
    case 4246:
    case 4810:
    case 6968:
    case 2756:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__/* .MOZ */ .vd + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + value + value;
    // flex, flex-direction

    case 6828:
    case 4268:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + value + value;
    // order

    case 6165:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + 'flex-' + value + value;
    // align-items

    case 5187:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /(\w+).+(:[^]+)/, stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + 'box-$1$2' + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + 'flex-$1$2') + value;
    // align-self

    case 5443:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + 'flex-item-' + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /flex-|-self/, '') + value;
    // align-content

    case 4675:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + 'flex-line-pack' + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /align-content|flex-|-self/, '') + value;
    // flex-shrink

    case 5548:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, 'shrink', 'negative') + value;
    // flex-basis

    case 5292:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, 'basis', 'preferred-size') + value;
    // flex-grow

    case 6060:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + 'box-' + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, '-grow', '') + stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, 'grow', 'positive') + value;
    // transition

    case 4554:
      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /([^-])(transform)/g, '$1' + stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + '$2') + value;
    // cursor

    case 6187:
      return (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /(zoom-|grab)/, stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + '$1'), /(image-set)/, stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + '$1'), value, '') + value;
    // background, background-image

    case 5495:
    case 3959:
      return (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /(image-set\([^]*)/, stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + '$1' + '$`$1');
    // justify-content

    case 4968:
      return (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /(.+:)(flex-)?(.*)/, stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + 'box-pack:$3' + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + 'flex-pack:$3'), /s.+-b[^;]+/, 'justify') + stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + value;
    // (margin|padding)-inline-(start|end)

    case 4095:
    case 3583:
    case 4068:
    case 2532:
      return (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /(.+)-inline(.+)/, stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + '$1$2') + value;
    // (min|max)?(width|height|inline-size|block-size)

    case 8116:
    case 7059:
    case 5753:
    case 5535:
    case 5445:
    case 5701:
    case 4933:
    case 4677:
    case 5533:
    case 5789:
    case 5021:
    case 4765:
      // stretch, max-content, min-content, fill-available
      if ((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .strlen */ .b2)(value) - 1 - length > 6) switch ((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .charat */ .wN)(value, length + 1)) {
        // (m)ax-content, (m)in-content
        case 109:
          // -
          if ((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .charat */ .wN)(value, length + 4) !== 45) break;
        // (f)ill-available, (f)it-content

        case 102:
          return (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /(.+:)(.+)-([^]+)/, '$1' + stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + '$2-$3' + '$1' + stylis__WEBPACK_IMPORTED_MODULE_2__/* .MOZ */ .vd + ((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .charat */ .wN)(value, length + 3) == 108 ? '$3' : '$2-$3')) + value;
        // (s)tretch

        case 115:
          return ~(0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .indexof */ .K5)(value, 'stretch') ? prefix((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, 'stretch', 'fill-available'), length) + value : value;
      }
      break;
    // position: sticky

    case 4949:
      // (s)ticky?
      if ((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .charat */ .wN)(value, length + 1) !== 115) break;
    // display: (flex|inline-flex)

    case 6444:
      switch ((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .charat */ .wN)(value, (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .strlen */ .b2)(value) - 3 - (~(0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .indexof */ .K5)(value, '!important') && 10))) {
        // stic(k)y
        case 107:
          return (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, ':', ':' + stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j) + value;
        // (inline-)?fl(e)x

        case 101:
          return (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /(.+:)([^;!]+)(;|!.+)?/, '$1' + stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + ((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .charat */ .wN)(value, 14) === 45 ? 'inline-' : '') + 'box$3' + '$1' + stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + '$2$3' + '$1' + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + '$2box$3') + value;
      }

      break;
    // writing-mode

    case 5936:
      switch ((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .charat */ .wN)(value, length + 11)) {
        // vertical-l(r)
        case 114:
          return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /[svh]\w+-[tblr]{2}/, 'tb') + value;
        // vertical-r(l)

        case 108:
          return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /[svh]\w+-[tblr]{2}/, 'tb-rl') + value;
        // horizontal(-)tb

        case 45:
          return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /[svh]\w+-[tblr]{2}/, 'lr') + value;
      }

      return stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + value + stylis__WEBPACK_IMPORTED_MODULE_2__.MS + value + value;
  }

  return value;
}

var prefixer = function prefixer(element, index, children, callback) {
  if (element.length > -1) if (!element["return"]) switch (element.type) {
    case stylis__WEBPACK_IMPORTED_MODULE_2__/* .DECLARATION */ .LU:
      element["return"] = prefix(element.value, element.length);
      break;

    case stylis__WEBPACK_IMPORTED_MODULE_2__/* .KEYFRAMES */ .Sv:
      return (0,stylis__WEBPACK_IMPORTED_MODULE_3__/* .serialize */ .l)([(0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .copy */ .C)(element, {
        value: (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(element.value, '@', '@' + stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j)
      })], callback);

    case stylis__WEBPACK_IMPORTED_MODULE_2__/* .RULESET */ .XZ:
      if (element.length) return (0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .combine */ .kg)(element.props, function (value) {
        switch ((0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .match */ .YW)(value, /(::plac\w+|:read-\w+)/)) {
          // :read-(only|write)
          case ':read-only':
          case ':read-write':
            return (0,stylis__WEBPACK_IMPORTED_MODULE_3__/* .serialize */ .l)([(0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .copy */ .C)(element, {
              props: [(0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /:(read-\w+)/, ':' + stylis__WEBPACK_IMPORTED_MODULE_2__/* .MOZ */ .vd + '$1')]
            })], callback);
          // :placeholder

          case '::placeholder':
            return (0,stylis__WEBPACK_IMPORTED_MODULE_3__/* .serialize */ .l)([(0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .copy */ .C)(element, {
              props: [(0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /:(plac\w+)/, ':' + stylis__WEBPACK_IMPORTED_MODULE_2__/* .WEBKIT */ .j + 'input-$1')]
            }), (0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .copy */ .C)(element, {
              props: [(0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /:(plac\w+)/, ':' + stylis__WEBPACK_IMPORTED_MODULE_2__/* .MOZ */ .vd + '$1')]
            }), (0,stylis__WEBPACK_IMPORTED_MODULE_0__/* .copy */ .C)(element, {
              props: [(0,stylis__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(value, /:(plac\w+)/, stylis__WEBPACK_IMPORTED_MODULE_2__.MS + 'input-$1')]
            })], callback);
        }

        return '';
      });
  }
};

var defaultStylisPlugins = [prefixer];

var createCache = function createCache(options) {
  var key = options.key;

  if (false) {}

  if (key === 'css') {
    var ssrStyles = document.querySelectorAll("style[data-emotion]:not([data-s])"); // get SSRed styles out of the way of React's hydration
    // document.head is a safe place to move them to(though note document.head is not necessarily the last place they will be)
    // note this very very intentionally targets all style elements regardless of the key to ensure
    // that creating a cache works inside of render of a React component

    Array.prototype.forEach.call(ssrStyles, function (node) {
      // we want to only move elements which have a space in the data-emotion attribute value
      // because that indicates that it is an Emotion 11 server-side rendered style elements
      // while we will already ignore Emotion 11 client-side inserted styles because of the :not([data-s]) part in the selector
      // Emotion 10 client-side inserted styles did not have data-s (but importantly did not have a space in their data-emotion attributes)
      // so checking for the space ensures that loading Emotion 11 after Emotion 10 has inserted some styles
      // will not result in the Emotion 10 styles being destroyed
      var dataEmotionAttribute = node.getAttribute('data-emotion');

      if (dataEmotionAttribute.indexOf(' ') === -1) {
        return;
      }
      document.head.appendChild(node);
      node.setAttribute('data-s', '');
    });
  }

  var stylisPlugins = options.stylisPlugins || defaultStylisPlugins;

  if (false) {}

  var inserted = {};
  var container;
  var nodesToHydrate = [];

  {
    container = options.container || document.head;
    Array.prototype.forEach.call( // this means we will ignore elements which don't have a space in them which
    // means that the style elements we're looking at are only Emotion 11 server-rendered style elements
    document.querySelectorAll("style[data-emotion^=\"" + key + " \"]"), function (node) {
      var attrib = node.getAttribute("data-emotion").split(' '); // $FlowFixMe

      for (var i = 1; i < attrib.length; i++) {
        inserted[attrib[i]] = true;
      }

      nodesToHydrate.push(node);
    });
  }

  var _insert;

  var omnipresentPlugins = [compat, removeLabel];

  if (false) {}

  {
    var currentSheet;
    var finalizingPlugins = [stylis__WEBPACK_IMPORTED_MODULE_3__/* .stringify */ .A,  false ? 0 : (0,stylis__WEBPACK_IMPORTED_MODULE_4__/* .rulesheet */ .MY)(function (rule) {
      currentSheet.insert(rule);
    })];
    var serializer = (0,stylis__WEBPACK_IMPORTED_MODULE_4__/* .middleware */ .r1)(omnipresentPlugins.concat(stylisPlugins, finalizingPlugins));

    var stylis = function stylis(styles) {
      return (0,stylis__WEBPACK_IMPORTED_MODULE_3__/* .serialize */ .l)((0,stylis__WEBPACK_IMPORTED_MODULE_5__/* .compile */ .wE)(styles), serializer);
    };

    _insert = function insert(selector, serialized, sheet, shouldCache) {
      currentSheet = sheet;

      if (false) {}

      stylis(selector ? selector + "{" + serialized.styles + "}" : serialized.styles);

      if (shouldCache) {
        cache.inserted[serialized.name] = true;
      }
    };
  }

  var cache = {
    key: key,
    sheet: new _emotion_sheet__WEBPACK_IMPORTED_MODULE_6__/* .StyleSheet */ .v({
      key: key,
      container: container,
      nonce: options.nonce,
      speedy: options.speedy,
      prepend: options.prepend,
      insertionPoint: options.insertionPoint
    }),
    nonce: options.nonce,
    inserted: inserted,
    registered: {},
    insert: _insert
  };
  cache.sheet.hydrate(nodesToHydrate);
  return cache;
};




/***/ }),

/***/ 79284:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ murmur2)
/* harmony export */ });
/* eslint-disable */
// Inspired by https://github.com/garycourt/murmurhash-js
// Ported from https://github.com/aappleby/smhasher/blob/61a0530f28277f2e850bfc39600ce61d02b518de/src/MurmurHash2.cpp#L37-L86
function murmur2(str) {
  // 'm' and 'r' are mixing constants generated offline.
  // They're not really 'magic', they just happen to work well.
  // const m = 0x5bd1e995;
  // const r = 24;
  // Initialize the hash
  var h = 0; // Mix 4 bytes at a time into the hash

  var k,
      i = 0,
      len = str.length;

  for (; len >= 4; ++i, len -= 4) {
    k = str.charCodeAt(i) & 0xff | (str.charCodeAt(++i) & 0xff) << 8 | (str.charCodeAt(++i) & 0xff) << 16 | (str.charCodeAt(++i) & 0xff) << 24;
    k =
    /* Math.imul(k, m): */
    (k & 0xffff) * 0x5bd1e995 + ((k >>> 16) * 0xe995 << 16);
    k ^=
    /* k >>> r: */
    k >>> 24;
    h =
    /* Math.imul(k, m): */
    (k & 0xffff) * 0x5bd1e995 + ((k >>> 16) * 0xe995 << 16) ^
    /* Math.imul(h, m): */
    (h & 0xffff) * 0x5bd1e995 + ((h >>> 16) * 0xe995 << 16);
  } // Handle the last few bytes of the input array


  switch (len) {
    case 3:
      h ^= (str.charCodeAt(i + 2) & 0xff) << 16;

    case 2:
      h ^= (str.charCodeAt(i + 1) & 0xff) << 8;

    case 1:
      h ^= str.charCodeAt(i) & 0xff;
      h =
      /* Math.imul(h, m): */
      (h & 0xffff) * 0x5bd1e995 + ((h >>> 16) * 0xe995 << 16);
  } // Do a few final mixes of the hash to ensure the last few
  // bytes are well-incorporated.


  h ^= h >>> 13;
  h =
  /* Math.imul(h, m): */
  (h & 0xffff) * 0x5bd1e995 + ((h >>> 16) * 0xe995 << 16);
  return ((h ^ h >>> 15) >>> 0).toString(36);
}




/***/ }),

/***/ 93042:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isPropValid)
/* harmony export */ });
/* harmony import */ var _emotion_memoize__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(34556);


var reactPropsRegex = /^((children|dangerouslySetInnerHTML|key|ref|autoFocus|defaultValue|defaultChecked|innerHTML|suppressContentEditableWarning|suppressHydrationWarning|valueLink|abbr|accept|acceptCharset|accessKey|action|allow|allowUserMedia|allowPaymentRequest|allowFullScreen|allowTransparency|alt|async|autoComplete|autoPlay|capture|cellPadding|cellSpacing|challenge|charSet|checked|cite|classID|className|cols|colSpan|content|contentEditable|contextMenu|controls|controlsList|coords|crossOrigin|data|dateTime|decoding|default|defer|dir|disabled|disablePictureInPicture|download|draggable|encType|enterKeyHint|form|formAction|formEncType|formMethod|formNoValidate|formTarget|frameBorder|headers|height|hidden|high|href|hrefLang|htmlFor|httpEquiv|id|inputMode|integrity|is|keyParams|keyType|kind|label|lang|list|loading|loop|low|marginHeight|marginWidth|max|maxLength|media|mediaGroup|method|min|minLength|multiple|muted|name|nonce|noValidate|open|optimum|pattern|placeholder|playsInline|poster|preload|profile|radioGroup|readOnly|referrerPolicy|rel|required|reversed|role|rows|rowSpan|sandbox|scope|scoped|scrolling|seamless|selected|shape|size|sizes|slot|span|spellCheck|src|srcDoc|srcLang|srcSet|start|step|style|summary|tabIndex|target|title|translate|type|useMap|value|width|wmode|wrap|about|datatype|inlist|prefix|property|resource|typeof|vocab|autoCapitalize|autoCorrect|autoSave|color|incremental|fallback|inert|itemProp|itemScope|itemType|itemID|itemRef|on|option|results|security|unselectable|accentHeight|accumulate|additive|alignmentBaseline|allowReorder|alphabetic|amplitude|arabicForm|ascent|attributeName|attributeType|autoReverse|azimuth|baseFrequency|baselineShift|baseProfile|bbox|begin|bias|by|calcMode|capHeight|clip|clipPathUnits|clipPath|clipRule|colorInterpolation|colorInterpolationFilters|colorProfile|colorRendering|contentScriptType|contentStyleType|cursor|cx|cy|d|decelerate|descent|diffuseConstant|direction|display|divisor|dominantBaseline|dur|dx|dy|edgeMode|elevation|enableBackground|end|exponent|externalResourcesRequired|fill|fillOpacity|fillRule|filter|filterRes|filterUnits|floodColor|floodOpacity|focusable|fontFamily|fontSize|fontSizeAdjust|fontStretch|fontStyle|fontVariant|fontWeight|format|from|fr|fx|fy|g1|g2|glyphName|glyphOrientationHorizontal|glyphOrientationVertical|glyphRef|gradientTransform|gradientUnits|hanging|horizAdvX|horizOriginX|ideographic|imageRendering|in|in2|intercept|k|k1|k2|k3|k4|kernelMatrix|kernelUnitLength|kerning|keyPoints|keySplines|keyTimes|lengthAdjust|letterSpacing|lightingColor|limitingConeAngle|local|markerEnd|markerMid|markerStart|markerHeight|markerUnits|markerWidth|mask|maskContentUnits|maskUnits|mathematical|mode|numOctaves|offset|opacity|operator|order|orient|orientation|origin|overflow|overlinePosition|overlineThickness|panose1|paintOrder|pathLength|patternContentUnits|patternTransform|patternUnits|pointerEvents|points|pointsAtX|pointsAtY|pointsAtZ|preserveAlpha|preserveAspectRatio|primitiveUnits|r|radius|refX|refY|renderingIntent|repeatCount|repeatDur|requiredExtensions|requiredFeatures|restart|result|rotate|rx|ry|scale|seed|shapeRendering|slope|spacing|specularConstant|specularExponent|speed|spreadMethod|startOffset|stdDeviation|stemh|stemv|stitchTiles|stopColor|stopOpacity|strikethroughPosition|strikethroughThickness|string|stroke|strokeDasharray|strokeDashoffset|strokeLinecap|strokeLinejoin|strokeMiterlimit|strokeOpacity|strokeWidth|surfaceScale|systemLanguage|tableValues|targetX|targetY|textAnchor|textDecoration|textRendering|textLength|to|transform|u1|u2|underlinePosition|underlineThickness|unicode|unicodeBidi|unicodeRange|unitsPerEm|vAlphabetic|vHanging|vIdeographic|vMathematical|values|vectorEffect|version|vertAdvY|vertOriginX|vertOriginY|viewBox|viewTarget|visibility|widths|wordSpacing|writingMode|x|xHeight|x1|x2|xChannelSelector|xlinkActuate|xlinkArcrole|xlinkHref|xlinkRole|xlinkShow|xlinkTitle|xlinkType|xmlBase|xmlns|xmlnsXlink|xmlLang|xmlSpace|y|y1|y2|yChannelSelector|z|zoomAndPan|for|class|autofocus)|(([Dd][Aa][Tt][Aa]|[Aa][Rr][Ii][Aa]|x)-.*))$/; // https://esbench.com/bench/5bfee68a4cd7e6009ef61d23

var isPropValid = /* #__PURE__ */(0,_emotion_memoize__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(function (prop) {
  return reactPropsRegex.test(prop) || prop.charCodeAt(0) === 111
  /* o */
  && prop.charCodeAt(1) === 110
  /* n */
  && prop.charCodeAt(2) < 91;
}
/* Z+1 */
);




/***/ }),

/***/ 34556:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ memoize)
/* harmony export */ });
function memoize(fn) {
  var cache = Object.create(null);
  return function (arg) {
    if (cache[arg] === undefined) cache[arg] = fn(arg);
    return cache[arg];
  };
}




/***/ }),

/***/ 26987:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ ThemeContext),
/* harmony export */   w: () => (/* binding */ withEmotionCache)
/* harmony export */ });
/* unused harmony exports C, E, _, a, b, c, h, i, u */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _emotion_cache__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18458);
/* harmony import */ var _emotion_serialize__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(11914);
/* harmony import */ var _emotion_use_insertion_effect_with_fallbacks__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(16558);










var isBrowser = "object" !== 'undefined';
var hasOwnProperty = {}.hasOwnProperty;

var EmotionCacheContext = /* #__PURE__ */react__WEBPACK_IMPORTED_MODULE_0__.createContext( // we're doing this to avoid preconstruct's dead code elimination in this one case
// because this module is primarily intended for the browser and node
// but it's also required in react native and similar environments sometimes
// and we could have a special build just for that
// but this is much easier and the native packages
// might use a different theme context in the future anyway
typeof HTMLElement !== 'undefined' ? /* #__PURE__ */(0,_emotion_cache__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)({
  key: 'css'
}) : null);

if (false) {}

var CacheProvider = EmotionCacheContext.Provider;
var __unsafe_useEmotionCache = function useEmotionCache() {
  return useContext(EmotionCacheContext);
};

var withEmotionCache = function withEmotionCache(func) {
  // $FlowFixMe
  return /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(function (props, ref) {
    // the cache will never be null in the browser
    var cache = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(EmotionCacheContext);
    return func(props, cache, ref);
  });
};

if (!isBrowser) {
  withEmotionCache = function withEmotionCache(func) {
    return function (props) {
      var cache = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(EmotionCacheContext);

      if (cache === null) {
        // yes, we're potentially creating this on every render
        // it doesn't actually matter though since it's only on the server
        // so there will only every be a single render
        // that could change in the future because of suspense and etc. but for now,
        // this works and i don't want to optimise for a future thing that we aren't sure about
        cache = (0,_emotion_cache__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)({
          key: 'css'
        });
        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(EmotionCacheContext.Provider, {
          value: cache
        }, func(props, cache));
      } else {
        return func(props, cache);
      }
    };
  };
}

var ThemeContext = /* #__PURE__ */react__WEBPACK_IMPORTED_MODULE_0__.createContext({});

if (false) {}

var useTheme = function useTheme() {
  return React.useContext(ThemeContext);
};

var getTheme = function getTheme(outerTheme, theme) {
  if (typeof theme === 'function') {
    var mergedTheme = theme(outerTheme);

    if (false) {}

    return mergedTheme;
  }

  if (false) {}

  return _extends({}, outerTheme, theme);
};

var createCacheWithTheme = /* #__PURE__ */(/* unused pure expression or super */ null && (weakMemoize(function (outerTheme) {
  return weakMemoize(function (theme) {
    return getTheme(outerTheme, theme);
  });
})));
var ThemeProvider = function ThemeProvider(props) {
  var theme = React.useContext(ThemeContext);

  if (props.theme !== theme) {
    theme = createCacheWithTheme(theme)(props.theme);
  }

  return /*#__PURE__*/React.createElement(ThemeContext.Provider, {
    value: theme
  }, props.children);
};
function withTheme(Component) {
  var componentName = Component.displayName || Component.name || 'Component';

  var render = function render(props, ref) {
    var theme = React.useContext(ThemeContext);
    return /*#__PURE__*/React.createElement(Component, _extends({
      theme: theme,
      ref: ref
    }, props));
  }; // $FlowFixMe


  var WithTheme = /*#__PURE__*/React.forwardRef(render);
  WithTheme.displayName = "WithTheme(" + componentName + ")";
  return hoistNonReactStatics(WithTheme, Component);
}

var getLastPart = function getLastPart(functionName) {
  // The match may be something like 'Object.createEmotionProps' or
  // 'Loader.prototype.render'
  var parts = functionName.split('.');
  return parts[parts.length - 1];
};

var getFunctionNameFromStackTraceLine = function getFunctionNameFromStackTraceLine(line) {
  // V8
  var match = /^\s+at\s+([A-Za-z0-9$.]+)\s/.exec(line);
  if (match) return getLastPart(match[1]); // Safari / Firefox

  match = /^([A-Za-z0-9$.]+)@/.exec(line);
  if (match) return getLastPart(match[1]);
  return undefined;
};

var internalReactFunctionNames = /* #__PURE__ */new Set(['renderWithHooks', 'processChild', 'finishClassComponent', 'renderToString']); // These identifiers come from error stacks, so they have to be valid JS
// identifiers, thus we only need to replace what is a valid character for JS,
// but not for CSS.

var sanitizeIdentifier = function sanitizeIdentifier(identifier) {
  return identifier.replace(/\$/g, '-');
};

var getLabelFromStackTrace = function getLabelFromStackTrace(stackTrace) {
  if (!stackTrace) return undefined;
  var lines = stackTrace.split('\n');

  for (var i = 0; i < lines.length; i++) {
    var functionName = getFunctionNameFromStackTraceLine(lines[i]); // The first line of V8 stack traces is just "Error"

    if (!functionName) continue; // If we reach one of these, we have gone too far and should quit

    if (internalReactFunctionNames.has(functionName)) break; // The component name is the first function in the stack that starts with an
    // uppercase letter

    if (/^[A-Z]/.test(functionName)) return sanitizeIdentifier(functionName);
  }

  return undefined;
};

var typePropName = '__EMOTION_TYPE_PLEASE_DO_NOT_USE__';
var labelPropName = '__EMOTION_LABEL_PLEASE_DO_NOT_USE__';
var createEmotionProps = function createEmotionProps(type, props) {
  if (false) {}

  var newProps = {};

  for (var key in props) {
    if (hasOwnProperty.call(props, key)) {
      newProps[key] = props[key];
    }
  }

  newProps[typePropName] = type; // For performance, only call getLabelFromStackTrace in development and when
  // the label hasn't already been computed

  if (false) { var label; }

  return newProps;
};

var Insertion = function Insertion(_ref) {
  var cache = _ref.cache,
      serialized = _ref.serialized,
      isStringTag = _ref.isStringTag;
  registerStyles(cache, serialized, isStringTag);
  useInsertionEffectAlwaysWithSyncFallback(function () {
    return insertStyles(cache, serialized, isStringTag);
  });

  return null;
};

var Emotion = /* #__PURE__ */(/* unused pure expression or super */ null && (withEmotionCache(function (props, cache, ref) {
  var cssProp = props.css; // so that using `css` from `emotion` and passing the result to the css prop works
  // not passing the registered cache to serializeStyles because it would
  // make certain babel optimisations not possible

  if (typeof cssProp === 'string' && cache.registered[cssProp] !== undefined) {
    cssProp = cache.registered[cssProp];
  }

  var WrappedComponent = props[typePropName];
  var registeredStyles = [cssProp];
  var className = '';

  if (typeof props.className === 'string') {
    className = getRegisteredStyles(cache.registered, registeredStyles, props.className);
  } else if (props.className != null) {
    className = props.className + " ";
  }

  var serialized = serializeStyles(registeredStyles, undefined, React.useContext(ThemeContext));

  if (false) { var labelFromStack; }

  className += cache.key + "-" + serialized.name;
  var newProps = {};

  for (var key in props) {
    if (hasOwnProperty.call(props, key) && key !== 'css' && key !== typePropName && ( true || 0)) {
      newProps[key] = props[key];
    }
  }

  newProps.ref = ref;
  newProps.className = className;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Insertion, {
    cache: cache,
    serialized: serialized,
    isStringTag: typeof WrappedComponent === 'string'
  }), /*#__PURE__*/React.createElement(WrappedComponent, newProps));
})));

if (false) {}

var Emotion$1 = (/* unused pure expression or super */ null && (Emotion));




/***/ }),

/***/ 15428:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   i7: () => (/* binding */ keyframes)
/* harmony export */ });
/* unused harmony exports ClassNames, Global, createElement, css, jsx */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _emotion_use_insertion_effect_with_fallbacks__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(16558);
/* harmony import */ var _emotion_serialize__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(11914);
/* harmony import */ var _emotion_cache__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(18458);
/* harmony import */ var hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(75985);
/* harmony import */ var hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_4__);












var pkg = {
	name: "@emotion/react",
	version: "11.11.1",
	main: "dist/emotion-react.cjs.js",
	module: "dist/emotion-react.esm.js",
	browser: {
		"./dist/emotion-react.esm.js": "./dist/emotion-react.browser.esm.js"
	},
	exports: {
		".": {
			module: {
				worker: "./dist/emotion-react.worker.esm.js",
				browser: "./dist/emotion-react.browser.esm.js",
				"default": "./dist/emotion-react.esm.js"
			},
			"import": "./dist/emotion-react.cjs.mjs",
			"default": "./dist/emotion-react.cjs.js"
		},
		"./jsx-runtime": {
			module: {
				worker: "./jsx-runtime/dist/emotion-react-jsx-runtime.worker.esm.js",
				browser: "./jsx-runtime/dist/emotion-react-jsx-runtime.browser.esm.js",
				"default": "./jsx-runtime/dist/emotion-react-jsx-runtime.esm.js"
			},
			"import": "./jsx-runtime/dist/emotion-react-jsx-runtime.cjs.mjs",
			"default": "./jsx-runtime/dist/emotion-react-jsx-runtime.cjs.js"
		},
		"./_isolated-hnrs": {
			module: {
				worker: "./_isolated-hnrs/dist/emotion-react-_isolated-hnrs.worker.esm.js",
				browser: "./_isolated-hnrs/dist/emotion-react-_isolated-hnrs.browser.esm.js",
				"default": "./_isolated-hnrs/dist/emotion-react-_isolated-hnrs.esm.js"
			},
			"import": "./_isolated-hnrs/dist/emotion-react-_isolated-hnrs.cjs.mjs",
			"default": "./_isolated-hnrs/dist/emotion-react-_isolated-hnrs.cjs.js"
		},
		"./jsx-dev-runtime": {
			module: {
				worker: "./jsx-dev-runtime/dist/emotion-react-jsx-dev-runtime.worker.esm.js",
				browser: "./jsx-dev-runtime/dist/emotion-react-jsx-dev-runtime.browser.esm.js",
				"default": "./jsx-dev-runtime/dist/emotion-react-jsx-dev-runtime.esm.js"
			},
			"import": "./jsx-dev-runtime/dist/emotion-react-jsx-dev-runtime.cjs.mjs",
			"default": "./jsx-dev-runtime/dist/emotion-react-jsx-dev-runtime.cjs.js"
		},
		"./package.json": "./package.json",
		"./types/css-prop": "./types/css-prop.d.ts",
		"./macro": {
			types: {
				"import": "./macro.d.mts",
				"default": "./macro.d.ts"
			},
			"default": "./macro.js"
		}
	},
	types: "types/index.d.ts",
	files: [
		"src",
		"dist",
		"jsx-runtime",
		"jsx-dev-runtime",
		"_isolated-hnrs",
		"types/*.d.ts",
		"macro.*"
	],
	sideEffects: false,
	author: "Emotion Contributors",
	license: "MIT",
	scripts: {
		"test:typescript": "dtslint types"
	},
	dependencies: {
		"@babel/runtime": "^7.18.3",
		"@emotion/babel-plugin": "^11.11.0",
		"@emotion/cache": "^11.11.0",
		"@emotion/serialize": "^1.1.2",
		"@emotion/use-insertion-effect-with-fallbacks": "^1.0.1",
		"@emotion/utils": "^1.2.1",
		"@emotion/weak-memoize": "^0.3.1",
		"hoist-non-react-statics": "^3.3.1"
	},
	peerDependencies: {
		react: ">=16.8.0"
	},
	peerDependenciesMeta: {
		"@types/react": {
			optional: true
		}
	},
	devDependencies: {
		"@definitelytyped/dtslint": "0.0.112",
		"@emotion/css": "11.11.0",
		"@emotion/css-prettifier": "1.1.3",
		"@emotion/server": "11.11.0",
		"@emotion/styled": "11.11.0",
		"html-tag-names": "^1.1.2",
		react: "16.14.0",
		"svg-tag-names": "^1.1.1",
		typescript: "^4.5.5"
	},
	repository: "https://github.com/emotion-js/emotion/tree/main/packages/react",
	publishConfig: {
		access: "public"
	},
	"umd:main": "dist/emotion-react.umd.min.js",
	preconstruct: {
		entrypoints: [
			"./index.js",
			"./jsx-runtime.js",
			"./jsx-dev-runtime.js",
			"./_isolated-hnrs.js"
		],
		umdName: "emotionReact",
		exports: {
			envConditions: [
				"browser",
				"worker"
			],
			extra: {
				"./types/css-prop": "./types/css-prop.d.ts",
				"./macro": {
					types: {
						"import": "./macro.d.mts",
						"default": "./macro.d.ts"
					},
					"default": "./macro.js"
				}
			}
		}
	}
};

var jsx = function jsx(type, props) {
  var args = arguments;

  if (props == null || !hasOwnProperty.call(props, 'css')) {
    // $FlowFixMe
    return React.createElement.apply(undefined, args);
  }

  var argsLength = args.length;
  var createElementArgArray = new Array(argsLength);
  createElementArgArray[0] = Emotion;
  createElementArgArray[1] = createEmotionProps(type, props);

  for (var i = 2; i < argsLength; i++) {
    createElementArgArray[i] = args[i];
  } // $FlowFixMe


  return React.createElement.apply(null, createElementArgArray);
};

var warnedAboutCssPropForGlobal = false; // maintain place over rerenders.
// initial render from browser, insertBefore context.sheet.tags[0] or if a style hasn't been inserted there yet, appendChild
// initial client-side render from SSR, use place of hydrating tag

var Global = /* #__PURE__ */(/* unused pure expression or super */ null && (withEmotionCache(function (props, cache) {
  if (false) {}

  var styles = props.styles;
  var serialized = serializeStyles([styles], undefined, React.useContext(ThemeContext));

  if (!isBrowser$1) {
    var _ref;

    var serializedNames = serialized.name;
    var serializedStyles = serialized.styles;
    var next = serialized.next;

    while (next !== undefined) {
      serializedNames += ' ' + next.name;
      serializedStyles += next.styles;
      next = next.next;
    }

    var shouldCache = cache.compat === true;
    var rules = cache.insert("", {
      name: serializedNames,
      styles: serializedStyles
    }, cache.sheet, shouldCache);

    if (shouldCache) {
      return null;
    }

    return /*#__PURE__*/React.createElement("style", (_ref = {}, _ref["data-emotion"] = cache.key + "-global " + serializedNames, _ref.dangerouslySetInnerHTML = {
      __html: rules
    }, _ref.nonce = cache.sheet.nonce, _ref));
  } // yes, i know these hooks are used conditionally
  // but it is based on a constant that will never change at runtime
  // it's effectively like having two implementations and switching them out
  // so it's not actually breaking anything


  var sheetRef = React.useRef();
  useInsertionEffectWithLayoutFallback(function () {
    var key = cache.key + "-global"; // use case of https://github.com/emotion-js/emotion/issues/2675

    var sheet = new cache.sheet.constructor({
      key: key,
      nonce: cache.sheet.nonce,
      container: cache.sheet.container,
      speedy: cache.sheet.isSpeedy
    });
    var rehydrating = false; // $FlowFixMe

    var node = document.querySelector("style[data-emotion=\"" + key + " " + serialized.name + "\"]");

    if (cache.sheet.tags.length) {
      sheet.before = cache.sheet.tags[0];
    }

    if (node !== null) {
      rehydrating = true; // clear the hash so this node won't be recognizable as rehydratable by other <Global/>s

      node.setAttribute('data-emotion', key);
      sheet.hydrate([node]);
    }

    sheetRef.current = [sheet, rehydrating];
    return function () {
      sheet.flush();
    };
  }, [cache]);
  useInsertionEffectWithLayoutFallback(function () {
    var sheetRefCurrent = sheetRef.current;
    var sheet = sheetRefCurrent[0],
        rehydrating = sheetRefCurrent[1];

    if (rehydrating) {
      sheetRefCurrent[1] = false;
      return;
    }

    if (serialized.next !== undefined) {
      // insert keyframes
      insertStyles(cache, serialized.next, true);
    }

    if (sheet.tags.length) {
      // if this doesn't exist then it will be null so the style element will be appended
      var element = sheet.tags[sheet.tags.length - 1].nextElementSibling;
      sheet.before = element;
      sheet.flush();
    }

    cache.insert("", serialized, sheet, false);
  }, [cache, serialized.name]);
  return null;
})));

if (false) {}

function css() {
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  return (0,_emotion_serialize__WEBPACK_IMPORTED_MODULE_2__/* .serializeStyles */ .J)(args);
}

var keyframes = function keyframes() {
  var insertable = css.apply(void 0, arguments);
  var name = "animation-" + insertable.name; // $FlowFixMe

  return {
    name: name,
    styles: "@keyframes " + name + "{" + insertable.styles + "}",
    anim: 1,
    toString: function toString() {
      return "_EMO_" + this.name + "_" + this.styles + "_EMO_";
    }
  };
};

var classnames = function classnames(args) {
  var len = args.length;
  var i = 0;
  var cls = '';

  for (; i < len; i++) {
    var arg = args[i];
    if (arg == null) continue;
    var toAdd = void 0;

    switch (typeof arg) {
      case 'boolean':
        break;

      case 'object':
        {
          if (Array.isArray(arg)) {
            toAdd = classnames(arg);
          } else {
            if (false) {}

            toAdd = '';

            for (var k in arg) {
              if (arg[k] && k) {
                toAdd && (toAdd += ' ');
                toAdd += k;
              }
            }
          }

          break;
        }

      default:
        {
          toAdd = arg;
        }
    }

    if (toAdd) {
      cls && (cls += ' ');
      cls += toAdd;
    }
  }

  return cls;
};

function merge(registered, css, className) {
  var registeredStyles = [];
  var rawClassName = getRegisteredStyles(registered, registeredStyles, className);

  if (registeredStyles.length < 2) {
    return className;
  }

  return rawClassName + css(registeredStyles);
}

var Insertion = function Insertion(_ref) {
  var cache = _ref.cache,
      serializedArr = _ref.serializedArr;
  useInsertionEffectAlwaysWithSyncFallback(function () {

    for (var i = 0; i < serializedArr.length; i++) {
      insertStyles(cache, serializedArr[i], false);
    }
  });

  return null;
};

var ClassNames = /* #__PURE__ */(/* unused pure expression or super */ null && (withEmotionCache(function (props, cache) {
  var hasRendered = false;
  var serializedArr = [];

  var css = function css() {
    if (hasRendered && "production" !== 'production') {}

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    var serialized = serializeStyles(args, cache.registered);
    serializedArr.push(serialized); // registration has to happen here as the result of this might get consumed by `cx`

    registerStyles(cache, serialized, false);
    return cache.key + "-" + serialized.name;
  };

  var cx = function cx() {
    if (hasRendered && "production" !== 'production') {}

    for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      args[_key2] = arguments[_key2];
    }

    return merge(cache.registered, css, classnames(args));
  };

  var content = {
    css: css,
    cx: cx,
    theme: React.useContext(ThemeContext)
  };
  var ele = props.children(content);
  hasRendered = true;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Insertion, {
    cache: cache,
    serializedArr: serializedArr
  }), ele);
})));

if (false) {}

if (false) { var globalKey, globalContext, isTestEnv, isBrowser; }




/***/ }),

/***/ 11914:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ serializeStyles)
/* harmony export */ });
/* harmony import */ var _emotion_hash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(79284);
/* harmony import */ var _emotion_unitless__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(84700);
/* harmony import */ var _emotion_memoize__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(34556);




var ILLEGAL_ESCAPE_SEQUENCE_ERROR = "You have illegal escape sequence in your template literal, most likely inside content's property value.\nBecause you write your CSS inside a JavaScript string you actually have to do double escaping, so for example \"content: '\\00d7';\" should become \"content: '\\\\00d7';\".\nYou can read more about this here:\nhttps://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Template_literals#ES2018_revision_of_illegal_escape_sequences";
var UNDEFINED_AS_OBJECT_KEY_ERROR = "You have passed in falsy value as style object's key (can happen when in example you pass unexported component as computed key).";
var hyphenateRegex = /[A-Z]|^ms/g;
var animationRegex = /_EMO_([^_]+?)_([^]*?)_EMO_/g;

var isCustomProperty = function isCustomProperty(property) {
  return property.charCodeAt(1) === 45;
};

var isProcessableValue = function isProcessableValue(value) {
  return value != null && typeof value !== 'boolean';
};

var processStyleName = /* #__PURE__ */(0,_emotion_memoize__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(function (styleName) {
  return isCustomProperty(styleName) ? styleName : styleName.replace(hyphenateRegex, '-$&').toLowerCase();
});

var processStyleValue = function processStyleValue(key, value) {
  switch (key) {
    case 'animation':
    case 'animationName':
      {
        if (typeof value === 'string') {
          return value.replace(animationRegex, function (match, p1, p2) {
            cursor = {
              name: p1,
              styles: p2,
              next: cursor
            };
            return p1;
          });
        }
      }
  }

  if (_emotion_unitless__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A[key] !== 1 && !isCustomProperty(key) && typeof value === 'number' && value !== 0) {
    return value + 'px';
  }

  return value;
};

if (false) { var hyphenatedCache, hyphenPattern, msPattern, oldProcessStyleValue, contentValues, contentValuePattern; }

var noComponentSelectorMessage = (/* unused pure expression or super */ null && ('Component selectors can only be used in conjunction with ' + '@emotion/babel-plugin, the swc Emotion plugin, or another Emotion-aware ' + 'compiler transform.'));

function handleInterpolation(mergedProps, registered, interpolation) {
  if (interpolation == null) {
    return '';
  }

  if (interpolation.__emotion_styles !== undefined) {
    if (false) {}

    return interpolation;
  }

  switch (typeof interpolation) {
    case 'boolean':
      {
        return '';
      }

    case 'object':
      {
        if (interpolation.anim === 1) {
          cursor = {
            name: interpolation.name,
            styles: interpolation.styles,
            next: cursor
          };
          return interpolation.name;
        }

        if (interpolation.styles !== undefined) {
          var next = interpolation.next;

          if (next !== undefined) {
            // not the most efficient thing ever but this is a pretty rare case
            // and there will be very few iterations of this generally
            while (next !== undefined) {
              cursor = {
                name: next.name,
                styles: next.styles,
                next: cursor
              };
              next = next.next;
            }
          }

          var styles = interpolation.styles + ";";

          if (false) {}

          return styles;
        }

        return createStringFromObject(mergedProps, registered, interpolation);
      }

    case 'function':
      {
        if (mergedProps !== undefined) {
          var previousCursor = cursor;
          var result = interpolation(mergedProps);
          cursor = previousCursor;
          return handleInterpolation(mergedProps, registered, result);
        } else if (false) {}

        break;
      }

    case 'string':
      if (false) { var replaced, matched; }

      break;
  } // finalize string values (regular strings and functions interpolated into css calls)


  if (registered == null) {
    return interpolation;
  }

  var cached = registered[interpolation];
  return cached !== undefined ? cached : interpolation;
}

function createStringFromObject(mergedProps, registered, obj) {
  var string = '';

  if (Array.isArray(obj)) {
    for (var i = 0; i < obj.length; i++) {
      string += handleInterpolation(mergedProps, registered, obj[i]) + ";";
    }
  } else {
    for (var _key in obj) {
      var value = obj[_key];

      if (typeof value !== 'object') {
        if (registered != null && registered[value] !== undefined) {
          string += _key + "{" + registered[value] + "}";
        } else if (isProcessableValue(value)) {
          string += processStyleName(_key) + ":" + processStyleValue(_key, value) + ";";
        }
      } else {
        if (_key === 'NO_COMPONENT_SELECTOR' && "production" !== 'production') {}

        if (Array.isArray(value) && typeof value[0] === 'string' && (registered == null || registered[value[0]] === undefined)) {
          for (var _i = 0; _i < value.length; _i++) {
            if (isProcessableValue(value[_i])) {
              string += processStyleName(_key) + ":" + processStyleValue(_key, value[_i]) + ";";
            }
          }
        } else {
          var interpolated = handleInterpolation(mergedProps, registered, value);

          switch (_key) {
            case 'animation':
            case 'animationName':
              {
                string += processStyleName(_key) + ":" + interpolated + ";";
                break;
              }

            default:
              {
                if (false) {}

                string += _key + "{" + interpolated + "}";
              }
          }
        }
      }
    }
  }

  return string;
}

var labelPattern = /label:\s*([^\s;\n{]+)\s*(;|$)/g;
var sourceMapPattern;

if (false) {} // this is the cursor for keyframes
// keyframes are stored on the SerializedStyles object as a linked list


var cursor;
var serializeStyles = function serializeStyles(args, registered, mergedProps) {
  if (args.length === 1 && typeof args[0] === 'object' && args[0] !== null && args[0].styles !== undefined) {
    return args[0];
  }

  var stringMode = true;
  var styles = '';
  cursor = undefined;
  var strings = args[0];

  if (strings == null || strings.raw === undefined) {
    stringMode = false;
    styles += handleInterpolation(mergedProps, registered, strings);
  } else {
    if (false) {}

    styles += strings[0];
  } // we start at 1 since we've already handled the first arg


  for (var i = 1; i < args.length; i++) {
    styles += handleInterpolation(mergedProps, registered, args[i]);

    if (stringMode) {
      if (false) {}

      styles += strings[i];
    }
  }

  var sourceMap;

  if (false) {} // using a global regex with .exec is stateful so lastIndex has to be reset each time


  labelPattern.lastIndex = 0;
  var identifierName = '';
  var match; // https://esbench.com/bench/5b809c2cf2949800a0f61fb5

  while ((match = labelPattern.exec(styles)) !== null) {
    identifierName += '-' + // $FlowFixMe we know it's not null
    match[1];
  }

  var name = (0,_emotion_hash__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(styles) + identifierName;

  if (false) {}

  return {
    name: name,
    styles: styles,
    next: cursor
  };
};




/***/ }),

/***/ 39532:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ StyleSheet)
/* harmony export */ });
/*

Based off glamor's StyleSheet, thanks Sunil ❤️

high performance StyleSheet for css-in-js systems

- uses multiple style tags behind the scenes for millions of rules
- uses `insertRule` for appending in production for *much* faster performance

// usage

import { StyleSheet } from '@emotion/sheet'

let styleSheet = new StyleSheet({ key: '', container: document.head })

styleSheet.insert('#box { border: 1px solid red; }')
- appends a css rule into the stylesheet

styleSheet.flush()
- empties the stylesheet of all its contents

*/
// $FlowFixMe
function sheetForTag(tag) {
  if (tag.sheet) {
    // $FlowFixMe
    return tag.sheet;
  } // this weirdness brought to you by firefox

  /* istanbul ignore next */


  for (var i = 0; i < document.styleSheets.length; i++) {
    if (document.styleSheets[i].ownerNode === tag) {
      // $FlowFixMe
      return document.styleSheets[i];
    }
  }
}

function createStyleElement(options) {
  var tag = document.createElement('style');
  tag.setAttribute('data-emotion', options.key);

  if (options.nonce !== undefined) {
    tag.setAttribute('nonce', options.nonce);
  }

  tag.appendChild(document.createTextNode(''));
  tag.setAttribute('data-s', '');
  return tag;
}

var StyleSheet = /*#__PURE__*/function () {
  // Using Node instead of HTMLElement since container may be a ShadowRoot
  function StyleSheet(options) {
    var _this = this;

    this._insertTag = function (tag) {
      var before;

      if (_this.tags.length === 0) {
        if (_this.insertionPoint) {
          before = _this.insertionPoint.nextSibling;
        } else if (_this.prepend) {
          before = _this.container.firstChild;
        } else {
          before = _this.before;
        }
      } else {
        before = _this.tags[_this.tags.length - 1].nextSibling;
      }

      _this.container.insertBefore(tag, before);

      _this.tags.push(tag);
    };

    this.isSpeedy = options.speedy === undefined ? "production" === 'production' : options.speedy;
    this.tags = [];
    this.ctr = 0;
    this.nonce = options.nonce; // key is the value of the data-emotion attribute, it's used to identify different sheets

    this.key = options.key;
    this.container = options.container;
    this.prepend = options.prepend;
    this.insertionPoint = options.insertionPoint;
    this.before = null;
  }

  var _proto = StyleSheet.prototype;

  _proto.hydrate = function hydrate(nodes) {
    nodes.forEach(this._insertTag);
  };

  _proto.insert = function insert(rule) {
    // the max length is how many rules we have per style tag, it's 65000 in speedy mode
    // it's 1 in dev because we insert source maps that map a single rule to a location
    // and you can only have one source map per style tag
    if (this.ctr % (this.isSpeedy ? 65000 : 1) === 0) {
      this._insertTag(createStyleElement(this));
    }

    var tag = this.tags[this.tags.length - 1];

    if (false) { var isImportRule; }

    if (this.isSpeedy) {
      var sheet = sheetForTag(tag);

      try {
        // this is the ultrafast version, works across browsers
        // the big drawback is that the css won't be editable in devtools
        sheet.insertRule(rule, sheet.cssRules.length);
      } catch (e) {
        if (false) {}
      }
    } else {
      tag.appendChild(document.createTextNode(rule));
    }

    this.ctr++;
  };

  _proto.flush = function flush() {
    // $FlowFixMe
    this.tags.forEach(function (tag) {
      return tag.parentNode && tag.parentNode.removeChild(tag);
    });
    this.tags = [];
    this.ctr = 0;

    if (false) {}
  };

  return StyleSheet;
}();




/***/ }),

/***/ 2182:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ createStyled)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(89575);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _emotion_is_prop_valid__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(93042);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(26987);
/* harmony import */ var _emotion_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(85780);
/* harmony import */ var _emotion_serialize__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(11914);
/* harmony import */ var _emotion_use_insertion_effect_with_fallbacks__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(16558);








var testOmitPropsOnStringTag = _emotion_is_prop_valid__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A;

var testOmitPropsOnComponent = function testOmitPropsOnComponent(key) {
  return key !== 'theme';
};

var getDefaultShouldForwardProp = function getDefaultShouldForwardProp(tag) {
  return typeof tag === 'string' && // 96 is one less than the char code
  // for "a" so this is checking that
  // it's a lowercase character
  tag.charCodeAt(0) > 96 ? testOmitPropsOnStringTag : testOmitPropsOnComponent;
};
var composeShouldForwardProps = function composeShouldForwardProps(tag, options, isReal) {
  var shouldForwardProp;

  if (options) {
    var optionsShouldForwardProp = options.shouldForwardProp;
    shouldForwardProp = tag.__emotion_forwardProp && optionsShouldForwardProp ? function (propName) {
      return tag.__emotion_forwardProp(propName) && optionsShouldForwardProp(propName);
    } : optionsShouldForwardProp;
  }

  if (typeof shouldForwardProp !== 'function' && isReal) {
    shouldForwardProp = tag.__emotion_forwardProp;
  }

  return shouldForwardProp;
};

var ILLEGAL_ESCAPE_SEQUENCE_ERROR = "You have illegal escape sequence in your template literal, most likely inside content's property value.\nBecause you write your CSS inside a JavaScript string you actually have to do double escaping, so for example \"content: '\\00d7';\" should become \"content: '\\\\00d7';\".\nYou can read more about this here:\nhttps://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Template_literals#ES2018_revision_of_illegal_escape_sequences";

var Insertion = function Insertion(_ref) {
  var cache = _ref.cache,
      serialized = _ref.serialized,
      isStringTag = _ref.isStringTag;
  (0,_emotion_utils__WEBPACK_IMPORTED_MODULE_4__/* .registerStyles */ .SF)(cache, serialized, isStringTag);
  (0,_emotion_use_insertion_effect_with_fallbacks__WEBPACK_IMPORTED_MODULE_2__/* .useInsertionEffectAlwaysWithSyncFallback */ .s)(function () {
    return (0,_emotion_utils__WEBPACK_IMPORTED_MODULE_4__/* .insertStyles */ .sk)(cache, serialized, isStringTag);
  });

  return null;
};

var createStyled = function createStyled(tag, options) {
  if (false) {}

  var isReal = tag.__emotion_real === tag;
  var baseTag = isReal && tag.__emotion_base || tag;
  var identifierName;
  var targetClassName;

  if (options !== undefined) {
    identifierName = options.label;
    targetClassName = options.target;
  }

  var shouldForwardProp = composeShouldForwardProps(tag, options, isReal);
  var defaultShouldForwardProp = shouldForwardProp || getDefaultShouldForwardProp(baseTag);
  var shouldUseAs = !defaultShouldForwardProp('as');
  return function () {
    var args = arguments;
    var styles = isReal && tag.__emotion_styles !== undefined ? tag.__emotion_styles.slice(0) : [];

    if (identifierName !== undefined) {
      styles.push("label:" + identifierName + ";");
    }

    if (args[0] == null || args[0].raw === undefined) {
      styles.push.apply(styles, args);
    } else {
      if (false) {}

      styles.push(args[0][0]);
      var len = args.length;
      var i = 1;

      for (; i < len; i++) {
        if (false) {}

        styles.push(args[i], args[0][i]);
      }
    } // $FlowFixMe: we need to cast StatelessFunctionalComponent to our PrivateStyledComponent class


    var Styled = (0,_emotion_react__WEBPACK_IMPORTED_MODULE_5__.w)(function (props, cache, ref) {
      var FinalTag = shouldUseAs && props.as || baseTag;
      var className = '';
      var classInterpolations = [];
      var mergedProps = props;

      if (props.theme == null) {
        mergedProps = {};

        for (var key in props) {
          mergedProps[key] = props[key];
        }

        mergedProps.theme = react__WEBPACK_IMPORTED_MODULE_0__.useContext(_emotion_react__WEBPACK_IMPORTED_MODULE_5__.T);
      }

      if (typeof props.className === 'string') {
        className = (0,_emotion_utils__WEBPACK_IMPORTED_MODULE_4__/* .getRegisteredStyles */ .Rk)(cache.registered, classInterpolations, props.className);
      } else if (props.className != null) {
        className = props.className + " ";
      }

      var serialized = (0,_emotion_serialize__WEBPACK_IMPORTED_MODULE_1__/* .serializeStyles */ .J)(styles.concat(classInterpolations), cache.registered, mergedProps);
      className += cache.key + "-" + serialized.name;

      if (targetClassName !== undefined) {
        className += " " + targetClassName;
      }

      var finalShouldForwardProp = shouldUseAs && shouldForwardProp === undefined ? getDefaultShouldForwardProp(FinalTag) : defaultShouldForwardProp;
      var newProps = {};

      for (var _key in props) {
        if (shouldUseAs && _key === 'as') continue;

        if ( // $FlowFixMe
        finalShouldForwardProp(_key)) {
          newProps[_key] = props[_key];
        }
      }

      newProps.className = className;
      newProps.ref = ref;
      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(react__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Insertion, {
        cache: cache,
        serialized: serialized,
        isStringTag: typeof FinalTag === 'string'
      }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(FinalTag, newProps));
    });
    Styled.displayName = identifierName !== undefined ? identifierName : "Styled(" + (typeof baseTag === 'string' ? baseTag : baseTag.displayName || baseTag.name || 'Component') + ")";
    Styled.defaultProps = tag.defaultProps;
    Styled.__emotion_real = Styled;
    Styled.__emotion_base = baseTag;
    Styled.__emotion_styles = styles;
    Styled.__emotion_forwardProp = shouldForwardProp;
    Object.defineProperty(Styled, 'toString', {
      value: function value() {
        if (targetClassName === undefined && "production" !== 'production') {} // $FlowFixMe: coerce undefined to string


        return "." + targetClassName;
      }
    });

    Styled.withComponent = function (nextTag, nextOptions) {
      return createStyled(nextTag, (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)({}, options, nextOptions, {
        shouldForwardProp: composeShouldForwardProps(Styled, nextOptions, true)
      })).apply(void 0, styles);
    };

    return Styled;
  };
};




/***/ }),

/***/ 84700:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ unitlessKeys)
/* harmony export */ });
var unitlessKeys = {
  animationIterationCount: 1,
  aspectRatio: 1,
  borderImageOutset: 1,
  borderImageSlice: 1,
  borderImageWidth: 1,
  boxFlex: 1,
  boxFlexGroup: 1,
  boxOrdinalGroup: 1,
  columnCount: 1,
  columns: 1,
  flex: 1,
  flexGrow: 1,
  flexPositive: 1,
  flexShrink: 1,
  flexNegative: 1,
  flexOrder: 1,
  gridRow: 1,
  gridRowEnd: 1,
  gridRowSpan: 1,
  gridRowStart: 1,
  gridColumn: 1,
  gridColumnEnd: 1,
  gridColumnSpan: 1,
  gridColumnStart: 1,
  msGridRow: 1,
  msGridRowSpan: 1,
  msGridColumn: 1,
  msGridColumnSpan: 1,
  fontWeight: 1,
  lineHeight: 1,
  opacity: 1,
  order: 1,
  orphans: 1,
  tabSize: 1,
  widows: 1,
  zIndex: 1,
  zoom: 1,
  WebkitLineClamp: 1,
  // SVG-related properties
  fillOpacity: 1,
  floodOpacity: 1,
  stopOpacity: 1,
  strokeDasharray: 1,
  strokeDashoffset: 1,
  strokeMiterlimit: 1,
  strokeOpacity: 1,
  strokeWidth: 1
};




/***/ }),

/***/ 16558:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s: () => (/* binding */ useInsertionEffectAlwaysWithSyncFallback)
/* harmony export */ });
/* unused harmony export useInsertionEffectWithLayoutFallback */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);


var syncFallback = function syncFallback(create) {
  return create();
};

var useInsertionEffect = react__WEBPACK_IMPORTED_MODULE_0__['useInsertion' + 'Effect'] ? react__WEBPACK_IMPORTED_MODULE_0__['useInsertion' + 'Effect'] : false;
var useInsertionEffectAlwaysWithSyncFallback = useInsertionEffect || syncFallback;
var useInsertionEffectWithLayoutFallback = useInsertionEffect || react__WEBPACK_IMPORTED_MODULE_0__.useLayoutEffect;




/***/ }),

/***/ 85780:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Rk: () => (/* binding */ getRegisteredStyles),
/* harmony export */   SF: () => (/* binding */ registerStyles),
/* harmony export */   sk: () => (/* binding */ insertStyles)
/* harmony export */ });
var isBrowser = "object" !== 'undefined';
function getRegisteredStyles(registered, registeredStyles, classNames) {
  var rawClassName = '';
  classNames.split(' ').forEach(function (className) {
    if (registered[className] !== undefined) {
      registeredStyles.push(registered[className] + ";");
    } else {
      rawClassName += className + " ";
    }
  });
  return rawClassName;
}
var registerStyles = function registerStyles(cache, serialized, isStringTag) {
  var className = cache.key + "-" + serialized.name;

  if ( // we only need to add the styles to the registered cache if the
  // class name could be used further down
  // the tree but if it's a string tag, we know it won't
  // so we don't have to add it to registered cache.
  // this improves memory usage since we can avoid storing the whole style string
  (isStringTag === false || // we need to always store it if we're in compat mode and
  // in node since emotion-server relies on whether a style is in
  // the registered cache to know whether a style is global or not
  // also, note that this check will be dead code eliminated in the browser
  isBrowser === false ) && cache.registered[className] === undefined) {
    cache.registered[className] = serialized.styles;
  }
};
var insertStyles = function insertStyles(cache, serialized, isStringTag) {
  registerStyles(cache, serialized, isStringTag);
  var className = cache.key + "-" + serialized.name;

  if (cache.inserted[serialized.name] === undefined) {
    var current = serialized;

    do {
      cache.insert(serialized === current ? "." + className : '', current, cache.sheet, true);

      current = current.next;
    } while (current !== undefined);
  }
};




/***/ }),

/***/ 21613:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AO: () => (/* binding */ createPath),
/* harmony export */   Gh: () => (/* binding */ resolveTo),
/* harmony export */   HS: () => (/* binding */ joinPaths),
/* harmony export */   Oi: () => (/* binding */ invariant),
/* harmony export */   Rr: () => (/* binding */ parsePath),
/* harmony export */   pX: () => (/* binding */ isRouteErrorResponse),
/* harmony export */   pb: () => (/* binding */ stripBasename),
/* harmony export */   rc: () => (/* binding */ Action),
/* harmony export */   sC: () => (/* binding */ createMemoryHistory),
/* harmony export */   sd: () => (/* binding */ getPathContributingMatches),
/* harmony export */   tH: () => (/* binding */ AbortedDeferredError),
/* harmony export */   ue: () => (/* binding */ matchRoutes)
/* harmony export */ });
/* unused harmony exports ErrorResponse, IDLE_BLOCKER, IDLE_FETCHER, IDLE_NAVIGATION, UNSAFE_DEFERRED_SYMBOL, UNSAFE_DeferredData, UNSAFE_convertRoutesToDataRoutes, UNSAFE_warning, createBrowserHistory, createHashHistory, createRouter, createStaticHandler, defer, generatePath, getStaticContextFromError, getToPathname, isDeferredData, json, matchPath, normalizePathname, redirect, resolvePath */
/**
 * @remix-run/router v1.5.0
 *
 * Copyright (c) Remix Software Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */
function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };
  return _extends.apply(this, arguments);
}

////////////////////////////////////////////////////////////////////////////////
//#region Types and Constants
////////////////////////////////////////////////////////////////////////////////

/**
 * Actions represent the type of change to a location value.
 */
var Action;

(function (Action) {
  /**
   * A POP indicates a change to an arbitrary index in the history stack, such
   * as a back or forward navigation. It does not describe the direction of the
   * navigation, only that the current index changed.
   *
   * Note: This is the default action for newly created history objects.
   */
  Action["Pop"] = "POP";
  /**
   * A PUSH indicates a new entry being added to the history stack, such as when
   * a link is clicked and a new page loads. When this happens, all subsequent
   * entries in the stack are lost.
   */

  Action["Push"] = "PUSH";
  /**
   * A REPLACE indicates the entry at the current index in the history stack
   * being replaced by a new one.
   */

  Action["Replace"] = "REPLACE";
})(Action || (Action = {}));

const PopStateEventType = "popstate";
/**
 * Memory history stores the current location in memory. It is designed for use
 * in stateful non-browser environments like tests and React Native.
 */

function createMemoryHistory(options) {
  if (options === void 0) {
    options = {};
  }

  let {
    initialEntries = ["/"],
    initialIndex,
    v5Compat = false
  } = options;
  let entries; // Declare so we can access from createMemoryLocation

  entries = initialEntries.map((entry, index) => createMemoryLocation(entry, typeof entry === "string" ? null : entry.state, index === 0 ? "default" : undefined));
  let index = clampIndex(initialIndex == null ? entries.length - 1 : initialIndex);
  let action = Action.Pop;
  let listener = null;

  function clampIndex(n) {
    return Math.min(Math.max(n, 0), entries.length - 1);
  }

  function getCurrentLocation() {
    return entries[index];
  }

  function createMemoryLocation(to, state, key) {
    if (state === void 0) {
      state = null;
    }

    let location = createLocation(entries ? getCurrentLocation().pathname : "/", to, state, key);
    warning(location.pathname.charAt(0) === "/", "relative pathnames are not supported in memory history: " + JSON.stringify(to));
    return location;
  }

  function createHref(to) {
    return typeof to === "string" ? to : createPath(to);
  }

  let history = {
    get index() {
      return index;
    },

    get action() {
      return action;
    },

    get location() {
      return getCurrentLocation();
    },

    createHref,

    createURL(to) {
      return new URL(createHref(to), "http://localhost");
    },

    encodeLocation(to) {
      let path = typeof to === "string" ? parsePath(to) : to;
      return {
        pathname: path.pathname || "",
        search: path.search || "",
        hash: path.hash || ""
      };
    },

    push(to, state) {
      action = Action.Push;
      let nextLocation = createMemoryLocation(to, state);
      index += 1;
      entries.splice(index, entries.length, nextLocation);

      if (v5Compat && listener) {
        listener({
          action,
          location: nextLocation,
          delta: 1
        });
      }
    },

    replace(to, state) {
      action = Action.Replace;
      let nextLocation = createMemoryLocation(to, state);
      entries[index] = nextLocation;

      if (v5Compat && listener) {
        listener({
          action,
          location: nextLocation,
          delta: 0
        });
      }
    },

    go(delta) {
      action = Action.Pop;
      let nextIndex = clampIndex(index + delta);
      let nextLocation = entries[nextIndex];
      index = nextIndex;

      if (listener) {
        listener({
          action,
          location: nextLocation,
          delta
        });
      }
    },

    listen(fn) {
      listener = fn;
      return () => {
        listener = null;
      };
    }

  };
  return history;
}
/**
 * Browser history stores the location in regular URLs. This is the standard for
 * most web apps, but it requires some configuration on the server to ensure you
 * serve the same app at multiple URLs.
 *
 * @see https://github.com/remix-run/history/tree/main/docs/api-reference.md#createbrowserhistory
 */

function createBrowserHistory(options) {
  if (options === void 0) {
    options = {};
  }

  function createBrowserLocation(window, globalHistory) {
    let {
      pathname,
      search,
      hash
    } = window.location;
    return createLocation("", {
      pathname,
      search,
      hash
    }, // state defaults to `null` because `window.history.state` does
    globalHistory.state && globalHistory.state.usr || null, globalHistory.state && globalHistory.state.key || "default");
  }

  function createBrowserHref(window, to) {
    return typeof to === "string" ? to : createPath(to);
  }

  return getUrlBasedHistory(createBrowserLocation, createBrowserHref, null, options);
}
/**
 * Hash history stores the location in window.location.hash. This makes it ideal
 * for situations where you don't want to send the location to the server for
 * some reason, either because you do cannot configure it or the URL space is
 * reserved for something else.
 *
 * @see https://github.com/remix-run/history/tree/main/docs/api-reference.md#createhashhistory
 */

function createHashHistory(options) {
  if (options === void 0) {
    options = {};
  }

  function createHashLocation(window, globalHistory) {
    let {
      pathname = "/",
      search = "",
      hash = ""
    } = parsePath(window.location.hash.substr(1));
    return createLocation("", {
      pathname,
      search,
      hash
    }, // state defaults to `null` because `window.history.state` does
    globalHistory.state && globalHistory.state.usr || null, globalHistory.state && globalHistory.state.key || "default");
  }

  function createHashHref(window, to) {
    let base = window.document.querySelector("base");
    let href = "";

    if (base && base.getAttribute("href")) {
      let url = window.location.href;
      let hashIndex = url.indexOf("#");
      href = hashIndex === -1 ? url : url.slice(0, hashIndex);
    }

    return href + "#" + (typeof to === "string" ? to : createPath(to));
  }

  function validateHashLocation(location, to) {
    warning(location.pathname.charAt(0) === "/", "relative pathnames are not supported in hash history.push(" + JSON.stringify(to) + ")");
  }

  return getUrlBasedHistory(createHashLocation, createHashHref, validateHashLocation, options);
}
function invariant(value, message) {
  if (value === false || value === null || typeof value === "undefined") {
    throw new Error(message);
  }
}
function warning(cond, message) {
  if (!cond) {
    // eslint-disable-next-line no-console
    if (typeof console !== "undefined") console.warn(message);

    try {
      // Welcome to debugging history!
      //
      // This error is thrown as a convenience so you can more easily
      // find the source for a warning that appears in the console by
      // enabling "pause on exceptions" in your JavaScript debugger.
      throw new Error(message); // eslint-disable-next-line no-empty
    } catch (e) {}
  }
}

function createKey() {
  return Math.random().toString(36).substr(2, 8);
}
/**
 * For browser-based histories, we combine the state and key into an object
 */


function getHistoryState(location, index) {
  return {
    usr: location.state,
    key: location.key,
    idx: index
  };
}
/**
 * Creates a Location object with a unique key from the given Path
 */


function createLocation(current, to, state, key) {
  if (state === void 0) {
    state = null;
  }

  let location = _extends({
    pathname: typeof current === "string" ? current : current.pathname,
    search: "",
    hash: ""
  }, typeof to === "string" ? parsePath(to) : to, {
    state,
    // TODO: This could be cleaned up.  push/replace should probably just take
    // full Locations now and avoid the need to run through this flow at all
    // But that's a pretty big refactor to the current test suite so going to
    // keep as is for the time being and just let any incoming keys take precedence
    key: to && to.key || key || createKey()
  });

  return location;
}
/**
 * Creates a string URL path from the given pathname, search, and hash components.
 */

function createPath(_ref) {
  let {
    pathname = "/",
    search = "",
    hash = ""
  } = _ref;
  if (search && search !== "?") pathname += search.charAt(0) === "?" ? search : "?" + search;
  if (hash && hash !== "#") pathname += hash.charAt(0) === "#" ? hash : "#" + hash;
  return pathname;
}
/**
 * Parses a string URL path into its separate pathname, search, and hash components.
 */

function parsePath(path) {
  let parsedPath = {};

  if (path) {
    let hashIndex = path.indexOf("#");

    if (hashIndex >= 0) {
      parsedPath.hash = path.substr(hashIndex);
      path = path.substr(0, hashIndex);
    }

    let searchIndex = path.indexOf("?");

    if (searchIndex >= 0) {
      parsedPath.search = path.substr(searchIndex);
      path = path.substr(0, searchIndex);
    }

    if (path) {
      parsedPath.pathname = path;
    }
  }

  return parsedPath;
}

function getUrlBasedHistory(getLocation, createHref, validateLocation, options) {
  if (options === void 0) {
    options = {};
  }

  let {
    window = document.defaultView,
    v5Compat = false
  } = options;
  let globalHistory = window.history;
  let action = Action.Pop;
  let listener = null;
  let index = getIndex(); // Index should only be null when we initialize. If not, it's because the
  // user called history.pushState or history.replaceState directly, in which
  // case we should log a warning as it will result in bugs.

  if (index == null) {
    index = 0;
    globalHistory.replaceState(_extends({}, globalHistory.state, {
      idx: index
    }), "");
  }

  function getIndex() {
    let state = globalHistory.state || {
      idx: null
    };
    return state.idx;
  }

  function handlePop() {
    action = Action.Pop;
    let nextIndex = getIndex();
    let delta = nextIndex == null ? null : nextIndex - index;
    index = nextIndex;

    if (listener) {
      listener({
        action,
        location: history.location,
        delta
      });
    }
  }

  function push(to, state) {
    action = Action.Push;
    let location = createLocation(history.location, to, state);
    if (validateLocation) validateLocation(location, to);
    index = getIndex() + 1;
    let historyState = getHistoryState(location, index);
    let url = history.createHref(location); // try...catch because iOS limits us to 100 pushState calls :/

    try {
      globalHistory.pushState(historyState, "", url);
    } catch (error) {
      // They are going to lose state here, but there is no real
      // way to warn them about it since the page will refresh...
      window.location.assign(url);
    }

    if (v5Compat && listener) {
      listener({
        action,
        location: history.location,
        delta: 1
      });
    }
  }

  function replace(to, state) {
    action = Action.Replace;
    let location = createLocation(history.location, to, state);
    if (validateLocation) validateLocation(location, to);
    index = getIndex();
    let historyState = getHistoryState(location, index);
    let url = history.createHref(location);
    globalHistory.replaceState(historyState, "", url);

    if (v5Compat && listener) {
      listener({
        action,
        location: history.location,
        delta: 0
      });
    }
  }

  function createURL(to) {
    // window.location.origin is "null" (the literal string value) in Firefox
    // under certain conditions, notably when serving from a local HTML file
    // See https://bugzilla.mozilla.org/show_bug.cgi?id=878297
    let base = window.location.origin !== "null" ? window.location.origin : window.location.href;
    let href = typeof to === "string" ? to : createPath(to);
    invariant(base, "No window.location.(origin|href) available to create URL for href: " + href);
    return new URL(href, base);
  }

  let history = {
    get action() {
      return action;
    },

    get location() {
      return getLocation(window, globalHistory);
    },

    listen(fn) {
      if (listener) {
        throw new Error("A history only accepts one active listener");
      }

      window.addEventListener(PopStateEventType, handlePop);
      listener = fn;
      return () => {
        window.removeEventListener(PopStateEventType, handlePop);
        listener = null;
      };
    },

    createHref(to) {
      return createHref(window, to);
    },

    createURL,

    encodeLocation(to) {
      // Encode a Location the same way window.location would
      let url = createURL(to);
      return {
        pathname: url.pathname,
        search: url.search,
        hash: url.hash
      };
    },

    push,
    replace,

    go(n) {
      return globalHistory.go(n);
    }

  };
  return history;
} //#endregion

var ResultType;

(function (ResultType) {
  ResultType["data"] = "data";
  ResultType["deferred"] = "deferred";
  ResultType["redirect"] = "redirect";
  ResultType["error"] = "error";
})(ResultType || (ResultType = {}));

const immutableRouteKeys = new Set(["lazy", "caseSensitive", "path", "id", "index", "children"]);

function isIndexRoute(route) {
  return route.index === true;
} // Walk the route tree generating unique IDs where necessary so we are working
// solely with AgnosticDataRouteObject's within the Router


function convertRoutesToDataRoutes(routes, detectErrorBoundary, parentPath, manifest) {
  if (parentPath === void 0) {
    parentPath = [];
  }

  if (manifest === void 0) {
    manifest = {};
  }

  return routes.map((route, index) => {
    let treePath = [...parentPath, index];
    let id = typeof route.id === "string" ? route.id : treePath.join("-");
    invariant(route.index !== true || !route.children, "Cannot specify children on an index route");
    invariant(!manifest[id], "Found a route id collision on id \"" + id + "\".  Route " + "id's must be globally unique within Data Router usages");

    if (isIndexRoute(route)) {
      let indexRoute = _extends({}, route, {
        hasErrorBoundary: detectErrorBoundary(route),
        id
      });

      manifest[id] = indexRoute;
      return indexRoute;
    } else {
      let pathOrLayoutRoute = _extends({}, route, {
        id,
        hasErrorBoundary: detectErrorBoundary(route),
        children: undefined
      });

      manifest[id] = pathOrLayoutRoute;

      if (route.children) {
        pathOrLayoutRoute.children = convertRoutesToDataRoutes(route.children, detectErrorBoundary, treePath, manifest);
      }

      return pathOrLayoutRoute;
    }
  });
}
/**
 * Matches the given routes to a location and returns the match data.
 *
 * @see https://reactrouter.com/utils/match-routes
 */

function matchRoutes(routes, locationArg, basename) {
  if (basename === void 0) {
    basename = "/";
  }

  let location = typeof locationArg === "string" ? parsePath(locationArg) : locationArg;
  let pathname = stripBasename(location.pathname || "/", basename);

  if (pathname == null) {
    return null;
  }

  let branches = flattenRoutes(routes);
  rankRouteBranches(branches);
  let matches = null;

  for (let i = 0; matches == null && i < branches.length; ++i) {
    matches = matchRouteBranch(branches[i], // Incoming pathnames are generally encoded from either window.location
    // or from router.navigate, but we want to match against the unencoded
    // paths in the route definitions.  Memory router locations won't be
    // encoded here but there also shouldn't be anything to decode so this
    // should be a safe operation.  This avoids needing matchRoutes to be
    // history-aware.
    safelyDecodeURI(pathname));
  }

  return matches;
}

function flattenRoutes(routes, branches, parentsMeta, parentPath) {
  if (branches === void 0) {
    branches = [];
  }

  if (parentsMeta === void 0) {
    parentsMeta = [];
  }

  if (parentPath === void 0) {
    parentPath = "";
  }

  let flattenRoute = (route, index, relativePath) => {
    let meta = {
      relativePath: relativePath === undefined ? route.path || "" : relativePath,
      caseSensitive: route.caseSensitive === true,
      childrenIndex: index,
      route
    };

    if (meta.relativePath.startsWith("/")) {
      invariant(meta.relativePath.startsWith(parentPath), "Absolute route path \"" + meta.relativePath + "\" nested under path " + ("\"" + parentPath + "\" is not valid. An absolute child route path ") + "must start with the combined path of all its parent routes.");
      meta.relativePath = meta.relativePath.slice(parentPath.length);
    }

    let path = joinPaths([parentPath, meta.relativePath]);
    let routesMeta = parentsMeta.concat(meta); // Add the children before adding this route to the array so we traverse the
    // route tree depth-first and child routes appear before their parents in
    // the "flattened" version.

    if (route.children && route.children.length > 0) {
      invariant( // Our types know better, but runtime JS may not!
      // @ts-expect-error
      route.index !== true, "Index routes must not have child routes. Please remove " + ("all child routes from route path \"" + path + "\"."));
      flattenRoutes(route.children, branches, routesMeta, path);
    } // Routes without a path shouldn't ever match by themselves unless they are
    // index routes, so don't add them to the list of possible branches.


    if (route.path == null && !route.index) {
      return;
    }

    branches.push({
      path,
      score: computeScore(path, route.index),
      routesMeta
    });
  };

  routes.forEach((route, index) => {
    var _route$path;

    // coarse-grain check for optional params
    if (route.path === "" || !((_route$path = route.path) != null && _route$path.includes("?"))) {
      flattenRoute(route, index);
    } else {
      for (let exploded of explodeOptionalSegments(route.path)) {
        flattenRoute(route, index, exploded);
      }
    }
  });
  return branches;
}
/**
 * Computes all combinations of optional path segments for a given path,
 * excluding combinations that are ambiguous and of lower priority.
 *
 * For example, `/one/:two?/three/:four?/:five?` explodes to:
 * - `/one/three`
 * - `/one/:two/three`
 * - `/one/three/:four`
 * - `/one/three/:five`
 * - `/one/:two/three/:four`
 * - `/one/:two/three/:five`
 * - `/one/three/:four/:five`
 * - `/one/:two/three/:four/:five`
 */


function explodeOptionalSegments(path) {
  let segments = path.split("/");
  if (segments.length === 0) return [];
  let [first, ...rest] = segments; // Optional path segments are denoted by a trailing `?`

  let isOptional = first.endsWith("?"); // Compute the corresponding required segment: `foo?` -> `foo`

  let required = first.replace(/\?$/, "");

  if (rest.length === 0) {
    // Intepret empty string as omitting an optional segment
    // `["one", "", "three"]` corresponds to omitting `:two` from `/one/:two?/three` -> `/one/three`
    return isOptional ? [required, ""] : [required];
  }

  let restExploded = explodeOptionalSegments(rest.join("/"));
  let result = []; // All child paths with the prefix.  Do this for all children before the
  // optional version for all children so we get consistent ordering where the
  // parent optional aspect is preferred as required.  Otherwise, we can get
  // child sections interspersed where deeper optional segments are higher than
  // parent optional segments, where for example, /:two would explodes _earlier_
  // then /:one.  By always including the parent as required _for all children_
  // first, we avoid this issue

  result.push(...restExploded.map(subpath => subpath === "" ? required : [required, subpath].join("/"))); // Then if this is an optional value, add all child versions without

  if (isOptional) {
    result.push(...restExploded);
  } // for absolute paths, ensure `/` instead of empty segment


  return result.map(exploded => path.startsWith("/") && exploded === "" ? "/" : exploded);
}

function rankRouteBranches(branches) {
  branches.sort((a, b) => a.score !== b.score ? b.score - a.score // Higher score first
  : compareIndexes(a.routesMeta.map(meta => meta.childrenIndex), b.routesMeta.map(meta => meta.childrenIndex)));
}

const paramRe = /^:\w+$/;
const dynamicSegmentValue = 3;
const indexRouteValue = 2;
const emptySegmentValue = 1;
const staticSegmentValue = 10;
const splatPenalty = -2;

const isSplat = s => s === "*";

function computeScore(path, index) {
  let segments = path.split("/");
  let initialScore = segments.length;

  if (segments.some(isSplat)) {
    initialScore += splatPenalty;
  }

  if (index) {
    initialScore += indexRouteValue;
  }

  return segments.filter(s => !isSplat(s)).reduce((score, segment) => score + (paramRe.test(segment) ? dynamicSegmentValue : segment === "" ? emptySegmentValue : staticSegmentValue), initialScore);
}

function compareIndexes(a, b) {
  let siblings = a.length === b.length && a.slice(0, -1).every((n, i) => n === b[i]);
  return siblings ? // If two routes are siblings, we should try to match the earlier sibling
  // first. This allows people to have fine-grained control over the matching
  // behavior by simply putting routes with identical paths in the order they
  // want them tried.
  a[a.length - 1] - b[b.length - 1] : // Otherwise, it doesn't really make sense to rank non-siblings by index,
  // so they sort equally.
  0;
}

function matchRouteBranch(branch, pathname) {
  let {
    routesMeta
  } = branch;
  let matchedParams = {};
  let matchedPathname = "/";
  let matches = [];

  for (let i = 0; i < routesMeta.length; ++i) {
    let meta = routesMeta[i];
    let end = i === routesMeta.length - 1;
    let remainingPathname = matchedPathname === "/" ? pathname : pathname.slice(matchedPathname.length) || "/";
    let match = matchPath({
      path: meta.relativePath,
      caseSensitive: meta.caseSensitive,
      end
    }, remainingPathname);
    if (!match) return null;
    Object.assign(matchedParams, match.params);
    let route = meta.route;
    matches.push({
      // TODO: Can this as be avoided?
      params: matchedParams,
      pathname: joinPaths([matchedPathname, match.pathname]),
      pathnameBase: normalizePathname(joinPaths([matchedPathname, match.pathnameBase])),
      route
    });

    if (match.pathnameBase !== "/") {
      matchedPathname = joinPaths([matchedPathname, match.pathnameBase]);
    }
  }

  return matches;
}
/**
 * Returns a path with params interpolated.
 *
 * @see https://reactrouter.com/utils/generate-path
 */


function generatePath(originalPath, params) {
  if (params === void 0) {
    params = {};
  }

  let path = originalPath;

  if (path.endsWith("*") && path !== "*" && !path.endsWith("/*")) {
    warning(false, "Route path \"" + path + "\" will be treated as if it were " + ("\"" + path.replace(/\*$/, "/*") + "\" because the `*` character must ") + "always follow a `/` in the pattern. To get rid of this warning, " + ("please change the route path to \"" + path.replace(/\*$/, "/*") + "\"."));
    path = path.replace(/\*$/, "/*");
  } // ensure `/` is added at the beginning if the path is absolute


  const prefix = path.startsWith("/") ? "/" : "";
  const segments = path.split(/\/+/).map((segment, index, array) => {
    const isLastSegment = index === array.length - 1; // only apply the splat if it's the last segment

    if (isLastSegment && segment === "*") {
      const star = "*";
      const starParam = params[star]; // Apply the splat

      return starParam;
    }

    const keyMatch = segment.match(/^:(\w+)(\??)$/);

    if (keyMatch) {
      const [, key, optional] = keyMatch;
      let param = params[key];

      if (optional === "?") {
        return param == null ? "" : param;
      }

      if (param == null) {
        invariant(false, "Missing \":" + key + "\" param");
      }

      return param;
    } // Remove any optional markers from optional static segments


    return segment.replace(/\?$/g, "");
  }) // Remove empty segments
  .filter(segment => !!segment);
  return prefix + segments.join("/");
}
/**
 * Performs pattern matching on a URL pathname and returns information about
 * the match.
 *
 * @see https://reactrouter.com/utils/match-path
 */

function matchPath(pattern, pathname) {
  if (typeof pattern === "string") {
    pattern = {
      path: pattern,
      caseSensitive: false,
      end: true
    };
  }

  let [matcher, paramNames] = compilePath(pattern.path, pattern.caseSensitive, pattern.end);
  let match = pathname.match(matcher);
  if (!match) return null;
  let matchedPathname = match[0];
  let pathnameBase = matchedPathname.replace(/(.)\/+$/, "$1");
  let captureGroups = match.slice(1);
  let params = paramNames.reduce((memo, paramName, index) => {
    // We need to compute the pathnameBase here using the raw splat value
    // instead of using params["*"] later because it will be decoded then
    if (paramName === "*") {
      let splatValue = captureGroups[index] || "";
      pathnameBase = matchedPathname.slice(0, matchedPathname.length - splatValue.length).replace(/(.)\/+$/, "$1");
    }

    memo[paramName] = safelyDecodeURIComponent(captureGroups[index] || "", paramName);
    return memo;
  }, {});
  return {
    params,
    pathname: matchedPathname,
    pathnameBase,
    pattern
  };
}

function compilePath(path, caseSensitive, end) {
  if (caseSensitive === void 0) {
    caseSensitive = false;
  }

  if (end === void 0) {
    end = true;
  }

  warning(path === "*" || !path.endsWith("*") || path.endsWith("/*"), "Route path \"" + path + "\" will be treated as if it were " + ("\"" + path.replace(/\*$/, "/*") + "\" because the `*` character must ") + "always follow a `/` in the pattern. To get rid of this warning, " + ("please change the route path to \"" + path.replace(/\*$/, "/*") + "\"."));
  let paramNames = [];
  let regexpSource = "^" + path.replace(/\/*\*?$/, "") // Ignore trailing / and /*, we'll handle it below
  .replace(/^\/*/, "/") // Make sure it has a leading /
  .replace(/[\\.*+^$?{}|()[\]]/g, "\\$&") // Escape special regex chars
  .replace(/\/:(\w+)/g, (_, paramName) => {
    paramNames.push(paramName);
    return "/([^\\/]+)";
  });

  if (path.endsWith("*")) {
    paramNames.push("*");
    regexpSource += path === "*" || path === "/*" ? "(.*)$" // Already matched the initial /, just match the rest
    : "(?:\\/(.+)|\\/*)$"; // Don't include the / in params["*"]
  } else if (end) {
    // When matching to the end, ignore trailing slashes
    regexpSource += "\\/*$";
  } else if (path !== "" && path !== "/") {
    // If our path is non-empty and contains anything beyond an initial slash,
    // then we have _some_ form of path in our regex so we should expect to
    // match only if we find the end of this path segment.  Look for an optional
    // non-captured trailing slash (to match a portion of the URL) or the end
    // of the path (if we've matched to the end).  We used to do this with a
    // word boundary but that gives false positives on routes like
    // /user-preferences since `-` counts as a word boundary.
    regexpSource += "(?:(?=\\/|$))";
  } else ;

  let matcher = new RegExp(regexpSource, caseSensitive ? undefined : "i");
  return [matcher, paramNames];
}

function safelyDecodeURI(value) {
  try {
    return decodeURI(value);
  } catch (error) {
    warning(false, "The URL path \"" + value + "\" could not be decoded because it is is a " + "malformed URL segment. This is probably due to a bad percent " + ("encoding (" + error + ")."));
    return value;
  }
}

function safelyDecodeURIComponent(value, paramName) {
  try {
    return decodeURIComponent(value);
  } catch (error) {
    warning(false, "The value for the URL param \"" + paramName + "\" will not be decoded because" + (" the string \"" + value + "\" is a malformed URL segment. This is probably") + (" due to a bad percent encoding (" + error + ")."));
    return value;
  }
}
/**
 * @private
 */


function stripBasename(pathname, basename) {
  if (basename === "/") return pathname;

  if (!pathname.toLowerCase().startsWith(basename.toLowerCase())) {
    return null;
  } // We want to leave trailing slash behavior in the user's control, so if they
  // specify a basename with a trailing slash, we should support it


  let startIndex = basename.endsWith("/") ? basename.length - 1 : basename.length;
  let nextChar = pathname.charAt(startIndex);

  if (nextChar && nextChar !== "/") {
    // pathname does not start with basename/
    return null;
  }

  return pathname.slice(startIndex) || "/";
}
/**
 * Returns a resolved path object relative to the given pathname.
 *
 * @see https://reactrouter.com/utils/resolve-path
 */

function resolvePath(to, fromPathname) {
  if (fromPathname === void 0) {
    fromPathname = "/";
  }

  let {
    pathname: toPathname,
    search = "",
    hash = ""
  } = typeof to === "string" ? parsePath(to) : to;
  let pathname = toPathname ? toPathname.startsWith("/") ? toPathname : resolvePathname(toPathname, fromPathname) : fromPathname;
  return {
    pathname,
    search: normalizeSearch(search),
    hash: normalizeHash(hash)
  };
}

function resolvePathname(relativePath, fromPathname) {
  let segments = fromPathname.replace(/\/+$/, "").split("/");
  let relativeSegments = relativePath.split("/");
  relativeSegments.forEach(segment => {
    if (segment === "..") {
      // Keep the root "" segment so the pathname starts at /
      if (segments.length > 1) segments.pop();
    } else if (segment !== ".") {
      segments.push(segment);
    }
  });
  return segments.length > 1 ? segments.join("/") : "/";
}

function getInvalidPathError(char, field, dest, path) {
  return "Cannot include a '" + char + "' character in a manually specified " + ("`to." + field + "` field [" + JSON.stringify(path) + "].  Please separate it out to the ") + ("`to." + dest + "` field. Alternatively you may provide the full path as ") + "a string in <Link to=\"...\"> and the router will parse it for you.";
}
/**
 * @private
 *
 * When processing relative navigation we want to ignore ancestor routes that
 * do not contribute to the path, such that index/pathless layout routes don't
 * interfere.
 *
 * For example, when moving a route element into an index route and/or a
 * pathless layout route, relative link behavior contained within should stay
 * the same.  Both of the following examples should link back to the root:
 *
 *   <Route path="/">
 *     <Route path="accounts" element={<Link to=".."}>
 *   </Route>
 *
 *   <Route path="/">
 *     <Route path="accounts">
 *       <Route element={<AccountsLayout />}>       // <-- Does not contribute
 *         <Route index element={<Link to=".."} />  // <-- Does not contribute
 *       </Route
 *     </Route>
 *   </Route>
 */


function getPathContributingMatches(matches) {
  return matches.filter((match, index) => index === 0 || match.route.path && match.route.path.length > 0);
}
/**
 * @private
 */

function resolveTo(toArg, routePathnames, locationPathname, isPathRelative) {
  if (isPathRelative === void 0) {
    isPathRelative = false;
  }

  let to;

  if (typeof toArg === "string") {
    to = parsePath(toArg);
  } else {
    to = _extends({}, toArg);
    invariant(!to.pathname || !to.pathname.includes("?"), getInvalidPathError("?", "pathname", "search", to));
    invariant(!to.pathname || !to.pathname.includes("#"), getInvalidPathError("#", "pathname", "hash", to));
    invariant(!to.search || !to.search.includes("#"), getInvalidPathError("#", "search", "hash", to));
  }

  let isEmptyPath = toArg === "" || to.pathname === "";
  let toPathname = isEmptyPath ? "/" : to.pathname;
  let from; // Routing is relative to the current pathname if explicitly requested.
  //
  // If a pathname is explicitly provided in `to`, it should be relative to the
  // route context. This is explained in `Note on `<Link to>` values` in our
  // migration guide from v5 as a means of disambiguation between `to` values
  // that begin with `/` and those that do not. However, this is problematic for
  // `to` values that do not provide a pathname. `to` can simply be a search or
  // hash string, in which case we should assume that the navigation is relative
  // to the current location's pathname and *not* the route pathname.

  if (isPathRelative || toPathname == null) {
    from = locationPathname;
  } else {
    let routePathnameIndex = routePathnames.length - 1;

    if (toPathname.startsWith("..")) {
      let toSegments = toPathname.split("/"); // Each leading .. segment means "go up one route" instead of "go up one
      // URL segment".  This is a key difference from how <a href> works and a
      // major reason we call this a "to" value instead of a "href".

      while (toSegments[0] === "..") {
        toSegments.shift();
        routePathnameIndex -= 1;
      }

      to.pathname = toSegments.join("/");
    } // If there are more ".." segments than parent routes, resolve relative to
    // the root / URL.


    from = routePathnameIndex >= 0 ? routePathnames[routePathnameIndex] : "/";
  }

  let path = resolvePath(to, from); // Ensure the pathname has a trailing slash if the original "to" had one

  let hasExplicitTrailingSlash = toPathname && toPathname !== "/" && toPathname.endsWith("/"); // Or if this was a link to the current path which has a trailing slash

  let hasCurrentTrailingSlash = (isEmptyPath || toPathname === ".") && locationPathname.endsWith("/");

  if (!path.pathname.endsWith("/") && (hasExplicitTrailingSlash || hasCurrentTrailingSlash)) {
    path.pathname += "/";
  }

  return path;
}
/**
 * @private
 */

function getToPathname(to) {
  // Empty strings should be treated the same as / paths
  return to === "" || to.pathname === "" ? "/" : typeof to === "string" ? parsePath(to).pathname : to.pathname;
}
/**
 * @private
 */

const joinPaths = paths => paths.join("/").replace(/\/\/+/g, "/");
/**
 * @private
 */

const normalizePathname = pathname => pathname.replace(/\/+$/, "").replace(/^\/*/, "/");
/**
 * @private
 */

const normalizeSearch = search => !search || search === "?" ? "" : search.startsWith("?") ? search : "?" + search;
/**
 * @private
 */

const normalizeHash = hash => !hash || hash === "#" ? "" : hash.startsWith("#") ? hash : "#" + hash;
/**
 * This is a shortcut for creating `application/json` responses. Converts `data`
 * to JSON and sets the `Content-Type` header.
 */

const json = function json(data, init) {
  if (init === void 0) {
    init = {};
  }

  let responseInit = typeof init === "number" ? {
    status: init
  } : init;
  let headers = new Headers(responseInit.headers);

  if (!headers.has("Content-Type")) {
    headers.set("Content-Type", "application/json; charset=utf-8");
  }

  return new Response(JSON.stringify(data), _extends({}, responseInit, {
    headers
  }));
};
class AbortedDeferredError extends Error {}
class DeferredData {
  constructor(data, responseInit) {
    this.pendingKeysSet = new Set();
    this.subscribers = new Set();
    this.deferredKeys = [];
    invariant(data && typeof data === "object" && !Array.isArray(data), "defer() only accepts plain objects"); // Set up an AbortController + Promise we can race against to exit early
    // cancellation

    let reject;
    this.abortPromise = new Promise((_, r) => reject = r);
    this.controller = new AbortController();

    let onAbort = () => reject(new AbortedDeferredError("Deferred data aborted"));

    this.unlistenAbortSignal = () => this.controller.signal.removeEventListener("abort", onAbort);

    this.controller.signal.addEventListener("abort", onAbort);
    this.data = Object.entries(data).reduce((acc, _ref) => {
      let [key, value] = _ref;
      return Object.assign(acc, {
        [key]: this.trackPromise(key, value)
      });
    }, {});

    if (this.done) {
      // All incoming values were resolved
      this.unlistenAbortSignal();
    }

    this.init = responseInit;
  }

  trackPromise(key, value) {
    if (!(value instanceof Promise)) {
      return value;
    }

    this.deferredKeys.push(key);
    this.pendingKeysSet.add(key); // We store a little wrapper promise that will be extended with
    // _data/_error props upon resolve/reject

    let promise = Promise.race([value, this.abortPromise]).then(data => this.onSettle(promise, key, null, data), error => this.onSettle(promise, key, error)); // Register rejection listeners to avoid uncaught promise rejections on
    // errors or aborted deferred values

    promise.catch(() => {});
    Object.defineProperty(promise, "_tracked", {
      get: () => true
    });
    return promise;
  }

  onSettle(promise, key, error, data) {
    if (this.controller.signal.aborted && error instanceof AbortedDeferredError) {
      this.unlistenAbortSignal();
      Object.defineProperty(promise, "_error", {
        get: () => error
      });
      return Promise.reject(error);
    }

    this.pendingKeysSet.delete(key);

    if (this.done) {
      // Nothing left to abort!
      this.unlistenAbortSignal();
    }

    if (error) {
      Object.defineProperty(promise, "_error", {
        get: () => error
      });
      this.emit(false, key);
      return Promise.reject(error);
    }

    Object.defineProperty(promise, "_data", {
      get: () => data
    });
    this.emit(false, key);
    return data;
  }

  emit(aborted, settledKey) {
    this.subscribers.forEach(subscriber => subscriber(aborted, settledKey));
  }

  subscribe(fn) {
    this.subscribers.add(fn);
    return () => this.subscribers.delete(fn);
  }

  cancel() {
    this.controller.abort();
    this.pendingKeysSet.forEach((v, k) => this.pendingKeysSet.delete(k));
    this.emit(true);
  }

  async resolveData(signal) {
    let aborted = false;

    if (!this.done) {
      let onAbort = () => this.cancel();

      signal.addEventListener("abort", onAbort);
      aborted = await new Promise(resolve => {
        this.subscribe(aborted => {
          signal.removeEventListener("abort", onAbort);

          if (aborted || this.done) {
            resolve(aborted);
          }
        });
      });
    }

    return aborted;
  }

  get done() {
    return this.pendingKeysSet.size === 0;
  }

  get unwrappedData() {
    invariant(this.data !== null && this.done, "Can only unwrap data on initialized and settled deferreds");
    return Object.entries(this.data).reduce((acc, _ref2) => {
      let [key, value] = _ref2;
      return Object.assign(acc, {
        [key]: unwrapTrackedPromise(value)
      });
    }, {});
  }

  get pendingKeys() {
    return Array.from(this.pendingKeysSet);
  }

}

function isTrackedPromise(value) {
  return value instanceof Promise && value._tracked === true;
}

function unwrapTrackedPromise(value) {
  if (!isTrackedPromise(value)) {
    return value;
  }

  if (value._error) {
    throw value._error;
  }

  return value._data;
}

const defer = function defer(data, init) {
  if (init === void 0) {
    init = {};
  }

  let responseInit = typeof init === "number" ? {
    status: init
  } : init;
  return new DeferredData(data, responseInit);
};
/**
 * A redirect response. Sets the status code and the `Location` header.
 * Defaults to "302 Found".
 */

const redirect = function redirect(url, init) {
  if (init === void 0) {
    init = 302;
  }

  let responseInit = init;

  if (typeof responseInit === "number") {
    responseInit = {
      status: responseInit
    };
  } else if (typeof responseInit.status === "undefined") {
    responseInit.status = 302;
  }

  let headers = new Headers(responseInit.headers);
  headers.set("Location", url);
  return new Response(null, _extends({}, responseInit, {
    headers
  }));
};
/**
 * @private
 * Utility class we use to hold auto-unwrapped 4xx/5xx Response bodies
 */

class ErrorResponse {
  constructor(status, statusText, data, internal) {
    if (internal === void 0) {
      internal = false;
    }

    this.status = status;
    this.statusText = statusText || "";
    this.internal = internal;

    if (data instanceof Error) {
      this.data = data.toString();
      this.error = data;
    } else {
      this.data = data;
    }
  }

}
/**
 * Check if the given error is an ErrorResponse generated from a 4xx/5xx
 * Response thrown from an action/loader
 */

function isRouteErrorResponse(error) {
  return error != null && typeof error.status === "number" && typeof error.statusText === "string" && typeof error.internal === "boolean" && "data" in error;
}

const validMutationMethodsArr = ["post", "put", "patch", "delete"];
const validMutationMethods = new Set(validMutationMethodsArr);
const validRequestMethodsArr = ["get", ...validMutationMethodsArr];
const validRequestMethods = new Set(validRequestMethodsArr);
const redirectStatusCodes = new Set([301, 302, 303, 307, 308]);
const redirectPreserveMethodStatusCodes = new Set([307, 308]);
const IDLE_NAVIGATION = {
  state: "idle",
  location: undefined,
  formMethod: undefined,
  formAction: undefined,
  formEncType: undefined,
  formData: undefined
};
const IDLE_FETCHER = {
  state: "idle",
  data: undefined,
  formMethod: undefined,
  formAction: undefined,
  formEncType: undefined,
  formData: undefined
};
const IDLE_BLOCKER = {
  state: "unblocked",
  proceed: undefined,
  reset: undefined,
  location: undefined
};
const ABSOLUTE_URL_REGEX = /^(?:[a-z][a-z0-9+.-]*:|\/\/)/i;
const isBrowser =  true && typeof window.document !== "undefined" && typeof window.document.createElement !== "undefined";
const isServer = !isBrowser;

const defaultDetectErrorBoundary = route => Boolean(route.hasErrorBoundary); //#endregion
////////////////////////////////////////////////////////////////////////////////
//#region createRouter
////////////////////////////////////////////////////////////////////////////////

/**
 * Create a router and listen to history POP navigations
 */


function createRouter(init) {
  invariant(init.routes.length > 0, "You must provide a non-empty routes array to createRouter");
  let detectErrorBoundary = init.detectErrorBoundary || defaultDetectErrorBoundary; // Routes keyed by ID

  let manifest = {}; // Routes in tree format for matching

  let dataRoutes = convertRoutesToDataRoutes(init.routes, detectErrorBoundary, undefined, manifest);
  let inFlightDataRoutes; // Config driven behavior flags

  let future = _extends({
    v7_normalizeFormMethod: false
  }, init.future); // Cleanup function for history


  let unlistenHistory = null; // Externally-provided functions to call on all state changes

  let subscribers = new Set(); // Externally-provided object to hold scroll restoration locations during routing

  let savedScrollPositions = null; // Externally-provided function to get scroll restoration keys

  let getScrollRestorationKey = null; // Externally-provided function to get current scroll position

  let getScrollPosition = null; // One-time flag to control the initial hydration scroll restoration.  Because
  // we don't get the saved positions from <ScrollRestoration /> until _after_
  // the initial render, we need to manually trigger a separate updateState to
  // send along the restoreScrollPosition
  // Set to true if we have `hydrationData` since we assume we were SSR'd and that
  // SSR did the initial scroll restoration.

  let initialScrollRestored = init.hydrationData != null;
  let initialMatches = matchRoutes(dataRoutes, init.history.location, init.basename);
  let initialErrors = null;

  if (initialMatches == null) {
    // If we do not match a user-provided-route, fall back to the root
    // to allow the error boundary to take over
    let error = getInternalRouterError(404, {
      pathname: init.history.location.pathname
    });
    let {
      matches,
      route
    } = getShortCircuitMatches(dataRoutes);
    initialMatches = matches;
    initialErrors = {
      [route.id]: error
    };
  }

  let initialized = // All initialMatches need to be loaded before we're ready.  If we have lazy
  // functions around still then we'll need to run them in initialize()
  !initialMatches.some(m => m.route.lazy) && ( // And we have to either have no loaders or have been provided hydrationData
  !initialMatches.some(m => m.route.loader) || init.hydrationData != null);
  let router;
  let state = {
    historyAction: init.history.action,
    location: init.history.location,
    matches: initialMatches,
    initialized,
    navigation: IDLE_NAVIGATION,
    // Don't restore on initial updateState() if we were SSR'd
    restoreScrollPosition: init.hydrationData != null ? false : null,
    preventScrollReset: false,
    revalidation: "idle",
    loaderData: init.hydrationData && init.hydrationData.loaderData || {},
    actionData: init.hydrationData && init.hydrationData.actionData || null,
    errors: init.hydrationData && init.hydrationData.errors || initialErrors,
    fetchers: new Map(),
    blockers: new Map()
  }; // -- Stateful internal variables to manage navigations --
  // Current navigation in progress (to be committed in completeNavigation)

  let pendingAction = Action.Pop; // Should the current navigation prevent the scroll reset if scroll cannot
  // be restored?

  let pendingPreventScrollReset = false; // AbortController for the active navigation

  let pendingNavigationController; // We use this to avoid touching history in completeNavigation if a
  // revalidation is entirely uninterrupted

  let isUninterruptedRevalidation = false; // Use this internal flag to force revalidation of all loaders:
  //  - submissions (completed or interrupted)
  //  - useRevalidate()
  //  - X-Remix-Revalidate (from redirect)

  let isRevalidationRequired = false; // Use this internal array to capture routes that require revalidation due
  // to a cancelled deferred on action submission

  let cancelledDeferredRoutes = []; // Use this internal array to capture fetcher loads that were cancelled by an
  // action navigation and require revalidation

  let cancelledFetcherLoads = []; // AbortControllers for any in-flight fetchers

  let fetchControllers = new Map(); // Track loads based on the order in which they started

  let incrementingLoadId = 0; // Track the outstanding pending navigation data load to be compared against
  // the globally incrementing load when a fetcher load lands after a completed
  // navigation

  let pendingNavigationLoadId = -1; // Fetchers that triggered data reloads as a result of their actions

  let fetchReloadIds = new Map(); // Fetchers that triggered redirect navigations from their actions

  let fetchRedirectIds = new Set(); // Most recent href/match for fetcher.load calls for fetchers

  let fetchLoadMatches = new Map(); // Store DeferredData instances for active route matches.  When a
  // route loader returns defer() we stick one in here.  Then, when a nested
  // promise resolves we update loaderData.  If a new navigation starts we
  // cancel active deferreds for eliminated routes.

  let activeDeferreds = new Map(); // Store blocker functions in a separate Map outside of router state since
  // we don't need to update UI state if they change

  let blockerFunctions = new Map(); // Flag to ignore the next history update, so we can revert the URL change on
  // a POP navigation that was blocked by the user without touching router state

  let ignoreNextHistoryUpdate = false; // Initialize the router, all side effects should be kicked off from here.
  // Implemented as a Fluent API for ease of:
  //   let router = createRouter(init).initialize();

  function initialize() {
    // If history informs us of a POP navigation, start the navigation but do not update
    // state.  We'll update our own state once the navigation completes
    unlistenHistory = init.history.listen(_ref => {
      let {
        action: historyAction,
        location,
        delta
      } = _ref;

      // Ignore this event if it was just us resetting the URL from a
      // blocked POP navigation
      if (ignoreNextHistoryUpdate) {
        ignoreNextHistoryUpdate = false;
        return;
      }

      warning(blockerFunctions.size === 0 || delta != null, "You are trying to use a blocker on a POP navigation to a location " + "that was not created by @remix-run/router. This will fail silently in " + "production. This can happen if you are navigating outside the router " + "via `window.history.pushState`/`window.location.hash` instead of using " + "router navigation APIs.  This can also happen if you are using " + "createHashRouter and the user manually changes the URL.");
      let blockerKey = shouldBlockNavigation({
        currentLocation: state.location,
        nextLocation: location,
        historyAction
      });

      if (blockerKey && delta != null) {
        // Restore the URL to match the current UI, but don't update router state
        ignoreNextHistoryUpdate = true;
        init.history.go(delta * -1); // Put the blocker into a blocked state

        updateBlocker(blockerKey, {
          state: "blocked",
          location,

          proceed() {
            updateBlocker(blockerKey, {
              state: "proceeding",
              proceed: undefined,
              reset: undefined,
              location
            }); // Re-do the same POP navigation we just blocked

            init.history.go(delta);
          },

          reset() {
            deleteBlocker(blockerKey);
            updateState({
              blockers: new Map(router.state.blockers)
            });
          }

        });
        return;
      }

      return startNavigation(historyAction, location);
    }); // Kick off initial data load if needed.  Use Pop to avoid modifying history
    // Note we don't do any handling of lazy here.  For SPA's it'll get handled
    // in the normal navigation flow.  For SSR it's expected that lazy modules are
    // resolved prior to router creation since we can't go into a fallbackElement
    // UI for SSR'd apps

    if (!state.initialized) {
      startNavigation(Action.Pop, state.location);
    }

    return router;
  } // Clean up a router and it's side effects


  function dispose() {
    if (unlistenHistory) {
      unlistenHistory();
    }

    subscribers.clear();
    pendingNavigationController && pendingNavigationController.abort();
    state.fetchers.forEach((_, key) => deleteFetcher(key));
    state.blockers.forEach((_, key) => deleteBlocker(key));
  } // Subscribe to state updates for the router


  function subscribe(fn) {
    subscribers.add(fn);
    return () => subscribers.delete(fn);
  } // Update our state and notify the calling context of the change


  function updateState(newState) {
    state = _extends({}, state, newState);
    subscribers.forEach(subscriber => subscriber(state));
  } // Complete a navigation returning the state.navigation back to the IDLE_NAVIGATION
  // and setting state.[historyAction/location/matches] to the new route.
  // - Location is a required param
  // - Navigation will always be set to IDLE_NAVIGATION
  // - Can pass any other state in newState


  function completeNavigation(location, newState) {
    var _location$state, _location$state2;

    // Deduce if we're in a loading/actionReload state:
    // - We have committed actionData in the store
    // - The current navigation was a mutation submission
    // - We're past the submitting state and into the loading state
    // - The location being loaded is not the result of a redirect
    let isActionReload = state.actionData != null && state.navigation.formMethod != null && isMutationMethod(state.navigation.formMethod) && state.navigation.state === "loading" && ((_location$state = location.state) == null ? void 0 : _location$state._isRedirect) !== true;
    let actionData;

    if (newState.actionData) {
      if (Object.keys(newState.actionData).length > 0) {
        actionData = newState.actionData;
      } else {
        // Empty actionData -> clear prior actionData due to an action error
        actionData = null;
      }
    } else if (isActionReload) {
      // Keep the current data if we're wrapping up the action reload
      actionData = state.actionData;
    } else {
      // Clear actionData on any other completed navigations
      actionData = null;
    } // Always preserve any existing loaderData from re-used routes


    let loaderData = newState.loaderData ? mergeLoaderData(state.loaderData, newState.loaderData, newState.matches || [], newState.errors) : state.loaderData; // On a successful navigation we can assume we got through all blockers
    // so we can start fresh

    for (let [key] of blockerFunctions) {
      deleteBlocker(key);
    } // Always respect the user flag.  Otherwise don't reset on mutation
    // submission navigations unless they redirect


    let preventScrollReset = pendingPreventScrollReset === true || state.navigation.formMethod != null && isMutationMethod(state.navigation.formMethod) && ((_location$state2 = location.state) == null ? void 0 : _location$state2._isRedirect) !== true;

    if (inFlightDataRoutes) {
      dataRoutes = inFlightDataRoutes;
      inFlightDataRoutes = undefined;
    }

    updateState(_extends({}, newState, {
      actionData,
      loaderData,
      historyAction: pendingAction,
      location,
      initialized: true,
      navigation: IDLE_NAVIGATION,
      revalidation: "idle",
      restoreScrollPosition: getSavedScrollPosition(location, newState.matches || state.matches),
      preventScrollReset,
      blockers: new Map(state.blockers)
    }));

    if (isUninterruptedRevalidation) ; else if (pendingAction === Action.Pop) ; else if (pendingAction === Action.Push) {
      init.history.push(location, location.state);
    } else if (pendingAction === Action.Replace) {
      init.history.replace(location, location.state);
    } // Reset stateful navigation vars


    pendingAction = Action.Pop;
    pendingPreventScrollReset = false;
    isUninterruptedRevalidation = false;
    isRevalidationRequired = false;
    cancelledDeferredRoutes = [];
    cancelledFetcherLoads = [];
  } // Trigger a navigation event, which can either be a numerical POP or a PUSH
  // replace with an optional submission


  async function navigate(to, opts) {
    if (typeof to === "number") {
      init.history.go(to);
      return;
    }

    let {
      path,
      submission,
      error
    } = normalizeNavigateOptions(to, future, opts);
    let currentLocation = state.location;
    let nextLocation = createLocation(state.location, path, opts && opts.state); // When using navigate as a PUSH/REPLACE we aren't reading an already-encoded
    // URL from window.location, so we need to encode it here so the behavior
    // remains the same as POP and non-data-router usages.  new URL() does all
    // the same encoding we'd get from a history.pushState/window.location read
    // without having to touch history

    nextLocation = _extends({}, nextLocation, init.history.encodeLocation(nextLocation));
    let userReplace = opts && opts.replace != null ? opts.replace : undefined;
    let historyAction = Action.Push;

    if (userReplace === true) {
      historyAction = Action.Replace;
    } else if (userReplace === false) ; else if (submission != null && isMutationMethod(submission.formMethod) && submission.formAction === state.location.pathname + state.location.search) {
      // By default on submissions to the current location we REPLACE so that
      // users don't have to double-click the back button to get to the prior
      // location.  If the user redirects to a different location from the
      // action/loader this will be ignored and the redirect will be a PUSH
      historyAction = Action.Replace;
    }

    let preventScrollReset = opts && "preventScrollReset" in opts ? opts.preventScrollReset === true : undefined;
    let blockerKey = shouldBlockNavigation({
      currentLocation,
      nextLocation,
      historyAction
    });

    if (blockerKey) {
      // Put the blocker into a blocked state
      updateBlocker(blockerKey, {
        state: "blocked",
        location: nextLocation,

        proceed() {
          updateBlocker(blockerKey, {
            state: "proceeding",
            proceed: undefined,
            reset: undefined,
            location: nextLocation
          }); // Send the same navigation through

          navigate(to, opts);
        },

        reset() {
          deleteBlocker(blockerKey);
          updateState({
            blockers: new Map(state.blockers)
          });
        }

      });
      return;
    }

    return await startNavigation(historyAction, nextLocation, {
      submission,
      // Send through the formData serialization error if we have one so we can
      // render at the right error boundary after we match routes
      pendingError: error,
      preventScrollReset,
      replace: opts && opts.replace
    });
  } // Revalidate all current loaders.  If a navigation is in progress or if this
  // is interrupted by a navigation, allow this to "succeed" by calling all
  // loaders during the next loader round


  function revalidate() {
    interruptActiveLoads();
    updateState({
      revalidation: "loading"
    }); // If we're currently submitting an action, we don't need to start a new
    // navigation, we'll just let the follow up loader execution call all loaders

    if (state.navigation.state === "submitting") {
      return;
    } // If we're currently in an idle state, start a new navigation for the current
    // action/location and mark it as uninterrupted, which will skip the history
    // update in completeNavigation


    if (state.navigation.state === "idle") {
      startNavigation(state.historyAction, state.location, {
        startUninterruptedRevalidation: true
      });
      return;
    } // Otherwise, if we're currently in a loading state, just start a new
    // navigation to the navigation.location but do not trigger an uninterrupted
    // revalidation so that history correctly updates once the navigation completes


    startNavigation(pendingAction || state.historyAction, state.navigation.location, {
      overrideNavigation: state.navigation
    });
  } // Start a navigation to the given action/location.  Can optionally provide a
  // overrideNavigation which will override the normalLoad in the case of a redirect
  // navigation


  async function startNavigation(historyAction, location, opts) {
    // Abort any in-progress navigations and start a new one. Unset any ongoing
    // uninterrupted revalidations unless told otherwise, since we want this
    // new navigation to update history normally
    pendingNavigationController && pendingNavigationController.abort();
    pendingNavigationController = null;
    pendingAction = historyAction;
    isUninterruptedRevalidation = (opts && opts.startUninterruptedRevalidation) === true; // Save the current scroll position every time we start a new navigation,
    // and track whether we should reset scroll on completion

    saveScrollPosition(state.location, state.matches);
    pendingPreventScrollReset = (opts && opts.preventScrollReset) === true;
    let routesToUse = inFlightDataRoutes || dataRoutes;
    let loadingNavigation = opts && opts.overrideNavigation;
    let matches = matchRoutes(routesToUse, location, init.basename); // Short circuit with a 404 on the root error boundary if we match nothing

    if (!matches) {
      let error = getInternalRouterError(404, {
        pathname: location.pathname
      });
      let {
        matches: notFoundMatches,
        route
      } = getShortCircuitMatches(routesToUse); // Cancel all pending deferred on 404s since we don't keep any routes

      cancelActiveDeferreds();
      completeNavigation(location, {
        matches: notFoundMatches,
        loaderData: {},
        errors: {
          [route.id]: error
        }
      });
      return;
    } // Short circuit if it's only a hash change and not a mutation submission
    // For example, on /page#hash and submit a <Form method="post"> which will
    // default to a navigation to /page


    if (isHashChangeOnly(state.location, location) && !(opts && opts.submission && isMutationMethod(opts.submission.formMethod))) {
      completeNavigation(location, {
        matches
      });
      return;
    } // Create a controller/Request for this navigation


    pendingNavigationController = new AbortController();
    let request = createClientSideRequest(init.history, location, pendingNavigationController.signal, opts && opts.submission);
    let pendingActionData;
    let pendingError;

    if (opts && opts.pendingError) {
      // If we have a pendingError, it means the user attempted a GET submission
      // with binary FormData so assign here and skip to handleLoaders.  That
      // way we handle calling loaders above the boundary etc.  It's not really
      // different from an actionError in that sense.
      pendingError = {
        [findNearestBoundary(matches).route.id]: opts.pendingError
      };
    } else if (opts && opts.submission && isMutationMethod(opts.submission.formMethod)) {
      // Call action if we received an action submission
      let actionOutput = await handleAction(request, location, opts.submission, matches, {
        replace: opts.replace
      });

      if (actionOutput.shortCircuited) {
        return;
      }

      pendingActionData = actionOutput.pendingActionData;
      pendingError = actionOutput.pendingActionError;

      let navigation = _extends({
        state: "loading",
        location
      }, opts.submission);

      loadingNavigation = navigation; // Create a GET request for the loaders

      request = new Request(request.url, {
        signal: request.signal
      });
    } // Call loaders


    let {
      shortCircuited,
      loaderData,
      errors
    } = await handleLoaders(request, location, matches, loadingNavigation, opts && opts.submission, opts && opts.fetcherSubmission, opts && opts.replace, pendingActionData, pendingError);

    if (shortCircuited) {
      return;
    } // Clean up now that the action/loaders have completed.  Don't clean up if
    // we short circuited because pendingNavigationController will have already
    // been assigned to a new controller for the next navigation


    pendingNavigationController = null;
    completeNavigation(location, _extends({
      matches
    }, pendingActionData ? {
      actionData: pendingActionData
    } : {}, {
      loaderData,
      errors
    }));
  } // Call the action matched by the leaf route for this navigation and handle
  // redirects/errors


  async function handleAction(request, location, submission, matches, opts) {
    interruptActiveLoads(); // Put us in a submitting state

    let navigation = _extends({
      state: "submitting",
      location
    }, submission);

    updateState({
      navigation
    }); // Call our action and get the result

    let result;
    let actionMatch = getTargetMatch(matches, location);

    if (!actionMatch.route.action && !actionMatch.route.lazy) {
      result = {
        type: ResultType.error,
        error: getInternalRouterError(405, {
          method: request.method,
          pathname: location.pathname,
          routeId: actionMatch.route.id
        })
      };
    } else {
      result = await callLoaderOrAction("action", request, actionMatch, matches, manifest, detectErrorBoundary, router.basename);

      if (request.signal.aborted) {
        return {
          shortCircuited: true
        };
      }
    }

    if (isRedirectResult(result)) {
      let replace;

      if (opts && opts.replace != null) {
        replace = opts.replace;
      } else {
        // If the user didn't explicity indicate replace behavior, replace if
        // we redirected to the exact same location we're currently at to avoid
        // double back-buttons
        replace = result.location === state.location.pathname + state.location.search;
      }

      await startRedirectNavigation(state, result, {
        submission,
        replace
      });
      return {
        shortCircuited: true
      };
    }

    if (isErrorResult(result)) {
      // Store off the pending error - we use it to determine which loaders
      // to call and will commit it when we complete the navigation
      let boundaryMatch = findNearestBoundary(matches, actionMatch.route.id); // By default, all submissions are REPLACE navigations, but if the
      // action threw an error that'll be rendered in an errorElement, we fall
      // back to PUSH so that the user can use the back button to get back to
      // the pre-submission form location to try again

      if ((opts && opts.replace) !== true) {
        pendingAction = Action.Push;
      }

      return {
        // Send back an empty object we can use to clear out any prior actionData
        pendingActionData: {},
        pendingActionError: {
          [boundaryMatch.route.id]: result.error
        }
      };
    }

    if (isDeferredResult(result)) {
      throw getInternalRouterError(400, {
        type: "defer-action"
      });
    }

    return {
      pendingActionData: {
        [actionMatch.route.id]: result.data
      }
    };
  } // Call all applicable loaders for the given matches, handling redirects,
  // errors, etc.


  async function handleLoaders(request, location, matches, overrideNavigation, submission, fetcherSubmission, replace, pendingActionData, pendingError) {
    // Figure out the right navigation we want to use for data loading
    let loadingNavigation = overrideNavigation;

    if (!loadingNavigation) {
      let navigation = _extends({
        state: "loading",
        location,
        formMethod: undefined,
        formAction: undefined,
        formEncType: undefined,
        formData: undefined
      }, submission);

      loadingNavigation = navigation;
    } // If this was a redirect from an action we don't have a "submission" but
    // we have it on the loading navigation so use that if available


    let activeSubmission = submission || fetcherSubmission ? submission || fetcherSubmission : loadingNavigation.formMethod && loadingNavigation.formAction && loadingNavigation.formData && loadingNavigation.formEncType ? {
      formMethod: loadingNavigation.formMethod,
      formAction: loadingNavigation.formAction,
      formData: loadingNavigation.formData,
      formEncType: loadingNavigation.formEncType
    } : undefined;
    let routesToUse = inFlightDataRoutes || dataRoutes;
    let [matchesToLoad, revalidatingFetchers] = getMatchesToLoad(init.history, state, matches, activeSubmission, location, isRevalidationRequired, cancelledDeferredRoutes, cancelledFetcherLoads, fetchLoadMatches, routesToUse, init.basename, pendingActionData, pendingError); // Cancel pending deferreds for no-longer-matched routes or routes we're
    // about to reload.  Note that if this is an action reload we would have
    // already cancelled all pending deferreds so this would be a no-op

    cancelActiveDeferreds(routeId => !(matches && matches.some(m => m.route.id === routeId)) || matchesToLoad && matchesToLoad.some(m => m.route.id === routeId)); // Short circuit if we have no loaders to run

    if (matchesToLoad.length === 0 && revalidatingFetchers.length === 0) {
      completeNavigation(location, _extends({
        matches,
        loaderData: {},
        // Commit pending error if we're short circuiting
        errors: pendingError || null
      }, pendingActionData ? {
        actionData: pendingActionData
      } : {}));
      return {
        shortCircuited: true
      };
    } // If this is an uninterrupted revalidation, we remain in our current idle
    // state.  If not, we need to switch to our loading state and load data,
    // preserving any new action data or existing action data (in the case of
    // a revalidation interrupting an actionReload)


    if (!isUninterruptedRevalidation) {
      revalidatingFetchers.forEach(rf => {
        let fetcher = state.fetchers.get(rf.key);
        let revalidatingFetcher = {
          state: "loading",
          data: fetcher && fetcher.data,
          formMethod: undefined,
          formAction: undefined,
          formEncType: undefined,
          formData: undefined,
          " _hasFetcherDoneAnything ": true
        };
        state.fetchers.set(rf.key, revalidatingFetcher);
      });
      let actionData = pendingActionData || state.actionData;
      updateState(_extends({
        navigation: loadingNavigation
      }, actionData ? Object.keys(actionData).length === 0 ? {
        actionData: null
      } : {
        actionData
      } : {}, revalidatingFetchers.length > 0 ? {
        fetchers: new Map(state.fetchers)
      } : {}));
    }

    pendingNavigationLoadId = ++incrementingLoadId;
    revalidatingFetchers.forEach(rf => fetchControllers.set(rf.key, pendingNavigationController));
    let {
      results,
      loaderResults,
      fetcherResults
    } = await callLoadersAndMaybeResolveData(state.matches, matches, matchesToLoad, revalidatingFetchers, request);

    if (request.signal.aborted) {
      return {
        shortCircuited: true
      };
    } // Clean up _after_ loaders have completed.  Don't clean up if we short
    // circuited because fetchControllers would have been aborted and
    // reassigned to new controllers for the next navigation


    revalidatingFetchers.forEach(rf => fetchControllers.delete(rf.key)); // If any loaders returned a redirect Response, start a new REPLACE navigation

    let redirect = findRedirect(results);

    if (redirect) {
      await startRedirectNavigation(state, redirect, {
        replace
      });
      return {
        shortCircuited: true
      };
    } // Process and commit output from loaders


    let {
      loaderData,
      errors
    } = processLoaderData(state, matches, matchesToLoad, loaderResults, pendingError, revalidatingFetchers, fetcherResults, activeDeferreds); // Wire up subscribers to update loaderData as promises settle

    activeDeferreds.forEach((deferredData, routeId) => {
      deferredData.subscribe(aborted => {
        // Note: No need to updateState here since the TrackedPromise on
        // loaderData is stable across resolve/reject
        // Remove this instance if we were aborted or if promises have settled
        if (aborted || deferredData.done) {
          activeDeferreds.delete(routeId);
        }
      });
    });
    markFetchRedirectsDone();
    let didAbortFetchLoads = abortStaleFetchLoads(pendingNavigationLoadId);
    return _extends({
      loaderData,
      errors
    }, didAbortFetchLoads || revalidatingFetchers.length > 0 ? {
      fetchers: new Map(state.fetchers)
    } : {});
  }

  function getFetcher(key) {
    return state.fetchers.get(key) || IDLE_FETCHER;
  } // Trigger a fetcher load/submit for the given fetcher key


  function fetch(key, routeId, href, opts) {
    if (isServer) {
      throw new Error("router.fetch() was called during the server render, but it shouldn't be. " + "You are likely calling a useFetcher() method in the body of your component. " + "Try moving it to a useEffect or a callback.");
    }

    if (fetchControllers.has(key)) abortFetcher(key);
    let routesToUse = inFlightDataRoutes || dataRoutes;
    let matches = matchRoutes(routesToUse, href, init.basename);

    if (!matches) {
      setFetcherError(key, routeId, getInternalRouterError(404, {
        pathname: href
      }));
      return;
    }

    let {
      path,
      submission
    } = normalizeNavigateOptions(href, future, opts, true);
    let match = getTargetMatch(matches, path);
    pendingPreventScrollReset = (opts && opts.preventScrollReset) === true;

    if (submission && isMutationMethod(submission.formMethod)) {
      handleFetcherAction(key, routeId, path, match, matches, submission);
      return;
    } // Store off the match so we can call it's shouldRevalidate on subsequent
    // revalidations


    fetchLoadMatches.set(key, {
      routeId,
      path
    });
    handleFetcherLoader(key, routeId, path, match, matches, submission);
  } // Call the action for the matched fetcher.submit(), and then handle redirects,
  // errors, and revalidation


  async function handleFetcherAction(key, routeId, path, match, requestMatches, submission) {
    interruptActiveLoads();
    fetchLoadMatches.delete(key);

    if (!match.route.action && !match.route.lazy) {
      let error = getInternalRouterError(405, {
        method: submission.formMethod,
        pathname: path,
        routeId: routeId
      });
      setFetcherError(key, routeId, error);
      return;
    } // Put this fetcher into it's submitting state


    let existingFetcher = state.fetchers.get(key);

    let fetcher = _extends({
      state: "submitting"
    }, submission, {
      data: existingFetcher && existingFetcher.data,
      " _hasFetcherDoneAnything ": true
    });

    state.fetchers.set(key, fetcher);
    updateState({
      fetchers: new Map(state.fetchers)
    }); // Call the action for the fetcher

    let abortController = new AbortController();
    let fetchRequest = createClientSideRequest(init.history, path, abortController.signal, submission);
    fetchControllers.set(key, abortController);
    let actionResult = await callLoaderOrAction("action", fetchRequest, match, requestMatches, manifest, detectErrorBoundary, router.basename);

    if (fetchRequest.signal.aborted) {
      // We can delete this so long as we weren't aborted by ou our own fetcher
      // re-submit which would have put _new_ controller is in fetchControllers
      if (fetchControllers.get(key) === abortController) {
        fetchControllers.delete(key);
      }

      return;
    }

    if (isRedirectResult(actionResult)) {
      fetchControllers.delete(key);
      fetchRedirectIds.add(key);

      let loadingFetcher = _extends({
        state: "loading"
      }, submission, {
        data: undefined,
        " _hasFetcherDoneAnything ": true
      });

      state.fetchers.set(key, loadingFetcher);
      updateState({
        fetchers: new Map(state.fetchers)
      });
      return startRedirectNavigation(state, actionResult, {
        submission,
        isFetchActionRedirect: true
      });
    } // Process any non-redirect errors thrown


    if (isErrorResult(actionResult)) {
      setFetcherError(key, routeId, actionResult.error);
      return;
    }

    if (isDeferredResult(actionResult)) {
      throw getInternalRouterError(400, {
        type: "defer-action"
      });
    } // Start the data load for current matches, or the next location if we're
    // in the middle of a navigation


    let nextLocation = state.navigation.location || state.location;
    let revalidationRequest = createClientSideRequest(init.history, nextLocation, abortController.signal);
    let routesToUse = inFlightDataRoutes || dataRoutes;
    let matches = state.navigation.state !== "idle" ? matchRoutes(routesToUse, state.navigation.location, init.basename) : state.matches;
    invariant(matches, "Didn't find any matches after fetcher action");
    let loadId = ++incrementingLoadId;
    fetchReloadIds.set(key, loadId);

    let loadFetcher = _extends({
      state: "loading",
      data: actionResult.data
    }, submission, {
      " _hasFetcherDoneAnything ": true
    });

    state.fetchers.set(key, loadFetcher);
    let [matchesToLoad, revalidatingFetchers] = getMatchesToLoad(init.history, state, matches, submission, nextLocation, isRevalidationRequired, cancelledDeferredRoutes, cancelledFetcherLoads, fetchLoadMatches, routesToUse, init.basename, {
      [match.route.id]: actionResult.data
    }, undefined // No need to send through errors since we short circuit above
    ); // Put all revalidating fetchers into the loading state, except for the
    // current fetcher which we want to keep in it's current loading state which
    // contains it's action submission info + action data

    revalidatingFetchers.filter(rf => rf.key !== key).forEach(rf => {
      let staleKey = rf.key;
      let existingFetcher = state.fetchers.get(staleKey);
      let revalidatingFetcher = {
        state: "loading",
        data: existingFetcher && existingFetcher.data,
        formMethod: undefined,
        formAction: undefined,
        formEncType: undefined,
        formData: undefined,
        " _hasFetcherDoneAnything ": true
      };
      state.fetchers.set(staleKey, revalidatingFetcher);
      fetchControllers.set(staleKey, abortController);
    });
    updateState({
      fetchers: new Map(state.fetchers)
    });
    let {
      results,
      loaderResults,
      fetcherResults
    } = await callLoadersAndMaybeResolveData(state.matches, matches, matchesToLoad, revalidatingFetchers, revalidationRequest);

    if (abortController.signal.aborted) {
      return;
    }

    fetchReloadIds.delete(key);
    fetchControllers.delete(key);
    revalidatingFetchers.forEach(r => fetchControllers.delete(r.key));
    let redirect = findRedirect(results);

    if (redirect) {
      return startRedirectNavigation(state, redirect);
    } // Process and commit output from loaders


    let {
      loaderData,
      errors
    } = processLoaderData(state, state.matches, matchesToLoad, loaderResults, undefined, revalidatingFetchers, fetcherResults, activeDeferreds);
    let doneFetcher = {
      state: "idle",
      data: actionResult.data,
      formMethod: undefined,
      formAction: undefined,
      formEncType: undefined,
      formData: undefined,
      " _hasFetcherDoneAnything ": true
    };
    state.fetchers.set(key, doneFetcher);
    let didAbortFetchLoads = abortStaleFetchLoads(loadId); // If we are currently in a navigation loading state and this fetcher is
    // more recent than the navigation, we want the newer data so abort the
    // navigation and complete it with the fetcher data

    if (state.navigation.state === "loading" && loadId > pendingNavigationLoadId) {
      invariant(pendingAction, "Expected pending action");
      pendingNavigationController && pendingNavigationController.abort();
      completeNavigation(state.navigation.location, {
        matches,
        loaderData,
        errors,
        fetchers: new Map(state.fetchers)
      });
    } else {
      // otherwise just update with the fetcher data, preserving any existing
      // loaderData for loaders that did not need to reload.  We have to
      // manually merge here since we aren't going through completeNavigation
      updateState(_extends({
        errors,
        loaderData: mergeLoaderData(state.loaderData, loaderData, matches, errors)
      }, didAbortFetchLoads ? {
        fetchers: new Map(state.fetchers)
      } : {}));
      isRevalidationRequired = false;
    }
  } // Call the matched loader for fetcher.load(), handling redirects, errors, etc.


  async function handleFetcherLoader(key, routeId, path, match, matches, submission) {
    let existingFetcher = state.fetchers.get(key); // Put this fetcher into it's loading state

    let loadingFetcher = _extends({
      state: "loading",
      formMethod: undefined,
      formAction: undefined,
      formEncType: undefined,
      formData: undefined
    }, submission, {
      data: existingFetcher && existingFetcher.data,
      " _hasFetcherDoneAnything ": true
    });

    state.fetchers.set(key, loadingFetcher);
    updateState({
      fetchers: new Map(state.fetchers)
    }); // Call the loader for this fetcher route match

    let abortController = new AbortController();
    let fetchRequest = createClientSideRequest(init.history, path, abortController.signal);
    fetchControllers.set(key, abortController);
    let result = await callLoaderOrAction("loader", fetchRequest, match, matches, manifest, detectErrorBoundary, router.basename); // Deferred isn't supported for fetcher loads, await everything and treat it
    // as a normal load.  resolveDeferredData will return undefined if this
    // fetcher gets aborted, so we just leave result untouched and short circuit
    // below if that happens

    if (isDeferredResult(result)) {
      result = (await resolveDeferredData(result, fetchRequest.signal, true)) || result;
    } // We can delete this so long as we weren't aborted by ou our own fetcher
    // re-load which would have put _new_ controller is in fetchControllers


    if (fetchControllers.get(key) === abortController) {
      fetchControllers.delete(key);
    }

    if (fetchRequest.signal.aborted) {
      return;
    } // If the loader threw a redirect Response, start a new REPLACE navigation


    if (isRedirectResult(result)) {
      await startRedirectNavigation(state, result);
      return;
    } // Process any non-redirect errors thrown


    if (isErrorResult(result)) {
      let boundaryMatch = findNearestBoundary(state.matches, routeId);
      state.fetchers.delete(key); // TODO: In remix, this would reset to IDLE_NAVIGATION if it was a catch -
      // do we need to behave any differently with our non-redirect errors?
      // What if it was a non-redirect Response?

      updateState({
        fetchers: new Map(state.fetchers),
        errors: {
          [boundaryMatch.route.id]: result.error
        }
      });
      return;
    }

    invariant(!isDeferredResult(result), "Unhandled fetcher deferred data"); // Put the fetcher back into an idle state

    let doneFetcher = {
      state: "idle",
      data: result.data,
      formMethod: undefined,
      formAction: undefined,
      formEncType: undefined,
      formData: undefined,
      " _hasFetcherDoneAnything ": true
    };
    state.fetchers.set(key, doneFetcher);
    updateState({
      fetchers: new Map(state.fetchers)
    });
  }
  /**
   * Utility function to handle redirects returned from an action or loader.
   * Normally, a redirect "replaces" the navigation that triggered it.  So, for
   * example:
   *
   *  - user is on /a
   *  - user clicks a link to /b
   *  - loader for /b redirects to /c
   *
   * In a non-JS app the browser would track the in-flight navigation to /b and
   * then replace it with /c when it encountered the redirect response.  In
   * the end it would only ever update the URL bar with /c.
   *
   * In client-side routing using pushState/replaceState, we aim to emulate
   * this behavior and we also do not update history until the end of the
   * navigation (including processed redirects).  This means that we never
   * actually touch history until we've processed redirects, so we just use
   * the history action from the original navigation (PUSH or REPLACE).
   */


  async function startRedirectNavigation(state, redirect, _temp) {
    var _window;

    let {
      submission,
      replace,
      isFetchActionRedirect
    } = _temp === void 0 ? {} : _temp;

    if (redirect.revalidate) {
      isRevalidationRequired = true;
    }

    let redirectLocation = createLocation(state.location, redirect.location, // TODO: This can be removed once we get rid of useTransition in Remix v2
    _extends({
      _isRedirect: true
    }, isFetchActionRedirect ? {
      _isFetchActionRedirect: true
    } : {}));
    invariant(redirectLocation, "Expected a location on the redirect navigation"); // Check if this an absolute external redirect that goes to a new origin

    if (ABSOLUTE_URL_REGEX.test(redirect.location) && isBrowser && typeof ((_window = window) == null ? void 0 : _window.location) !== "undefined") {
      let url = init.history.createURL(redirect.location);
      let isDifferentBasename = stripBasename(url.pathname, init.basename || "/") == null;

      if (window.location.origin !== url.origin || isDifferentBasename) {
        if (replace) {
          window.location.replace(redirect.location);
        } else {
          window.location.assign(redirect.location);
        }

        return;
      }
    } // There's no need to abort on redirects, since we don't detect the
    // redirect until the action/loaders have settled


    pendingNavigationController = null;
    let redirectHistoryAction = replace === true ? Action.Replace : Action.Push; // Use the incoming submission if provided, fallback on the active one in
    // state.navigation

    let {
      formMethod,
      formAction,
      formEncType,
      formData
    } = state.navigation;

    if (!submission && formMethod && formAction && formData && formEncType) {
      submission = {
        formMethod,
        formAction,
        formEncType,
        formData
      };
    } // If this was a 307/308 submission we want to preserve the HTTP method and
    // re-submit the GET/POST/PUT/PATCH/DELETE as a submission navigation to the
    // redirected location


    if (redirectPreserveMethodStatusCodes.has(redirect.status) && submission && isMutationMethod(submission.formMethod)) {
      await startNavigation(redirectHistoryAction, redirectLocation, {
        submission: _extends({}, submission, {
          formAction: redirect.location
        }),
        // Preserve this flag across redirects
        preventScrollReset: pendingPreventScrollReset
      });
    } else if (isFetchActionRedirect) {
      // For a fetch action redirect, we kick off a new loading navigation
      // without the fetcher submission, but we send it along for shouldRevalidate
      await startNavigation(redirectHistoryAction, redirectLocation, {
        overrideNavigation: {
          state: "loading",
          location: redirectLocation,
          formMethod: undefined,
          formAction: undefined,
          formEncType: undefined,
          formData: undefined
        },
        fetcherSubmission: submission,
        // Preserve this flag across redirects
        preventScrollReset: pendingPreventScrollReset
      });
    } else {
      // Otherwise, we kick off a new loading navigation, preserving the
      // submission info for the duration of this navigation
      await startNavigation(redirectHistoryAction, redirectLocation, {
        overrideNavigation: {
          state: "loading",
          location: redirectLocation,
          formMethod: submission ? submission.formMethod : undefined,
          formAction: submission ? submission.formAction : undefined,
          formEncType: submission ? submission.formEncType : undefined,
          formData: submission ? submission.formData : undefined
        },
        // Preserve this flag across redirects
        preventScrollReset: pendingPreventScrollReset
      });
    }
  }

  async function callLoadersAndMaybeResolveData(currentMatches, matches, matchesToLoad, fetchersToLoad, request) {
    // Call all navigation loaders and revalidating fetcher loaders in parallel,
    // then slice off the results into separate arrays so we can handle them
    // accordingly
    let results = await Promise.all([...matchesToLoad.map(match => callLoaderOrAction("loader", request, match, matches, manifest, detectErrorBoundary, router.basename)), ...fetchersToLoad.map(f => {
      if (f.matches && f.match) {
        return callLoaderOrAction("loader", createClientSideRequest(init.history, f.path, request.signal), f.match, f.matches, manifest, detectErrorBoundary, router.basename);
      } else {
        let error = {
          type: ResultType.error,
          error: getInternalRouterError(404, {
            pathname: f.path
          })
        };
        return error;
      }
    })]);
    let loaderResults = results.slice(0, matchesToLoad.length);
    let fetcherResults = results.slice(matchesToLoad.length);
    await Promise.all([resolveDeferredResults(currentMatches, matchesToLoad, loaderResults, request.signal, false, state.loaderData), resolveDeferredResults(currentMatches, fetchersToLoad.map(f => f.match), fetcherResults, request.signal, true)]);
    return {
      results,
      loaderResults,
      fetcherResults
    };
  }

  function interruptActiveLoads() {
    // Every interruption triggers a revalidation
    isRevalidationRequired = true; // Cancel pending route-level deferreds and mark cancelled routes for
    // revalidation

    cancelledDeferredRoutes.push(...cancelActiveDeferreds()); // Abort in-flight fetcher loads

    fetchLoadMatches.forEach((_, key) => {
      if (fetchControllers.has(key)) {
        cancelledFetcherLoads.push(key);
        abortFetcher(key);
      }
    });
  }

  function setFetcherError(key, routeId, error) {
    let boundaryMatch = findNearestBoundary(state.matches, routeId);
    deleteFetcher(key);
    updateState({
      errors: {
        [boundaryMatch.route.id]: error
      },
      fetchers: new Map(state.fetchers)
    });
  }

  function deleteFetcher(key) {
    if (fetchControllers.has(key)) abortFetcher(key);
    fetchLoadMatches.delete(key);
    fetchReloadIds.delete(key);
    fetchRedirectIds.delete(key);
    state.fetchers.delete(key);
  }

  function abortFetcher(key) {
    let controller = fetchControllers.get(key);
    invariant(controller, "Expected fetch controller: " + key);
    controller.abort();
    fetchControllers.delete(key);
  }

  function markFetchersDone(keys) {
    for (let key of keys) {
      let fetcher = getFetcher(key);
      let doneFetcher = {
        state: "idle",
        data: fetcher.data,
        formMethod: undefined,
        formAction: undefined,
        formEncType: undefined,
        formData: undefined,
        " _hasFetcherDoneAnything ": true
      };
      state.fetchers.set(key, doneFetcher);
    }
  }

  function markFetchRedirectsDone() {
    let doneKeys = [];

    for (let key of fetchRedirectIds) {
      let fetcher = state.fetchers.get(key);
      invariant(fetcher, "Expected fetcher: " + key);

      if (fetcher.state === "loading") {
        fetchRedirectIds.delete(key);
        doneKeys.push(key);
      }
    }

    markFetchersDone(doneKeys);
  }

  function abortStaleFetchLoads(landedId) {
    let yeetedKeys = [];

    for (let [key, id] of fetchReloadIds) {
      if (id < landedId) {
        let fetcher = state.fetchers.get(key);
        invariant(fetcher, "Expected fetcher: " + key);

        if (fetcher.state === "loading") {
          abortFetcher(key);
          fetchReloadIds.delete(key);
          yeetedKeys.push(key);
        }
      }
    }

    markFetchersDone(yeetedKeys);
    return yeetedKeys.length > 0;
  }

  function getBlocker(key, fn) {
    let blocker = state.blockers.get(key) || IDLE_BLOCKER;

    if (blockerFunctions.get(key) !== fn) {
      blockerFunctions.set(key, fn);
    }

    return blocker;
  }

  function deleteBlocker(key) {
    state.blockers.delete(key);
    blockerFunctions.delete(key);
  } // Utility function to update blockers, ensuring valid state transitions


  function updateBlocker(key, newBlocker) {
    let blocker = state.blockers.get(key) || IDLE_BLOCKER; // Poor mans state machine :)
    // https://mermaid.live/edit#pako:eNqVkc9OwzAMxl8l8nnjAYrEtDIOHEBIgwvKJTReGy3_lDpIqO27k6awMG0XcrLlnz87nwdonESogKXXBuE79rq75XZO3-yHds0RJVuv70YrPlUrCEe2HfrORS3rubqZfuhtpg5C9wk5tZ4VKcRUq88q9Z8RS0-48cE1iHJkL0ugbHuFLus9L6spZy8nX9MP2CNdomVaposqu3fGayT8T8-jJQwhepo_UtpgBQaDEUom04dZhAN1aJBDlUKJBxE1ceB2Smj0Mln-IBW5AFU2dwUiktt_2Qaq2dBfaKdEup85UV7Yd-dKjlnkabl2Pvr0DTkTreM

    invariant(blocker.state === "unblocked" && newBlocker.state === "blocked" || blocker.state === "blocked" && newBlocker.state === "blocked" || blocker.state === "blocked" && newBlocker.state === "proceeding" || blocker.state === "blocked" && newBlocker.state === "unblocked" || blocker.state === "proceeding" && newBlocker.state === "unblocked", "Invalid blocker state transition: " + blocker.state + " -> " + newBlocker.state);
    state.blockers.set(key, newBlocker);
    updateState({
      blockers: new Map(state.blockers)
    });
  }

  function shouldBlockNavigation(_ref2) {
    let {
      currentLocation,
      nextLocation,
      historyAction
    } = _ref2;

    if (blockerFunctions.size === 0) {
      return;
    } // We ony support a single active blocker at the moment since we don't have
    // any compelling use cases for multi-blocker yet


    if (blockerFunctions.size > 1) {
      warning(false, "A router only supports one blocker at a time");
    }

    let entries = Array.from(blockerFunctions.entries());
    let [blockerKey, blockerFunction] = entries[entries.length - 1];
    let blocker = state.blockers.get(blockerKey);

    if (blocker && blocker.state === "proceeding") {
      // If the blocker is currently proceeding, we don't need to re-check
      // it and can let this navigation continue
      return;
    } // At this point, we know we're unblocked/blocked so we need to check the
    // user-provided blocker function


    if (blockerFunction({
      currentLocation,
      nextLocation,
      historyAction
    })) {
      return blockerKey;
    }
  }

  function cancelActiveDeferreds(predicate) {
    let cancelledRouteIds = [];
    activeDeferreds.forEach((dfd, routeId) => {
      if (!predicate || predicate(routeId)) {
        // Cancel the deferred - but do not remove from activeDeferreds here -
        // we rely on the subscribers to do that so our tests can assert proper
        // cleanup via _internalActiveDeferreds
        dfd.cancel();
        cancelledRouteIds.push(routeId);
        activeDeferreds.delete(routeId);
      }
    });
    return cancelledRouteIds;
  } // Opt in to capturing and reporting scroll positions during navigations,
  // used by the <ScrollRestoration> component


  function enableScrollRestoration(positions, getPosition, getKey) {
    savedScrollPositions = positions;
    getScrollPosition = getPosition;

    getScrollRestorationKey = getKey || (location => location.key); // Perform initial hydration scroll restoration, since we miss the boat on
    // the initial updateState() because we've not yet rendered <ScrollRestoration/>
    // and therefore have no savedScrollPositions available


    if (!initialScrollRestored && state.navigation === IDLE_NAVIGATION) {
      initialScrollRestored = true;
      let y = getSavedScrollPosition(state.location, state.matches);

      if (y != null) {
        updateState({
          restoreScrollPosition: y
        });
      }
    }

    return () => {
      savedScrollPositions = null;
      getScrollPosition = null;
      getScrollRestorationKey = null;
    };
  }

  function saveScrollPosition(location, matches) {
    if (savedScrollPositions && getScrollRestorationKey && getScrollPosition) {
      let userMatches = matches.map(m => createUseMatchesMatch(m, state.loaderData));
      let key = getScrollRestorationKey(location, userMatches) || location.key;
      savedScrollPositions[key] = getScrollPosition();
    }
  }

  function getSavedScrollPosition(location, matches) {
    if (savedScrollPositions && getScrollRestorationKey && getScrollPosition) {
      let userMatches = matches.map(m => createUseMatchesMatch(m, state.loaderData));
      let key = getScrollRestorationKey(location, userMatches) || location.key;
      let y = savedScrollPositions[key];

      if (typeof y === "number") {
        return y;
      }
    }

    return null;
  }

  function _internalSetRoutes(newRoutes) {
    inFlightDataRoutes = newRoutes;
  }

  router = {
    get basename() {
      return init.basename;
    },

    get state() {
      return state;
    },

    get routes() {
      return dataRoutes;
    },

    initialize,
    subscribe,
    enableScrollRestoration,
    navigate,
    fetch,
    revalidate,
    // Passthrough to history-aware createHref used by useHref so we get proper
    // hash-aware URLs in DOM paths
    createHref: to => init.history.createHref(to),
    encodeLocation: to => init.history.encodeLocation(to),
    getFetcher,
    deleteFetcher,
    dispose,
    getBlocker,
    deleteBlocker,
    _internalFetchControllers: fetchControllers,
    _internalActiveDeferreds: activeDeferreds,
    // TODO: Remove setRoutes, it's temporary to avoid dealing with
    // updating the tree while validating the update algorithm.
    _internalSetRoutes
  };
  return router;
} //#endregion
////////////////////////////////////////////////////////////////////////////////
//#region createStaticHandler
////////////////////////////////////////////////////////////////////////////////

const UNSAFE_DEFERRED_SYMBOL = Symbol("deferred");
function createStaticHandler(routes, opts) {
  invariant(routes.length > 0, "You must provide a non-empty routes array to createStaticHandler");
  let manifest = {};
  let detectErrorBoundary = (opts == null ? void 0 : opts.detectErrorBoundary) || defaultDetectErrorBoundary;
  let dataRoutes = convertRoutesToDataRoutes(routes, detectErrorBoundary, undefined, manifest);
  let basename = (opts ? opts.basename : null) || "/";
  /**
   * The query() method is intended for document requests, in which we want to
   * call an optional action and potentially multiple loaders for all nested
   * routes.  It returns a StaticHandlerContext object, which is very similar
   * to the router state (location, loaderData, actionData, errors, etc.) and
   * also adds SSR-specific information such as the statusCode and headers
   * from action/loaders Responses.
   *
   * It _should_ never throw and should report all errors through the
   * returned context.errors object, properly associating errors to their error
   * boundary.  Additionally, it tracks _deepestRenderedBoundaryId which can be
   * used to emulate React error boundaries during SSr by performing a second
   * pass only down to the boundaryId.
   *
   * The one exception where we do not return a StaticHandlerContext is when a
   * redirect response is returned or thrown from any action/loader.  We
   * propagate that out and return the raw Response so the HTTP server can
   * return it directly.
   */

  async function query(request, _temp2) {
    let {
      requestContext
    } = _temp2 === void 0 ? {} : _temp2;
    let url = new URL(request.url);
    let method = request.method;
    let location = createLocation("", createPath(url), null, "default");
    let matches = matchRoutes(dataRoutes, location, basename); // SSR supports HEAD requests while SPA doesn't

    if (!isValidMethod(method) && method !== "HEAD") {
      let error = getInternalRouterError(405, {
        method
      });
      let {
        matches: methodNotAllowedMatches,
        route
      } = getShortCircuitMatches(dataRoutes);
      return {
        basename,
        location,
        matches: methodNotAllowedMatches,
        loaderData: {},
        actionData: null,
        errors: {
          [route.id]: error
        },
        statusCode: error.status,
        loaderHeaders: {},
        actionHeaders: {},
        activeDeferreds: null
      };
    } else if (!matches) {
      let error = getInternalRouterError(404, {
        pathname: location.pathname
      });
      let {
        matches: notFoundMatches,
        route
      } = getShortCircuitMatches(dataRoutes);
      return {
        basename,
        location,
        matches: notFoundMatches,
        loaderData: {},
        actionData: null,
        errors: {
          [route.id]: error
        },
        statusCode: error.status,
        loaderHeaders: {},
        actionHeaders: {},
        activeDeferreds: null
      };
    }

    let result = await queryImpl(request, location, matches, requestContext);

    if (isResponse(result)) {
      return result;
    } // When returning StaticHandlerContext, we patch back in the location here
    // since we need it for React Context.  But this helps keep our submit and
    // loadRouteData operating on a Request instead of a Location


    return _extends({
      location,
      basename
    }, result);
  }
  /**
   * The queryRoute() method is intended for targeted route requests, either
   * for fetch ?_data requests or resource route requests.  In this case, we
   * are only ever calling a single action or loader, and we are returning the
   * returned value directly.  In most cases, this will be a Response returned
   * from the action/loader, but it may be a primitive or other value as well -
   * and in such cases the calling context should handle that accordingly.
   *
   * We do respect the throw/return differentiation, so if an action/loader
   * throws, then this method will throw the value.  This is important so we
   * can do proper boundary identification in Remix where a thrown Response
   * must go to the Catch Boundary but a returned Response is happy-path.
   *
   * One thing to note is that any Router-initiated Errors that make sense
   * to associate with a status code will be thrown as an ErrorResponse
   * instance which include the raw Error, such that the calling context can
   * serialize the error as they see fit while including the proper response
   * code.  Examples here are 404 and 405 errors that occur prior to reaching
   * any user-defined loaders.
   */


  async function queryRoute(request, _temp3) {
    let {
      routeId,
      requestContext
    } = _temp3 === void 0 ? {} : _temp3;
    let url = new URL(request.url);
    let method = request.method;
    let location = createLocation("", createPath(url), null, "default");
    let matches = matchRoutes(dataRoutes, location, basename); // SSR supports HEAD requests while SPA doesn't

    if (!isValidMethod(method) && method !== "HEAD" && method !== "OPTIONS") {
      throw getInternalRouterError(405, {
        method
      });
    } else if (!matches) {
      throw getInternalRouterError(404, {
        pathname: location.pathname
      });
    }

    let match = routeId ? matches.find(m => m.route.id === routeId) : getTargetMatch(matches, location);

    if (routeId && !match) {
      throw getInternalRouterError(403, {
        pathname: location.pathname,
        routeId
      });
    } else if (!match) {
      // This should never hit I don't think?
      throw getInternalRouterError(404, {
        pathname: location.pathname
      });
    }

    let result = await queryImpl(request, location, matches, requestContext, match);

    if (isResponse(result)) {
      return result;
    }

    let error = result.errors ? Object.values(result.errors)[0] : undefined;

    if (error !== undefined) {
      // If we got back result.errors, that means the loader/action threw
      // _something_ that wasn't a Response, but it's not guaranteed/required
      // to be an `instanceof Error` either, so we have to use throw here to
      // preserve the "error" state outside of queryImpl.
      throw error;
    } // Pick off the right state value to return


    if (result.actionData) {
      return Object.values(result.actionData)[0];
    }

    if (result.loaderData) {
      var _result$activeDeferre;

      let data = Object.values(result.loaderData)[0];

      if ((_result$activeDeferre = result.activeDeferreds) != null && _result$activeDeferre[match.route.id]) {
        data[UNSAFE_DEFERRED_SYMBOL] = result.activeDeferreds[match.route.id];
      }

      return data;
    }

    return undefined;
  }

  async function queryImpl(request, location, matches, requestContext, routeMatch) {
    invariant(request.signal, "query()/queryRoute() requests must contain an AbortController signal");

    try {
      if (isMutationMethod(request.method.toLowerCase())) {
        let result = await submit(request, matches, routeMatch || getTargetMatch(matches, location), requestContext, routeMatch != null);
        return result;
      }

      let result = await loadRouteData(request, matches, requestContext, routeMatch);
      return isResponse(result) ? result : _extends({}, result, {
        actionData: null,
        actionHeaders: {}
      });
    } catch (e) {
      // If the user threw/returned a Response in callLoaderOrAction, we throw
      // it to bail out and then return or throw here based on whether the user
      // returned or threw
      if (isQueryRouteResponse(e)) {
        if (e.type === ResultType.error && !isRedirectResponse(e.response)) {
          throw e.response;
        }

        return e.response;
      } // Redirects are always returned since they don't propagate to catch
      // boundaries


      if (isRedirectResponse(e)) {
        return e;
      }

      throw e;
    }
  }

  async function submit(request, matches, actionMatch, requestContext, isRouteRequest) {
    let result;

    if (!actionMatch.route.action && !actionMatch.route.lazy) {
      let error = getInternalRouterError(405, {
        method: request.method,
        pathname: new URL(request.url).pathname,
        routeId: actionMatch.route.id
      });

      if (isRouteRequest) {
        throw error;
      }

      result = {
        type: ResultType.error,
        error
      };
    } else {
      result = await callLoaderOrAction("action", request, actionMatch, matches, manifest, detectErrorBoundary, basename, true, isRouteRequest, requestContext);

      if (request.signal.aborted) {
        let method = isRouteRequest ? "queryRoute" : "query";
        throw new Error(method + "() call aborted");
      }
    }

    if (isRedirectResult(result)) {
      // Uhhhh - this should never happen, we should always throw these from
      // callLoaderOrAction, but the type narrowing here keeps TS happy and we
      // can get back on the "throw all redirect responses" train here should
      // this ever happen :/
      throw new Response(null, {
        status: result.status,
        headers: {
          Location: result.location
        }
      });
    }

    if (isDeferredResult(result)) {
      let error = getInternalRouterError(400, {
        type: "defer-action"
      });

      if (isRouteRequest) {
        throw error;
      }

      result = {
        type: ResultType.error,
        error
      };
    }

    if (isRouteRequest) {
      // Note: This should only be non-Response values if we get here, since
      // isRouteRequest should throw any Response received in callLoaderOrAction
      if (isErrorResult(result)) {
        throw result.error;
      }

      return {
        matches: [actionMatch],
        loaderData: {},
        actionData: {
          [actionMatch.route.id]: result.data
        },
        errors: null,
        // Note: statusCode + headers are unused here since queryRoute will
        // return the raw Response or value
        statusCode: 200,
        loaderHeaders: {},
        actionHeaders: {},
        activeDeferreds: null
      };
    }

    if (isErrorResult(result)) {
      // Store off the pending error - we use it to determine which loaders
      // to call and will commit it when we complete the navigation
      let boundaryMatch = findNearestBoundary(matches, actionMatch.route.id);
      let context = await loadRouteData(request, matches, requestContext, undefined, {
        [boundaryMatch.route.id]: result.error
      }); // action status codes take precedence over loader status codes

      return _extends({}, context, {
        statusCode: isRouteErrorResponse(result.error) ? result.error.status : 500,
        actionData: null,
        actionHeaders: _extends({}, result.headers ? {
          [actionMatch.route.id]: result.headers
        } : {})
      });
    } // Create a GET request for the loaders


    let loaderRequest = new Request(request.url, {
      headers: request.headers,
      redirect: request.redirect,
      signal: request.signal
    });
    let context = await loadRouteData(loaderRequest, matches, requestContext);
    return _extends({}, context, result.statusCode ? {
      statusCode: result.statusCode
    } : {}, {
      actionData: {
        [actionMatch.route.id]: result.data
      },
      actionHeaders: _extends({}, result.headers ? {
        [actionMatch.route.id]: result.headers
      } : {})
    });
  }

  async function loadRouteData(request, matches, requestContext, routeMatch, pendingActionError) {
    let isRouteRequest = routeMatch != null; // Short circuit if we have no loaders to run (queryRoute())

    if (isRouteRequest && !(routeMatch != null && routeMatch.route.loader) && !(routeMatch != null && routeMatch.route.lazy)) {
      throw getInternalRouterError(400, {
        method: request.method,
        pathname: new URL(request.url).pathname,
        routeId: routeMatch == null ? void 0 : routeMatch.route.id
      });
    }

    let requestMatches = routeMatch ? [routeMatch] : getLoaderMatchesUntilBoundary(matches, Object.keys(pendingActionError || {})[0]);
    let matchesToLoad = requestMatches.filter(m => m.route.loader || m.route.lazy); // Short circuit if we have no loaders to run (query())

    if (matchesToLoad.length === 0) {
      return {
        matches,
        // Add a null for all matched routes for proper revalidation on the client
        loaderData: matches.reduce((acc, m) => Object.assign(acc, {
          [m.route.id]: null
        }), {}),
        errors: pendingActionError || null,
        statusCode: 200,
        loaderHeaders: {},
        activeDeferreds: null
      };
    }

    let results = await Promise.all([...matchesToLoad.map(match => callLoaderOrAction("loader", request, match, matches, manifest, detectErrorBoundary, basename, true, isRouteRequest, requestContext))]);

    if (request.signal.aborted) {
      let method = isRouteRequest ? "queryRoute" : "query";
      throw new Error(method + "() call aborted");
    } // Process and commit output from loaders


    let activeDeferreds = new Map();
    let context = processRouteLoaderData(matches, matchesToLoad, results, pendingActionError, activeDeferreds); // Add a null for any non-loader matches for proper revalidation on the client

    let executedLoaders = new Set(matchesToLoad.map(match => match.route.id));
    matches.forEach(match => {
      if (!executedLoaders.has(match.route.id)) {
        context.loaderData[match.route.id] = null;
      }
    });
    return _extends({}, context, {
      matches,
      activeDeferreds: activeDeferreds.size > 0 ? Object.fromEntries(activeDeferreds.entries()) : null
    });
  }

  return {
    dataRoutes,
    query,
    queryRoute
  };
} //#endregion
////////////////////////////////////////////////////////////////////////////////
//#region Helpers
////////////////////////////////////////////////////////////////////////////////

/**
 * Given an existing StaticHandlerContext and an error thrown at render time,
 * provide an updated StaticHandlerContext suitable for a second SSR render
 */

function getStaticContextFromError(routes, context, error) {
  let newContext = _extends({}, context, {
    statusCode: 500,
    errors: {
      [context._deepestRenderedBoundaryId || routes[0].id]: error
    }
  });

  return newContext;
}

function isSubmissionNavigation(opts) {
  return opts != null && "formData" in opts;
} // Normalize navigation options by converting formMethod=GET formData objects to
// URLSearchParams so they behave identically to links with query params


function normalizeNavigateOptions(to, future, opts, isFetcher) {
  if (isFetcher === void 0) {
    isFetcher = false;
  }

  let path = typeof to === "string" ? to : createPath(to); // Return location verbatim on non-submission navigations

  if (!opts || !isSubmissionNavigation(opts)) {
    return {
      path
    };
  }

  if (opts.formMethod && !isValidMethod(opts.formMethod)) {
    return {
      path,
      error: getInternalRouterError(405, {
        method: opts.formMethod
      })
    };
  } // Create a Submission on non-GET navigations


  let submission;

  if (opts.formData) {
    let formMethod = opts.formMethod || "get";
    submission = {
      formMethod: future.v7_normalizeFormMethod ? formMethod.toUpperCase() : formMethod.toLowerCase(),
      formAction: stripHashFromPath(path),
      formEncType: opts && opts.formEncType || "application/x-www-form-urlencoded",
      formData: opts.formData
    };

    if (isMutationMethod(submission.formMethod)) {
      return {
        path,
        submission
      };
    }
  } // Flatten submission onto URLSearchParams for GET submissions


  let parsedPath = parsePath(path);
  let searchParams = convertFormDataToSearchParams(opts.formData); // Since fetcher GET submissions only run a single loader (as opposed to
  // navigation GET submissions which run all loaders), we need to preserve
  // any incoming ?index params

  if (isFetcher && parsedPath.search && hasNakedIndexQuery(parsedPath.search)) {
    searchParams.append("index", "");
  }

  parsedPath.search = "?" + searchParams;
  return {
    path: createPath(parsedPath),
    submission
  };
} // Filter out all routes below any caught error as they aren't going to
// render so we don't need to load them


function getLoaderMatchesUntilBoundary(matches, boundaryId) {
  let boundaryMatches = matches;

  if (boundaryId) {
    let index = matches.findIndex(m => m.route.id === boundaryId);

    if (index >= 0) {
      boundaryMatches = matches.slice(0, index);
    }
  }

  return boundaryMatches;
}

function getMatchesToLoad(history, state, matches, submission, location, isRevalidationRequired, cancelledDeferredRoutes, cancelledFetcherLoads, fetchLoadMatches, routesToUse, basename, pendingActionData, pendingError) {
  let actionResult = pendingError ? Object.values(pendingError)[0] : pendingActionData ? Object.values(pendingActionData)[0] : undefined;
  let currentUrl = history.createURL(state.location);
  let nextUrl = history.createURL(location);
  let defaultShouldRevalidate = // Forced revalidation due to submission, useRevalidate, or X-Remix-Revalidate
  isRevalidationRequired || // Clicked the same link, resubmitted a GET form
  currentUrl.toString() === nextUrl.toString() || // Search params affect all loaders
  currentUrl.search !== nextUrl.search; // Pick navigation matches that are net-new or qualify for revalidation

  let boundaryId = pendingError ? Object.keys(pendingError)[0] : undefined;
  let boundaryMatches = getLoaderMatchesUntilBoundary(matches, boundaryId);
  let navigationMatches = boundaryMatches.filter((match, index) => {
    if (match.route.lazy) {
      // We haven't loaded this route yet so we don't know if it's got a loader!
      return true;
    }

    if (match.route.loader == null) {
      return false;
    } // Always call the loader on new route instances and pending defer cancellations


    if (isNewLoader(state.loaderData, state.matches[index], match) || cancelledDeferredRoutes.some(id => id === match.route.id)) {
      return true;
    } // This is the default implementation for when we revalidate.  If the route
    // provides it's own implementation, then we give them full control but
    // provide this value so they can leverage it if needed after they check
    // their own specific use cases


    let currentRouteMatch = state.matches[index];
    let nextRouteMatch = match;
    return shouldRevalidateLoader(match, _extends({
      currentUrl,
      currentParams: currentRouteMatch.params,
      nextUrl,
      nextParams: nextRouteMatch.params
    }, submission, {
      actionResult,
      defaultShouldRevalidate: defaultShouldRevalidate || isNewRouteInstance(currentRouteMatch, nextRouteMatch)
    }));
  }); // Pick fetcher.loads that need to be revalidated

  let revalidatingFetchers = [];
  fetchLoadMatches.forEach((f, key) => {
    // Don't revalidate if fetcher won't be present in the subsequent render
    if (!matches.some(m => m.route.id === f.routeId)) {
      return;
    }

    let fetcherMatches = matchRoutes(routesToUse, f.path, basename); // If the fetcher path no longer matches, push it in with null matches so
    // we can trigger a 404 in callLoadersAndMaybeResolveData

    if (!fetcherMatches) {
      revalidatingFetchers.push(_extends({
        key
      }, f, {
        matches: null,
        match: null
      }));
      return;
    }

    let fetcherMatch = getTargetMatch(fetcherMatches, f.path);

    if (cancelledFetcherLoads.includes(key)) {
      revalidatingFetchers.push(_extends({
        key,
        matches: fetcherMatches,
        match: fetcherMatch
      }, f));
      return;
    } // Revalidating fetchers are decoupled from the route matches since they
    // hit a static href, so they _always_ check shouldRevalidate and the
    // default is strictly if a revalidation is explicitly required (action
    // submissions, useRevalidator, X-Remix-Revalidate).


    let shouldRevalidate = shouldRevalidateLoader(fetcherMatch, _extends({
      currentUrl,
      currentParams: state.matches[state.matches.length - 1].params,
      nextUrl,
      nextParams: matches[matches.length - 1].params
    }, submission, {
      actionResult,
      defaultShouldRevalidate
    }));

    if (shouldRevalidate) {
      revalidatingFetchers.push(_extends({
        key,
        matches: fetcherMatches,
        match: fetcherMatch
      }, f));
    }
  });
  return [navigationMatches, revalidatingFetchers];
}

function isNewLoader(currentLoaderData, currentMatch, match) {
  let isNew = // [a] -> [a, b]
  !currentMatch || // [a, b] -> [a, c]
  match.route.id !== currentMatch.route.id; // Handle the case that we don't have data for a re-used route, potentially
  // from a prior error or from a cancelled pending deferred

  let isMissingData = currentLoaderData[match.route.id] === undefined; // Always load if this is a net-new route or we don't yet have data

  return isNew || isMissingData;
}

function isNewRouteInstance(currentMatch, match) {
  let currentPath = currentMatch.route.path;
  return (// param change for this match, /users/123 -> /users/456
    currentMatch.pathname !== match.pathname || // splat param changed, which is not present in match.path
    // e.g. /files/images/avatar.jpg -> files/finances.xls
    currentPath != null && currentPath.endsWith("*") && currentMatch.params["*"] !== match.params["*"]
  );
}

function shouldRevalidateLoader(loaderMatch, arg) {
  if (loaderMatch.route.shouldRevalidate) {
    let routeChoice = loaderMatch.route.shouldRevalidate(arg);

    if (typeof routeChoice === "boolean") {
      return routeChoice;
    }
  }

  return arg.defaultShouldRevalidate;
}
/**
 * Execute route.lazy() methods to lazily load route modules (loader, action,
 * shouldRevalidate) and update the routeManifest in place which shares objects
 * with dataRoutes so those get updated as well.
 */


async function loadLazyRouteModule(route, detectErrorBoundary, manifest) {
  if (!route.lazy) {
    return;
  }

  let lazyRoute = await route.lazy(); // If the lazy route function was executed and removed by another parallel
  // call then we can return - first lazy() to finish wins because the return
  // value of lazy is expected to be static

  if (!route.lazy) {
    return;
  }

  let routeToUpdate = manifest[route.id];
  invariant(routeToUpdate, "No route found in manifest"); // Update the route in place.  This should be safe because there's no way
  // we could yet be sitting on this route as we can't get there without
  // resolving lazy() first.
  //
  // This is different than the HMR "update" use-case where we may actively be
  // on the route being updated.  The main concern boils down to "does this
  // mutation affect any ongoing navigations or any current state.matches
  // values?".  If not, it should be safe to update in place.

  let routeUpdates = {};

  for (let lazyRouteProperty in lazyRoute) {
    let staticRouteValue = routeToUpdate[lazyRouteProperty];
    let isPropertyStaticallyDefined = staticRouteValue !== undefined && // This property isn't static since it should always be updated based
    // on the route updates
    lazyRouteProperty !== "hasErrorBoundary";
    warning(!isPropertyStaticallyDefined, "Route \"" + routeToUpdate.id + "\" has a static property \"" + lazyRouteProperty + "\" " + "defined but its lazy function is also returning a value for this property. " + ("The lazy route property \"" + lazyRouteProperty + "\" will be ignored."));

    if (!isPropertyStaticallyDefined && !immutableRouteKeys.has(lazyRouteProperty)) {
      routeUpdates[lazyRouteProperty] = lazyRoute[lazyRouteProperty];
    }
  } // Mutate the route with the provided updates.  Do this first so we pass
  // the updated version to detectErrorBoundary


  Object.assign(routeToUpdate, routeUpdates); // Mutate the `hasErrorBoundary` property on the route based on the route
  // updates and remove the `lazy` function so we don't resolve the lazy
  // route again.

  Object.assign(routeToUpdate, {
    // To keep things framework agnostic, we use the provided
    // `detectErrorBoundary` function to set the `hasErrorBoundary` route
    // property since the logic will differ between frameworks.
    hasErrorBoundary: detectErrorBoundary(_extends({}, routeToUpdate)),
    lazy: undefined
  });
}

async function callLoaderOrAction(type, request, match, matches, manifest, detectErrorBoundary, basename, isStaticRequest, isRouteRequest, requestContext) {
  if (basename === void 0) {
    basename = "/";
  }

  if (isStaticRequest === void 0) {
    isStaticRequest = false;
  }

  if (isRouteRequest === void 0) {
    isRouteRequest = false;
  }

  let resultType;
  let result;
  let onReject;

  let runHandler = handler => {
    // Setup a promise we can race against so that abort signals short circuit
    let reject;
    let abortPromise = new Promise((_, r) => reject = r);

    onReject = () => reject();

    request.signal.addEventListener("abort", onReject);
    return Promise.race([handler({
      request,
      params: match.params,
      context: requestContext
    }), abortPromise]);
  };

  try {
    let handler = match.route[type];

    if (match.route.lazy) {
      if (handler) {
        // Run statically defined handler in parallel with lazy()
        let values = await Promise.all([runHandler(handler), loadLazyRouteModule(match.route, detectErrorBoundary, manifest)]);
        result = values[0];
      } else {
        // Load lazy route module, then run any returned handler
        await loadLazyRouteModule(match.route, detectErrorBoundary, manifest);
        handler = match.route[type];

        if (handler) {
          // Handler still run even if we got interrupted to maintain consistency
          // with un-abortable behavior of handler execution on non-lazy or
          // previously-lazy-loaded routes
          result = await runHandler(handler);
        } else if (type === "action") {
          throw getInternalRouterError(405, {
            method: request.method,
            pathname: new URL(request.url).pathname,
            routeId: match.route.id
          });
        } else {
          // lazy() route has no loader to run.  Short circuit here so we don't
          // hit the invariant below that errors on returning undefined.
          return {
            type: ResultType.data,
            data: undefined
          };
        }
      }
    } else {
      invariant(handler, "Could not find the " + type + " to run on the \"" + match.route.id + "\" route");
      result = await runHandler(handler);
    }

    invariant(result !== undefined, "You defined " + (type === "action" ? "an action" : "a loader") + " for route " + ("\"" + match.route.id + "\" but didn't return anything from your `" + type + "` ") + "function. Please return a value or `null`.");
  } catch (e) {
    resultType = ResultType.error;
    result = e;
  } finally {
    if (onReject) {
      request.signal.removeEventListener("abort", onReject);
    }
  }

  if (isResponse(result)) {
    let status = result.status; // Process redirects

    if (redirectStatusCodes.has(status)) {
      let location = result.headers.get("Location");
      invariant(location, "Redirects returned/thrown from loaders/actions must have a Location header"); // Support relative routing in internal redirects

      if (!ABSOLUTE_URL_REGEX.test(location)) {
        let activeMatches = matches.slice(0, matches.indexOf(match) + 1);
        let routePathnames = getPathContributingMatches(activeMatches).map(match => match.pathnameBase);
        let resolvedLocation = resolveTo(location, routePathnames, new URL(request.url).pathname);
        invariant(createPath(resolvedLocation), "Unable to resolve redirect location: " + location); // Prepend the basename to the redirect location if we have one

        if (basename) {
          let path = resolvedLocation.pathname;
          resolvedLocation.pathname = path === "/" ? basename : joinPaths([basename, path]);
        }

        location = createPath(resolvedLocation);
      } else if (!isStaticRequest) {
        // Strip off the protocol+origin for same-origin + same-basename absolute
        // redirects. If this is a static request, we can let it go back to the
        // browser as-is
        let currentUrl = new URL(request.url);
        let url = location.startsWith("//") ? new URL(currentUrl.protocol + location) : new URL(location);
        let isSameBasename = stripBasename(url.pathname, basename) != null;

        if (url.origin === currentUrl.origin && isSameBasename) {
          location = url.pathname + url.search + url.hash;
        }
      } // Don't process redirects in the router during static requests requests.
      // Instead, throw the Response and let the server handle it with an HTTP
      // redirect.  We also update the Location header in place in this flow so
      // basename and relative routing is taken into account


      if (isStaticRequest) {
        result.headers.set("Location", location);
        throw result;
      }

      return {
        type: ResultType.redirect,
        status,
        location,
        revalidate: result.headers.get("X-Remix-Revalidate") !== null
      };
    } // For SSR single-route requests, we want to hand Responses back directly
    // without unwrapping.  We do this with the QueryRouteResponse wrapper
    // interface so we can know whether it was returned or thrown


    if (isRouteRequest) {
      // eslint-disable-next-line no-throw-literal
      throw {
        type: resultType || ResultType.data,
        response: result
      };
    }

    let data;
    let contentType = result.headers.get("Content-Type"); // Check between word boundaries instead of startsWith() due to the last
    // paragraph of https://httpwg.org/specs/rfc9110.html#field.content-type

    if (contentType && /\bapplication\/json\b/.test(contentType)) {
      data = await result.json();
    } else {
      data = await result.text();
    }

    if (resultType === ResultType.error) {
      return {
        type: resultType,
        error: new ErrorResponse(status, result.statusText, data),
        headers: result.headers
      };
    }

    return {
      type: ResultType.data,
      data,
      statusCode: result.status,
      headers: result.headers
    };
  }

  if (resultType === ResultType.error) {
    return {
      type: resultType,
      error: result
    };
  }

  if (isDeferredData(result)) {
    var _result$init, _result$init2;

    return {
      type: ResultType.deferred,
      deferredData: result,
      statusCode: (_result$init = result.init) == null ? void 0 : _result$init.status,
      headers: ((_result$init2 = result.init) == null ? void 0 : _result$init2.headers) && new Headers(result.init.headers)
    };
  }

  return {
    type: ResultType.data,
    data: result
  };
} // Utility method for creating the Request instances for loaders/actions during
// client-side navigations and fetches.  During SSR we will always have a
// Request instance from the static handler (query/queryRoute)


function createClientSideRequest(history, location, signal, submission) {
  let url = history.createURL(stripHashFromPath(location)).toString();
  let init = {
    signal
  };

  if (submission && isMutationMethod(submission.formMethod)) {
    let {
      formMethod,
      formEncType,
      formData
    } = submission; // Didn't think we needed this but it turns out unlike other methods, patch
    // won't be properly normalized to uppercase and results in a 405 error.
    // See: https://fetch.spec.whatwg.org/#concept-method

    init.method = formMethod.toUpperCase();
    init.body = formEncType === "application/x-www-form-urlencoded" ? convertFormDataToSearchParams(formData) : formData;
  } // Content-Type is inferred (https://fetch.spec.whatwg.org/#dom-request)


  return new Request(url, init);
}

function convertFormDataToSearchParams(formData) {
  let searchParams = new URLSearchParams();

  for (let [key, value] of formData.entries()) {
    // https://html.spec.whatwg.org/multipage/form-control-infrastructure.html#converting-an-entry-list-to-a-list-of-name-value-pairs
    searchParams.append(key, value instanceof File ? value.name : value);
  }

  return searchParams;
}

function processRouteLoaderData(matches, matchesToLoad, results, pendingError, activeDeferreds) {
  // Fill in loaderData/errors from our loaders
  let loaderData = {};
  let errors = null;
  let statusCode;
  let foundError = false;
  let loaderHeaders = {}; // Process loader results into state.loaderData/state.errors

  results.forEach((result, index) => {
    let id = matchesToLoad[index].route.id;
    invariant(!isRedirectResult(result), "Cannot handle redirect results in processLoaderData");

    if (isErrorResult(result)) {
      // Look upwards from the matched route for the closest ancestor
      // error boundary, defaulting to the root match
      let boundaryMatch = findNearestBoundary(matches, id);
      let error = result.error; // If we have a pending action error, we report it at the highest-route
      // that throws a loader error, and then clear it out to indicate that
      // it was consumed

      if (pendingError) {
        error = Object.values(pendingError)[0];
        pendingError = undefined;
      }

      errors = errors || {}; // Prefer higher error values if lower errors bubble to the same boundary

      if (errors[boundaryMatch.route.id] == null) {
        errors[boundaryMatch.route.id] = error;
      } // Clear our any prior loaderData for the throwing route


      loaderData[id] = undefined; // Once we find our first (highest) error, we set the status code and
      // prevent deeper status codes from overriding

      if (!foundError) {
        foundError = true;
        statusCode = isRouteErrorResponse(result.error) ? result.error.status : 500;
      }

      if (result.headers) {
        loaderHeaders[id] = result.headers;
      }
    } else {
      if (isDeferredResult(result)) {
        activeDeferreds.set(id, result.deferredData);
        loaderData[id] = result.deferredData.data;
      } else {
        loaderData[id] = result.data;
      } // Error status codes always override success status codes, but if all
      // loaders are successful we take the deepest status code.


      if (result.statusCode != null && result.statusCode !== 200 && !foundError) {
        statusCode = result.statusCode;
      }

      if (result.headers) {
        loaderHeaders[id] = result.headers;
      }
    }
  }); // If we didn't consume the pending action error (i.e., all loaders
  // resolved), then consume it here.  Also clear out any loaderData for the
  // throwing route

  if (pendingError) {
    errors = pendingError;
    loaderData[Object.keys(pendingError)[0]] = undefined;
  }

  return {
    loaderData,
    errors,
    statusCode: statusCode || 200,
    loaderHeaders
  };
}

function processLoaderData(state, matches, matchesToLoad, results, pendingError, revalidatingFetchers, fetcherResults, activeDeferreds) {
  let {
    loaderData,
    errors
  } = processRouteLoaderData(matches, matchesToLoad, results, pendingError, activeDeferreds); // Process results from our revalidating fetchers

  for (let index = 0; index < revalidatingFetchers.length; index++) {
    let {
      key,
      match
    } = revalidatingFetchers[index];
    invariant(fetcherResults !== undefined && fetcherResults[index] !== undefined, "Did not find corresponding fetcher result");
    let result = fetcherResults[index]; // Process fetcher non-redirect errors

    if (isErrorResult(result)) {
      let boundaryMatch = findNearestBoundary(state.matches, match == null ? void 0 : match.route.id);

      if (!(errors && errors[boundaryMatch.route.id])) {
        errors = _extends({}, errors, {
          [boundaryMatch.route.id]: result.error
        });
      }

      state.fetchers.delete(key);
    } else if (isRedirectResult(result)) {
      // Should never get here, redirects should get processed above, but we
      // keep this to type narrow to a success result in the else
      invariant(false, "Unhandled fetcher revalidation redirect");
    } else if (isDeferredResult(result)) {
      // Should never get here, deferred data should be awaited for fetchers
      // in resolveDeferredResults
      invariant(false, "Unhandled fetcher deferred data");
    } else {
      let doneFetcher = {
        state: "idle",
        data: result.data,
        formMethod: undefined,
        formAction: undefined,
        formEncType: undefined,
        formData: undefined,
        " _hasFetcherDoneAnything ": true
      };
      state.fetchers.set(key, doneFetcher);
    }
  }

  return {
    loaderData,
    errors
  };
}

function mergeLoaderData(loaderData, newLoaderData, matches, errors) {
  let mergedLoaderData = _extends({}, newLoaderData);

  for (let match of matches) {
    let id = match.route.id;

    if (newLoaderData.hasOwnProperty(id)) {
      if (newLoaderData[id] !== undefined) {
        mergedLoaderData[id] = newLoaderData[id];
      }
    } else if (loaderData[id] !== undefined && match.route.loader) {
      // Preserve existing keys not included in newLoaderData and where a loader
      // wasn't removed by HMR
      mergedLoaderData[id] = loaderData[id];
    }

    if (errors && errors.hasOwnProperty(id)) {
      // Don't keep any loader data below the boundary
      break;
    }
  }

  return mergedLoaderData;
} // Find the nearest error boundary, looking upwards from the leaf route (or the
// route specified by routeId) for the closest ancestor error boundary,
// defaulting to the root match


function findNearestBoundary(matches, routeId) {
  let eligibleMatches = routeId ? matches.slice(0, matches.findIndex(m => m.route.id === routeId) + 1) : [...matches];
  return eligibleMatches.reverse().find(m => m.route.hasErrorBoundary === true) || matches[0];
}

function getShortCircuitMatches(routes) {
  // Prefer a root layout route if present, otherwise shim in a route object
  let route = routes.find(r => r.index || !r.path || r.path === "/") || {
    id: "__shim-error-route__"
  };
  return {
    matches: [{
      params: {},
      pathname: "",
      pathnameBase: "",
      route
    }],
    route
  };
}

function getInternalRouterError(status, _temp4) {
  let {
    pathname,
    routeId,
    method,
    type
  } = _temp4 === void 0 ? {} : _temp4;
  let statusText = "Unknown Server Error";
  let errorMessage = "Unknown @remix-run/router error";

  if (status === 400) {
    statusText = "Bad Request";

    if (method && pathname && routeId) {
      errorMessage = "You made a " + method + " request to \"" + pathname + "\" but " + ("did not provide a `loader` for route \"" + routeId + "\", ") + "so there is no way to handle the request.";
    } else if (type === "defer-action") {
      errorMessage = "defer() is not supported in actions";
    }
  } else if (status === 403) {
    statusText = "Forbidden";
    errorMessage = "Route \"" + routeId + "\" does not match URL \"" + pathname + "\"";
  } else if (status === 404) {
    statusText = "Not Found";
    errorMessage = "No route matches URL \"" + pathname + "\"";
  } else if (status === 405) {
    statusText = "Method Not Allowed";

    if (method && pathname && routeId) {
      errorMessage = "You made a " + method.toUpperCase() + " request to \"" + pathname + "\" but " + ("did not provide an `action` for route \"" + routeId + "\", ") + "so there is no way to handle the request.";
    } else if (method) {
      errorMessage = "Invalid request method \"" + method.toUpperCase() + "\"";
    }
  }

  return new ErrorResponse(status || 500, statusText, new Error(errorMessage), true);
} // Find any returned redirect errors, starting from the lowest match


function findRedirect(results) {
  for (let i = results.length - 1; i >= 0; i--) {
    let result = results[i];

    if (isRedirectResult(result)) {
      return result;
    }
  }
}

function stripHashFromPath(path) {
  let parsedPath = typeof path === "string" ? parsePath(path) : path;
  return createPath(_extends({}, parsedPath, {
    hash: ""
  }));
}

function isHashChangeOnly(a, b) {
  return a.pathname === b.pathname && a.search === b.search && a.hash !== b.hash;
}

function isDeferredResult(result) {
  return result.type === ResultType.deferred;
}

function isErrorResult(result) {
  return result.type === ResultType.error;
}

function isRedirectResult(result) {
  return (result && result.type) === ResultType.redirect;
}

function isDeferredData(value) {
  let deferred = value;
  return deferred && typeof deferred === "object" && typeof deferred.data === "object" && typeof deferred.subscribe === "function" && typeof deferred.cancel === "function" && typeof deferred.resolveData === "function";
}

function isResponse(value) {
  return value != null && typeof value.status === "number" && typeof value.statusText === "string" && typeof value.headers === "object" && typeof value.body !== "undefined";
}

function isRedirectResponse(result) {
  if (!isResponse(result)) {
    return false;
  }

  let status = result.status;
  let location = result.headers.get("Location");
  return status >= 300 && status <= 399 && location != null;
}

function isQueryRouteResponse(obj) {
  return obj && isResponse(obj.response) && (obj.type === ResultType.data || ResultType.error);
}

function isValidMethod(method) {
  return validRequestMethods.has(method.toLowerCase());
}

function isMutationMethod(method) {
  return validMutationMethods.has(method.toLowerCase());
}

async function resolveDeferredResults(currentMatches, matchesToLoad, results, signal, isFetcher, currentLoaderData) {
  for (let index = 0; index < results.length; index++) {
    let result = results[index];
    let match = matchesToLoad[index]; // If we don't have a match, then we can have a deferred result to do
    // anything with.  This is for revalidating fetchers where the route was
    // removed during HMR

    if (!match) {
      continue;
    }

    let currentMatch = currentMatches.find(m => m.route.id === match.route.id);
    let isRevalidatingLoader = currentMatch != null && !isNewRouteInstance(currentMatch, match) && (currentLoaderData && currentLoaderData[match.route.id]) !== undefined;

    if (isDeferredResult(result) && (isFetcher || isRevalidatingLoader)) {
      // Note: we do not have to touch activeDeferreds here since we race them
      // against the signal in resolveDeferredData and they'll get aborted
      // there if needed
      await resolveDeferredData(result, signal, isFetcher).then(result => {
        if (result) {
          results[index] = result || results[index];
        }
      });
    }
  }
}

async function resolveDeferredData(result, signal, unwrap) {
  if (unwrap === void 0) {
    unwrap = false;
  }

  let aborted = await result.deferredData.resolveData(signal);

  if (aborted) {
    return;
  }

  if (unwrap) {
    try {
      return {
        type: ResultType.data,
        data: result.deferredData.unwrappedData
      };
    } catch (e) {
      // Handle any TrackedPromise._error values encountered while unwrapping
      return {
        type: ResultType.error,
        error: e
      };
    }
  }

  return {
    type: ResultType.data,
    data: result.deferredData.data
  };
}

function hasNakedIndexQuery(search) {
  return new URLSearchParams(search).getAll("index").some(v => v === "");
} // Note: This should match the format exported by useMatches, so if you change
// this please also change that :)  Eventually we'll DRY this up


function createUseMatchesMatch(match, loaderData) {
  let {
    route,
    pathname,
    params
  } = match;
  return {
    id: route.id,
    pathname,
    params,
    data: loaderData[route.id],
    handle: route.handle
  };
}

function getTargetMatch(matches, location) {
  let search = typeof location === "string" ? parsePath(location).search : location.search;

  if (matches[matches.length - 1].route.index && hasNakedIndexQuery(search || "")) {
    // Return the leaf index route when index is present
    return matches[matches.length - 1];
  } // Otherwise grab the deepest "path contributing" match (ignoring index and
  // pathless layout routes)


  let pathMatches = getPathContributingMatches(matches);
  return pathMatches[pathMatches.length - 1];
} //#endregion


//# sourceMappingURL=router.js.map


/***/ }),

/***/ 68620:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ compile)
/* harmony export */ });
/* harmony import */ var _tannin_postfix__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(83412);
/* harmony import */ var _tannin_evaluate__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(17336);



/**
 * Given a C expression, returns a function which can be called to evaluate its
 * result.
 *
 * @example
 *
 * ```js
 * import compile from '@tannin/compile';
 *
 * const evaluate = compile( 'n > 1' );
 *
 * evaluate( { n: 2 } );
 * // ⇒ true
 * ```
 *
 * @param {string} expression C expression.
 *
 * @return {(variables?:{[variable:string]:*})=>*} Compiled evaluator.
 */
function compile( expression ) {
	var terms = (0,_tannin_postfix__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)( expression );

	return function( variables ) {
		return (0,_tannin_evaluate__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)( terms, variables );
	};
}


/***/ }),

/***/ 17336:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ evaluate)
/* harmony export */ });
/**
 * Operator callback functions.
 *
 * @type {Object}
 */
var OPERATORS = {
	'!': function( a ) {
		return ! a;
	},
	'*': function( a, b ) {
		return a * b;
	},
	'/': function( a, b ) {
		return a / b;
	},
	'%': function( a, b ) {
		return a % b;
	},
	'+': function( a, b ) {
		return a + b;
	},
	'-': function( a, b ) {
		return a - b;
	},
	'<': function( a, b ) {
		return a < b;
	},
	'<=': function( a, b ) {
		return a <= b;
	},
	'>': function( a, b ) {
		return a > b;
	},
	'>=': function( a, b ) {
		return a >= b;
	},
	'==': function( a, b ) {
		return a === b;
	},
	'!=': function( a, b ) {
		return a !== b;
	},
	'&&': function( a, b ) {
		return a && b;
	},
	'||': function( a, b ) {
		return a || b;
	},
	'?:': function( a, b, c ) {
		if ( a ) {
			throw b;
		}

		return c;
	},
};

/**
 * Given an array of postfix terms and operand variables, returns the result of
 * the postfix evaluation.
 *
 * @example
 *
 * ```js
 * import evaluate from '@tannin/evaluate';
 *
 * // 3 + 4 * 5 / 6 ⇒ '3 4 5 * 6 / +'
 * const terms = [ '3', '4', '5', '*', '6', '/', '+' ];
 *
 * evaluate( terms, {} );
 * // ⇒ 6.333333333333334
 * ```
 *
 * @param {string[]} postfix   Postfix terms.
 * @param {Object}   variables Operand variables.
 *
 * @return {*} Result of evaluation.
 */
function evaluate( postfix, variables ) {
	var stack = [],
		i, j, args, getOperatorResult, term, value;

	for ( i = 0; i < postfix.length; i++ ) {
		term = postfix[ i ];

		getOperatorResult = OPERATORS[ term ];
		if ( getOperatorResult ) {
			// Pop from stack by number of function arguments.
			j = getOperatorResult.length;
			args = Array( j );
			while ( j-- ) {
				args[ j ] = stack.pop();
			}

			try {
				value = getOperatorResult.apply( null, args );
			} catch ( earlyReturn ) {
				return earlyReturn;
			}
		} else if ( variables.hasOwnProperty( term ) ) {
			value = variables[ term ];
		} else {
			value = +term;
		}

		stack.push( value );
	}

	return stack[ 0 ];
}


/***/ }),

/***/ 14043:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ pluralForms)
/* harmony export */ });
/* harmony import */ var _tannin_compile__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(68620);


/**
 * Given a C expression, returns a function which, when called with a value,
 * evaluates the result with the value assumed to be the "n" variable of the
 * expression. The result will be coerced to its numeric equivalent.
 *
 * @param {string} expression C expression.
 *
 * @return {Function} Evaluator function.
 */
function pluralForms( expression ) {
	var evaluate = (0,_tannin_compile__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)( expression );

	return function( n ) {
		return +evaluate( { n: n } );
	};
}


/***/ }),

/***/ 83412:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ postfix)
/* harmony export */ });
var PRECEDENCE, OPENERS, TERMINATORS, PATTERN;

/**
 * Operator precedence mapping.
 *
 * @type {Object}
 */
PRECEDENCE = {
	'(': 9,
	'!': 8,
	'*': 7,
	'/': 7,
	'%': 7,
	'+': 6,
	'-': 6,
	'<': 5,
	'<=': 5,
	'>': 5,
	'>=': 5,
	'==': 4,
	'!=': 4,
	'&&': 3,
	'||': 2,
	'?': 1,
	'?:': 1,
};

/**
 * Characters which signal pair opening, to be terminated by terminators.
 *
 * @type {string[]}
 */
OPENERS = [ '(', '?' ];

/**
 * Characters which signal pair termination, the value an array with the
 * opener as its first member. The second member is an optional operator
 * replacement to push to the stack.
 *
 * @type {string[]}
 */
TERMINATORS = {
	')': [ '(' ],
	':': [ '?', '?:' ],
};

/**
 * Pattern matching operators and openers.
 *
 * @type {RegExp}
 */
PATTERN = /<=|>=|==|!=|&&|\|\||\?:|\(|!|\*|\/|%|\+|-|<|>|\?|\)|:/;

/**
 * Given a C expression, returns the equivalent postfix (Reverse Polish)
 * notation terms as an array.
 *
 * If a postfix string is desired, simply `.join( ' ' )` the result.
 *
 * @example
 *
 * ```js
 * import postfix from '@tannin/postfix';
 *
 * postfix( 'n > 1' );
 * // ⇒ [ 'n', '1', '>' ]
 * ```
 *
 * @param {string} expression C expression.
 *
 * @return {string[]} Postfix terms.
 */
function postfix( expression ) {
	var terms = [],
		stack = [],
		match, operator, term, element;

	while ( ( match = expression.match( PATTERN ) ) ) {
		operator = match[ 0 ];

		// Term is the string preceding the operator match. It may contain
		// whitespace, and may be empty (if operator is at beginning).
		term = expression.substr( 0, match.index ).trim();
		if ( term ) {
			terms.push( term );
		}

		while ( ( element = stack.pop() ) ) {
			if ( TERMINATORS[ operator ] ) {
				if ( TERMINATORS[ operator ][ 0 ] === element ) {
					// Substitution works here under assumption that because
					// the assigned operator will no longer be a terminator, it
					// will be pushed to the stack during the condition below.
					operator = TERMINATORS[ operator ][ 1 ] || operator;
					break;
				}
			} else if ( OPENERS.indexOf( element ) >= 0 || PRECEDENCE[ element ] < PRECEDENCE[ operator ] ) {
				// Push to stack if either an opener or when pop reveals an
				// element of lower precedence.
				stack.push( element );
				break;
			}

			// For each popped from stack, push to terms.
			terms.push( element );
		}

		if ( ! TERMINATORS[ operator ] ) {
			stack.push( operator );
		}

		// Slice matched fragment from expression to continue match.
		expression = expression.substr( match.index + operator.length );
	}

	// Push remainder of operand, if exists, to terms.
	expression = expression.trim();
	if ( expression ) {
		terms.push( expression );
	}

	// Pop remaining items from stack into terms.
	return terms.concat( stack.reverse() );
}


/***/ }),

/***/ 17315:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ sprintf)
/* harmony export */ });
/**
 * Regular expression matching format placeholder syntax.
 *
 * The pattern for matching named arguments is a naive and incomplete matcher
 * against valid JavaScript identifier names.
 *
 * via Mathias Bynens:
 *
 * >An identifier must start with $, _, or any character in the Unicode
 * >categories “Uppercase letter (Lu)”, “Lowercase letter (Ll)”, “Titlecase
 * >letter (Lt)”, “Modifier letter (Lm)”, “Other letter (Lo)”, or “Letter
 * >number (Nl)”.
 * >
 * >The rest of the string can contain the same characters, plus any U+200C zero
 * >width non-joiner characters, U+200D zero width joiner characters, and
 * >characters in the Unicode categories “Non-spacing mark (Mn)”, “Spacing
 * >combining mark (Mc)”, “Decimal digit number (Nd)”, or “Connector
 * >punctuation (Pc)”.
 *
 * If browser support is constrained to those supporting ES2015, this could be
 * made more accurate using the `u` flag:
 *
 * ```
 * /^[$_\p{L}\p{Nl}][$_\p{L}\p{Nl}\u200C\u200D\p{Mn}\p{Mc}\p{Nd}\p{Pc}]*$/u;
 * ```
 *
 * @see http://www.pixelbeat.org/programming/gcc/format_specs.html
 * @see https://mathiasbynens.be/notes/javascript-identifiers#valid-identifier-names
 *
 * @type {RegExp}
 */
var PATTERN = /%(((\d+)\$)|(\(([$_a-zA-Z][$_a-zA-Z0-9]*)\)))?[ +0#-]*\d*(\.(\d+|\*))?(ll|[lhqL])?([cduxXefgsp%])/g;
//               ▲         ▲                    ▲       ▲  ▲            ▲           ▲ type
//               │         │                    │       │  │            └ Length (unsupported)
//               │         │                    │       │  └ Precision / max width
//               │         │                    │       └ Min width (unsupported)
//               │         │                    └ Flags (unsupported)
//               └ Index   └ Name (for named arguments)

/**
 * Given a format string, returns string with arguments interpolatation.
 * Arguments can either be provided directly via function arguments spread, or
 * with an array as the second argument.
 *
 * @see https://en.wikipedia.org/wiki/Printf_format_string
 *
 * @example
 *
 * ```js
 * import sprintf from '@tannin/sprintf';
 *
 * sprintf( 'Hello %s!', 'world' );
 * // ⇒ 'Hello world!'
 * ```
 *
 * @param {string} string printf format string
 * @param {Array}  [args] String arguments.
 *
 * @return {string} Formatted string.
 */
function sprintf( string, args ) {
	var i;

	if ( ! Array.isArray( args ) ) {
		// Construct a copy of arguments from index one, used for replace
		// function placeholder substitution.
		args = new Array( arguments.length - 1 );
		for ( i = 1; i < arguments.length; i++ ) {
			args[ i - 1 ] = arguments[ i ];
		}
	}

	i = 1;

	return string.replace( PATTERN, function() {
		var index, name, precision, type, value;

		index = arguments[ 3 ];
		name = arguments[ 5 ];
		precision = arguments[ 7 ];
		type = arguments[ 9 ];

		// There's no placeholder substitution in the explicit "%", meaning it
		// is not necessary to increment argument index.
		if ( type === '%' ) {
			return '%';
		}

		// Asterisk precision determined by peeking / shifting next argument.
		if ( precision === '*' ) {
			precision = args[ i - 1 ];
			i++;
		}

		if ( name !== undefined ) {
			// If it's a named argument, use name.
			if ( args[ 0 ] && typeof args[ 0 ] === 'object' &&
					args[ 0 ].hasOwnProperty( name ) ) {
				value = args[ 0 ][ name ];
			}
		} else {
			// If not a positional argument, use counter value.
			if ( index === undefined ) {
				index = i;
			}

			i++;

			// Positional argument.
			value = args[ index - 1 ];
		}

		// Parse as type.
		if ( type === 'f' ) {
			value = parseFloat( value ) || 0;
		} else if ( type === 'd' ) {
			value = parseInt( value ) || 0;
		}

		// Apply precision.
		if ( precision !== undefined ) {
			if ( type === 'f' ) {
				value = value.toFixed( precision );
			} else if ( type === 's' ) {
				value = value.substr( 0, precision );
			}
		}

		// To avoid "undefined" concatenation, return empty string if no
		// placeholder substitution can be performed.
		return value !== undefined && value !== null ? value : '';
	} );
}


/***/ }),

/***/ 64446:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/**
 * WordPress dependencies
 */


/** @typedef {{icon: JSX.Element, size?: number} & import('@wordpress/primitives').SVGProps} IconProps */

/**
 * Return an SVG icon.
 *
 * @param {IconProps}                                 props icon is the SVG component to render
 *                                                          size is a number specifiying the icon size in pixels
 *                                                          Other props will be passed to wrapped SVG component
 * @param {import('react').ForwardedRef<HTMLElement>} ref   The forwarded ref to the SVG element.
 *
 * @return {JSX.Element}  Icon component
 */
function Icon({
  icon,
  size = 24,
  ...props
}, ref) {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.cloneElement)(icon, {
    width: size,
    height: size,
    ...props,
    ref
  });
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(Icon));
//# sourceMappingURL=index.js.map

/***/ }),

/***/ 95656:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const arrowRight = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "m14.5 6.5-1 1 3.7 3.7H4v1.6h13.2l-3.7 3.7 1 1 5.6-5.5z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (arrowRight);
//# sourceMappingURL=arrow-right.js.map

/***/ }),

/***/ 59573:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const arrowUp = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M12 3.9 6.5 9.5l1 1 3.8-3.7V20h1.5V6.8l3.7 3.7 1-1z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (arrowUp);
//# sourceMappingURL=arrow-up.js.map

/***/ }),

/***/ 71042:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const captureVideo = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  viewBox: "0 0 24 24",
  xmlns: "http://www.w3.org/2000/svg"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M14 5H4c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm.5 12c0 .3-.2.5-.5.5H4c-.3 0-.5-.2-.5-.5V7c0-.3.2-.5.5-.5h10c.3 0 .5.2.5.5v10zm2.5-7v4l5 3V7l-5 3zm3.5 4.4l-2-1.2v-2.3l2-1.2v4.7z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (captureVideo);
//# sourceMappingURL=capture-video.js.map

/***/ }),

/***/ 43854:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const check = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M16.7 7.1l-6.3 8.5-3.3-2.5-.9 1.2 4.5 3.4L17.9 8z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (check);
//# sourceMappingURL=check.js.map

/***/ }),

/***/ 47906:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const chevronDown = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  viewBox: "0 0 24 24",
  xmlns: "http://www.w3.org/2000/svg"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M17.5 11.6L12 16l-5.5-4.4.9-1.2L12 14l4.5-3.6 1 1.2z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (chevronDown);
//# sourceMappingURL=chevron-down.js.map

/***/ }),

/***/ 63499:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const chevronLeft = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M14.6 7l-1.2-1L8 12l5.4 6 1.2-1-4.6-5z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (chevronLeft);
//# sourceMappingURL=chevron-left.js.map

/***/ }),

/***/ 9042:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const chevronRight = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M10.6 6L9.4 7l4.6 5-4.6 5 1.2 1 5.4-6z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (chevronRight);
//# sourceMappingURL=chevron-right.js.map

/***/ }),

/***/ 16091:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const chevronUp = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  viewBox: "0 0 24 24",
  xmlns: "http://www.w3.org/2000/svg"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M6.5 12.4L12 8l5.5 4.4-.9 1.2L12 10l-4.5 3.6-1-1.2z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (chevronUp);
//# sourceMappingURL=chevron-up.js.map

/***/ }),

/***/ 82096:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const closeSmall = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M12 13.06l3.712 3.713 1.061-1.06L13.061 12l3.712-3.712-1.06-1.06L12 10.938 8.288 7.227l-1.061 1.06L10.939 12l-3.712 3.712 1.06 1.061L12 13.061z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (closeSmall);
//# sourceMappingURL=close-small.js.map

/***/ }),

/***/ 59547:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const commentContent = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  viewBox: "0 0 24 24",
  xmlns: "http://www.w3.org/2000/svg"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M6.68822 16.625L5.5 17.8145L5.5 5.5L18.5 5.5L18.5 16.625L6.68822 16.625ZM7.31 18.125L19 18.125C19.5523 18.125 20 17.6773 20 17.125L20 5C20 4.44772 19.5523 4 19 4H5C4.44772 4 4 4.44772 4 5V19.5247C4 19.8173 4.16123 20.086 4.41935 20.2237C4.72711 20.3878 5.10601 20.3313 5.35252 20.0845L7.31 18.125ZM16 9.99997H8V8.49997H16V9.99997ZM8 14H13V12.5H8V14Z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (commentContent);
//# sourceMappingURL=comment-content.js.map

/***/ }),

/***/ 24955:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const comment = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  viewBox: "0 0 24 24",
  xmlns: "http://www.w3.org/2000/svg"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M18 4H6c-1.1 0-2 .9-2 2v12.9c0 .6.5 1.1 1.1 1.1.3 0 .5-.1.8-.3L8.5 17H18c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm.5 11c0 .3-.2.5-.5.5H7.9l-2.4 2.4V6c0-.3.2-.5.5-.5h12c.3 0 .5.2.5.5v9z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (comment);
//# sourceMappingURL=comment.js.map

/***/ }),

/***/ 98735:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const external = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M19.5 4.5h-7V6h4.44l-5.97 5.97 1.06 1.06L18 7.06v4.44h1.5v-7Zm-13 1a2 2 0 0 0-2 2v10a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2v-3H17v3a.5.5 0 0 1-.5.5h-10a.5.5 0 0 1-.5-.5v-10a.5.5 0 0 1 .5-.5h3V5.5h-3Z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (external);
//# sourceMappingURL=external.js.map

/***/ }),

/***/ 88065:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const formatListNumbered = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M11.1 15.8H20v-1.5h-8.9v1.5zm0-8.6v1.5H20V7.2h-8.9zM5 6.7V10h1V5.3L3.8 6l.4 1 .8-.3zm-.4 5.7c-.3.1-.5.2-.7.3l.1 1.1c.2-.2.5-.4.8-.5.3-.1.6 0 .7.1.2.3 0 .8-.2 1.1-.5.8-.9 1.6-1.4 2.5h2.7v-1h-1c.3-.6.8-1.4.9-2.1.1-.3 0-.8-.2-1.1-.5-.6-1.3-.5-1.7-.4z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (formatListNumbered);
//# sourceMappingURL=format-list-numbered.js.map

/***/ }),

/***/ 46263:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const globe = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M12 3.3c-4.8 0-8.8 3.9-8.8 8.8 0 4.8 3.9 8.8 8.8 8.8 4.8 0 8.8-3.9 8.8-8.8s-4-8.8-8.8-8.8zm6.5 5.5h-2.6C15.4 7.3 14.8 6 14 5c2 .6 3.6 2 4.5 3.8zm.7 3.2c0 .6-.1 1.2-.2 1.8h-2.9c.1-.6.1-1.2.1-1.8s-.1-1.2-.1-1.8H19c.2.6.2 1.2.2 1.8zM12 18.7c-1-.7-1.8-1.9-2.3-3.5h4.6c-.5 1.6-1.3 2.9-2.3 3.5zm-2.6-4.9c-.1-.6-.1-1.1-.1-1.8 0-.6.1-1.2.1-1.8h5.2c.1.6.1 1.1.1 1.8s-.1 1.2-.1 1.8H9.4zM4.8 12c0-.6.1-1.2.2-1.8h2.9c-.1.6-.1 1.2-.1 1.8 0 .6.1 1.2.1 1.8H5c-.2-.6-.2-1.2-.2-1.8zM12 5.3c1 .7 1.8 1.9 2.3 3.5H9.7c.5-1.6 1.3-2.9 2.3-3.5zM10 5c-.8 1-1.4 2.3-1.8 3.8H5.5C6.4 7 8 5.6 10 5zM5.5 15.3h2.6c.4 1.5 1 2.8 1.8 3.7-1.8-.6-3.5-2-4.4-3.7zM14 19c.8-1 1.4-2.2 1.8-3.7h2.6C17.6 17 16 18.4 14 19z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (globe);
//# sourceMappingURL=globe.js.map

/***/ }),

/***/ 79428:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const info = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M12 3.2c-4.8 0-8.8 3.9-8.8 8.8 0 4.8 3.9 8.8 8.8 8.8 4.8 0 8.8-3.9 8.8-8.8 0-4.8-4-8.8-8.8-8.8zm0 16c-4 0-7.2-3.3-7.2-7.2C4.8 8 8 4.8 12 4.8s7.2 3.3 7.2 7.2c0 4-3.2 7.2-7.2 7.2zM11 17h2v-6h-2v6zm0-8h2V7h-2v2z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (info);
//# sourceMappingURL=info.js.map

/***/ }),

/***/ 97636:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const institute = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  fillRule: "evenodd",
  d: "M18.646 9H20V8l-1-.5L12 4 5 7.5 4 8v1h14.646zm-3-1.5L12 5.677 8.354 7.5h7.292zm-7.897 9.44v-6.5h-1.5v6.5h1.5zm5-6.5v6.5h-1.5v-6.5h1.5zm5 0v6.5h-1.5v-6.5h1.5zm2.252 8.81c0 .414-.334.75-.748.75H4.752a.75.75 0 010-1.5h14.5a.75.75 0 01.749.75z",
  clipRule: "evenodd"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (institute);
//# sourceMappingURL=institution.js.map

/***/ }),

/***/ 4808:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const lineSolid = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M5 11.25h14v1.5H5z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (lineSolid);
//# sourceMappingURL=line-solid.js.map

/***/ }),

/***/ 16671:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const page = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M15.5 7.5h-7V9h7V7.5Zm-7 3.5h7v1.5h-7V11Zm7 3.5h-7V16h7v-1.5Z"
}), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M17 4H7a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2ZM7 5.5h10a.5.5 0 0 1 .5.5v12a.5.5 0 0 1-.5.5H7a.5.5 0 0 1-.5-.5V6a.5.5 0 0 1 .5-.5Z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (page);
//# sourceMappingURL=page.js.map

/***/ }),

/***/ 13936:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5573);
/* harmony import */ var _wordpress_primitives__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__);

/**
 * WordPress dependencies
 */

const search = (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.SVG, {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 24 24"
}, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_primitives__WEBPACK_IMPORTED_MODULE_1__.Path, {
  d: "M13 5c-3.3 0-6 2.7-6 6 0 1.4.5 2.7 1.3 3.7l-3.8 3.8 1.1 1.1 3.8-3.8c1 .8 2.3 1.3 3.7 1.3 3.3 0 6-2.7 6-6S16.3 5 13 5zm0 10.5c-2.5 0-4.5-2-4.5-4.5s2-4.5 4.5-4.5 4.5 2 4.5 4.5-2 4.5-4.5 4.5z"
}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (search);
//# sourceMappingURL=search.js.map

/***/ }),

/***/ 23634:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s9: () => (/* binding */ useI18n)
/* harmony export */ });
/* unused harmony exports I18nProvider, withI18n */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__);

/**
 * External dependencies
 */

/**
 * WordPress dependencies
 */


/**
 * Utility to make a new context value
 *
 * @param i18n
 */
function makeContextValue(i18n) {
  return {
    __: i18n.__.bind(i18n),
    _x: i18n._x.bind(i18n),
    _n: i18n._n.bind(i18n),
    _nx: i18n._nx.bind(i18n),
    isRTL: i18n.isRTL.bind(i18n),
    hasTranslation: i18n.hasTranslation.bind(i18n)
  };
}
const I18nContext = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createContext)(makeContextValue(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.defaultI18n));
/**
 * The `I18nProvider` should be mounted above any localized components:
 *
 * @example
 * ```js
 * import { createI18n } from '@wordpress/i18n';
 * import { I18nProvider } from '@wordpress/react-i18n';
 * const i18n = createI18n();
 *
 * ReactDom.render(
 * 	<I18nProvider i18n={ i18n }>
 * 		<App />
 * 	</I18nProvider>,
 * 	el
 * );
 * ```
 *
 * You can also instantiate the provider without the `i18n` prop. In that case it will use the
 * default `I18n` instance exported from `@wordpress/i18n`.
 *
 * @param props i18n provider props.
 * @return Children wrapped in the I18nProvider.
 */
function I18nProvider(props) {
  const {
    children,
    i18n = defaultI18n
  } = props;
  const [update, forceUpdate] = useReducer(() => [], []);

  // Rerender translations whenever the i18n instance fires a change event.
  useEffect(() => i18n.subscribe(forceUpdate), [i18n]);
  const value = useMemo(() => makeContextValue(i18n), [i18n, update]);
  return createElement(I18nContext.Provider, {
    value: value
  }, children);
}

/**
 * React hook providing access to i18n functions. It exposes the `__`, `_x`, `_n`, `_nx`,
 * `isRTL` and `hasTranslation` functions from [`@wordpress/i18n`](../i18n).
 * Refer to their documentation there.
 *
 * @example
 * ```js
 * import { useI18n } from '@wordpress/react-i18n';
 *
 * function MyComponent() {
 * 	const { __ } = useI18n();
 * 	return __( 'Hello, world!' );
 * }
 * ```
 */
const useI18n = () => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.useContext)(I18nContext);
/**
 * React higher-order component that passes the i18n translate functions (the same set
 * as exposed by the `useI18n` hook) to the wrapped component as props.
 *
 * @example
 * ```js
 * import { withI18n } from '@wordpress/react-i18n';
 *
 * function MyComponent( { __ } ) {
 * 	return __( 'Hello, world!' );
 * }
 *
 * export default withI18n( MyComponent );
 * ```
 *
 * @param InnerComponent React component to be wrapped and receive the i18n functions like `__`
 * @return The wrapped component
 */
function withI18n(InnerComponent) {
  const EnhancedComponent = props => {
    const i18nProps = useI18n();
    return createElement(InnerComponent, {
      ...props,
      ...i18nProps
    });
  };
  const innerComponentName = InnerComponent.displayName || InnerComponent.name || 'Component';
  EnhancedComponent.displayName = `WithI18n(${innerComponentName})`;
  return EnhancedComponent;
}
//# sourceMappingURL=index.js.map

/***/ }),

/***/ 66123:
/***/ (function(module, exports) {

var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/*!
	autosize 4.0.4
	license: MIT
	http://www.jacklmoore.com/autosize
*/
(function (global, factory) {
	if (true) {
		!(__WEBPACK_AMD_DEFINE_ARRAY__ = [module, exports], __WEBPACK_AMD_DEFINE_FACTORY__ = (factory),
		__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
		(__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__),
		__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	} else { var mod; }
})(this, function (module, exports) {
	'use strict';

	var map = typeof Map === "function" ? new Map() : function () {
		var keys = [];
		var values = [];

		return {
			has: function has(key) {
				return keys.indexOf(key) > -1;
			},
			get: function get(key) {
				return values[keys.indexOf(key)];
			},
			set: function set(key, value) {
				if (keys.indexOf(key) === -1) {
					keys.push(key);
					values.push(value);
				}
			},
			delete: function _delete(key) {
				var index = keys.indexOf(key);
				if (index > -1) {
					keys.splice(index, 1);
					values.splice(index, 1);
				}
			}
		};
	}();

	var createEvent = function createEvent(name) {
		return new Event(name, { bubbles: true });
	};
	try {
		new Event('test');
	} catch (e) {
		// IE does not support `new Event()`
		createEvent = function createEvent(name) {
			var evt = document.createEvent('Event');
			evt.initEvent(name, true, false);
			return evt;
		};
	}

	function assign(ta) {
		if (!ta || !ta.nodeName || ta.nodeName !== 'TEXTAREA' || map.has(ta)) return;

		var heightOffset = null;
		var clientWidth = null;
		var cachedHeight = null;

		function init() {
			var style = window.getComputedStyle(ta, null);

			if (style.resize === 'vertical') {
				ta.style.resize = 'none';
			} else if (style.resize === 'both') {
				ta.style.resize = 'horizontal';
			}

			if (style.boxSizing === 'content-box') {
				heightOffset = -(parseFloat(style.paddingTop) + parseFloat(style.paddingBottom));
			} else {
				heightOffset = parseFloat(style.borderTopWidth) + parseFloat(style.borderBottomWidth);
			}
			// Fix when a textarea is not on document body and heightOffset is Not a Number
			if (isNaN(heightOffset)) {
				heightOffset = 0;
			}

			update();
		}

		function changeOverflow(value) {
			{
				// Chrome/Safari-specific fix:
				// When the textarea y-overflow is hidden, Chrome/Safari do not reflow the text to account for the space
				// made available by removing the scrollbar. The following forces the necessary text reflow.
				var width = ta.style.width;
				ta.style.width = '0px';
				// Force reflow:
				/* jshint ignore:start */
				ta.offsetWidth;
				/* jshint ignore:end */
				ta.style.width = width;
			}

			ta.style.overflowY = value;
		}

		function getParentOverflows(el) {
			var arr = [];

			while (el && el.parentNode && el.parentNode instanceof Element) {
				if (el.parentNode.scrollTop) {
					arr.push({
						node: el.parentNode,
						scrollTop: el.parentNode.scrollTop
					});
				}
				el = el.parentNode;
			}

			return arr;
		}

		function resize() {
			if (ta.scrollHeight === 0) {
				// If the scrollHeight is 0, then the element probably has display:none or is detached from the DOM.
				return;
			}

			var overflows = getParentOverflows(ta);
			var docTop = document.documentElement && document.documentElement.scrollTop; // Needed for Mobile IE (ticket #240)

			ta.style.height = '';
			ta.style.height = ta.scrollHeight + heightOffset + 'px';

			// used to check if an update is actually necessary on window.resize
			clientWidth = ta.clientWidth;

			// prevents scroll-position jumping
			overflows.forEach(function (el) {
				el.node.scrollTop = el.scrollTop;
			});

			if (docTop) {
				document.documentElement.scrollTop = docTop;
			}
		}

		function update() {
			resize();

			var styleHeight = Math.round(parseFloat(ta.style.height));
			var computed = window.getComputedStyle(ta, null);

			// Using offsetHeight as a replacement for computed.height in IE, because IE does not account use of border-box
			var actualHeight = computed.boxSizing === 'content-box' ? Math.round(parseFloat(computed.height)) : ta.offsetHeight;

			// The actual height not matching the style height (set via the resize method) indicates that 
			// the max-height has been exceeded, in which case the overflow should be allowed.
			if (actualHeight < styleHeight) {
				if (computed.overflowY === 'hidden') {
					changeOverflow('scroll');
					resize();
					actualHeight = computed.boxSizing === 'content-box' ? Math.round(parseFloat(window.getComputedStyle(ta, null).height)) : ta.offsetHeight;
				}
			} else {
				// Normally keep overflow set to hidden, to avoid flash of scrollbar as the textarea expands.
				if (computed.overflowY !== 'hidden') {
					changeOverflow('hidden');
					resize();
					actualHeight = computed.boxSizing === 'content-box' ? Math.round(parseFloat(window.getComputedStyle(ta, null).height)) : ta.offsetHeight;
				}
			}

			if (cachedHeight !== actualHeight) {
				cachedHeight = actualHeight;
				var evt = createEvent('autosize:resized');
				try {
					ta.dispatchEvent(evt);
				} catch (err) {
					// Firefox will throw an error on dispatchEvent for a detached element
					// https://bugzilla.mozilla.org/show_bug.cgi?id=889376
				}
			}
		}

		var pageResize = function pageResize() {
			if (ta.clientWidth !== clientWidth) {
				update();
			}
		};

		var destroy = function (style) {
			window.removeEventListener('resize', pageResize, false);
			ta.removeEventListener('input', update, false);
			ta.removeEventListener('keyup', update, false);
			ta.removeEventListener('autosize:destroy', destroy, false);
			ta.removeEventListener('autosize:update', update, false);

			Object.keys(style).forEach(function (key) {
				ta.style[key] = style[key];
			});

			map.delete(ta);
		}.bind(ta, {
			height: ta.style.height,
			resize: ta.style.resize,
			overflowY: ta.style.overflowY,
			overflowX: ta.style.overflowX,
			wordWrap: ta.style.wordWrap
		});

		ta.addEventListener('autosize:destroy', destroy, false);

		// IE9 does not fire onpropertychange or oninput for deletions,
		// so binding to onkeyup to catch most of those events.
		// There is no way that I know of to detect something like 'cut' in IE9.
		if ('onpropertychange' in ta && 'oninput' in ta) {
			ta.addEventListener('keyup', update, false);
		}

		window.addEventListener('resize', pageResize, false);
		ta.addEventListener('input', update, false);
		ta.addEventListener('autosize:update', update, false);
		ta.style.overflowX = 'hidden';
		ta.style.wordWrap = 'break-word';

		map.set(ta, {
			destroy: destroy,
			update: update
		});

		init();
	}

	function destroy(ta) {
		var methods = map.get(ta);
		if (methods) {
			methods.destroy();
		}
	}

	function update(ta) {
		var methods = map.get(ta);
		if (methods) {
			methods.update();
		}
	}

	var autosize = null;

	// Do nothing in Node.js environment and IE8 (or lower)
	if ( false || typeof window.getComputedStyle !== 'function') {
		autosize = function autosize(el) {
			return el;
		};
		autosize.destroy = function (el) {
			return el;
		};
		autosize.update = function (el) {
			return el;
		};
	} else {
		autosize = function autosize(el, options) {
			if (el) {
				Array.prototype.forEach.call(el.length ? el : [el], function (x) {
					return assign(x, options);
				});
			}
			return el;
		};
		autosize.destroy = function (el) {
			if (el) {
				Array.prototype.forEach.call(el.length ? el : [el], destroy);
			}
			return el;
		};
		autosize.update = function (el) {
			if (el) {
				Array.prototype.forEach.call(el.length ? el : [el], update);
			}
			return el;
		};
	}

	exports.default = autosize;
	module.exports = exports['default'];
});

/***/ }),

/***/ 30049:
/***/ ((module) => {

module.exports = {
  "100": "Continue",
  "101": "Switching Protocols",
  "102": "Processing",
  "200": "OK",
  "201": "Created",
  "202": "Accepted",
  "203": "Non-Authoritative Information",
  "204": "No Content",
  "205": "Reset Content",
  "206": "Partial Content",
  "207": "Multi-Status",
  "208": "Already Reported",
  "226": "IM Used",
  "300": "Multiple Choices",
  "301": "Moved Permanently",
  "302": "Found",
  "303": "See Other",
  "304": "Not Modified",
  "305": "Use Proxy",
  "307": "Temporary Redirect",
  "308": "Permanent Redirect",
  "400": "Bad Request",
  "401": "Unauthorized",
  "402": "Payment Required",
  "403": "Forbidden",
  "404": "Not Found",
  "405": "Method Not Allowed",
  "406": "Not Acceptable",
  "407": "Proxy Authentication Required",
  "408": "Request Timeout",
  "409": "Conflict",
  "410": "Gone",
  "411": "Length Required",
  "412": "Precondition Failed",
  "413": "Payload Too Large",
  "414": "URI Too Long",
  "415": "Unsupported Media Type",
  "416": "Range Not Satisfiable",
  "417": "Expectation Failed",
  "418": "I'm a teapot",
  "421": "Misdirected Request",
  "422": "Unprocessable Entity",
  "423": "Locked",
  "424": "Failed Dependency",
  "425": "Unordered Collection",
  "426": "Upgrade Required",
  "428": "Precondition Required",
  "429": "Too Many Requests",
  "431": "Request Header Fields Too Large",
  "500": "Internal Server Error",
  "501": "Not Implemented",
  "502": "Bad Gateway",
  "503": "Service Unavailable",
  "504": "Gateway Timeout",
  "505": "HTTP Version Not Supported",
  "506": "Variant Also Negotiates",
  "507": "Insufficient Storage",
  "508": "Loop Detected",
  "509": "Bandwidth Limit Exceeded",
  "510": "Not Extended",
  "511": "Network Authentication Required"
}


/***/ }),

/***/ 79818:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var GetIntrinsic = __webpack_require__(528);

var callBind = __webpack_require__(28498);

var $indexOf = callBind(GetIntrinsic('String.prototype.indexOf'));

module.exports = function callBoundIntrinsic(name, allowMissing) {
	var intrinsic = GetIntrinsic(name, !!allowMissing);
	if (typeof intrinsic === 'function' && $indexOf(name, '.prototype.') > -1) {
		return callBind(intrinsic);
	}
	return intrinsic;
};


/***/ }),

/***/ 28498:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var bind = __webpack_require__(79138);
var GetIntrinsic = __webpack_require__(528);
var setFunctionLength = __webpack_require__(26108);

var $TypeError = __webpack_require__(3468);
var $apply = GetIntrinsic('%Function.prototype.apply%');
var $call = GetIntrinsic('%Function.prototype.call%');
var $reflectApply = GetIntrinsic('%Reflect.apply%', true) || bind.call($call, $apply);

var $defineProperty = __webpack_require__(64940);
var $max = GetIntrinsic('%Math.max%');

module.exports = function callBind(originalFunction) {
	if (typeof originalFunction !== 'function') {
		throw new $TypeError('a function is required');
	}
	var func = $reflectApply(bind, $call, arguments);
	return setFunctionLength(
		func,
		1 + $max(0, originalFunction.length - (arguments.length - 1)),
		true
	);
};

var applyBind = function applyBind() {
	return $reflectApply(bind, $apply, arguments);
};

if ($defineProperty) {
	$defineProperty(module.exports, 'apply', { value: applyBind });
} else {
	module.exports.apply = applyBind;
}


/***/ }),

/***/ 99870:
/***/ ((module, exports) => {

var __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/*!
	Copyright (c) 2018 Jed Watson.
	Licensed under the MIT License (MIT), see
	http://jedwatson.github.io/classnames
*/
/* global define */

(function () {
	'use strict';

	var hasOwn = {}.hasOwnProperty;
	var nativeCodeString = '[native code]';

	function classNames() {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(arg);
			} else if (Array.isArray(arg)) {
				if (arg.length) {
					var inner = classNames.apply(null, arg);
					if (inner) {
						classes.push(inner);
					}
				}
			} else if (argType === 'object') {
				if (arg.toString !== Object.prototype.toString && !arg.toString.toString().includes('[native code]')) {
					classes.push(arg.toString());
					continue;
				}

				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if ( true && module.exports) {
		classNames.default = classNames;
		module.exports = classNames;
	} else if (true) {
		// register as 'classnames', consistent with npm package name
		!(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_RESULT__ = (function () {
			return classNames;
		}).apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__),
		__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	} else {}
}());


/***/ }),

/***/ 9546:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   clsx: () => (/* binding */ clsx),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
function r(e){var t,f,n="";if("string"==typeof e||"number"==typeof e)n+=e;else if("object"==typeof e)if(Array.isArray(e))for(t=0;t<e.length;t++)e[t]&&(f=r(e[t]))&&(n&&(n+=" "),n+=f);else for(t in e)e[t]&&(n&&(n+=" "),n+=t);return n}function clsx(){for(var e,t,f=0,n="";f<arguments.length;)(e=arguments[f++])&&(t=r(e))&&(n&&(n+=" "),n+=t);return n}/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (clsx);

/***/ }),

/***/ 83284:
/***/ ((__unused_webpack_module, exports) => {

"use strict";
/*!
 * cookie
 * Copyright(c) 2012-2014 Roman Shtylman
 * Copyright(c) 2015 Douglas Christopher Wilson
 * MIT Licensed
 */



/**
 * Module exports.
 * @public
 */

exports.parse = parse;
exports.serialize = serialize;

/**
 * Module variables.
 * @private
 */

var decode = decodeURIComponent;
var encode = encodeURIComponent;
var pairSplitRegExp = /; */;

/**
 * RegExp to match field-content in RFC 7230 sec 3.2
 *
 * field-content = field-vchar [ 1*( SP / HTAB ) field-vchar ]
 * field-vchar   = VCHAR / obs-text
 * obs-text      = %x80-FF
 */

var fieldContentRegExp = /^[\u0009\u0020-\u007e\u0080-\u00ff]+$/;

/**
 * Parse a cookie header.
 *
 * Parse the given cookie header string into an object
 * The object has the various cookies as keys(names) => values
 *
 * @param {string} str
 * @param {object} [options]
 * @return {object}
 * @public
 */

function parse(str, options) {
  if (typeof str !== 'string') {
    throw new TypeError('argument str must be a string');
  }

  var obj = {}
  var opt = options || {};
  var pairs = str.split(pairSplitRegExp);
  var dec = opt.decode || decode;

  for (var i = 0; i < pairs.length; i++) {
    var pair = pairs[i];
    var eq_idx = pair.indexOf('=');

    // skip things that don't look like key=value
    if (eq_idx < 0) {
      continue;
    }

    var key = pair.substr(0, eq_idx).trim()
    var val = pair.substr(++eq_idx, pair.length).trim();

    // quoted values
    if ('"' == val[0]) {
      val = val.slice(1, -1);
    }

    // only assign once
    if (undefined == obj[key]) {
      obj[key] = tryDecode(val, dec);
    }
  }

  return obj;
}

/**
 * Serialize data into a cookie header.
 *
 * Serialize the a name value pair into a cookie string suitable for
 * http headers. An optional options object specified cookie parameters.
 *
 * serialize('foo', 'bar', { httpOnly: true })
 *   => "foo=bar; httpOnly"
 *
 * @param {string} name
 * @param {string} val
 * @param {object} [options]
 * @return {string}
 * @public
 */

function serialize(name, val, options) {
  var opt = options || {};
  var enc = opt.encode || encode;

  if (typeof enc !== 'function') {
    throw new TypeError('option encode is invalid');
  }

  if (!fieldContentRegExp.test(name)) {
    throw new TypeError('argument name is invalid');
  }

  var value = enc(val);

  if (value && !fieldContentRegExp.test(value)) {
    throw new TypeError('argument val is invalid');
  }

  var str = name + '=' + value;

  if (null != opt.maxAge) {
    var maxAge = opt.maxAge - 0;

    if (isNaN(maxAge) || !isFinite(maxAge)) {
      throw new TypeError('option maxAge is invalid')
    }

    str += '; Max-Age=' + Math.floor(maxAge);
  }

  if (opt.domain) {
    if (!fieldContentRegExp.test(opt.domain)) {
      throw new TypeError('option domain is invalid');
    }

    str += '; Domain=' + opt.domain;
  }

  if (opt.path) {
    if (!fieldContentRegExp.test(opt.path)) {
      throw new TypeError('option path is invalid');
    }

    str += '; Path=' + opt.path;
  }

  if (opt.expires) {
    if (typeof opt.expires.toUTCString !== 'function') {
      throw new TypeError('option expires is invalid');
    }

    str += '; Expires=' + opt.expires.toUTCString();
  }

  if (opt.httpOnly) {
    str += '; HttpOnly';
  }

  if (opt.secure) {
    str += '; Secure';
  }

  if (opt.sameSite) {
    var sameSite = typeof opt.sameSite === 'string'
      ? opt.sameSite.toLowerCase() : opt.sameSite;

    switch (sameSite) {
      case true:
        str += '; SameSite=Strict';
        break;
      case 'lax':
        str += '; SameSite=Lax';
        break;
      case 'strict':
        str += '; SameSite=Strict';
        break;
      case 'none':
        str += '; SameSite=None';
        break;
      default:
        throw new TypeError('option sameSite is invalid');
    }
  }

  return str;
}

/**
 * Try decoding a string using a decoding function.
 *
 * @param {string} str
 * @param {function} decode
 * @private
 */

function tryDecode(str, decode) {
  try {
    return decode(str);
  } catch (e) {
    return str;
  }
}


/***/ }),

/***/ 29386:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var isCallable = __webpack_require__(46357);
var tryToString = __webpack_require__(40215);

var $TypeError = TypeError;

// `Assert: IsCallable(argument) is true`
module.exports = function (argument) {
  if (isCallable(argument)) return argument;
  throw $TypeError(tryToString(argument) + ' is not a function');
};


/***/ }),

/***/ 50151:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var isObject = __webpack_require__(41634);

var $String = String;
var $TypeError = TypeError;

// `Assert: Type(argument) is Object`
module.exports = function (argument) {
  if (isObject(argument)) return argument;
  throw $TypeError($String(argument) + ' is not an object');
};


/***/ }),

/***/ 42753:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var toIndexedObject = __webpack_require__(20853);
var toAbsoluteIndex = __webpack_require__(47418);
var lengthOfArrayLike = __webpack_require__(65526);

// `Array.prototype.{ indexOf, includes }` methods implementation
var createMethod = function (IS_INCLUDES) {
  return function ($this, el, fromIndex) {
    var O = toIndexedObject($this);
    var length = lengthOfArrayLike(O);
    var index = toAbsoluteIndex(fromIndex, length);
    var value;
    // Array#includes uses SameValueZero equality algorithm
    // eslint-disable-next-line no-self-compare -- NaN check
    if (IS_INCLUDES && el != el) while (length > index) {
      value = O[index++];
      // eslint-disable-next-line no-self-compare -- NaN check
      if (value != value) return true;
    // Array#indexOf ignores holes, Array#includes - not
    } else for (;length > index; index++) {
      if ((IS_INCLUDES || index in O) && O[index] === el) return IS_INCLUDES || index || 0;
    } return !IS_INCLUDES && -1;
  };
};

module.exports = {
  // `Array.prototype.includes` method
  // https://tc39.es/ecma262/#sec-array.prototype.includes
  includes: createMethod(true),
  // `Array.prototype.indexOf` method
  // https://tc39.es/ecma262/#sec-array.prototype.indexof
  indexOf: createMethod(false)
};


/***/ }),

/***/ 19136:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uncurryThis = __webpack_require__(1008);

module.exports = uncurryThis([].slice);


/***/ }),

/***/ 96032:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uncurryThis = __webpack_require__(1008);

var toString = uncurryThis({}.toString);
var stringSlice = uncurryThis(''.slice);

module.exports = function (it) {
  return stringSlice(toString(it), 8, -1);
};


/***/ }),

/***/ 20812:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var hasOwn = __webpack_require__(85889);
var ownKeys = __webpack_require__(37527);
var getOwnPropertyDescriptorModule = __webpack_require__(89763);
var definePropertyModule = __webpack_require__(78449);

module.exports = function (target, source, exceptions) {
  var keys = ownKeys(source);
  var defineProperty = definePropertyModule.f;
  var getOwnPropertyDescriptor = getOwnPropertyDescriptorModule.f;
  for (var i = 0; i < keys.length; i++) {
    var key = keys[i];
    if (!hasOwn(target, key) && !(exceptions && hasOwn(exceptions, key))) {
      defineProperty(target, key, getOwnPropertyDescriptor(source, key));
    }
  }
};


/***/ }),

/***/ 76587:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var DESCRIPTORS = __webpack_require__(95180);
var definePropertyModule = __webpack_require__(78449);
var createPropertyDescriptor = __webpack_require__(6372);

module.exports = DESCRIPTORS ? function (object, key, value) {
  return definePropertyModule.f(object, key, createPropertyDescriptor(1, value));
} : function (object, key, value) {
  object[key] = value;
  return object;
};


/***/ }),

/***/ 6372:
/***/ ((module) => {

module.exports = function (bitmap, value) {
  return {
    enumerable: !(bitmap & 1),
    configurable: !(bitmap & 2),
    writable: !(bitmap & 4),
    value: value
  };
};


/***/ }),

/***/ 63642:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var makeBuiltIn = __webpack_require__(90027);
var defineProperty = __webpack_require__(78449);

module.exports = function (target, name, descriptor) {
  if (descriptor.get) makeBuiltIn(descriptor.get, name, { getter: true });
  if (descriptor.set) makeBuiltIn(descriptor.set, name, { setter: true });
  return defineProperty.f(target, name, descriptor);
};


/***/ }),

/***/ 9704:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var isCallable = __webpack_require__(46357);
var definePropertyModule = __webpack_require__(78449);
var makeBuiltIn = __webpack_require__(90027);
var defineGlobalProperty = __webpack_require__(92969);

module.exports = function (O, key, value, options) {
  if (!options) options = {};
  var simple = options.enumerable;
  var name = options.name !== undefined ? options.name : key;
  if (isCallable(value)) makeBuiltIn(value, name, options);
  if (options.global) {
    if (simple) O[key] = value;
    else defineGlobalProperty(key, value);
  } else {
    try {
      if (!options.unsafe) delete O[key];
      else if (O[key]) simple = true;
    } catch (error) { /* empty */ }
    if (simple) O[key] = value;
    else definePropertyModule.f(O, key, {
      value: value,
      enumerable: false,
      configurable: !options.nonConfigurable,
      writable: !options.nonWritable
    });
  } return O;
};


/***/ }),

/***/ 92969:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var global = __webpack_require__(54523);

// eslint-disable-next-line es/no-object-defineproperty -- safe
var defineProperty = Object.defineProperty;

module.exports = function (key, value) {
  try {
    defineProperty(global, key, { value: value, configurable: true, writable: true });
  } catch (error) {
    global[key] = value;
  } return value;
};


/***/ }),

/***/ 95180:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fails = __webpack_require__(84543);

// Detect IE8's incomplete defineProperty implementation
module.exports = !fails(function () {
  // eslint-disable-next-line es/no-object-defineproperty -- required for testing
  return Object.defineProperty({}, 1, { get: function () { return 7; } })[1] != 7;
});


/***/ }),

/***/ 82155:
/***/ ((module) => {

var documentAll = typeof document == 'object' && document.all;

// https://tc39.es/ecma262/#sec-IsHTMLDDA-internal-slot
// eslint-disable-next-line unicorn/no-typeof-undefined -- required for testing
var IS_HTMLDDA = typeof documentAll == 'undefined' && documentAll !== undefined;

module.exports = {
  all: documentAll,
  IS_HTMLDDA: IS_HTMLDDA
};


/***/ }),

/***/ 62679:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var global = __webpack_require__(54523);
var isObject = __webpack_require__(41634);

var document = global.document;
// typeof document.createElement is 'object' in old IE
var EXISTS = isObject(document) && isObject(document.createElement);

module.exports = function (it) {
  return EXISTS ? document.createElement(it) : {};
};


/***/ }),

/***/ 46507:
/***/ ((module) => {

/* global Bun -- Deno case */
module.exports = typeof Bun == 'function' && Bun && typeof Bun.version == 'string';


/***/ }),

/***/ 87863:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var userAgent = __webpack_require__(74848);

// eslint-disable-next-line redos/no-vulnerable -- safe
module.exports = /(?:ipad|iphone|ipod).*applewebkit/i.test(userAgent);


/***/ }),

/***/ 42224:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var classof = __webpack_require__(96032);

module.exports = typeof process != 'undefined' && classof(process) == 'process';


/***/ }),

/***/ 74848:
/***/ ((module) => {

module.exports = typeof navigator != 'undefined' && String(navigator.userAgent) || '';


/***/ }),

/***/ 72844:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var global = __webpack_require__(54523);
var userAgent = __webpack_require__(74848);

var process = global.process;
var Deno = global.Deno;
var versions = process && process.versions || Deno && Deno.version;
var v8 = versions && versions.v8;
var match, version;

if (v8) {
  match = v8.split('.');
  // in old Chrome, versions of V8 isn't V8 = Chrome / 10
  // but their correct versions are not interesting for us
  version = match[0] > 0 && match[0] < 4 ? 1 : +(match[0] + match[1]);
}

// BrowserFS NodeJS `process` polyfill incorrectly set `.v8` to `0.0`
// so check `userAgent` even if `.v8` exists, but 0
if (!version && userAgent) {
  match = userAgent.match(/Edge\/(\d+)/);
  if (!match || match[1] >= 74) {
    match = userAgent.match(/Chrome\/(\d+)/);
    if (match) version = +match[1];
  }
}

module.exports = version;


/***/ }),

/***/ 28471:
/***/ ((module) => {

// IE8- don't enum bug keys
module.exports = [
  'constructor',
  'hasOwnProperty',
  'isPrototypeOf',
  'propertyIsEnumerable',
  'toLocaleString',
  'toString',
  'valueOf'
];


/***/ }),

/***/ 76566:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var global = __webpack_require__(54523);
var getOwnPropertyDescriptor = (__webpack_require__(89763).f);
var createNonEnumerableProperty = __webpack_require__(76587);
var defineBuiltIn = __webpack_require__(9704);
var defineGlobalProperty = __webpack_require__(92969);
var copyConstructorProperties = __webpack_require__(20812);
var isForced = __webpack_require__(14396);

/*
  options.target         - name of the target object
  options.global         - target is the global object
  options.stat           - export as static methods of target
  options.proto          - export as prototype methods of target
  options.real           - real prototype method for the `pure` version
  options.forced         - export even if the native feature is available
  options.bind           - bind methods to the target, required for the `pure` version
  options.wrap           - wrap constructors to preventing global pollution, required for the `pure` version
  options.unsafe         - use the simple assignment of property instead of delete + defineProperty
  options.sham           - add a flag to not completely full polyfills
  options.enumerable     - export as enumerable property
  options.dontCallGetSet - prevent calling a getter on target
  options.name           - the .name of the function if it does not match the key
*/
module.exports = function (options, source) {
  var TARGET = options.target;
  var GLOBAL = options.global;
  var STATIC = options.stat;
  var FORCED, target, key, targetProperty, sourceProperty, descriptor;
  if (GLOBAL) {
    target = global;
  } else if (STATIC) {
    target = global[TARGET] || defineGlobalProperty(TARGET, {});
  } else {
    target = (global[TARGET] || {}).prototype;
  }
  if (target) for (key in source) {
    sourceProperty = source[key];
    if (options.dontCallGetSet) {
      descriptor = getOwnPropertyDescriptor(target, key);
      targetProperty = descriptor && descriptor.value;
    } else targetProperty = target[key];
    FORCED = isForced(GLOBAL ? key : TARGET + (STATIC ? '.' : '#') + key, options.forced);
    // contained in target
    if (!FORCED && targetProperty !== undefined) {
      if (typeof sourceProperty == typeof targetProperty) continue;
      copyConstructorProperties(sourceProperty, targetProperty);
    }
    // add a flag to not completely full polyfills
    if (options.sham || (targetProperty && targetProperty.sham)) {
      createNonEnumerableProperty(sourceProperty, 'sham', true);
    }
    defineBuiltIn(target, key, sourceProperty, options);
  }
};


/***/ }),

/***/ 84543:
/***/ ((module) => {

module.exports = function (exec) {
  try {
    return !!exec();
  } catch (error) {
    return true;
  }
};


/***/ }),

/***/ 41881:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var NATIVE_BIND = __webpack_require__(79944);

var FunctionPrototype = Function.prototype;
var apply = FunctionPrototype.apply;
var call = FunctionPrototype.call;

// eslint-disable-next-line es/no-reflect -- safe
module.exports = typeof Reflect == 'object' && Reflect.apply || (NATIVE_BIND ? call.bind(apply) : function () {
  return call.apply(apply, arguments);
});


/***/ }),

/***/ 81232:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uncurryThis = __webpack_require__(11316);
var aCallable = __webpack_require__(29386);
var NATIVE_BIND = __webpack_require__(79944);

var bind = uncurryThis(uncurryThis.bind);

// optional / simple context binding
module.exports = function (fn, that) {
  aCallable(fn);
  return that === undefined ? fn : NATIVE_BIND ? bind(fn, that) : function (/* ...args */) {
    return fn.apply(that, arguments);
  };
};


/***/ }),

/***/ 79944:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fails = __webpack_require__(84543);

module.exports = !fails(function () {
  // eslint-disable-next-line es/no-function-prototype-bind -- safe
  var test = (function () { /* empty */ }).bind();
  // eslint-disable-next-line no-prototype-builtins -- safe
  return typeof test != 'function' || test.hasOwnProperty('prototype');
});


/***/ }),

/***/ 92957:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var NATIVE_BIND = __webpack_require__(79944);

var call = Function.prototype.call;

module.exports = NATIVE_BIND ? call.bind(call) : function () {
  return call.apply(call, arguments);
};


/***/ }),

/***/ 50094:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var DESCRIPTORS = __webpack_require__(95180);
var hasOwn = __webpack_require__(85889);

var FunctionPrototype = Function.prototype;
// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var getDescriptor = DESCRIPTORS && Object.getOwnPropertyDescriptor;

var EXISTS = hasOwn(FunctionPrototype, 'name');
// additional protection from minified / mangled / dropped function names
var PROPER = EXISTS && (function something() { /* empty */ }).name === 'something';
var CONFIGURABLE = EXISTS && (!DESCRIPTORS || (DESCRIPTORS && getDescriptor(FunctionPrototype, 'name').configurable));

module.exports = {
  EXISTS: EXISTS,
  PROPER: PROPER,
  CONFIGURABLE: CONFIGURABLE
};


/***/ }),

/***/ 11316:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var classofRaw = __webpack_require__(96032);
var uncurryThis = __webpack_require__(1008);

module.exports = function (fn) {
  // Nashorn bug:
  //   https://github.com/zloirock/core-js/issues/1128
  //   https://github.com/zloirock/core-js/issues/1130
  if (classofRaw(fn) === 'Function') return uncurryThis(fn);
};


/***/ }),

/***/ 1008:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var NATIVE_BIND = __webpack_require__(79944);

var FunctionPrototype = Function.prototype;
var call = FunctionPrototype.call;
var uncurryThisWithBind = NATIVE_BIND && FunctionPrototype.bind.bind(call, call);

module.exports = NATIVE_BIND ? uncurryThisWithBind : function (fn) {
  return function () {
    return call.apply(fn, arguments);
  };
};


/***/ }),

/***/ 47735:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var global = __webpack_require__(54523);
var isCallable = __webpack_require__(46357);

var aFunction = function (argument) {
  return isCallable(argument) ? argument : undefined;
};

module.exports = function (namespace, method) {
  return arguments.length < 2 ? aFunction(global[namespace]) : global[namespace] && global[namespace][method];
};


/***/ }),

/***/ 6046:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var aCallable = __webpack_require__(29386);
var isNullOrUndefined = __webpack_require__(3445);

// `GetMethod` abstract operation
// https://tc39.es/ecma262/#sec-getmethod
module.exports = function (V, P) {
  var func = V[P];
  return isNullOrUndefined(func) ? undefined : aCallable(func);
};


/***/ }),

/***/ 54523:
/***/ (function(module) {

var check = function (it) {
  return it && it.Math == Math && it;
};

// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
module.exports =
  // eslint-disable-next-line es/no-global-this -- safe
  check(typeof globalThis == 'object' && globalThis) ||
  check( true && window) ||
  // eslint-disable-next-line no-restricted-globals -- safe
  check(typeof self == 'object' && self) ||
  check( true && window) ||
  // eslint-disable-next-line no-new-func -- fallback
  (function () { return this; })() || this || Function('return this')();


/***/ }),

/***/ 85889:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uncurryThis = __webpack_require__(1008);
var toObject = __webpack_require__(70581);

var hasOwnProperty = uncurryThis({}.hasOwnProperty);

// `HasOwnProperty` abstract operation
// https://tc39.es/ecma262/#sec-hasownproperty
// eslint-disable-next-line es/no-object-hasown -- safe
module.exports = Object.hasOwn || function hasOwn(it, key) {
  return hasOwnProperty(toObject(it), key);
};


/***/ }),

/***/ 65525:
/***/ ((module) => {

module.exports = {};


/***/ }),

/***/ 22093:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var getBuiltIn = __webpack_require__(47735);

module.exports = getBuiltIn('document', 'documentElement');


/***/ }),

/***/ 59053:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var DESCRIPTORS = __webpack_require__(95180);
var fails = __webpack_require__(84543);
var createElement = __webpack_require__(62679);

// Thanks to IE8 for its funny defineProperty
module.exports = !DESCRIPTORS && !fails(function () {
  // eslint-disable-next-line es/no-object-defineproperty -- required for testing
  return Object.defineProperty(createElement('div'), 'a', {
    get: function () { return 7; }
  }).a != 7;
});


/***/ }),

/***/ 70191:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uncurryThis = __webpack_require__(1008);
var fails = __webpack_require__(84543);
var classof = __webpack_require__(96032);

var $Object = Object;
var split = uncurryThis(''.split);

// fallback for non-array-like ES3 and non-enumerable old V8 strings
module.exports = fails(function () {
  // throws an error in rhino, see https://github.com/mozilla/rhino/issues/346
  // eslint-disable-next-line no-prototype-builtins -- safe
  return !$Object('z').propertyIsEnumerable(0);
}) ? function (it) {
  return classof(it) == 'String' ? split(it, '') : $Object(it);
} : $Object;


/***/ }),

/***/ 56842:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uncurryThis = __webpack_require__(1008);
var isCallable = __webpack_require__(46357);
var store = __webpack_require__(43965);

var functionToString = uncurryThis(Function.toString);

// this helper broken in `core-js@3.4.1-3.4.4`, so we can't use `shared` helper
if (!isCallable(store.inspectSource)) {
  store.inspectSource = function (it) {
    return functionToString(it);
  };
}

module.exports = store.inspectSource;


/***/ }),

/***/ 14317:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var NATIVE_WEAK_MAP = __webpack_require__(60158);
var global = __webpack_require__(54523);
var isObject = __webpack_require__(41634);
var createNonEnumerableProperty = __webpack_require__(76587);
var hasOwn = __webpack_require__(85889);
var shared = __webpack_require__(43965);
var sharedKey = __webpack_require__(99847);
var hiddenKeys = __webpack_require__(65525);

var OBJECT_ALREADY_INITIALIZED = 'Object already initialized';
var TypeError = global.TypeError;
var WeakMap = global.WeakMap;
var set, get, has;

var enforce = function (it) {
  return has(it) ? get(it) : set(it, {});
};

var getterFor = function (TYPE) {
  return function (it) {
    var state;
    if (!isObject(it) || (state = get(it)).type !== TYPE) {
      throw TypeError('Incompatible receiver, ' + TYPE + ' required');
    } return state;
  };
};

if (NATIVE_WEAK_MAP || shared.state) {
  var store = shared.state || (shared.state = new WeakMap());
  /* eslint-disable no-self-assign -- prototype methods protection */
  store.get = store.get;
  store.has = store.has;
  store.set = store.set;
  /* eslint-enable no-self-assign -- prototype methods protection */
  set = function (it, metadata) {
    if (store.has(it)) throw TypeError(OBJECT_ALREADY_INITIALIZED);
    metadata.facade = it;
    store.set(it, metadata);
    return metadata;
  };
  get = function (it) {
    return store.get(it) || {};
  };
  has = function (it) {
    return store.has(it);
  };
} else {
  var STATE = sharedKey('state');
  hiddenKeys[STATE] = true;
  set = function (it, metadata) {
    if (hasOwn(it, STATE)) throw TypeError(OBJECT_ALREADY_INITIALIZED);
    metadata.facade = it;
    createNonEnumerableProperty(it, STATE, metadata);
    return metadata;
  };
  get = function (it) {
    return hasOwn(it, STATE) ? it[STATE] : {};
  };
  has = function (it) {
    return hasOwn(it, STATE);
  };
}

module.exports = {
  set: set,
  get: get,
  has: has,
  enforce: enforce,
  getterFor: getterFor
};


/***/ }),

/***/ 46357:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var $documentAll = __webpack_require__(82155);

var documentAll = $documentAll.all;

// `IsCallable` abstract operation
// https://tc39.es/ecma262/#sec-iscallable
module.exports = $documentAll.IS_HTMLDDA ? function (argument) {
  return typeof argument == 'function' || argument === documentAll;
} : function (argument) {
  return typeof argument == 'function';
};


/***/ }),

/***/ 14396:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var fails = __webpack_require__(84543);
var isCallable = __webpack_require__(46357);

var replacement = /#|\.prototype\./;

var isForced = function (feature, detection) {
  var value = data[normalize(feature)];
  return value == POLYFILL ? true
    : value == NATIVE ? false
    : isCallable(detection) ? fails(detection)
    : !!detection;
};

var normalize = isForced.normalize = function (string) {
  return String(string).replace(replacement, '.').toLowerCase();
};

var data = isForced.data = {};
var NATIVE = isForced.NATIVE = 'N';
var POLYFILL = isForced.POLYFILL = 'P';

module.exports = isForced;


/***/ }),

/***/ 3445:
/***/ ((module) => {

// we can't use just `it == null` since of `document.all` special case
// https://tc39.es/ecma262/#sec-IsHTMLDDA-internal-slot-aec
module.exports = function (it) {
  return it === null || it === undefined;
};


/***/ }),

/***/ 41634:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var isCallable = __webpack_require__(46357);
var $documentAll = __webpack_require__(82155);

var documentAll = $documentAll.all;

module.exports = $documentAll.IS_HTMLDDA ? function (it) {
  return typeof it == 'object' ? it !== null : isCallable(it) || it === documentAll;
} : function (it) {
  return typeof it == 'object' ? it !== null : isCallable(it);
};


/***/ }),

/***/ 7051:
/***/ ((module) => {

module.exports = false;


/***/ }),

/***/ 32357:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var getBuiltIn = __webpack_require__(47735);
var isCallable = __webpack_require__(46357);
var isPrototypeOf = __webpack_require__(55161);
var USE_SYMBOL_AS_UID = __webpack_require__(2496);

var $Object = Object;

module.exports = USE_SYMBOL_AS_UID ? function (it) {
  return typeof it == 'symbol';
} : function (it) {
  var $Symbol = getBuiltIn('Symbol');
  return isCallable($Symbol) && isPrototypeOf($Symbol.prototype, $Object(it));
};


/***/ }),

/***/ 65526:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var toLength = __webpack_require__(55966);

// `LengthOfArrayLike` abstract operation
// https://tc39.es/ecma262/#sec-lengthofarraylike
module.exports = function (obj) {
  return toLength(obj.length);
};


/***/ }),

/***/ 90027:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uncurryThis = __webpack_require__(1008);
var fails = __webpack_require__(84543);
var isCallable = __webpack_require__(46357);
var hasOwn = __webpack_require__(85889);
var DESCRIPTORS = __webpack_require__(95180);
var CONFIGURABLE_FUNCTION_NAME = (__webpack_require__(50094).CONFIGURABLE);
var inspectSource = __webpack_require__(56842);
var InternalStateModule = __webpack_require__(14317);

var enforceInternalState = InternalStateModule.enforce;
var getInternalState = InternalStateModule.get;
var $String = String;
// eslint-disable-next-line es/no-object-defineproperty -- safe
var defineProperty = Object.defineProperty;
var stringSlice = uncurryThis(''.slice);
var replace = uncurryThis(''.replace);
var join = uncurryThis([].join);

var CONFIGURABLE_LENGTH = DESCRIPTORS && !fails(function () {
  return defineProperty(function () { /* empty */ }, 'length', { value: 8 }).length !== 8;
});

var TEMPLATE = String(String).split('String');

var makeBuiltIn = module.exports = function (value, name, options) {
  if (stringSlice($String(name), 0, 7) === 'Symbol(') {
    name = '[' + replace($String(name), /^Symbol\(([^)]*)\)/, '$1') + ']';
  }
  if (options && options.getter) name = 'get ' + name;
  if (options && options.setter) name = 'set ' + name;
  if (!hasOwn(value, 'name') || (CONFIGURABLE_FUNCTION_NAME && value.name !== name)) {
    if (DESCRIPTORS) defineProperty(value, 'name', { value: name, configurable: true });
    else value.name = name;
  }
  if (CONFIGURABLE_LENGTH && options && hasOwn(options, 'arity') && value.length !== options.arity) {
    defineProperty(value, 'length', { value: options.arity });
  }
  try {
    if (options && hasOwn(options, 'constructor') && options.constructor) {
      if (DESCRIPTORS) defineProperty(value, 'prototype', { writable: false });
    // in V8 ~ Chrome 53, prototypes of some methods, like `Array.prototype.values`, are non-writable
    } else if (value.prototype) value.prototype = undefined;
  } catch (error) { /* empty */ }
  var state = enforceInternalState(value);
  if (!hasOwn(state, 'source')) {
    state.source = join(TEMPLATE, typeof name == 'string' ? name : '');
  } return value;
};

// add fake Function#toString for correct work wrapped methods / constructors with methods like LoDash isNative
// eslint-disable-next-line no-extend-native -- required
Function.prototype.toString = makeBuiltIn(function toString() {
  return isCallable(this) && getInternalState(this).source || inspectSource(this);
}, 'toString');


/***/ }),

/***/ 14469:
/***/ ((module) => {

var ceil = Math.ceil;
var floor = Math.floor;

// `Math.trunc` method
// https://tc39.es/ecma262/#sec-math.trunc
// eslint-disable-next-line es/no-math-trunc -- safe
module.exports = Math.trunc || function trunc(x) {
  var n = +x;
  return (n > 0 ? floor : ceil)(n);
};


/***/ }),

/***/ 78449:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var DESCRIPTORS = __webpack_require__(95180);
var IE8_DOM_DEFINE = __webpack_require__(59053);
var V8_PROTOTYPE_DEFINE_BUG = __webpack_require__(7310);
var anObject = __webpack_require__(50151);
var toPropertyKey = __webpack_require__(29833);

var $TypeError = TypeError;
// eslint-disable-next-line es/no-object-defineproperty -- safe
var $defineProperty = Object.defineProperty;
// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var $getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;
var ENUMERABLE = 'enumerable';
var CONFIGURABLE = 'configurable';
var WRITABLE = 'writable';

// `Object.defineProperty` method
// https://tc39.es/ecma262/#sec-object.defineproperty
exports.f = DESCRIPTORS ? V8_PROTOTYPE_DEFINE_BUG ? function defineProperty(O, P, Attributes) {
  anObject(O);
  P = toPropertyKey(P);
  anObject(Attributes);
  if (typeof O === 'function' && P === 'prototype' && 'value' in Attributes && WRITABLE in Attributes && !Attributes[WRITABLE]) {
    var current = $getOwnPropertyDescriptor(O, P);
    if (current && current[WRITABLE]) {
      O[P] = Attributes.value;
      Attributes = {
        configurable: CONFIGURABLE in Attributes ? Attributes[CONFIGURABLE] : current[CONFIGURABLE],
        enumerable: ENUMERABLE in Attributes ? Attributes[ENUMERABLE] : current[ENUMERABLE],
        writable: false
      };
    }
  } return $defineProperty(O, P, Attributes);
} : $defineProperty : function defineProperty(O, P, Attributes) {
  anObject(O);
  P = toPropertyKey(P);
  anObject(Attributes);
  if (IE8_DOM_DEFINE) try {
    return $defineProperty(O, P, Attributes);
  } catch (error) { /* empty */ }
  if ('get' in Attributes || 'set' in Attributes) throw $TypeError('Accessors not supported');
  if ('value' in Attributes) O[P] = Attributes.value;
  return O;
};


/***/ }),

/***/ 89763:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var DESCRIPTORS = __webpack_require__(95180);
var call = __webpack_require__(92957);
var propertyIsEnumerableModule = __webpack_require__(40005);
var createPropertyDescriptor = __webpack_require__(6372);
var toIndexedObject = __webpack_require__(20853);
var toPropertyKey = __webpack_require__(29833);
var hasOwn = __webpack_require__(85889);
var IE8_DOM_DEFINE = __webpack_require__(59053);

// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var $getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;

// `Object.getOwnPropertyDescriptor` method
// https://tc39.es/ecma262/#sec-object.getownpropertydescriptor
exports.f = DESCRIPTORS ? $getOwnPropertyDescriptor : function getOwnPropertyDescriptor(O, P) {
  O = toIndexedObject(O);
  P = toPropertyKey(P);
  if (IE8_DOM_DEFINE) try {
    return $getOwnPropertyDescriptor(O, P);
  } catch (error) { /* empty */ }
  if (hasOwn(O, P)) return createPropertyDescriptor(!call(propertyIsEnumerableModule.f, O, P), O[P]);
};


/***/ }),

/***/ 29712:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var internalObjectKeys = __webpack_require__(1156);
var enumBugKeys = __webpack_require__(28471);

var hiddenKeys = enumBugKeys.concat('length', 'prototype');

// `Object.getOwnPropertyNames` method
// https://tc39.es/ecma262/#sec-object.getownpropertynames
// eslint-disable-next-line es/no-object-getownpropertynames -- safe
exports.f = Object.getOwnPropertyNames || function getOwnPropertyNames(O) {
  return internalObjectKeys(O, hiddenKeys);
};


/***/ }),

/***/ 32981:
/***/ ((__unused_webpack_module, exports) => {

// eslint-disable-next-line es/no-object-getownpropertysymbols -- safe
exports.f = Object.getOwnPropertySymbols;


/***/ }),

/***/ 55161:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uncurryThis = __webpack_require__(1008);

module.exports = uncurryThis({}.isPrototypeOf);


/***/ }),

/***/ 1156:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uncurryThis = __webpack_require__(1008);
var hasOwn = __webpack_require__(85889);
var toIndexedObject = __webpack_require__(20853);
var indexOf = (__webpack_require__(42753).indexOf);
var hiddenKeys = __webpack_require__(65525);

var push = uncurryThis([].push);

module.exports = function (object, names) {
  var O = toIndexedObject(object);
  var i = 0;
  var result = [];
  var key;
  for (key in O) !hasOwn(hiddenKeys, key) && hasOwn(O, key) && push(result, key);
  // Don't enum bug & hidden keys
  while (names.length > i) if (hasOwn(O, key = names[i++])) {
    ~indexOf(result, key) || push(result, key);
  }
  return result;
};


/***/ }),

/***/ 40005:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

var $propertyIsEnumerable = {}.propertyIsEnumerable;
// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;

// Nashorn ~ JDK8 bug
var NASHORN_BUG = getOwnPropertyDescriptor && !$propertyIsEnumerable.call({ 1: 2 }, 1);

// `Object.prototype.propertyIsEnumerable` method implementation
// https://tc39.es/ecma262/#sec-object.prototype.propertyisenumerable
exports.f = NASHORN_BUG ? function propertyIsEnumerable(V) {
  var descriptor = getOwnPropertyDescriptor(this, V);
  return !!descriptor && descriptor.enumerable;
} : $propertyIsEnumerable;


/***/ }),

/***/ 5774:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var call = __webpack_require__(92957);
var isCallable = __webpack_require__(46357);
var isObject = __webpack_require__(41634);

var $TypeError = TypeError;

// `OrdinaryToPrimitive` abstract operation
// https://tc39.es/ecma262/#sec-ordinarytoprimitive
module.exports = function (input, pref) {
  var fn, val;
  if (pref === 'string' && isCallable(fn = input.toString) && !isObject(val = call(fn, input))) return val;
  if (isCallable(fn = input.valueOf) && !isObject(val = call(fn, input))) return val;
  if (pref !== 'string' && isCallable(fn = input.toString) && !isObject(val = call(fn, input))) return val;
  throw $TypeError("Can't convert object to primitive value");
};


/***/ }),

/***/ 37527:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var getBuiltIn = __webpack_require__(47735);
var uncurryThis = __webpack_require__(1008);
var getOwnPropertyNamesModule = __webpack_require__(29712);
var getOwnPropertySymbolsModule = __webpack_require__(32981);
var anObject = __webpack_require__(50151);

var concat = uncurryThis([].concat);

// all object keys, includes non-enumerable and symbols
module.exports = getBuiltIn('Reflect', 'ownKeys') || function ownKeys(it) {
  var keys = getOwnPropertyNamesModule.f(anObject(it));
  var getOwnPropertySymbols = getOwnPropertySymbolsModule.f;
  return getOwnPropertySymbols ? concat(keys, getOwnPropertySymbols(it)) : keys;
};


/***/ }),

/***/ 34315:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

var anObject = __webpack_require__(50151);

// `RegExp.prototype.flags` getter implementation
// https://tc39.es/ecma262/#sec-get-regexp.prototype.flags
module.exports = function () {
  var that = anObject(this);
  var result = '';
  if (that.hasIndices) result += 'd';
  if (that.global) result += 'g';
  if (that.ignoreCase) result += 'i';
  if (that.multiline) result += 'm';
  if (that.dotAll) result += 's';
  if (that.unicode) result += 'u';
  if (that.unicodeSets) result += 'v';
  if (that.sticky) result += 'y';
  return result;
};


/***/ }),

/***/ 69286:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var isNullOrUndefined = __webpack_require__(3445);

var $TypeError = TypeError;

// `RequireObjectCoercible` abstract operation
// https://tc39.es/ecma262/#sec-requireobjectcoercible
module.exports = function (it) {
  if (isNullOrUndefined(it)) throw $TypeError("Can't call method on " + it);
  return it;
};


/***/ }),

/***/ 2608:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

var global = __webpack_require__(54523);
var apply = __webpack_require__(41881);
var isCallable = __webpack_require__(46357);
var ENGINE_IS_BUN = __webpack_require__(46507);
var USER_AGENT = __webpack_require__(74848);
var arraySlice = __webpack_require__(19136);
var validateArgumentsLength = __webpack_require__(88956);

var Function = global.Function;
// dirty IE9- and Bun 0.3.0- checks
var WRAP = /MSIE .\./.test(USER_AGENT) || ENGINE_IS_BUN && (function () {
  var version = global.Bun.version.split('.');
  return version.length < 3 || version[0] == 0 && (version[1] < 3 || version[1] == 3 && version[2] == 0);
})();

// IE9- / Bun 0.3.0- setTimeout / setInterval / setImmediate additional parameters fix
// https://html.spec.whatwg.org/multipage/timers-and-user-prompts.html#timers
// https://github.com/oven-sh/bun/issues/1633
module.exports = function (scheduler, hasTimeArg) {
  var firstParamIndex = hasTimeArg ? 2 : 1;
  return WRAP ? function (handler, timeout /* , ...arguments */) {
    var boundArgs = validateArgumentsLength(arguments.length, 1) > firstParamIndex;
    var fn = isCallable(handler) ? handler : Function(handler);
    var params = boundArgs ? arraySlice(arguments, firstParamIndex) : [];
    var callback = boundArgs ? function () {
      apply(fn, this, params);
    } : fn;
    return hasTimeArg ? scheduler(callback, timeout) : scheduler(callback);
  } : scheduler;
};


/***/ }),

/***/ 99847:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var shared = __webpack_require__(39441);
var uid = __webpack_require__(76048);

var keys = shared('keys');

module.exports = function (key) {
  return keys[key] || (keys[key] = uid(key));
};


/***/ }),

/***/ 43965:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var global = __webpack_require__(54523);
var defineGlobalProperty = __webpack_require__(92969);

var SHARED = '__core-js_shared__';
var store = global[SHARED] || defineGlobalProperty(SHARED, {});

module.exports = store;


/***/ }),

/***/ 39441:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var IS_PURE = __webpack_require__(7051);
var store = __webpack_require__(43965);

(module.exports = function (key, value) {
  return store[key] || (store[key] = value !== undefined ? value : {});
})('versions', []).push({
  version: '3.31.1',
  mode: IS_PURE ? 'pure' : 'global',
  copyright: '© 2014-2023 Denis Pushkarev (zloirock.ru)',
  license: 'https://github.com/zloirock/core-js/blob/v3.31.1/LICENSE',
  source: 'https://github.com/zloirock/core-js'
});


/***/ }),

/***/ 4687:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/* eslint-disable es/no-symbol -- required for testing */
var V8_VERSION = __webpack_require__(72844);
var fails = __webpack_require__(84543);
var global = __webpack_require__(54523);

var $String = global.String;

// eslint-disable-next-line es/no-object-getownpropertysymbols -- required for testing
module.exports = !!Object.getOwnPropertySymbols && !fails(function () {
  var symbol = Symbol();
  // Chrome 38 Symbol has incorrect toString conversion
  // `get-own-property-symbols` polyfill symbols converted to object are not Symbol instances
  // nb: Do not call `String` directly to avoid this being optimized out to `symbol+''` which will,
  // of course, fail.
  return !$String(symbol) || !(Object(symbol) instanceof Symbol) ||
    // Chrome 38-40 symbols are not inherited from DOM collections prototypes to instances
    !Symbol.sham && V8_VERSION && V8_VERSION < 41;
});


/***/ }),

/***/ 60921:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var global = __webpack_require__(54523);
var apply = __webpack_require__(41881);
var bind = __webpack_require__(81232);
var isCallable = __webpack_require__(46357);
var hasOwn = __webpack_require__(85889);
var fails = __webpack_require__(84543);
var html = __webpack_require__(22093);
var arraySlice = __webpack_require__(19136);
var createElement = __webpack_require__(62679);
var validateArgumentsLength = __webpack_require__(88956);
var IS_IOS = __webpack_require__(87863);
var IS_NODE = __webpack_require__(42224);

var set = global.setImmediate;
var clear = global.clearImmediate;
var process = global.process;
var Dispatch = global.Dispatch;
var Function = global.Function;
var MessageChannel = global.MessageChannel;
var String = global.String;
var counter = 0;
var queue = {};
var ONREADYSTATECHANGE = 'onreadystatechange';
var $location, defer, channel, port;

fails(function () {
  // Deno throws a ReferenceError on `location` access without `--location` flag
  $location = global.location;
});

var run = function (id) {
  if (hasOwn(queue, id)) {
    var fn = queue[id];
    delete queue[id];
    fn();
  }
};

var runner = function (id) {
  return function () {
    run(id);
  };
};

var eventListener = function (event) {
  run(event.data);
};

var globalPostMessageDefer = function (id) {
  // old engines have not location.origin
  global.postMessage(String(id), $location.protocol + '//' + $location.host);
};

// Node.js 0.9+ & IE10+ has setImmediate, otherwise:
if (!set || !clear) {
  set = function setImmediate(handler) {
    validateArgumentsLength(arguments.length, 1);
    var fn = isCallable(handler) ? handler : Function(handler);
    var args = arraySlice(arguments, 1);
    queue[++counter] = function () {
      apply(fn, undefined, args);
    };
    defer(counter);
    return counter;
  };
  clear = function clearImmediate(id) {
    delete queue[id];
  };
  // Node.js 0.8-
  if (IS_NODE) {
    defer = function (id) {
      process.nextTick(runner(id));
    };
  // Sphere (JS game engine) Dispatch API
  } else if (Dispatch && Dispatch.now) {
    defer = function (id) {
      Dispatch.now(runner(id));
    };
  // Browsers with MessageChannel, includes WebWorkers
  // except iOS - https://github.com/zloirock/core-js/issues/624
  } else if (MessageChannel && !IS_IOS) {
    channel = new MessageChannel();
    port = channel.port2;
    channel.port1.onmessage = eventListener;
    defer = bind(port.postMessage, port);
  // Browsers with postMessage, skip WebWorkers
  // IE8 has postMessage, but it's sync & typeof its postMessage is 'object'
  } else if (
    global.addEventListener &&
    isCallable(global.postMessage) &&
    !global.importScripts &&
    $location && $location.protocol !== 'file:' &&
    !fails(globalPostMessageDefer)
  ) {
    defer = globalPostMessageDefer;
    global.addEventListener('message', eventListener, false);
  // IE8-
  } else if (ONREADYSTATECHANGE in createElement('script')) {
    defer = function (id) {
      html.appendChild(createElement('script'))[ONREADYSTATECHANGE] = function () {
        html.removeChild(this);
        run(id);
      };
    };
  // Rest old browsers
  } else {
    defer = function (id) {
      setTimeout(runner(id), 0);
    };
  }
}

module.exports = {
  set: set,
  clear: clear
};


/***/ }),

/***/ 47418:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var toIntegerOrInfinity = __webpack_require__(44827);

var max = Math.max;
var min = Math.min;

// Helper for a popular repeating case of the spec:
// Let integer be ? ToInteger(index).
// If integer < 0, let result be max((length + integer), 0); else let result be min(integer, length).
module.exports = function (index, length) {
  var integer = toIntegerOrInfinity(index);
  return integer < 0 ? max(integer + length, 0) : min(integer, length);
};


/***/ }),

/***/ 20853:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// toObject with fallback for non-array-like ES3 strings
var IndexedObject = __webpack_require__(70191);
var requireObjectCoercible = __webpack_require__(69286);

module.exports = function (it) {
  return IndexedObject(requireObjectCoercible(it));
};


/***/ }),

/***/ 44827:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var trunc = __webpack_require__(14469);

// `ToIntegerOrInfinity` abstract operation
// https://tc39.es/ecma262/#sec-tointegerorinfinity
module.exports = function (argument) {
  var number = +argument;
  // eslint-disable-next-line no-self-compare -- NaN check
  return number !== number || number === 0 ? 0 : trunc(number);
};


/***/ }),

/***/ 55966:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var toIntegerOrInfinity = __webpack_require__(44827);

var min = Math.min;

// `ToLength` abstract operation
// https://tc39.es/ecma262/#sec-tolength
module.exports = function (argument) {
  return argument > 0 ? min(toIntegerOrInfinity(argument), 0x1FFFFFFFFFFFFF) : 0; // 2 ** 53 - 1 == 9007199254740991
};


/***/ }),

/***/ 70581:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var requireObjectCoercible = __webpack_require__(69286);

var $Object = Object;

// `ToObject` abstract operation
// https://tc39.es/ecma262/#sec-toobject
module.exports = function (argument) {
  return $Object(requireObjectCoercible(argument));
};


/***/ }),

/***/ 39113:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var call = __webpack_require__(92957);
var isObject = __webpack_require__(41634);
var isSymbol = __webpack_require__(32357);
var getMethod = __webpack_require__(6046);
var ordinaryToPrimitive = __webpack_require__(5774);
var wellKnownSymbol = __webpack_require__(73683);

var $TypeError = TypeError;
var TO_PRIMITIVE = wellKnownSymbol('toPrimitive');

// `ToPrimitive` abstract operation
// https://tc39.es/ecma262/#sec-toprimitive
module.exports = function (input, pref) {
  if (!isObject(input) || isSymbol(input)) return input;
  var exoticToPrim = getMethod(input, TO_PRIMITIVE);
  var result;
  if (exoticToPrim) {
    if (pref === undefined) pref = 'default';
    result = call(exoticToPrim, input, pref);
    if (!isObject(result) || isSymbol(result)) return result;
    throw $TypeError("Can't convert object to primitive value");
  }
  if (pref === undefined) pref = 'number';
  return ordinaryToPrimitive(input, pref);
};


/***/ }),

/***/ 29833:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var toPrimitive = __webpack_require__(39113);
var isSymbol = __webpack_require__(32357);

// `ToPropertyKey` abstract operation
// https://tc39.es/ecma262/#sec-topropertykey
module.exports = function (argument) {
  var key = toPrimitive(argument, 'string');
  return isSymbol(key) ? key : key + '';
};


/***/ }),

/***/ 40215:
/***/ ((module) => {

var $String = String;

module.exports = function (argument) {
  try {
    return $String(argument);
  } catch (error) {
    return 'Object';
  }
};


/***/ }),

/***/ 76048:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uncurryThis = __webpack_require__(1008);

var id = 0;
var postfix = Math.random();
var toString = uncurryThis(1.0.toString);

module.exports = function (key) {
  return 'Symbol(' + (key === undefined ? '' : key) + ')_' + toString(++id + postfix, 36);
};


/***/ }),

/***/ 2496:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/* eslint-disable es/no-symbol -- required for testing */
var NATIVE_SYMBOL = __webpack_require__(4687);

module.exports = NATIVE_SYMBOL
  && !Symbol.sham
  && typeof Symbol.iterator == 'symbol';


/***/ }),

/***/ 7310:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var DESCRIPTORS = __webpack_require__(95180);
var fails = __webpack_require__(84543);

// V8 ~ Chrome 36-
// https://bugs.chromium.org/p/v8/issues/detail?id=3334
module.exports = DESCRIPTORS && fails(function () {
  // eslint-disable-next-line es/no-object-defineproperty -- required for testing
  return Object.defineProperty(function () { /* empty */ }, 'prototype', {
    value: 42,
    writable: false
  }).prototype != 42;
});


/***/ }),

/***/ 88956:
/***/ ((module) => {

var $TypeError = TypeError;

module.exports = function (passed, required) {
  if (passed < required) throw $TypeError('Not enough arguments');
  return passed;
};


/***/ }),

/***/ 60158:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var global = __webpack_require__(54523);
var isCallable = __webpack_require__(46357);

var WeakMap = global.WeakMap;

module.exports = isCallable(WeakMap) && /native code/.test(String(WeakMap));


/***/ }),

/***/ 73683:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var global = __webpack_require__(54523);
var shared = __webpack_require__(39441);
var hasOwn = __webpack_require__(85889);
var uid = __webpack_require__(76048);
var NATIVE_SYMBOL = __webpack_require__(4687);
var USE_SYMBOL_AS_UID = __webpack_require__(2496);

var Symbol = global.Symbol;
var WellKnownSymbolsStore = shared('wks');
var createWellKnownSymbol = USE_SYMBOL_AS_UID ? Symbol['for'] || Symbol : Symbol && Symbol.withoutSetter || uid;

module.exports = function (name) {
  if (!hasOwn(WellKnownSymbolsStore, name)) {
    WellKnownSymbolsStore[name] = NATIVE_SYMBOL && hasOwn(Symbol, name)
      ? Symbol[name]
      : createWellKnownSymbol('Symbol.' + name);
  } return WellKnownSymbolsStore[name];
};


/***/ }),

/***/ 9223:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __webpack_require__) => {

var global = __webpack_require__(54523);
var DESCRIPTORS = __webpack_require__(95180);
var defineBuiltInAccessor = __webpack_require__(63642);
var regExpFlags = __webpack_require__(34315);
var fails = __webpack_require__(84543);

// babel-minify and Closure Compiler transpiles RegExp('.', 'd') -> /./d and it causes SyntaxError
var RegExp = global.RegExp;
var RegExpPrototype = RegExp.prototype;

var FORCED = DESCRIPTORS && fails(function () {
  var INDICES_SUPPORT = true;
  try {
    RegExp('.', 'd');
  } catch (error) {
    INDICES_SUPPORT = false;
  }

  var O = {};
  // modern V8 bug
  var calls = '';
  var expected = INDICES_SUPPORT ? 'dgimsy' : 'gimsy';

  var addGetter = function (key, chr) {
    // eslint-disable-next-line es/no-object-defineproperty -- safe
    Object.defineProperty(O, key, { get: function () {
      calls += chr;
      return true;
    } });
  };

  var pairs = {
    dotAll: 's',
    global: 'g',
    ignoreCase: 'i',
    multiline: 'm',
    sticky: 'y'
  };

  if (INDICES_SUPPORT) pairs.hasIndices = 'd';

  for (var key in pairs) addGetter(key, pairs[key]);

  // eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
  var result = Object.getOwnPropertyDescriptor(RegExpPrototype, 'flags').get.call(O);

  return result !== expected || calls !== expected;
});

// `RegExp.prototype.flags` getter
// https://tc39.es/ecma262/#sec-get-regexp.prototype.flags
if (FORCED) defineBuiltInAccessor(RegExpPrototype, 'flags', {
  configurable: true,
  get: regExpFlags
});


/***/ }),

/***/ 98176:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __webpack_require__) => {

var $ = __webpack_require__(76566);
var global = __webpack_require__(54523);
var clearImmediate = (__webpack_require__(60921).clear);

// `clearImmediate` method
// http://w3c.github.io/setImmediate/#si-clearImmediate
$({ global: true, bind: true, enumerable: true, forced: global.clearImmediate !== clearImmediate }, {
  clearImmediate: clearImmediate
});


/***/ }),

/***/ 11304:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __webpack_require__) => {

// TODO: Remove this module from `core-js@4` since it's split to modules listed below
__webpack_require__(98176);
__webpack_require__(2173);


/***/ }),

/***/ 2173:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __webpack_require__) => {

var $ = __webpack_require__(76566);
var global = __webpack_require__(54523);
var setTask = (__webpack_require__(60921).set);
var schedulersFix = __webpack_require__(2608);

// https://github.com/oven-sh/bun/issues/1633
var setImmediate = global.setImmediate ? schedulersFix(setTask, false) : setTask;

// `setImmediate` method
// http://w3c.github.io/setImmediate/#si-setImmediate
$({ global: true, bind: true, enumerable: true, forced: global.setImmediate !== setImmediate }, {
  setImmediate: setImmediate
});


/***/ }),

/***/ 39430:
/***/ ((module) => {

(function () {
	'use strict';

	var table = [],
		poly = 0xEDB88320; // reverse polynomial

	// build the table
	function makeTable() {
		var c, n, k;

		for (n = 0; n < 256; n += 1) {
			c = n;
			for (k = 0; k < 8; k += 1) {
				if (c & 1) {
					c = poly ^ (c >>> 1);
				} else {
					c = c >>> 1;
				}
			}
			table[n] = c >>> 0;
		}
	}

	function strToArr(str) {
		// sweet hack to turn string into a 'byte' array
		return Array.prototype.map.call(str, function (c) {
			return c.charCodeAt(0);
		});
	}

	/*
	 * Compute CRC of array directly.
	 *
	 * This is slower for repeated calls, so append mode is not supported.
	 */
	function crcDirect(arr) {
		var crc = -1, // initial contents of LFBSR
			i, j, l, temp;

		for (i = 0, l = arr.length; i < l; i += 1) {
			temp = (crc ^ arr[i]) & 0xff;

			// read 8 bits one at a time
			for (j = 0; j < 8; j += 1) {
				if ((temp & 1) === 1) {
					temp = (temp >>> 1) ^ poly;
				} else {
					temp = (temp >>> 1);
				}
			}
			crc = (crc >>> 8) ^ temp;
		}

		// flip bits
		return crc ^ -1;
	}

	/*
	 * Compute CRC with the help of a pre-calculated table.
	 *
	 * This supports append mode, if the second parameter is set.
	 */
	function crcTable(arr, append) {
		var crc, i, l;

		// if we're in append mode, don't reset crc
		// if arr is null or undefined, reset table and return
		if (typeof crcTable.crc === 'undefined' || !append || !arr) {
			crcTable.crc = 0 ^ -1;

			if (!arr) {
				return;
			}
		}

		// store in temp variable for minor speed gain
		crc = crcTable.crc;

		for (i = 0, l = arr.length; i < l; i += 1) {
			crc = (crc >>> 8) ^ table[(crc ^ arr[i]) & 0xff];
		}

		crcTable.crc = crc;

		return crc ^ -1;
	}

	// build the table
	// this isn't that costly, and most uses will be for table assisted mode
	makeTable();

	module.exports = function (val, direct) {
		var val = (typeof val === 'string') ? strToArr(val) : val,
			ret = direct ? crcDirect(val) : crcTable(val);

		// convert to 2's complement hex
		return (ret >>> 0).toString(16);
	};
	module.exports.direct = crcDirect;
	module.exports.table = crcTable;
}());


/***/ }),

/***/ 28437:
/***/ ((module) => {

/**
 * Helpers.
 */

var s = 1000;
var m = s * 60;
var h = m * 60;
var d = h * 24;
var w = d * 7;
var y = d * 365.25;

/**
 * Parse or format the given `val`.
 *
 * Options:
 *
 *  - `long` verbose formatting [false]
 *
 * @param {String|Number} val
 * @param {Object} [options]
 * @throws {Error} throw an error if val is not a non-empty string or a number
 * @return {String|Number}
 * @api public
 */

module.exports = function(val, options) {
  options = options || {};
  var type = typeof val;
  if (type === 'string' && val.length > 0) {
    return parse(val);
  } else if (type === 'number' && isFinite(val)) {
    return options.long ? fmtLong(val) : fmtShort(val);
  }
  throw new Error(
    'val is not a non-empty string or a valid number. val=' +
      JSON.stringify(val)
  );
};

/**
 * Parse the given `str` and return milliseconds.
 *
 * @param {String} str
 * @return {Number}
 * @api private
 */

function parse(str) {
  str = String(str);
  if (str.length > 100) {
    return;
  }
  var match = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(
    str
  );
  if (!match) {
    return;
  }
  var n = parseFloat(match[1]);
  var type = (match[2] || 'ms').toLowerCase();
  switch (type) {
    case 'years':
    case 'year':
    case 'yrs':
    case 'yr':
    case 'y':
      return n * y;
    case 'weeks':
    case 'week':
    case 'w':
      return n * w;
    case 'days':
    case 'day':
    case 'd':
      return n * d;
    case 'hours':
    case 'hour':
    case 'hrs':
    case 'hr':
    case 'h':
      return n * h;
    case 'minutes':
    case 'minute':
    case 'mins':
    case 'min':
    case 'm':
      return n * m;
    case 'seconds':
    case 'second':
    case 'secs':
    case 'sec':
    case 's':
      return n * s;
    case 'milliseconds':
    case 'millisecond':
    case 'msecs':
    case 'msec':
    case 'ms':
      return n;
    default:
      return undefined;
  }
}

/**
 * Short format for `ms`.
 *
 * @param {Number} ms
 * @return {String}
 * @api private
 */

function fmtShort(ms) {
  var msAbs = Math.abs(ms);
  if (msAbs >= d) {
    return Math.round(ms / d) + 'd';
  }
  if (msAbs >= h) {
    return Math.round(ms / h) + 'h';
  }
  if (msAbs >= m) {
    return Math.round(ms / m) + 'm';
  }
  if (msAbs >= s) {
    return Math.round(ms / s) + 's';
  }
  return ms + 'ms';
}

/**
 * Long format for `ms`.
 *
 * @param {Number} ms
 * @return {String}
 * @api private
 */

function fmtLong(ms) {
  var msAbs = Math.abs(ms);
  if (msAbs >= d) {
    return plural(ms, msAbs, d, 'day');
  }
  if (msAbs >= h) {
    return plural(ms, msAbs, h, 'hour');
  }
  if (msAbs >= m) {
    return plural(ms, msAbs, m, 'minute');
  }
  if (msAbs >= s) {
    return plural(ms, msAbs, s, 'second');
  }
  return ms + ' ms';
}

/**
 * Pluralization helper.
 */

function plural(ms, msAbs, n, name) {
  var isPlural = msAbs >= n * 1.5;
  return Math.round(ms / n) + ' ' + name + (isPlural ? 's' : '');
}


/***/ }),

/***/ 67276:
/***/ ((module) => {

module.exports = function deepFreeze (o) {
  Object.freeze(o);

  Object.getOwnPropertyNames(o).forEach(function (prop) {
    if (o.hasOwnProperty(prop)
    && o[prop] !== null
    && (typeof o[prop] === "object" || typeof o[prop] === "function")
    && !Object.isFrozen(o[prop])) {
      deepFreeze(o[prop]);
    }
  });
  
  return o;
};


/***/ }),

/***/ 70686:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var $defineProperty = __webpack_require__(64940);

var $SyntaxError = __webpack_require__(5731);
var $TypeError = __webpack_require__(3468);

var gopd = __webpack_require__(69336);

/** @type {import('.')} */
module.exports = function defineDataProperty(
	obj,
	property,
	value
) {
	if (!obj || (typeof obj !== 'object' && typeof obj !== 'function')) {
		throw new $TypeError('`obj` must be an object or a function`');
	}
	if (typeof property !== 'string' && typeof property !== 'symbol') {
		throw new $TypeError('`property` must be a string or a symbol`');
	}
	if (arguments.length > 3 && typeof arguments[3] !== 'boolean' && arguments[3] !== null) {
		throw new $TypeError('`nonEnumerable`, if provided, must be a boolean or null');
	}
	if (arguments.length > 4 && typeof arguments[4] !== 'boolean' && arguments[4] !== null) {
		throw new $TypeError('`nonWritable`, if provided, must be a boolean or null');
	}
	if (arguments.length > 5 && typeof arguments[5] !== 'boolean' && arguments[5] !== null) {
		throw new $TypeError('`nonConfigurable`, if provided, must be a boolean or null');
	}
	if (arguments.length > 6 && typeof arguments[6] !== 'boolean') {
		throw new $TypeError('`loose`, if provided, must be a boolean');
	}

	var nonEnumerable = arguments.length > 3 ? arguments[3] : null;
	var nonWritable = arguments.length > 4 ? arguments[4] : null;
	var nonConfigurable = arguments.length > 5 ? arguments[5] : null;
	var loose = arguments.length > 6 ? arguments[6] : false;

	/* @type {false | TypedPropertyDescriptor<unknown>} */
	var desc = !!gopd && gopd(obj, property);

	if ($defineProperty) {
		$defineProperty(obj, property, {
			configurable: nonConfigurable === null && desc ? desc.configurable : !nonConfigurable,
			enumerable: nonEnumerable === null && desc ? desc.enumerable : !nonEnumerable,
			value: value,
			writable: nonWritable === null && desc ? desc.writable : !nonWritable
		});
	} else if (loose || (!nonEnumerable && !nonWritable && !nonConfigurable)) {
		// must fall back to [[Set]], and was not explicitly asked to make non-enumerable, non-writable, or non-configurable
		obj[property] = value; // eslint-disable-line no-param-reassign
	} else {
		throw new $SyntaxError('This environment does not support defining a property as non-configurable, non-writable, or non-enumerable.');
	}
};


/***/ }),

/***/ 64940:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var GetIntrinsic = __webpack_require__(528);

/** @type {import('.')} */
var $defineProperty = GetIntrinsic('%Object.defineProperty%', true) || false;
if ($defineProperty) {
	try {
		$defineProperty({}, 'a', { value: 1 });
	} catch (e) {
		// IE 8 has a broken defineProperty
		$defineProperty = false;
	}
}

module.exports = $defineProperty;


/***/ }),

/***/ 29110:
/***/ ((module) => {

"use strict";


/** @type {import('./eval')} */
module.exports = EvalError;


/***/ }),

/***/ 29838:
/***/ ((module) => {

"use strict";


/** @type {import('.')} */
module.exports = Error;


/***/ }),

/***/ 61155:
/***/ ((module) => {

"use strict";


/** @type {import('./range')} */
module.exports = RangeError;


/***/ }),

/***/ 94943:
/***/ ((module) => {

"use strict";


/** @type {import('./ref')} */
module.exports = ReferenceError;


/***/ }),

/***/ 5731:
/***/ ((module) => {

"use strict";


/** @type {import('./syntax')} */
module.exports = SyntaxError;


/***/ }),

/***/ 3468:
/***/ ((module) => {

"use strict";


/** @type {import('./type')} */
module.exports = TypeError;


/***/ }),

/***/ 32140:
/***/ ((module) => {

"use strict";


/** @type {import('./uri')} */
module.exports = URIError;


/***/ }),

/***/ 50046:
/***/ ((module) => {

"use strict";
// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.



var R = typeof Reflect === 'object' ? Reflect : null
var ReflectApply = R && typeof R.apply === 'function'
  ? R.apply
  : function ReflectApply(target, receiver, args) {
    return Function.prototype.apply.call(target, receiver, args);
  }

var ReflectOwnKeys
if (R && typeof R.ownKeys === 'function') {
  ReflectOwnKeys = R.ownKeys
} else if (Object.getOwnPropertySymbols) {
  ReflectOwnKeys = function ReflectOwnKeys(target) {
    return Object.getOwnPropertyNames(target)
      .concat(Object.getOwnPropertySymbols(target));
  };
} else {
  ReflectOwnKeys = function ReflectOwnKeys(target) {
    return Object.getOwnPropertyNames(target);
  };
}

function ProcessEmitWarning(warning) {
  if (console && console.warn) console.warn(warning);
}

var NumberIsNaN = Number.isNaN || function NumberIsNaN(value) {
  return value !== value;
}

function EventEmitter() {
  EventEmitter.init.call(this);
}
module.exports = EventEmitter;
module.exports.once = once;

// Backwards-compat with node 0.10.x
EventEmitter.EventEmitter = EventEmitter;

EventEmitter.prototype._events = undefined;
EventEmitter.prototype._eventsCount = 0;
EventEmitter.prototype._maxListeners = undefined;

// By default EventEmitters will print a warning if more than 10 listeners are
// added to it. This is a useful default which helps finding memory leaks.
var defaultMaxListeners = 10;

function checkListener(listener) {
  if (typeof listener !== 'function') {
    throw new TypeError('The "listener" argument must be of type Function. Received type ' + typeof listener);
  }
}

Object.defineProperty(EventEmitter, 'defaultMaxListeners', {
  enumerable: true,
  get: function() {
    return defaultMaxListeners;
  },
  set: function(arg) {
    if (typeof arg !== 'number' || arg < 0 || NumberIsNaN(arg)) {
      throw new RangeError('The value of "defaultMaxListeners" is out of range. It must be a non-negative number. Received ' + arg + '.');
    }
    defaultMaxListeners = arg;
  }
});

EventEmitter.init = function() {

  if (this._events === undefined ||
      this._events === Object.getPrototypeOf(this)._events) {
    this._events = Object.create(null);
    this._eventsCount = 0;
  }

  this._maxListeners = this._maxListeners || undefined;
};

// Obviously not all Emitters should be limited to 10. This function allows
// that to be increased. Set to zero for unlimited.
EventEmitter.prototype.setMaxListeners = function setMaxListeners(n) {
  if (typeof n !== 'number' || n < 0 || NumberIsNaN(n)) {
    throw new RangeError('The value of "n" is out of range. It must be a non-negative number. Received ' + n + '.');
  }
  this._maxListeners = n;
  return this;
};

function _getMaxListeners(that) {
  if (that._maxListeners === undefined)
    return EventEmitter.defaultMaxListeners;
  return that._maxListeners;
}

EventEmitter.prototype.getMaxListeners = function getMaxListeners() {
  return _getMaxListeners(this);
};

EventEmitter.prototype.emit = function emit(type) {
  var args = [];
  for (var i = 1; i < arguments.length; i++) args.push(arguments[i]);
  var doError = (type === 'error');

  var events = this._events;
  if (events !== undefined)
    doError = (doError && events.error === undefined);
  else if (!doError)
    return false;

  // If there is no 'error' event listener then throw.
  if (doError) {
    var er;
    if (args.length > 0)
      er = args[0];
    if (er instanceof Error) {
      // Note: The comments on the `throw` lines are intentional, they show
      // up in Node's output if this results in an unhandled exception.
      throw er; // Unhandled 'error' event
    }
    // At least give some kind of context to the user
    var err = new Error('Unhandled error.' + (er ? ' (' + er.message + ')' : ''));
    err.context = er;
    throw err; // Unhandled 'error' event
  }

  var handler = events[type];

  if (handler === undefined)
    return false;

  if (typeof handler === 'function') {
    ReflectApply(handler, this, args);
  } else {
    var len = handler.length;
    var listeners = arrayClone(handler, len);
    for (var i = 0; i < len; ++i)
      ReflectApply(listeners[i], this, args);
  }

  return true;
};

function _addListener(target, type, listener, prepend) {
  var m;
  var events;
  var existing;

  checkListener(listener);

  events = target._events;
  if (events === undefined) {
    events = target._events = Object.create(null);
    target._eventsCount = 0;
  } else {
    // To avoid recursion in the case that type === "newListener"! Before
    // adding it to the listeners, first emit "newListener".
    if (events.newListener !== undefined) {
      target.emit('newListener', type,
                  listener.listener ? listener.listener : listener);

      // Re-assign `events` because a newListener handler could have caused the
      // this._events to be assigned to a new object
      events = target._events;
    }
    existing = events[type];
  }

  if (existing === undefined) {
    // Optimize the case of one listener. Don't need the extra array object.
    existing = events[type] = listener;
    ++target._eventsCount;
  } else {
    if (typeof existing === 'function') {
      // Adding the second element, need to change to array.
      existing = events[type] =
        prepend ? [listener, existing] : [existing, listener];
      // If we've already got an array, just append.
    } else if (prepend) {
      existing.unshift(listener);
    } else {
      existing.push(listener);
    }

    // Check for listener leak
    m = _getMaxListeners(target);
    if (m > 0 && existing.length > m && !existing.warned) {
      existing.warned = true;
      // No error code for this since it is a Warning
      // eslint-disable-next-line no-restricted-syntax
      var w = new Error('Possible EventEmitter memory leak detected. ' +
                          existing.length + ' ' + String(type) + ' listeners ' +
                          'added. Use emitter.setMaxListeners() to ' +
                          'increase limit');
      w.name = 'MaxListenersExceededWarning';
      w.emitter = target;
      w.type = type;
      w.count = existing.length;
      ProcessEmitWarning(w);
    }
  }

  return target;
}

EventEmitter.prototype.addListener = function addListener(type, listener) {
  return _addListener(this, type, listener, false);
};

EventEmitter.prototype.on = EventEmitter.prototype.addListener;

EventEmitter.prototype.prependListener =
    function prependListener(type, listener) {
      return _addListener(this, type, listener, true);
    };

function onceWrapper() {
  if (!this.fired) {
    this.target.removeListener(this.type, this.wrapFn);
    this.fired = true;
    if (arguments.length === 0)
      return this.listener.call(this.target);
    return this.listener.apply(this.target, arguments);
  }
}

function _onceWrap(target, type, listener) {
  var state = { fired: false, wrapFn: undefined, target: target, type: type, listener: listener };
  var wrapped = onceWrapper.bind(state);
  wrapped.listener = listener;
  state.wrapFn = wrapped;
  return wrapped;
}

EventEmitter.prototype.once = function once(type, listener) {
  checkListener(listener);
  this.on(type, _onceWrap(this, type, listener));
  return this;
};

EventEmitter.prototype.prependOnceListener =
    function prependOnceListener(type, listener) {
      checkListener(listener);
      this.prependListener(type, _onceWrap(this, type, listener));
      return this;
    };

// Emits a 'removeListener' event if and only if the listener was removed.
EventEmitter.prototype.removeListener =
    function removeListener(type, listener) {
      var list, events, position, i, originalListener;

      checkListener(listener);

      events = this._events;
      if (events === undefined)
        return this;

      list = events[type];
      if (list === undefined)
        return this;

      if (list === listener || list.listener === listener) {
        if (--this._eventsCount === 0)
          this._events = Object.create(null);
        else {
          delete events[type];
          if (events.removeListener)
            this.emit('removeListener', type, list.listener || listener);
        }
      } else if (typeof list !== 'function') {
        position = -1;

        for (i = list.length - 1; i >= 0; i--) {
          if (list[i] === listener || list[i].listener === listener) {
            originalListener = list[i].listener;
            position = i;
            break;
          }
        }

        if (position < 0)
          return this;

        if (position === 0)
          list.shift();
        else {
          spliceOne(list, position);
        }

        if (list.length === 1)
          events[type] = list[0];

        if (events.removeListener !== undefined)
          this.emit('removeListener', type, originalListener || listener);
      }

      return this;
    };

EventEmitter.prototype.off = EventEmitter.prototype.removeListener;

EventEmitter.prototype.removeAllListeners =
    function removeAllListeners(type) {
      var listeners, events, i;

      events = this._events;
      if (events === undefined)
        return this;

      // not listening for removeListener, no need to emit
      if (events.removeListener === undefined) {
        if (arguments.length === 0) {
          this._events = Object.create(null);
          this._eventsCount = 0;
        } else if (events[type] !== undefined) {
          if (--this._eventsCount === 0)
            this._events = Object.create(null);
          else
            delete events[type];
        }
        return this;
      }

      // emit removeListener for all listeners on all events
      if (arguments.length === 0) {
        var keys = Object.keys(events);
        var key;
        for (i = 0; i < keys.length; ++i) {
          key = keys[i];
          if (key === 'removeListener') continue;
          this.removeAllListeners(key);
        }
        this.removeAllListeners('removeListener');
        this._events = Object.create(null);
        this._eventsCount = 0;
        return this;
      }

      listeners = events[type];

      if (typeof listeners === 'function') {
        this.removeListener(type, listeners);
      } else if (listeners !== undefined) {
        // LIFO order
        for (i = listeners.length - 1; i >= 0; i--) {
          this.removeListener(type, listeners[i]);
        }
      }

      return this;
    };

function _listeners(target, type, unwrap) {
  var events = target._events;

  if (events === undefined)
    return [];

  var evlistener = events[type];
  if (evlistener === undefined)
    return [];

  if (typeof evlistener === 'function')
    return unwrap ? [evlistener.listener || evlistener] : [evlistener];

  return unwrap ?
    unwrapListeners(evlistener) : arrayClone(evlistener, evlistener.length);
}

EventEmitter.prototype.listeners = function listeners(type) {
  return _listeners(this, type, true);
};

EventEmitter.prototype.rawListeners = function rawListeners(type) {
  return _listeners(this, type, false);
};

EventEmitter.listenerCount = function(emitter, type) {
  if (typeof emitter.listenerCount === 'function') {
    return emitter.listenerCount(type);
  } else {
    return listenerCount.call(emitter, type);
  }
};

EventEmitter.prototype.listenerCount = listenerCount;
function listenerCount(type) {
  var events = this._events;

  if (events !== undefined) {
    var evlistener = events[type];

    if (typeof evlistener === 'function') {
      return 1;
    } else if (evlistener !== undefined) {
      return evlistener.length;
    }
  }

  return 0;
}

EventEmitter.prototype.eventNames = function eventNames() {
  return this._eventsCount > 0 ? ReflectOwnKeys(this._events) : [];
};

function arrayClone(arr, n) {
  var copy = new Array(n);
  for (var i = 0; i < n; ++i)
    copy[i] = arr[i];
  return copy;
}

function spliceOne(list, index) {
  for (; index + 1 < list.length; index++)
    list[index] = list[index + 1];
  list.pop();
}

function unwrapListeners(arr) {
  var ret = new Array(arr.length);
  for (var i = 0; i < ret.length; ++i) {
    ret[i] = arr[i].listener || arr[i];
  }
  return ret;
}

function once(emitter, name) {
  return new Promise(function (resolve, reject) {
    function errorListener(err) {
      emitter.removeListener(name, resolver);
      reject(err);
    }

    function resolver() {
      if (typeof emitter.removeListener === 'function') {
        emitter.removeListener('error', errorListener);
      }
      resolve([].slice.call(arguments));
    };

    eventTargetAgnosticAddListener(emitter, name, resolver, { once: true });
    if (name !== 'error') {
      addErrorHandlerIfEventEmitter(emitter, errorListener, { once: true });
    }
  });
}

function addErrorHandlerIfEventEmitter(emitter, handler, flags) {
  if (typeof emitter.on === 'function') {
    eventTargetAgnosticAddListener(emitter, 'error', handler, flags);
  }
}

function eventTargetAgnosticAddListener(emitter, name, listener, flags) {
  if (typeof emitter.on === 'function') {
    if (flags.once) {
      emitter.once(name, listener);
    } else {
      emitter.on(name, listener);
    }
  } else if (typeof emitter.addEventListener === 'function') {
    // EventTarget does not have `error` event semantics like Node
    // EventEmitters, we do not listen for `error` events here.
    emitter.addEventListener(name, function wrapListener(arg) {
      // IE does not have builtin `{ once: true }` support so we
      // have to do it manually.
      if (flags.once) {
        emitter.removeEventListener(name, wrapListener);
      }
      listener(arg);
    });
  } else {
    throw new TypeError('The "emitter" argument must be of type EventEmitter. Received type ' + typeof emitter);
  }
}


/***/ }),

/***/ 56075:
/***/ ((module) => {

"use strict";


module.exports = function (data, opts) {
    if (!opts) opts = {};
    if (typeof opts === 'function') opts = { cmp: opts };
    var cycles = (typeof opts.cycles === 'boolean') ? opts.cycles : false;

    var cmp = opts.cmp && (function (f) {
        return function (node) {
            return function (a, b) {
                var aobj = { key: a, value: node[a] };
                var bobj = { key: b, value: node[b] };
                return f(aobj, bobj);
            };
        };
    })(opts.cmp);

    var seen = [];
    return (function stringify (node) {
        if (node && node.toJSON && typeof node.toJSON === 'function') {
            node = node.toJSON();
        }

        if (node === undefined) return;
        if (typeof node == 'number') return isFinite(node) ? '' + node : 'null';
        if (typeof node !== 'object') return JSON.stringify(node);

        var i, out;
        if (Array.isArray(node)) {
            out = '[';
            for (i = 0; i < node.length; i++) {
                if (i) out += ',';
                out += stringify(node[i]) || 'null';
            }
            return out + ']';
        }

        if (node === null) return 'null';

        if (seen.indexOf(node) !== -1) {
            if (cycles) return JSON.stringify('__cycle__');
            throw new TypeError('Converting circular structure to JSON');
        }

        var seenIndex = seen.push(node) - 1;
        var keys = Object.keys(node).sort(cmp && cmp(node));
        out = '';
        for (i = 0; i < keys.length; i++) {
            var key = keys[i];
            var value = stringify(node[key]);

            if (!value) continue;
            if (out) out += ',';
            out += JSON.stringify(key) + ':' + value;
        }
        seen.splice(seenIndex, 1);
        return '{' + out + '}';
    })(data);
};


/***/ }),

/***/ 80705:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var isCallable = __webpack_require__(89617);

var toStr = Object.prototype.toString;
var hasOwnProperty = Object.prototype.hasOwnProperty;

var forEachArray = function forEachArray(array, iterator, receiver) {
    for (var i = 0, len = array.length; i < len; i++) {
        if (hasOwnProperty.call(array, i)) {
            if (receiver == null) {
                iterator(array[i], i, array);
            } else {
                iterator.call(receiver, array[i], i, array);
            }
        }
    }
};

var forEachString = function forEachString(string, iterator, receiver) {
    for (var i = 0, len = string.length; i < len; i++) {
        // no such thing as a sparse string.
        if (receiver == null) {
            iterator(string.charAt(i), i, string);
        } else {
            iterator.call(receiver, string.charAt(i), i, string);
        }
    }
};

var forEachObject = function forEachObject(object, iterator, receiver) {
    for (var k in object) {
        if (hasOwnProperty.call(object, k)) {
            if (receiver == null) {
                iterator(object[k], k, object);
            } else {
                iterator.call(receiver, object[k], k, object);
            }
        }
    }
};

var forEach = function forEach(list, iterator, thisArg) {
    if (!isCallable(iterator)) {
        throw new TypeError('iterator must be a function');
    }

    var receiver;
    if (arguments.length >= 3) {
        receiver = thisArg;
    }

    if (toStr.call(list) === '[object Array]') {
        forEachArray(list, iterator, receiver);
    } else if (typeof list === 'string') {
        forEachString(list, iterator, receiver);
    } else {
        forEachObject(list, iterator, receiver);
    }
};

module.exports = forEach;


/***/ }),

/***/ 28794:
/***/ ((module) => {

"use strict";


/* eslint no-invalid-this: 1 */

var ERROR_MESSAGE = 'Function.prototype.bind called on incompatible ';
var toStr = Object.prototype.toString;
var max = Math.max;
var funcType = '[object Function]';

var concatty = function concatty(a, b) {
    var arr = [];

    for (var i = 0; i < a.length; i += 1) {
        arr[i] = a[i];
    }
    for (var j = 0; j < b.length; j += 1) {
        arr[j + a.length] = b[j];
    }

    return arr;
};

var slicy = function slicy(arrLike, offset) {
    var arr = [];
    for (var i = offset || 0, j = 0; i < arrLike.length; i += 1, j += 1) {
        arr[j] = arrLike[i];
    }
    return arr;
};

var joiny = function (arr, joiner) {
    var str = '';
    for (var i = 0; i < arr.length; i += 1) {
        str += arr[i];
        if (i + 1 < arr.length) {
            str += joiner;
        }
    }
    return str;
};

module.exports = function bind(that) {
    var target = this;
    if (typeof target !== 'function' || toStr.apply(target) !== funcType) {
        throw new TypeError(ERROR_MESSAGE + target);
    }
    var args = slicy(arguments, 1);

    var bound;
    var binder = function () {
        if (this instanceof bound) {
            var result = target.apply(
                this,
                concatty(args, arguments)
            );
            if (Object(result) === result) {
                return result;
            }
            return this;
        }
        return target.apply(
            that,
            concatty(args, arguments)
        );

    };

    var boundLength = max(0, target.length - args.length);
    var boundArgs = [];
    for (var i = 0; i < boundLength; i++) {
        boundArgs[i] = '$' + i;
    }

    bound = Function('binder', 'return function (' + joiny(boundArgs, ',') + '){ return binder.apply(this,arguments); }')(binder);

    if (target.prototype) {
        var Empty = function Empty() {};
        Empty.prototype = target.prototype;
        bound.prototype = new Empty();
        Empty.prototype = null;
    }

    return bound;
};


/***/ }),

/***/ 79138:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var implementation = __webpack_require__(28794);

module.exports = Function.prototype.bind || implementation;


/***/ }),

/***/ 61828:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var util = __webpack_require__(49208)
var isProperty = __webpack_require__(2074)

var INDENT_START = /[\{\[]/
var INDENT_END = /[\}\]]/

// from https://mathiasbynens.be/notes/reserved-keywords
var RESERVED = [
  'do',
  'if',
  'in',
  'for',
  'let',
  'new',
  'try',
  'var',
  'case',
  'else',
  'enum',
  'eval',
  'null',
  'this',
  'true',
  'void',
  'with',
  'await',
  'break',
  'catch',
  'class',
  'const',
  'false',
  'super',
  'throw',
  'while',
  'yield',
  'delete',
  'export',
  'import',
  'public',
  'return',
  'static',
  'switch',
  'typeof',
  'default',
  'extends',
  'finally',
  'package',
  'private',
  'continue',
  'debugger',
  'function',
  'arguments',
  'interface',
  'protected',
  'implements',
  'instanceof',
  'NaN',
  'undefined'
]

var RESERVED_MAP = {}

for (var i = 0; i < RESERVED.length; i++) {
  RESERVED_MAP[RESERVED[i]] = true
}

var isVariable = function (name) {
  return isProperty(name) && !RESERVED_MAP.hasOwnProperty(name)
}

var formats = {
  s: function(s) {
    return '' + s
  },
  d: function(d) {
    return '' + Number(d)
  },
  o: function(o) {
    return JSON.stringify(o)
  }
}

var genfun = function() {
  var lines = []
  var indent = 0
  var vars = {}

  var push = function(str) {
    var spaces = ''
    while (spaces.length < indent*2) spaces += '  '
    lines.push(spaces+str)
  }

  var pushLine = function(line) {
    if (INDENT_END.test(line.trim()[0]) && INDENT_START.test(line[line.length-1])) {
      indent--
      push(line)
      indent++
      return
    }
    if (INDENT_START.test(line[line.length-1])) {
      push(line)
      indent++
      return
    }
    if (INDENT_END.test(line.trim()[0])) {
      indent--
      push(line)
      return
    }

    push(line)
  }

  var line = function(fmt) {
    if (!fmt) return line

    if (arguments.length === 1 && fmt.indexOf('\n') > -1) {
      var lines = fmt.trim().split('\n')
      for (var i = 0; i < lines.length; i++) {
        pushLine(lines[i].trim())
      }
    } else {
      pushLine(util.format.apply(util, arguments))
    }

    return line
  }

  line.scope = {}
  line.formats = formats

  line.sym = function(name) {
    if (!name || !isVariable(name)) name = 'tmp'
    if (!vars[name]) vars[name] = 0
    return name + (vars[name]++ || '')
  }

  line.property = function(obj, name) {
    if (arguments.length === 1) {
      name = obj
      obj = ''
    }

    name = name + ''

    if (isProperty(name)) return (obj ? obj + '.' + name : name)
    return obj ? obj + '[' + JSON.stringify(name) + ']' : JSON.stringify(name)
  }

  line.toString = function() {
    return lines.join('\n')
  }

  line.toFunction = function(scope) {
    if (!scope) scope = {}

    var src = 'return ('+line.toString()+')'

    Object.keys(line.scope).forEach(function (key) {
      if (!scope[key]) scope[key] = line.scope[key]
    })

    var keys = Object.keys(scope).map(function(key) {
      return key
    })

    var vals = keys.map(function(key) {
      return scope[key]
    })

    return Function.apply(null, keys.concat(src)).apply(null, vals)
  }

  if (arguments.length) line.apply(null, arguments)

  return line
}

genfun.formats = formats
module.exports = genfun


/***/ }),

/***/ 43371:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var isProperty = __webpack_require__(2074)

var gen = function(obj, prop) {
  return isProperty(prop) ? obj+'.'+prop : obj+'['+JSON.stringify(prop)+']'
}

gen.valid = isProperty
gen.property = function (prop) {
 return isProperty(prop) ? prop : JSON.stringify(prop)
}

module.exports = gen


/***/ }),

/***/ 528:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var undefined;

var $Error = __webpack_require__(29838);
var $EvalError = __webpack_require__(29110);
var $RangeError = __webpack_require__(61155);
var $ReferenceError = __webpack_require__(94943);
var $SyntaxError = __webpack_require__(5731);
var $TypeError = __webpack_require__(3468);
var $URIError = __webpack_require__(32140);

var $Function = Function;

// eslint-disable-next-line consistent-return
var getEvalledConstructor = function (expressionSyntax) {
	try {
		return $Function('"use strict"; return (' + expressionSyntax + ').constructor;')();
	} catch (e) {}
};

var $gOPD = Object.getOwnPropertyDescriptor;
if ($gOPD) {
	try {
		$gOPD({}, '');
	} catch (e) {
		$gOPD = null; // this is IE 8, which has a broken gOPD
	}
}

var throwTypeError = function () {
	throw new $TypeError();
};
var ThrowTypeError = $gOPD
	? (function () {
		try {
			// eslint-disable-next-line no-unused-expressions, no-caller, no-restricted-properties
			arguments.callee; // IE 8 does not throw here
			return throwTypeError;
		} catch (calleeThrows) {
			try {
				// IE 8 throws on Object.getOwnPropertyDescriptor(arguments, '')
				return $gOPD(arguments, 'callee').get;
			} catch (gOPDthrows) {
				return throwTypeError;
			}
		}
	}())
	: throwTypeError;

var hasSymbols = __webpack_require__(53558)();
var hasProto = __webpack_require__(66869)();

var getProto = Object.getPrototypeOf || (
	hasProto
		? function (x) { return x.__proto__; } // eslint-disable-line no-proto
		: null
);

var needsEval = {};

var TypedArray = typeof Uint8Array === 'undefined' || !getProto ? undefined : getProto(Uint8Array);

var INTRINSICS = {
	__proto__: null,
	'%AggregateError%': typeof AggregateError === 'undefined' ? undefined : AggregateError,
	'%Array%': Array,
	'%ArrayBuffer%': typeof ArrayBuffer === 'undefined' ? undefined : ArrayBuffer,
	'%ArrayIteratorPrototype%': hasSymbols && getProto ? getProto([][Symbol.iterator]()) : undefined,
	'%AsyncFromSyncIteratorPrototype%': undefined,
	'%AsyncFunction%': needsEval,
	'%AsyncGenerator%': needsEval,
	'%AsyncGeneratorFunction%': needsEval,
	'%AsyncIteratorPrototype%': needsEval,
	'%Atomics%': typeof Atomics === 'undefined' ? undefined : Atomics,
	'%BigInt%': typeof BigInt === 'undefined' ? undefined : BigInt,
	'%BigInt64Array%': typeof BigInt64Array === 'undefined' ? undefined : BigInt64Array,
	'%BigUint64Array%': typeof BigUint64Array === 'undefined' ? undefined : BigUint64Array,
	'%Boolean%': Boolean,
	'%DataView%': typeof DataView === 'undefined' ? undefined : DataView,
	'%Date%': Date,
	'%decodeURI%': decodeURI,
	'%decodeURIComponent%': decodeURIComponent,
	'%encodeURI%': encodeURI,
	'%encodeURIComponent%': encodeURIComponent,
	'%Error%': $Error,
	'%eval%': eval, // eslint-disable-line no-eval
	'%EvalError%': $EvalError,
	'%Float32Array%': typeof Float32Array === 'undefined' ? undefined : Float32Array,
	'%Float64Array%': typeof Float64Array === 'undefined' ? undefined : Float64Array,
	'%FinalizationRegistry%': typeof FinalizationRegistry === 'undefined' ? undefined : FinalizationRegistry,
	'%Function%': $Function,
	'%GeneratorFunction%': needsEval,
	'%Int8Array%': typeof Int8Array === 'undefined' ? undefined : Int8Array,
	'%Int16Array%': typeof Int16Array === 'undefined' ? undefined : Int16Array,
	'%Int32Array%': typeof Int32Array === 'undefined' ? undefined : Int32Array,
	'%isFinite%': isFinite,
	'%isNaN%': isNaN,
	'%IteratorPrototype%': hasSymbols && getProto ? getProto(getProto([][Symbol.iterator]())) : undefined,
	'%JSON%': typeof JSON === 'object' ? JSON : undefined,
	'%Map%': typeof Map === 'undefined' ? undefined : Map,
	'%MapIteratorPrototype%': typeof Map === 'undefined' || !hasSymbols || !getProto ? undefined : getProto(new Map()[Symbol.iterator]()),
	'%Math%': Math,
	'%Number%': Number,
	'%Object%': Object,
	'%parseFloat%': parseFloat,
	'%parseInt%': parseInt,
	'%Promise%': typeof Promise === 'undefined' ? undefined : Promise,
	'%Proxy%': typeof Proxy === 'undefined' ? undefined : Proxy,
	'%RangeError%': $RangeError,
	'%ReferenceError%': $ReferenceError,
	'%Reflect%': typeof Reflect === 'undefined' ? undefined : Reflect,
	'%RegExp%': RegExp,
	'%Set%': typeof Set === 'undefined' ? undefined : Set,
	'%SetIteratorPrototype%': typeof Set === 'undefined' || !hasSymbols || !getProto ? undefined : getProto(new Set()[Symbol.iterator]()),
	'%SharedArrayBuffer%': typeof SharedArrayBuffer === 'undefined' ? undefined : SharedArrayBuffer,
	'%String%': String,
	'%StringIteratorPrototype%': hasSymbols && getProto ? getProto(''[Symbol.iterator]()) : undefined,
	'%Symbol%': hasSymbols ? Symbol : undefined,
	'%SyntaxError%': $SyntaxError,
	'%ThrowTypeError%': ThrowTypeError,
	'%TypedArray%': TypedArray,
	'%TypeError%': $TypeError,
	'%Uint8Array%': typeof Uint8Array === 'undefined' ? undefined : Uint8Array,
	'%Uint8ClampedArray%': typeof Uint8ClampedArray === 'undefined' ? undefined : Uint8ClampedArray,
	'%Uint16Array%': typeof Uint16Array === 'undefined' ? undefined : Uint16Array,
	'%Uint32Array%': typeof Uint32Array === 'undefined' ? undefined : Uint32Array,
	'%URIError%': $URIError,
	'%WeakMap%': typeof WeakMap === 'undefined' ? undefined : WeakMap,
	'%WeakRef%': typeof WeakRef === 'undefined' ? undefined : WeakRef,
	'%WeakSet%': typeof WeakSet === 'undefined' ? undefined : WeakSet
};

if (getProto) {
	try {
		null.error; // eslint-disable-line no-unused-expressions
	} catch (e) {
		// https://github.com/tc39/proposal-shadowrealm/pull/384#issuecomment-1364264229
		var errorProto = getProto(getProto(e));
		INTRINSICS['%Error.prototype%'] = errorProto;
	}
}

var doEval = function doEval(name) {
	var value;
	if (name === '%AsyncFunction%') {
		value = getEvalledConstructor('async function () {}');
	} else if (name === '%GeneratorFunction%') {
		value = getEvalledConstructor('function* () {}');
	} else if (name === '%AsyncGeneratorFunction%') {
		value = getEvalledConstructor('async function* () {}');
	} else if (name === '%AsyncGenerator%') {
		var fn = doEval('%AsyncGeneratorFunction%');
		if (fn) {
			value = fn.prototype;
		}
	} else if (name === '%AsyncIteratorPrototype%') {
		var gen = doEval('%AsyncGenerator%');
		if (gen && getProto) {
			value = getProto(gen.prototype);
		}
	}

	INTRINSICS[name] = value;

	return value;
};

var LEGACY_ALIASES = {
	__proto__: null,
	'%ArrayBufferPrototype%': ['ArrayBuffer', 'prototype'],
	'%ArrayPrototype%': ['Array', 'prototype'],
	'%ArrayProto_entries%': ['Array', 'prototype', 'entries'],
	'%ArrayProto_forEach%': ['Array', 'prototype', 'forEach'],
	'%ArrayProto_keys%': ['Array', 'prototype', 'keys'],
	'%ArrayProto_values%': ['Array', 'prototype', 'values'],
	'%AsyncFunctionPrototype%': ['AsyncFunction', 'prototype'],
	'%AsyncGenerator%': ['AsyncGeneratorFunction', 'prototype'],
	'%AsyncGeneratorPrototype%': ['AsyncGeneratorFunction', 'prototype', 'prototype'],
	'%BooleanPrototype%': ['Boolean', 'prototype'],
	'%DataViewPrototype%': ['DataView', 'prototype'],
	'%DatePrototype%': ['Date', 'prototype'],
	'%ErrorPrototype%': ['Error', 'prototype'],
	'%EvalErrorPrototype%': ['EvalError', 'prototype'],
	'%Float32ArrayPrototype%': ['Float32Array', 'prototype'],
	'%Float64ArrayPrototype%': ['Float64Array', 'prototype'],
	'%FunctionPrototype%': ['Function', 'prototype'],
	'%Generator%': ['GeneratorFunction', 'prototype'],
	'%GeneratorPrototype%': ['GeneratorFunction', 'prototype', 'prototype'],
	'%Int8ArrayPrototype%': ['Int8Array', 'prototype'],
	'%Int16ArrayPrototype%': ['Int16Array', 'prototype'],
	'%Int32ArrayPrototype%': ['Int32Array', 'prototype'],
	'%JSONParse%': ['JSON', 'parse'],
	'%JSONStringify%': ['JSON', 'stringify'],
	'%MapPrototype%': ['Map', 'prototype'],
	'%NumberPrototype%': ['Number', 'prototype'],
	'%ObjectPrototype%': ['Object', 'prototype'],
	'%ObjProto_toString%': ['Object', 'prototype', 'toString'],
	'%ObjProto_valueOf%': ['Object', 'prototype', 'valueOf'],
	'%PromisePrototype%': ['Promise', 'prototype'],
	'%PromiseProto_then%': ['Promise', 'prototype', 'then'],
	'%Promise_all%': ['Promise', 'all'],
	'%Promise_reject%': ['Promise', 'reject'],
	'%Promise_resolve%': ['Promise', 'resolve'],
	'%RangeErrorPrototype%': ['RangeError', 'prototype'],
	'%ReferenceErrorPrototype%': ['ReferenceError', 'prototype'],
	'%RegExpPrototype%': ['RegExp', 'prototype'],
	'%SetPrototype%': ['Set', 'prototype'],
	'%SharedArrayBufferPrototype%': ['SharedArrayBuffer', 'prototype'],
	'%StringPrototype%': ['String', 'prototype'],
	'%SymbolPrototype%': ['Symbol', 'prototype'],
	'%SyntaxErrorPrototype%': ['SyntaxError', 'prototype'],
	'%TypedArrayPrototype%': ['TypedArray', 'prototype'],
	'%TypeErrorPrototype%': ['TypeError', 'prototype'],
	'%Uint8ArrayPrototype%': ['Uint8Array', 'prototype'],
	'%Uint8ClampedArrayPrototype%': ['Uint8ClampedArray', 'prototype'],
	'%Uint16ArrayPrototype%': ['Uint16Array', 'prototype'],
	'%Uint32ArrayPrototype%': ['Uint32Array', 'prototype'],
	'%URIErrorPrototype%': ['URIError', 'prototype'],
	'%WeakMapPrototype%': ['WeakMap', 'prototype'],
	'%WeakSetPrototype%': ['WeakSet', 'prototype']
};

var bind = __webpack_require__(79138);
var hasOwn = __webpack_require__(78554);
var $concat = bind.call(Function.call, Array.prototype.concat);
var $spliceApply = bind.call(Function.apply, Array.prototype.splice);
var $replace = bind.call(Function.call, String.prototype.replace);
var $strSlice = bind.call(Function.call, String.prototype.slice);
var $exec = bind.call(Function.call, RegExp.prototype.exec);

/* adapted from https://github.com/lodash/lodash/blob/4.17.15/dist/lodash.js#L6735-L6744 */
var rePropName = /[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g;
var reEscapeChar = /\\(\\)?/g; /** Used to match backslashes in property paths. */
var stringToPath = function stringToPath(string) {
	var first = $strSlice(string, 0, 1);
	var last = $strSlice(string, -1);
	if (first === '%' && last !== '%') {
		throw new $SyntaxError('invalid intrinsic syntax, expected closing `%`');
	} else if (last === '%' && first !== '%') {
		throw new $SyntaxError('invalid intrinsic syntax, expected opening `%`');
	}
	var result = [];
	$replace(string, rePropName, function (match, number, quote, subString) {
		result[result.length] = quote ? $replace(subString, reEscapeChar, '$1') : number || match;
	});
	return result;
};
/* end adaptation */

var getBaseIntrinsic = function getBaseIntrinsic(name, allowMissing) {
	var intrinsicName = name;
	var alias;
	if (hasOwn(LEGACY_ALIASES, intrinsicName)) {
		alias = LEGACY_ALIASES[intrinsicName];
		intrinsicName = '%' + alias[0] + '%';
	}

	if (hasOwn(INTRINSICS, intrinsicName)) {
		var value = INTRINSICS[intrinsicName];
		if (value === needsEval) {
			value = doEval(intrinsicName);
		}
		if (typeof value === 'undefined' && !allowMissing) {
			throw new $TypeError('intrinsic ' + name + ' exists, but is not available. Please file an issue!');
		}

		return {
			alias: alias,
			name: intrinsicName,
			value: value
		};
	}

	throw new $SyntaxError('intrinsic ' + name + ' does not exist!');
};

module.exports = function GetIntrinsic(name, allowMissing) {
	if (typeof name !== 'string' || name.length === 0) {
		throw new $TypeError('intrinsic name must be a non-empty string');
	}
	if (arguments.length > 1 && typeof allowMissing !== 'boolean') {
		throw new $TypeError('"allowMissing" argument must be a boolean');
	}

	if ($exec(/^%?[^%]*%?$/, name) === null) {
		throw new $SyntaxError('`%` may not be present anywhere but at the beginning and end of the intrinsic name');
	}
	var parts = stringToPath(name);
	var intrinsicBaseName = parts.length > 0 ? parts[0] : '';

	var intrinsic = getBaseIntrinsic('%' + intrinsicBaseName + '%', allowMissing);
	var intrinsicRealName = intrinsic.name;
	var value = intrinsic.value;
	var skipFurtherCaching = false;

	var alias = intrinsic.alias;
	if (alias) {
		intrinsicBaseName = alias[0];
		$spliceApply(parts, $concat([0, 1], alias));
	}

	for (var i = 1, isOwn = true; i < parts.length; i += 1) {
		var part = parts[i];
		var first = $strSlice(part, 0, 1);
		var last = $strSlice(part, -1);
		if (
			(
				(first === '"' || first === "'" || first === '`')
				|| (last === '"' || last === "'" || last === '`')
			)
			&& first !== last
		) {
			throw new $SyntaxError('property names with quotes must have matching quotes');
		}
		if (part === 'constructor' || !isOwn) {
			skipFurtherCaching = true;
		}

		intrinsicBaseName += '.' + part;
		intrinsicRealName = '%' + intrinsicBaseName + '%';

		if (hasOwn(INTRINSICS, intrinsicRealName)) {
			value = INTRINSICS[intrinsicRealName];
		} else if (value != null) {
			if (!(part in value)) {
				if (!allowMissing) {
					throw new $TypeError('base intrinsic for ' + name + ' exists, but the property is not available.');
				}
				return void undefined;
			}
			if ($gOPD && (i + 1) >= parts.length) {
				var desc = $gOPD(value, part);
				isOwn = !!desc;

				// By convention, when a data property is converted to an accessor
				// property to emulate a data property that does not suffer from
				// the override mistake, that accessor's getter is marked with
				// an `originalValue` property. Here, when we detect this, we
				// uphold the illusion by pretending to see that original data
				// property, i.e., returning the value rather than the getter
				// itself.
				if (isOwn && 'get' in desc && !('originalValue' in desc.get)) {
					value = desc.get;
				} else {
					value = value[part];
				}
			} else {
				isOwn = hasOwn(value, part);
				value = value[part];
			}

			if (isOwn && !skipFurtherCaching) {
				INTRINSICS[intrinsicRealName] = value;
			}
		}
	}
	return value;
};


/***/ }),

/***/ 16177:
/***/ ((module) => {

"use strict";

module.exports = function (input) {
	if (typeof input !== 'string') {
		throw new TypeError('get-src expected a string');
	}
	var re = /src="(.*?)"/gm;
	var url = re.exec(input);

	if (url && url.length >= 2) {
		return url[1];
	}
};


/***/ }),

/***/ 11450:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

var getSrc = __webpack_require__(16177);

module.exports = function (str) {
	if (typeof str !== 'string') {
		throw new TypeError('get-video-id expects a string');
	}

	if (/<iframe/gi.test(str)) {
		str = getSrc(str);
	}

	// remove surrounding whitespaces or linefeeds
	str = str.trim();

	// remove the '-nocookie' flag from youtube urls
	str = str.replace('-nocookie', '');

	// remove any leading `www.`
	str = str.replace('/www.', '/');

	var metadata = {};

	// Try to handle google redirection uri
	if (/\/\/google/.test(str)) {
		// Find the redirection uri
		var matches = str.match(/url=([^&]+)&/);

		// Decode the found uri and replace current url string - continue with final link
		if (matches) {
			// Javascript can get encoded URI
			str = decodeURIComponent(matches[1]);
		}
	}

	if (/youtube|youtu\.be|y2u\.be|i.ytimg\./.test(str)) {
		metadata = {
			id: youtube(str),
			service: 'youtube'
		};
	} else if (/vimeo/.test(str)) {
		metadata = {
			id: vimeo(str),
			service: 'vimeo'
		};
	} else if (/vine/.test(str)) {
		metadata = {
			id: vine(str),
			service: 'vine'
		};
	} else if (/videopress/.test(str)) {
		metadata = {
			id: videopress(str),
			service: 'videopress'
		};
	}
	return metadata;
};

/**
 * Get the vimeo id.
 * @param {string} str - the url from which you want to extract the id
 * @returns {string|undefined}
 */
function vimeo(str) {
	if (str.indexOf('#') > -1) {
		str = str.split('#')[0];
	}
	if (str.indexOf('?') > -1 && str.indexOf('clip_id=') === -1) {
		str = str.split('?')[0];
	}

	var id;
	var arr;

	var vimeoPipe = [
		'https?:\/\/vimeo\.com\/[0-9]+$',
		'https?:\/\/player\.vimeo\.com\/video\/[0-9]+$',
		'https?:\/\/vimeo\.com\/channels',
		'groups',
		'album'
	].join('|');

	var vimeoRegex = new RegExp(vimeoPipe, 'gim');

	if (vimeoRegex.test(str)) {
		arr = str.split('/');
		if (arr && arr.length) {
			id = arr.pop();
		}
	} else if (/clip_id=/gim.test(str)) {
		arr = str.split('clip_id=');
		if (arr && arr.length) {
			id = arr[1].split('&')[0];
		}
	}

	return id;
}

/**
 * Get the vine id.
 * @param {string} str - the url from which you want to extract the id
 * @returns {string|undefined}
 */
function vine(str) {
	var regex = /https:\/\/vine\.co\/v\/([a-zA-Z0-9]*)\/?/;
	var matches = regex.exec(str);
	return matches && matches[1];
}

/**
 * Get the Youtube Video id.
 * @param {string} str - the url from which you want to extract the id
 * @returns {string|undefined}
 */
function youtube(str) {
	// shortcode
	var shortcode = /youtube:\/\/|https?:\/\/youtu\.be\/|http:\/\/y2u\.be\//g;

	if (shortcode.test(str)) {
		var shortcodeid = str.split(shortcode)[1];
		return stripParameters(shortcodeid);
	}

	// /v/ or /vi/
	var inlinev = /\/v\/|\/vi\//g;

	if (inlinev.test(str)) {
		var inlineid = str.split(inlinev)[1];
		return stripParameters(inlineid);
	}

	// v= or vi=
	var parameterv = /v=|vi=/g;

	if (parameterv.test(str)) {
		var arr = str.split(parameterv);
		return arr[1].split('&')[0];
	}

	// v= or vi=
	var parameterwebp = /\/an_webp\//g;

	if (parameterwebp.test(str)) {
		var webp = str.split(parameterwebp)[1];
		return stripParameters(webp);
	}

	// embed
	var embedreg = /\/embed\//g;

	if (embedreg.test(str)) {
		var embedid = str.split(embedreg)[1];
		return stripParameters(embedid);
	}

	// ignore /user/username pattern
	var usernamereg = /\/user\/([a-zA-Z0-9]*)$/g;

	if (usernamereg.test(str)) {
		return undefined;
	}

	// user
	var userreg = /\/user\/(?!.*videos)/g;

	if (userreg.test(str)) {
		var elements = str.split('/');
		return stripParameters(elements.pop());
	}

	// attribution_link
	var attrreg = /\/attribution_link\?.*v%3D([^%&]*)(%26|&|$)/;

	if (attrreg.test(str)) {
		return str.match(attrreg)[1];
	}
}

/**
 * Get the VideoPress id.
 * @param {string} str - the url from which you want to extract the id
 * @returns {string|undefined}
 */
function videopress(str) {
	var idRegex;
	if (str.indexOf('embed') > -1) {
		idRegex = /embed\/(\w{8})/;
		return str.match(idRegex)[1];
	}

	idRegex = /\/v\/(\w{8})/;

	var match = str.match(idRegex);

	if (match && match.length > 0) {
		return str.match(idRegex)[1];
	}
	return undefined;
}

/**
 * Strip away any parameters following `?` or `/`
 * @param str
 * @returns {*}
 */
function stripParameters(str) {
	// Split parameters or split folder separator
	if (str.indexOf('?') > -1) {
		return str.split('?')[0];
	} else if (str.indexOf('/') > -1) {
		return str.split('/')[0];
	}
	return str;
}


/***/ }),

/***/ 69336:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var GetIntrinsic = __webpack_require__(528);

var $gOPD = GetIntrinsic('%Object.getOwnPropertyDescriptor%', true);

if ($gOPD) {
	try {
		$gOPD([], 'length');
	} catch (e) {
		// IE 8 has a broken gOPD
		$gOPD = null;
	}
}

module.exports = $gOPD;


/***/ }),

/***/ 17239:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var $defineProperty = __webpack_require__(64940);

var hasPropertyDescriptors = function hasPropertyDescriptors() {
	return !!$defineProperty;
};

hasPropertyDescriptors.hasArrayLengthDefineBug = function hasArrayLengthDefineBug() {
	// node v0.6 has a bug where array lengths can be Set but not Defined
	if (!$defineProperty) {
		return null;
	}
	try {
		return $defineProperty([], 'length', { value: 1 }).length !== 1;
	} catch (e) {
		// In Firefox 4-22, defining length on an array throws an exception.
		return true;
	}
};

module.exports = hasPropertyDescriptors;


/***/ }),

/***/ 66869:
/***/ ((module) => {

"use strict";


var test = {
	__proto__: null,
	foo: {}
};

var $Object = Object;

/** @type {import('.')} */
module.exports = function hasProto() {
	// @ts-expect-error: TS errors on an inherited property for some reason
	return { __proto__: test }.foo === test.foo
		&& !(test instanceof $Object);
};


/***/ }),

/***/ 53558:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var origSymbol = typeof Symbol !== 'undefined' && Symbol;
var hasSymbolSham = __webpack_require__(62908);

module.exports = function hasNativeSymbols() {
	if (typeof origSymbol !== 'function') { return false; }
	if (typeof Symbol !== 'function') { return false; }
	if (typeof origSymbol('foo') !== 'symbol') { return false; }
	if (typeof Symbol('bar') !== 'symbol') { return false; }

	return hasSymbolSham();
};


/***/ }),

/***/ 62908:
/***/ ((module) => {

"use strict";


/* eslint complexity: [2, 18], max-statements: [2, 33] */
module.exports = function hasSymbols() {
	if (typeof Symbol !== 'function' || typeof Object.getOwnPropertySymbols !== 'function') { return false; }
	if (typeof Symbol.iterator === 'symbol') { return true; }

	var obj = {};
	var sym = Symbol('test');
	var symObj = Object(sym);
	if (typeof sym === 'string') { return false; }

	if (Object.prototype.toString.call(sym) !== '[object Symbol]') { return false; }
	if (Object.prototype.toString.call(symObj) !== '[object Symbol]') { return false; }

	// temp disabled per https://github.com/ljharb/object.assign/issues/17
	// if (sym instanceof Symbol) { return false; }
	// temp disabled per https://github.com/WebReflection/get-own-property-symbols/issues/4
	// if (!(symObj instanceof Symbol)) { return false; }

	// if (typeof Symbol.prototype.toString !== 'function') { return false; }
	// if (String(sym) !== Symbol.prototype.toString.call(sym)) { return false; }

	var symVal = 42;
	obj[sym] = symVal;
	for (sym in obj) { return false; } // eslint-disable-line no-restricted-syntax, no-unreachable-loop
	if (typeof Object.keys === 'function' && Object.keys(obj).length !== 0) { return false; }

	if (typeof Object.getOwnPropertyNames === 'function' && Object.getOwnPropertyNames(obj).length !== 0) { return false; }

	var syms = Object.getOwnPropertySymbols(obj);
	if (syms.length !== 1 || syms[0] !== sym) { return false; }

	if (!Object.prototype.propertyIsEnumerable.call(obj, sym)) { return false; }

	if (typeof Object.getOwnPropertyDescriptor === 'function') {
		var descriptor = Object.getOwnPropertyDescriptor(obj, sym);
		if (descriptor.value !== symVal || descriptor.enumerable !== true) { return false; }
	}

	return true;
};


/***/ }),

/***/ 51913:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var hasSymbols = __webpack_require__(62908);

/** @type {import('.')} */
module.exports = function hasToStringTagShams() {
	return hasSymbols() && !!Symbol.toStringTag;
};


/***/ }),

/***/ 32191:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(70461);
var assert = __webpack_require__(7784);

function BlockHash() {
  this.pending = null;
  this.pendingTotal = 0;
  this.blockSize = this.constructor.blockSize;
  this.outSize = this.constructor.outSize;
  this.hmacStrength = this.constructor.hmacStrength;
  this.padLength = this.constructor.padLength / 8;
  this.endian = 'big';

  this._delta8 = this.blockSize / 8;
  this._delta32 = this.blockSize / 32;
}
exports.BlockHash = BlockHash;

BlockHash.prototype.update = function update(msg, enc) {
  // Convert message to array, pad it, and join into 32bit blocks
  msg = utils.toArray(msg, enc);
  if (!this.pending)
    this.pending = msg;
  else
    this.pending = this.pending.concat(msg);
  this.pendingTotal += msg.length;

  // Enough data, try updating
  if (this.pending.length >= this._delta8) {
    msg = this.pending;

    // Process pending data in blocks
    var r = msg.length % this._delta8;
    this.pending = msg.slice(msg.length - r, msg.length);
    if (this.pending.length === 0)
      this.pending = null;

    msg = utils.join32(msg, 0, msg.length - r, this.endian);
    for (var i = 0; i < msg.length; i += this._delta32)
      this._update(msg, i, i + this._delta32);
  }

  return this;
};

BlockHash.prototype.digest = function digest(enc) {
  this.update(this._pad());
  assert(this.pending === null);

  return this._digest(enc);
};

BlockHash.prototype._pad = function pad() {
  var len = this.pendingTotal;
  var bytes = this._delta8;
  var k = bytes - ((len + this.padLength) % bytes);
  var res = new Array(k + this.padLength);
  res[0] = 0x80;
  for (var i = 1; i < k; i++)
    res[i] = 0;

  // Append length
  len <<= 3;
  if (this.endian === 'big') {
    for (var t = 8; t < this.padLength; t++)
      res[i++] = 0;

    res[i++] = 0;
    res[i++] = 0;
    res[i++] = 0;
    res[i++] = 0;
    res[i++] = (len >>> 24) & 0xff;
    res[i++] = (len >>> 16) & 0xff;
    res[i++] = (len >>> 8) & 0xff;
    res[i++] = len & 0xff;
  } else {
    res[i++] = len & 0xff;
    res[i++] = (len >>> 8) & 0xff;
    res[i++] = (len >>> 16) & 0xff;
    res[i++] = (len >>> 24) & 0xff;
    res[i++] = 0;
    res[i++] = 0;
    res[i++] = 0;
    res[i++] = 0;

    for (t = 8; t < this.padLength; t++)
      res[i++] = 0;
  }

  return res;
};


/***/ }),

/***/ 12986:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(70461);
var common = __webpack_require__(32191);
var shaCommon = __webpack_require__(600);

var rotl32 = utils.rotl32;
var sum32 = utils.sum32;
var sum32_5 = utils.sum32_5;
var ft_1 = shaCommon.ft_1;
var BlockHash = common.BlockHash;

var sha1_K = [
  0x5A827999, 0x6ED9EBA1,
  0x8F1BBCDC, 0xCA62C1D6
];

function SHA1() {
  if (!(this instanceof SHA1))
    return new SHA1();

  BlockHash.call(this);
  this.h = [
    0x67452301, 0xefcdab89, 0x98badcfe,
    0x10325476, 0xc3d2e1f0 ];
  this.W = new Array(80);
}

utils.inherits(SHA1, BlockHash);
module.exports = SHA1;

SHA1.blockSize = 512;
SHA1.outSize = 160;
SHA1.hmacStrength = 80;
SHA1.padLength = 64;

SHA1.prototype._update = function _update(msg, start) {
  var W = this.W;

  for (var i = 0; i < 16; i++)
    W[i] = msg[start + i];

  for(; i < W.length; i++)
    W[i] = rotl32(W[i - 3] ^ W[i - 8] ^ W[i - 14] ^ W[i - 16], 1);

  var a = this.h[0];
  var b = this.h[1];
  var c = this.h[2];
  var d = this.h[3];
  var e = this.h[4];

  for (i = 0; i < W.length; i++) {
    var s = ~~(i / 20);
    var t = sum32_5(rotl32(a, 5), ft_1(s, b, c, d), e, W[i], sha1_K[s]);
    e = d;
    d = c;
    c = rotl32(b, 30);
    b = a;
    a = t;
  }

  this.h[0] = sum32(this.h[0], a);
  this.h[1] = sum32(this.h[1], b);
  this.h[2] = sum32(this.h[2], c);
  this.h[3] = sum32(this.h[3], d);
  this.h[4] = sum32(this.h[4], e);
};

SHA1.prototype._digest = function digest(enc) {
  if (enc === 'hex')
    return utils.toHex32(this.h, 'big');
  else
    return utils.split32(this.h, 'big');
};


/***/ }),

/***/ 50536:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(70461);
var common = __webpack_require__(32191);
var shaCommon = __webpack_require__(600);
var assert = __webpack_require__(7784);

var sum32 = utils.sum32;
var sum32_4 = utils.sum32_4;
var sum32_5 = utils.sum32_5;
var ch32 = shaCommon.ch32;
var maj32 = shaCommon.maj32;
var s0_256 = shaCommon.s0_256;
var s1_256 = shaCommon.s1_256;
var g0_256 = shaCommon.g0_256;
var g1_256 = shaCommon.g1_256;

var BlockHash = common.BlockHash;

var sha256_K = [
  0x428a2f98, 0x71374491, 0xb5c0fbcf, 0xe9b5dba5,
  0x3956c25b, 0x59f111f1, 0x923f82a4, 0xab1c5ed5,
  0xd807aa98, 0x12835b01, 0x243185be, 0x550c7dc3,
  0x72be5d74, 0x80deb1fe, 0x9bdc06a7, 0xc19bf174,
  0xe49b69c1, 0xefbe4786, 0x0fc19dc6, 0x240ca1cc,
  0x2de92c6f, 0x4a7484aa, 0x5cb0a9dc, 0x76f988da,
  0x983e5152, 0xa831c66d, 0xb00327c8, 0xbf597fc7,
  0xc6e00bf3, 0xd5a79147, 0x06ca6351, 0x14292967,
  0x27b70a85, 0x2e1b2138, 0x4d2c6dfc, 0x53380d13,
  0x650a7354, 0x766a0abb, 0x81c2c92e, 0x92722c85,
  0xa2bfe8a1, 0xa81a664b, 0xc24b8b70, 0xc76c51a3,
  0xd192e819, 0xd6990624, 0xf40e3585, 0x106aa070,
  0x19a4c116, 0x1e376c08, 0x2748774c, 0x34b0bcb5,
  0x391c0cb3, 0x4ed8aa4a, 0x5b9cca4f, 0x682e6ff3,
  0x748f82ee, 0x78a5636f, 0x84c87814, 0x8cc70208,
  0x90befffa, 0xa4506ceb, 0xbef9a3f7, 0xc67178f2
];

function SHA256() {
  if (!(this instanceof SHA256))
    return new SHA256();

  BlockHash.call(this);
  this.h = [
    0x6a09e667, 0xbb67ae85, 0x3c6ef372, 0xa54ff53a,
    0x510e527f, 0x9b05688c, 0x1f83d9ab, 0x5be0cd19
  ];
  this.k = sha256_K;
  this.W = new Array(64);
}
utils.inherits(SHA256, BlockHash);
module.exports = SHA256;

SHA256.blockSize = 512;
SHA256.outSize = 256;
SHA256.hmacStrength = 192;
SHA256.padLength = 64;

SHA256.prototype._update = function _update(msg, start) {
  var W = this.W;

  for (var i = 0; i < 16; i++)
    W[i] = msg[start + i];
  for (; i < W.length; i++)
    W[i] = sum32_4(g1_256(W[i - 2]), W[i - 7], g0_256(W[i - 15]), W[i - 16]);

  var a = this.h[0];
  var b = this.h[1];
  var c = this.h[2];
  var d = this.h[3];
  var e = this.h[4];
  var f = this.h[5];
  var g = this.h[6];
  var h = this.h[7];

  assert(this.k.length === W.length);
  for (i = 0; i < W.length; i++) {
    var T1 = sum32_5(h, s1_256(e), ch32(e, f, g), this.k[i], W[i]);
    var T2 = sum32(s0_256(a), maj32(a, b, c));
    h = g;
    g = f;
    f = e;
    e = sum32(d, T1);
    d = c;
    c = b;
    b = a;
    a = sum32(T1, T2);
  }

  this.h[0] = sum32(this.h[0], a);
  this.h[1] = sum32(this.h[1], b);
  this.h[2] = sum32(this.h[2], c);
  this.h[3] = sum32(this.h[3], d);
  this.h[4] = sum32(this.h[4], e);
  this.h[5] = sum32(this.h[5], f);
  this.h[6] = sum32(this.h[6], g);
  this.h[7] = sum32(this.h[7], h);
};

SHA256.prototype._digest = function digest(enc) {
  if (enc === 'hex')
    return utils.toHex32(this.h, 'big');
  else
    return utils.split32(this.h, 'big');
};


/***/ }),

/***/ 600:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(70461);
var rotr32 = utils.rotr32;

function ft_1(s, x, y, z) {
  if (s === 0)
    return ch32(x, y, z);
  if (s === 1 || s === 3)
    return p32(x, y, z);
  if (s === 2)
    return maj32(x, y, z);
}
exports.ft_1 = ft_1;

function ch32(x, y, z) {
  return (x & y) ^ ((~x) & z);
}
exports.ch32 = ch32;

function maj32(x, y, z) {
  return (x & y) ^ (x & z) ^ (y & z);
}
exports.maj32 = maj32;

function p32(x, y, z) {
  return x ^ y ^ z;
}
exports.p32 = p32;

function s0_256(x) {
  return rotr32(x, 2) ^ rotr32(x, 13) ^ rotr32(x, 22);
}
exports.s0_256 = s0_256;

function s1_256(x) {
  return rotr32(x, 6) ^ rotr32(x, 11) ^ rotr32(x, 25);
}
exports.s1_256 = s1_256;

function g0_256(x) {
  return rotr32(x, 7) ^ rotr32(x, 18) ^ (x >>> 3);
}
exports.g0_256 = g0_256;

function g1_256(x) {
  return rotr32(x, 17) ^ rotr32(x, 19) ^ (x >>> 10);
}
exports.g1_256 = g1_256;


/***/ }),

/***/ 70461:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


var assert = __webpack_require__(7784);
var inherits = __webpack_require__(35615);

exports.inherits = inherits;

function isSurrogatePair(msg, i) {
  if ((msg.charCodeAt(i) & 0xFC00) !== 0xD800) {
    return false;
  }
  if (i < 0 || i + 1 >= msg.length) {
    return false;
  }
  return (msg.charCodeAt(i + 1) & 0xFC00) === 0xDC00;
}

function toArray(msg, enc) {
  if (Array.isArray(msg))
    return msg.slice();
  if (!msg)
    return [];
  var res = [];
  if (typeof msg === 'string') {
    if (!enc) {
      // Inspired by stringToUtf8ByteArray() in closure-library by Google
      // https://github.com/google/closure-library/blob/8598d87242af59aac233270742c8984e2b2bdbe0/closure/goog/crypt/crypt.js#L117-L143
      // Apache License 2.0
      // https://github.com/google/closure-library/blob/master/LICENSE
      var p = 0;
      for (var i = 0; i < msg.length; i++) {
        var c = msg.charCodeAt(i);
        if (c < 128) {
          res[p++] = c;
        } else if (c < 2048) {
          res[p++] = (c >> 6) | 192;
          res[p++] = (c & 63) | 128;
        } else if (isSurrogatePair(msg, i)) {
          c = 0x10000 + ((c & 0x03FF) << 10) + (msg.charCodeAt(++i) & 0x03FF);
          res[p++] = (c >> 18) | 240;
          res[p++] = ((c >> 12) & 63) | 128;
          res[p++] = ((c >> 6) & 63) | 128;
          res[p++] = (c & 63) | 128;
        } else {
          res[p++] = (c >> 12) | 224;
          res[p++] = ((c >> 6) & 63) | 128;
          res[p++] = (c & 63) | 128;
        }
      }
    } else if (enc === 'hex') {
      msg = msg.replace(/[^a-z0-9]+/ig, '');
      if (msg.length % 2 !== 0)
        msg = '0' + msg;
      for (i = 0; i < msg.length; i += 2)
        res.push(parseInt(msg[i] + msg[i + 1], 16));
    }
  } else {
    for (i = 0; i < msg.length; i++)
      res[i] = msg[i] | 0;
  }
  return res;
}
exports.toArray = toArray;

function toHex(msg) {
  var res = '';
  for (var i = 0; i < msg.length; i++)
    res += zero2(msg[i].toString(16));
  return res;
}
exports.toHex = toHex;

function htonl(w) {
  var res = (w >>> 24) |
            ((w >>> 8) & 0xff00) |
            ((w << 8) & 0xff0000) |
            ((w & 0xff) << 24);
  return res >>> 0;
}
exports.htonl = htonl;

function toHex32(msg, endian) {
  var res = '';
  for (var i = 0; i < msg.length; i++) {
    var w = msg[i];
    if (endian === 'little')
      w = htonl(w);
    res += zero8(w.toString(16));
  }
  return res;
}
exports.toHex32 = toHex32;

function zero2(word) {
  if (word.length === 1)
    return '0' + word;
  else
    return word;
}
exports.zero2 = zero2;

function zero8(word) {
  if (word.length === 7)
    return '0' + word;
  else if (word.length === 6)
    return '00' + word;
  else if (word.length === 5)
    return '000' + word;
  else if (word.length === 4)
    return '0000' + word;
  else if (word.length === 3)
    return '00000' + word;
  else if (word.length === 2)
    return '000000' + word;
  else if (word.length === 1)
    return '0000000' + word;
  else
    return word;
}
exports.zero8 = zero8;

function join32(msg, start, end, endian) {
  var len = end - start;
  assert(len % 4 === 0);
  var res = new Array(len / 4);
  for (var i = 0, k = start; i < res.length; i++, k += 4) {
    var w;
    if (endian === 'big')
      w = (msg[k] << 24) | (msg[k + 1] << 16) | (msg[k + 2] << 8) | msg[k + 3];
    else
      w = (msg[k + 3] << 24) | (msg[k + 2] << 16) | (msg[k + 1] << 8) | msg[k];
    res[i] = w >>> 0;
  }
  return res;
}
exports.join32 = join32;

function split32(msg, endian) {
  var res = new Array(msg.length * 4);
  for (var i = 0, k = 0; i < msg.length; i++, k += 4) {
    var m = msg[i];
    if (endian === 'big') {
      res[k] = m >>> 24;
      res[k + 1] = (m >>> 16) & 0xff;
      res[k + 2] = (m >>> 8) & 0xff;
      res[k + 3] = m & 0xff;
    } else {
      res[k + 3] = m >>> 24;
      res[k + 2] = (m >>> 16) & 0xff;
      res[k + 1] = (m >>> 8) & 0xff;
      res[k] = m & 0xff;
    }
  }
  return res;
}
exports.split32 = split32;

function rotr32(w, b) {
  return (w >>> b) | (w << (32 - b));
}
exports.rotr32 = rotr32;

function rotl32(w, b) {
  return (w << b) | (w >>> (32 - b));
}
exports.rotl32 = rotl32;

function sum32(a, b) {
  return (a + b) >>> 0;
}
exports.sum32 = sum32;

function sum32_3(a, b, c) {
  return (a + b + c) >>> 0;
}
exports.sum32_3 = sum32_3;

function sum32_4(a, b, c, d) {
  return (a + b + c + d) >>> 0;
}
exports.sum32_4 = sum32_4;

function sum32_5(a, b, c, d, e) {
  return (a + b + c + d + e) >>> 0;
}
exports.sum32_5 = sum32_5;

function sum64(buf, pos, ah, al) {
  var bh = buf[pos];
  var bl = buf[pos + 1];

  var lo = (al + bl) >>> 0;
  var hi = (lo < al ? 1 : 0) + ah + bh;
  buf[pos] = hi >>> 0;
  buf[pos + 1] = lo;
}
exports.sum64 = sum64;

function sum64_hi(ah, al, bh, bl) {
  var lo = (al + bl) >>> 0;
  var hi = (lo < al ? 1 : 0) + ah + bh;
  return hi >>> 0;
}
exports.sum64_hi = sum64_hi;

function sum64_lo(ah, al, bh, bl) {
  var lo = al + bl;
  return lo >>> 0;
}
exports.sum64_lo = sum64_lo;

function sum64_4_hi(ah, al, bh, bl, ch, cl, dh, dl) {
  var carry = 0;
  var lo = al;
  lo = (lo + bl) >>> 0;
  carry += lo < al ? 1 : 0;
  lo = (lo + cl) >>> 0;
  carry += lo < cl ? 1 : 0;
  lo = (lo + dl) >>> 0;
  carry += lo < dl ? 1 : 0;

  var hi = ah + bh + ch + dh + carry;
  return hi >>> 0;
}
exports.sum64_4_hi = sum64_4_hi;

function sum64_4_lo(ah, al, bh, bl, ch, cl, dh, dl) {
  var lo = al + bl + cl + dl;
  return lo >>> 0;
}
exports.sum64_4_lo = sum64_4_lo;

function sum64_5_hi(ah, al, bh, bl, ch, cl, dh, dl, eh, el) {
  var carry = 0;
  var lo = al;
  lo = (lo + bl) >>> 0;
  carry += lo < al ? 1 : 0;
  lo = (lo + cl) >>> 0;
  carry += lo < cl ? 1 : 0;
  lo = (lo + dl) >>> 0;
  carry += lo < dl ? 1 : 0;
  lo = (lo + el) >>> 0;
  carry += lo < el ? 1 : 0;

  var hi = ah + bh + ch + dh + eh + carry;
  return hi >>> 0;
}
exports.sum64_5_hi = sum64_5_hi;

function sum64_5_lo(ah, al, bh, bl, ch, cl, dh, dl, eh, el) {
  var lo = al + bl + cl + dl + el;

  return lo >>> 0;
}
exports.sum64_5_lo = sum64_5_lo;

function rotr64_hi(ah, al, num) {
  var r = (al << (32 - num)) | (ah >>> num);
  return r >>> 0;
}
exports.rotr64_hi = rotr64_hi;

function rotr64_lo(ah, al, num) {
  var r = (ah << (32 - num)) | (al >>> num);
  return r >>> 0;
}
exports.rotr64_lo = rotr64_lo;

function shr64_hi(ah, al, num) {
  return ah >>> num;
}
exports.shr64_hi = shr64_hi;

function shr64_lo(ah, al, num) {
  var r = (ah << (32 - num)) | (al >>> num);
  return r >>> 0;
}
exports.shr64_lo = shr64_lo;


/***/ }),

/***/ 78554:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var call = Function.prototype.call;
var $hasOwn = Object.prototype.hasOwnProperty;
var bind = __webpack_require__(79138);

/** @type {import('.')} */
module.exports = bind.call(call, $hasOwn);


/***/ }),

/***/ 75985:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var reactIs = __webpack_require__(65521);

/**
 * Copyright 2015, Yahoo! Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */
var REACT_STATICS = {
  childContextTypes: true,
  contextType: true,
  contextTypes: true,
  defaultProps: true,
  displayName: true,
  getDefaultProps: true,
  getDerivedStateFromError: true,
  getDerivedStateFromProps: true,
  mixins: true,
  propTypes: true,
  type: true
};
var KNOWN_STATICS = {
  name: true,
  length: true,
  prototype: true,
  caller: true,
  callee: true,
  arguments: true,
  arity: true
};
var FORWARD_REF_STATICS = {
  '$$typeof': true,
  render: true,
  defaultProps: true,
  displayName: true,
  propTypes: true
};
var MEMO_STATICS = {
  '$$typeof': true,
  compare: true,
  defaultProps: true,
  displayName: true,
  propTypes: true,
  type: true
};
var TYPE_STATICS = {};
TYPE_STATICS[reactIs.ForwardRef] = FORWARD_REF_STATICS;
TYPE_STATICS[reactIs.Memo] = MEMO_STATICS;

function getStatics(component) {
  // React v16.11 and below
  if (reactIs.isMemo(component)) {
    return MEMO_STATICS;
  } // React v16.12 and above


  return TYPE_STATICS[component['$$typeof']] || REACT_STATICS;
}

var defineProperty = Object.defineProperty;
var getOwnPropertyNames = Object.getOwnPropertyNames;
var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;
var getPrototypeOf = Object.getPrototypeOf;
var objectPrototype = Object.prototype;
function hoistNonReactStatics(targetComponent, sourceComponent, blacklist) {
  if (typeof sourceComponent !== 'string') {
    // don't hoist over string (html) components
    if (objectPrototype) {
      var inheritedComponent = getPrototypeOf(sourceComponent);

      if (inheritedComponent && inheritedComponent !== objectPrototype) {
        hoistNonReactStatics(targetComponent, inheritedComponent, blacklist);
      }
    }

    var keys = getOwnPropertyNames(sourceComponent);

    if (getOwnPropertySymbols) {
      keys = keys.concat(getOwnPropertySymbols(sourceComponent));
    }

    var targetStatics = getStatics(targetComponent);
    var sourceStatics = getStatics(sourceComponent);

    for (var i = 0; i < keys.length; ++i) {
      var key = keys[i];

      if (!KNOWN_STATICS[key] && !(blacklist && blacklist[key]) && !(sourceStatics && sourceStatics[key]) && !(targetStatics && targetStatics[key])) {
        var descriptor = getOwnPropertyDescriptor(sourceComponent, key);

        try {
          // Avoid failures from read-only properties
          defineProperty(targetComponent, key, descriptor);
        } catch (e) {}
      }
    }
  }

  return targetComponent;
}

module.exports = hoistNonReactStatics;


/***/ }),

/***/ 26685:
/***/ ((__unused_webpack_module, exports) => {

"use strict";
/** @license React v16.13.1
 * react-is.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var b="function"===typeof Symbol&&Symbol.for,c=b?Symbol.for("react.element"):60103,d=b?Symbol.for("react.portal"):60106,e=b?Symbol.for("react.fragment"):60107,f=b?Symbol.for("react.strict_mode"):60108,g=b?Symbol.for("react.profiler"):60114,h=b?Symbol.for("react.provider"):60109,k=b?Symbol.for("react.context"):60110,l=b?Symbol.for("react.async_mode"):60111,m=b?Symbol.for("react.concurrent_mode"):60111,n=b?Symbol.for("react.forward_ref"):60112,p=b?Symbol.for("react.suspense"):60113,q=b?
Symbol.for("react.suspense_list"):60120,r=b?Symbol.for("react.memo"):60115,t=b?Symbol.for("react.lazy"):60116,v=b?Symbol.for("react.block"):60121,w=b?Symbol.for("react.fundamental"):60117,x=b?Symbol.for("react.responder"):60118,y=b?Symbol.for("react.scope"):60119;
function z(a){if("object"===typeof a&&null!==a){var u=a.$$typeof;switch(u){case c:switch(a=a.type,a){case l:case m:case e:case g:case f:case p:return a;default:switch(a=a&&a.$$typeof,a){case k:case n:case t:case r:case h:return a;default:return u}}case d:return u}}}function A(a){return z(a)===m}exports.AsyncMode=l;exports.ConcurrentMode=m;exports.ContextConsumer=k;exports.ContextProvider=h;exports.Element=c;exports.ForwardRef=n;exports.Fragment=e;exports.Lazy=t;exports.Memo=r;exports.Portal=d;
exports.Profiler=g;exports.StrictMode=f;exports.Suspense=p;exports.isAsyncMode=function(a){return A(a)||z(a)===l};exports.isConcurrentMode=A;exports.isContextConsumer=function(a){return z(a)===k};exports.isContextProvider=function(a){return z(a)===h};exports.isElement=function(a){return"object"===typeof a&&null!==a&&a.$$typeof===c};exports.isForwardRef=function(a){return z(a)===n};exports.isFragment=function(a){return z(a)===e};exports.isLazy=function(a){return z(a)===t};
exports.isMemo=function(a){return z(a)===r};exports.isPortal=function(a){return z(a)===d};exports.isProfiler=function(a){return z(a)===g};exports.isStrictMode=function(a){return z(a)===f};exports.isSuspense=function(a){return z(a)===p};
exports.isValidElementType=function(a){return"string"===typeof a||"function"===typeof a||a===e||a===m||a===g||a===f||a===p||a===q||"object"===typeof a&&null!==a&&(a.$$typeof===t||a.$$typeof===r||a.$$typeof===h||a.$$typeof===k||a.$$typeof===n||a.$$typeof===w||a.$$typeof===x||a.$$typeof===y||a.$$typeof===v)};exports.typeOf=z;


/***/ }),

/***/ 65521:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (true) {
  module.exports = __webpack_require__(26685);
} else {}


/***/ }),

/***/ 35615:
/***/ ((module) => {

if (typeof Object.create === 'function') {
  // implementation from standard node.js 'util' module
  module.exports = function inherits(ctor, superCtor) {
    if (superCtor) {
      ctor.super_ = superCtor
      ctor.prototype = Object.create(superCtor.prototype, {
        constructor: {
          value: ctor,
          enumerable: false,
          writable: true,
          configurable: true
        }
      })
    }
  };
} else {
  // old school shim for old browsers
  module.exports = function inherits(ctor, superCtor) {
    if (superCtor) {
      ctor.super_ = superCtor
      var TempCtor = function () {}
      TempCtor.prototype = superCtor.prototype
      ctor.prototype = new TempCtor()
      ctor.prototype.constructor = ctor
    }
  }
}


/***/ }),

/***/ 55387:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var hasToStringTag = __webpack_require__(51913)();
var callBound = __webpack_require__(79818);

var $toString = callBound('Object.prototype.toString');

var isStandardArguments = function isArguments(value) {
	if (hasToStringTag && value && typeof value === 'object' && Symbol.toStringTag in value) {
		return false;
	}
	return $toString(value) === '[object Arguments]';
};

var isLegacyArguments = function isArguments(value) {
	if (isStandardArguments(value)) {
		return true;
	}
	return value !== null &&
		typeof value === 'object' &&
		typeof value.length === 'number' &&
		value.length >= 0 &&
		$toString(value) !== '[object Array]' &&
		$toString(value.callee) === '[object Function]';
};

var supportsStandardArguments = (function () {
	return isStandardArguments(arguments);
}());

isStandardArguments.isLegacyArguments = isLegacyArguments; // for tests

module.exports = supportsStandardArguments ? isStandardArguments : isLegacyArguments;


/***/ }),

/***/ 89617:
/***/ ((module) => {

"use strict";


var fnToStr = Function.prototype.toString;
var reflectApply = typeof Reflect === 'object' && Reflect !== null && Reflect.apply;
var badArrayLike;
var isCallableMarker;
if (typeof reflectApply === 'function' && typeof Object.defineProperty === 'function') {
	try {
		badArrayLike = Object.defineProperty({}, 'length', {
			get: function () {
				throw isCallableMarker;
			}
		});
		isCallableMarker = {};
		// eslint-disable-next-line no-throw-literal
		reflectApply(function () { throw 42; }, null, badArrayLike);
	} catch (_) {
		if (_ !== isCallableMarker) {
			reflectApply = null;
		}
	}
} else {
	reflectApply = null;
}

var constructorRegex = /^\s*class\b/;
var isES6ClassFn = function isES6ClassFunction(value) {
	try {
		var fnStr = fnToStr.call(value);
		return constructorRegex.test(fnStr);
	} catch (e) {
		return false; // not a function
	}
};

var tryFunctionObject = function tryFunctionToStr(value) {
	try {
		if (isES6ClassFn(value)) { return false; }
		fnToStr.call(value);
		return true;
	} catch (e) {
		return false;
	}
};
var toStr = Object.prototype.toString;
var objectClass = '[object Object]';
var fnClass = '[object Function]';
var genClass = '[object GeneratorFunction]';
var ddaClass = '[object HTMLAllCollection]'; // IE 11
var ddaClass2 = '[object HTML document.all class]';
var ddaClass3 = '[object HTMLCollection]'; // IE 9-10
var hasToStringTag = typeof Symbol === 'function' && !!Symbol.toStringTag; // better: use `has-tostringtag`

var isIE68 = !(0 in [,]); // eslint-disable-line no-sparse-arrays, comma-spacing

var isDDA = function isDocumentDotAll() { return false; };
if (typeof document === 'object') {
	// Firefox 3 canonicalizes DDA to undefined when it's not accessed directly
	var all = document.all;
	if (toStr.call(all) === toStr.call(document.all)) {
		isDDA = function isDocumentDotAll(value) {
			/* globals document: false */
			// in IE 6-8, typeof document.all is "object" and it's truthy
			if ((isIE68 || !value) && (typeof value === 'undefined' || typeof value === 'object')) {
				try {
					var str = toStr.call(value);
					return (
						str === ddaClass
						|| str === ddaClass2
						|| str === ddaClass3 // opera 12.16
						|| str === objectClass // IE 6-8
					) && value('') == null; // eslint-disable-line eqeqeq
				} catch (e) { /**/ }
			}
			return false;
		};
	}
}

module.exports = reflectApply
	? function isCallable(value) {
		if (isDDA(value)) { return true; }
		if (!value) { return false; }
		if (typeof value !== 'function' && typeof value !== 'object') { return false; }
		try {
			reflectApply(value, null, badArrayLike);
		} catch (e) {
			if (e !== isCallableMarker) { return false; }
		}
		return !isES6ClassFn(value) && tryFunctionObject(value);
	}
	: function isCallable(value) {
		if (isDDA(value)) { return true; }
		if (!value) { return false; }
		if (typeof value !== 'function' && typeof value !== 'object') { return false; }
		if (hasToStringTag) { return tryFunctionObject(value); }
		if (isES6ClassFn(value)) { return false; }
		var strClass = toStr.call(value);
		if (strClass !== fnClass && strClass !== genClass && !(/^\[object HTML/).test(strClass)) { return false; }
		return tryFunctionObject(value);
	};


/***/ }),

/***/ 2625:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var toStr = Object.prototype.toString;
var fnToStr = Function.prototype.toString;
var isFnRegex = /^\s*(?:function)?\*/;
var hasToStringTag = __webpack_require__(51913)();
var getProto = Object.getPrototypeOf;
var getGeneratorFunc = function () { // eslint-disable-line consistent-return
	if (!hasToStringTag) {
		return false;
	}
	try {
		return Function('return function*() {}')();
	} catch (e) {
	}
};
var GeneratorFunction;

module.exports = function isGeneratorFunction(fn) {
	if (typeof fn !== 'function') {
		return false;
	}
	if (isFnRegex.test(fnToStr.call(fn))) {
		return true;
	}
	if (!hasToStringTag) {
		var str = toStr.call(fn);
		return str === '[object GeneratorFunction]';
	}
	if (!getProto) {
		return false;
	}
	if (typeof GeneratorFunction === 'undefined') {
		var generatorFunc = getGeneratorFunc();
		GeneratorFunction = generatorFunc ? getProto(generatorFunc) : false;
	}
	return getProto(fn) === GeneratorFunction;
};


/***/ }),

/***/ 51596:
/***/ ((module) => {

var reIpv4FirstPass = /^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/

var reSubnetString = /\/\d{1,3}(?=%|$)/
var reForwardSlash = /\//
var reZone = /%.*$/
var reBadCharacters = /([^0-9a-f:/%])/i
var reBadAddress = /([0-9a-f]{5,}|:{3,}|[^:]:$|^:[^:]|\/$)/i

function validate4 (input) {
  if (!(reIpv4FirstPass.test(input))) return false

  var parts = input.split('.')

  if (parts.length !== 4) return false

  if (parts[0][0] === '0' && parts[0].length > 1) return false
  if (parts[1][0] === '0' && parts[1].length > 1) return false
  if (parts[2][0] === '0' && parts[2].length > 1) return false
  if (parts[3][0] === '0' && parts[3].length > 1) return false

  var n0 = Number(parts[0])
  var n1 = Number(parts[1])
  var n2 = Number(parts[2])
  var n3 = Number(parts[3])

  return (n0 >= 0 && n0 < 256 && n1 >= 0 && n1 < 256 && n2 >= 0 && n2 < 256 && n3 >= 0 && n3 < 256)
}

function validate6 (input) {
  var withoutSubnet = input.replace(reSubnetString, '')
  var hasSubnet = (input.length !== withoutSubnet.length)

  // FIXME: this should probably be an option in the future
  if (hasSubnet) return false

  if (!hasSubnet) {
    if (reForwardSlash.test(input)) return false
  }

  var withoutZone = withoutSubnet.replace(reZone, '')
  var lastPartSeparator = withoutZone.lastIndexOf(':')

  if (lastPartSeparator === -1) return false

  var lastPart = withoutZone.substring(lastPartSeparator + 1)
  var hasV4Part = validate4(lastPart)
  var address = (hasV4Part ? withoutZone.substring(0, lastPartSeparator + 1) + '1234:5678' : withoutZone)

  if (reBadCharacters.test(address)) return false
  if (reBadAddress.test(address)) return false

  var halves = address.split('::')

  if (halves.length > 2) return false

  if (halves.length === 2) {
    var first = (halves[0] === '' ? [] : halves[0].split(':'))
    var last = (halves[1] === '' ? [] : halves[1].split(':'))
    var remainingLength = 8 - (first.length + last.length)

    if (remainingLength <= 0) return false
  } else {
    if (address.split(':').length !== 8) return false
  }

  return true
}

function validate (input) {
  return validate4(input) || validate6(input)
}

module.exports = function validator (options) {
  if (!options) options = {}

  if (options.version === 4) return validate4
  if (options.version === 6) return validate6
  if (options.version == null) return validate

  throw new Error('Unknown version: ' + options.version)
}

module.exports.__all_regexes__ = [
  reIpv4FirstPass,
  reSubnetString,
  reForwardSlash,
  reZone,
  reBadCharacters,
  reBadAddress
]


/***/ }),

/***/ 61127:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var createIpValidator = __webpack_require__(51596)

var reEmailWhitespace = /\s/
var reHostnameFirstPass = /^[a-zA-Z0-9.-]+$/
var reHostnamePart = /^([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]{0,61}[a-zA-Z0-9])$/
var rePhoneFirstPass = /^\+[0-9][0-9 ]{5,27}[0-9]$/
var rePhoneDoubleSpace = / {2}/
var rePhoneGlobalSpace = / /g

exports["date-time"] = /^\d{4}-(?:0[0-9]{1}|1[0-2]{1})-[0-9]{2}[tT ]\d{2}:\d{2}:\d{2}(?:\.\d+|)([zZ]|[+-]\d{2}:\d{2})$/
exports.date = /^\d{4}-(?:0[0-9]{1}|1[0-2]{1})-[0-9]{2}$/
exports.time = /^\d{2}:\d{2}:\d{2}$/
exports.email = function (input) { return (input.indexOf('@') !== -1) && (!reEmailWhitespace.test(input)) }
exports["ip-address"] = exports.ipv4 = createIpValidator({ version: 4 })
exports.ipv6 = createIpValidator({ version: 6 })
exports.uri = /^[a-zA-Z][a-zA-Z0-9+\-.]*:[^\s]*$/
exports.color = /(#?([0-9A-Fa-f]{3,6})\b)|(aqua)|(black)|(blue)|(fuchsia)|(gray)|(green)|(lime)|(maroon)|(navy)|(olive)|(orange)|(purple)|(red)|(silver)|(teal)|(white)|(yellow)|(rgb\(\s*\b([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\b\s*,\s*\b([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\b\s*,\s*\b([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\b\s*\))|(rgb\(\s*(\d?\d%|100%)+\s*,\s*(\d?\d%|100%)+\s*,\s*(\d?\d%|100%)+\s*\))/
exports.hostname = function (input) {
  if (!(reHostnameFirstPass.test(input))) return false

  var parts = input.split('.')

  for (var i = 0; i < parts.length; i++) {
    if (!(reHostnamePart.test(parts[i]))) return false
  }

  return true
}
exports.alpha = /^[a-zA-Z]+$/
exports.alphanumeric = /^[a-zA-Z0-9]+$/
exports.style = /.:\s*[^;]/g
exports.phone = function (input) {
  if (!(rePhoneFirstPass.test(input))) return false
  if (rePhoneDoubleSpace.test(input)) return false

  var digits = input.substring(1).replace(rePhoneGlobalSpace, '').length

  return (digits >= 7 && digits <= 15)
}
exports["utc-millisec"] = /^[0-9]{1,15}\.?[0-9]{0,15}$/


/***/ }),

/***/ 83219:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var genobj = __webpack_require__(43371)
var genfun = __webpack_require__(61828)
var jsonpointer = __webpack_require__(45838)
var xtend = __webpack_require__(93227)
var formats = __webpack_require__(61127)

var get = function(obj, additionalSchemas, ptr) {

  var visit = function(sub) {
    if (sub && sub.id === ptr) return sub
    if (typeof sub !== 'object' || !sub) return null
    return Object.keys(sub).reduce(function(res, k) {
      return res || visit(sub[k])
    }, null)
  }

  var res = visit(obj)
  if (res) return res

  ptr = ptr.replace(/^#/, '')
  ptr = ptr.replace(/\/$/, '')

  try {
    return jsonpointer.get(obj, decodeURI(ptr))
  } catch (err) {
    var end = ptr.indexOf('#')
    var other
    // external reference
    if (end !== 0) {
      // fragment doesn't exist.
      if (end === -1) {
        other = additionalSchemas[ptr]
      } else {
        var ext = ptr.slice(0, end)
        other = additionalSchemas[ext]
        var fragment = ptr.slice(end).replace(/^#/, '')
        try {
          return jsonpointer.get(other, fragment)
        } catch (err) {}
      }
    } else {
      other = additionalSchemas[ptr]
    }
    return other || null
  }
}

var types = {}

types.any = function() {
  return 'true'
}

types.null = function(name) {
  return name+' === null'
}

types.boolean = function(name) {
  return 'typeof '+name+' === "boolean"'
}

types.array = function(name) {
  return 'Array.isArray('+name+')'
}

types.object = function(name) {
  return 'typeof '+name+' === "object" && '+name+' && !Array.isArray('+name+')'
}

types.number = function(name) {
  return 'typeof '+name+' === "number" && isFinite('+name+')'
}

types.integer = function(name) {
  return 'typeof '+name+' === "number" && (Math.floor('+name+') === '+name+' || '+name+' > 9007199254740992 || '+name+' < -9007199254740992)'
}

types.string = function(name) {
  return 'typeof '+name+' === "string"'
}

var unique = function(array, len) {
  len = Math.min(len === -1 ? array.length : len, array.length)
  var list = []
  for (var i = 0; i < len; i++) {
    list.push(typeof array[i] === 'object' ? JSON.stringify(array[i]) : array[i])
  }
  for (var i = 1; i < list.length; i++) {
    if (list.indexOf(list[i]) !== i) return false
  }
  return true
}

var isMultipleOf = function(name, multipleOf) {
  var res;
  var factor = ((multipleOf | 0) !== multipleOf) ? Math.pow(10, multipleOf.toString().split('.').pop().length) : 1
  if (factor > 1) {
    var factorName = ((name | 0) !== name) ? Math.pow(10, name.toString().split('.').pop().length) : 1
    if (factorName > factor) res = true
    else res = Math.round(factor * name) % (factor * multipleOf)
  }
  else res = name % multipleOf;
  return !res;
}

var testLimitedRegex = function (r, s, maxLength) {
  if (maxLength > -1 && s.length > maxLength) return true
  return r.test(s)
}

var compile = function(schema, cache, root, reporter, opts) {
  var fmts = opts ? xtend(formats, opts.formats) : formats
  var scope = {unique:unique, formats:fmts, isMultipleOf:isMultipleOf, testLimitedRegex:testLimitedRegex}
  var verbose = opts ? !!opts.verbose : false;
  var greedy = opts && opts.greedy !== undefined ?
    opts.greedy : false;

  var syms = {}
  var allocated = []
  var gensym = function(name) {
    var res = name+(syms[name] = (syms[name] || 0)+1)
    allocated.push(res)
    return res
  }

  var formatName = function(field) {
    var s = JSON.stringify(field)
    try {
      var pattern = /\[([^\[\]"]+)\]/
      while (pattern.test(s)) s = s.replace(pattern, replacer)
      return s
    } catch (_) {
      return JSON.stringify(field)
    }

    function replacer (match, v) {
      if (allocated.indexOf(v) === -1) throw new Error('Unreplaceable')
      return '." + ' + v + ' + "'
    }
  }

  var reversePatterns = {}
  var patterns = function(p) {
    if (reversePatterns[p]) return reversePatterns[p]
    var n = gensym('pattern')
    scope[n] = new RegExp(p)
    reversePatterns[p] = n
    return n
  }

  var vars = ['i','j','k','l','m','n','o','p','q','r','s','t','u','v','x','y','z']
  var genloop = function() {
    var v = vars.shift()
    vars.push(v+v[0])
    allocated.push(v)
    return v
  }

  var visit = function(name, node, reporter, filter, schemaPath) {
    var properties = node.properties
    var type = node.type
    var tuple = false

    if (Array.isArray(node.items)) { // tuple type
      properties = {}
      node.items.forEach(function(item, i) {
        properties[i] = item
      })
      type = 'array'
      tuple = true
    }

    var indent = 0
    var error = function(msg, prop, value) {
      validate('errors++')
      if (reporter === true) {
        validate('if (validate.errors === null) validate.errors = []')
        if (verbose) {
          validate(
            'validate.errors.push({field:%s,message:%s,value:%s,type:%s,schemaPath:%s})',
            formatName(prop || name),
            JSON.stringify(msg),
            value || name,
            JSON.stringify(type),
            JSON.stringify(schemaPath)
          )
        } else {
          validate('validate.errors.push({field:%s,message:%s})', formatName(prop || name), JSON.stringify(msg))
        }
      }
    }

    if (node.required === true) {
      indent++
      validate('if (%s === undefined) {', name)
      error('is required')
      validate('} else {')
    } else {
      indent++
      validate('if (%s !== undefined) {', name)
    }

    var valid = [].concat(type)
      .map(function(t) {
        if (t && !types.hasOwnProperty(t)) {
          throw new Error('Unknown type: ' + t)
        }

        return types[t || 'any'](name)
      })
      .join(' || ') || 'true'

    if (valid !== 'true') {
      indent++
      validate('if (!(%s)) {', valid)
      error('is the wrong type')
      validate('} else {')
    }

    if (tuple) {
      if (node.additionalItems === false) {
        validate('if (%s.length > %d) {', name, node.items.length)
        error('has additional items')
        validate('}')
      } else if (node.additionalItems) {
        var i = genloop()
        validate('for (var %s = %d; %s < %s.length; %s++) {', i, node.items.length, i, name, i)
        visit(name+'['+i+']', node.additionalItems, reporter, filter, schemaPath.concat('additionalItems'))
        validate('}')
      }
    }

    if (node.format && fmts[node.format]) {
      if (type !== 'string' && formats[node.format]) validate('if (%s) {', types.string(name))
      var n = gensym('format')
      scope[n] = fmts[node.format]

      if (typeof scope[n] === 'function') validate('if (!%s(%s)) {', n, name)
      else validate('if (!testLimitedRegex(%s, %s, %d)) {', n, name, typeof node.maxLength === 'undefined' ? -1 : node.maxLength)
      error('must be '+node.format+' format')
      validate('}')
      if (type !== 'string' && formats[node.format]) validate('}')
    }

    if (Array.isArray(node.required)) {
      var n = gensym('missing')
      validate('var %s = 0', n)
      var checkRequired = function (req) {
        var prop = genobj(name, req);
        validate('if (%s === undefined) {', prop)
        error('is required', prop)
        validate('%s++', n)
        validate('}')
      }
      validate('if ((%s)) {', type !== 'object' ? types.object(name) : 'true')
      node.required.map(checkRequired)
      validate('}');
      if (!greedy) {
        validate('if (%s === 0) {', n)
        indent++
      }
    }

    if (node.uniqueItems) {
      if (type !== 'array') validate('if (%s) {', types.array(name))
      validate('if (!(unique(%s, %d))) {', name, node.maxItems || -1)
      error('must be unique')
      validate('}')
      if (type !== 'array') validate('}')
    }

    if (node.enum) {
      var complex = node.enum.some(function(e) {
        return typeof e === 'object'
      })

      var compare = complex ?
        function(e) {
          return 'JSON.stringify('+name+')'+' !== JSON.stringify('+JSON.stringify(e)+')'
        } :
        function(e) {
          return name+' !== '+JSON.stringify(e)
        }

      validate('if (%s) {', node.enum.map(compare).join(' && ') || 'false')
      error('must be an enum value')
      validate('}')
    }

    if (node.dependencies) {
      if (type !== 'object') validate('if (%s) {', types.object(name))

      Object.keys(node.dependencies).forEach(function(key) {
        var deps = node.dependencies[key]
        if (typeof deps === 'string') deps = [deps]

        var exists = function(k) {
          return genobj(name, k) + ' !== undefined'
        }

        if (Array.isArray(deps)) {
          validate('if (%s !== undefined && !(%s)) {', genobj(name, key), deps.map(exists).join(' && ') || 'true')
          error('dependencies not set')
          validate('}')
        }
        if (typeof deps === 'object') {
          validate('if (%s !== undefined) {', genobj(name, key))
          visit(name, deps, reporter, filter, schemaPath.concat(['dependencies', key]))
          validate('}')
        }
      })

      if (type !== 'object') validate('}')
    }

    if (node.additionalProperties || node.additionalProperties === false) {
      if (type !== 'object') validate('if (%s) {', types.object(name))

      var i = genloop()
      var keys = gensym('keys')

      var toCompare = function(p) {
        return keys+'['+i+'] !== '+JSON.stringify(p)
      }

      var toTest = function(p) {
        return '!'+patterns(p)+'.test('+keys+'['+i+'])'
      }

      var additionalProp = Object.keys(properties || {}).map(toCompare)
        .concat(Object.keys(node.patternProperties || {}).map(toTest))
        .join(' && ') || 'true'

      validate('var %s = Object.keys(%s)', keys, name)
        ('for (var %s = 0; %s < %s.length; %s++) {', i, i, keys, i)
          ('if (%s) {', additionalProp)

      if (node.additionalProperties === false) {
        if (filter) validate('delete %s', name+'['+keys+'['+i+']]')
        error('has additional properties', null, JSON.stringify(name+'.') + ' + ' + keys + '['+i+']')
      } else {
        visit(name+'['+keys+'['+i+']]', node.additionalProperties, reporter, filter, schemaPath.concat(['additionalProperties']))
      }

      validate
          ('}')
        ('}')

      if (type !== 'object') validate('}')
    }

    if (node.$ref) {
      var sub = get(root, opts && opts.schemas || {}, node.$ref)
      if (sub) {
        var fn = cache[node.$ref]
        if (!fn) {
          cache[node.$ref] = function proxy(data) {
            return fn(data)
          }
          fn = compile(sub, cache, root, false, opts)
        }
        var n = gensym('ref')
        scope[n] = fn
        validate('if (!(%s(%s))) {', n, name)
        error('referenced schema does not match')
        validate('}')
      }
    }

    if (node.not) {
      var prev = gensym('prev')
      validate('var %s = errors', prev)
      visit(name, node.not, false, filter, schemaPath.concat('not'))
      validate('if (%s === errors) {', prev)
      error('negative schema matches')
      validate('} else {')
        ('errors = %s', prev)
      ('}')
    }

    if (node.items && !tuple) {
      if (type !== 'array') validate('if (%s) {', types.array(name))

      var i = genloop()
      validate('for (var %s = 0; %s < %s.length; %s++) {', i, i, name, i)
      visit(name+'['+i+']', node.items, reporter, filter, schemaPath.concat('items'))
      validate('}')

      if (type !== 'array') validate('}')
    }

    if (node.patternProperties) {
      if (type !== 'object') validate('if (%s) {', types.object(name))
      var keys = gensym('keys')
      var i = genloop()
      validate
        ('var %s = Object.keys(%s)', keys, name)
        ('for (var %s = 0; %s < %s.length; %s++) {', i, i, keys, i)

      Object.keys(node.patternProperties).forEach(function(key) {
        var p = patterns(key)
        validate('if (%s.test(%s)) {', p, keys+'['+i+']')
        visit(name+'['+keys+'['+i+']]', node.patternProperties[key], reporter, filter, schemaPath.concat(['patternProperties', key]))
        validate('}')
      })

      validate('}')
      if (type !== 'object') validate('}')
    }

    if (node.pattern) {
      var p = patterns(node.pattern)
      if (type !== 'string') validate('if (%s) {', types.string(name))
      validate('if (!(testLimitedRegex(%s, %s, %d))) {', p, name, typeof node.maxLength === 'undefined' ? -1 : node.maxLength)
      error('pattern mismatch')
      validate('}')
      if (type !== 'string') validate('}')
    }

    if (node.allOf) {
      node.allOf.forEach(function(sch, key) {
        visit(name, sch, reporter, filter, schemaPath.concat(['allOf', key]))
      })
    }

    if (node.anyOf && node.anyOf.length) {
      var prev = gensym('prev')

      node.anyOf.forEach(function(sch, i) {
        if (i === 0) {
          validate('var %s = errors', prev)
        } else {
          validate('if (errors !== %s) {', prev)
            ('errors = %s', prev)
        }
        visit(name, sch, false, false, schemaPath)
      })
      node.anyOf.forEach(function(sch, i) {
        if (i) validate('}')
      })
      validate('if (%s !== errors) {', prev)
      error('no schemas match')
      validate('}')
    }

    if (node.oneOf && node.oneOf.length) {
      var prev = gensym('prev')
      var passes = gensym('passes')

      validate
        ('var %s = errors', prev)
        ('var %s = 0', passes)

      node.oneOf.forEach(function(sch, i) {
        visit(name, sch, false, false, schemaPath)
        validate('if (%s === errors) {', prev)
          ('%s++', passes)
        ('} else {')
          ('errors = %s', prev)
        ('}')
      })

      validate('if (%s !== 1) {', passes)
      error('no (or more than one) schemas match')
      validate('}')
    }

    if (node.multipleOf !== undefined) {
      if (type !== 'number' && type !== 'integer') validate('if (%s) {', types.number(name))

      validate('if (!isMultipleOf(%s, %d)) {', name, node.multipleOf)

      error('has a remainder')
      validate('}')

      if (type !== 'number' && type !== 'integer') validate('}')
    }

    if (node.maxProperties !== undefined) {
      if (type !== 'object') validate('if (%s) {', types.object(name))

      validate('if (Object.keys(%s).length > %d) {', name, node.maxProperties)
      error('has more properties than allowed')
      validate('}')

      if (type !== 'object') validate('}')
    }

    if (node.minProperties !== undefined) {
      if (type !== 'object') validate('if (%s) {', types.object(name))

      validate('if (Object.keys(%s).length < %d) {', name, node.minProperties)
      error('has less properties than allowed')
      validate('}')

      if (type !== 'object') validate('}')
    }

    if (node.maxItems !== undefined) {
      if (type !== 'array') validate('if (%s) {', types.array(name))

      validate('if (%s.length > %d) {', name, node.maxItems)
      error('has more items than allowed')
      validate('}')

      if (type !== 'array') validate('}')
    }

    if (node.minItems !== undefined) {
      if (type !== 'array') validate('if (%s) {', types.array(name))

      validate('if (%s.length < %d) {', name, node.minItems)
      error('has less items than allowed')
      validate('}')

      if (type !== 'array') validate('}')
    }

    if (node.maxLength !== undefined) {
      if (type !== 'string') validate('if (%s) {', types.string(name))

      validate('if (%s.length > %d) {', name, node.maxLength)
      error('has longer length than allowed')
      validate('}')

      if (type !== 'string') validate('}')
    }

    if (node.minLength !== undefined) {
      if (type !== 'string') validate('if (%s) {', types.string(name))

      validate('if (%s.length < %d) {', name, node.minLength)
      error('has less length than allowed')
      validate('}')

      if (type !== 'string') validate('}')
    }

    if (node.minimum !== undefined) {
      if (type !== 'number' && type !== 'integer') validate('if (%s) {', types.number(name))

      validate('if (%s %s %d) {', name, node.exclusiveMinimum ? '<=' : '<', node.minimum)
      error('is less than minimum')
      validate('}')

      if (type !== 'number' && type !== 'integer') validate('}')
    }

    if (node.maximum !== undefined) {
      if (type !== 'number' && type !== 'integer') validate('if (%s) {', types.number(name))

      validate('if (%s %s %d) {', name, node.exclusiveMaximum ? '>=' : '>', node.maximum)
      error('is more than maximum')
      validate('}')

      if (type !== 'number' && type !== 'integer') validate('}')
    }

    if (properties) {
      Object.keys(properties).forEach(function(p) {
        if (Array.isArray(type) && type.indexOf('null') !== -1) validate('if (%s !== null) {', name)

        visit(
          genobj(name, p),
          properties[p],
          reporter,
          filter,
          schemaPath.concat(tuple ? p : ['properties', p])
        )

        if (Array.isArray(type) && type.indexOf('null') !== -1) validate('}')
      })
    }

    while (indent--) validate('}')
  }

  var validate = genfun
    ('function validate(data) {')
      // Since undefined is not a valid JSON value, we coerce to null and other checks will catch this
      ('if (data === undefined) data = null')
      ('validate.errors = null')
      ('var errors = 0')

  visit('data', schema, reporter, opts && opts.filter, [])

  validate
      ('return errors === 0')
    ('}')

  validate = validate.toFunction(scope)
  validate.errors = null

  if (Object.defineProperty) {
    Object.defineProperty(validate, 'error', {
      get: function() {
        if (!validate.errors) return ''
        return validate.errors.map(function(err) {
          return err.field + ' ' + err.message;
        }).join('\n')
      }
    })
  }

  validate.toJSON = function() {
    return schema
  }

  return validate
}

module.exports = function(schema, opts) {
  if (typeof schema === 'string') schema = JSON.parse(schema)
  return compile(schema, {}, schema, true, opts)
}

module.exports.filter = function(schema, opts) {
  var validate = module.exports(schema, xtend(opts, {filter: true}))
  return function(sch) {
    validate(sch)
    return sch
  }
}


/***/ }),

/***/ 2074:
/***/ ((module) => {

"use strict";

function isProperty(str) {
  return /^[$A-Z\_a-z\xaa\xb5\xba\xc0-\xd6\xd8-\xf6\xf8-\u02c1\u02c6-\u02d1\u02e0-\u02e4\u02ec\u02ee\u0370-\u0374\u0376\u0377\u037a-\u037d\u0386\u0388-\u038a\u038c\u038e-\u03a1\u03a3-\u03f5\u03f7-\u0481\u048a-\u0527\u0531-\u0556\u0559\u0561-\u0587\u05d0-\u05ea\u05f0-\u05f2\u0620-\u064a\u066e\u066f\u0671-\u06d3\u06d5\u06e5\u06e6\u06ee\u06ef\u06fa-\u06fc\u06ff\u0710\u0712-\u072f\u074d-\u07a5\u07b1\u07ca-\u07ea\u07f4\u07f5\u07fa\u0800-\u0815\u081a\u0824\u0828\u0840-\u0858\u08a0\u08a2-\u08ac\u0904-\u0939\u093d\u0950\u0958-\u0961\u0971-\u0977\u0979-\u097f\u0985-\u098c\u098f\u0990\u0993-\u09a8\u09aa-\u09b0\u09b2\u09b6-\u09b9\u09bd\u09ce\u09dc\u09dd\u09df-\u09e1\u09f0\u09f1\u0a05-\u0a0a\u0a0f\u0a10\u0a13-\u0a28\u0a2a-\u0a30\u0a32\u0a33\u0a35\u0a36\u0a38\u0a39\u0a59-\u0a5c\u0a5e\u0a72-\u0a74\u0a85-\u0a8d\u0a8f-\u0a91\u0a93-\u0aa8\u0aaa-\u0ab0\u0ab2\u0ab3\u0ab5-\u0ab9\u0abd\u0ad0\u0ae0\u0ae1\u0b05-\u0b0c\u0b0f\u0b10\u0b13-\u0b28\u0b2a-\u0b30\u0b32\u0b33\u0b35-\u0b39\u0b3d\u0b5c\u0b5d\u0b5f-\u0b61\u0b71\u0b83\u0b85-\u0b8a\u0b8e-\u0b90\u0b92-\u0b95\u0b99\u0b9a\u0b9c\u0b9e\u0b9f\u0ba3\u0ba4\u0ba8-\u0baa\u0bae-\u0bb9\u0bd0\u0c05-\u0c0c\u0c0e-\u0c10\u0c12-\u0c28\u0c2a-\u0c33\u0c35-\u0c39\u0c3d\u0c58\u0c59\u0c60\u0c61\u0c85-\u0c8c\u0c8e-\u0c90\u0c92-\u0ca8\u0caa-\u0cb3\u0cb5-\u0cb9\u0cbd\u0cde\u0ce0\u0ce1\u0cf1\u0cf2\u0d05-\u0d0c\u0d0e-\u0d10\u0d12-\u0d3a\u0d3d\u0d4e\u0d60\u0d61\u0d7a-\u0d7f\u0d85-\u0d96\u0d9a-\u0db1\u0db3-\u0dbb\u0dbd\u0dc0-\u0dc6\u0e01-\u0e30\u0e32\u0e33\u0e40-\u0e46\u0e81\u0e82\u0e84\u0e87\u0e88\u0e8a\u0e8d\u0e94-\u0e97\u0e99-\u0e9f\u0ea1-\u0ea3\u0ea5\u0ea7\u0eaa\u0eab\u0ead-\u0eb0\u0eb2\u0eb3\u0ebd\u0ec0-\u0ec4\u0ec6\u0edc-\u0edf\u0f00\u0f40-\u0f47\u0f49-\u0f6c\u0f88-\u0f8c\u1000-\u102a\u103f\u1050-\u1055\u105a-\u105d\u1061\u1065\u1066\u106e-\u1070\u1075-\u1081\u108e\u10a0-\u10c5\u10c7\u10cd\u10d0-\u10fa\u10fc-\u1248\u124a-\u124d\u1250-\u1256\u1258\u125a-\u125d\u1260-\u1288\u128a-\u128d\u1290-\u12b0\u12b2-\u12b5\u12b8-\u12be\u12c0\u12c2-\u12c5\u12c8-\u12d6\u12d8-\u1310\u1312-\u1315\u1318-\u135a\u1380-\u138f\u13a0-\u13f4\u1401-\u166c\u166f-\u167f\u1681-\u169a\u16a0-\u16ea\u16ee-\u16f0\u1700-\u170c\u170e-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176c\u176e-\u1770\u1780-\u17b3\u17d7\u17dc\u1820-\u1877\u1880-\u18a8\u18aa\u18b0-\u18f5\u1900-\u191c\u1950-\u196d\u1970-\u1974\u1980-\u19ab\u19c1-\u19c7\u1a00-\u1a16\u1a20-\u1a54\u1aa7\u1b05-\u1b33\u1b45-\u1b4b\u1b83-\u1ba0\u1bae\u1baf\u1bba-\u1be5\u1c00-\u1c23\u1c4d-\u1c4f\u1c5a-\u1c7d\u1ce9-\u1cec\u1cee-\u1cf1\u1cf5\u1cf6\u1d00-\u1dbf\u1e00-\u1f15\u1f18-\u1f1d\u1f20-\u1f45\u1f48-\u1f4d\u1f50-\u1f57\u1f59\u1f5b\u1f5d\u1f5f-\u1f7d\u1f80-\u1fb4\u1fb6-\u1fbc\u1fbe\u1fc2-\u1fc4\u1fc6-\u1fcc\u1fd0-\u1fd3\u1fd6-\u1fdb\u1fe0-\u1fec\u1ff2-\u1ff4\u1ff6-\u1ffc\u2071\u207f\u2090-\u209c\u2102\u2107\u210a-\u2113\u2115\u2119-\u211d\u2124\u2126\u2128\u212a-\u212d\u212f-\u2139\u213c-\u213f\u2145-\u2149\u214e\u2160-\u2188\u2c00-\u2c2e\u2c30-\u2c5e\u2c60-\u2ce4\u2ceb-\u2cee\u2cf2\u2cf3\u2d00-\u2d25\u2d27\u2d2d\u2d30-\u2d67\u2d6f\u2d80-\u2d96\u2da0-\u2da6\u2da8-\u2dae\u2db0-\u2db6\u2db8-\u2dbe\u2dc0-\u2dc6\u2dc8-\u2dce\u2dd0-\u2dd6\u2dd8-\u2dde\u2e2f\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303c\u3041-\u3096\u309d-\u309f\u30a1-\u30fa\u30fc-\u30ff\u3105-\u312d\u3131-\u318e\u31a0-\u31ba\u31f0-\u31ff\u3400-\u4db5\u4e00-\u9fcc\ua000-\ua48c\ua4d0-\ua4fd\ua500-\ua60c\ua610-\ua61f\ua62a\ua62b\ua640-\ua66e\ua67f-\ua697\ua6a0-\ua6ef\ua717-\ua71f\ua722-\ua788\ua78b-\ua78e\ua790-\ua793\ua7a0-\ua7aa\ua7f8-\ua801\ua803-\ua805\ua807-\ua80a\ua80c-\ua822\ua840-\ua873\ua882-\ua8b3\ua8f2-\ua8f7\ua8fb\ua90a-\ua925\ua930-\ua946\ua960-\ua97c\ua984-\ua9b2\ua9cf\uaa00-\uaa28\uaa40-\uaa42\uaa44-\uaa4b\uaa60-\uaa76\uaa7a\uaa80-\uaaaf\uaab1\uaab5\uaab6\uaab9-\uaabd\uaac0\uaac2\uaadb-\uaadd\uaae0-\uaaea\uaaf2-\uaaf4\uab01-\uab06\uab09-\uab0e\uab11-\uab16\uab20-\uab26\uab28-\uab2e\uabc0-\uabe2\uac00-\ud7a3\ud7b0-\ud7c6\ud7cb-\ud7fb\uf900-\ufa6d\ufa70-\ufad9\ufb00-\ufb06\ufb13-\ufb17\ufb1d\ufb1f-\ufb28\ufb2a-\ufb36\ufb38-\ufb3c\ufb3e\ufb40\ufb41\ufb43\ufb44\ufb46-\ufbb1\ufbd3-\ufd3d\ufd50-\ufd8f\ufd92-\ufdc7\ufdf0-\ufdfb\ufe70-\ufe74\ufe76-\ufefc\uff21-\uff3a\uff41-\uff5a\uff66-\uffbe\uffc2-\uffc7\uffca-\uffcf\uffd2-\uffd7\uffda-\uffdc][$A-Z\_a-z\xaa\xb5\xba\xc0-\xd6\xd8-\xf6\xf8-\u02c1\u02c6-\u02d1\u02e0-\u02e4\u02ec\u02ee\u0370-\u0374\u0376\u0377\u037a-\u037d\u0386\u0388-\u038a\u038c\u038e-\u03a1\u03a3-\u03f5\u03f7-\u0481\u048a-\u0527\u0531-\u0556\u0559\u0561-\u0587\u05d0-\u05ea\u05f0-\u05f2\u0620-\u064a\u066e\u066f\u0671-\u06d3\u06d5\u06e5\u06e6\u06ee\u06ef\u06fa-\u06fc\u06ff\u0710\u0712-\u072f\u074d-\u07a5\u07b1\u07ca-\u07ea\u07f4\u07f5\u07fa\u0800-\u0815\u081a\u0824\u0828\u0840-\u0858\u08a0\u08a2-\u08ac\u0904-\u0939\u093d\u0950\u0958-\u0961\u0971-\u0977\u0979-\u097f\u0985-\u098c\u098f\u0990\u0993-\u09a8\u09aa-\u09b0\u09b2\u09b6-\u09b9\u09bd\u09ce\u09dc\u09dd\u09df-\u09e1\u09f0\u09f1\u0a05-\u0a0a\u0a0f\u0a10\u0a13-\u0a28\u0a2a-\u0a30\u0a32\u0a33\u0a35\u0a36\u0a38\u0a39\u0a59-\u0a5c\u0a5e\u0a72-\u0a74\u0a85-\u0a8d\u0a8f-\u0a91\u0a93-\u0aa8\u0aaa-\u0ab0\u0ab2\u0ab3\u0ab5-\u0ab9\u0abd\u0ad0\u0ae0\u0ae1\u0b05-\u0b0c\u0b0f\u0b10\u0b13-\u0b28\u0b2a-\u0b30\u0b32\u0b33\u0b35-\u0b39\u0b3d\u0b5c\u0b5d\u0b5f-\u0b61\u0b71\u0b83\u0b85-\u0b8a\u0b8e-\u0b90\u0b92-\u0b95\u0b99\u0b9a\u0b9c\u0b9e\u0b9f\u0ba3\u0ba4\u0ba8-\u0baa\u0bae-\u0bb9\u0bd0\u0c05-\u0c0c\u0c0e-\u0c10\u0c12-\u0c28\u0c2a-\u0c33\u0c35-\u0c39\u0c3d\u0c58\u0c59\u0c60\u0c61\u0c85-\u0c8c\u0c8e-\u0c90\u0c92-\u0ca8\u0caa-\u0cb3\u0cb5-\u0cb9\u0cbd\u0cde\u0ce0\u0ce1\u0cf1\u0cf2\u0d05-\u0d0c\u0d0e-\u0d10\u0d12-\u0d3a\u0d3d\u0d4e\u0d60\u0d61\u0d7a-\u0d7f\u0d85-\u0d96\u0d9a-\u0db1\u0db3-\u0dbb\u0dbd\u0dc0-\u0dc6\u0e01-\u0e30\u0e32\u0e33\u0e40-\u0e46\u0e81\u0e82\u0e84\u0e87\u0e88\u0e8a\u0e8d\u0e94-\u0e97\u0e99-\u0e9f\u0ea1-\u0ea3\u0ea5\u0ea7\u0eaa\u0eab\u0ead-\u0eb0\u0eb2\u0eb3\u0ebd\u0ec0-\u0ec4\u0ec6\u0edc-\u0edf\u0f00\u0f40-\u0f47\u0f49-\u0f6c\u0f88-\u0f8c\u1000-\u102a\u103f\u1050-\u1055\u105a-\u105d\u1061\u1065\u1066\u106e-\u1070\u1075-\u1081\u108e\u10a0-\u10c5\u10c7\u10cd\u10d0-\u10fa\u10fc-\u1248\u124a-\u124d\u1250-\u1256\u1258\u125a-\u125d\u1260-\u1288\u128a-\u128d\u1290-\u12b0\u12b2-\u12b5\u12b8-\u12be\u12c0\u12c2-\u12c5\u12c8-\u12d6\u12d8-\u1310\u1312-\u1315\u1318-\u135a\u1380-\u138f\u13a0-\u13f4\u1401-\u166c\u166f-\u167f\u1681-\u169a\u16a0-\u16ea\u16ee-\u16f0\u1700-\u170c\u170e-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176c\u176e-\u1770\u1780-\u17b3\u17d7\u17dc\u1820-\u1877\u1880-\u18a8\u18aa\u18b0-\u18f5\u1900-\u191c\u1950-\u196d\u1970-\u1974\u1980-\u19ab\u19c1-\u19c7\u1a00-\u1a16\u1a20-\u1a54\u1aa7\u1b05-\u1b33\u1b45-\u1b4b\u1b83-\u1ba0\u1bae\u1baf\u1bba-\u1be5\u1c00-\u1c23\u1c4d-\u1c4f\u1c5a-\u1c7d\u1ce9-\u1cec\u1cee-\u1cf1\u1cf5\u1cf6\u1d00-\u1dbf\u1e00-\u1f15\u1f18-\u1f1d\u1f20-\u1f45\u1f48-\u1f4d\u1f50-\u1f57\u1f59\u1f5b\u1f5d\u1f5f-\u1f7d\u1f80-\u1fb4\u1fb6-\u1fbc\u1fbe\u1fc2-\u1fc4\u1fc6-\u1fcc\u1fd0-\u1fd3\u1fd6-\u1fdb\u1fe0-\u1fec\u1ff2-\u1ff4\u1ff6-\u1ffc\u2071\u207f\u2090-\u209c\u2102\u2107\u210a-\u2113\u2115\u2119-\u211d\u2124\u2126\u2128\u212a-\u212d\u212f-\u2139\u213c-\u213f\u2145-\u2149\u214e\u2160-\u2188\u2c00-\u2c2e\u2c30-\u2c5e\u2c60-\u2ce4\u2ceb-\u2cee\u2cf2\u2cf3\u2d00-\u2d25\u2d27\u2d2d\u2d30-\u2d67\u2d6f\u2d80-\u2d96\u2da0-\u2da6\u2da8-\u2dae\u2db0-\u2db6\u2db8-\u2dbe\u2dc0-\u2dc6\u2dc8-\u2dce\u2dd0-\u2dd6\u2dd8-\u2dde\u2e2f\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303c\u3041-\u3096\u309d-\u309f\u30a1-\u30fa\u30fc-\u30ff\u3105-\u312d\u3131-\u318e\u31a0-\u31ba\u31f0-\u31ff\u3400-\u4db5\u4e00-\u9fcc\ua000-\ua48c\ua4d0-\ua4fd\ua500-\ua60c\ua610-\ua61f\ua62a\ua62b\ua640-\ua66e\ua67f-\ua697\ua6a0-\ua6ef\ua717-\ua71f\ua722-\ua788\ua78b-\ua78e\ua790-\ua793\ua7a0-\ua7aa\ua7f8-\ua801\ua803-\ua805\ua807-\ua80a\ua80c-\ua822\ua840-\ua873\ua882-\ua8b3\ua8f2-\ua8f7\ua8fb\ua90a-\ua925\ua930-\ua946\ua960-\ua97c\ua984-\ua9b2\ua9cf\uaa00-\uaa28\uaa40-\uaa42\uaa44-\uaa4b\uaa60-\uaa76\uaa7a\uaa80-\uaaaf\uaab1\uaab5\uaab6\uaab9-\uaabd\uaac0\uaac2\uaadb-\uaadd\uaae0-\uaaea\uaaf2-\uaaf4\uab01-\uab06\uab09-\uab0e\uab11-\uab16\uab20-\uab26\uab28-\uab2e\uabc0-\uabe2\uac00-\ud7a3\ud7b0-\ud7c6\ud7cb-\ud7fb\uf900-\ufa6d\ufa70-\ufad9\ufb00-\ufb06\ufb13-\ufb17\ufb1d\ufb1f-\ufb28\ufb2a-\ufb36\ufb38-\ufb3c\ufb3e\ufb40\ufb41\ufb43\ufb44\ufb46-\ufbb1\ufbd3-\ufd3d\ufd50-\ufd8f\ufd92-\ufdc7\ufdf0-\ufdfb\ufe70-\ufe74\ufe76-\ufefc\uff21-\uff3a\uff41-\uff5a\uff66-\uffbe\uffc2-\uffc7\uffca-\uffcf\uffd2-\uffd7\uffda-\uffdc0-9\u0300-\u036f\u0483-\u0487\u0591-\u05bd\u05bf\u05c1\u05c2\u05c4\u05c5\u05c7\u0610-\u061a\u064b-\u0669\u0670\u06d6-\u06dc\u06df-\u06e4\u06e7\u06e8\u06ea-\u06ed\u06f0-\u06f9\u0711\u0730-\u074a\u07a6-\u07b0\u07c0-\u07c9\u07eb-\u07f3\u0816-\u0819\u081b-\u0823\u0825-\u0827\u0829-\u082d\u0859-\u085b\u08e4-\u08fe\u0900-\u0903\u093a-\u093c\u093e-\u094f\u0951-\u0957\u0962\u0963\u0966-\u096f\u0981-\u0983\u09bc\u09be-\u09c4\u09c7\u09c8\u09cb-\u09cd\u09d7\u09e2\u09e3\u09e6-\u09ef\u0a01-\u0a03\u0a3c\u0a3e-\u0a42\u0a47\u0a48\u0a4b-\u0a4d\u0a51\u0a66-\u0a71\u0a75\u0a81-\u0a83\u0abc\u0abe-\u0ac5\u0ac7-\u0ac9\u0acb-\u0acd\u0ae2\u0ae3\u0ae6-\u0aef\u0b01-\u0b03\u0b3c\u0b3e-\u0b44\u0b47\u0b48\u0b4b-\u0b4d\u0b56\u0b57\u0b62\u0b63\u0b66-\u0b6f\u0b82\u0bbe-\u0bc2\u0bc6-\u0bc8\u0bca-\u0bcd\u0bd7\u0be6-\u0bef\u0c01-\u0c03\u0c3e-\u0c44\u0c46-\u0c48\u0c4a-\u0c4d\u0c55\u0c56\u0c62\u0c63\u0c66-\u0c6f\u0c82\u0c83\u0cbc\u0cbe-\u0cc4\u0cc6-\u0cc8\u0cca-\u0ccd\u0cd5\u0cd6\u0ce2\u0ce3\u0ce6-\u0cef\u0d02\u0d03\u0d3e-\u0d44\u0d46-\u0d48\u0d4a-\u0d4d\u0d57\u0d62\u0d63\u0d66-\u0d6f\u0d82\u0d83\u0dca\u0dcf-\u0dd4\u0dd6\u0dd8-\u0ddf\u0df2\u0df3\u0e31\u0e34-\u0e3a\u0e47-\u0e4e\u0e50-\u0e59\u0eb1\u0eb4-\u0eb9\u0ebb\u0ebc\u0ec8-\u0ecd\u0ed0-\u0ed9\u0f18\u0f19\u0f20-\u0f29\u0f35\u0f37\u0f39\u0f3e\u0f3f\u0f71-\u0f84\u0f86\u0f87\u0f8d-\u0f97\u0f99-\u0fbc\u0fc6\u102b-\u103e\u1040-\u1049\u1056-\u1059\u105e-\u1060\u1062-\u1064\u1067-\u106d\u1071-\u1074\u1082-\u108d\u108f-\u109d\u135d-\u135f\u1712-\u1714\u1732-\u1734\u1752\u1753\u1772\u1773\u17b4-\u17d3\u17dd\u17e0-\u17e9\u180b-\u180d\u1810-\u1819\u18a9\u1920-\u192b\u1930-\u193b\u1946-\u194f\u19b0-\u19c0\u19c8\u19c9\u19d0-\u19d9\u1a17-\u1a1b\u1a55-\u1a5e\u1a60-\u1a7c\u1a7f-\u1a89\u1a90-\u1a99\u1b00-\u1b04\u1b34-\u1b44\u1b50-\u1b59\u1b6b-\u1b73\u1b80-\u1b82\u1ba1-\u1bad\u1bb0-\u1bb9\u1be6-\u1bf3\u1c24-\u1c37\u1c40-\u1c49\u1c50-\u1c59\u1cd0-\u1cd2\u1cd4-\u1ce8\u1ced\u1cf2-\u1cf4\u1dc0-\u1de6\u1dfc-\u1dff\u200c\u200d\u203f\u2040\u2054\u20d0-\u20dc\u20e1\u20e5-\u20f0\u2cef-\u2cf1\u2d7f\u2de0-\u2dff\u302a-\u302f\u3099\u309a\ua620-\ua629\ua66f\ua674-\ua67d\ua69f\ua6f0\ua6f1\ua802\ua806\ua80b\ua823-\ua827\ua880\ua881\ua8b4-\ua8c4\ua8d0-\ua8d9\ua8e0-\ua8f1\ua900-\ua909\ua926-\ua92d\ua947-\ua953\ua980-\ua983\ua9b3-\ua9c0\ua9d0-\ua9d9\uaa29-\uaa36\uaa43\uaa4c\uaa4d\uaa50-\uaa59\uaa7b\uaab0\uaab2-\uaab4\uaab7\uaab8\uaabe\uaabf\uaac1\uaaeb-\uaaef\uaaf5\uaaf6\uabe3-\uabea\uabec\uabed\uabf0-\uabf9\ufb1e\ufe00-\ufe0f\ufe20-\ufe26\ufe33\ufe34\ufe4d-\ufe4f\uff10-\uff19\uff3f]*$/.test(str)
}
module.exports = isProperty

/***/ }),

/***/ 95943:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var whichTypedArray = __webpack_require__(52730);

/** @type {import('.')} */
module.exports = function isTypedArray(value) {
	return !!whichTypedArray(value);
};


/***/ }),

/***/ 17812:
/***/ ((module, exports) => {

var __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/*
 *  base64.js
 *
 *  Licensed under the BSD 3-Clause License.
 *    http://opensource.org/licenses/BSD-3-Clause
 *
 *  References:
 *    http://en.wikipedia.org/wiki/Base64
 */
;(function (global, factory) {
     true
        ? module.exports = factory(global)
        : 0
}((
    typeof self !== 'undefined' ? self
        :  true ? window
        : 0
), function(global) {
    'use strict';
    // existing version for noConflict()
    global = global || {};
    var _Base64 = global.Base64;
    var version = "2.6.4";
    // constants
    var b64chars
        = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
    var b64tab = function(bin) {
        var t = {};
        for (var i = 0, l = bin.length; i < l; i++) t[bin.charAt(i)] = i;
        return t;
    }(b64chars);
    var fromCharCode = String.fromCharCode;
    // encoder stuff
    var cb_utob = function(c) {
        if (c.length < 2) {
            var cc = c.charCodeAt(0);
            return cc < 0x80 ? c
                : cc < 0x800 ? (fromCharCode(0xc0 | (cc >>> 6))
                                + fromCharCode(0x80 | (cc & 0x3f)))
                : (fromCharCode(0xe0 | ((cc >>> 12) & 0x0f))
                    + fromCharCode(0x80 | ((cc >>>  6) & 0x3f))
                    + fromCharCode(0x80 | ( cc         & 0x3f)));
        } else {
            var cc = 0x10000
                + (c.charCodeAt(0) - 0xD800) * 0x400
                + (c.charCodeAt(1) - 0xDC00);
            return (fromCharCode(0xf0 | ((cc >>> 18) & 0x07))
                    + fromCharCode(0x80 | ((cc >>> 12) & 0x3f))
                    + fromCharCode(0x80 | ((cc >>>  6) & 0x3f))
                    + fromCharCode(0x80 | ( cc         & 0x3f)));
        }
    };
    var re_utob = /[\uD800-\uDBFF][\uDC00-\uDFFFF]|[^\x00-\x7F]/g;
    var utob = function(u) {
        return u.replace(re_utob, cb_utob);
    };
    var cb_encode = function(ccc) {
        var padlen = [0, 2, 1][ccc.length % 3],
        ord = ccc.charCodeAt(0) << 16
            | ((ccc.length > 1 ? ccc.charCodeAt(1) : 0) << 8)
            | ((ccc.length > 2 ? ccc.charCodeAt(2) : 0)),
        chars = [
            b64chars.charAt( ord >>> 18),
            b64chars.charAt((ord >>> 12) & 63),
            padlen >= 2 ? '=' : b64chars.charAt((ord >>> 6) & 63),
            padlen >= 1 ? '=' : b64chars.charAt(ord & 63)
        ];
        return chars.join('');
    };
    var btoa = global.btoa && typeof global.btoa == 'function'
        ? function(b){ return global.btoa(b) } : function(b) {
        if (b.match(/[^\x00-\xFF]/)) throw new RangeError(
            'The string contains invalid characters.'
        );
        return b.replace(/[\s\S]{1,3}/g, cb_encode);
    };
    var _encode = function(u) {
        return btoa(utob(String(u)));
    };
    var mkUriSafe = function (b64) {
        return b64.replace(/[+\/]/g, function(m0) {
            return m0 == '+' ? '-' : '_';
        }).replace(/=/g, '');
    };
    var encode = function(u, urisafe) {
        return urisafe ? mkUriSafe(_encode(u)) : _encode(u);
    };
    var encodeURI = function(u) { return encode(u, true) };
    var fromUint8Array;
    if (global.Uint8Array) fromUint8Array = function(a, urisafe) {
        // return btoa(fromCharCode.apply(null, a));
        var b64 = '';
        for (var i = 0, l = a.length; i < l; i += 3) {
            var a0 = a[i], a1 = a[i+1], a2 = a[i+2];
            var ord = a0 << 16 | a1 << 8 | a2;
            b64 +=    b64chars.charAt( ord >>> 18)
                +     b64chars.charAt((ord >>> 12) & 63)
                + ( typeof a1 != 'undefined'
                    ? b64chars.charAt((ord >>>  6) & 63) : '=')
                + ( typeof a2 != 'undefined'
                    ? b64chars.charAt( ord         & 63) : '=');
        }
        return urisafe ? mkUriSafe(b64) : b64;
    };
    // decoder stuff
    var re_btou = /[\xC0-\xDF][\x80-\xBF]|[\xE0-\xEF][\x80-\xBF]{2}|[\xF0-\xF7][\x80-\xBF]{3}/g;
    var cb_btou = function(cccc) {
        switch(cccc.length) {
        case 4:
            var cp = ((0x07 & cccc.charCodeAt(0)) << 18)
                |    ((0x3f & cccc.charCodeAt(1)) << 12)
                |    ((0x3f & cccc.charCodeAt(2)) <<  6)
                |     (0x3f & cccc.charCodeAt(3)),
            offset = cp - 0x10000;
            return (fromCharCode((offset  >>> 10) + 0xD800)
                    + fromCharCode((offset & 0x3FF) + 0xDC00));
        case 3:
            return fromCharCode(
                ((0x0f & cccc.charCodeAt(0)) << 12)
                    | ((0x3f & cccc.charCodeAt(1)) << 6)
                    |  (0x3f & cccc.charCodeAt(2))
            );
        default:
            return  fromCharCode(
                ((0x1f & cccc.charCodeAt(0)) << 6)
                    |  (0x3f & cccc.charCodeAt(1))
            );
        }
    };
    var btou = function(b) {
        return b.replace(re_btou, cb_btou);
    };
    var cb_decode = function(cccc) {
        var len = cccc.length,
        padlen = len % 4,
        n = (len > 0 ? b64tab[cccc.charAt(0)] << 18 : 0)
            | (len > 1 ? b64tab[cccc.charAt(1)] << 12 : 0)
            | (len > 2 ? b64tab[cccc.charAt(2)] <<  6 : 0)
            | (len > 3 ? b64tab[cccc.charAt(3)]       : 0),
        chars = [
            fromCharCode( n >>> 16),
            fromCharCode((n >>>  8) & 0xff),
            fromCharCode( n         & 0xff)
        ];
        chars.length -= [0, 0, 2, 1][padlen];
        return chars.join('');
    };
    var _atob = global.atob && typeof global.atob == 'function'
        ? function(a){ return global.atob(a) } : function(a){
        return a.replace(/\S{1,4}/g, cb_decode);
    };
    var atob = function(a) {
        return _atob(String(a).replace(/[^A-Za-z0-9\+\/]/g, ''));
    };
    var _decode = function(a) { return btou(_atob(a)) };
    var _fromURI = function(a) {
        return String(a).replace(/[-_]/g, function(m0) {
            return m0 == '-' ? '+' : '/'
        }).replace(/[^A-Za-z0-9\+\/]/g, '');
    };
    var decode = function(a){
        return _decode(_fromURI(a));
    };
    var toUint8Array;
    if (global.Uint8Array) toUint8Array = function(a) {
        return Uint8Array.from(atob(_fromURI(a)), function(c) {
            return c.charCodeAt(0);
        });
    };
    var noConflict = function() {
        var Base64 = global.Base64;
        global.Base64 = _Base64;
        return Base64;
    };
    // export Base64
    global.Base64 = {
        VERSION: version,
        atob: atob,
        btoa: btoa,
        fromBase64: decode,
        toBase64: encode,
        utob: utob,
        encode: encode,
        encodeURI: encodeURI,
        btou: btou,
        decode: decode,
        noConflict: noConflict,
        fromUint8Array: fromUint8Array,
        toUint8Array: toUint8Array
    };
    // if ES5 is available, make Base64.extendString() available
    if (typeof Object.defineProperty === 'function') {
        var noEnum = function(v){
            return {value:v,enumerable:false,writable:true,configurable:true};
        };
        global.Base64.extendString = function () {
            Object.defineProperty(
                String.prototype, 'fromBase64', noEnum(function () {
                    return decode(this)
                }));
            Object.defineProperty(
                String.prototype, 'toBase64', noEnum(function (urisafe) {
                    return encode(this, urisafe)
                }));
            Object.defineProperty(
                String.prototype, 'toBase64URI', noEnum(function () {
                    return encode(this, true)
                }));
        };
    }
    //
    // export Base64 to the namespace
    //
    if (global['Meteor']) { // Meteor.js
        Base64 = global.Base64;
    }
    // module.exports and AMD are mutually exclusive.
    // module.exports has precedence.
    if ( true && module.exports) {
        module.exports.Base64 = global.Base64;
    }
    else if (true) {
        // AMD. Register as an anonymous module.
        !(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_RESULT__ = (function(){ return global.Base64 }).apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__),
		__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
    }
    // that's it!
    return {Base64: global.Base64}
}));


/***/ }),

/***/ 45838:
/***/ ((__unused_webpack_module, exports) => {

var hasExcape = /~/
var escapeMatcher = /~[01]/g
function escapeReplacer (m) {
  switch (m) {
    case '~1': return '/'
    case '~0': return '~'
  }
  throw new Error('Invalid tilde escape: ' + m)
}

function untilde (str) {
  if (!hasExcape.test(str)) return str
  return str.replace(escapeMatcher, escapeReplacer)
}

function setter (obj, pointer, value) {
  var part
  var hasNextPart

  for (var p = 1, len = pointer.length; p < len;) {
    part = untilde(pointer[p++])
    hasNextPart = len > p

    if (typeof obj[part] === 'undefined') {
      // support setting of /-
      if (Array.isArray(obj) && part === '-') {
        part = obj.length
      }

      // support nested objects/array when setting values
      if (hasNextPart) {
        if ((pointer[p] !== '' && pointer[p] < Infinity) || pointer[p] === '-') obj[part] = []
        else obj[part] = {}
      }
    }

    if (!hasNextPart) break
    obj = obj[part]
  }

  var oldValue = obj[part]
  if (value === undefined) delete obj[part]
  else obj[part] = value
  return oldValue
}

function compilePointer (pointer) {
  if (typeof pointer === 'string') {
    pointer = pointer.split('/')
    if (pointer[0] === '') return pointer
    throw new Error('Invalid JSON pointer.')
  } else if (Array.isArray(pointer)) {
    return pointer
  }

  throw new Error('Invalid JSON pointer.')
}

function get (obj, pointer) {
  if (typeof obj !== 'object') throw new Error('Invalid input object.')
  pointer = compilePointer(pointer)
  var len = pointer.length
  if (len === 1) return obj

  for (var p = 1; p < len;) {
    obj = obj[untilde(pointer[p++])]
    if (len === p) return obj
    if (typeof obj !== 'object') return undefined
  }
}

function set (obj, pointer, value) {
  if (typeof obj !== 'object') throw new Error('Invalid input object.')
  pointer = compilePointer(pointer)
  if (pointer.length === 0) throw new Error('Invalid JSON pointer for set.')
  return setter(obj, pointer, value)
}

function compile (pointer) {
  var compiled = compilePointer(pointer)
  return {
    get: function (object) {
      return get(object, compiled)
    },
    set: function (object, value) {
      return set(object, compiled, value)
    }
  }
}

exports.get = get
exports.set = set
exports.compile = compile


/***/ }),

/***/ 32327:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var events = __webpack_require__(50046)
var inherits = __webpack_require__(35615)

module.exports = LRU

function LRU (opts) {
  if (!(this instanceof LRU)) return new LRU(opts)
  if (typeof opts === 'number') opts = {max: opts}
  if (!opts) opts = {}
  events.EventEmitter.call(this)
  this.cache = {}
  this.head = this.tail = null
  this.length = 0
  this.max = opts.max || 1000
  this.maxAge = opts.maxAge || 0
}

inherits(LRU, events.EventEmitter)

Object.defineProperty(LRU.prototype, 'keys', {
  get: function () { return Object.keys(this.cache) }
})

LRU.prototype.clear = function () {
  this.cache = {}
  this.head = this.tail = null
  this.length = 0
}

LRU.prototype.remove = function (key) {
  if (typeof key !== 'string') key = '' + key
  if (!this.cache.hasOwnProperty(key)) return

  var element = this.cache[key]
  delete this.cache[key]
  this._unlink(key, element.prev, element.next)
  return element.value
}

LRU.prototype._unlink = function (key, prev, next) {
  this.length--

  if (this.length === 0) {
    this.head = this.tail = null
  } else {
    if (this.head === key) {
      this.head = prev
      this.cache[this.head].next = null
    } else if (this.tail === key) {
      this.tail = next
      this.cache[this.tail].prev = null
    } else {
      this.cache[prev].next = next
      this.cache[next].prev = prev
    }
  }
}

LRU.prototype.peek = function (key) {
  if (!this.cache.hasOwnProperty(key)) return

  var element = this.cache[key]

  if (!this._checkAge(key, element)) return
  return element.value
}

LRU.prototype.set = function (key, value) {
  if (typeof key !== 'string') key = '' + key

  var element

  if (this.cache.hasOwnProperty(key)) {
    element = this.cache[key]
    element.value = value
    if (this.maxAge) element.modified = Date.now()

    // If it's already the head, there's nothing more to do:
    if (key === this.head) return value
    this._unlink(key, element.prev, element.next)
  } else {
    element = {value: value, modified: 0, next: null, prev: null}
    if (this.maxAge) element.modified = Date.now()
    this.cache[key] = element

    // Eviction is only possible if the key didn't already exist:
    if (this.length === this.max) this.evict()
  }

  this.length++
  element.next = null
  element.prev = this.head

  if (this.head) this.cache[this.head].next = key
  this.head = key

  if (!this.tail) this.tail = key
  return value
}

LRU.prototype._checkAge = function (key, element) {
  if (this.maxAge && (Date.now() - element.modified) > this.maxAge) {
    this.remove(key)
    this.emit('evict', {key: key, value: element.value})
    return false
  }
  return true
}

LRU.prototype.get = function (key) {
  if (typeof key !== 'string') key = '' + key
  if (!this.cache.hasOwnProperty(key)) return

  var element = this.cache[key]

  if (!this._checkAge(key, element)) return

  if (this.head !== key) {
    if (key === this.tail) {
      this.tail = element.next
      this.cache[this.tail].prev = null
    } else {
      // Set prev.next -> element.next:
      this.cache[element.prev].next = element.next
    }

    // Set element.next.prev -> element.prev:
    this.cache[element.next].prev = element.prev

    // Element is the new head
    this.cache[this.head].next = key
    element.prev = this.head
    element.next = null
    this.head = key
  }

  return element.value
}

LRU.prototype.evict = function () {
  if (!this.tail) return
  var key = this.tail
  var value = this.remove(this.tail)
  this.emit('evict', {key: key, value: value})
}


/***/ }),

/***/ 45771:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 46764:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 25034:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 35007:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 40149:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 233:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 24524:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 35888:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 13141:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 8788:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 49637:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 44980:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 26088:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 56923:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 99398:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 5438:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 18531:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 369:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 68962:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 82903:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 18997:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 87117:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 26343:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 81260:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 48763:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 52559:
/***/ (() => {

"use strict";
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 7784:
/***/ ((module) => {

module.exports = assert;

function assert(val, msg) {
  if (!val)
    throw new Error(msg || 'Assertion failed');
}

assert.equal = function assertEqual(l, r, msg) {
  if (l != r)
    throw new Error(msg || ('Assertion failed: ' + l + ' != ' + r));
};


/***/ }),

/***/ 48660:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var hasMap = typeof Map === 'function' && Map.prototype;
var mapSizeDescriptor = Object.getOwnPropertyDescriptor && hasMap ? Object.getOwnPropertyDescriptor(Map.prototype, 'size') : null;
var mapSize = hasMap && mapSizeDescriptor && typeof mapSizeDescriptor.get === 'function' ? mapSizeDescriptor.get : null;
var mapForEach = hasMap && Map.prototype.forEach;
var hasSet = typeof Set === 'function' && Set.prototype;
var setSizeDescriptor = Object.getOwnPropertyDescriptor && hasSet ? Object.getOwnPropertyDescriptor(Set.prototype, 'size') : null;
var setSize = hasSet && setSizeDescriptor && typeof setSizeDescriptor.get === 'function' ? setSizeDescriptor.get : null;
var setForEach = hasSet && Set.prototype.forEach;
var hasWeakMap = typeof WeakMap === 'function' && WeakMap.prototype;
var weakMapHas = hasWeakMap ? WeakMap.prototype.has : null;
var hasWeakSet = typeof WeakSet === 'function' && WeakSet.prototype;
var weakSetHas = hasWeakSet ? WeakSet.prototype.has : null;
var hasWeakRef = typeof WeakRef === 'function' && WeakRef.prototype;
var weakRefDeref = hasWeakRef ? WeakRef.prototype.deref : null;
var booleanValueOf = Boolean.prototype.valueOf;
var objectToString = Object.prototype.toString;
var functionToString = Function.prototype.toString;
var $match = String.prototype.match;
var $slice = String.prototype.slice;
var $replace = String.prototype.replace;
var $toUpperCase = String.prototype.toUpperCase;
var $toLowerCase = String.prototype.toLowerCase;
var $test = RegExp.prototype.test;
var $concat = Array.prototype.concat;
var $join = Array.prototype.join;
var $arrSlice = Array.prototype.slice;
var $floor = Math.floor;
var bigIntValueOf = typeof BigInt === 'function' ? BigInt.prototype.valueOf : null;
var gOPS = Object.getOwnPropertySymbols;
var symToString = typeof Symbol === 'function' && typeof Symbol.iterator === 'symbol' ? Symbol.prototype.toString : null;
var hasShammedSymbols = typeof Symbol === 'function' && typeof Symbol.iterator === 'object';
// ie, `has-tostringtag/shams
var toStringTag = typeof Symbol === 'function' && Symbol.toStringTag && (typeof Symbol.toStringTag === hasShammedSymbols ? 'object' : 'symbol')
    ? Symbol.toStringTag
    : null;
var isEnumerable = Object.prototype.propertyIsEnumerable;

var gPO = (typeof Reflect === 'function' ? Reflect.getPrototypeOf : Object.getPrototypeOf) || (
    [].__proto__ === Array.prototype // eslint-disable-line no-proto
        ? function (O) {
            return O.__proto__; // eslint-disable-line no-proto
        }
        : null
);

function addNumericSeparator(num, str) {
    if (
        num === Infinity
        || num === -Infinity
        || num !== num
        || (num && num > -1000 && num < 1000)
        || $test.call(/e/, str)
    ) {
        return str;
    }
    var sepRegex = /[0-9](?=(?:[0-9]{3})+(?![0-9]))/g;
    if (typeof num === 'number') {
        var int = num < 0 ? -$floor(-num) : $floor(num); // trunc(num)
        if (int !== num) {
            var intStr = String(int);
            var dec = $slice.call(str, intStr.length + 1);
            return $replace.call(intStr, sepRegex, '$&_') + '.' + $replace.call($replace.call(dec, /([0-9]{3})/g, '$&_'), /_$/, '');
        }
    }
    return $replace.call(str, sepRegex, '$&_');
}

var utilInspect = __webpack_require__(86973);
var inspectCustom = utilInspect.custom;
var inspectSymbol = isSymbol(inspectCustom) ? inspectCustom : null;

module.exports = function inspect_(obj, options, depth, seen) {
    var opts = options || {};

    if (has(opts, 'quoteStyle') && (opts.quoteStyle !== 'single' && opts.quoteStyle !== 'double')) {
        throw new TypeError('option "quoteStyle" must be "single" or "double"');
    }
    if (
        has(opts, 'maxStringLength') && (typeof opts.maxStringLength === 'number'
            ? opts.maxStringLength < 0 && opts.maxStringLength !== Infinity
            : opts.maxStringLength !== null
        )
    ) {
        throw new TypeError('option "maxStringLength", if provided, must be a positive integer, Infinity, or `null`');
    }
    var customInspect = has(opts, 'customInspect') ? opts.customInspect : true;
    if (typeof customInspect !== 'boolean' && customInspect !== 'symbol') {
        throw new TypeError('option "customInspect", if provided, must be `true`, `false`, or `\'symbol\'`');
    }

    if (
        has(opts, 'indent')
        && opts.indent !== null
        && opts.indent !== '\t'
        && !(parseInt(opts.indent, 10) === opts.indent && opts.indent > 0)
    ) {
        throw new TypeError('option "indent" must be "\\t", an integer > 0, or `null`');
    }
    if (has(opts, 'numericSeparator') && typeof opts.numericSeparator !== 'boolean') {
        throw new TypeError('option "numericSeparator", if provided, must be `true` or `false`');
    }
    var numericSeparator = opts.numericSeparator;

    if (typeof obj === 'undefined') {
        return 'undefined';
    }
    if (obj === null) {
        return 'null';
    }
    if (typeof obj === 'boolean') {
        return obj ? 'true' : 'false';
    }

    if (typeof obj === 'string') {
        return inspectString(obj, opts);
    }
    if (typeof obj === 'number') {
        if (obj === 0) {
            return Infinity / obj > 0 ? '0' : '-0';
        }
        var str = String(obj);
        return numericSeparator ? addNumericSeparator(obj, str) : str;
    }
    if (typeof obj === 'bigint') {
        var bigIntStr = String(obj) + 'n';
        return numericSeparator ? addNumericSeparator(obj, bigIntStr) : bigIntStr;
    }

    var maxDepth = typeof opts.depth === 'undefined' ? 5 : opts.depth;
    if (typeof depth === 'undefined') { depth = 0; }
    if (depth >= maxDepth && maxDepth > 0 && typeof obj === 'object') {
        return isArray(obj) ? '[Array]' : '[Object]';
    }

    var indent = getIndent(opts, depth);

    if (typeof seen === 'undefined') {
        seen = [];
    } else if (indexOf(seen, obj) >= 0) {
        return '[Circular]';
    }

    function inspect(value, from, noIndent) {
        if (from) {
            seen = $arrSlice.call(seen);
            seen.push(from);
        }
        if (noIndent) {
            var newOpts = {
                depth: opts.depth
            };
            if (has(opts, 'quoteStyle')) {
                newOpts.quoteStyle = opts.quoteStyle;
            }
            return inspect_(value, newOpts, depth + 1, seen);
        }
        return inspect_(value, opts, depth + 1, seen);
    }

    if (typeof obj === 'function' && !isRegExp(obj)) { // in older engines, regexes are callable
        var name = nameOf(obj);
        var keys = arrObjKeys(obj, inspect);
        return '[Function' + (name ? ': ' + name : ' (anonymous)') + ']' + (keys.length > 0 ? ' { ' + $join.call(keys, ', ') + ' }' : '');
    }
    if (isSymbol(obj)) {
        var symString = hasShammedSymbols ? $replace.call(String(obj), /^(Symbol\(.*\))_[^)]*$/, '$1') : symToString.call(obj);
        return typeof obj === 'object' && !hasShammedSymbols ? markBoxed(symString) : symString;
    }
    if (isElement(obj)) {
        var s = '<' + $toLowerCase.call(String(obj.nodeName));
        var attrs = obj.attributes || [];
        for (var i = 0; i < attrs.length; i++) {
            s += ' ' + attrs[i].name + '=' + wrapQuotes(quote(attrs[i].value), 'double', opts);
        }
        s += '>';
        if (obj.childNodes && obj.childNodes.length) { s += '...'; }
        s += '</' + $toLowerCase.call(String(obj.nodeName)) + '>';
        return s;
    }
    if (isArray(obj)) {
        if (obj.length === 0) { return '[]'; }
        var xs = arrObjKeys(obj, inspect);
        if (indent && !singleLineValues(xs)) {
            return '[' + indentedJoin(xs, indent) + ']';
        }
        return '[ ' + $join.call(xs, ', ') + ' ]';
    }
    if (isError(obj)) {
        var parts = arrObjKeys(obj, inspect);
        if (!('cause' in Error.prototype) && 'cause' in obj && !isEnumerable.call(obj, 'cause')) {
            return '{ [' + String(obj) + '] ' + $join.call($concat.call('[cause]: ' + inspect(obj.cause), parts), ', ') + ' }';
        }
        if (parts.length === 0) { return '[' + String(obj) + ']'; }
        return '{ [' + String(obj) + '] ' + $join.call(parts, ', ') + ' }';
    }
    if (typeof obj === 'object' && customInspect) {
        if (inspectSymbol && typeof obj[inspectSymbol] === 'function' && utilInspect) {
            return utilInspect(obj, { depth: maxDepth - depth });
        } else if (customInspect !== 'symbol' && typeof obj.inspect === 'function') {
            return obj.inspect();
        }
    }
    if (isMap(obj)) {
        var mapParts = [];
        if (mapForEach) {
            mapForEach.call(obj, function (value, key) {
                mapParts.push(inspect(key, obj, true) + ' => ' + inspect(value, obj));
            });
        }
        return collectionOf('Map', mapSize.call(obj), mapParts, indent);
    }
    if (isSet(obj)) {
        var setParts = [];
        if (setForEach) {
            setForEach.call(obj, function (value) {
                setParts.push(inspect(value, obj));
            });
        }
        return collectionOf('Set', setSize.call(obj), setParts, indent);
    }
    if (isWeakMap(obj)) {
        return weakCollectionOf('WeakMap');
    }
    if (isWeakSet(obj)) {
        return weakCollectionOf('WeakSet');
    }
    if (isWeakRef(obj)) {
        return weakCollectionOf('WeakRef');
    }
    if (isNumber(obj)) {
        return markBoxed(inspect(Number(obj)));
    }
    if (isBigInt(obj)) {
        return markBoxed(inspect(bigIntValueOf.call(obj)));
    }
    if (isBoolean(obj)) {
        return markBoxed(booleanValueOf.call(obj));
    }
    if (isString(obj)) {
        return markBoxed(inspect(String(obj)));
    }
    // note: in IE 8, sometimes `global !== window` but both are the prototypes of each other
    /* eslint-env browser */
    if ( true && obj === window) {
        return '{ [object Window] }';
    }
    if (obj === window) {
        return '{ [object globalThis] }';
    }
    if (!isDate(obj) && !isRegExp(obj)) {
        var ys = arrObjKeys(obj, inspect);
        var isPlainObject = gPO ? gPO(obj) === Object.prototype : obj instanceof Object || obj.constructor === Object;
        var protoTag = obj instanceof Object ? '' : 'null prototype';
        var stringTag = !isPlainObject && toStringTag && Object(obj) === obj && toStringTag in obj ? $slice.call(toStr(obj), 8, -1) : protoTag ? 'Object' : '';
        var constructorTag = isPlainObject || typeof obj.constructor !== 'function' ? '' : obj.constructor.name ? obj.constructor.name + ' ' : '';
        var tag = constructorTag + (stringTag || protoTag ? '[' + $join.call($concat.call([], stringTag || [], protoTag || []), ': ') + '] ' : '');
        if (ys.length === 0) { return tag + '{}'; }
        if (indent) {
            return tag + '{' + indentedJoin(ys, indent) + '}';
        }
        return tag + '{ ' + $join.call(ys, ', ') + ' }';
    }
    return String(obj);
};

function wrapQuotes(s, defaultStyle, opts) {
    var quoteChar = (opts.quoteStyle || defaultStyle) === 'double' ? '"' : "'";
    return quoteChar + s + quoteChar;
}

function quote(s) {
    return $replace.call(String(s), /"/g, '&quot;');
}

function isArray(obj) { return toStr(obj) === '[object Array]' && (!toStringTag || !(typeof obj === 'object' && toStringTag in obj)); }
function isDate(obj) { return toStr(obj) === '[object Date]' && (!toStringTag || !(typeof obj === 'object' && toStringTag in obj)); }
function isRegExp(obj) { return toStr(obj) === '[object RegExp]' && (!toStringTag || !(typeof obj === 'object' && toStringTag in obj)); }
function isError(obj) { return toStr(obj) === '[object Error]' && (!toStringTag || !(typeof obj === 'object' && toStringTag in obj)); }
function isString(obj) { return toStr(obj) === '[object String]' && (!toStringTag || !(typeof obj === 'object' && toStringTag in obj)); }
function isNumber(obj) { return toStr(obj) === '[object Number]' && (!toStringTag || !(typeof obj === 'object' && toStringTag in obj)); }
function isBoolean(obj) { return toStr(obj) === '[object Boolean]' && (!toStringTag || !(typeof obj === 'object' && toStringTag in obj)); }

// Symbol and BigInt do have Symbol.toStringTag by spec, so that can't be used to eliminate false positives
function isSymbol(obj) {
    if (hasShammedSymbols) {
        return obj && typeof obj === 'object' && obj instanceof Symbol;
    }
    if (typeof obj === 'symbol') {
        return true;
    }
    if (!obj || typeof obj !== 'object' || !symToString) {
        return false;
    }
    try {
        symToString.call(obj);
        return true;
    } catch (e) {}
    return false;
}

function isBigInt(obj) {
    if (!obj || typeof obj !== 'object' || !bigIntValueOf) {
        return false;
    }
    try {
        bigIntValueOf.call(obj);
        return true;
    } catch (e) {}
    return false;
}

var hasOwn = Object.prototype.hasOwnProperty || function (key) { return key in this; };
function has(obj, key) {
    return hasOwn.call(obj, key);
}

function toStr(obj) {
    return objectToString.call(obj);
}

function nameOf(f) {
    if (f.name) { return f.name; }
    var m = $match.call(functionToString.call(f), /^function\s*([\w$]+)/);
    if (m) { return m[1]; }
    return null;
}

function indexOf(xs, x) {
    if (xs.indexOf) { return xs.indexOf(x); }
    for (var i = 0, l = xs.length; i < l; i++) {
        if (xs[i] === x) { return i; }
    }
    return -1;
}

function isMap(x) {
    if (!mapSize || !x || typeof x !== 'object') {
        return false;
    }
    try {
        mapSize.call(x);
        try {
            setSize.call(x);
        } catch (s) {
            return true;
        }
        return x instanceof Map; // core-js workaround, pre-v2.5.0
    } catch (e) {}
    return false;
}

function isWeakMap(x) {
    if (!weakMapHas || !x || typeof x !== 'object') {
        return false;
    }
    try {
        weakMapHas.call(x, weakMapHas);
        try {
            weakSetHas.call(x, weakSetHas);
        } catch (s) {
            return true;
        }
        return x instanceof WeakMap; // core-js workaround, pre-v2.5.0
    } catch (e) {}
    return false;
}

function isWeakRef(x) {
    if (!weakRefDeref || !x || typeof x !== 'object') {
        return false;
    }
    try {
        weakRefDeref.call(x);
        return true;
    } catch (e) {}
    return false;
}

function isSet(x) {
    if (!setSize || !x || typeof x !== 'object') {
        return false;
    }
    try {
        setSize.call(x);
        try {
            mapSize.call(x);
        } catch (m) {
            return true;
        }
        return x instanceof Set; // core-js workaround, pre-v2.5.0
    } catch (e) {}
    return false;
}

function isWeakSet(x) {
    if (!weakSetHas || !x || typeof x !== 'object') {
        return false;
    }
    try {
        weakSetHas.call(x, weakSetHas);
        try {
            weakMapHas.call(x, weakMapHas);
        } catch (s) {
            return true;
        }
        return x instanceof WeakSet; // core-js workaround, pre-v2.5.0
    } catch (e) {}
    return false;
}

function isElement(x) {
    if (!x || typeof x !== 'object') { return false; }
    if (typeof HTMLElement !== 'undefined' && x instanceof HTMLElement) {
        return true;
    }
    return typeof x.nodeName === 'string' && typeof x.getAttribute === 'function';
}

function inspectString(str, opts) {
    if (str.length > opts.maxStringLength) {
        var remaining = str.length - opts.maxStringLength;
        var trailer = '... ' + remaining + ' more character' + (remaining > 1 ? 's' : '');
        return inspectString($slice.call(str, 0, opts.maxStringLength), opts) + trailer;
    }
    // eslint-disable-next-line no-control-regex
    var s = $replace.call($replace.call(str, /(['\\])/g, '\\$1'), /[\x00-\x1f]/g, lowbyte);
    return wrapQuotes(s, 'single', opts);
}

function lowbyte(c) {
    var n = c.charCodeAt(0);
    var x = {
        8: 'b',
        9: 't',
        10: 'n',
        12: 'f',
        13: 'r'
    }[n];
    if (x) { return '\\' + x; }
    return '\\x' + (n < 0x10 ? '0' : '') + $toUpperCase.call(n.toString(16));
}

function markBoxed(str) {
    return 'Object(' + str + ')';
}

function weakCollectionOf(type) {
    return type + ' { ? }';
}

function collectionOf(type, size, entries, indent) {
    var joinedEntries = indent ? indentedJoin(entries, indent) : $join.call(entries, ', ');
    return type + ' (' + size + ') {' + joinedEntries + '}';
}

function singleLineValues(xs) {
    for (var i = 0; i < xs.length; i++) {
        if (indexOf(xs[i], '\n') >= 0) {
            return false;
        }
    }
    return true;
}

function getIndent(opts, depth) {
    var baseIndent;
    if (opts.indent === '\t') {
        baseIndent = '\t';
    } else if (typeof opts.indent === 'number' && opts.indent > 0) {
        baseIndent = $join.call(Array(opts.indent + 1), ' ');
    } else {
        return null;
    }
    return {
        base: baseIndent,
        prev: $join.call(Array(depth + 1), baseIndent)
    };
}

function indentedJoin(xs, indent) {
    if (xs.length === 0) { return ''; }
    var lineJoiner = '\n' + indent.prev + indent.base;
    return lineJoiner + $join.call(xs, ',' + lineJoiner) + '\n' + indent.prev;
}

function arrObjKeys(obj, inspect) {
    var isArr = isArray(obj);
    var xs = [];
    if (isArr) {
        xs.length = obj.length;
        for (var i = 0; i < obj.length; i++) {
            xs[i] = has(obj, i) ? inspect(obj[i], obj) : '';
        }
    }
    var syms = typeof gOPS === 'function' ? gOPS(obj) : [];
    var symMap;
    if (hasShammedSymbols) {
        symMap = {};
        for (var k = 0; k < syms.length; k++) {
            symMap['$' + syms[k]] = syms[k];
        }
    }

    for (var key in obj) { // eslint-disable-line no-restricted-syntax
        if (!has(obj, key)) { continue; } // eslint-disable-line no-restricted-syntax, no-continue
        if (isArr && String(Number(key)) === key && key < obj.length) { continue; } // eslint-disable-line no-restricted-syntax, no-continue
        if (hasShammedSymbols && symMap['$' + key] instanceof Symbol) {
            // this is to prevent shammed Symbols, which are stored as strings, from being included in the string key section
            continue; // eslint-disable-line no-restricted-syntax, no-continue
        } else if ($test.call(/[^\w$]/, key)) {
            xs.push(inspect(key, obj) + ': ' + inspect(obj[key], obj));
        } else {
            xs.push(key + ': ' + inspect(obj[key], obj));
        }
    }
    if (typeof gOPS === 'function') {
        for (var j = 0; j < syms.length; j++) {
            if (isEnumerable.call(obj, syms[j])) {
                xs.push('[' + inspect(syms[j]) + ']: ' + inspect(obj[syms[j]], obj));
            }
        }
    }
    return xs;
}


/***/ }),

/***/ 69501:
/***/ ((module) => {

"use strict";


/** @type {import('.')} */
module.exports = [
	'Float32Array',
	'Float64Array',
	'Int8Array',
	'Int16Array',
	'Int32Array',
	'Uint8Array',
	'Uint8ClampedArray',
	'Uint16Array',
	'Uint32Array',
	'BigInt64Array',
	'BigUint64Array'
];


/***/ }),

/***/ 36999:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



var ReactPropTypesSecret = __webpack_require__(36848);

function emptyFunction() {}
function emptyFunctionWithReset() {}
emptyFunctionWithReset.resetWarningCache = emptyFunction;

module.exports = function() {
  function shim(props, propName, componentName, location, propFullName, secret) {
    if (secret === ReactPropTypesSecret) {
      // It is still safe when called from React.
      return;
    }
    var err = new Error(
      'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
      'Use PropTypes.checkPropTypes() to call them. ' +
      'Read more at http://fb.me/use-check-prop-types'
    );
    err.name = 'Invariant Violation';
    throw err;
  };
  shim.isRequired = shim;
  function getShim() {
    return shim;
  };
  // Important!
  // Keep this list in sync with production version in `./factoryWithTypeCheckers.js`.
  var ReactPropTypes = {
    array: shim,
    bigint: shim,
    bool: shim,
    func: shim,
    number: shim,
    object: shim,
    string: shim,
    symbol: shim,

    any: shim,
    arrayOf: getShim,
    element: shim,
    elementType: shim,
    instanceOf: getShim,
    node: shim,
    objectOf: getShim,
    oneOf: getShim,
    oneOfType: getShim,
    shape: getShim,
    exact: getShim,

    checkPropTypes: emptyFunctionWithReset,
    resetWarningCache: emptyFunction
  };

  ReactPropTypes.PropTypes = ReactPropTypes;

  return ReactPropTypes;
};


/***/ }),

/***/ 39067:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

if (false) { var throwOnDirectAccess, ReactIs; } else {
  // By explicitly using `prop-types` you are opting into new production behavior.
  // http://fb.me/prop-types-in-prod
  module.exports = __webpack_require__(36999)();
}


/***/ }),

/***/ 36848:
/***/ ((module) => {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



var ReactPropTypesSecret = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';

module.exports = ReactPropTypesSecret;


/***/ }),

/***/ 1830:
/***/ ((module) => {

"use strict";


var replace = String.prototype.replace;
var percentTwenties = /%20/g;

var Format = {
    RFC1738: 'RFC1738',
    RFC3986: 'RFC3986'
};

module.exports = {
    'default': Format.RFC3986,
    formatters: {
        RFC1738: function (value) {
            return replace.call(value, percentTwenties, '+');
        },
        RFC3986: function (value) {
            return String(value);
        }
    },
    RFC1738: Format.RFC1738,
    RFC3986: Format.RFC3986
};


/***/ }),

/***/ 45810:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var stringify = __webpack_require__(16623);
var parse = __webpack_require__(26193);
var formats = __webpack_require__(1830);

module.exports = {
    formats: formats,
    parse: parse,
    stringify: stringify
};


/***/ }),

/***/ 26193:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(91539);

var has = Object.prototype.hasOwnProperty;
var isArray = Array.isArray;

var defaults = {
    allowDots: false,
    allowPrototypes: false,
    allowSparse: false,
    arrayLimit: 20,
    charset: 'utf-8',
    charsetSentinel: false,
    comma: false,
    decoder: utils.decode,
    delimiter: '&',
    depth: 5,
    ignoreQueryPrefix: false,
    interpretNumericEntities: false,
    parameterLimit: 1000,
    parseArrays: true,
    plainObjects: false,
    strictNullHandling: false
};

var interpretNumericEntities = function (str) {
    return str.replace(/&#(\d+);/g, function ($0, numberStr) {
        return String.fromCharCode(parseInt(numberStr, 10));
    });
};

var parseArrayValue = function (val, options) {
    if (val && typeof val === 'string' && options.comma && val.indexOf(',') > -1) {
        return val.split(',');
    }

    return val;
};

// This is what browsers will submit when the ✓ character occurs in an
// application/x-www-form-urlencoded body and the encoding of the page containing
// the form is iso-8859-1, or when the submitted form has an accept-charset
// attribute of iso-8859-1. Presumably also with other charsets that do not contain
// the ✓ character, such as us-ascii.
var isoSentinel = 'utf8=%26%2310003%3B'; // encodeURIComponent('&#10003;')

// These are the percent-encoded utf-8 octets representing a checkmark, indicating that the request actually is utf-8 encoded.
var charsetSentinel = 'utf8=%E2%9C%93'; // encodeURIComponent('✓')

var parseValues = function parseQueryStringValues(str, options) {
    var obj = { __proto__: null };

    var cleanStr = options.ignoreQueryPrefix ? str.replace(/^\?/, '') : str;
    var limit = options.parameterLimit === Infinity ? undefined : options.parameterLimit;
    var parts = cleanStr.split(options.delimiter, limit);
    var skipIndex = -1; // Keep track of where the utf8 sentinel was found
    var i;

    var charset = options.charset;
    if (options.charsetSentinel) {
        for (i = 0; i < parts.length; ++i) {
            if (parts[i].indexOf('utf8=') === 0) {
                if (parts[i] === charsetSentinel) {
                    charset = 'utf-8';
                } else if (parts[i] === isoSentinel) {
                    charset = 'iso-8859-1';
                }
                skipIndex = i;
                i = parts.length; // The eslint settings do not allow break;
            }
        }
    }

    for (i = 0; i < parts.length; ++i) {
        if (i === skipIndex) {
            continue;
        }
        var part = parts[i];

        var bracketEqualsPos = part.indexOf(']=');
        var pos = bracketEqualsPos === -1 ? part.indexOf('=') : bracketEqualsPos + 1;

        var key, val;
        if (pos === -1) {
            key = options.decoder(part, defaults.decoder, charset, 'key');
            val = options.strictNullHandling ? null : '';
        } else {
            key = options.decoder(part.slice(0, pos), defaults.decoder, charset, 'key');
            val = utils.maybeMap(
                parseArrayValue(part.slice(pos + 1), options),
                function (encodedVal) {
                    return options.decoder(encodedVal, defaults.decoder, charset, 'value');
                }
            );
        }

        if (val && options.interpretNumericEntities && charset === 'iso-8859-1') {
            val = interpretNumericEntities(val);
        }

        if (part.indexOf('[]=') > -1) {
            val = isArray(val) ? [val] : val;
        }

        if (has.call(obj, key)) {
            obj[key] = utils.combine(obj[key], val);
        } else {
            obj[key] = val;
        }
    }

    return obj;
};

var parseObject = function (chain, val, options, valuesParsed) {
    var leaf = valuesParsed ? val : parseArrayValue(val, options);

    for (var i = chain.length - 1; i >= 0; --i) {
        var obj;
        var root = chain[i];

        if (root === '[]' && options.parseArrays) {
            obj = [].concat(leaf);
        } else {
            obj = options.plainObjects ? Object.create(null) : {};
            var cleanRoot = root.charAt(0) === '[' && root.charAt(root.length - 1) === ']' ? root.slice(1, -1) : root;
            var index = parseInt(cleanRoot, 10);
            if (!options.parseArrays && cleanRoot === '') {
                obj = { 0: leaf };
            } else if (
                !isNaN(index)
                && root !== cleanRoot
                && String(index) === cleanRoot
                && index >= 0
                && (options.parseArrays && index <= options.arrayLimit)
            ) {
                obj = [];
                obj[index] = leaf;
            } else if (cleanRoot !== '__proto__') {
                obj[cleanRoot] = leaf;
            }
        }

        leaf = obj;
    }

    return leaf;
};

var parseKeys = function parseQueryStringKeys(givenKey, val, options, valuesParsed) {
    if (!givenKey) {
        return;
    }

    // Transform dot notation to bracket notation
    var key = options.allowDots ? givenKey.replace(/\.([^.[]+)/g, '[$1]') : givenKey;

    // The regex chunks

    var brackets = /(\[[^[\]]*])/;
    var child = /(\[[^[\]]*])/g;

    // Get the parent

    var segment = options.depth > 0 && brackets.exec(key);
    var parent = segment ? key.slice(0, segment.index) : key;

    // Stash the parent if it exists

    var keys = [];
    if (parent) {
        // If we aren't using plain objects, optionally prefix keys that would overwrite object prototype properties
        if (!options.plainObjects && has.call(Object.prototype, parent)) {
            if (!options.allowPrototypes) {
                return;
            }
        }

        keys.push(parent);
    }

    // Loop through children appending to the array until we hit depth

    var i = 0;
    while (options.depth > 0 && (segment = child.exec(key)) !== null && i < options.depth) {
        i += 1;
        if (!options.plainObjects && has.call(Object.prototype, segment[1].slice(1, -1))) {
            if (!options.allowPrototypes) {
                return;
            }
        }
        keys.push(segment[1]);
    }

    // If there's a remainder, just add whatever is left

    if (segment) {
        keys.push('[' + key.slice(segment.index) + ']');
    }

    return parseObject(keys, val, options, valuesParsed);
};

var normalizeParseOptions = function normalizeParseOptions(opts) {
    if (!opts) {
        return defaults;
    }

    if (opts.decoder !== null && opts.decoder !== undefined && typeof opts.decoder !== 'function') {
        throw new TypeError('Decoder has to be a function.');
    }

    if (typeof opts.charset !== 'undefined' && opts.charset !== 'utf-8' && opts.charset !== 'iso-8859-1') {
        throw new TypeError('The charset option must be either utf-8, iso-8859-1, or undefined');
    }
    var charset = typeof opts.charset === 'undefined' ? defaults.charset : opts.charset;

    return {
        allowDots: typeof opts.allowDots === 'undefined' ? defaults.allowDots : !!opts.allowDots,
        allowPrototypes: typeof opts.allowPrototypes === 'boolean' ? opts.allowPrototypes : defaults.allowPrototypes,
        allowSparse: typeof opts.allowSparse === 'boolean' ? opts.allowSparse : defaults.allowSparse,
        arrayLimit: typeof opts.arrayLimit === 'number' ? opts.arrayLimit : defaults.arrayLimit,
        charset: charset,
        charsetSentinel: typeof opts.charsetSentinel === 'boolean' ? opts.charsetSentinel : defaults.charsetSentinel,
        comma: typeof opts.comma === 'boolean' ? opts.comma : defaults.comma,
        decoder: typeof opts.decoder === 'function' ? opts.decoder : defaults.decoder,
        delimiter: typeof opts.delimiter === 'string' || utils.isRegExp(opts.delimiter) ? opts.delimiter : defaults.delimiter,
        // eslint-disable-next-line no-implicit-coercion, no-extra-parens
        depth: (typeof opts.depth === 'number' || opts.depth === false) ? +opts.depth : defaults.depth,
        ignoreQueryPrefix: opts.ignoreQueryPrefix === true,
        interpretNumericEntities: typeof opts.interpretNumericEntities === 'boolean' ? opts.interpretNumericEntities : defaults.interpretNumericEntities,
        parameterLimit: typeof opts.parameterLimit === 'number' ? opts.parameterLimit : defaults.parameterLimit,
        parseArrays: opts.parseArrays !== false,
        plainObjects: typeof opts.plainObjects === 'boolean' ? opts.plainObjects : defaults.plainObjects,
        strictNullHandling: typeof opts.strictNullHandling === 'boolean' ? opts.strictNullHandling : defaults.strictNullHandling
    };
};

module.exports = function (str, opts) {
    var options = normalizeParseOptions(opts);

    if (str === '' || str === null || typeof str === 'undefined') {
        return options.plainObjects ? Object.create(null) : {};
    }

    var tempObj = typeof str === 'string' ? parseValues(str, options) : str;
    var obj = options.plainObjects ? Object.create(null) : {};

    // Iterate over the keys and setup the new object

    var keys = Object.keys(tempObj);
    for (var i = 0; i < keys.length; ++i) {
        var key = keys[i];
        var newObj = parseKeys(key, tempObj[key], options, typeof str === 'string');
        obj = utils.merge(obj, newObj, options);
    }

    if (options.allowSparse === true) {
        return obj;
    }

    return utils.compact(obj);
};


/***/ }),

/***/ 16623:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var getSideChannel = __webpack_require__(77575);
var utils = __webpack_require__(91539);
var formats = __webpack_require__(1830);
var has = Object.prototype.hasOwnProperty;

var arrayPrefixGenerators = {
    brackets: function brackets(prefix) {
        return prefix + '[]';
    },
    comma: 'comma',
    indices: function indices(prefix, key) {
        return prefix + '[' + key + ']';
    },
    repeat: function repeat(prefix) {
        return prefix;
    }
};

var isArray = Array.isArray;
var push = Array.prototype.push;
var pushToArray = function (arr, valueOrArray) {
    push.apply(arr, isArray(valueOrArray) ? valueOrArray : [valueOrArray]);
};

var toISO = Date.prototype.toISOString;

var defaultFormat = formats['default'];
var defaults = {
    addQueryPrefix: false,
    allowDots: false,
    charset: 'utf-8',
    charsetSentinel: false,
    delimiter: '&',
    encode: true,
    encoder: utils.encode,
    encodeValuesOnly: false,
    format: defaultFormat,
    formatter: formats.formatters[defaultFormat],
    // deprecated
    indices: false,
    serializeDate: function serializeDate(date) {
        return toISO.call(date);
    },
    skipNulls: false,
    strictNullHandling: false
};

var isNonNullishPrimitive = function isNonNullishPrimitive(v) {
    return typeof v === 'string'
        || typeof v === 'number'
        || typeof v === 'boolean'
        || typeof v === 'symbol'
        || typeof v === 'bigint';
};

var sentinel = {};

var stringify = function stringify(
    object,
    prefix,
    generateArrayPrefix,
    commaRoundTrip,
    strictNullHandling,
    skipNulls,
    encoder,
    filter,
    sort,
    allowDots,
    serializeDate,
    format,
    formatter,
    encodeValuesOnly,
    charset,
    sideChannel
) {
    var obj = object;

    var tmpSc = sideChannel;
    var step = 0;
    var findFlag = false;
    while ((tmpSc = tmpSc.get(sentinel)) !== void undefined && !findFlag) {
        // Where object last appeared in the ref tree
        var pos = tmpSc.get(object);
        step += 1;
        if (typeof pos !== 'undefined') {
            if (pos === step) {
                throw new RangeError('Cyclic object value');
            } else {
                findFlag = true; // Break while
            }
        }
        if (typeof tmpSc.get(sentinel) === 'undefined') {
            step = 0;
        }
    }

    if (typeof filter === 'function') {
        obj = filter(prefix, obj);
    } else if (obj instanceof Date) {
        obj = serializeDate(obj);
    } else if (generateArrayPrefix === 'comma' && isArray(obj)) {
        obj = utils.maybeMap(obj, function (value) {
            if (value instanceof Date) {
                return serializeDate(value);
            }
            return value;
        });
    }

    if (obj === null) {
        if (strictNullHandling) {
            return encoder && !encodeValuesOnly ? encoder(prefix, defaults.encoder, charset, 'key', format) : prefix;
        }

        obj = '';
    }

    if (isNonNullishPrimitive(obj) || utils.isBuffer(obj)) {
        if (encoder) {
            var keyValue = encodeValuesOnly ? prefix : encoder(prefix, defaults.encoder, charset, 'key', format);
            return [formatter(keyValue) + '=' + formatter(encoder(obj, defaults.encoder, charset, 'value', format))];
        }
        return [formatter(prefix) + '=' + formatter(String(obj))];
    }

    var values = [];

    if (typeof obj === 'undefined') {
        return values;
    }

    var objKeys;
    if (generateArrayPrefix === 'comma' && isArray(obj)) {
        // we need to join elements in
        if (encodeValuesOnly && encoder) {
            obj = utils.maybeMap(obj, encoder);
        }
        objKeys = [{ value: obj.length > 0 ? obj.join(',') || null : void undefined }];
    } else if (isArray(filter)) {
        objKeys = filter;
    } else {
        var keys = Object.keys(obj);
        objKeys = sort ? keys.sort(sort) : keys;
    }

    var adjustedPrefix = commaRoundTrip && isArray(obj) && obj.length === 1 ? prefix + '[]' : prefix;

    for (var j = 0; j < objKeys.length; ++j) {
        var key = objKeys[j];
        var value = typeof key === 'object' && typeof key.value !== 'undefined' ? key.value : obj[key];

        if (skipNulls && value === null) {
            continue;
        }

        var keyPrefix = isArray(obj)
            ? typeof generateArrayPrefix === 'function' ? generateArrayPrefix(adjustedPrefix, key) : adjustedPrefix
            : adjustedPrefix + (allowDots ? '.' + key : '[' + key + ']');

        sideChannel.set(object, step);
        var valueSideChannel = getSideChannel();
        valueSideChannel.set(sentinel, sideChannel);
        pushToArray(values, stringify(
            value,
            keyPrefix,
            generateArrayPrefix,
            commaRoundTrip,
            strictNullHandling,
            skipNulls,
            generateArrayPrefix === 'comma' && encodeValuesOnly && isArray(obj) ? null : encoder,
            filter,
            sort,
            allowDots,
            serializeDate,
            format,
            formatter,
            encodeValuesOnly,
            charset,
            valueSideChannel
        ));
    }

    return values;
};

var normalizeStringifyOptions = function normalizeStringifyOptions(opts) {
    if (!opts) {
        return defaults;
    }

    if (opts.encoder !== null && typeof opts.encoder !== 'undefined' && typeof opts.encoder !== 'function') {
        throw new TypeError('Encoder has to be a function.');
    }

    var charset = opts.charset || defaults.charset;
    if (typeof opts.charset !== 'undefined' && opts.charset !== 'utf-8' && opts.charset !== 'iso-8859-1') {
        throw new TypeError('The charset option must be either utf-8, iso-8859-1, or undefined');
    }

    var format = formats['default'];
    if (typeof opts.format !== 'undefined') {
        if (!has.call(formats.formatters, opts.format)) {
            throw new TypeError('Unknown format option provided.');
        }
        format = opts.format;
    }
    var formatter = formats.formatters[format];

    var filter = defaults.filter;
    if (typeof opts.filter === 'function' || isArray(opts.filter)) {
        filter = opts.filter;
    }

    return {
        addQueryPrefix: typeof opts.addQueryPrefix === 'boolean' ? opts.addQueryPrefix : defaults.addQueryPrefix,
        allowDots: typeof opts.allowDots === 'undefined' ? defaults.allowDots : !!opts.allowDots,
        charset: charset,
        charsetSentinel: typeof opts.charsetSentinel === 'boolean' ? opts.charsetSentinel : defaults.charsetSentinel,
        delimiter: typeof opts.delimiter === 'undefined' ? defaults.delimiter : opts.delimiter,
        encode: typeof opts.encode === 'boolean' ? opts.encode : defaults.encode,
        encoder: typeof opts.encoder === 'function' ? opts.encoder : defaults.encoder,
        encodeValuesOnly: typeof opts.encodeValuesOnly === 'boolean' ? opts.encodeValuesOnly : defaults.encodeValuesOnly,
        filter: filter,
        format: format,
        formatter: formatter,
        serializeDate: typeof opts.serializeDate === 'function' ? opts.serializeDate : defaults.serializeDate,
        skipNulls: typeof opts.skipNulls === 'boolean' ? opts.skipNulls : defaults.skipNulls,
        sort: typeof opts.sort === 'function' ? opts.sort : null,
        strictNullHandling: typeof opts.strictNullHandling === 'boolean' ? opts.strictNullHandling : defaults.strictNullHandling
    };
};

module.exports = function (object, opts) {
    var obj = object;
    var options = normalizeStringifyOptions(opts);

    var objKeys;
    var filter;

    if (typeof options.filter === 'function') {
        filter = options.filter;
        obj = filter('', obj);
    } else if (isArray(options.filter)) {
        filter = options.filter;
        objKeys = filter;
    }

    var keys = [];

    if (typeof obj !== 'object' || obj === null) {
        return '';
    }

    var arrayFormat;
    if (opts && opts.arrayFormat in arrayPrefixGenerators) {
        arrayFormat = opts.arrayFormat;
    } else if (opts && 'indices' in opts) {
        arrayFormat = opts.indices ? 'indices' : 'repeat';
    } else {
        arrayFormat = 'indices';
    }

    var generateArrayPrefix = arrayPrefixGenerators[arrayFormat];
    if (opts && 'commaRoundTrip' in opts && typeof opts.commaRoundTrip !== 'boolean') {
        throw new TypeError('`commaRoundTrip` must be a boolean, or absent');
    }
    var commaRoundTrip = generateArrayPrefix === 'comma' && opts && opts.commaRoundTrip;

    if (!objKeys) {
        objKeys = Object.keys(obj);
    }

    if (options.sort) {
        objKeys.sort(options.sort);
    }

    var sideChannel = getSideChannel();
    for (var i = 0; i < objKeys.length; ++i) {
        var key = objKeys[i];

        if (options.skipNulls && obj[key] === null) {
            continue;
        }
        pushToArray(keys, stringify(
            obj[key],
            key,
            generateArrayPrefix,
            commaRoundTrip,
            options.strictNullHandling,
            options.skipNulls,
            options.encode ? options.encoder : null,
            options.filter,
            options.sort,
            options.allowDots,
            options.serializeDate,
            options.format,
            options.formatter,
            options.encodeValuesOnly,
            options.charset,
            sideChannel
        ));
    }

    var joined = keys.join(options.delimiter);
    var prefix = options.addQueryPrefix === true ? '?' : '';

    if (options.charsetSentinel) {
        if (options.charset === 'iso-8859-1') {
            // encodeURIComponent('&#10003;'), the "numeric entity" representation of a checkmark
            prefix += 'utf8=%26%2310003%3B&';
        } else {
            // encodeURIComponent('✓')
            prefix += 'utf8=%E2%9C%93&';
        }
    }

    return joined.length > 0 ? prefix + joined : '';
};


/***/ }),

/***/ 91539:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var formats = __webpack_require__(1830);

var has = Object.prototype.hasOwnProperty;
var isArray = Array.isArray;

var hexTable = (function () {
    var array = [];
    for (var i = 0; i < 256; ++i) {
        array.push('%' + ((i < 16 ? '0' : '') + i.toString(16)).toUpperCase());
    }

    return array;
}());

var compactQueue = function compactQueue(queue) {
    while (queue.length > 1) {
        var item = queue.pop();
        var obj = item.obj[item.prop];

        if (isArray(obj)) {
            var compacted = [];

            for (var j = 0; j < obj.length; ++j) {
                if (typeof obj[j] !== 'undefined') {
                    compacted.push(obj[j]);
                }
            }

            item.obj[item.prop] = compacted;
        }
    }
};

var arrayToObject = function arrayToObject(source, options) {
    var obj = options && options.plainObjects ? Object.create(null) : {};
    for (var i = 0; i < source.length; ++i) {
        if (typeof source[i] !== 'undefined') {
            obj[i] = source[i];
        }
    }

    return obj;
};

var merge = function merge(target, source, options) {
    /* eslint no-param-reassign: 0 */
    if (!source) {
        return target;
    }

    if (typeof source !== 'object') {
        if (isArray(target)) {
            target.push(source);
        } else if (target && typeof target === 'object') {
            if ((options && (options.plainObjects || options.allowPrototypes)) || !has.call(Object.prototype, source)) {
                target[source] = true;
            }
        } else {
            return [target, source];
        }

        return target;
    }

    if (!target || typeof target !== 'object') {
        return [target].concat(source);
    }

    var mergeTarget = target;
    if (isArray(target) && !isArray(source)) {
        mergeTarget = arrayToObject(target, options);
    }

    if (isArray(target) && isArray(source)) {
        source.forEach(function (item, i) {
            if (has.call(target, i)) {
                var targetItem = target[i];
                if (targetItem && typeof targetItem === 'object' && item && typeof item === 'object') {
                    target[i] = merge(targetItem, item, options);
                } else {
                    target.push(item);
                }
            } else {
                target[i] = item;
            }
        });
        return target;
    }

    return Object.keys(source).reduce(function (acc, key) {
        var value = source[key];

        if (has.call(acc, key)) {
            acc[key] = merge(acc[key], value, options);
        } else {
            acc[key] = value;
        }
        return acc;
    }, mergeTarget);
};

var assign = function assignSingleSource(target, source) {
    return Object.keys(source).reduce(function (acc, key) {
        acc[key] = source[key];
        return acc;
    }, target);
};

var decode = function (str, decoder, charset) {
    var strWithoutPlus = str.replace(/\+/g, ' ');
    if (charset === 'iso-8859-1') {
        // unescape never throws, no try...catch needed:
        return strWithoutPlus.replace(/%[0-9a-f]{2}/gi, unescape);
    }
    // utf-8
    try {
        return decodeURIComponent(strWithoutPlus);
    } catch (e) {
        return strWithoutPlus;
    }
};

var encode = function encode(str, defaultEncoder, charset, kind, format) {
    // This code was originally written by Brian White (mscdex) for the io.js core querystring library.
    // It has been adapted here for stricter adherence to RFC 3986
    if (str.length === 0) {
        return str;
    }

    var string = str;
    if (typeof str === 'symbol') {
        string = Symbol.prototype.toString.call(str);
    } else if (typeof str !== 'string') {
        string = String(str);
    }

    if (charset === 'iso-8859-1') {
        return escape(string).replace(/%u[0-9a-f]{4}/gi, function ($0) {
            return '%26%23' + parseInt($0.slice(2), 16) + '%3B';
        });
    }

    var out = '';
    for (var i = 0; i < string.length; ++i) {
        var c = string.charCodeAt(i);

        if (
            c === 0x2D // -
            || c === 0x2E // .
            || c === 0x5F // _
            || c === 0x7E // ~
            || (c >= 0x30 && c <= 0x39) // 0-9
            || (c >= 0x41 && c <= 0x5A) // a-z
            || (c >= 0x61 && c <= 0x7A) // A-Z
            || (format === formats.RFC1738 && (c === 0x28 || c === 0x29)) // ( )
        ) {
            out += string.charAt(i);
            continue;
        }

        if (c < 0x80) {
            out = out + hexTable[c];
            continue;
        }

        if (c < 0x800) {
            out = out + (hexTable[0xC0 | (c >> 6)] + hexTable[0x80 | (c & 0x3F)]);
            continue;
        }

        if (c < 0xD800 || c >= 0xE000) {
            out = out + (hexTable[0xE0 | (c >> 12)] + hexTable[0x80 | ((c >> 6) & 0x3F)] + hexTable[0x80 | (c & 0x3F)]);
            continue;
        }

        i += 1;
        c = 0x10000 + (((c & 0x3FF) << 10) | (string.charCodeAt(i) & 0x3FF));
        /* eslint operator-linebreak: [2, "before"] */
        out += hexTable[0xF0 | (c >> 18)]
            + hexTable[0x80 | ((c >> 12) & 0x3F)]
            + hexTable[0x80 | ((c >> 6) & 0x3F)]
            + hexTable[0x80 | (c & 0x3F)];
    }

    return out;
};

var compact = function compact(value) {
    var queue = [{ obj: { o: value }, prop: 'o' }];
    var refs = [];

    for (var i = 0; i < queue.length; ++i) {
        var item = queue[i];
        var obj = item.obj[item.prop];

        var keys = Object.keys(obj);
        for (var j = 0; j < keys.length; ++j) {
            var key = keys[j];
            var val = obj[key];
            if (typeof val === 'object' && val !== null && refs.indexOf(val) === -1) {
                queue.push({ obj: obj, prop: key });
                refs.push(val);
            }
        }
    }

    compactQueue(queue);

    return value;
};

var isRegExp = function isRegExp(obj) {
    return Object.prototype.toString.call(obj) === '[object RegExp]';
};

var isBuffer = function isBuffer(obj) {
    if (!obj || typeof obj !== 'object') {
        return false;
    }

    return !!(obj.constructor && obj.constructor.isBuffer && obj.constructor.isBuffer(obj));
};

var combine = function combine(a, b) {
    return [].concat(a, b);
};

var maybeMap = function maybeMap(val, fn) {
    if (isArray(val)) {
        var mapped = [];
        for (var i = 0; i < val.length; i += 1) {
            mapped.push(fn(val[i]));
        }
        return mapped;
    }
    return fn(val);
};

module.exports = {
    arrayToObject: arrayToObject,
    assign: assign,
    combine: combine,
    compact: compact,
    decode: decode,
    encode: encode,
    isBuffer: isBuffer,
    isRegExp: isRegExp,
    maybeMap: maybeMap,
    merge: merge
};


/***/ }),

/***/ 1359:
/***/ ((__unused_webpack_module, exports) => {

"use strict";


var has = Object.prototype.hasOwnProperty
  , undef;

/**
 * Decode a URI encoded string.
 *
 * @param {String} input The URI encoded string.
 * @returns {String|Null} The decoded string.
 * @api private
 */
function decode(input) {
  try {
    return decodeURIComponent(input.replace(/\+/g, ' '));
  } catch (e) {
    return null;
  }
}

/**
 * Attempts to encode a given input.
 *
 * @param {String} input The string that needs to be encoded.
 * @returns {String|Null} The encoded string.
 * @api private
 */
function encode(input) {
  try {
    return encodeURIComponent(input);
  } catch (e) {
    return null;
  }
}

/**
 * Simple query string parser.
 *
 * @param {String} query The query string that needs to be parsed.
 * @returns {Object}
 * @api public
 */
function querystring(query) {
  var parser = /([^=?#&]+)=?([^&]*)/g
    , result = {}
    , part;

  while (part = parser.exec(query)) {
    var key = decode(part[1])
      , value = decode(part[2]);

    //
    // Prevent overriding of existing properties. This ensures that build-in
    // methods like `toString` or __proto__ are not overriden by malicious
    // querystrings.
    //
    // In the case if failed decoding, we want to omit the key/value pairs
    // from the result.
    //
    if (key === null || value === null || key in result) continue;
    result[key] = value;
  }

  return result;
}

/**
 * Transform a query string to an object.
 *
 * @param {Object} obj Object that should be transformed.
 * @param {String} prefix Optional prefix.
 * @returns {String}
 * @api public
 */
function querystringify(obj, prefix) {
  prefix = prefix || '';

  var pairs = []
    , value
    , key;

  //
  // Optionally prefix with a '?' if needed
  //
  if ('string' !== typeof prefix) prefix = '?';

  for (key in obj) {
    if (has.call(obj, key)) {
      value = obj[key];

      //
      // Edge cases where we actually want to encode the value to an empty
      // string instead of the stringified value.
      //
      if (!value && (value === null || value === undef || isNaN(value))) {
        value = '';
      }

      key = encode(key);
      value = encode(value);

      //
      // If we failed to encode the strings, we should bail out as we don't
      // want to add invalid strings to the query.
      //
      if (key === null || value === null) continue;
      pairs.push(key +'='+ value);
    }
  }

  return pairs.length ? prefix + pairs.join('&') : '';
}

//
// Expose the module.
//
exports.stringify = querystringify;
exports.parse = querystring;


/***/ }),

/***/ 25873:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
var __webpack_unused_export__;


var m = __webpack_require__(75795);
if (true) {
  exports.H = m.createRoot;
  __webpack_unused_export__ = m.hydrateRoot;
} else { var i; }


/***/ }),

/***/ 11442:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
Object.defineProperty(exports, "DraggableCore", ({
  enumerable: true,
  get: function get() {
    return _DraggableCore.default;
  }
}));
exports["default"] = void 0;

var React = _interopRequireWildcard(__webpack_require__(51609));

var _propTypes = _interopRequireDefault(__webpack_require__(39067));

var _reactDom = _interopRequireDefault(__webpack_require__(75795));

var _clsx2 = _interopRequireDefault(__webpack_require__(9546));

var _domFns = __webpack_require__(1154);

var _positionFns = __webpack_require__(69951);

var _shims = __webpack_require__(37201);

var _DraggableCore = _interopRequireDefault(__webpack_require__(43605));

var _log = _interopRequireDefault(__webpack_require__(48013));

var _excluded = ["axis", "bounds", "children", "defaultPosition", "defaultClassName", "defaultClassNameDragging", "defaultClassNameDragged", "position", "positionOffset", "scale"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

//
// Define <Draggable>
//
var Draggable = /*#__PURE__*/function (_React$Component) {
  _inherits(Draggable, _React$Component);

  var _super = _createSuper(Draggable);

  function Draggable(props
  /*: DraggableProps*/
  ) {
    var _this;

    _classCallCheck(this, Draggable);

    _this = _super.call(this, props);

    _defineProperty(_assertThisInitialized(_this), "onDragStart", function (e, coreData) {
      (0, _log.default)('Draggable: onDragStart: %j', coreData); // Short-circuit if user's callback killed it.

      var shouldStart = _this.props.onStart(e, (0, _positionFns.createDraggableData)(_assertThisInitialized(_this), coreData)); // Kills start event on core as well, so move handlers are never bound.


      if (shouldStart === false) return false;

      _this.setState({
        dragging: true,
        dragged: true
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onDrag", function (e, coreData) {
      if (!_this.state.dragging) return false;
      (0, _log.default)('Draggable: onDrag: %j', coreData);
      var uiData = (0, _positionFns.createDraggableData)(_assertThisInitialized(_this), coreData);
      var newState
      /*: $Shape<DraggableState>*/
      = {
        x: uiData.x,
        y: uiData.y
      }; // Keep within bounds.

      if (_this.props.bounds) {
        // Save original x and y.
        var x = newState.x,
            y = newState.y; // Add slack to the values used to calculate bound position. This will ensure that if
        // we start removing slack, the element won't react to it right away until it's been
        // completely removed.

        newState.x += _this.state.slackX;
        newState.y += _this.state.slackY; // Get bound position. This will ceil/floor the x and y within the boundaries.

        var _getBoundPosition = (0, _positionFns.getBoundPosition)(_assertThisInitialized(_this), newState.x, newState.y),
            _getBoundPosition2 = _slicedToArray(_getBoundPosition, 2),
            newStateX = _getBoundPosition2[0],
            newStateY = _getBoundPosition2[1];

        newState.x = newStateX;
        newState.y = newStateY; // Recalculate slack by noting how much was shaved by the boundPosition handler.

        newState.slackX = _this.state.slackX + (x - newState.x);
        newState.slackY = _this.state.slackY + (y - newState.y); // Update the event we fire to reflect what really happened after bounds took effect.

        uiData.x = newState.x;
        uiData.y = newState.y;
        uiData.deltaX = newState.x - _this.state.x;
        uiData.deltaY = newState.y - _this.state.y;
      } // Short-circuit if user's callback killed it.


      var shouldUpdate = _this.props.onDrag(e, uiData);

      if (shouldUpdate === false) return false;

      _this.setState(newState);
    });

    _defineProperty(_assertThisInitialized(_this), "onDragStop", function (e, coreData) {
      if (!_this.state.dragging) return false; // Short-circuit if user's callback killed it.

      var shouldContinue = _this.props.onStop(e, (0, _positionFns.createDraggableData)(_assertThisInitialized(_this), coreData));

      if (shouldContinue === false) return false;
      (0, _log.default)('Draggable: onDragStop: %j', coreData);
      var newState
      /*: $Shape<DraggableState>*/
      = {
        dragging: false,
        slackX: 0,
        slackY: 0
      }; // If this is a controlled component, the result of this operation will be to
      // revert back to the old position. We expect a handler on `onDragStop`, at the least.

      var controlled = Boolean(_this.props.position);

      if (controlled) {
        var _this$props$position = _this.props.position,
            x = _this$props$position.x,
            y = _this$props$position.y;
        newState.x = x;
        newState.y = y;
      }

      _this.setState(newState);
    });

    _this.state = {
      // Whether or not we are currently dragging.
      dragging: false,
      // Whether or not we have been dragged before.
      dragged: false,
      // Current transform x and y.
      x: props.position ? props.position.x : props.defaultPosition.x,
      y: props.position ? props.position.y : props.defaultPosition.y,
      prevPropsPosition: _objectSpread({}, props.position),
      // Used for compensating for out-of-bounds drags
      slackX: 0,
      slackY: 0,
      // Can only determine if SVG after mounting
      isElementSVG: false
    };

    if (props.position && !(props.onDrag || props.onStop)) {
      // eslint-disable-next-line no-console
      console.warn('A `position` was applied to this <Draggable>, without drag handlers. This will make this ' + 'component effectively undraggable. Please attach `onDrag` or `onStop` handlers so you can adjust the ' + '`position` of this element.');
    }

    return _this;
  }

  _createClass(Draggable, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      // Check to see if the element passed is an instanceof SVGElement
      if (typeof window.SVGElement !== 'undefined' && this.findDOMNode() instanceof window.SVGElement) {
        this.setState({
          isElementSVG: true
        });
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.setState({
        dragging: false
      }); // prevents invariant if unmounted while dragging
    } // React Strict Mode compatibility: if `nodeRef` is passed, we will use it instead of trying to find
    // the underlying DOM node ourselves. See the README for more information.

  }, {
    key: "findDOMNode",
    value: function findDOMNode()
    /*: ?HTMLElement*/
    {
      var _this$props$nodeRef$c, _this$props, _this$props$nodeRef;

      return (_this$props$nodeRef$c = (_this$props = this.props) === null || _this$props === void 0 ? void 0 : (_this$props$nodeRef = _this$props.nodeRef) === null || _this$props$nodeRef === void 0 ? void 0 : _this$props$nodeRef.current) !== null && _this$props$nodeRef$c !== void 0 ? _this$props$nodeRef$c : _reactDom.default.findDOMNode(this);
    }
  }, {
    key: "render",
    value: function render()
    /*: ReactElement<any>*/
    {
      var _clsx;

      var _this$props2 = this.props,
          axis = _this$props2.axis,
          bounds = _this$props2.bounds,
          children = _this$props2.children,
          defaultPosition = _this$props2.defaultPosition,
          defaultClassName = _this$props2.defaultClassName,
          defaultClassNameDragging = _this$props2.defaultClassNameDragging,
          defaultClassNameDragged = _this$props2.defaultClassNameDragged,
          position = _this$props2.position,
          positionOffset = _this$props2.positionOffset,
          scale = _this$props2.scale,
          draggableCoreProps = _objectWithoutProperties(_this$props2, _excluded);

      var style = {};
      var svgTransform = null; // If this is controlled, we don't want to move it - unless it's dragging.

      var controlled = Boolean(position);
      var draggable = !controlled || this.state.dragging;
      var validPosition = position || defaultPosition;
      var transformOpts = {
        // Set left if horizontal drag is enabled
        x: (0, _positionFns.canDragX)(this) && draggable ? this.state.x : validPosition.x,
        // Set top if vertical drag is enabled
        y: (0, _positionFns.canDragY)(this) && draggable ? this.state.y : validPosition.y
      }; // If this element was SVG, we use the `transform` attribute.

      if (this.state.isElementSVG) {
        svgTransform = (0, _domFns.createSVGTransform)(transformOpts, positionOffset);
      } else {
        // Add a CSS transform to move the element around. This allows us to move the element around
        // without worrying about whether or not it is relatively or absolutely positioned.
        // If the item you are dragging already has a transform set, wrap it in a <span> so <Draggable>
        // has a clean slate.
        style = (0, _domFns.createCSSTransform)(transformOpts, positionOffset);
      } // Mark with class while dragging


      var className = (0, _clsx2.default)(children.props.className || '', defaultClassName, (_clsx = {}, _defineProperty(_clsx, defaultClassNameDragging, this.state.dragging), _defineProperty(_clsx, defaultClassNameDragged, this.state.dragged), _clsx)); // Reuse the child provided
      // This makes it flexible to use whatever element is wanted (div, ul, etc)

      return /*#__PURE__*/React.createElement(_DraggableCore.default, _extends({}, draggableCoreProps, {
        onStart: this.onDragStart,
        onDrag: this.onDrag,
        onStop: this.onDragStop
      }), /*#__PURE__*/React.cloneElement(React.Children.only(children), {
        className: className,
        style: _objectSpread(_objectSpread({}, children.props.style), style),
        transform: svgTransform
      }));
    }
  }], [{
    key: "getDerivedStateFromProps",
    value: // React 16.3+
    // Arity (props, state)
    function getDerivedStateFromProps(_ref, _ref2)
    /*: ?$Shape<DraggableState>*/
    {
      var position = _ref.position;
      var prevPropsPosition = _ref2.prevPropsPosition;

      // Set x/y if a new position is provided in props that is different than the previous.
      if (position && (!prevPropsPosition || position.x !== prevPropsPosition.x || position.y !== prevPropsPosition.y)) {
        (0, _log.default)('Draggable: getDerivedStateFromProps %j', {
          position: position,
          prevPropsPosition: prevPropsPosition
        });
        return {
          x: position.x,
          y: position.y,
          prevPropsPosition: _objectSpread({}, position)
        };
      }

      return null;
    }
  }]);

  return Draggable;
}(React.Component);

exports["default"] = Draggable;

_defineProperty(Draggable, "displayName", 'Draggable');

_defineProperty(Draggable, "propTypes", _objectSpread(_objectSpread({}, _DraggableCore.default.propTypes), {}, {
  /**
   * `axis` determines which axis the draggable can move.
   *
   *  Note that all callbacks will still return data as normal. This only
   *  controls flushing to the DOM.
   *
   * 'both' allows movement horizontally and vertically.
   * 'x' limits movement to horizontal axis.
   * 'y' limits movement to vertical axis.
   * 'none' limits all movement.
   *
   * Defaults to 'both'.
   */
  axis: _propTypes.default.oneOf(['both', 'x', 'y', 'none']),

  /**
   * `bounds` determines the range of movement available to the element.
   * Available values are:
   *
   * 'parent' restricts movement within the Draggable's parent node.
   *
   * Alternatively, pass an object with the following properties, all of which are optional:
   *
   * {left: LEFT_BOUND, right: RIGHT_BOUND, bottom: BOTTOM_BOUND, top: TOP_BOUND}
   *
   * All values are in px.
   *
   * Example:
   *
   * ```jsx
   *   let App = React.createClass({
   *       render: function () {
   *         return (
   *            <Draggable bounds={{right: 300, bottom: 300}}>
   *              <div>Content</div>
   *           </Draggable>
   *         );
   *       }
   *   });
   * ```
   */
  bounds: _propTypes.default.oneOfType([_propTypes.default.shape({
    left: _propTypes.default.number,
    right: _propTypes.default.number,
    top: _propTypes.default.number,
    bottom: _propTypes.default.number
  }), _propTypes.default.string, _propTypes.default.oneOf([false])]),
  defaultClassName: _propTypes.default.string,
  defaultClassNameDragging: _propTypes.default.string,
  defaultClassNameDragged: _propTypes.default.string,

  /**
   * `defaultPosition` specifies the x and y that the dragged item should start at
   *
   * Example:
   *
   * ```jsx
   *      let App = React.createClass({
   *          render: function () {
   *              return (
   *                  <Draggable defaultPosition={{x: 25, y: 25}}>
   *                      <div>I start with transformX: 25px and transformY: 25px;</div>
   *                  </Draggable>
   *              );
   *          }
   *      });
   * ```
   */
  defaultPosition: _propTypes.default.shape({
    x: _propTypes.default.number,
    y: _propTypes.default.number
  }),
  positionOffset: _propTypes.default.shape({
    x: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.string]),
    y: _propTypes.default.oneOfType([_propTypes.default.number, _propTypes.default.string])
  }),

  /**
   * `position`, if present, defines the current position of the element.
   *
   *  This is similar to how form elements in React work - if no `position` is supplied, the component
   *  is uncontrolled.
   *
   * Example:
   *
   * ```jsx
   *      let App = React.createClass({
   *          render: function () {
   *              return (
   *                  <Draggable position={{x: 25, y: 25}}>
   *                      <div>I start with transformX: 25px and transformY: 25px;</div>
   *                  </Draggable>
   *              );
   *          }
   *      });
   * ```
   */
  position: _propTypes.default.shape({
    x: _propTypes.default.number,
    y: _propTypes.default.number
  }),

  /**
   * These properties should be defined on the child, not here.
   */
  className: _shims.dontSetMe,
  style: _shims.dontSetMe,
  transform: _shims.dontSetMe
}));

_defineProperty(Draggable, "defaultProps", _objectSpread(_objectSpread({}, _DraggableCore.default.defaultProps), {}, {
  axis: 'both',
  bounds: false,
  defaultClassName: 'react-draggable',
  defaultClassNameDragging: 'react-draggable-dragging',
  defaultClassNameDragged: 'react-draggable-dragged',
  defaultPosition: {
    x: 0,
    y: 0
  },
  scale: 1
}));

/***/ }),

/***/ 43605:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports["default"] = void 0;

var React = _interopRequireWildcard(__webpack_require__(51609));

var _propTypes = _interopRequireDefault(__webpack_require__(39067));

var _reactDom = _interopRequireDefault(__webpack_require__(75795));

var _domFns = __webpack_require__(1154);

var _positionFns = __webpack_require__(69951);

var _shims = __webpack_require__(37201);

var _log = _interopRequireDefault(__webpack_require__(48013));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// Simple abstraction for dragging events names.
var eventsFor = {
  touch: {
    start: 'touchstart',
    move: 'touchmove',
    stop: 'touchend'
  },
  mouse: {
    start: 'mousedown',
    move: 'mousemove',
    stop: 'mouseup'
  }
}; // Default to mouse events.

var dragEventFor = eventsFor.mouse;
/*:: type DraggableCoreState = {
  dragging: boolean,
  lastX: number,
  lastY: number,
  touchIdentifier: ?number
};*/

/*:: export type DraggableData = {
  node: HTMLElement,
  x: number, y: number,
  deltaX: number, deltaY: number,
  lastX: number, lastY: number,
};*/

/*:: export type DraggableEventHandler = (e: MouseEvent, data: DraggableData) => void | false;*/

/*:: export type ControlPosition = {x: number, y: number};*/

/*:: export type PositionOffsetControlPosition = {x: number|string, y: number|string};*/

/*:: export type DraggableCoreDefaultProps = {
  allowAnyClick: boolean,
  disabled: boolean,
  enableUserSelectHack: boolean,
  onStart: DraggableEventHandler,
  onDrag: DraggableEventHandler,
  onStop: DraggableEventHandler,
  onMouseDown: (e: MouseEvent) => void,
  scale: number,
};*/

/*:: export type DraggableCoreProps = {
  ...DraggableCoreDefaultProps,
  cancel: string,
  children: ReactElement<any>,
  offsetParent: HTMLElement,
  grid: [number, number],
  handle: string,
  nodeRef?: ?React.ElementRef<any>,
};*/

//
// Define <DraggableCore>.
//
// <DraggableCore> is for advanced usage of <Draggable>. It maintains minimal internal state so it can
// work well with libraries that require more control over the element.
//
var DraggableCore = /*#__PURE__*/function (_React$Component) {
  _inherits(DraggableCore, _React$Component);

  var _super = _createSuper(DraggableCore);

  function DraggableCore() {
    var _this;

    _classCallCheck(this, DraggableCore);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      dragging: false,
      // Used while dragging to determine deltas.
      lastX: NaN,
      lastY: NaN,
      touchIdentifier: null
    });

    _defineProperty(_assertThisInitialized(_this), "mounted", false);

    _defineProperty(_assertThisInitialized(_this), "handleDragStart", function (e) {
      // Make it possible to attach event handlers on top of this one.
      _this.props.onMouseDown(e); // Only accept left-clicks.


      if (!_this.props.allowAnyClick && typeof e.button === 'number' && e.button !== 0) return false; // Get nodes. Be sure to grab relative document (could be iframed)

      var thisNode = _this.findDOMNode();

      if (!thisNode || !thisNode.ownerDocument || !thisNode.ownerDocument.body) {
        throw new Error('<DraggableCore> not mounted on DragStart!');
      }

      var ownerDocument = thisNode.ownerDocument; // Short circuit if handle or cancel prop was provided and selector doesn't match.

      if (_this.props.disabled || !(e.target instanceof ownerDocument.defaultView.Node) || _this.props.handle && !(0, _domFns.matchesSelectorAndParentsTo)(e.target, _this.props.handle, thisNode) || _this.props.cancel && (0, _domFns.matchesSelectorAndParentsTo)(e.target, _this.props.cancel, thisNode)) {
        return;
      } // Prevent scrolling on mobile devices, like ipad/iphone.
      // Important that this is after handle/cancel.


      if (e.type === 'touchstart') e.preventDefault(); // Set touch identifier in component state if this is a touch event. This allows us to
      // distinguish between individual touches on multitouch screens by identifying which
      // touchpoint was set to this element.

      var touchIdentifier = (0, _domFns.getTouchIdentifier)(e);

      _this.setState({
        touchIdentifier: touchIdentifier
      }); // Get the current drag point from the event. This is used as the offset.


      var position = (0, _positionFns.getControlPosition)(e, touchIdentifier, _assertThisInitialized(_this));
      if (position == null) return; // not possible but satisfies flow

      var x = position.x,
          y = position.y; // Create an event object with all the data parents need to make a decision here.

      var coreEvent = (0, _positionFns.createCoreData)(_assertThisInitialized(_this), x, y);
      (0, _log.default)('DraggableCore: handleDragStart: %j', coreEvent); // Call event handler. If it returns explicit false, cancel.

      (0, _log.default)('calling', _this.props.onStart);

      var shouldUpdate = _this.props.onStart(e, coreEvent);

      if (shouldUpdate === false || _this.mounted === false) return; // Add a style to the body to disable user-select. This prevents text from
      // being selected all over the page.

      if (_this.props.enableUserSelectHack) (0, _domFns.addUserSelectStyles)(ownerDocument); // Initiate dragging. Set the current x and y as offsets
      // so we know how much we've moved during the drag. This allows us
      // to drag elements around even if they have been moved, without issue.

      _this.setState({
        dragging: true,
        lastX: x,
        lastY: y
      }); // Add events to the document directly so we catch when the user's mouse/touch moves outside of
      // this element. We use different events depending on whether or not we have detected that this
      // is a touch-capable device.


      (0, _domFns.addEvent)(ownerDocument, dragEventFor.move, _this.handleDrag);
      (0, _domFns.addEvent)(ownerDocument, dragEventFor.stop, _this.handleDragStop);
    });

    _defineProperty(_assertThisInitialized(_this), "handleDrag", function (e) {
      // Get the current drag point from the event. This is used as the offset.
      var position = (0, _positionFns.getControlPosition)(e, _this.state.touchIdentifier, _assertThisInitialized(_this));
      if (position == null) return;
      var x = position.x,
          y = position.y; // Snap to grid if prop has been provided

      if (Array.isArray(_this.props.grid)) {
        var deltaX = x - _this.state.lastX,
            deltaY = y - _this.state.lastY;

        var _snapToGrid = (0, _positionFns.snapToGrid)(_this.props.grid, deltaX, deltaY);

        var _snapToGrid2 = _slicedToArray(_snapToGrid, 2);

        deltaX = _snapToGrid2[0];
        deltaY = _snapToGrid2[1];
        if (!deltaX && !deltaY) return; // skip useless drag

        x = _this.state.lastX + deltaX, y = _this.state.lastY + deltaY;
      }

      var coreEvent = (0, _positionFns.createCoreData)(_assertThisInitialized(_this), x, y);
      (0, _log.default)('DraggableCore: handleDrag: %j', coreEvent); // Call event handler. If it returns explicit false, trigger end.

      var shouldUpdate = _this.props.onDrag(e, coreEvent);

      if (shouldUpdate === false || _this.mounted === false) {
        try {
          // $FlowIgnore
          _this.handleDragStop(new MouseEvent('mouseup'));
        } catch (err) {
          // Old browsers
          var event = ((document.createEvent('MouseEvents')
          /*: any*/
          )
          /*: MouseTouchEvent*/
          ); // I see why this insanity was deprecated
          // $FlowIgnore

          event.initMouseEvent('mouseup', true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);

          _this.handleDragStop(event);
        }

        return;
      }

      _this.setState({
        lastX: x,
        lastY: y
      });
    });

    _defineProperty(_assertThisInitialized(_this), "handleDragStop", function (e) {
      if (!_this.state.dragging) return;
      var position = (0, _positionFns.getControlPosition)(e, _this.state.touchIdentifier, _assertThisInitialized(_this));
      if (position == null) return;
      var x = position.x,
          y = position.y;
      var coreEvent = (0, _positionFns.createCoreData)(_assertThisInitialized(_this), x, y); // Call event handler

      var shouldContinue = _this.props.onStop(e, coreEvent);

      if (shouldContinue === false || _this.mounted === false) return false;

      var thisNode = _this.findDOMNode();

      if (thisNode) {
        // Remove user-select hack
        if (_this.props.enableUserSelectHack) (0, _domFns.removeUserSelectStyles)(thisNode.ownerDocument);
      }

      (0, _log.default)('DraggableCore: handleDragStop: %j', coreEvent); // Reset the el.

      _this.setState({
        dragging: false,
        lastX: NaN,
        lastY: NaN
      });

      if (thisNode) {
        // Remove event handlers
        (0, _log.default)('DraggableCore: Removing handlers');
        (0, _domFns.removeEvent)(thisNode.ownerDocument, dragEventFor.move, _this.handleDrag);
        (0, _domFns.removeEvent)(thisNode.ownerDocument, dragEventFor.stop, _this.handleDragStop);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onMouseDown", function (e) {
      dragEventFor = eventsFor.mouse; // on touchscreen laptops we could switch back to mouse

      return _this.handleDragStart(e);
    });

    _defineProperty(_assertThisInitialized(_this), "onMouseUp", function (e) {
      dragEventFor = eventsFor.mouse;
      return _this.handleDragStop(e);
    });

    _defineProperty(_assertThisInitialized(_this), "onTouchStart", function (e) {
      // We're on a touch device now, so change the event handlers
      dragEventFor = eventsFor.touch;
      return _this.handleDragStart(e);
    });

    _defineProperty(_assertThisInitialized(_this), "onTouchEnd", function (e) {
      // We're on a touch device now, so change the event handlers
      dragEventFor = eventsFor.touch;
      return _this.handleDragStop(e);
    });

    return _this;
  }

  _createClass(DraggableCore, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.mounted = true; // Touch handlers must be added with {passive: false} to be cancelable.
      // https://developers.google.com/web/updates/2017/01/scrolling-intervention

      var thisNode = this.findDOMNode();

      if (thisNode) {
        (0, _domFns.addEvent)(thisNode, eventsFor.touch.start, this.onTouchStart, {
          passive: false
        });
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.mounted = false; // Remove any leftover event handlers. Remove both touch and mouse handlers in case
      // some browser quirk caused a touch event to fire during a mouse move, or vice versa.

      var thisNode = this.findDOMNode();

      if (thisNode) {
        var ownerDocument = thisNode.ownerDocument;
        (0, _domFns.removeEvent)(ownerDocument, eventsFor.mouse.move, this.handleDrag);
        (0, _domFns.removeEvent)(ownerDocument, eventsFor.touch.move, this.handleDrag);
        (0, _domFns.removeEvent)(ownerDocument, eventsFor.mouse.stop, this.handleDragStop);
        (0, _domFns.removeEvent)(ownerDocument, eventsFor.touch.stop, this.handleDragStop);
        (0, _domFns.removeEvent)(thisNode, eventsFor.touch.start, this.onTouchStart, {
          passive: false
        });
        if (this.props.enableUserSelectHack) (0, _domFns.removeUserSelectStyles)(ownerDocument);
      }
    } // React Strict Mode compatibility: if `nodeRef` is passed, we will use it instead of trying to find
    // the underlying DOM node ourselves. See the README for more information.

  }, {
    key: "findDOMNode",
    value: function findDOMNode()
    /*: ?HTMLElement*/
    {
      var _this$props$nodeRef$c, _this$props, _this$props$nodeRef;

      return (_this$props$nodeRef$c = (_this$props = this.props) === null || _this$props === void 0 ? void 0 : (_this$props$nodeRef = _this$props.nodeRef) === null || _this$props$nodeRef === void 0 ? void 0 : _this$props$nodeRef.current) !== null && _this$props$nodeRef$c !== void 0 ? _this$props$nodeRef$c : _reactDom.default.findDOMNode(this);
    }
  }, {
    key: "render",
    value: function render()
    /*: React.Element<any>*/
    {
      // Reuse the child provided
      // This makes it flexible to use whatever element is wanted (div, ul, etc)
      return /*#__PURE__*/React.cloneElement(React.Children.only(this.props.children), {
        // Note: mouseMove handler is attached to document so it will still function
        // when the user drags quickly and leaves the bounds of the element.
        onMouseDown: this.onMouseDown,
        onMouseUp: this.onMouseUp,
        // onTouchStart is added on `componentDidMount` so they can be added with
        // {passive: false}, which allows it to cancel. See
        // https://developers.google.com/web/updates/2017/01/scrolling-intervention
        onTouchEnd: this.onTouchEnd
      });
    }
  }]);

  return DraggableCore;
}(React.Component);

exports["default"] = DraggableCore;

_defineProperty(DraggableCore, "displayName", 'DraggableCore');

_defineProperty(DraggableCore, "propTypes", {
  /**
   * `allowAnyClick` allows dragging using any mouse button.
   * By default, we only accept the left button.
   *
   * Defaults to `false`.
   */
  allowAnyClick: _propTypes.default.bool,

  /**
   * `disabled`, if true, stops the <Draggable> from dragging. All handlers,
   * with the exception of `onMouseDown`, will not fire.
   */
  disabled: _propTypes.default.bool,

  /**
   * By default, we add 'user-select:none' attributes to the document body
   * to prevent ugly text selection during drag. If this is causing problems
   * for your app, set this to `false`.
   */
  enableUserSelectHack: _propTypes.default.bool,

  /**
   * `offsetParent`, if set, uses the passed DOM node to compute drag offsets
   * instead of using the parent node.
   */
  offsetParent: function offsetParent(props
  /*: DraggableCoreProps*/
  , propName
  /*: $Keys<DraggableCoreProps>*/
  ) {
    if (props[propName] && props[propName].nodeType !== 1) {
      throw new Error('Draggable\'s offsetParent must be a DOM Node.');
    }
  },

  /**
   * `grid` specifies the x and y that dragging should snap to.
   */
  grid: _propTypes.default.arrayOf(_propTypes.default.number),

  /**
   * `handle` specifies a selector to be used as the handle that initiates drag.
   *
   * Example:
   *
   * ```jsx
   *   let App = React.createClass({
   *       render: function () {
   *         return (
   *            <Draggable handle=".handle">
   *              <div>
   *                  <div className="handle">Click me to drag</div>
   *                  <div>This is some other content</div>
   *              </div>
   *           </Draggable>
   *         );
   *       }
   *   });
   * ```
   */
  handle: _propTypes.default.string,

  /**
   * `cancel` specifies a selector to be used to prevent drag initialization.
   *
   * Example:
   *
   * ```jsx
   *   let App = React.createClass({
   *       render: function () {
   *           return(
   *               <Draggable cancel=".cancel">
   *                   <div>
   *                     <div className="cancel">You can't drag from here</div>
   *                     <div>Dragging here works fine</div>
   *                   </div>
   *               </Draggable>
   *           );
   *       }
   *   });
   * ```
   */
  cancel: _propTypes.default.string,

  /* If running in React Strict mode, ReactDOM.findDOMNode() is deprecated.
   * Unfortunately, in order for <Draggable> to work properly, we need raw access
   * to the underlying DOM node. If you want to avoid the warning, pass a `nodeRef`
   * as in this example:
   *
   * function MyComponent() {
   *   const nodeRef = React.useRef(null);
   *   return (
   *     <Draggable nodeRef={nodeRef}>
   *       <div ref={nodeRef}>Example Target</div>
   *     </Draggable>
   *   );
   * }
   *
   * This can be used for arbitrarily nested components, so long as the ref ends up
   * pointing to the actual child DOM node and not a custom component.
   */
  nodeRef: _propTypes.default.object,

  /**
   * Called when dragging starts.
   * If this function returns the boolean false, dragging will be canceled.
   */
  onStart: _propTypes.default.func,

  /**
   * Called while dragging.
   * If this function returns the boolean false, dragging will be canceled.
   */
  onDrag: _propTypes.default.func,

  /**
   * Called when dragging stops.
   * If this function returns the boolean false, the drag will remain active.
   */
  onStop: _propTypes.default.func,

  /**
   * A workaround option which can be passed if onMouseDown needs to be accessed,
   * since it'll always be blocked (as there is internal use of onMouseDown)
   */
  onMouseDown: _propTypes.default.func,

  /**
   * `scale`, if set, applies scaling while dragging an element
   */
  scale: _propTypes.default.number,

  /**
   * These properties should be defined on the child, not here.
   */
  className: _shims.dontSetMe,
  style: _shims.dontSetMe,
  transform: _shims.dontSetMe
});

_defineProperty(DraggableCore, "defaultProps", {
  allowAnyClick: false,
  // by default only accept left click
  disabled: false,
  enableUserSelectHack: true,
  onStart: function onStart() {},
  onDrag: function onDrag() {},
  onStop: function onStop() {},
  onMouseDown: function onMouseDown() {},
  scale: 1
});

/***/ }),

/***/ 89463:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var _require = __webpack_require__(11442),
    Draggable = _require.default,
    DraggableCore = _require.DraggableCore; // Previous versions of this lib exported <Draggable> as the root export. As to no-// them, or TypeScript, we export *both* as the root and as 'default'.
// See https://github.com/mzabriskie/react-draggable/pull/254
// and https://github.com/mzabriskie/react-draggable/issues/266


module.exports = Draggable;
module.exports["default"] = Draggable;
module.exports.DraggableCore = DraggableCore;

/***/ }),

/***/ 1154:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.matchesSelector = matchesSelector;
exports.matchesSelectorAndParentsTo = matchesSelectorAndParentsTo;
exports.addEvent = addEvent;
exports.removeEvent = removeEvent;
exports.outerHeight = outerHeight;
exports.outerWidth = outerWidth;
exports.innerHeight = innerHeight;
exports.innerWidth = innerWidth;
exports.offsetXYFromParent = offsetXYFromParent;
exports.createCSSTransform = createCSSTransform;
exports.createSVGTransform = createSVGTransform;
exports.getTranslation = getTranslation;
exports.getTouch = getTouch;
exports.getTouchIdentifier = getTouchIdentifier;
exports.addUserSelectStyles = addUserSelectStyles;
exports.removeUserSelectStyles = removeUserSelectStyles;
exports.addClassName = addClassName;
exports.removeClassName = removeClassName;

var _shims = __webpack_require__(37201);

var _getPrefix = _interopRequireWildcard(__webpack_require__(25615));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var matchesSelectorFunc = '';

function matchesSelector(el
/*: Node*/
, selector
/*: string*/
)
/*: boolean*/
{
  if (!matchesSelectorFunc) {
    matchesSelectorFunc = (0, _shims.findInArray)(['matches', 'webkitMatchesSelector', 'mozMatchesSelector', 'msMatchesSelector', 'oMatchesSelector'], function (method) {
      // $FlowIgnore: Doesn't think elements are indexable
      return (0, _shims.isFunction)(el[method]);
    });
  } // Might not be found entirely (not an Element?) - in that case, bail
  // $FlowIgnore: Doesn't think elements are indexable


  if (!(0, _shims.isFunction)(el[matchesSelectorFunc])) return false; // $FlowIgnore: Doesn't think elements are indexable

  return el[matchesSelectorFunc](selector);
} // Works up the tree to the draggable itself attempting to match selector.


function matchesSelectorAndParentsTo(el
/*: Node*/
, selector
/*: string*/
, baseNode
/*: Node*/
)
/*: boolean*/
{
  var node = el;

  do {
    if (matchesSelector(node, selector)) return true;
    if (node === baseNode) return false;
    node = node.parentNode;
  } while (node);

  return false;
}

function addEvent(el
/*: ?Node*/
, event
/*: string*/
, handler
/*: Function*/
, inputOptions
/*: Object*/
)
/*: void*/
{
  if (!el) return;

  var options = _objectSpread({
    capture: true
  }, inputOptions); // $FlowIgnore[method-unbinding]


  if (el.addEventListener) {
    el.addEventListener(event, handler, options);
  } else if (el.attachEvent) {
    el.attachEvent('on' + event, handler);
  } else {
    // $FlowIgnore: Doesn't think elements are indexable
    el['on' + event] = handler;
  }
}

function removeEvent(el
/*: ?Node*/
, event
/*: string*/
, handler
/*: Function*/
, inputOptions
/*: Object*/
)
/*: void*/
{
  if (!el) return;

  var options = _objectSpread({
    capture: true
  }, inputOptions); // $FlowIgnore[method-unbinding]


  if (el.removeEventListener) {
    el.removeEventListener(event, handler, options);
  } else if (el.detachEvent) {
    el.detachEvent('on' + event, handler);
  } else {
    // $FlowIgnore: Doesn't think elements are indexable
    el['on' + event] = null;
  }
}

function outerHeight(node
/*: HTMLElement*/
)
/*: number*/
{
  // This is deliberately excluding margin for our calculations, since we are using
  // offsetTop which is including margin. See getBoundPosition
  var height = node.clientHeight;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  height += (0, _shims.int)(computedStyle.borderTopWidth);
  height += (0, _shims.int)(computedStyle.borderBottomWidth);
  return height;
}

function outerWidth(node
/*: HTMLElement*/
)
/*: number*/
{
  // This is deliberately excluding margin for our calculations, since we are using
  // offsetLeft which is including margin. See getBoundPosition
  var width = node.clientWidth;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  width += (0, _shims.int)(computedStyle.borderLeftWidth);
  width += (0, _shims.int)(computedStyle.borderRightWidth);
  return width;
}

function innerHeight(node
/*: HTMLElement*/
)
/*: number*/
{
  var height = node.clientHeight;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  height -= (0, _shims.int)(computedStyle.paddingTop);
  height -= (0, _shims.int)(computedStyle.paddingBottom);
  return height;
}

function innerWidth(node
/*: HTMLElement*/
)
/*: number*/
{
  var width = node.clientWidth;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  width -= (0, _shims.int)(computedStyle.paddingLeft);
  width -= (0, _shims.int)(computedStyle.paddingRight);
  return width;
}
/*:: interface EventWithOffset {
  clientX: number, clientY: number
}*/


// Get from offsetParent
function offsetXYFromParent(evt
/*: EventWithOffset*/
, offsetParent
/*: HTMLElement*/
, scale
/*: number*/
)
/*: ControlPosition*/
{
  var isBody = offsetParent === offsetParent.ownerDocument.body;
  var offsetParentRect = isBody ? {
    left: 0,
    top: 0
  } : offsetParent.getBoundingClientRect();
  var x = (evt.clientX + offsetParent.scrollLeft - offsetParentRect.left) / scale;
  var y = (evt.clientY + offsetParent.scrollTop - offsetParentRect.top) / scale;
  return {
    x: x,
    y: y
  };
}

function createCSSTransform(controlPos
/*: ControlPosition*/
, positionOffset
/*: PositionOffsetControlPosition*/
)
/*: Object*/
{
  var translation = getTranslation(controlPos, positionOffset, 'px');
  return _defineProperty({}, (0, _getPrefix.browserPrefixToKey)('transform', _getPrefix.default), translation);
}

function createSVGTransform(controlPos
/*: ControlPosition*/
, positionOffset
/*: PositionOffsetControlPosition*/
)
/*: string*/
{
  var translation = getTranslation(controlPos, positionOffset, '');
  return translation;
}

function getTranslation(_ref2, positionOffset
/*: PositionOffsetControlPosition*/
, unitSuffix
/*: string*/
)
/*: string*/
{
  var x = _ref2.x,
      y = _ref2.y;
  var translation = "translate(".concat(x).concat(unitSuffix, ",").concat(y).concat(unitSuffix, ")");

  if (positionOffset) {
    var defaultX = "".concat(typeof positionOffset.x === 'string' ? positionOffset.x : positionOffset.x + unitSuffix);
    var defaultY = "".concat(typeof positionOffset.y === 'string' ? positionOffset.y : positionOffset.y + unitSuffix);
    translation = "translate(".concat(defaultX, ", ").concat(defaultY, ")") + translation;
  }

  return translation;
}

function getTouch(e
/*: MouseTouchEvent*/
, identifier
/*: number*/
)
/*: ?{clientX: number, clientY: number}*/
{
  return e.targetTouches && (0, _shims.findInArray)(e.targetTouches, function (t) {
    return identifier === t.identifier;
  }) || e.changedTouches && (0, _shims.findInArray)(e.changedTouches, function (t) {
    return identifier === t.identifier;
  });
}

function getTouchIdentifier(e
/*: MouseTouchEvent*/
)
/*: ?number*/
{
  if (e.targetTouches && e.targetTouches[0]) return e.targetTouches[0].identifier;
  if (e.changedTouches && e.changedTouches[0]) return e.changedTouches[0].identifier;
} // User-select Hacks:
//
// Useful for preventing blue highlights all over everything when dragging.
// Note we're passing `document` b/c we could be iframed


function addUserSelectStyles(doc
/*: ?Document*/
) {
  if (!doc) return;
  var styleEl = doc.getElementById('react-draggable-style-el');

  if (!styleEl) {
    styleEl = doc.createElement('style');
    styleEl.type = 'text/css';
    styleEl.id = 'react-draggable-style-el';
    styleEl.innerHTML = '.react-draggable-transparent-selection *::-moz-selection {all: inherit;}\n';
    styleEl.innerHTML += '.react-draggable-transparent-selection *::selection {all: inherit;}\n';
    doc.getElementsByTagName('head')[0].appendChild(styleEl);
  }

  if (doc.body) addClassName(doc.body, 'react-draggable-transparent-selection');
}

function removeUserSelectStyles(doc
/*: ?Document*/
) {
  if (!doc) return;

  try {
    if (doc.body) removeClassName(doc.body, 'react-draggable-transparent-selection'); // $FlowIgnore: IE

    if (doc.selection) {
      // $FlowIgnore: IE
      doc.selection.empty();
    } else {
      // Remove selection caused by scroll, unless it's a focused input
      // (we use doc.defaultView in case we're in an iframe)
      var selection = (doc.defaultView || window).getSelection();

      if (selection && selection.type !== 'Caret') {
        selection.removeAllRanges();
      }
    }
  } catch (e) {// probably IE
  }
}

function addClassName(el
/*: HTMLElement*/
, className
/*: string*/
) {
  if (el.classList) {
    el.classList.add(className);
  } else {
    if (!el.className.match(new RegExp("(?:^|\\s)".concat(className, "(?!\\S)")))) {
      el.className += " ".concat(className);
    }
  }
}

function removeClassName(el
/*: HTMLElement*/
, className
/*: string*/
) {
  if (el.classList) {
    el.classList.remove(className);
  } else {
    el.className = el.className.replace(new RegExp("(?:^|\\s)".concat(className, "(?!\\S)"), 'g'), '');
  }
}

/***/ }),

/***/ 25615:
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.getPrefix = getPrefix;
exports.browserPrefixToKey = browserPrefixToKey;
exports.browserPrefixToStyle = browserPrefixToStyle;
exports["default"] = void 0;
var prefixes = ['Moz', 'Webkit', 'O', 'ms'];

function getPrefix()
/*: string*/
{
  var _window$document, _window$document$docu;

  var prop
  /*: string*/
  = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'transform';
  // Ensure we're running in an environment where there is actually a global
  // `window` obj
  if (false) {} // If we're in a pseudo-browser server-side environment, this access
  // path may not exist, so bail out if it doesn't.

  var style = (_window$document = window.document) === null || _window$document === void 0 ? void 0 : (_window$document$docu = _window$document.documentElement) === null || _window$document$docu === void 0 ? void 0 : _window$document$docu.style;
  if (!style) return '';
  if (prop in style) return '';

  for (var i = 0; i < prefixes.length; i++) {
    if (browserPrefixToKey(prop, prefixes[i]) in style) return prefixes[i];
  }

  return '';
}

function browserPrefixToKey(prop
/*: string*/
, prefix
/*: string*/
)
/*: string*/
{
  return prefix ? "".concat(prefix).concat(kebabToTitleCase(prop)) : prop;
}

function browserPrefixToStyle(prop
/*: string*/
, prefix
/*: string*/
)
/*: string*/
{
  return prefix ? "-".concat(prefix.toLowerCase(), "-").concat(prop) : prop;
}

function kebabToTitleCase(str
/*: string*/
)
/*: string*/
{
  var out = '';
  var shouldCapitalize = true;

  for (var i = 0; i < str.length; i++) {
    if (shouldCapitalize) {
      out += str[i].toUpperCase();
      shouldCapitalize = false;
    } else if (str[i] === '-') {
      shouldCapitalize = true;
    } else {
      out += str[i];
    }
  }

  return out;
} // Default export is the prefix itself, like 'Moz', 'Webkit', etc
// Note that you may have to re-test for certain things; for instance, Chrome 50
// can handle unprefixed `transform`, but not unprefixed `user-select`


var _default = (getPrefix()
/*: string*/
);

exports["default"] = _default;

/***/ }),

/***/ 48013:
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports["default"] = log;

/*eslint no-console:0*/
function log() {
  var _console;

  if (false) {}
}

/***/ }),

/***/ 69951:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.getBoundPosition = getBoundPosition;
exports.snapToGrid = snapToGrid;
exports.canDragX = canDragX;
exports.canDragY = canDragY;
exports.getControlPosition = getControlPosition;
exports.createCoreData = createCoreData;
exports.createDraggableData = createDraggableData;

var _shims = __webpack_require__(37201);

var _domFns = __webpack_require__(1154);

function getBoundPosition(draggable
/*: Draggable*/
, x
/*: number*/
, y
/*: number*/
)
/*: [number, number]*/
{
  // If no bounds, short-circuit and move on
  if (!draggable.props.bounds) return [x, y]; // Clone new bounds

  var bounds = draggable.props.bounds;
  bounds = typeof bounds === 'string' ? bounds : cloneBounds(bounds);
  var node = findDOMNode(draggable);

  if (typeof bounds === 'string') {
    var ownerDocument = node.ownerDocument;
    var ownerWindow = ownerDocument.defaultView;
    var boundNode;

    if (bounds === 'parent') {
      boundNode = node.parentNode;
    } else {
      boundNode = ownerDocument.querySelector(bounds);
    }

    if (!(boundNode instanceof ownerWindow.HTMLElement)) {
      throw new Error('Bounds selector "' + bounds + '" could not find an element.');
    }

    var boundNodeEl
    /*: HTMLElement*/
    = boundNode; // for Flow, can't seem to refine correctly

    var nodeStyle = ownerWindow.getComputedStyle(node);
    var boundNodeStyle = ownerWindow.getComputedStyle(boundNodeEl); // Compute bounds. This is a pain with padding and offsets but this gets it exactly right.

    bounds = {
      left: -node.offsetLeft + (0, _shims.int)(boundNodeStyle.paddingLeft) + (0, _shims.int)(nodeStyle.marginLeft),
      top: -node.offsetTop + (0, _shims.int)(boundNodeStyle.paddingTop) + (0, _shims.int)(nodeStyle.marginTop),
      right: (0, _domFns.innerWidth)(boundNodeEl) - (0, _domFns.outerWidth)(node) - node.offsetLeft + (0, _shims.int)(boundNodeStyle.paddingRight) - (0, _shims.int)(nodeStyle.marginRight),
      bottom: (0, _domFns.innerHeight)(boundNodeEl) - (0, _domFns.outerHeight)(node) - node.offsetTop + (0, _shims.int)(boundNodeStyle.paddingBottom) - (0, _shims.int)(nodeStyle.marginBottom)
    };
  } // Keep x and y below right and bottom limits...


  if ((0, _shims.isNum)(bounds.right)) x = Math.min(x, bounds.right);
  if ((0, _shims.isNum)(bounds.bottom)) y = Math.min(y, bounds.bottom); // But above left and top limits.

  if ((0, _shims.isNum)(bounds.left)) x = Math.max(x, bounds.left);
  if ((0, _shims.isNum)(bounds.top)) y = Math.max(y, bounds.top);
  return [x, y];
}

function snapToGrid(grid
/*: [number, number]*/
, pendingX
/*: number*/
, pendingY
/*: number*/
)
/*: [number, number]*/
{
  var x = Math.round(pendingX / grid[0]) * grid[0];
  var y = Math.round(pendingY / grid[1]) * grid[1];
  return [x, y];
}

function canDragX(draggable
/*: Draggable*/
)
/*: boolean*/
{
  return draggable.props.axis === 'both' || draggable.props.axis === 'x';
}

function canDragY(draggable
/*: Draggable*/
)
/*: boolean*/
{
  return draggable.props.axis === 'both' || draggable.props.axis === 'y';
} // Get {x, y} positions from event.


function getControlPosition(e
/*: MouseTouchEvent*/
, touchIdentifier
/*: ?number*/
, draggableCore
/*: DraggableCore*/
)
/*: ?ControlPosition*/
{
  var touchObj = typeof touchIdentifier === 'number' ? (0, _domFns.getTouch)(e, touchIdentifier) : null;
  if (typeof touchIdentifier === 'number' && !touchObj) return null; // not the right touch

  var node = findDOMNode(draggableCore); // User can provide an offsetParent if desired.

  var offsetParent = draggableCore.props.offsetParent || node.offsetParent || node.ownerDocument.body;
  return (0, _domFns.offsetXYFromParent)(touchObj || e, offsetParent, draggableCore.props.scale);
} // Create an data object exposed by <DraggableCore>'s events


function createCoreData(draggable
/*: DraggableCore*/
, x
/*: number*/
, y
/*: number*/
)
/*: DraggableData*/
{
  var state = draggable.state;
  var isStart = !(0, _shims.isNum)(state.lastX);
  var node = findDOMNode(draggable);

  if (isStart) {
    // If this is our first move, use the x and y as last coords.
    return {
      node: node,
      deltaX: 0,
      deltaY: 0,
      lastX: x,
      lastY: y,
      x: x,
      y: y
    };
  } else {
    // Otherwise calculate proper values.
    return {
      node: node,
      deltaX: x - state.lastX,
      deltaY: y - state.lastY,
      lastX: state.lastX,
      lastY: state.lastY,
      x: x,
      y: y
    };
  }
} // Create an data exposed by <Draggable>'s events


function createDraggableData(draggable
/*: Draggable*/
, coreData
/*: DraggableData*/
)
/*: DraggableData*/
{
  var scale = draggable.props.scale;
  return {
    node: coreData.node,
    x: draggable.state.x + coreData.deltaX / scale,
    y: draggable.state.y + coreData.deltaY / scale,
    deltaX: coreData.deltaX / scale,
    deltaY: coreData.deltaY / scale,
    lastX: draggable.state.x,
    lastY: draggable.state.y
  };
} // A lot faster than stringify/parse


function cloneBounds(bounds
/*: Bounds*/
)
/*: Bounds*/
{
  return {
    left: bounds.left,
    top: bounds.top,
    right: bounds.right,
    bottom: bounds.bottom
  };
}

function findDOMNode(draggable
/*: Draggable | DraggableCore*/
)
/*: HTMLElement*/
{
  var node = draggable.findDOMNode();

  if (!node) {
    throw new Error('<DraggableCore>: Unmounted during event!');
  } // $FlowIgnore we can't assert on HTMLElement due to tests... FIXME


  return node;
}

/***/ }),

/***/ 37201:
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.findInArray = findInArray;
exports.isFunction = isFunction;
exports.isNum = isNum;
exports.int = int;
exports.dontSetMe = dontSetMe;

// @credits https://gist.github.com/rogozhnikoff/a43cfed27c41e4e68cdc
function findInArray(array
/*: Array<any> | TouchList*/
, callback
/*: Function*/
)
/*: any*/
{
  for (var i = 0, length = array.length; i < length; i++) {
    if (callback.apply(callback, [array[i], i, array])) return array[i];
  }
}

function isFunction(func
/*: any*/
)
/*: boolean %checks*/
{
  // $FlowIgnore[method-unbinding]
  return typeof func === 'function' || Object.prototype.toString.call(func) === '[object Function]';
}

function isNum(num
/*: any*/
)
/*: boolean %checks*/
{
  return typeof num === 'number' && !isNaN(num);
}

function int(a
/*: string*/
)
/*: number*/
{
  return parseInt(a, 10);
}

function dontSetMe(props
/*: Object*/
, propName
/*: string*/
, componentName
/*: string*/
)
/*: ?Error*/
{
  if (props[propName]) {
    return new Error("Invalid prop ".concat(propName, " passed to ").concat(componentName, " - do not set this, set it on the child."));
  }
}

/***/ }),

/***/ 31126:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

var __webpack_unused_export__;
var React = __webpack_require__(51609);

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n["default"] = e;
  return n;
}

var React__namespace = /*#__PURE__*/_interopNamespace(React);

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;

  _setPrototypeOf(subClass, superClass);
}

function _setPrototypeOf(o, p) {
  _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
    o.__proto__ = p;
    return o;
  };

  return _setPrototypeOf(o, p);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

var observerMap = new Map();
var RootIds = new WeakMap();
var rootId = 0;
var unsupportedValue = undefined;
/**
 * What should be the default behavior if the IntersectionObserver is unsupported?
 * Ideally the polyfill has been loaded, you can have the following happen:
 * - `undefined`: Throw an error
 * - `true` or `false`: Set the `inView` value to this regardless of intersection state
 * **/

function defaultFallbackInView(inView) {
  unsupportedValue = inView;
}
/**
 * Generate a unique ID for the root element
 * @param root
 */

function getRootId(root) {
  if (!root) return '0';
  if (RootIds.has(root)) return RootIds.get(root);
  rootId += 1;
  RootIds.set(root, rootId.toString());
  return RootIds.get(root);
}
/**
 * Convert the options to a string Id, based on the values.
 * Ensures we can reuse the same observer when observing elements with the same options.
 * @param options
 */


function optionsToId(options) {
  return Object.keys(options).sort().filter(function (key) {
    return options[key] !== undefined;
  }).map(function (key) {
    return key + "_" + (key === 'root' ? getRootId(options.root) : options[key]);
  }).toString();
}

function createObserver(options) {
  // Create a unique ID for this observer instance, based on the root, root margin and threshold.
  var id = optionsToId(options);
  var instance = observerMap.get(id);

  if (!instance) {
    // Create a map of elements this observer is going to observe. Each element has a list of callbacks that should be triggered, once it comes into view.
    var elements = new Map();
    var thresholds;
    var observer = new IntersectionObserver(function (entries) {
      entries.forEach(function (entry) {
        var _elements$get;

        // While it would be nice if you could just look at isIntersecting to determine if the component is inside the viewport, browsers can't agree on how to use it.
        // -Firefox ignores `threshold` when considering `isIntersecting`, so it will never be false again if `threshold` is > 0
        var inView = entry.isIntersecting && thresholds.some(function (threshold) {
          return entry.intersectionRatio >= threshold;
        }); // @ts-ignore support IntersectionObserver v2

        if (options.trackVisibility && typeof entry.isVisible === 'undefined') {
          // The browser doesn't support Intersection Observer v2, falling back to v1 behavior.
          // @ts-ignore
          entry.isVisible = inView;
        }

        (_elements$get = elements.get(entry.target)) == null ? void 0 : _elements$get.forEach(function (callback) {
          callback(inView, entry);
        });
      });
    }, options); // Ensure we have a valid thresholds array. If not, use the threshold from the options

    thresholds = observer.thresholds || (Array.isArray(options.threshold) ? options.threshold : [options.threshold || 0]);
    instance = {
      id: id,
      observer: observer,
      elements: elements
    };
    observerMap.set(id, instance);
  }

  return instance;
}
/**
 * @param element - DOM Element to observe
 * @param callback - Callback function to trigger when intersection status changes
 * @param options - Intersection Observer options
 * @param fallbackInView - Fallback inView value.
 * @return Function - Cleanup function that should be triggered to unregister the observer
 */


function observe(element, callback, options, fallbackInView) {
  if (options === void 0) {
    options = {};
  }

  if (fallbackInView === void 0) {
    fallbackInView = unsupportedValue;
  }

  if (typeof window.IntersectionObserver === 'undefined' && fallbackInView !== undefined) {
    var bounds = element.getBoundingClientRect();
    callback(fallbackInView, {
      isIntersecting: fallbackInView,
      target: element,
      intersectionRatio: typeof options.threshold === 'number' ? options.threshold : 0,
      time: 0,
      boundingClientRect: bounds,
      intersectionRect: bounds,
      rootBounds: bounds
    });
    return function () {// Nothing to cleanup
    };
  } // An observer with the same options can be reused, so lets use this fact


  var _createObserver = createObserver(options),
      id = _createObserver.id,
      observer = _createObserver.observer,
      elements = _createObserver.elements; // Register the callback listener for this element


  var callbacks = elements.get(element) || [];

  if (!elements.has(element)) {
    elements.set(element, callbacks);
  }

  callbacks.push(callback);
  observer.observe(element);
  return function unobserve() {
    // Remove the callback from the callback list
    callbacks.splice(callbacks.indexOf(callback), 1);

    if (callbacks.length === 0) {
      // No more callback exists for element, so destroy it
      elements["delete"](element);
      observer.unobserve(element);
    }

    if (elements.size === 0) {
      // No more elements are being observer by this instance, so destroy it
      observer.disconnect();
      observerMap["delete"](id);
    }
  };
}

var _excluded = ["children", "as", "triggerOnce", "threshold", "root", "rootMargin", "onChange", "skip", "trackVisibility", "delay", "initialInView", "fallbackInView"];

function isPlainChildren(props) {
  return typeof props.children !== 'function';
}
/**
 ## Render props

 To use the `<InView>` component, you pass it a function. It will be called
 whenever the state changes, with the new value of `inView`. In addition to the
 `inView` prop, children also receive a `ref` that should be set on the
 containing DOM element. This is the element that the IntersectionObserver will
 monitor.

 If you need it, you can also access the
 [`IntersectionObserverEntry`](https://developer.mozilla.org/en-US/docs/Web/API/IntersectionObserverEntry)
 on `entry`, giving you access to all the details about the current intersection
 state.

 ```jsx
 import { InView } from 'react-intersection-observer';

 const Component = () => (
 <InView>
 {({ inView, ref, entry }) => (
      <div ref={ref}>
        <h2>{`Header inside viewport ${inView}.`}</h2>
      </div>
    )}
 </InView>
 );

 export default Component;
 ```

 ## Plain children

 You can pass any element to the `<InView />`, and it will handle creating the
 wrapping DOM element. Add a handler to the `onChange` method, and control the
 state in your own component. Any extra props you add to `<InView>` will be
 passed to the HTML element, allowing you set the `className`, `style`, etc.

 ```jsx
 import { InView } from 'react-intersection-observer';

 const Component = () => (
 <InView as="div" onChange={(inView, entry) => console.log('Inview:', inView)}>
 <h2>Plain children are always rendered. Use onChange to monitor state.</h2>
 </InView>
 );

 export default Component;
 ```
 */


var InView = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(InView, _React$Component);

  function InView(props) {
    var _this;

    _this = _React$Component.call(this, props) || this;
    _this.node = null;
    _this._unobserveCb = null;

    _this.handleNode = function (node) {
      if (_this.node) {
        // Clear the old observer, before we start observing a new element
        _this.unobserve();

        if (!node && !_this.props.triggerOnce && !_this.props.skip) {
          // Reset the state if we get a new node, and we aren't ignoring updates
          _this.setState({
            inView: !!_this.props.initialInView,
            entry: undefined
          });
        }
      }

      _this.node = node ? node : null;

      _this.observeNode();
    };

    _this.handleChange = function (inView, entry) {
      if (inView && _this.props.triggerOnce) {
        // If `triggerOnce` is true, we should stop observing the element.
        _this.unobserve();
      }

      if (!isPlainChildren(_this.props)) {
        // Store the current State, so we can pass it to the children in the next render update
        // There's no reason to update the state for plain children, since it's not used in the rendering.
        _this.setState({
          inView: inView,
          entry: entry
        });
      }

      if (_this.props.onChange) {
        // If the user is actively listening for onChange, always trigger it
        _this.props.onChange(inView, entry);
      }
    };

    _this.state = {
      inView: !!props.initialInView,
      entry: undefined
    };
    return _this;
  }

  var _proto = InView.prototype;

  _proto.componentDidUpdate = function componentDidUpdate(prevProps) {
    // If a IntersectionObserver option changed, reinit the observer
    if (prevProps.rootMargin !== this.props.rootMargin || prevProps.root !== this.props.root || prevProps.threshold !== this.props.threshold || prevProps.skip !== this.props.skip || prevProps.trackVisibility !== this.props.trackVisibility || prevProps.delay !== this.props.delay) {
      this.unobserve();
      this.observeNode();
    }
  };

  _proto.componentWillUnmount = function componentWillUnmount() {
    this.unobserve();
    this.node = null;
  };

  _proto.observeNode = function observeNode() {
    if (!this.node || this.props.skip) return;
    var _this$props = this.props,
        threshold = _this$props.threshold,
        root = _this$props.root,
        rootMargin = _this$props.rootMargin,
        trackVisibility = _this$props.trackVisibility,
        delay = _this$props.delay,
        fallbackInView = _this$props.fallbackInView;
    this._unobserveCb = observe(this.node, this.handleChange, {
      threshold: threshold,
      root: root,
      rootMargin: rootMargin,
      // @ts-ignore
      trackVisibility: trackVisibility,
      // @ts-ignore
      delay: delay
    }, fallbackInView);
  };

  _proto.unobserve = function unobserve() {
    if (this._unobserveCb) {
      this._unobserveCb();

      this._unobserveCb = null;
    }
  };

  _proto.render = function render() {
    if (!isPlainChildren(this.props)) {
      var _this$state = this.state,
          inView = _this$state.inView,
          entry = _this$state.entry;
      return this.props.children({
        inView: inView,
        entry: entry,
        ref: this.handleNode
      });
    }

    var _this$props2 = this.props,
        children = _this$props2.children,
        as = _this$props2.as,
        props = _objectWithoutPropertiesLoose(_this$props2, _excluded);

    return React__namespace.createElement(as || 'div', _extends({
      ref: this.handleNode
    }, props), children);
  };

  return InView;
}(React__namespace.Component);

/**
 * React Hooks make it easy to monitor the `inView` state of your components. Call
 * the `useInView` hook with the (optional) [options](#options) you need. It will
 * return an array containing a `ref`, the `inView` status and the current
 * [`entry`](https://developer.mozilla.org/en-US/docs/Web/API/IntersectionObserverEntry).
 * Assign the `ref` to the DOM element you want to monitor, and the hook will
 * report the status.
 *
 * @example
 * ```jsx
 * import React from 'react';
 * import { useInView } from 'react-intersection-observer';
 *
 * const Component = () => {
 *   const { ref, inView, entry } = useInView({
 *       threshold: 0,
 *   });
 *
 *   return (
 *     <div ref={ref}>
 *       <h2>{`Header inside viewport ${inView}.`}</h2>
 *     </div>
 *   );
 * };
 * ```
 */

function useInView(_temp) {
  var _state$entry;

  var _ref = _temp === void 0 ? {} : _temp,
      threshold = _ref.threshold,
      delay = _ref.delay,
      trackVisibility = _ref.trackVisibility,
      rootMargin = _ref.rootMargin,
      root = _ref.root,
      triggerOnce = _ref.triggerOnce,
      skip = _ref.skip,
      initialInView = _ref.initialInView,
      fallbackInView = _ref.fallbackInView,
      onChange = _ref.onChange;

  var _React$useState = React__namespace.useState(null),
      ref = _React$useState[0],
      setRef = _React$useState[1];

  var callback = React__namespace.useRef();

  var _React$useState2 = React__namespace.useState({
    inView: !!initialInView,
    entry: undefined
  }),
      state = _React$useState2[0],
      setState = _React$useState2[1]; // Store the onChange callback in a `ref`, so we can access the latest instance
  // inside the `useEffect`, but without triggering a rerender.


  callback.current = onChange;
  React__namespace.useEffect(function () {
    // Ensure we have node ref, and that we shouldn't skip observing
    if (skip || !ref) return;
    var unobserve;
    unobserve = observe(ref, function (inView, entry) {
      setState({
        inView: inView,
        entry: entry
      });
      if (callback.current) callback.current(inView, entry);

      if (entry.isIntersecting && triggerOnce && unobserve) {
        // If it should only trigger once, unobserve the element after it's inView
        unobserve();
        unobserve = undefined;
      }
    }, {
      root: root,
      rootMargin: rootMargin,
      threshold: threshold,
      // @ts-ignore
      trackVisibility: trackVisibility,
      // @ts-ignore
      delay: delay
    }, fallbackInView);
    return function () {
      if (unobserve) {
        unobserve();
      }
    };
  }, // We break the rule here, because we aren't including the actual `threshold` variable
  // eslint-disable-next-line react-hooks/exhaustive-deps
  [// If the threshold is an array, convert it to a string, so it won't change between renders.
  // eslint-disable-next-line react-hooks/exhaustive-deps
  Array.isArray(threshold) ? threshold.toString() : threshold, ref, root, rootMargin, triggerOnce, skip, trackVisibility, fallbackInView, delay]);
  var entryTarget = (_state$entry = state.entry) == null ? void 0 : _state$entry.target;
  var previousEntryTarget = React__namespace.useRef();

  if (!ref && entryTarget && !triggerOnce && !skip && previousEntryTarget.current !== entryTarget) {
    // If we don't have a node ref, then reset the state (unless the hook is set to only `triggerOnce` or `skip`)
    // This ensures we correctly reflect the current state - If you aren't observing anything, then nothing is inView
    previousEntryTarget.current = entryTarget;
    setState({
      inView: !!initialInView,
      entry: undefined
    });
  }

  var result = [setRef, state.inView, state.entry]; // Support object destructuring, by adding the specific values.

  result.ref = result[0];
  result.inView = result[1];
  result.entry = result[2];
  return result;
}

__webpack_unused_export__ = InView;
__webpack_unused_export__ = defaultFallbackInView;
__webpack_unused_export__ = observe;
exports.Wx = useInView;
//# sourceMappingURL=react-intersection-observer.js.map


/***/ }),

/***/ 90320:
/***/ ((__unused_webpack_module, exports) => {

"use strict";
var __webpack_unused_export__;
/**
 * @license React
 * react-is.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var b=Symbol.for("react.element"),c=Symbol.for("react.portal"),d=Symbol.for("react.fragment"),e=Symbol.for("react.strict_mode"),f=Symbol.for("react.profiler"),g=Symbol.for("react.provider"),h=Symbol.for("react.context"),k=Symbol.for("react.server_context"),l=Symbol.for("react.forward_ref"),m=Symbol.for("react.suspense"),n=Symbol.for("react.suspense_list"),p=Symbol.for("react.memo"),q=Symbol.for("react.lazy"),t=Symbol.for("react.offscreen"),u;u=Symbol.for("react.module.reference");
function v(a){if("object"===typeof a&&null!==a){var r=a.$$typeof;switch(r){case b:switch(a=a.type,a){case d:case f:case e:case m:case n:return a;default:switch(a=a&&a.$$typeof,a){case k:case h:case l:case q:case p:case g:return a;default:return r}}case c:return r}}}__webpack_unused_export__=h;__webpack_unused_export__=g;__webpack_unused_export__=b;__webpack_unused_export__=l;__webpack_unused_export__=d;__webpack_unused_export__=q;__webpack_unused_export__=p;__webpack_unused_export__=c;__webpack_unused_export__=f;__webpack_unused_export__=e;__webpack_unused_export__=m;
__webpack_unused_export__=n;__webpack_unused_export__=function(){return!1};__webpack_unused_export__=function(){return!1};exports.isContextConsumer=function(a){return v(a)===h};__webpack_unused_export__=function(a){return v(a)===g};__webpack_unused_export__=function(a){return"object"===typeof a&&null!==a&&a.$$typeof===b};__webpack_unused_export__=function(a){return v(a)===l};__webpack_unused_export__=function(a){return v(a)===d};__webpack_unused_export__=function(a){return v(a)===q};__webpack_unused_export__=function(a){return v(a)===p};
__webpack_unused_export__=function(a){return v(a)===c};__webpack_unused_export__=function(a){return v(a)===f};__webpack_unused_export__=function(a){return v(a)===e};__webpack_unused_export__=function(a){return v(a)===m};__webpack_unused_export__=function(a){return v(a)===n};
__webpack_unused_export__=function(a){return"string"===typeof a||"function"===typeof a||a===d||a===f||a===e||a===m||a===n||a===t||"object"===typeof a&&null!==a&&(a.$$typeof===q||a.$$typeof===p||a.$$typeof===g||a.$$typeof===h||a.$$typeof===l||a.$$typeof===u||void 0!==a.getModuleId)?!0:!1};__webpack_unused_export__=v;


/***/ }),

/***/ 524:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (true) {
  module.exports = __webpack_require__(90320);
} else {}


/***/ }),

/***/ 29563:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   t: () => (/* binding */ ReactReduxContext)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);

const ContextKey = Symbol.for(`react-redux-context`);
const gT = typeof globalThis !== "undefined" ? globalThis :
/* fall back to a per-module scope (pre-8.1 behaviour) if `globalThis` is not available */
{};

function getContext() {
  var _gT$ContextKey;

  if (!react__WEBPACK_IMPORTED_MODULE_0__.createContext) return {};
  const contextMap = (_gT$ContextKey = gT[ContextKey]) != null ? _gT$ContextKey : gT[ContextKey] = new Map();
  let realContext = contextMap.get(react__WEBPACK_IMPORTED_MODULE_0__.createContext);

  if (!realContext) {
    realContext = react__WEBPACK_IMPORTED_MODULE_0__.createContext(null);

    if (false) {}

    contextMap.set(react__WEBPACK_IMPORTED_MODULE_0__.createContext, realContext);
  }

  return realContext;
}

const ReactReduxContext = /*#__PURE__*/getContext();
/* unused harmony default export */ var __WEBPACK_DEFAULT_EXPORT__ = ((/* unused pure expression or super */ null && (ReactReduxContext)));

/***/ }),

/***/ 59963:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _Context__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(29563);
/* harmony import */ var _utils_Subscription__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(22756);
/* harmony import */ var _utils_useIsomorphicLayoutEffect__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(77640);





function Provider({
  store,
  context,
  children,
  serverState,
  stabilityCheck = 'once',
  noopCheck = 'once'
}) {
  const contextValue = react__WEBPACK_IMPORTED_MODULE_0__.useMemo(() => {
    const subscription = (0,_utils_Subscription__WEBPACK_IMPORTED_MODULE_2__/* .createSubscription */ .K)(store);
    return {
      store,
      subscription,
      getServerState: serverState ? () => serverState : undefined,
      stabilityCheck,
      noopCheck
    };
  }, [store, serverState, stabilityCheck, noopCheck]);
  const previousState = react__WEBPACK_IMPORTED_MODULE_0__.useMemo(() => store.getState(), [store]);
  (0,_utils_useIsomorphicLayoutEffect__WEBPACK_IMPORTED_MODULE_3__/* .useIsomorphicLayoutEffect */ .E)(() => {
    const {
      subscription
    } = contextValue;
    subscription.onStateChange = subscription.notifyNestedSubs;
    subscription.trySubscribe();

    if (previousState !== store.getState()) {
      subscription.notifyNestedSubs();
    }

    return () => {
      subscription.tryUnsubscribe();
      subscription.onStateChange = undefined;
    };
  }, [contextValue, previousState]);
  const Context = context || _Context__WEBPACK_IMPORTED_MODULE_1__/* .ReactReduxContext */ .t; // @ts-ignore 'AnyAction' is assignable to the constraint of type 'A', but 'A' could be instantiated with a different subtype

  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Context.Provider, {
    value: contextValue
  }, children);
}

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Provider);

/***/ }),

/***/ 31802:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   T: () => (/* binding */ initializeConnect)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(89575);
/* harmony import */ var _babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(17502);
/* harmony import */ var hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(75985);
/* harmony import */ var hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_is__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(524);
/* harmony import */ var _connect_selectorFactory__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(80951);
/* harmony import */ var _connect_mapDispatchToProps__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(50053);
/* harmony import */ var _connect_mapStateToProps__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(64798);
/* harmony import */ var _connect_mergeProps__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(57466);
/* harmony import */ var _utils_Subscription__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(22756);
/* harmony import */ var _utils_useIsomorphicLayoutEffect__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(77640);
/* harmony import */ var _utils_shallowEqual__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(25685);
/* harmony import */ var _Context__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(29563);
/* harmony import */ var _utils_useSyncExternalStore__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(69445);


const _excluded = ["reactReduxForwardedRef"];

/* eslint-disable valid-jsdoc, @typescript-eslint/no-unused-vars */













let useSyncExternalStore = _utils_useSyncExternalStore__WEBPACK_IMPORTED_MODULE_6__/* .notInitialized */ .w;
const initializeConnect = fn => {
  useSyncExternalStore = fn;
}; // Define some constant arrays just to avoid re-creating these

const EMPTY_ARRAY = (/* unused pure expression or super */ null && ([null, 0]));
const NO_SUBSCRIPTION_ARRAY = [null, null]; // Attempts to stringify whatever not-really-a-component value we were given
// for logging in an error message

const stringifyComponent = Comp => {
  try {
    return JSON.stringify(Comp);
  } catch (err) {
    return String(Comp);
  }
};

// This is "just" a `useLayoutEffect`, but with two modifications:
// - we need to fall back to `useEffect` in SSR to avoid annoying warnings
// - we extract this to a separate function to avoid closing over values
//   and causing memory leaks
function useIsomorphicLayoutEffectWithArgs(effectFunc, effectArgs, dependencies) {
  (0,_utils_useIsomorphicLayoutEffect__WEBPACK_IMPORTED_MODULE_4__/* .useIsomorphicLayoutEffect */ .E)(() => effectFunc(...effectArgs), dependencies);
} // Effect callback, extracted: assign the latest props values to refs for later usage


function captureWrapperProps(lastWrapperProps, lastChildProps, renderIsScheduled, wrapperProps, // actualChildProps: unknown,
childPropsFromStoreUpdate, notifyNestedSubs) {
  // We want to capture the wrapper props and child props we used for later comparisons
  lastWrapperProps.current = wrapperProps;
  renderIsScheduled.current = false; // If the render was from a store update, clear out that reference and cascade the subscriber update

  if (childPropsFromStoreUpdate.current) {
    childPropsFromStoreUpdate.current = null;
    notifyNestedSubs();
  }
} // Effect callback, extracted: subscribe to the Redux store or nearest connected ancestor,
// check for updates after dispatched actions, and trigger re-renders.


function subscribeUpdates(shouldHandleStateChanges, store, subscription, childPropsSelector, lastWrapperProps, lastChildProps, renderIsScheduled, isMounted, childPropsFromStoreUpdate, notifyNestedSubs, // forceComponentUpdateDispatch: React.Dispatch<any>,
additionalSubscribeListener) {
  // If we're not subscribed to the store, nothing to do here
  if (!shouldHandleStateChanges) return () => {}; // Capture values for checking if and when this component unmounts

  let didUnsubscribe = false;
  let lastThrownError = null; // We'll run this callback every time a store subscription update propagates to this component

  const checkForUpdates = () => {
    if (didUnsubscribe || !isMounted.current) {
      // Don't run stale listeners.
      // Redux doesn't guarantee unsubscriptions happen until next dispatch.
      return;
    } // TODO We're currently calling getState ourselves here, rather than letting `uSES` do it


    const latestStoreState = store.getState();
    let newChildProps, error;

    try {
      // Actually run the selector with the most recent store state and wrapper props
      // to determine what the child props should be
      newChildProps = childPropsSelector(latestStoreState, lastWrapperProps.current);
    } catch (e) {
      error = e;
      lastThrownError = e;
    }

    if (!error) {
      lastThrownError = null;
    } // If the child props haven't changed, nothing to do here - cascade the subscription update


    if (newChildProps === lastChildProps.current) {
      if (!renderIsScheduled.current) {
        notifyNestedSubs();
      }
    } else {
      // Save references to the new child props.  Note that we track the "child props from store update"
      // as a ref instead of a useState/useReducer because we need a way to determine if that value has
      // been processed.  If this went into useState/useReducer, we couldn't clear out the value without
      // forcing another re-render, which we don't want.
      lastChildProps.current = newChildProps;
      childPropsFromStoreUpdate.current = newChildProps;
      renderIsScheduled.current = true; // TODO This is hacky and not how `uSES` is meant to be used
      // Trigger the React `useSyncExternalStore` subscriber

      additionalSubscribeListener();
    }
  }; // Actually subscribe to the nearest connected ancestor (or store)


  subscription.onStateChange = checkForUpdates;
  subscription.trySubscribe(); // Pull data from the store after first render in case the store has
  // changed since we began.

  checkForUpdates();

  const unsubscribeWrapper = () => {
    didUnsubscribe = true;
    subscription.tryUnsubscribe();
    subscription.onStateChange = null;

    if (lastThrownError) {
      // It's possible that we caught an error due to a bad mapState function, but the
      // parent re-rendered without this component and we're about to unmount.
      // This shouldn't happen as long as we do top-down subscriptions correctly, but
      // if we ever do those wrong, this throw will surface the error in our tests.
      // In that case, throw the error from here so it doesn't get lost.
      throw lastThrownError;
    }
  };

  return unsubscribeWrapper;
} // Reducer initial state creation for our update reducer


const initStateUpdates = () => EMPTY_ARRAY;

function strictEqual(a, b) {
  return a === b;
}
/**
 * Infers the type of props that a connector will inject into a component.
 */


let hasWarnedAboutDeprecatedPureOption = false;
/**
 * Connects a React component to a Redux store.
 *
 * - Without arguments, just wraps the component, without changing the behavior / props
 *
 * - If 2 params are passed (3rd param, mergeProps, is skipped), default behavior
 * is to override ownProps (as stated in the docs), so what remains is everything that's
 * not a state or dispatch prop
 *
 * - When 3rd param is passed, we don't know if ownProps propagate and whether they
 * should be valid component props, because it depends on mergeProps implementation.
 * As such, it is the user's responsibility to extend ownProps interface from state or
 * dispatch props or both when applicable
 *
 * @param mapStateToProps A function that extracts values from state
 * @param mapDispatchToProps Setup for dispatching actions
 * @param mergeProps Optional callback to merge state and dispatch props together
 * @param options Options for configuring the connection
 *
 */

function connect(mapStateToProps, mapDispatchToProps, mergeProps, {
  // The `pure` option has been removed, so TS doesn't like us destructuring this to check its existence.
  // @ts-ignore
  pure,
  areStatesEqual = strictEqual,
  areOwnPropsEqual = _utils_shallowEqual__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A,
  areStatePropsEqual = _utils_shallowEqual__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A,
  areMergedPropsEqual = _utils_shallowEqual__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A,
  // use React's forwardRef to expose a ref of the wrapped component
  forwardRef = false,
  // the context consumer to use
  context = _Context__WEBPACK_IMPORTED_MODULE_5__/* .ReactReduxContext */ .t
} = {}) {
  if (false) {}

  const Context = context;
  const initMapStateToProps = (0,_connect_mapStateToProps__WEBPACK_IMPORTED_MODULE_8__/* .mapStateToPropsFactory */ .J)(mapStateToProps);
  const initMapDispatchToProps = (0,_connect_mapDispatchToProps__WEBPACK_IMPORTED_MODULE_9__/* .mapDispatchToPropsFactory */ .q)(mapDispatchToProps);
  const initMergeProps = (0,_connect_mergeProps__WEBPACK_IMPORTED_MODULE_10__/* .mergePropsFactory */ .ne)(mergeProps);
  const shouldHandleStateChanges = Boolean(mapStateToProps);

  const wrapWithConnect = WrappedComponent => {
    if (false) {}

    const wrappedComponentName = WrappedComponent.displayName || WrappedComponent.name || 'Component';
    const displayName = `Connect(${wrappedComponentName})`;
    const selectorFactoryOptions = {
      shouldHandleStateChanges,
      displayName,
      wrappedComponentName,
      WrappedComponent,
      // @ts-ignore
      initMapStateToProps,
      // @ts-ignore
      initMapDispatchToProps,
      initMergeProps,
      areStatesEqual,
      areStatePropsEqual,
      areOwnPropsEqual,
      areMergedPropsEqual
    };

    function ConnectFunction(props) {
      const [propsContext, reactReduxForwardedRef, wrapperProps] = react__WEBPACK_IMPORTED_MODULE_1__.useMemo(() => {
        // Distinguish between actual "data" props that were passed to the wrapper component,
        // and values needed to control behavior (forwarded refs, alternate context instances).
        // To maintain the wrapperProps object reference, memoize this destructuring.
        const {
          reactReduxForwardedRef
        } = props,
              wrapperProps = (0,_babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A)(props, _excluded);

        return [props.context, reactReduxForwardedRef, wrapperProps];
      }, [props]);
      const ContextToUse = react__WEBPACK_IMPORTED_MODULE_1__.useMemo(() => {
        // Users may optionally pass in a custom context instance to use instead of our ReactReduxContext.
        // Memoize the check that determines which context instance we should use.
        return propsContext && propsContext.Consumer && // @ts-ignore
        (0,react_is__WEBPACK_IMPORTED_MODULE_2__.isContextConsumer)( /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_1__.createElement(propsContext.Consumer, null)) ? propsContext : Context;
      }, [propsContext, Context]); // Retrieve the store and ancestor subscription via context, if available

      const contextValue = react__WEBPACK_IMPORTED_MODULE_1__.useContext(ContextToUse); // The store _must_ exist as either a prop or in context.
      // We'll check to see if it _looks_ like a Redux store first.
      // This allows us to pass through a `store` prop that is just a plain value.

      const didStoreComeFromProps = Boolean(props.store) && Boolean(props.store.getState) && Boolean(props.store.dispatch);
      const didStoreComeFromContext = Boolean(contextValue) && Boolean(contextValue.store);

      if (false) {} // Based on the previous check, one of these must be true


      const store = didStoreComeFromProps ? props.store : contextValue.store;
      const getServerState = didStoreComeFromContext ? contextValue.getServerState : store.getState;
      const childPropsSelector = react__WEBPACK_IMPORTED_MODULE_1__.useMemo(() => {
        // The child props selector needs the store reference as an input.
        // Re-create this selector whenever the store changes.
        return (0,_connect_selectorFactory__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A)(store.dispatch, selectorFactoryOptions);
      }, [store]);
      const [subscription, notifyNestedSubs] = react__WEBPACK_IMPORTED_MODULE_1__.useMemo(() => {
        if (!shouldHandleStateChanges) return NO_SUBSCRIPTION_ARRAY; // This Subscription's source should match where store came from: props vs. context. A component
        // connected to the store via props shouldn't use subscription from context, or vice versa.

        const subscription = (0,_utils_Subscription__WEBPACK_IMPORTED_MODULE_3__/* .createSubscription */ .K)(store, didStoreComeFromProps ? undefined : contextValue.subscription); // `notifyNestedSubs` is duplicated to handle the case where the component is unmounted in
        // the middle of the notification loop, where `subscription` will then be null. This can
        // probably be avoided if Subscription's listeners logic is changed to not call listeners
        // that have been unsubscribed in the  middle of the notification loop.

        const notifyNestedSubs = subscription.notifyNestedSubs.bind(subscription);
        return [subscription, notifyNestedSubs];
      }, [store, didStoreComeFromProps, contextValue]); // Determine what {store, subscription} value should be put into nested context, if necessary,
      // and memoize that value to avoid unnecessary context updates.

      const overriddenContextValue = react__WEBPACK_IMPORTED_MODULE_1__.useMemo(() => {
        if (didStoreComeFromProps) {
          // This component is directly subscribed to a store from props.
          // We don't want descendants reading from this store - pass down whatever
          // the existing context value is from the nearest connected ancestor.
          return contextValue;
        } // Otherwise, put this component's subscription instance into context, so that
        // connected descendants won't update until after this component is done


        return (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A)({}, contextValue, {
          subscription
        });
      }, [didStoreComeFromProps, contextValue, subscription]); // Set up refs to coordinate values between the subscription effect and the render logic

      const lastChildProps = react__WEBPACK_IMPORTED_MODULE_1__.useRef();
      const lastWrapperProps = react__WEBPACK_IMPORTED_MODULE_1__.useRef(wrapperProps);
      const childPropsFromStoreUpdate = react__WEBPACK_IMPORTED_MODULE_1__.useRef();
      const renderIsScheduled = react__WEBPACK_IMPORTED_MODULE_1__.useRef(false);
      const isProcessingDispatch = react__WEBPACK_IMPORTED_MODULE_1__.useRef(false);
      const isMounted = react__WEBPACK_IMPORTED_MODULE_1__.useRef(false);
      const latestSubscriptionCallbackError = react__WEBPACK_IMPORTED_MODULE_1__.useRef();
      (0,_utils_useIsomorphicLayoutEffect__WEBPACK_IMPORTED_MODULE_4__/* .useIsomorphicLayoutEffect */ .E)(() => {
        isMounted.current = true;
        return () => {
          isMounted.current = false;
        };
      }, []);
      const actualChildPropsSelector = react__WEBPACK_IMPORTED_MODULE_1__.useMemo(() => {
        const selector = () => {
          // Tricky logic here:
          // - This render may have been triggered by a Redux store update that produced new child props
          // - However, we may have gotten new wrapper props after that
          // If we have new child props, and the same wrapper props, we know we should use the new child props as-is.
          // But, if we have new wrapper props, those might change the child props, so we have to recalculate things.
          // So, we'll use the child props from store update only if the wrapper props are the same as last time.
          if (childPropsFromStoreUpdate.current && wrapperProps === lastWrapperProps.current) {
            return childPropsFromStoreUpdate.current;
          } // TODO We're reading the store directly in render() here. Bad idea?
          // This will likely cause Bad Things (TM) to happen in Concurrent Mode.
          // Note that we do this because on renders _not_ caused by store updates, we need the latest store state
          // to determine what the child props should be.


          return childPropsSelector(store.getState(), wrapperProps);
        };

        return selector;
      }, [store, wrapperProps]); // We need this to execute synchronously every time we re-render. However, React warns
      // about useLayoutEffect in SSR, so we try to detect environment and fall back to
      // just useEffect instead to avoid the warning, since neither will run anyway.

      const subscribeForReact = react__WEBPACK_IMPORTED_MODULE_1__.useMemo(() => {
        const subscribe = reactListener => {
          if (!subscription) {
            return () => {};
          }

          return subscribeUpdates(shouldHandleStateChanges, store, subscription, // @ts-ignore
          childPropsSelector, lastWrapperProps, lastChildProps, renderIsScheduled, isMounted, childPropsFromStoreUpdate, notifyNestedSubs, reactListener);
        };

        return subscribe;
      }, [subscription]);
      useIsomorphicLayoutEffectWithArgs(captureWrapperProps, [lastWrapperProps, lastChildProps, renderIsScheduled, wrapperProps, childPropsFromStoreUpdate, notifyNestedSubs]);
      let actualChildProps;

      try {
        actualChildProps = useSyncExternalStore( // TODO We're passing through a big wrapper that does a bunch of extra side effects besides subscribing
        subscribeForReact, // TODO This is incredibly hacky. We've already processed the store update and calculated new child props,
        // TODO and we're just passing that through so it triggers a re-render for us rather than relying on `uSES`.
        actualChildPropsSelector, getServerState ? () => childPropsSelector(getServerState(), wrapperProps) : actualChildPropsSelector);
      } catch (err) {
        if (latestSubscriptionCallbackError.current) {
          ;
          err.message += `\nThe error may be correlated with this previous error:\n${latestSubscriptionCallbackError.current.stack}\n\n`;
        }

        throw err;
      }

      (0,_utils_useIsomorphicLayoutEffect__WEBPACK_IMPORTED_MODULE_4__/* .useIsomorphicLayoutEffect */ .E)(() => {
        latestSubscriptionCallbackError.current = undefined;
        childPropsFromStoreUpdate.current = undefined;
        lastChildProps.current = actualChildProps;
      }); // Now that all that's done, we can finally try to actually render the child component.
      // We memoize the elements for the rendered child component as an optimization.

      const renderedWrappedComponent = react__WEBPACK_IMPORTED_MODULE_1__.useMemo(() => {
        return (
          /*#__PURE__*/
          // @ts-ignore
          react__WEBPACK_IMPORTED_MODULE_1__.createElement(WrappedComponent, (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A)({}, actualChildProps, {
            ref: reactReduxForwardedRef
          }))
        );
      }, [reactReduxForwardedRef, WrappedComponent, actualChildProps]); // If React sees the exact same element reference as last time, it bails out of re-rendering
      // that child, same as if it was wrapped in React.memo() or returned false from shouldComponentUpdate.

      const renderedChild = react__WEBPACK_IMPORTED_MODULE_1__.useMemo(() => {
        if (shouldHandleStateChanges) {
          // If this component is subscribed to store updates, we need to pass its own
          // subscription instance down to our descendants. That means rendering the same
          // Context instance, and putting a different value into the context.
          return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_1__.createElement(ContextToUse.Provider, {
            value: overriddenContextValue
          }, renderedWrappedComponent);
        }

        return renderedWrappedComponent;
      }, [ContextToUse, renderedWrappedComponent, overriddenContextValue]);
      return renderedChild;
    }

    const _Connect = react__WEBPACK_IMPORTED_MODULE_1__.memo(ConnectFunction);

    // Add a hacky cast to get the right output type
    const Connect = _Connect;
    Connect.WrappedComponent = WrappedComponent;
    Connect.displayName = ConnectFunction.displayName = displayName;

    if (forwardRef) {
      const _forwarded = react__WEBPACK_IMPORTED_MODULE_1__.forwardRef(function forwardConnectRef(props, ref) {
        // @ts-ignore
        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_1__.createElement(Connect, (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A)({}, props, {
          reactReduxForwardedRef: ref
        }));
      });

      const forwarded = _forwarded;
      forwarded.displayName = displayName;
      forwarded.WrappedComponent = WrappedComponent;
      return hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_0___default()(forwarded, WrappedComponent);
    }

    return hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_0___default()(Connect, WrappedComponent);
  };

  return wrapWithConnect;
}

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (connect);

/***/ }),

/***/ 93207:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   i: () => (/* binding */ createInvalidArgFactory)
/* harmony export */ });
function createInvalidArgFactory(arg, name) {
  return (dispatch, options) => {
    throw new Error(`Invalid value of type ${typeof arg} for ${name} argument when connecting component ${options.wrappedComponentName}.`);
  };
}

/***/ }),

/***/ 50053:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   q: () => (/* binding */ mapDispatchToPropsFactory)
/* harmony export */ });
/* harmony import */ var _utils_bindActionCreators__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31193);
/* harmony import */ var _wrapMapToProps__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(85623);
/* harmony import */ var _invalidArgFactory__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(93207);



function mapDispatchToPropsFactory(mapDispatchToProps) {
  return mapDispatchToProps && typeof mapDispatchToProps === 'object' ? (0,_wrapMapToProps__WEBPACK_IMPORTED_MODULE_0__/* .wrapMapToPropsConstant */ .o6)(dispatch => // @ts-ignore
  (0,_utils_bindActionCreators__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(mapDispatchToProps, dispatch)) : !mapDispatchToProps ? (0,_wrapMapToProps__WEBPACK_IMPORTED_MODULE_0__/* .wrapMapToPropsConstant */ .o6)(dispatch => ({
    dispatch
  })) : typeof mapDispatchToProps === 'function' ? // @ts-ignore
  (0,_wrapMapToProps__WEBPACK_IMPORTED_MODULE_0__/* .wrapMapToPropsFunc */ .Qb)(mapDispatchToProps, 'mapDispatchToProps') : (0,_invalidArgFactory__WEBPACK_IMPORTED_MODULE_2__/* .createInvalidArgFactory */ .i)(mapDispatchToProps, 'mapDispatchToProps');
}

/***/ }),

/***/ 64798:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ mapStateToPropsFactory)
/* harmony export */ });
/* harmony import */ var _wrapMapToProps__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(85623);
/* harmony import */ var _invalidArgFactory__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(93207);


function mapStateToPropsFactory(mapStateToProps) {
  return !mapStateToProps ? (0,_wrapMapToProps__WEBPACK_IMPORTED_MODULE_0__/* .wrapMapToPropsConstant */ .o6)(() => ({})) : typeof mapStateToProps === 'function' ? // @ts-ignore
  (0,_wrapMapToProps__WEBPACK_IMPORTED_MODULE_0__/* .wrapMapToPropsFunc */ .Qb)(mapStateToProps, 'mapStateToProps') : (0,_invalidArgFactory__WEBPACK_IMPORTED_MODULE_1__/* .createInvalidArgFactory */ .i)(mapStateToProps, 'mapStateToProps');
}

/***/ }),

/***/ 57466:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ne: () => (/* binding */ mergePropsFactory)
/* harmony export */ });
/* unused harmony exports defaultMergeProps, wrapMergePropsFunc */
/* harmony import */ var _babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(89575);
/* harmony import */ var _invalidArgFactory__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(93207);



function defaultMergeProps(stateProps, dispatchProps, ownProps) {
  // @ts-ignore
  return (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)({}, ownProps, stateProps, dispatchProps);
}
function wrapMergePropsFunc(mergeProps) {
  return function initMergePropsProxy(dispatch, {
    displayName,
    areMergedPropsEqual
  }) {
    let hasRunOnce = false;
    let mergedProps;
    return function mergePropsProxy(stateProps, dispatchProps, ownProps) {
      const nextMergedProps = mergeProps(stateProps, dispatchProps, ownProps);

      if (hasRunOnce) {
        if (!areMergedPropsEqual(nextMergedProps, mergedProps)) mergedProps = nextMergedProps;
      } else {
        hasRunOnce = true;
        mergedProps = nextMergedProps;
        if (false) {}
      }

      return mergedProps;
    };
  };
}
function mergePropsFactory(mergeProps) {
  return !mergeProps ? () => defaultMergeProps : typeof mergeProps === 'function' ? wrapMergePropsFunc(mergeProps) : (0,_invalidArgFactory__WEBPACK_IMPORTED_MODULE_1__/* .createInvalidArgFactory */ .i)(mergeProps, 'mergeProps');
}

/***/ }),

/***/ 80951:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ finalPropsSelectorFactory)
/* harmony export */ });
/* unused harmony export pureFinalPropsSelectorFactory */
/* harmony import */ var _babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(17502);

const _excluded = ["initMapStateToProps", "initMapDispatchToProps", "initMergeProps"];

function pureFinalPropsSelectorFactory(mapStateToProps, mapDispatchToProps, mergeProps, dispatch, {
  areStatesEqual,
  areOwnPropsEqual,
  areStatePropsEqual
}) {
  let hasRunAtLeastOnce = false;
  let state;
  let ownProps;
  let stateProps;
  let dispatchProps;
  let mergedProps;

  function handleFirstCall(firstState, firstOwnProps) {
    state = firstState;
    ownProps = firstOwnProps;
    stateProps = mapStateToProps(state, ownProps);
    dispatchProps = mapDispatchToProps(dispatch, ownProps);
    mergedProps = mergeProps(stateProps, dispatchProps, ownProps);
    hasRunAtLeastOnce = true;
    return mergedProps;
  }

  function handleNewPropsAndNewState() {
    stateProps = mapStateToProps(state, ownProps);
    if (mapDispatchToProps.dependsOnOwnProps) dispatchProps = mapDispatchToProps(dispatch, ownProps);
    mergedProps = mergeProps(stateProps, dispatchProps, ownProps);
    return mergedProps;
  }

  function handleNewProps() {
    if (mapStateToProps.dependsOnOwnProps) stateProps = mapStateToProps(state, ownProps);
    if (mapDispatchToProps.dependsOnOwnProps) dispatchProps = mapDispatchToProps(dispatch, ownProps);
    mergedProps = mergeProps(stateProps, dispatchProps, ownProps);
    return mergedProps;
  }

  function handleNewState() {
    const nextStateProps = mapStateToProps(state, ownProps);
    const statePropsChanged = !areStatePropsEqual(nextStateProps, stateProps);
    stateProps = nextStateProps;
    if (statePropsChanged) mergedProps = mergeProps(stateProps, dispatchProps, ownProps);
    return mergedProps;
  }

  function handleSubsequentCalls(nextState, nextOwnProps) {
    const propsChanged = !areOwnPropsEqual(nextOwnProps, ownProps);
    const stateChanged = !areStatesEqual(nextState, state, nextOwnProps, ownProps);
    state = nextState;
    ownProps = nextOwnProps;
    if (propsChanged && stateChanged) return handleNewPropsAndNewState();
    if (propsChanged) return handleNewProps();
    if (stateChanged) return handleNewState();
    return mergedProps;
  }

  return function pureFinalPropsSelector(nextState, nextOwnProps) {
    return hasRunAtLeastOnce ? handleSubsequentCalls(nextState, nextOwnProps) : handleFirstCall(nextState, nextOwnProps);
  };
}
// TODO: Add more comments
// The selector returned by selectorFactory will memoize its results,
// allowing connect's shouldComponentUpdate to return false if final
// props have not changed.
function finalPropsSelectorFactory(dispatch, _ref) {
  let {
    initMapStateToProps,
    initMapDispatchToProps,
    initMergeProps
  } = _ref,
      options = (0,_babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(_ref, _excluded);

  const mapStateToProps = initMapStateToProps(dispatch, options);
  const mapDispatchToProps = initMapDispatchToProps(dispatch, options);
  const mergeProps = initMergeProps(dispatch, options);

  if (false) {}

  return pureFinalPropsSelectorFactory(mapStateToProps, mapDispatchToProps, mergeProps, dispatch, options);
}

/***/ }),

/***/ 85623:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Qb: () => (/* binding */ wrapMapToPropsFunc),
/* harmony export */   o6: () => (/* binding */ wrapMapToPropsConstant)
/* harmony export */ });
/* unused harmony export getDependsOnOwnProps */

function wrapMapToPropsConstant( // * Note:
//  It seems that the dispatch argument
//  could be a dispatch function in some cases (ex: whenMapDispatchToPropsIsMissing)
//  and a state object in some others (ex: whenMapStateToPropsIsMissing)
// eslint-disable-next-line no-unused-vars
getConstant) {
  return function initConstantSelector(dispatch) {
    const constant = getConstant(dispatch);

    function constantSelector() {
      return constant;
    }

    constantSelector.dependsOnOwnProps = false;
    return constantSelector;
  };
} // dependsOnOwnProps is used by createMapToPropsProxy to determine whether to pass props as args
// to the mapToProps function being wrapped. It is also used by makePurePropsSelector to determine
// whether mapToProps needs to be invoked when props have changed.
//
// A length of one signals that mapToProps does not depend on props from the parent component.
// A length of zero is assumed to mean mapToProps is getting args via arguments or ...args and
// therefore not reporting its length accurately..
// TODO Can this get pulled out so that we can subscribe directly to the store if we don't need ownProps?

function getDependsOnOwnProps(mapToProps) {
  return mapToProps.dependsOnOwnProps ? Boolean(mapToProps.dependsOnOwnProps) : mapToProps.length !== 1;
} // Used by whenMapStateToPropsIsFunction and whenMapDispatchToPropsIsFunction,
// this function wraps mapToProps in a proxy function which does several things:
//
//  * Detects whether the mapToProps function being called depends on props, which
//    is used by selectorFactory to decide if it should reinvoke on props changes.
//
//  * On first call, handles mapToProps if returns another function, and treats that
//    new function as the true mapToProps for subsequent calls.
//
//  * On first call, verifies the first result is a plain object, in order to warn
//    the developer that their mapToProps function is not returning a valid result.
//

function wrapMapToPropsFunc(mapToProps, methodName) {
  return function initProxySelector(dispatch, {
    displayName
  }) {
    const proxy = function mapToPropsProxy(stateOrDispatch, ownProps) {
      return proxy.dependsOnOwnProps ? proxy.mapToProps(stateOrDispatch, ownProps) : proxy.mapToProps(stateOrDispatch, undefined);
    }; // allow detectFactoryAndVerify to get ownProps


    proxy.dependsOnOwnProps = true;

    proxy.mapToProps = function detectFactoryAndVerify(stateOrDispatch, ownProps) {
      proxy.mapToProps = mapToProps;
      proxy.dependsOnOwnProps = getDependsOnOwnProps(mapToProps);
      let props = proxy(stateOrDispatch, ownProps);

      if (typeof props === 'function') {
        proxy.mapToProps = props;
        proxy.dependsOnOwnProps = getDependsOnOwnProps(props);
        props = proxy(stateOrDispatch, ownProps);
      }

      if (false) {}
      return props;
    };

    return proxy;
  };
}

/***/ }),

/***/ 60496:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Kq: () => (/* reexport safe */ _components_Provider__WEBPACK_IMPORTED_MODULE_0__.A),
/* harmony export */   Ng: () => (/* reexport safe */ _components_connect__WEBPACK_IMPORTED_MODULE_1__.A),
/* harmony export */   d4: () => (/* reexport safe */ _hooks_useSelector__WEBPACK_IMPORTED_MODULE_4__.d4),
/* harmony export */   wA: () => (/* reexport safe */ _hooks_useDispatch__WEBPACK_IMPORTED_MODULE_3__.w)
/* harmony export */ });
/* harmony import */ var _components_Provider__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(59963);
/* harmony import */ var _components_connect__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31802);
/* harmony import */ var _components_Context__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(29563);
/* harmony import */ var _hooks_useDispatch__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(26897);
/* harmony import */ var _hooks_useSelector__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(58082);
/* harmony import */ var _hooks_useStore__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(14342);










/***/ }),

/***/ 26897:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   w: () => (/* binding */ useDispatch)
/* harmony export */ });
/* unused harmony export createDispatchHook */
/* harmony import */ var _components_Context__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(29563);
/* harmony import */ var _useStore__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(14342);


/**
 * Hook factory, which creates a `useDispatch` hook bound to a given context.
 *
 * @param {React.Context} [context=ReactReduxContext] Context passed to your `<Provider>`.
 * @returns {Function} A `useDispatch` hook bound to the specified context.
 */

function createDispatchHook(context = _components_Context__WEBPACK_IMPORTED_MODULE_0__/* .ReactReduxContext */ .t) {
  const useStore = // @ts-ignore
  context === _components_Context__WEBPACK_IMPORTED_MODULE_0__/* .ReactReduxContext */ .t ? _useStore__WEBPACK_IMPORTED_MODULE_1__/* .useStore */ .P : (0,_useStore__WEBPACK_IMPORTED_MODULE_1__/* .createStoreHook */ .N)(context);
  return function useDispatch() {
    const store = useStore(); // @ts-ignore

    return store.dispatch;
  };
}
/**
 * A hook to access the redux `dispatch` function.
 *
 * @returns {any|function} redux store's `dispatch` function
 *
 * @example
 *
 * import React, { useCallback } from 'react'
 * import { useDispatch } from 'react-redux'
 *
 * export const CounterComponent = ({ value }) => {
 *   const dispatch = useDispatch()
 *   const increaseCounter = useCallback(() => dispatch({ type: 'increase-counter' }), [])
 *   return (
 *     <div>
 *       <span>{value}</span>
 *       <button onClick={increaseCounter}>Increase counter</button>
 *     </div>
 *   )
 * }
 */

const useDispatch = /*#__PURE__*/createDispatchHook();

/***/ }),

/***/ 44274:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   b: () => (/* binding */ createReduxContextHook),
/* harmony export */   n: () => (/* binding */ useReduxContext)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _components_Context__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(29563);



/**
 * Hook factory, which creates a `useReduxContext` hook bound to a given context. This is a low-level
 * hook that you should usually not need to call directly.
 *
 * @param {React.Context} [context=ReactReduxContext] Context passed to your `<Provider>`.
 * @returns {Function} A `useReduxContext` hook bound to the specified context.
 */
function createReduxContextHook(context = _components_Context__WEBPACK_IMPORTED_MODULE_1__/* .ReactReduxContext */ .t) {
  return function useReduxContext() {
    const contextValue = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(context);

    if (false) {}

    return contextValue;
  };
}
/**
 * A hook to access the value of the `ReactReduxContext`. This is a low-level
 * hook that you should usually not need to call directly.
 *
 * @returns {any} the value of the `ReactReduxContext`
 *
 * @example
 *
 * import React from 'react'
 * import { useReduxContext } from 'react-redux'
 *
 * export const CounterComponent = () => {
 *   const { store } = useReduxContext()
 *   return <div>{store.getState()}</div>
 * }
 */

const useReduxContext = /*#__PURE__*/createReduxContextHook();

/***/ }),

/***/ 58082:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d4: () => (/* binding */ useSelector),
/* harmony export */   ld: () => (/* binding */ initializeUseSelector)
/* harmony export */ });
/* unused harmony export createSelectorHook */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _useReduxContext__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(44274);
/* harmony import */ var _components_Context__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(29563);
/* harmony import */ var _utils_useSyncExternalStore__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(69445);




let useSyncExternalStoreWithSelector = _utils_useSyncExternalStore__WEBPACK_IMPORTED_MODULE_3__/* .notInitialized */ .w;
const initializeUseSelector = fn => {
  useSyncExternalStoreWithSelector = fn;
};

const refEquality = (a, b) => a === b;
/**
 * Hook factory, which creates a `useSelector` hook bound to a given context.
 *
 * @param {React.Context} [context=ReactReduxContext] Context passed to your `<Provider>`.
 * @returns {Function} A `useSelector` hook bound to the specified context.
 */


function createSelectorHook(context = _components_Context__WEBPACK_IMPORTED_MODULE_2__/* .ReactReduxContext */ .t) {
  const useReduxContext = context === _components_Context__WEBPACK_IMPORTED_MODULE_2__/* .ReactReduxContext */ .t ? _useReduxContext__WEBPACK_IMPORTED_MODULE_1__/* .useReduxContext */ .n : (0,_useReduxContext__WEBPACK_IMPORTED_MODULE_1__/* .createReduxContextHook */ .b)(context);
  return function useSelector(selector, equalityFnOrOptions = {}) {
    const {
      equalityFn = refEquality,
      stabilityCheck = undefined,
      noopCheck = undefined
    } = typeof equalityFnOrOptions === 'function' ? {
      equalityFn: equalityFnOrOptions
    } : equalityFnOrOptions;

    if (false) {}

    const {
      store,
      subscription,
      getServerState,
      stabilityCheck: globalStabilityCheck,
      noopCheck: globalNoopCheck
    } = useReduxContext();
    const firstRun = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(true);
    const wrappedSelector = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)({
      [selector.name](state) {
        const selected = selector(state);

        if (false) {}

        return selected;
      }

    }[selector.name], [selector, globalStabilityCheck, stabilityCheck]);
    const selectedState = useSyncExternalStoreWithSelector(subscription.addNestedSub, store.getState, getServerState || store.getState, wrappedSelector, equalityFn);
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useDebugValue)(selectedState);
    return selectedState;
  };
}
/**
 * A hook to access the redux store's state. This hook takes a selector function
 * as an argument. The selector is called with the store state.
 *
 * This hook takes an optional equality comparison function as the second parameter
 * that allows you to customize the way the selected state is compared to determine
 * whether the component needs to be re-rendered.
 *
 * @param {Function} selector the selector function
 * @param {Function=} equalityFn the function that will be used to determine equality
 *
 * @returns {any} the selected state
 *
 * @example
 *
 * import React from 'react'
 * import { useSelector } from 'react-redux'
 *
 * export const CounterComponent = () => {
 *   const counter = useSelector(state => state.counter)
 *   return <div>{counter}</div>
 * }
 */

const useSelector = /*#__PURE__*/createSelectorHook();

/***/ }),

/***/ 14342:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ createStoreHook),
/* harmony export */   P: () => (/* binding */ useStore)
/* harmony export */ });
/* harmony import */ var _components_Context__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(29563);
/* harmony import */ var _useReduxContext__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(44274);


/**
 * Hook factory, which creates a `useStore` hook bound to a given context.
 *
 * @param {React.Context} [context=ReactReduxContext] Context passed to your `<Provider>`.
 * @returns {Function} A `useStore` hook bound to the specified context.
 */

function createStoreHook(context = _components_Context__WEBPACK_IMPORTED_MODULE_0__/* .ReactReduxContext */ .t) {
  const useReduxContext = // @ts-ignore
  context === _components_Context__WEBPACK_IMPORTED_MODULE_0__/* .ReactReduxContext */ .t ? _useReduxContext__WEBPACK_IMPORTED_MODULE_1__/* .useReduxContext */ .n : // @ts-ignore
  (0,_useReduxContext__WEBPACK_IMPORTED_MODULE_1__/* .createReduxContextHook */ .b)(context);
  return function useStore() {
    const {
      store
    } = useReduxContext(); // @ts-ignore

    return store;
  };
}
/**
 * A hook to access the redux store.
 *
 * @returns {any} the redux store
 *
 * @example
 *
 * import React from 'react'
 * import { useStore } from 'react-redux'
 *
 * export const ExampleComponent = () => {
 *   const store = useStore()
 *   return <div>{store.getState()}</div>
 * }
 */

const useStore = /*#__PURE__*/createStoreHook();

/***/ }),

/***/ 20759:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Kq: () => (/* reexport safe */ _exports__WEBPACK_IMPORTED_MODULE_6__.Kq),
/* harmony export */   Ng: () => (/* reexport safe */ _exports__WEBPACK_IMPORTED_MODULE_6__.Ng),
/* harmony export */   d4: () => (/* reexport safe */ _exports__WEBPACK_IMPORTED_MODULE_6__.d4),
/* harmony export */   wA: () => (/* reexport safe */ _exports__WEBPACK_IMPORTED_MODULE_6__.wA)
/* harmony export */ });
/* harmony import */ var use_sync_external_store_shim__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(58139);
/* harmony import */ var use_sync_external_store_shim_with_selector__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(37121);
/* harmony import */ var _utils_reactBatchedUpdates__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(44823);
/* harmony import */ var _utils_batch__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(80361);
/* harmony import */ var _hooks_useSelector__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(58082);
/* harmony import */ var _components_connect__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(31802);
/* harmony import */ var _exports__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(60496);
// The primary entry point assumes we're working with standard ReactDOM/RN, but
// older versions that do not include `useSyncExternalStore` (React 16.9 - 17.x).
// Because of that, the useSyncExternalStore compat shim is needed.






(0,_hooks_useSelector__WEBPACK_IMPORTED_MODULE_3__/* .initializeUseSelector */ .ld)(use_sync_external_store_shim_with_selector__WEBPACK_IMPORTED_MODULE_1__.useSyncExternalStoreWithSelector);
(0,_components_connect__WEBPACK_IMPORTED_MODULE_4__/* .initializeConnect */ .T)(use_sync_external_store_shim__WEBPACK_IMPORTED_MODULE_0__.useSyncExternalStore); // Enable batched updates in our subscriptions for use
// with standard React renderers (ReactDOM, React Native)

(0,_utils_batch__WEBPACK_IMPORTED_MODULE_5__/* .setBatch */ .d)(_utils_reactBatchedUpdates__WEBPACK_IMPORTED_MODULE_2__/* .unstable_batchedUpdates */ .r);



/***/ }),

/***/ 22756:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K: () => (/* binding */ createSubscription)
/* harmony export */ });
/* harmony import */ var _batch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(80361);
 // encapsulates the subscription logic for connecting a component to the redux store, as
// well as nesting subscriptions of descendant components, so that we can ensure the
// ancestor components re-render before descendants

function createListenerCollection() {
  const batch = (0,_batch__WEBPACK_IMPORTED_MODULE_0__/* .getBatch */ .f)();
  let first = null;
  let last = null;
  return {
    clear() {
      first = null;
      last = null;
    },

    notify() {
      batch(() => {
        let listener = first;

        while (listener) {
          listener.callback();
          listener = listener.next;
        }
      });
    },

    get() {
      let listeners = [];
      let listener = first;

      while (listener) {
        listeners.push(listener);
        listener = listener.next;
      }

      return listeners;
    },

    subscribe(callback) {
      let isSubscribed = true;
      let listener = last = {
        callback,
        next: null,
        prev: last
      };

      if (listener.prev) {
        listener.prev.next = listener;
      } else {
        first = listener;
      }

      return function unsubscribe() {
        if (!isSubscribed || first === null) return;
        isSubscribed = false;

        if (listener.next) {
          listener.next.prev = listener.prev;
        } else {
          last = listener.prev;
        }

        if (listener.prev) {
          listener.prev.next = listener.next;
        } else {
          first = listener.next;
        }
      };
    }

  };
}

const nullListeners = {
  notify() {},

  get: () => []
};
function createSubscription(store, parentSub) {
  let unsubscribe;
  let listeners = nullListeners; // Reasons to keep the subscription active

  let subscriptionsAmount = 0; // Is this specific subscription subscribed (or only nested ones?)

  let selfSubscribed = false;

  function addNestedSub(listener) {
    trySubscribe();
    const cleanupListener = listeners.subscribe(listener); // cleanup nested sub

    let removed = false;
    return () => {
      if (!removed) {
        removed = true;
        cleanupListener();
        tryUnsubscribe();
      }
    };
  }

  function notifyNestedSubs() {
    listeners.notify();
  }

  function handleChangeWrapper() {
    if (subscription.onStateChange) {
      subscription.onStateChange();
    }
  }

  function isSubscribed() {
    return selfSubscribed;
  }

  function trySubscribe() {
    subscriptionsAmount++;

    if (!unsubscribe) {
      unsubscribe = parentSub ? parentSub.addNestedSub(handleChangeWrapper) : store.subscribe(handleChangeWrapper);
      listeners = createListenerCollection();
    }
  }

  function tryUnsubscribe() {
    subscriptionsAmount--;

    if (unsubscribe && subscriptionsAmount === 0) {
      unsubscribe();
      unsubscribe = undefined;
      listeners.clear();
      listeners = nullListeners;
    }
  }

  function trySubscribeSelf() {
    if (!selfSubscribed) {
      selfSubscribed = true;
      trySubscribe();
    }
  }

  function tryUnsubscribeSelf() {
    if (selfSubscribed) {
      selfSubscribed = false;
      tryUnsubscribe();
    }
  }

  const subscription = {
    addNestedSub,
    notifyNestedSubs,
    handleChangeWrapper,
    isSubscribed,
    trySubscribe: trySubscribeSelf,
    tryUnsubscribe: tryUnsubscribeSelf,
    getListeners: () => listeners
  };
  return subscription;
}

/***/ }),

/***/ 80361:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ setBatch),
/* harmony export */   f: () => (/* binding */ getBatch)
/* harmony export */ });
// Default to a dummy "batch" implementation that just runs the callback
function defaultNoopBatch(callback) {
  callback();
}

let batch = defaultNoopBatch; // Allow injecting another batching function later

const setBatch = newBatch => batch = newBatch; // Supply a getter just to skip dealing with ESM bindings

const getBatch = () => batch;

/***/ }),

/***/ 31193:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ bindActionCreators)
/* harmony export */ });
function bindActionCreators(actionCreators, dispatch) {
  const boundActionCreators = {};

  for (const key in actionCreators) {
    const actionCreator = actionCreators[key];

    if (typeof actionCreator === 'function') {
      boundActionCreators[key] = (...args) => dispatch(actionCreator(...args));
    }
  }

  return boundActionCreators;
}

/***/ }),

/***/ 44823:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   r: () => (/* reexport safe */ react_dom__WEBPACK_IMPORTED_MODULE_0__.unstable_batchedUpdates)
/* harmony export */ });
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(75795);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_0__);


/***/ }),

/***/ 25685:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ shallowEqual)
/* harmony export */ });
function is(x, y) {
  if (x === y) {
    return x !== 0 || y !== 0 || 1 / x === 1 / y;
  } else {
    return x !== x && y !== y;
  }
}

function shallowEqual(objA, objB) {
  if (is(objA, objB)) return true;

  if (typeof objA !== 'object' || objA === null || typeof objB !== 'object' || objB === null) {
    return false;
  }

  const keysA = Object.keys(objA);
  const keysB = Object.keys(objB);
  if (keysA.length !== keysB.length) return false;

  for (let i = 0; i < keysA.length; i++) {
    if (!Object.prototype.hasOwnProperty.call(objB, keysA[i]) || !is(objA[keysA[i]], objB[keysA[i]])) {
      return false;
    }
  }

  return true;
}

/***/ }),

/***/ 77640:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ useIsomorphicLayoutEffect)
/* harmony export */ });
/* unused harmony export canUseDOM */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
 // React currently throws a warning when using useLayoutEffect on the server.
// To get around it, we can conditionally useEffect on the server (no-op) and
// useLayoutEffect in the browser. We need useLayoutEffect to ensure the store
// subscription callback always has the selector from the latest render commit
// available, otherwise a store update may happen between render and the effect,
// which may cause missed updates; we also must ensure the store subscription
// is created synchronously, otherwise a store update may occur before the
// subscription is created and an inconsistent state may be observed
// Matches logic in React's `shared/ExecutionEnvironment` file

const canUseDOM = !!( true && typeof window.document !== 'undefined' && typeof window.document.createElement !== 'undefined');
const useIsomorphicLayoutEffect = canUseDOM ? react__WEBPACK_IMPORTED_MODULE_0__.useLayoutEffect : react__WEBPACK_IMPORTED_MODULE_0__.useEffect;

/***/ }),

/***/ 69445:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   w: () => (/* binding */ notInitialized)
/* harmony export */ });
const notInitialized = () => {
  throw new Error('uSES not initialized!');
};

/***/ }),

/***/ 73657:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N_: () => (/* binding */ Link)
/* harmony export */ });
/* unused harmony exports BrowserRouter, Form, HashRouter, NavLink, ScrollRestoration, UNSAFE_useScrollRestoration, createBrowserRouter, createHashRouter, createSearchParams, unstable_HistoryRouter, unstable_usePrompt, useBeforeUnload, useFetcher, useFetchers, useFormAction, useLinkClickHandler, useSearchParams, useSubmit */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18690);
/* harmony import */ var _remix_run_router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(21613);
/**
 * React Router DOM v6.10.0
 *
 * Copyright (c) Remix Software Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */





function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };
  return _extends.apply(this, arguments);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

const defaultMethod = "get";
const defaultEncType = "application/x-www-form-urlencoded";
function isHtmlElement(object) {
  return object != null && typeof object.tagName === "string";
}
function isButtonElement(object) {
  return isHtmlElement(object) && object.tagName.toLowerCase() === "button";
}
function isFormElement(object) {
  return isHtmlElement(object) && object.tagName.toLowerCase() === "form";
}
function isInputElement(object) {
  return isHtmlElement(object) && object.tagName.toLowerCase() === "input";
}

function isModifiedEvent(event) {
  return !!(event.metaKey || event.altKey || event.ctrlKey || event.shiftKey);
}

function shouldProcessLinkClick(event, target) {
  return event.button === 0 && ( // Ignore everything but left clicks
  !target || target === "_self") && // Let browser handle "target=_blank" etc.
  !isModifiedEvent(event) // Ignore clicks with modifier keys
  ;
}
/**
 * Creates a URLSearchParams object using the given initializer.
 *
 * This is identical to `new URLSearchParams(init)` except it also
 * supports arrays as values in the object form of the initializer
 * instead of just strings. This is convenient when you need multiple
 * values for a given key, but don't want to use an array initializer.
 *
 * For example, instead of:
 *
 *   let searchParams = new URLSearchParams([
 *     ['sort', 'name'],
 *     ['sort', 'price']
 *   ]);
 *
 * you can do:
 *
 *   let searchParams = createSearchParams({
 *     sort: ['name', 'price']
 *   });
 */

function createSearchParams(init) {
  if (init === void 0) {
    init = "";
  }

  return new URLSearchParams(typeof init === "string" || Array.isArray(init) || init instanceof URLSearchParams ? init : Object.keys(init).reduce((memo, key) => {
    let value = init[key];
    return memo.concat(Array.isArray(value) ? value.map(v => [key, v]) : [[key, value]]);
  }, []));
}
function getSearchParamsForLocation(locationSearch, defaultSearchParams) {
  let searchParams = createSearchParams(locationSearch);

  if (defaultSearchParams) {
    for (let key of defaultSearchParams.keys()) {
      if (!searchParams.has(key)) {
        defaultSearchParams.getAll(key).forEach(value => {
          searchParams.append(key, value);
        });
      }
    }
  }

  return searchParams;
}
function getFormSubmissionInfo(target, defaultAction, options) {
  let method;
  let action;
  let encType;
  let formData;

  if (isFormElement(target)) {
    let submissionTrigger = options.submissionTrigger;
    method = options.method || target.getAttribute("method") || defaultMethod;
    action = options.action || target.getAttribute("action") || defaultAction;
    encType = options.encType || target.getAttribute("enctype") || defaultEncType;
    formData = new FormData(target);

    if (submissionTrigger && submissionTrigger.name) {
      formData.append(submissionTrigger.name, submissionTrigger.value);
    }
  } else if (isButtonElement(target) || isInputElement(target) && (target.type === "submit" || target.type === "image")) {
    let form = target.form;

    if (form == null) {
      throw new Error("Cannot submit a <button> or <input type=\"submit\"> without a <form>");
    } // <button>/<input type="submit"> may override attributes of <form>


    method = options.method || target.getAttribute("formmethod") || form.getAttribute("method") || defaultMethod;
    action = options.action || target.getAttribute("formaction") || form.getAttribute("action") || defaultAction;
    encType = options.encType || target.getAttribute("formenctype") || form.getAttribute("enctype") || defaultEncType;
    formData = new FormData(form); // Include name + value from a <button>, appending in case the button name
    // matches an existing input name

    if (target.name) {
      formData.append(target.name, target.value);
    }
  } else if (isHtmlElement(target)) {
    throw new Error("Cannot submit element that is not <form>, <button>, or " + "<input type=\"submit|image\">");
  } else {
    method = options.method || defaultMethod;
    action = options.action || defaultAction;
    encType = options.encType || defaultEncType;

    if (target instanceof FormData) {
      formData = target;
    } else {
      formData = new FormData();

      if (target instanceof URLSearchParams) {
        for (let [name, value] of target) {
          formData.append(name, value);
        }
      } else if (target != null) {
        for (let name of Object.keys(target)) {
          formData.append(name, target[name]);
        }
      }
    }
  }

  let {
    protocol,
    host
  } = window.location;
  let url = new URL(action, protocol + "//" + host);
  return {
    url,
    method: method.toLowerCase(),
    encType,
    formData
  };
}

const _excluded = ["onClick", "relative", "reloadDocument", "replace", "state", "target", "to", "preventScrollReset"],
      _excluded2 = (/* unused pure expression or super */ null && (["aria-current", "caseSensitive", "className", "end", "style", "to", "children"])),
      _excluded3 = (/* unused pure expression or super */ null && (["reloadDocument", "replace", "method", "action", "onSubmit", "fetcherKey", "routeId", "relative", "preventScrollReset"]));
function createBrowserRouter(routes, opts) {
  return createRouter({
    basename: opts == null ? void 0 : opts.basename,
    future: opts == null ? void 0 : opts.future,
    history: createBrowserHistory({
      window: opts == null ? void 0 : opts.window
    }),
    hydrationData: (opts == null ? void 0 : opts.hydrationData) || parseHydrationData(),
    routes,
    detectErrorBoundary: UNSAFE_detectErrorBoundary
  }).initialize();
}
function createHashRouter(routes, opts) {
  return createRouter({
    basename: opts == null ? void 0 : opts.basename,
    future: opts == null ? void 0 : opts.future,
    history: createHashHistory({
      window: opts == null ? void 0 : opts.window
    }),
    hydrationData: (opts == null ? void 0 : opts.hydrationData) || parseHydrationData(),
    routes,
    detectErrorBoundary: UNSAFE_detectErrorBoundary
  }).initialize();
}

function parseHydrationData() {
  var _window;

  let state = (_window = window) == null ? void 0 : _window.__staticRouterHydrationData;

  if (state && state.errors) {
    state = _extends({}, state, {
      errors: deserializeErrors(state.errors)
    });
  }

  return state;
}

function deserializeErrors(errors) {
  if (!errors) return null;
  let entries = Object.entries(errors);
  let serialized = {};

  for (let [key, val] of entries) {
    // Hey you!  If you change this, please change the corresponding logic in
    // serializeErrors in react-router-dom/server.tsx :)
    if (val && val.__type === "RouteErrorResponse") {
      serialized[key] = new ErrorResponse(val.status, val.statusText, val.data, val.internal === true);
    } else if (val && val.__type === "Error") {
      let error = new Error(val.message); // Wipe away the client-side stack trace.  Nothing to fill it in with
      // because we don't serialize SSR stack traces for security reasons

      error.stack = "";
      serialized[key] = error;
    } else {
      serialized[key] = val;
    }
  }

  return serialized;
}
/**
 * A `<Router>` for use in web browsers. Provides the cleanest URLs.
 */


function BrowserRouter(_ref) {
  let {
    basename,
    children,
    window
  } = _ref;
  let historyRef = React.useRef();

  if (historyRef.current == null) {
    historyRef.current = createBrowserHistory({
      window,
      v5Compat: true
    });
  }

  let history = historyRef.current;
  let [state, setState] = React.useState({
    action: history.action,
    location: history.location
  });
  React.useLayoutEffect(() => history.listen(setState), [history]);
  return /*#__PURE__*/React.createElement(Router, {
    basename: basename,
    children: children,
    location: state.location,
    navigationType: state.action,
    navigator: history
  });
}
/**
 * A `<Router>` for use in web browsers. Stores the location in the hash
 * portion of the URL so it is not sent to the server.
 */

function HashRouter(_ref2) {
  let {
    basename,
    children,
    window
  } = _ref2;
  let historyRef = React.useRef();

  if (historyRef.current == null) {
    historyRef.current = createHashHistory({
      window,
      v5Compat: true
    });
  }

  let history = historyRef.current;
  let [state, setState] = React.useState({
    action: history.action,
    location: history.location
  });
  React.useLayoutEffect(() => history.listen(setState), [history]);
  return /*#__PURE__*/React.createElement(Router, {
    basename: basename,
    children: children,
    location: state.location,
    navigationType: state.action,
    navigator: history
  });
}
/**
 * A `<Router>` that accepts a pre-instantiated history object. It's important
 * to note that using your own history object is highly discouraged and may add
 * two versions of the history library to your bundles unless you use the same
 * version of the history library that React Router uses internally.
 */

function HistoryRouter(_ref3) {
  let {
    basename,
    children,
    history
  } = _ref3;
  const [state, setState] = React.useState({
    action: history.action,
    location: history.location
  });
  React.useLayoutEffect(() => history.listen(setState), [history]);
  return /*#__PURE__*/React.createElement(Router, {
    basename: basename,
    children: children,
    location: state.location,
    navigationType: state.action,
    navigator: history
  });
}

if (false) {}
const isBrowser =  true && typeof window.document !== "undefined" && typeof window.document.createElement !== "undefined";
const ABSOLUTE_URL_REGEX = /^(?:[a-z][a-z0-9+.-]*:|\/\/)/i;
/**
 * The public API for rendering a history-aware <a>.
 */

const Link = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.forwardRef(function LinkWithRef(_ref4, ref) {
  let {
    onClick,
    relative,
    reloadDocument,
    replace,
    state,
    target,
    to,
    preventScrollReset
  } = _ref4,
      rest = _objectWithoutPropertiesLoose(_ref4, _excluded);

  let {
    basename
  } = react__WEBPACK_IMPORTED_MODULE_0__.useContext(react_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_NavigationContext */ .jb); // Rendered into <a href> for absolute URLs

  let absoluteHref;
  let isExternal = false;

  if (typeof to === "string" && ABSOLUTE_URL_REGEX.test(to)) {
    // Render the absolute href server- and client-side
    absoluteHref = to; // Only check for external origins client-side

    if (isBrowser) {
      let currentUrl = new URL(window.location.href);
      let targetUrl = to.startsWith("//") ? new URL(currentUrl.protocol + to) : new URL(to);
      let path = (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_2__/* .stripBasename */ .pb)(targetUrl.pathname, basename);

      if (targetUrl.origin === currentUrl.origin && path != null) {
        // Strip the protocol/origin/basename for same-origin absolute URLs
        to = path + targetUrl.search + targetUrl.hash;
      } else {
        isExternal = true;
      }
    }
  } // Rendered into <a href> for relative URLs


  let href = (0,react_router__WEBPACK_IMPORTED_MODULE_1__/* .useHref */ .$P)(to, {
    relative
  });
  let internalOnClick = useLinkClickHandler(to, {
    replace,
    state,
    target,
    preventScrollReset,
    relative
  });

  function handleClick(event) {
    if (onClick) onClick(event);

    if (!event.defaultPrevented) {
      internalOnClick(event);
    }
  }

  return (
    /*#__PURE__*/
    // eslint-disable-next-line jsx-a11y/anchor-has-content
    react__WEBPACK_IMPORTED_MODULE_0__.createElement("a", _extends({}, rest, {
      href: absoluteHref || href,
      onClick: isExternal || reloadDocument ? onClick : handleClick,
      ref: ref,
      target: target
    }))
  );
});

if (false) {}
/**
 * A <Link> wrapper that knows if it's "active" or not.
 */


const NavLink = /*#__PURE__*/(/* unused pure expression or super */ null && (React.forwardRef(function NavLinkWithRef(_ref5, ref) {
  let {
    "aria-current": ariaCurrentProp = "page",
    caseSensitive = false,
    className: classNameProp = "",
    end = false,
    style: styleProp,
    to,
    children
  } = _ref5,
      rest = _objectWithoutPropertiesLoose(_ref5, _excluded2);

  let path = useResolvedPath(to, {
    relative: rest.relative
  });
  let location = useLocation();
  let routerState = React.useContext(UNSAFE_DataRouterStateContext);
  let {
    navigator
  } = React.useContext(UNSAFE_NavigationContext);
  let toPathname = navigator.encodeLocation ? navigator.encodeLocation(path).pathname : path.pathname;
  let locationPathname = location.pathname;
  let nextLocationPathname = routerState && routerState.navigation && routerState.navigation.location ? routerState.navigation.location.pathname : null;

  if (!caseSensitive) {
    locationPathname = locationPathname.toLowerCase();
    nextLocationPathname = nextLocationPathname ? nextLocationPathname.toLowerCase() : null;
    toPathname = toPathname.toLowerCase();
  }

  let isActive = locationPathname === toPathname || !end && locationPathname.startsWith(toPathname) && locationPathname.charAt(toPathname.length) === "/";
  let isPending = nextLocationPathname != null && (nextLocationPathname === toPathname || !end && nextLocationPathname.startsWith(toPathname) && nextLocationPathname.charAt(toPathname.length) === "/");
  let ariaCurrent = isActive ? ariaCurrentProp : undefined;
  let className;

  if (typeof classNameProp === "function") {
    className = classNameProp({
      isActive,
      isPending
    });
  } else {
    // If the className prop is not a function, we use a default `active`
    // class for <NavLink />s that are active. In v5 `active` was the default
    // value for `activeClassName`, but we are removing that API and can still
    // use the old default behavior for a cleaner upgrade path and keep the
    // simple styling rules working as they currently do.
    className = [classNameProp, isActive ? "active" : null, isPending ? "pending" : null].filter(Boolean).join(" ");
  }

  let style = typeof styleProp === "function" ? styleProp({
    isActive,
    isPending
  }) : styleProp;
  return /*#__PURE__*/React.createElement(Link, _extends({}, rest, {
    "aria-current": ariaCurrent,
    className: className,
    ref: ref,
    style: style,
    to: to
  }), typeof children === "function" ? children({
    isActive,
    isPending
  }) : children);
})));

if (false) {}
/**
 * A `@remix-run/router`-aware `<form>`. It behaves like a normal form except
 * that the interaction with the server is with `fetch` instead of new document
 * requests, allowing components to add nicer UX to the page as the form is
 * submitted and returns with data.
 */


const Form = /*#__PURE__*/(/* unused pure expression or super */ null && (React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(FormImpl, _extends({}, props, {
    ref: ref
  }));
})));

if (false) {}

const FormImpl = /*#__PURE__*/(/* unused pure expression or super */ null && (React.forwardRef((_ref6, forwardedRef) => {
  let {
    reloadDocument,
    replace,
    method = defaultMethod,
    action,
    onSubmit,
    fetcherKey,
    routeId,
    relative,
    preventScrollReset
  } = _ref6,
      props = _objectWithoutPropertiesLoose(_ref6, _excluded3);

  let submit = useSubmitImpl(fetcherKey, routeId);
  let formMethod = method.toLowerCase() === "get" ? "get" : "post";
  let formAction = useFormAction(action, {
    relative
  });

  let submitHandler = event => {
    onSubmit && onSubmit(event);
    if (event.defaultPrevented) return;
    event.preventDefault();
    let submitter = event.nativeEvent.submitter;
    let submitMethod = (submitter == null ? void 0 : submitter.getAttribute("formmethod")) || method;
    submit(submitter || event.currentTarget, {
      method: submitMethod,
      replace,
      relative,
      preventScrollReset
    });
  };

  return /*#__PURE__*/React.createElement("form", _extends({
    ref: forwardedRef,
    method: formMethod,
    action: formAction,
    onSubmit: reloadDocument ? onSubmit : submitHandler
  }, props));
})));

if (false) {}
/**
 * This component will emulate the browser's scroll restoration on location
 * changes.
 */


function ScrollRestoration(_ref7) {
  let {
    getKey,
    storageKey
  } = _ref7;
  useScrollRestoration({
    getKey,
    storageKey
  });
  return null;
}

if (false) {} //#endregion
////////////////////////////////////////////////////////////////////////////////
//#region Hooks
////////////////////////////////////////////////////////////////////////////////


var DataRouterHook;

(function (DataRouterHook) {
  DataRouterHook["UseScrollRestoration"] = "useScrollRestoration";
  DataRouterHook["UseSubmitImpl"] = "useSubmitImpl";
  DataRouterHook["UseFetcher"] = "useFetcher";
})(DataRouterHook || (DataRouterHook = {}));

var DataRouterStateHook;

(function (DataRouterStateHook) {
  DataRouterStateHook["UseFetchers"] = "useFetchers";
  DataRouterStateHook["UseScrollRestoration"] = "useScrollRestoration";
})(DataRouterStateHook || (DataRouterStateHook = {}));

function getDataRouterConsoleError(hookName) {
  return hookName + " must be used within a data router.  See https://reactrouter.com/routers/picking-a-router.";
}

function useDataRouterContext(hookName) {
  let ctx = React.useContext(UNSAFE_DataRouterContext);
  !ctx ?  false ? 0 : UNSAFE_invariant(false) : void 0;
  return ctx;
}

function useDataRouterState(hookName) {
  let state = React.useContext(UNSAFE_DataRouterStateContext);
  !state ?  false ? 0 : UNSAFE_invariant(false) : void 0;
  return state;
}
/**
 * Handles the click behavior for router `<Link>` components. This is useful if
 * you need to create custom `<Link>` components with the same click behavior we
 * use in our exported `<Link>`.
 */


function useLinkClickHandler(to, _temp) {
  let {
    target,
    replace: replaceProp,
    state,
    preventScrollReset,
    relative
  } = _temp === void 0 ? {} : _temp;
  let navigate = (0,react_router__WEBPACK_IMPORTED_MODULE_1__/* .useNavigate */ .Zp)();
  let location = (0,react_router__WEBPACK_IMPORTED_MODULE_1__/* .useLocation */ .zy)();
  let path = (0,react_router__WEBPACK_IMPORTED_MODULE_1__/* .useResolvedPath */ .x$)(to, {
    relative
  });
  return react__WEBPACK_IMPORTED_MODULE_0__.useCallback(event => {
    if (shouldProcessLinkClick(event, target)) {
      event.preventDefault(); // If the URL hasn't changed, a regular <a> will do a replace instead of
      // a push, so do the same here unless the replace prop is explicitly set

      let replace = replaceProp !== undefined ? replaceProp : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_2__/* .createPath */ .AO)(location) === (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_2__/* .createPath */ .AO)(path);
      navigate(to, {
        replace,
        state,
        preventScrollReset,
        relative
      });
    }
  }, [location, navigate, path, replaceProp, state, target, to, preventScrollReset, relative]);
}
/**
 * A convenient wrapper for reading and writing search parameters via the
 * URLSearchParams interface.
 */

function useSearchParams(defaultInit) {
   false ? 0 : void 0;
  let defaultSearchParamsRef = React.useRef(createSearchParams(defaultInit));
  let hasSetSearchParamsRef = React.useRef(false);
  let location = useLocation();
  let searchParams = React.useMemo(() => // Only merge in the defaults if we haven't yet called setSearchParams.
  // Once we call that we want those to take precedence, otherwise you can't
  // remove a param with setSearchParams({}) if it has an initial value
  getSearchParamsForLocation(location.search, hasSetSearchParamsRef.current ? null : defaultSearchParamsRef.current), [location.search]);
  let navigate = useNavigate();
  let setSearchParams = React.useCallback((nextInit, navigateOptions) => {
    const newSearchParams = createSearchParams(typeof nextInit === "function" ? nextInit(searchParams) : nextInit);
    hasSetSearchParamsRef.current = true;
    navigate("?" + newSearchParams, navigateOptions);
  }, [navigate, searchParams]);
  return [searchParams, setSearchParams];
}
/**
 * Returns a function that may be used to programmatically submit a form (or
 * some arbitrary data) to the server.
 */

function useSubmit() {
  return useSubmitImpl();
}

function useSubmitImpl(fetcherKey, routeId) {
  let {
    router
  } = useDataRouterContext(DataRouterHook.UseSubmitImpl);
  let defaultAction = useFormAction();
  return React.useCallback(function (target, options) {
    if (options === void 0) {
      options = {};
    }

    if (typeof document === "undefined") {
      throw new Error("You are calling submit during the server render. " + "Try calling submit within a `useEffect` or callback instead.");
    }

    let {
      method,
      encType,
      formData,
      url
    } = getFormSubmissionInfo(target, defaultAction, options);
    let href = url.pathname + url.search;
    let opts = {
      replace: options.replace,
      preventScrollReset: options.preventScrollReset,
      formData,
      formMethod: method,
      formEncType: encType
    };

    if (fetcherKey) {
      !(routeId != null) ?  false ? 0 : UNSAFE_invariant(false) : void 0;
      router.fetch(fetcherKey, routeId, href, opts);
    } else {
      router.navigate(href, opts);
    }
  }, [defaultAction, router, fetcherKey, routeId]);
}

function useFormAction(action, _temp2) {
  let {
    relative
  } = _temp2 === void 0 ? {} : _temp2;
  let {
    basename
  } = React.useContext(UNSAFE_NavigationContext);
  let routeContext = React.useContext(UNSAFE_RouteContext);
  !routeContext ?  false ? 0 : UNSAFE_invariant(false) : void 0;
  let [match] = routeContext.matches.slice(-1); // Shallow clone path so we can modify it below, otherwise we modify the
  // object referenced by useMemo inside useResolvedPath

  let path = _extends({}, useResolvedPath(action ? action : ".", {
    relative
  })); // Previously we set the default action to ".". The problem with this is that
  // `useResolvedPath(".")` excludes search params and the hash of the resolved
  // URL. This is the intended behavior of when "." is specifically provided as
  // the form action, but inconsistent w/ browsers when the action is omitted.
  // https://github.com/remix-run/remix/issues/927


  let location = useLocation();

  if (action == null) {
    // Safe to write to these directly here since if action was undefined, we
    // would have called useResolvedPath(".") which will never include a search
    // or hash
    path.search = location.search;
    path.hash = location.hash; // When grabbing search params from the URL, remove the automatically
    // inserted ?index param so we match the useResolvedPath search behavior
    // which would not include ?index

    if (match.route.index) {
      let params = new URLSearchParams(path.search);
      params.delete("index");
      path.search = params.toString() ? "?" + params.toString() : "";
    }
  }

  if ((!action || action === ".") && match.route.index) {
    path.search = path.search ? path.search.replace(/^\?/, "?index&") : "?index";
  } // If we're operating within a basename, prepend it to the pathname prior
  // to creating the form action.  If this is a root navigation, then just use
  // the raw basename which allows the basename to have full control over the
  // presence of a trailing slash on root actions


  if (basename !== "/") {
    path.pathname = path.pathname === "/" ? basename : joinPaths([basename, path.pathname]);
  }

  return createPath(path);
}

function createFetcherForm(fetcherKey, routeId) {
  let FetcherForm = /*#__PURE__*/React.forwardRef((props, ref) => {
    return /*#__PURE__*/React.createElement(FormImpl, _extends({}, props, {
      ref: ref,
      fetcherKey: fetcherKey,
      routeId: routeId
    }));
  });

  if (false) {}

  return FetcherForm;
}

let fetcherId = 0;
/**
 * Interacts with route loaders and actions without causing a navigation. Great
 * for any interaction that stays on the same page.
 */

function useFetcher() {
  var _route$matches;

  let {
    router
  } = useDataRouterContext(DataRouterHook.UseFetcher);
  let route = React.useContext(UNSAFE_RouteContext);
  !route ?  false ? 0 : UNSAFE_invariant(false) : void 0;
  let routeId = (_route$matches = route.matches[route.matches.length - 1]) == null ? void 0 : _route$matches.route.id;
  !(routeId != null) ?  false ? 0 : UNSAFE_invariant(false) : void 0;
  let [fetcherKey] = React.useState(() => String(++fetcherId));
  let [Form] = React.useState(() => {
    !routeId ?  false ? 0 : UNSAFE_invariant(false) : void 0;
    return createFetcherForm(fetcherKey, routeId);
  });
  let [load] = React.useState(() => href => {
    !router ?  false ? 0 : UNSAFE_invariant(false) : void 0;
    !routeId ?  false ? 0 : UNSAFE_invariant(false) : void 0;
    router.fetch(fetcherKey, routeId, href);
  });
  let submit = useSubmitImpl(fetcherKey, routeId);
  let fetcher = router.getFetcher(fetcherKey);
  let fetcherWithComponents = React.useMemo(() => _extends({
    Form,
    submit,
    load
  }, fetcher), [fetcher, Form, submit, load]);
  React.useEffect(() => {
    // Is this busted when the React team gets real weird and calls effects
    // twice on mount?  We really just need to garbage collect here when this
    // fetcher is no longer around.
    return () => {
      if (!router) {
        console.warn("No fetcher available to clean up from useFetcher()");
        return;
      }

      router.deleteFetcher(fetcherKey);
    };
  }, [router, fetcherKey]);
  return fetcherWithComponents;
}
/**
 * Provides all fetchers currently on the page. Useful for layouts and parent
 * routes that need to provide pending/optimistic UI regarding the fetch.
 */

function useFetchers() {
  let state = useDataRouterState(DataRouterStateHook.UseFetchers);
  return [...state.fetchers.values()];
}
const SCROLL_RESTORATION_STORAGE_KEY = "react-router-scroll-positions";
let savedScrollPositions = {};
/**
 * When rendered inside a RouterProvider, will restore scroll positions on navigations
 */

function useScrollRestoration(_temp3) {
  let {
    getKey,
    storageKey
  } = _temp3 === void 0 ? {} : _temp3;
  let {
    router
  } = useDataRouterContext(DataRouterHook.UseScrollRestoration);
  let {
    restoreScrollPosition,
    preventScrollReset
  } = useDataRouterState(DataRouterStateHook.UseScrollRestoration);
  let location = useLocation();
  let matches = useMatches();
  let navigation = useNavigation(); // Trigger manual scroll restoration while we're active

  React.useEffect(() => {
    window.history.scrollRestoration = "manual";
    return () => {
      window.history.scrollRestoration = "auto";
    };
  }, []); // Save positions on pagehide

  usePageHide(React.useCallback(() => {
    if (navigation.state === "idle") {
      let key = (getKey ? getKey(location, matches) : null) || location.key;
      savedScrollPositions[key] = window.scrollY;
    }

    sessionStorage.setItem(storageKey || SCROLL_RESTORATION_STORAGE_KEY, JSON.stringify(savedScrollPositions));
    window.history.scrollRestoration = "auto";
  }, [storageKey, getKey, navigation.state, location, matches])); // Read in any saved scroll locations

  if (typeof document !== "undefined") {
    // eslint-disable-next-line react-hooks/rules-of-hooks
    React.useLayoutEffect(() => {
      try {
        let sessionPositions = sessionStorage.getItem(storageKey || SCROLL_RESTORATION_STORAGE_KEY);

        if (sessionPositions) {
          savedScrollPositions = JSON.parse(sessionPositions);
        }
      } catch (e) {// no-op, use default empty object
      }
    }, [storageKey]); // Enable scroll restoration in the router
    // eslint-disable-next-line react-hooks/rules-of-hooks

    React.useLayoutEffect(() => {
      let disableScrollRestoration = router == null ? void 0 : router.enableScrollRestoration(savedScrollPositions, () => window.scrollY, getKey);
      return () => disableScrollRestoration && disableScrollRestoration();
    }, [router, getKey]); // Restore scrolling when state.restoreScrollPosition changes
    // eslint-disable-next-line react-hooks/rules-of-hooks

    React.useLayoutEffect(() => {
      // Explicit false means don't do anything (used for submissions)
      if (restoreScrollPosition === false) {
        return;
      } // been here before, scroll to it


      if (typeof restoreScrollPosition === "number") {
        window.scrollTo(0, restoreScrollPosition);
        return;
      } // try to scroll to the hash


      if (location.hash) {
        let el = document.getElementById(location.hash.slice(1));

        if (el) {
          el.scrollIntoView();
          return;
        }
      } // Don't reset if this navigation opted out


      if (preventScrollReset === true) {
        return;
      } // otherwise go to the top on new locations


      window.scrollTo(0, 0);
    }, [location, restoreScrollPosition, preventScrollReset]);
  }
}
/**
 * Setup a callback to be fired on the window's `beforeunload` event. This is
 * useful for saving some data to `window.localStorage` just before the page
 * refreshes.
 *
 * Note: The `callback` argument should be a function created with
 * `React.useCallback()`.
 */

function useBeforeUnload(callback, options) {
  let {
    capture
  } = options || {};
  React.useEffect(() => {
    let opts = capture != null ? {
      capture
    } : undefined;
    window.addEventListener("beforeunload", callback, opts);
    return () => {
      window.removeEventListener("beforeunload", callback, opts);
    };
  }, [callback, capture]);
}
/**
 * Setup a callback to be fired on the window's `pagehide` event. This is
 * useful for saving some data to `window.localStorage` just before the page
 * refreshes.  This event is better supported than beforeunload across browsers.
 *
 * Note: The `callback` argument should be a function created with
 * `React.useCallback()`.
 */

function usePageHide(callback, options) {
  let {
    capture
  } = options || {};
  React.useEffect(() => {
    let opts = capture != null ? {
      capture
    } : undefined;
    window.addEventListener("pagehide", callback, opts);
    return () => {
      window.removeEventListener("pagehide", callback, opts);
    };
  }, [callback, capture]);
}
/**
 * Wrapper around useBlocker to show a window.confirm prompt to users instead
 * of building a custom UI with useBlocker.
 *
 * Warning: This has *a lot of rough edges* and behaves very differently (and
 * very incorrectly in some cases) across browsers if user click addition
 * back/forward navigations while the confirm is open.  Use at your own risk.
 */


function usePrompt(_ref8) {
  let {
    when,
    message
  } = _ref8;
  let blocker = unstable_useBlocker(when);
  React.useEffect(() => {
    if (blocker.state === "blocked" && !when) {
      blocker.reset();
    }
  }, [blocker, when]);
  React.useEffect(() => {
    if (blocker.state === "blocked") {
      let proceed = window.confirm(message);

      if (proceed) {
        setTimeout(blocker.proceed, 0);
      } else {
        blocker.reset();
      }
    }
  }, [blocker, message]);
}
 //#endregion


//# sourceMappingURL=index.js.map


/***/ }),

/***/ 18690:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $P: () => (/* binding */ useHref),
/* harmony export */   BV: () => (/* binding */ Routes),
/* harmony export */   Zp: () => (/* binding */ useNavigate),
/* harmony export */   fS: () => (/* binding */ MemoryRouter),
/* harmony export */   jb: () => (/* binding */ NavigationContext),
/* harmony export */   qh: () => (/* binding */ Route),
/* harmony export */   x$: () => (/* binding */ useResolvedPath),
/* harmony export */   zy: () => (/* binding */ useLocation)
/* harmony export */ });
/* unused harmony exports Await, Navigate, Outlet, Router, RouterProvider, UNSAFE_DataRouterContext, UNSAFE_DataRouterStateContext, UNSAFE_LocationContext, UNSAFE_RouteContext, UNSAFE_detectErrorBoundary, createMemoryRouter, createRoutesFromChildren, createRoutesFromElements, renderMatches, unstable_useBlocker, useActionData, useAsyncError, useAsyncValue, useInRouterContext, useLoaderData, useMatch, useMatches, useNavigation, useNavigationType, useOutlet, useOutletContext, useParams, useRevalidator, useRouteError, useRouteLoaderData, useRoutes */
/* harmony import */ var _remix_run_router__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(21613);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/**
 * React Router v6.10.0
 *
 * Copyright (c) Remix Software Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.md file in the root directory of this source tree.
 *
 * @license MIT
 */




/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * inlined Object.is polyfill to avoid requiring consumers ship their own
 * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is
 */

function isPolyfill(x, y) {
  return x === y && (x !== 0 || 1 / x === 1 / y) || x !== x && y !== y // eslint-disable-line no-self-compare
  ;
}

const is = typeof Object.is === "function" ? Object.is : isPolyfill; // Intentionally not using named imports because Rollup uses dynamic
// dispatch for CommonJS interop named imports.

const {
  useState,
  useEffect,
  useLayoutEffect,
  useDebugValue
} = react__WEBPACK_IMPORTED_MODULE_0__;
let didWarnOld18Alpha = false;
let didWarnUncachedGetSnapshot = false; // Disclaimer: This shim breaks many of the rules of React, and only works
// because of a very particular set of implementation details and assumptions
// -- change any one of them and it will break. The most important assumption
// is that updates are always synchronous, because concurrent rendering is
// only available in versions of React that also have a built-in
// useSyncExternalStore API. And we only use this shim when the built-in API
// does not exist.
//
// Do not assume that the clever hacks used by this hook also work in general.
// The point of this shim is to replace the need for hacks by other libraries.

function useSyncExternalStore$2(subscribe, getSnapshot, // Note: The shim does not use getServerSnapshot, because pre-18 versions of
// React do not expose a way to check if we're hydrating. So users of the shim
// will need to track that themselves and return the correct value
// from `getSnapshot`.
getServerSnapshot) {
  if (false) {} // Read the current snapshot from the store on every render. Again, this
  // breaks the rules of React, and only works here because of specific
  // implementation details, most importantly that updates are
  // always synchronous.


  const value = getSnapshot();

  if (false) {} // Because updates are synchronous, we don't queue them. Instead we force a
  // re-render whenever the subscribed state changes by updating an some
  // arbitrary useState hook. Then, during render, we call getSnapshot to read
  // the current value.
  //
  // Because we don't actually use the state returned by the useState hook, we
  // can save a bit of memory by storing other stuff in that slot.
  //
  // To implement the early bailout, we need to track some things on a mutable
  // object. Usually, we would put that in a useRef hook, but we can stash it in
  // our useState hook instead.
  //
  // To force a re-render, we call forceUpdate({inst}). That works because the
  // new object always fails an equality check.


  const [{
    inst
  }, forceUpdate] = useState({
    inst: {
      value,
      getSnapshot
    }
  }); // Track the latest getSnapshot function with a ref. This needs to be updated
  // in the layout phase so we can access it during the tearing check that
  // happens on subscribe.

  useLayoutEffect(() => {
    inst.value = value;
    inst.getSnapshot = getSnapshot; // Whenever getSnapshot or subscribe changes, we need to check in the
    // commit phase if there was an interleaved mutation. In concurrent mode
    // this can happen all the time, but even in synchronous mode, an earlier
    // effect may have mutated the store.

    if (checkIfSnapshotChanged(inst)) {
      // Force a re-render.
      forceUpdate({
        inst
      });
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [subscribe, value, getSnapshot]);
  useEffect(() => {
    // Check for changes right before subscribing. Subsequent changes will be
    // detected in the subscription handler.
    if (checkIfSnapshotChanged(inst)) {
      // Force a re-render.
      forceUpdate({
        inst
      });
    }

    const handleStoreChange = () => {
      // TODO: Because there is no cross-renderer API for batching updates, it's
      // up to the consumer of this library to wrap their subscription event
      // with unstable_batchedUpdates. Should we try to detect when this isn't
      // the case and print a warning in development?
      // The store changed. Check if the snapshot changed since the last time we
      // read from the store.
      if (checkIfSnapshotChanged(inst)) {
        // Force a re-render.
        forceUpdate({
          inst
        });
      }
    }; // Subscribe to the store and return a clean-up function.


    return subscribe(handleStoreChange); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [subscribe]);
  useDebugValue(value);
  return value;
}

function checkIfSnapshotChanged(inst) {
  const latestGetSnapshot = inst.getSnapshot;
  const prevValue = inst.value;

  try {
    const nextValue = latestGetSnapshot();
    return !is(prevValue, nextValue);
  } catch (error) {
    return true;
  }
}

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @flow
 */
function useSyncExternalStore$1(subscribe, getSnapshot, getServerSnapshot) {
  // Note: The shim does not use getServerSnapshot, because pre-18 versions of
  // React do not expose a way to check if we're hydrating. So users of the shim
  // will need to track that themselves and return the correct value
  // from `getSnapshot`.
  return getSnapshot();
}

/**
 * Inlined into the react-router repo since use-sync-external-store does not
 * provide a UMD-compatible package, so we need this to be able to distribute
 * UMD react-router bundles
 */
const canUseDOM = !!( true && typeof window.document !== "undefined" && typeof window.document.createElement !== "undefined");
const isServerEnvironment = !canUseDOM;
const shim = isServerEnvironment ? useSyncExternalStore$1 : useSyncExternalStore$2;
const useSyncExternalStore = "useSyncExternalStore" in react__WEBPACK_IMPORTED_MODULE_0__ ? (module => module.useSyncExternalStore)(react__WEBPACK_IMPORTED_MODULE_0__) : shim;

const DataRouterContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext(null);

if (false) {}

const DataRouterStateContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext(null);

if (false) {}

const AwaitContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext(null);

if (false) {}

const NavigationContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext(null);

if (false) {}

const LocationContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext(null);

if (false) {}

const RouteContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext({
  outlet: null,
  matches: []
});

if (false) {}

const RouteErrorContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext(null);

if (false) {}

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };
  return _extends.apply(this, arguments);
}

/**
 * Returns the full href for the given "to" value. This is useful for building
 * custom links that are also accessible and preserve right-click behavior.
 *
 * @see https://reactrouter.com/hooks/use-href
 */

function useHref(to, _temp) {
  let {
    relative
  } = _temp === void 0 ? {} : _temp;
  !useInRouterContext() ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
  let {
    basename,
    navigator
  } = react__WEBPACK_IMPORTED_MODULE_0__.useContext(NavigationContext);
  let {
    hash,
    pathname,
    search
  } = useResolvedPath(to, {
    relative
  });
  let joinedPathname = pathname; // If we're operating within a basename, prepend it to the pathname prior
  // to creating the href.  If this is a root navigation, then just use the raw
  // basename which allows the basename to have full control over the presence
  // of a trailing slash on root links

  if (basename !== "/") {
    joinedPathname = pathname === "/" ? basename : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .joinPaths */ .HS)([basename, pathname]);
  }

  return navigator.createHref({
    pathname: joinedPathname,
    search,
    hash
  });
}
/**
 * Returns true if this component is a descendant of a <Router>.
 *
 * @see https://reactrouter.com/hooks/use-in-router-context
 */

function useInRouterContext() {
  return react__WEBPACK_IMPORTED_MODULE_0__.useContext(LocationContext) != null;
}
/**
 * Returns the current location object, which represents the current URL in web
 * browsers.
 *
 * Note: If you're using this it may mean you're doing some of your own
 * "routing" in your app, and we'd like to know what your use case is. We may
 * be able to provide something higher-level to better suit your needs.
 *
 * @see https://reactrouter.com/hooks/use-location
 */

function useLocation() {
  !useInRouterContext() ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
  return react__WEBPACK_IMPORTED_MODULE_0__.useContext(LocationContext).location;
}
/**
 * Returns the current navigation action which describes how the router came to
 * the current location, either by a pop, push, or replace on the history stack.
 *
 * @see https://reactrouter.com/hooks/use-navigation-type
 */

function useNavigationType() {
  return React.useContext(LocationContext).navigationType;
}
/**
 * Returns a PathMatch object if the given pattern matches the current URL.
 * This is useful for components that need to know "active" state, e.g.
 * <NavLink>.
 *
 * @see https://reactrouter.com/hooks/use-match
 */

function useMatch(pattern) {
  !useInRouterContext() ?  false ? 0 : UNSAFE_invariant(false) : void 0;
  let {
    pathname
  } = useLocation();
  return React.useMemo(() => matchPath(pattern, pathname), [pathname, pattern]);
}
/**
 * The interface for the navigate() function returned from useNavigate().
 */

/**
 * Returns an imperative method for changing the location. Used by <Link>s, but
 * may also be used by other elements to change the location.
 *
 * @see https://reactrouter.com/hooks/use-navigate
 */
function useNavigate() {
  !useInRouterContext() ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
  let {
    basename,
    navigator
  } = react__WEBPACK_IMPORTED_MODULE_0__.useContext(NavigationContext);
  let {
    matches
  } = react__WEBPACK_IMPORTED_MODULE_0__.useContext(RouteContext);
  let {
    pathname: locationPathname
  } = useLocation();
  let routePathnamesJson = JSON.stringify((0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_getPathContributingMatches */ .sd)(matches).map(match => match.pathnameBase));
  let activeRef = react__WEBPACK_IMPORTED_MODULE_0__.useRef(false);
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    activeRef.current = true;
  });
  let navigate = react__WEBPACK_IMPORTED_MODULE_0__.useCallback(function (to, options) {
    if (options === void 0) {
      options = {};
    }

     false ? 0 : void 0;
    if (!activeRef.current) return;

    if (typeof to === "number") {
      navigator.go(to);
      return;
    }

    let path = (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .resolveTo */ .Gh)(to, JSON.parse(routePathnamesJson), locationPathname, options.relative === "path"); // If we're operating within a basename, prepend it to the pathname prior
    // to handing off to history.  If this is a root navigation, then we
    // navigate to the raw basename which allows the basename to have full
    // control over the presence of a trailing slash on root links

    if (basename !== "/") {
      path.pathname = path.pathname === "/" ? basename : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .joinPaths */ .HS)([basename, path.pathname]);
    }

    (!!options.replace ? navigator.replace : navigator.push)(path, options.state, options);
  }, [basename, navigator, routePathnamesJson, locationPathname]);
  return navigate;
}
const OutletContext = /*#__PURE__*/(/* unused pure expression or super */ null && (React.createContext(null)));
/**
 * Returns the context (if provided) for the child route at this level of the route
 * hierarchy.
 * @see https://reactrouter.com/hooks/use-outlet-context
 */

function useOutletContext() {
  return React.useContext(OutletContext);
}
/**
 * Returns the element for the child route at this level of the route
 * hierarchy. Used internally by <Outlet> to render child routes.
 *
 * @see https://reactrouter.com/hooks/use-outlet
 */

function useOutlet(context) {
  let outlet = React.useContext(RouteContext).outlet;

  if (outlet) {
    return /*#__PURE__*/React.createElement(OutletContext.Provider, {
      value: context
    }, outlet);
  }

  return outlet;
}
/**
 * Returns an object of key/value pairs of the dynamic params from the current
 * URL that were matched by the route path.
 *
 * @see https://reactrouter.com/hooks/use-params
 */

function useParams() {
  let {
    matches
  } = React.useContext(RouteContext);
  let routeMatch = matches[matches.length - 1];
  return routeMatch ? routeMatch.params : {};
}
/**
 * Resolves the pathname of the given `to` value against the current location.
 *
 * @see https://reactrouter.com/hooks/use-resolved-path
 */

function useResolvedPath(to, _temp2) {
  let {
    relative
  } = _temp2 === void 0 ? {} : _temp2;
  let {
    matches
  } = react__WEBPACK_IMPORTED_MODULE_0__.useContext(RouteContext);
  let {
    pathname: locationPathname
  } = useLocation();
  let routePathnamesJson = JSON.stringify((0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_getPathContributingMatches */ .sd)(matches).map(match => match.pathnameBase));
  return react__WEBPACK_IMPORTED_MODULE_0__.useMemo(() => (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .resolveTo */ .Gh)(to, JSON.parse(routePathnamesJson), locationPathname, relative === "path"), [to, routePathnamesJson, locationPathname, relative]);
}
/**
 * Returns the element of the route that matched the current location, prepared
 * with the correct context to render the remainder of the route tree. Route
 * elements in the tree must render an <Outlet> to render their child route's
 * element.
 *
 * @see https://reactrouter.com/hooks/use-routes
 */

function useRoutes(routes, locationArg) {
  !useInRouterContext() ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
  let {
    navigator
  } = react__WEBPACK_IMPORTED_MODULE_0__.useContext(NavigationContext);
  let dataRouterStateContext = react__WEBPACK_IMPORTED_MODULE_0__.useContext(DataRouterStateContext);
  let {
    matches: parentMatches
  } = react__WEBPACK_IMPORTED_MODULE_0__.useContext(RouteContext);
  let routeMatch = parentMatches[parentMatches.length - 1];
  let parentParams = routeMatch ? routeMatch.params : {};
  let parentPathname = routeMatch ? routeMatch.pathname : "/";
  let parentPathnameBase = routeMatch ? routeMatch.pathnameBase : "/";
  let parentRoute = routeMatch && routeMatch.route;

  if (false) {}

  let locationFromContext = useLocation();
  let location;

  if (locationArg) {
    var _parsedLocationArg$pa;

    let parsedLocationArg = typeof locationArg === "string" ? (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .parsePath */ .Rr)(locationArg) : locationArg;
    !(parentPathnameBase === "/" || ((_parsedLocationArg$pa = parsedLocationArg.pathname) == null ? void 0 : _parsedLocationArg$pa.startsWith(parentPathnameBase))) ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
    location = parsedLocationArg;
  } else {
    location = locationFromContext;
  }

  let pathname = location.pathname || "/";
  let remainingPathname = parentPathnameBase === "/" ? pathname : pathname.slice(parentPathnameBase.length) || "/";
  let matches = (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .matchRoutes */ .ue)(routes, {
    pathname: remainingPathname
  });

  if (false) {}

  let renderedMatches = _renderMatches(matches && matches.map(match => Object.assign({}, match, {
    params: Object.assign({}, parentParams, match.params),
    pathname: (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .joinPaths */ .HS)([parentPathnameBase, // Re-encode pathnames that were decoded inside matchRoutes
    navigator.encodeLocation ? navigator.encodeLocation(match.pathname).pathname : match.pathname]),
    pathnameBase: match.pathnameBase === "/" ? parentPathnameBase : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .joinPaths */ .HS)([parentPathnameBase, // Re-encode pathnames that were decoded inside matchRoutes
    navigator.encodeLocation ? navigator.encodeLocation(match.pathnameBase).pathname : match.pathnameBase])
  })), parentMatches, dataRouterStateContext || undefined); // When a user passes in a `locationArg`, the associated routes need to
  // be wrapped in a new `LocationContext.Provider` in order for `useLocation`
  // to use the scoped location instead of the global location.


  if (locationArg && renderedMatches) {
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(LocationContext.Provider, {
      value: {
        location: _extends({
          pathname: "/",
          search: "",
          hash: "",
          state: null,
          key: "default"
        }, location),
        navigationType: _remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .Action */ .rc.Pop
      }
    }, renderedMatches);
  }

  return renderedMatches;
}

function DefaultErrorComponent() {
  let error = useRouteError();
  let message = (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .isRouteErrorResponse */ .pX)(error) ? error.status + " " + error.statusText : error instanceof Error ? error.message : JSON.stringify(error);
  let stack = error instanceof Error ? error.stack : null;
  let lightgrey = "rgba(200,200,200, 0.5)";
  let preStyles = {
    padding: "0.5rem",
    backgroundColor: lightgrey
  };
  let codeStyles = {
    padding: "2px 4px",
    backgroundColor: lightgrey
  };
  let devInfo = null;

  if (false) {}

  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(react__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("h2", null, "Unexpected Application Error!"), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("h3", {
    style: {
      fontStyle: "italic"
    }
  }, message), stack ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("pre", {
    style: preStyles
  }, stack) : null, devInfo);
}

class RenderErrorBoundary extends react__WEBPACK_IMPORTED_MODULE_0__.Component {
  constructor(props) {
    super(props);
    this.state = {
      location: props.location,
      error: props.error
    };
  }

  static getDerivedStateFromError(error) {
    return {
      error: error
    };
  }

  static getDerivedStateFromProps(props, state) {
    // When we get into an error state, the user will likely click "back" to the
    // previous page that didn't have an error. Because this wraps the entire
    // application, that will have no effect--the error page continues to display.
    // This gives us a mechanism to recover from the error when the location changes.
    //
    // Whether we're in an error state or not, we update the location in state
    // so that when we are in an error state, it gets reset when a new location
    // comes in and the user recovers from the error.
    if (state.location !== props.location) {
      return {
        error: props.error,
        location: props.location
      };
    } // If we're not changing locations, preserve the location but still surface
    // any new errors that may come through. We retain the existing error, we do
    // this because the error provided from the app state may be cleared without
    // the location changing.


    return {
      error: props.error || state.error,
      location: state.location
    };
  }

  componentDidCatch(error, errorInfo) {
    console.error("React Router caught the following error during render", error, errorInfo);
  }

  render() {
    return this.state.error ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(RouteContext.Provider, {
      value: this.props.routeContext
    }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(RouteErrorContext.Provider, {
      value: this.state.error,
      children: this.props.component
    })) : this.props.children;
  }

}

function RenderedRoute(_ref) {
  let {
    routeContext,
    match,
    children
  } = _ref;
  let dataRouterContext = react__WEBPACK_IMPORTED_MODULE_0__.useContext(DataRouterContext); // Track how deep we got in our render pass to emulate SSR componentDidCatch
  // in a DataStaticRouter

  if (dataRouterContext && dataRouterContext.static && dataRouterContext.staticContext && (match.route.errorElement || match.route.ErrorBoundary)) {
    dataRouterContext.staticContext._deepestRenderedBoundaryId = match.route.id;
  }

  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(RouteContext.Provider, {
    value: routeContext
  }, children);
}

function _renderMatches(matches, parentMatches, dataRouterState) {
  if (parentMatches === void 0) {
    parentMatches = [];
  }

  if (matches == null) {
    if (dataRouterState != null && dataRouterState.errors) {
      // Don't bail if we have data router errors so we can render them in the
      // boundary.  Use the pre-matched (or shimmed) matches
      matches = dataRouterState.matches;
    } else {
      return null;
    }
  }

  let renderedMatches = matches; // If we have data errors, trim matches to the highest error boundary

  let errors = dataRouterState == null ? void 0 : dataRouterState.errors;

  if (errors != null) {
    let errorIndex = renderedMatches.findIndex(m => m.route.id && (errors == null ? void 0 : errors[m.route.id]));
    !(errorIndex >= 0) ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
    renderedMatches = renderedMatches.slice(0, Math.min(renderedMatches.length, errorIndex + 1));
  }

  return renderedMatches.reduceRight((outlet, match, index) => {
    let error = match.route.id ? errors == null ? void 0 : errors[match.route.id] : null; // Only data routers handle errors

    let errorElement = null;

    if (dataRouterState) {
      if (match.route.ErrorBoundary) {
        errorElement = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(match.route.ErrorBoundary, null);
      } else if (match.route.errorElement) {
        errorElement = match.route.errorElement;
      } else {
        errorElement = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(DefaultErrorComponent, null);
      }
    }

    let matches = parentMatches.concat(renderedMatches.slice(0, index + 1));

    let getChildren = () => {
      let children = outlet;

      if (error) {
        children = errorElement;
      } else if (match.route.Component) {
        children = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(match.route.Component, null);
      } else if (match.route.element) {
        children = match.route.element;
      }

      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(RenderedRoute, {
        match: match,
        routeContext: {
          outlet,
          matches
        },
        children: children
      });
    }; // Only wrap in an error boundary within data router usages when we have an
    // ErrorBoundary/errorElement on this route.  Otherwise let it bubble up to
    // an ancestor ErrorBoundary/errorElement


    return dataRouterState && (match.route.ErrorBoundary || match.route.errorElement || index === 0) ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(RenderErrorBoundary, {
      location: dataRouterState.location,
      component: errorElement,
      error: error,
      children: getChildren(),
      routeContext: {
        outlet: null,
        matches
      }
    }) : getChildren();
  }, null);
}
var DataRouterHook;

(function (DataRouterHook) {
  DataRouterHook["UseBlocker"] = "useBlocker";
  DataRouterHook["UseRevalidator"] = "useRevalidator";
})(DataRouterHook || (DataRouterHook = {}));

var DataRouterStateHook;

(function (DataRouterStateHook) {
  DataRouterStateHook["UseBlocker"] = "useBlocker";
  DataRouterStateHook["UseLoaderData"] = "useLoaderData";
  DataRouterStateHook["UseActionData"] = "useActionData";
  DataRouterStateHook["UseRouteError"] = "useRouteError";
  DataRouterStateHook["UseNavigation"] = "useNavigation";
  DataRouterStateHook["UseRouteLoaderData"] = "useRouteLoaderData";
  DataRouterStateHook["UseMatches"] = "useMatches";
  DataRouterStateHook["UseRevalidator"] = "useRevalidator";
})(DataRouterStateHook || (DataRouterStateHook = {}));

function getDataRouterConsoleError(hookName) {
  return hookName + " must be used within a data router.  See https://reactrouter.com/routers/picking-a-router.";
}

function useDataRouterContext(hookName) {
  let ctx = React.useContext(DataRouterContext);
  !ctx ?  false ? 0 : UNSAFE_invariant(false) : void 0;
  return ctx;
}

function useDataRouterState(hookName) {
  let state = react__WEBPACK_IMPORTED_MODULE_0__.useContext(DataRouterStateContext);
  !state ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
  return state;
}

function useRouteContext(hookName) {
  let route = react__WEBPACK_IMPORTED_MODULE_0__.useContext(RouteContext);
  !route ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
  return route;
}

function useCurrentRouteId(hookName) {
  let route = useRouteContext(hookName);
  let thisRoute = route.matches[route.matches.length - 1];
  !thisRoute.route.id ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
  return thisRoute.route.id;
}
/**
 * Returns the current navigation, defaulting to an "idle" navigation when
 * no navigation is in progress
 */


function useNavigation() {
  let state = useDataRouterState(DataRouterStateHook.UseNavigation);
  return state.navigation;
}
/**
 * Returns a revalidate function for manually triggering revalidation, as well
 * as the current state of any manual revalidations
 */

function useRevalidator() {
  let dataRouterContext = useDataRouterContext(DataRouterHook.UseRevalidator);
  let state = useDataRouterState(DataRouterStateHook.UseRevalidator);
  return {
    revalidate: dataRouterContext.router.revalidate,
    state: state.revalidation
  };
}
/**
 * Returns the active route matches, useful for accessing loaderData for
 * parent/child routes or the route "handle" property
 */

function useMatches() {
  let {
    matches,
    loaderData
  } = useDataRouterState(DataRouterStateHook.UseMatches);
  return React.useMemo(() => matches.map(match => {
    let {
      pathname,
      params
    } = match; // Note: This structure matches that created by createUseMatchesMatch
    // in the @remix-run/router , so if you change this please also change
    // that :)  Eventually we'll DRY this up

    return {
      id: match.route.id,
      pathname,
      params,
      data: loaderData[match.route.id],
      handle: match.route.handle
    };
  }), [matches, loaderData]);
}
/**
 * Returns the loader data for the nearest ancestor Route loader
 */

function useLoaderData() {
  let state = useDataRouterState(DataRouterStateHook.UseLoaderData);
  let routeId = useCurrentRouteId(DataRouterStateHook.UseLoaderData);

  if (state.errors && state.errors[routeId] != null) {
    console.error("You cannot `useLoaderData` in an errorElement (routeId: " + routeId + ")");
    return undefined;
  }

  return state.loaderData[routeId];
}
/**
 * Returns the loaderData for the given routeId
 */

function useRouteLoaderData(routeId) {
  let state = useDataRouterState(DataRouterStateHook.UseRouteLoaderData);
  return state.loaderData[routeId];
}
/**
 * Returns the action data for the nearest ancestor Route action
 */

function useActionData() {
  let state = useDataRouterState(DataRouterStateHook.UseActionData);
  let route = React.useContext(RouteContext);
  !route ?  false ? 0 : UNSAFE_invariant(false) : void 0;
  return Object.values((state == null ? void 0 : state.actionData) || {})[0];
}
/**
 * Returns the nearest ancestor Route error, which could be a loader/action
 * error or a render error.  This is intended to be called from your
 * ErrorBoundary/errorElement to display a proper error message.
 */

function useRouteError() {
  var _state$errors;

  let error = react__WEBPACK_IMPORTED_MODULE_0__.useContext(RouteErrorContext);
  let state = useDataRouterState(DataRouterStateHook.UseRouteError);
  let routeId = useCurrentRouteId(DataRouterStateHook.UseRouteError); // If this was a render error, we put it in a RouteError context inside
  // of RenderErrorBoundary

  if (error) {
    return error;
  } // Otherwise look for errors from our data router state


  return (_state$errors = state.errors) == null ? void 0 : _state$errors[routeId];
}
/**
 * Returns the happy-path data from the nearest ancestor <Await /> value
 */

function useAsyncValue() {
  let value = React.useContext(AwaitContext);
  return value == null ? void 0 : value._data;
}
/**
 * Returns the error from the nearest ancestor <Await /> value
 */

function useAsyncError() {
  let value = React.useContext(AwaitContext);
  return value == null ? void 0 : value._error;
}
let blockerId = 0;
/**
 * Allow the application to block navigations within the SPA and present the
 * user a confirmation dialog to confirm the navigation.  Mostly used to avoid
 * using half-filled form data.  This does not handle hard-reloads or
 * cross-origin navigations.
 */

function useBlocker(shouldBlock) {
  let {
    router
  } = useDataRouterContext(DataRouterHook.UseBlocker);
  let state = useDataRouterState(DataRouterStateHook.UseBlocker);
  let [blockerKey] = React.useState(() => String(++blockerId));
  let blockerFunction = React.useCallback(args => {
    return typeof shouldBlock === "function" ? !!shouldBlock(args) : !!shouldBlock;
  }, [shouldBlock]);
  let blocker = router.getBlocker(blockerKey, blockerFunction); // Cleanup on unmount

  React.useEffect(() => () => router.deleteBlocker(blockerKey), [router, blockerKey]); // Prefer the blocker from state since DataRouterContext is memoized so this
  // ensures we update on blocker state updates

  return state.blockers.get(blockerKey) || blocker;
}
const alreadyWarned = {};

function warningOnce(key, cond, message) {
  if (!cond && !alreadyWarned[key]) {
    alreadyWarned[key] = true;
     false ? 0 : void 0;
  }
}

/**
 * Given a Remix Router instance, render the appropriate UI
 */
function RouterProvider(_ref) {
  let {
    fallbackElement,
    router
  } = _ref;
  let getState = React.useCallback(() => router.state, [router]); // Sync router state to our component state to force re-renders

  let state = useSyncExternalStore(router.subscribe, getState, // We have to provide this so React@18 doesn't complain during hydration,
  // but we pass our serialized hydration data into the router so state here
  // is already synced with what the server saw
  getState);
  let navigator = React.useMemo(() => {
    return {
      createHref: router.createHref,
      encodeLocation: router.encodeLocation,
      go: n => router.navigate(n),
      push: (to, state, opts) => router.navigate(to, {
        state,
        preventScrollReset: opts == null ? void 0 : opts.preventScrollReset
      }),
      replace: (to, state, opts) => router.navigate(to, {
        replace: true,
        state,
        preventScrollReset: opts == null ? void 0 : opts.preventScrollReset
      })
    };
  }, [router]);
  let basename = router.basename || "/";
  let dataRouterContext = React.useMemo(() => ({
    router,
    navigator,
    static: false,
    basename
  }), [router, navigator, basename]); // The fragment and {null} here are important!  We need them to keep React 18's
  // useId happy when we are server-rendering since we may have a <script> here
  // containing the hydrated server-side staticContext (from StaticRouterProvider).
  // useId relies on the component tree structure to generate deterministic id's
  // so we need to ensure it remains the same on the client even though
  // we don't need the <script> tag

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DataRouterContext.Provider, {
    value: dataRouterContext
  }, /*#__PURE__*/React.createElement(DataRouterStateContext.Provider, {
    value: state
  }, /*#__PURE__*/React.createElement(Router, {
    basename: router.basename,
    location: router.state.location,
    navigationType: router.state.historyAction,
    navigator: navigator
  }, router.state.initialized ? /*#__PURE__*/React.createElement(Routes, null) : fallbackElement))), null);
}

/**
 * A <Router> that stores all entries in memory.
 *
 * @see https://reactrouter.com/router-components/memory-router
 */
function MemoryRouter(_ref2) {
  let {
    basename,
    children,
    initialEntries,
    initialIndex
  } = _ref2;
  let historyRef = react__WEBPACK_IMPORTED_MODULE_0__.useRef();

  if (historyRef.current == null) {
    historyRef.current = (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .createMemoryHistory */ .sC)({
      initialEntries,
      initialIndex,
      v5Compat: true
    });
  }

  let history = historyRef.current;
  let [state, setState] = react__WEBPACK_IMPORTED_MODULE_0__.useState({
    action: history.action,
    location: history.location
  });
  react__WEBPACK_IMPORTED_MODULE_0__.useLayoutEffect(() => history.listen(setState), [history]);
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(Router, {
    basename: basename,
    children: children,
    location: state.location,
    navigationType: state.action,
    navigator: history
  });
}

/**
 * Changes the current location.
 *
 * Note: This API is mostly useful in React.Component subclasses that are not
 * able to use hooks. In functional components, we recommend you use the
 * `useNavigate` hook instead.
 *
 * @see https://reactrouter.com/components/navigate
 */
function Navigate(_ref3) {
  let {
    to,
    replace,
    state,
    relative
  } = _ref3;
  !useInRouterContext() ?  false ? 0 : UNSAFE_invariant(false) : void 0;
   false ? 0 : void 0;
  let dataRouterState = React.useContext(DataRouterStateContext);
  let navigate = useNavigate();
  React.useEffect(() => {
    // Avoid kicking off multiple navigations if we're in the middle of a
    // data-router navigation, since components get re-rendered when we enter
    // a submitting/loading state
    if (dataRouterState && dataRouterState.navigation.state !== "idle") {
      return;
    }

    navigate(to, {
      replace,
      state,
      relative
    });
  });
  return null;
}

/**
 * Renders the child route's element, if there is one.
 *
 * @see https://reactrouter.com/components/outlet
 */
function Outlet(props) {
  return useOutlet(props.context);
}

/**
 * Declares an element that should be rendered at a certain URL path.
 *
 * @see https://reactrouter.com/components/route
 */
function Route(_props) {
   false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) ;
}

/**
 * Provides location context for the rest of the app.
 *
 * Note: You usually won't render a <Router> directly. Instead, you'll render a
 * router that is more specific to your environment such as a <BrowserRouter>
 * in web browsers or a <StaticRouter> for server rendering.
 *
 * @see https://reactrouter.com/router-components/router
 */
function Router(_ref4) {
  let {
    basename: basenameProp = "/",
    children = null,
    location: locationProp,
    navigationType = _remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .Action */ .rc.Pop,
    navigator,
    static: staticProp = false
  } = _ref4;
  !!useInRouterContext() ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0; // Preserve trailing slashes on basename, so we can let the user control
  // the enforcement of trailing slashes throughout the app

  let basename = basenameProp.replace(/^\/*/, "/");
  let navigationContext = react__WEBPACK_IMPORTED_MODULE_0__.useMemo(() => ({
    basename,
    navigator,
    static: staticProp
  }), [basename, navigator, staticProp]);

  if (typeof locationProp === "string") {
    locationProp = (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .parsePath */ .Rr)(locationProp);
  }

  let {
    pathname = "/",
    search = "",
    hash = "",
    state = null,
    key = "default"
  } = locationProp;
  let locationContext = react__WEBPACK_IMPORTED_MODULE_0__.useMemo(() => {
    let trailingPathname = (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .stripBasename */ .pb)(pathname, basename);

    if (trailingPathname == null) {
      return null;
    }

    return {
      location: {
        pathname: trailingPathname,
        search,
        hash,
        state,
        key
      },
      navigationType
    };
  }, [basename, pathname, search, hash, state, key, navigationType]);
   false ? 0 : void 0;

  if (locationContext == null) {
    return null;
  }

  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(NavigationContext.Provider, {
    value: navigationContext
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(LocationContext.Provider, {
    children: children,
    value: locationContext
  }));
}

/**
 * A container for a nested tree of <Route> elements that renders the branch
 * that best matches the current location.
 *
 * @see https://reactrouter.com/components/routes
 */
function Routes(_ref5) {
  let {
    children,
    location
  } = _ref5;
  let dataRouterContext = react__WEBPACK_IMPORTED_MODULE_0__.useContext(DataRouterContext); // When in a DataRouterContext _without_ children, we use the router routes
  // directly.  If we have children, then we're in a descendant tree and we
  // need to use child routes.

  let routes = dataRouterContext && !children ? dataRouterContext.router.routes : createRoutesFromChildren(children);
  return useRoutes(routes, location);
}

/**
 * Component to use for rendering lazily loaded data from returning defer()
 * in a loader function
 */
function Await(_ref6) {
  let {
    children,
    errorElement,
    resolve
  } = _ref6;
  return /*#__PURE__*/React.createElement(AwaitErrorBoundary, {
    resolve: resolve,
    errorElement: errorElement
  }, /*#__PURE__*/React.createElement(ResolveAwait, null, children));
}
var AwaitRenderStatus;

(function (AwaitRenderStatus) {
  AwaitRenderStatus[AwaitRenderStatus["pending"] = 0] = "pending";
  AwaitRenderStatus[AwaitRenderStatus["success"] = 1] = "success";
  AwaitRenderStatus[AwaitRenderStatus["error"] = 2] = "error";
})(AwaitRenderStatus || (AwaitRenderStatus = {}));

const neverSettledPromise = new Promise(() => {});

class AwaitErrorBoundary extends react__WEBPACK_IMPORTED_MODULE_0__.Component {
  constructor(props) {
    super(props);
    this.state = {
      error: null
    };
  }

  static getDerivedStateFromError(error) {
    return {
      error
    };
  }

  componentDidCatch(error, errorInfo) {
    console.error("<Await> caught the following error during render", error, errorInfo);
  }

  render() {
    let {
      children,
      errorElement,
      resolve
    } = this.props;
    let promise = null;
    let status = AwaitRenderStatus.pending;

    if (!(resolve instanceof Promise)) {
      // Didn't get a promise - provide as a resolved promise
      status = AwaitRenderStatus.success;
      promise = Promise.resolve();
      Object.defineProperty(promise, "_tracked", {
        get: () => true
      });
      Object.defineProperty(promise, "_data", {
        get: () => resolve
      });
    } else if (this.state.error) {
      // Caught a render error, provide it as a rejected promise
      status = AwaitRenderStatus.error;
      let renderError = this.state.error;
      promise = Promise.reject().catch(() => {}); // Avoid unhandled rejection warnings

      Object.defineProperty(promise, "_tracked", {
        get: () => true
      });
      Object.defineProperty(promise, "_error", {
        get: () => renderError
      });
    } else if (resolve._tracked) {
      // Already tracked promise - check contents
      promise = resolve;
      status = promise._error !== undefined ? AwaitRenderStatus.error : promise._data !== undefined ? AwaitRenderStatus.success : AwaitRenderStatus.pending;
    } else {
      // Raw (untracked) promise - track it
      status = AwaitRenderStatus.pending;
      Object.defineProperty(resolve, "_tracked", {
        get: () => true
      });
      promise = resolve.then(data => Object.defineProperty(resolve, "_data", {
        get: () => data
      }), error => Object.defineProperty(resolve, "_error", {
        get: () => error
      }));
    }

    if (status === AwaitRenderStatus.error && promise._error instanceof _remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .AbortedDeferredError */ .tH) {
      // Freeze the UI by throwing a never resolved promise
      throw neverSettledPromise;
    }

    if (status === AwaitRenderStatus.error && !errorElement) {
      // No errorElement, throw to the nearest route-level error boundary
      throw promise._error;
    }

    if (status === AwaitRenderStatus.error) {
      // Render via our errorElement
      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(AwaitContext.Provider, {
        value: promise,
        children: errorElement
      });
    }

    if (status === AwaitRenderStatus.success) {
      // Render children with resolved value
      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(AwaitContext.Provider, {
        value: promise,
        children: children
      });
    } // Throw to the suspense boundary


    throw promise;
  }

}
/**
 * @private
 * Indirection to leverage useAsyncValue for a render-prop API on <Await>
 */


function ResolveAwait(_ref7) {
  let {
    children
  } = _ref7;
  let data = useAsyncValue();
  let toRender = typeof children === "function" ? children(data) : children;
  return /*#__PURE__*/React.createElement(React.Fragment, null, toRender);
} ///////////////////////////////////////////////////////////////////////////////
// UTILS
///////////////////////////////////////////////////////////////////////////////

/**
 * Creates a route config from a React "children" object, which is usually
 * either a `<Route>` element or an array of them. Used internally by
 * `<Routes>` to create a route config from its children.
 *
 * @see https://reactrouter.com/utils/create-routes-from-children
 */


function createRoutesFromChildren(children, parentPath) {
  if (parentPath === void 0) {
    parentPath = [];
  }

  let routes = [];
  react__WEBPACK_IMPORTED_MODULE_0__.Children.forEach(children, (element, index) => {
    if (! /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.isValidElement(element)) {
      // Ignore non-elements. This allows people to more easily inline
      // conditionals in their route config.
      return;
    }

    let treePath = [...parentPath, index];

    if (element.type === react__WEBPACK_IMPORTED_MODULE_0__.Fragment) {
      // Transparently support React.Fragment and its children.
      routes.push.apply(routes, createRoutesFromChildren(element.props.children, treePath));
      return;
    }

    !(element.type === Route) ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
    !(!element.props.index || !element.props.children) ?  false ? 0 : (0,_remix_run_router__WEBPACK_IMPORTED_MODULE_1__/* .UNSAFE_invariant */ .Oi)(false) : void 0;
    let route = {
      id: element.props.id || treePath.join("-"),
      caseSensitive: element.props.caseSensitive,
      element: element.props.element,
      Component: element.props.Component,
      index: element.props.index,
      path: element.props.path,
      loader: element.props.loader,
      action: element.props.action,
      errorElement: element.props.errorElement,
      ErrorBoundary: element.props.ErrorBoundary,
      hasErrorBoundary: element.props.ErrorBoundary != null || element.props.errorElement != null,
      shouldRevalidate: element.props.shouldRevalidate,
      handle: element.props.handle,
      lazy: element.props.lazy
    };

    if (element.props.children) {
      route.children = createRoutesFromChildren(element.props.children, treePath);
    }

    routes.push(route);
  });
  return routes;
}
/**
 * Renders the result of `matchRoutes()` into a React element.
 */

function renderMatches(matches) {
  return _renderMatches(matches);
}

function detectErrorBoundary(route) {
  if (false) {} // Note: this check also occurs in createRoutesFromChildren so update
  // there if you change this


  return Boolean(route.ErrorBoundary) || Boolean(route.errorElement);
}

function createMemoryRouter(routes, opts) {
  return createRouter({
    basename: opts == null ? void 0 : opts.basename,
    future: opts == null ? void 0 : opts.future,
    history: createMemoryHistory({
      initialEntries: opts == null ? void 0 : opts.initialEntries,
      initialIndex: opts == null ? void 0 : opts.initialIndex
    }),
    hydrationData: opts == null ? void 0 : opts.hydrationData,
    routes,
    detectErrorBoundary
  }).initialize();
} ///////////////////////////////////////////////////////////////////////////////


//# sourceMappingURL=index.js.map


/***/ }),

/***/ 64036:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
var __webpack_unused_export__;


__webpack_unused_export__ = true;
__webpack_unused_export__ = __webpack_unused_export__ = __webpack_unused_export__ = __webpack_unused_export__ = undefined;

var _redux = __webpack_require__(82419);

var createDynamicMiddlewares = function createDynamicMiddlewares() {
  var allDynamicMiddlewares = [];
  var allApplyedDynamicMiddlewares = [];
  var store = void 0;

  var enhancer = function enhancer(_store) {
    store = _store;
    return function (next) {
      return function (action) {
        return _redux.compose.apply(undefined, allApplyedDynamicMiddlewares)(next)(action);
      };
    };
  };

  var addMiddleware = function addMiddleware() {
    var _allApplyedDynamicMid, _allDynamicMiddleware;

    for (var _len = arguments.length, middlewares = Array(_len), _key = 0; _key < _len; _key++) {
      middlewares[_key] = arguments[_key];
    }

    (_allApplyedDynamicMid = allApplyedDynamicMiddlewares).push.apply(_allApplyedDynamicMid, middlewares.map(function (middleware) {
      return middleware(store);
    }));
    (_allDynamicMiddleware = allDynamicMiddlewares).push.apply(_allDynamicMiddleware, middlewares);
  };

  var removeMiddleware = function removeMiddleware(middleware) {
    var index = allDynamicMiddlewares.findIndex(function (d) {
      return d === middleware;
    });

    if (index === -1) {
      // eslint-disable-next-line no-console
      console.error('Middleware does not exist!', middleware);

      return;
    }

    allDynamicMiddlewares = allDynamicMiddlewares.filter(function (_, mdwIndex) {
      return mdwIndex !== index;
    });
    allApplyedDynamicMiddlewares = allApplyedDynamicMiddlewares.filter(function (_, mdwIndex) {
      return mdwIndex !== index;
    });
  };

  var resetMiddlewares = function resetMiddlewares() {
    allApplyedDynamicMiddlewares = [];
    allDynamicMiddlewares = [];
  };

  return {
    enhancer: enhancer,
    addMiddleware: addMiddleware,
    removeMiddleware: removeMiddleware,
    resetMiddlewares: resetMiddlewares
  };
};

var dynamicMiddlewaresInstance = createDynamicMiddlewares();

__webpack_unused_export__ = dynamicMiddlewaresInstance.enhancer;
var addMiddleware = dynamicMiddlewaresInstance.addMiddleware,
    removeMiddleware = dynamicMiddlewaresInstance.removeMiddleware,
    resetMiddlewares = dynamicMiddlewaresInstance.resetMiddlewares;
__webpack_unused_export__ = addMiddleware;
__webpack_unused_export__ = removeMiddleware;
__webpack_unused_export__ = resetMiddlewares;
__webpack_unused_export__ = createDynamicMiddlewares;

/***/ }),

/***/ 96074:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/** A function that accepts a potential "extra argument" value to be injected later,
 * and returns an instance of the thunk middleware that uses that value
 */
function createThunkMiddleware(extraArgument) {
  // Standard Redux middleware definition pattern:
  // See: https://redux.js.org/tutorials/fundamentals/part-4-store#writing-custom-middleware
  var middleware = function middleware(_ref) {
    var dispatch = _ref.dispatch,
        getState = _ref.getState;
    return function (next) {
      return function (action) {
        // The thunk middleware looks for any functions that were passed to `store.dispatch`.
        // If this "action" is really a function, call it and return the result.
        if (typeof action === 'function') {
          // Inject the store's `dispatch` and `getState` methods, as well as any "extra arg"
          return action(dispatch, getState, extraArgument);
        } // Otherwise, pass the action down the middleware chain as usual


        return next(action);
      };
    };
  };

  return middleware;
}

var thunk = createThunkMiddleware(); // Attach the factory function so users can create a customized version
// with whatever "extra arg" they want to inject into their thunks

thunk.withExtraArgument = createThunkMiddleware;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (thunk);

/***/ }),

/***/ 82419:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   __DO_NOT_USE__ActionTypes: () => (/* binding */ ActionTypes),
/* harmony export */   applyMiddleware: () => (/* binding */ applyMiddleware),
/* harmony export */   bindActionCreators: () => (/* binding */ bindActionCreators),
/* harmony export */   combineReducers: () => (/* binding */ combineReducers),
/* harmony export */   compose: () => (/* binding */ compose),
/* harmony export */   createStore: () => (/* binding */ createStore),
/* harmony export */   legacy_createStore: () => (/* binding */ legacy_createStore)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_esm_objectSpread2__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(69740);


/**
 * Adapted from React: https://github.com/facebook/react/blob/master/packages/shared/formatProdErrorMessage.js
 *
 * Do not require this module directly! Use normal throw error calls. These messages will be replaced with error codes
 * during build.
 * @param {number} code
 */
function formatProdErrorMessage(code) {
  return "Minified Redux error #" + code + "; visit https://redux.js.org/Errors?code=" + code + " for the full message or " + 'use the non-minified dev environment for full errors. ';
}

// Inlined version of the `symbol-observable` polyfill
var $$observable = (function () {
  return typeof Symbol === 'function' && Symbol.observable || '@@observable';
})();

/**
 * These are private action types reserved by Redux.
 * For any unknown actions, you must return the current state.
 * If the current state is undefined, you must return the initial state.
 * Do not reference these action types directly in your code.
 */
var randomString = function randomString() {
  return Math.random().toString(36).substring(7).split('').join('.');
};

var ActionTypes = {
  INIT: "@@redux/INIT" + randomString(),
  REPLACE: "@@redux/REPLACE" + randomString(),
  PROBE_UNKNOWN_ACTION: function PROBE_UNKNOWN_ACTION() {
    return "@@redux/PROBE_UNKNOWN_ACTION" + randomString();
  }
};

/**
 * @param {any} obj The object to inspect.
 * @returns {boolean} True if the argument appears to be a plain object.
 */
function isPlainObject(obj) {
  if (typeof obj !== 'object' || obj === null) return false;
  var proto = obj;

  while (Object.getPrototypeOf(proto) !== null) {
    proto = Object.getPrototypeOf(proto);
  }

  return Object.getPrototypeOf(obj) === proto;
}

// Inlined / shortened version of `kindOf` from https://github.com/jonschlinkert/kind-of
function miniKindOf(val) {
  if (val === void 0) return 'undefined';
  if (val === null) return 'null';
  var type = typeof val;

  switch (type) {
    case 'boolean':
    case 'string':
    case 'number':
    case 'symbol':
    case 'function':
      {
        return type;
      }
  }

  if (Array.isArray(val)) return 'array';
  if (isDate(val)) return 'date';
  if (isError(val)) return 'error';
  var constructorName = ctorName(val);

  switch (constructorName) {
    case 'Symbol':
    case 'Promise':
    case 'WeakMap':
    case 'WeakSet':
    case 'Map':
    case 'Set':
      return constructorName;
  } // other


  return type.slice(8, -1).toLowerCase().replace(/\s/g, '');
}

function ctorName(val) {
  return typeof val.constructor === 'function' ? val.constructor.name : null;
}

function isError(val) {
  return val instanceof Error || typeof val.message === 'string' && val.constructor && typeof val.constructor.stackTraceLimit === 'number';
}

function isDate(val) {
  if (val instanceof Date) return true;
  return typeof val.toDateString === 'function' && typeof val.getDate === 'function' && typeof val.setDate === 'function';
}

function kindOf(val) {
  var typeOfVal = typeof val;

  if (false) {}

  return typeOfVal;
}

/**
 * @deprecated
 *
 * **We recommend using the `configureStore` method
 * of the `@reduxjs/toolkit` package**, which replaces `createStore`.
 *
 * Redux Toolkit is our recommended approach for writing Redux logic today,
 * including store setup, reducers, data fetching, and more.
 *
 * **For more details, please read this Redux docs page:**
 * **https://redux.js.org/introduction/why-rtk-is-redux-today**
 *
 * `configureStore` from Redux Toolkit is an improved version of `createStore` that
 * simplifies setup and helps avoid common bugs.
 *
 * You should not be using the `redux` core package by itself today, except for learning purposes.
 * The `createStore` method from the core `redux` package will not be removed, but we encourage
 * all users to migrate to using Redux Toolkit for all Redux code.
 *
 * If you want to use `createStore` without this visual deprecation warning, use
 * the `legacy_createStore` import instead:
 *
 * `import { legacy_createStore as createStore} from 'redux'`
 *
 */

function createStore(reducer, preloadedState, enhancer) {
  var _ref2;

  if (typeof preloadedState === 'function' && typeof enhancer === 'function' || typeof enhancer === 'function' && typeof arguments[3] === 'function') {
    throw new Error( true ? formatProdErrorMessage(0) : 0);
  }

  if (typeof preloadedState === 'function' && typeof enhancer === 'undefined') {
    enhancer = preloadedState;
    preloadedState = undefined;
  }

  if (typeof enhancer !== 'undefined') {
    if (typeof enhancer !== 'function') {
      throw new Error( true ? formatProdErrorMessage(1) : 0);
    }

    return enhancer(createStore)(reducer, preloadedState);
  }

  if (typeof reducer !== 'function') {
    throw new Error( true ? formatProdErrorMessage(2) : 0);
  }

  var currentReducer = reducer;
  var currentState = preloadedState;
  var currentListeners = [];
  var nextListeners = currentListeners;
  var isDispatching = false;
  /**
   * This makes a shallow copy of currentListeners so we can use
   * nextListeners as a temporary list while dispatching.
   *
   * This prevents any bugs around consumers calling
   * subscribe/unsubscribe in the middle of a dispatch.
   */

  function ensureCanMutateNextListeners() {
    if (nextListeners === currentListeners) {
      nextListeners = currentListeners.slice();
    }
  }
  /**
   * Reads the state tree managed by the store.
   *
   * @returns {any} The current state tree of your application.
   */


  function getState() {
    if (isDispatching) {
      throw new Error( true ? formatProdErrorMessage(3) : 0);
    }

    return currentState;
  }
  /**
   * Adds a change listener. It will be called any time an action is dispatched,
   * and some part of the state tree may potentially have changed. You may then
   * call `getState()` to read the current state tree inside the callback.
   *
   * You may call `dispatch()` from a change listener, with the following
   * caveats:
   *
   * 1. The subscriptions are snapshotted just before every `dispatch()` call.
   * If you subscribe or unsubscribe while the listeners are being invoked, this
   * will not have any effect on the `dispatch()` that is currently in progress.
   * However, the next `dispatch()` call, whether nested or not, will use a more
   * recent snapshot of the subscription list.
   *
   * 2. The listener should not expect to see all state changes, as the state
   * might have been updated multiple times during a nested `dispatch()` before
   * the listener is called. It is, however, guaranteed that all subscribers
   * registered before the `dispatch()` started will be called with the latest
   * state by the time it exits.
   *
   * @param {Function} listener A callback to be invoked on every dispatch.
   * @returns {Function} A function to remove this change listener.
   */


  function subscribe(listener) {
    if (typeof listener !== 'function') {
      throw new Error( true ? formatProdErrorMessage(4) : 0);
    }

    if (isDispatching) {
      throw new Error( true ? formatProdErrorMessage(5) : 0);
    }

    var isSubscribed = true;
    ensureCanMutateNextListeners();
    nextListeners.push(listener);
    return function unsubscribe() {
      if (!isSubscribed) {
        return;
      }

      if (isDispatching) {
        throw new Error( true ? formatProdErrorMessage(6) : 0);
      }

      isSubscribed = false;
      ensureCanMutateNextListeners();
      var index = nextListeners.indexOf(listener);
      nextListeners.splice(index, 1);
      currentListeners = null;
    };
  }
  /**
   * Dispatches an action. It is the only way to trigger a state change.
   *
   * The `reducer` function, used to create the store, will be called with the
   * current state tree and the given `action`. Its return value will
   * be considered the **next** state of the tree, and the change listeners
   * will be notified.
   *
   * The base implementation only supports plain object actions. If you want to
   * dispatch a Promise, an Observable, a thunk, or something else, you need to
   * wrap your store creating function into the corresponding middleware. For
   * example, see the documentation for the `redux-thunk` package. Even the
   * middleware will eventually dispatch plain object actions using this method.
   *
   * @param {Object} action A plain object representing “what changed”. It is
   * a good idea to keep actions serializable so you can record and replay user
   * sessions, or use the time travelling `redux-devtools`. An action must have
   * a `type` property which may not be `undefined`. It is a good idea to use
   * string constants for action types.
   *
   * @returns {Object} For convenience, the same action object you dispatched.
   *
   * Note that, if you use a custom middleware, it may wrap `dispatch()` to
   * return something else (for example, a Promise you can await).
   */


  function dispatch(action) {
    if (!isPlainObject(action)) {
      throw new Error( true ? formatProdErrorMessage(7) : 0);
    }

    if (typeof action.type === 'undefined') {
      throw new Error( true ? formatProdErrorMessage(8) : 0);
    }

    if (isDispatching) {
      throw new Error( true ? formatProdErrorMessage(9) : 0);
    }

    try {
      isDispatching = true;
      currentState = currentReducer(currentState, action);
    } finally {
      isDispatching = false;
    }

    var listeners = currentListeners = nextListeners;

    for (var i = 0; i < listeners.length; i++) {
      var listener = listeners[i];
      listener();
    }

    return action;
  }
  /**
   * Replaces the reducer currently used by the store to calculate the state.
   *
   * You might need this if your app implements code splitting and you want to
   * load some of the reducers dynamically. You might also need this if you
   * implement a hot reloading mechanism for Redux.
   *
   * @param {Function} nextReducer The reducer for the store to use instead.
   * @returns {void}
   */


  function replaceReducer(nextReducer) {
    if (typeof nextReducer !== 'function') {
      throw new Error( true ? formatProdErrorMessage(10) : 0);
    }

    currentReducer = nextReducer; // This action has a similiar effect to ActionTypes.INIT.
    // Any reducers that existed in both the new and old rootReducer
    // will receive the previous state. This effectively populates
    // the new state tree with any relevant data from the old one.

    dispatch({
      type: ActionTypes.REPLACE
    });
  }
  /**
   * Interoperability point for observable/reactive libraries.
   * @returns {observable} A minimal observable of state changes.
   * For more information, see the observable proposal:
   * https://github.com/tc39/proposal-observable
   */


  function observable() {
    var _ref;

    var outerSubscribe = subscribe;
    return _ref = {
      /**
       * The minimal observable subscription method.
       * @param {Object} observer Any object that can be used as an observer.
       * The observer object should have a `next` method.
       * @returns {subscription} An object with an `unsubscribe` method that can
       * be used to unsubscribe the observable from the store, and prevent further
       * emission of values from the observable.
       */
      subscribe: function subscribe(observer) {
        if (typeof observer !== 'object' || observer === null) {
          throw new Error( true ? formatProdErrorMessage(11) : 0);
        }

        function observeState() {
          if (observer.next) {
            observer.next(getState());
          }
        }

        observeState();
        var unsubscribe = outerSubscribe(observeState);
        return {
          unsubscribe: unsubscribe
        };
      }
    }, _ref[$$observable] = function () {
      return this;
    }, _ref;
  } // When a store is created, an "INIT" action is dispatched so that every
  // reducer returns their initial state. This effectively populates
  // the initial state tree.


  dispatch({
    type: ActionTypes.INIT
  });
  return _ref2 = {
    dispatch: dispatch,
    subscribe: subscribe,
    getState: getState,
    replaceReducer: replaceReducer
  }, _ref2[$$observable] = observable, _ref2;
}
/**
 * Creates a Redux store that holds the state tree.
 *
 * **We recommend using `configureStore` from the
 * `@reduxjs/toolkit` package**, which replaces `createStore`:
 * **https://redux.js.org/introduction/why-rtk-is-redux-today**
 *
 * The only way to change the data in the store is to call `dispatch()` on it.
 *
 * There should only be a single store in your app. To specify how different
 * parts of the state tree respond to actions, you may combine several reducers
 * into a single reducer function by using `combineReducers`.
 *
 * @param {Function} reducer A function that returns the next state tree, given
 * the current state tree and the action to handle.
 *
 * @param {any} [preloadedState] The initial state. You may optionally specify it
 * to hydrate the state from the server in universal apps, or to restore a
 * previously serialized user session.
 * If you use `combineReducers` to produce the root reducer function, this must be
 * an object with the same shape as `combineReducers` keys.
 *
 * @param {Function} [enhancer] The store enhancer. You may optionally specify it
 * to enhance the store with third-party capabilities such as middleware,
 * time travel, persistence, etc. The only store enhancer that ships with Redux
 * is `applyMiddleware()`.
 *
 * @returns {Store} A Redux store that lets you read the state, dispatch actions
 * and subscribe to changes.
 */

var legacy_createStore = createStore;

/**
 * Prints a warning in the console if it exists.
 *
 * @param {String} message The warning message.
 * @returns {void}
 */
function warning(message) {
  /* eslint-disable no-console */
  if (typeof console !== 'undefined' && typeof console.error === 'function') {
    console.error(message);
  }
  /* eslint-enable no-console */


  try {
    // This error was thrown as a convenience so that if you enable
    // "break on all exceptions" in your console,
    // it would pause the execution at this line.
    throw new Error(message);
  } catch (e) {} // eslint-disable-line no-empty

}

function getUnexpectedStateShapeWarningMessage(inputState, reducers, action, unexpectedKeyCache) {
  var reducerKeys = Object.keys(reducers);
  var argumentName = action && action.type === ActionTypes.INIT ? 'preloadedState argument passed to createStore' : 'previous state received by the reducer';

  if (reducerKeys.length === 0) {
    return 'Store does not have a valid reducer. Make sure the argument passed ' + 'to combineReducers is an object whose values are reducers.';
  }

  if (!isPlainObject(inputState)) {
    return "The " + argumentName + " has unexpected type of \"" + kindOf(inputState) + "\". Expected argument to be an object with the following " + ("keys: \"" + reducerKeys.join('", "') + "\"");
  }

  var unexpectedKeys = Object.keys(inputState).filter(function (key) {
    return !reducers.hasOwnProperty(key) && !unexpectedKeyCache[key];
  });
  unexpectedKeys.forEach(function (key) {
    unexpectedKeyCache[key] = true;
  });
  if (action && action.type === ActionTypes.REPLACE) return;

  if (unexpectedKeys.length > 0) {
    return "Unexpected " + (unexpectedKeys.length > 1 ? 'keys' : 'key') + " " + ("\"" + unexpectedKeys.join('", "') + "\" found in " + argumentName + ". ") + "Expected to find one of the known reducer keys instead: " + ("\"" + reducerKeys.join('", "') + "\". Unexpected keys will be ignored.");
  }
}

function assertReducerShape(reducers) {
  Object.keys(reducers).forEach(function (key) {
    var reducer = reducers[key];
    var initialState = reducer(undefined, {
      type: ActionTypes.INIT
    });

    if (typeof initialState === 'undefined') {
      throw new Error( true ? formatProdErrorMessage(12) : 0);
    }

    if (typeof reducer(undefined, {
      type: ActionTypes.PROBE_UNKNOWN_ACTION()
    }) === 'undefined') {
      throw new Error( true ? formatProdErrorMessage(13) : 0);
    }
  });
}
/**
 * Turns an object whose values are different reducer functions, into a single
 * reducer function. It will call every child reducer, and gather their results
 * into a single state object, whose keys correspond to the keys of the passed
 * reducer functions.
 *
 * @param {Object} reducers An object whose values correspond to different
 * reducer functions that need to be combined into one. One handy way to obtain
 * it is to use ES6 `import * as reducers` syntax. The reducers may never return
 * undefined for any action. Instead, they should return their initial state
 * if the state passed to them was undefined, and the current state for any
 * unrecognized action.
 *
 * @returns {Function} A reducer function that invokes every reducer inside the
 * passed object, and builds a state object with the same shape.
 */


function combineReducers(reducers) {
  var reducerKeys = Object.keys(reducers);
  var finalReducers = {};

  for (var i = 0; i < reducerKeys.length; i++) {
    var key = reducerKeys[i];

    if (false) {}

    if (typeof reducers[key] === 'function') {
      finalReducers[key] = reducers[key];
    }
  }

  var finalReducerKeys = Object.keys(finalReducers); // This is used to make sure we don't warn about the same
  // keys multiple times.

  var unexpectedKeyCache;

  if (false) {}

  var shapeAssertionError;

  try {
    assertReducerShape(finalReducers);
  } catch (e) {
    shapeAssertionError = e;
  }

  return function combination(state, action) {
    if (state === void 0) {
      state = {};
    }

    if (shapeAssertionError) {
      throw shapeAssertionError;
    }

    if (false) { var warningMessage; }

    var hasChanged = false;
    var nextState = {};

    for (var _i = 0; _i < finalReducerKeys.length; _i++) {
      var _key = finalReducerKeys[_i];
      var reducer = finalReducers[_key];
      var previousStateForKey = state[_key];
      var nextStateForKey = reducer(previousStateForKey, action);

      if (typeof nextStateForKey === 'undefined') {
        var actionType = action && action.type;
        throw new Error( true ? formatProdErrorMessage(14) : 0);
      }

      nextState[_key] = nextStateForKey;
      hasChanged = hasChanged || nextStateForKey !== previousStateForKey;
    }

    hasChanged = hasChanged || finalReducerKeys.length !== Object.keys(state).length;
    return hasChanged ? nextState : state;
  };
}

function bindActionCreator(actionCreator, dispatch) {
  return function () {
    return dispatch(actionCreator.apply(this, arguments));
  };
}
/**
 * Turns an object whose values are action creators, into an object with the
 * same keys, but with every function wrapped into a `dispatch` call so they
 * may be invoked directly. This is just a convenience method, as you can call
 * `store.dispatch(MyActionCreators.doSomething())` yourself just fine.
 *
 * For convenience, you can also pass an action creator as the first argument,
 * and get a dispatch wrapped function in return.
 *
 * @param {Function|Object} actionCreators An object whose values are action
 * creator functions. One handy way to obtain it is to use ES6 `import * as`
 * syntax. You may also pass a single function.
 *
 * @param {Function} dispatch The `dispatch` function available on your Redux
 * store.
 *
 * @returns {Function|Object} The object mimicking the original object, but with
 * every action creator wrapped into the `dispatch` call. If you passed a
 * function as `actionCreators`, the return value will also be a single
 * function.
 */


function bindActionCreators(actionCreators, dispatch) {
  if (typeof actionCreators === 'function') {
    return bindActionCreator(actionCreators, dispatch);
  }

  if (typeof actionCreators !== 'object' || actionCreators === null) {
    throw new Error( true ? formatProdErrorMessage(16) : 0);
  }

  var boundActionCreators = {};

  for (var key in actionCreators) {
    var actionCreator = actionCreators[key];

    if (typeof actionCreator === 'function') {
      boundActionCreators[key] = bindActionCreator(actionCreator, dispatch);
    }
  }

  return boundActionCreators;
}

/**
 * Composes single-argument functions from right to left. The rightmost
 * function can take multiple arguments as it provides the signature for
 * the resulting composite function.
 *
 * @param {...Function} funcs The functions to compose.
 * @returns {Function} A function obtained by composing the argument functions
 * from right to left. For example, compose(f, g, h) is identical to doing
 * (...args) => f(g(h(...args))).
 */
function compose() {
  for (var _len = arguments.length, funcs = new Array(_len), _key = 0; _key < _len; _key++) {
    funcs[_key] = arguments[_key];
  }

  if (funcs.length === 0) {
    return function (arg) {
      return arg;
    };
  }

  if (funcs.length === 1) {
    return funcs[0];
  }

  return funcs.reduce(function (a, b) {
    return function () {
      return a(b.apply(void 0, arguments));
    };
  });
}

/**
 * Creates a store enhancer that applies middleware to the dispatch method
 * of the Redux store. This is handy for a variety of tasks, such as expressing
 * asynchronous actions in a concise manner, or logging every action payload.
 *
 * See `redux-thunk` package as an example of the Redux middleware.
 *
 * Because middleware is potentially asynchronous, this should be the first
 * store enhancer in the composition chain.
 *
 * Note that each middleware will be given the `dispatch` and `getState` functions
 * as named arguments.
 *
 * @param {...Function} middlewares The middleware chain to be applied.
 * @returns {Function} A store enhancer applying the middleware.
 */

function applyMiddleware() {
  for (var _len = arguments.length, middlewares = new Array(_len), _key = 0; _key < _len; _key++) {
    middlewares[_key] = arguments[_key];
  }

  return function (createStore) {
    return function () {
      var store = createStore.apply(void 0, arguments);

      var _dispatch = function dispatch() {
        throw new Error( true ? formatProdErrorMessage(15) : 0);
      };

      var middlewareAPI = {
        getState: store.getState,
        dispatch: function dispatch() {
          return _dispatch.apply(void 0, arguments);
        }
      };
      var chain = middlewares.map(function (middleware) {
        return middleware(middlewareAPI);
      });
      _dispatch = compose.apply(void 0, chain)(store.dispatch);
      return (0,_babel_runtime_helpers_esm_objectSpread2__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)((0,_babel_runtime_helpers_esm_objectSpread2__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)({}, store), {}, {
        dispatch: _dispatch
      });
    };
  };
}




/***/ }),

/***/ 33062:
/***/ ((module) => {

"use strict";


/**
 * Check if we're required to add a port number.
 *
 * @see https://url.spec.whatwg.org/#default-port
 * @param {Number|String} port Port number we need to check
 * @param {String} protocol Protocol we need to check against.
 * @returns {Boolean} Is it a default port for the given protocol
 * @api private
 */
module.exports = function required(port, protocol) {
  protocol = protocol.split(':')[0];
  port = +port;

  if (!port) return false;

  switch (protocol) {
    case 'http':
    case 'ws':
    return port !== 80;

    case 'https':
    case 'wss':
    return port !== 443;

    case 'ftp':
    return port !== 21;

    case 'gopher':
    return port !== 70;

    case 'file':
    return false;
  }

  return port !== 0;
};


/***/ }),

/***/ 71953:
/***/ ((module) => {

"use strict";


var width = 256;// each RC4 output is 0 <= x < 256
var chunks = 6;// at least six RC4 outputs for each double
var digits = 52;// there are 52 significant digits in a double
var pool = [];// pool: entropy pool starts empty
var GLOBAL =  false ? 0 : window;

//
// The following constants are related to IEEE 754 limits.
//
var startdenom = Math.pow(width, chunks),
    significance = Math.pow(2, digits),
    overflow = significance * 2,
    mask = width - 1;


var oldRandom = Math.random;

//
// seedrandom()
// This is the seedrandom function described above.
//
module.exports = function(seed, options) {
  if (options && options.global === true) {
    options.global = false;
    Math.random = module.exports(seed, options);
    options.global = true;
    return Math.random;
  }
  var use_entropy = (options && options.entropy) || false;
  var key = [];

  // Flatten the seed string or build one from local entropy if needed.
  var shortseed = mixkey(flatten(
    use_entropy ? [seed, tostring(pool)] :
    0 in arguments ? seed : autoseed(), 3), key);

  // Use the seed to initialize an ARC4 generator.
  var arc4 = new ARC4(key);

  // Mix the randomness into accumulated entropy.
  mixkey(tostring(arc4.S), pool);

  // Override Math.random

  // This function returns a random double in [0, 1) that contains
  // randomness in every bit of the mantissa of the IEEE 754 value.

  return function() {         // Closure to return a random double:
    var n = arc4.g(chunks),             // Start with a numerator n < 2 ^ 48
        d = startdenom,                 //   and denominator d = 2 ^ 48.
        x = 0;                          //   and no 'extra last byte'.
    while (n < significance) {          // Fill up all significant digits by
      n = (n + x) * width;              //   shifting numerator and
      d *= width;                       //   denominator and generating a
      x = arc4.g(1);                    //   new least-significant-byte.
    }
    while (n >= overflow) {             // To avoid rounding up, before adding
      n /= 2;                           //   last byte, shift everything
      d /= 2;                           //   right using integer Math until
      x >>>= 1;                         //   we have exactly the desired bits.
    }
    return (n + x) / d;                 // Form the number within [0, 1).
  };
};

module.exports.resetGlobal = function () {
  Math.random = oldRandom;
};

//
// ARC4
//
// An ARC4 implementation.  The constructor takes a key in the form of
// an array of at most (width) integers that should be 0 <= x < (width).
//
// The g(count) method returns a pseudorandom integer that concatenates
// the next (count) outputs from ARC4.  Its return value is a number x
// that is in the range 0 <= x < (width ^ count).
//
/** @constructor */
function ARC4(key) {
  var t, keylen = key.length,
      me = this, i = 0, j = me.i = me.j = 0, s = me.S = [];

  // The empty key [] is treated as [0].
  if (!keylen) { key = [keylen++]; }

  // Set up S using the standard key scheduling algorithm.
  while (i < width) {
    s[i] = i++;
  }
  for (i = 0; i < width; i++) {
    s[i] = s[j = mask & (j + key[i % keylen] + (t = s[i]))];
    s[j] = t;
  }

  // The "g" method returns the next (count) outputs as one number.
  (me.g = function(count) {
    // Using instance members instead of closure state nearly doubles speed.
    var t, r = 0,
        i = me.i, j = me.j, s = me.S;
    while (count--) {
      t = s[i = mask & (i + 1)];
      r = r * width + s[mask & ((s[i] = s[j = mask & (j + t)]) + (s[j] = t))];
    }
    me.i = i; me.j = j;
    return r;
    // For robust unpredictability discard an initial batch of values.
    // See http://www.rsa.com/rsalabs/node.asp?id=2009
  })(width);
}

//
// flatten()
// Converts an object tree to nested arrays of strings.
//
function flatten(obj, depth) {
  var result = [], typ = (typeof obj)[0], prop;
  if (depth && typ == 'o') {
    for (prop in obj) {
      try { result.push(flatten(obj[prop], depth - 1)); } catch (e) {}
    }
  }
  return (result.length ? result : typ == 's' ? obj : obj + '\0');
}

//
// mixkey()
// Mixes a string seed into a key that is an array of integers, and
// returns a shortened string seed that is equivalent to the result key.
//
function mixkey(seed, key) {
  var stringseed = seed + '', smear, j = 0;
  while (j < stringseed.length) {
    key[mask & j] =
      mask & ((smear ^= key[mask & j] * 19) + stringseed.charCodeAt(j++));
  }
  return tostring(key);
}

//
// autoseed()
// Returns an object for autoseeding, using window.crypto if available.
//
/** @param {Uint8Array=} seed */
function autoseed(seed) {
  try {
    GLOBAL.crypto.getRandomValues(seed = new Uint8Array(width));
    return tostring(seed);
  } catch (e) {
    return [+new Date, GLOBAL, GLOBAL.navigator && GLOBAL.navigator.plugins,
            GLOBAL.screen, tostring(pool)];
  }
}

//
// tostring()
// Converts an array of charcodes to a string
//
function tostring(a) {
  return String.fromCharCode.apply(0, a);
}

//
// When seedrandom.js is loaded, we immediately mix a few bits
// from the built-in RNG into the entropy pool.  Because we do
// not want to intefere with determinstic PRNG state later,
// seedrandom will not call Math.random on its own again after
// initialization.
//
mixkey(Math.random(), pool);


/***/ }),

/***/ 26108:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var GetIntrinsic = __webpack_require__(528);
var define = __webpack_require__(70686);
var hasDescriptors = __webpack_require__(17239)();
var gOPD = __webpack_require__(69336);

var $TypeError = __webpack_require__(3468);
var $floor = GetIntrinsic('%Math.floor%');

/** @type {import('.')} */
module.exports = function setFunctionLength(fn, length) {
	if (typeof fn !== 'function') {
		throw new $TypeError('`fn` is not a function');
	}
	if (typeof length !== 'number' || length < 0 || length > 0xFFFFFFFF || $floor(length) !== length) {
		throw new $TypeError('`length` must be a positive 32-bit integer');
	}

	var loose = arguments.length > 2 && !!arguments[2];

	var functionLengthIsConfigurable = true;
	var functionLengthIsWritable = true;
	if ('length' in fn && gOPD) {
		var desc = gOPD(fn, 'length');
		if (desc && !desc.configurable) {
			functionLengthIsConfigurable = false;
		}
		if (desc && !desc.writable) {
			functionLengthIsWritable = false;
		}
	}

	if (functionLengthIsConfigurable || functionLengthIsWritable || !loose) {
		if (hasDescriptors) {
			define(/** @type {Parameters<define>[0]} */ (fn), 'length', length, true, true);
		} else {
			define(/** @type {Parameters<define>[0]} */ (fn), 'length', length);
		}
	}
	return fn;
};


/***/ }),

/***/ 77575:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var GetIntrinsic = __webpack_require__(528);
var callBound = __webpack_require__(79818);
var inspect = __webpack_require__(48660);

var $TypeError = GetIntrinsic('%TypeError%');
var $WeakMap = GetIntrinsic('%WeakMap%', true);
var $Map = GetIntrinsic('%Map%', true);

var $weakMapGet = callBound('WeakMap.prototype.get', true);
var $weakMapSet = callBound('WeakMap.prototype.set', true);
var $weakMapHas = callBound('WeakMap.prototype.has', true);
var $mapGet = callBound('Map.prototype.get', true);
var $mapSet = callBound('Map.prototype.set', true);
var $mapHas = callBound('Map.prototype.has', true);

/*
 * This function traverses the list returning the node corresponding to the
 * given key.
 *
 * That node is also moved to the head of the list, so that if it's accessed
 * again we don't need to traverse the whole list. By doing so, all the recently
 * used nodes can be accessed relatively quickly.
 */
var listGetNode = function (list, key) { // eslint-disable-line consistent-return
	for (var prev = list, curr; (curr = prev.next) !== null; prev = curr) {
		if (curr.key === key) {
			prev.next = curr.next;
			curr.next = list.next;
			list.next = curr; // eslint-disable-line no-param-reassign
			return curr;
		}
	}
};

var listGet = function (objects, key) {
	var node = listGetNode(objects, key);
	return node && node.value;
};
var listSet = function (objects, key, value) {
	var node = listGetNode(objects, key);
	if (node) {
		node.value = value;
	} else {
		// Prepend the new node to the beginning of the list
		objects.next = { // eslint-disable-line no-param-reassign
			key: key,
			next: objects.next,
			value: value
		};
	}
};
var listHas = function (objects, key) {
	return !!listGetNode(objects, key);
};

module.exports = function getSideChannel() {
	var $wm;
	var $m;
	var $o;
	var channel = {
		assert: function (key) {
			if (!channel.has(key)) {
				throw new $TypeError('Side channel does not contain ' + inspect(key));
			}
		},
		get: function (key) { // eslint-disable-line consistent-return
			if ($WeakMap && key && (typeof key === 'object' || typeof key === 'function')) {
				if ($wm) {
					return $weakMapGet($wm, key);
				}
			} else if ($Map) {
				if ($m) {
					return $mapGet($m, key);
				}
			} else {
				if ($o) { // eslint-disable-line no-lonely-if
					return listGet($o, key);
				}
			}
		},
		has: function (key) {
			if ($WeakMap && key && (typeof key === 'object' || typeof key === 'function')) {
				if ($wm) {
					return $weakMapHas($wm, key);
				}
			} else if ($Map) {
				if ($m) {
					return $mapHas($m, key);
				}
			} else {
				if ($o) { // eslint-disable-line no-lonely-if
					return listHas($o, key);
				}
			}
			return false;
		},
		set: function (key, value) {
			if ($WeakMap && key && (typeof key === 'object' || typeof key === 'function')) {
				if (!$wm) {
					$wm = new $WeakMap();
				}
				$weakMapSet($wm, key, value);
			} else if ($Map) {
				if (!$m) {
					$m = new $Map();
				}
				$mapSet($m, key, value);
			} else {
				if (!$o) {
					/*
					 * Initialize the linked list as an empty node, so that we don't have
					 * to special-case handling of the first node: we can always refer to
					 * it as (previous node).next, instead of something like (list).head
					 */
					$o = { key: {}, next: null };
				}
				listSet($o, key, value);
			}
		}
	};
	return channel;
};


/***/ }),

/***/ 70020:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var engine = __webpack_require__(1230)

var storages = __webpack_require__(1337)
var plugins = [__webpack_require__(23656)]

module.exports = engine.createStore(storages, plugins)


/***/ }),

/***/ 23656:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = json2Plugin

function json2Plugin() {
	__webpack_require__(71068)
	return {}
}


/***/ }),

/***/ 71068:
/***/ (() => {

/* eslint-disable */

//  json2.js
//  2016-10-28
//  Public Domain.
//  NO WARRANTY EXPRESSED OR IMPLIED. USE AT YOUR OWN RISK.
//  See http://www.JSON.org/js.html
//  This code should be minified before deployment.
//  See http://javascript.crockford.com/jsmin.html

//  USE YOUR OWN COPY. IT IS EXTREMELY UNWISE TO LOAD CODE FROM SERVERS YOU DO
//  NOT CONTROL.

//  This file creates a global JSON object containing two methods: stringify
//  and parse. This file provides the ES5 JSON capability to ES3 systems.
//  If a project might run on IE8 or earlier, then this file should be included.
//  This file does nothing on ES5 systems.

//      JSON.stringify(value, replacer, space)
//          value       any JavaScript value, usually an object or array.
//          replacer    an optional parameter that determines how object
//                      values are stringified for objects. It can be a
//                      function or an array of strings.
//          space       an optional parameter that specifies the indentation
//                      of nested structures. If it is omitted, the text will
//                      be packed without extra whitespace. If it is a number,
//                      it will specify the number of spaces to indent at each
//                      level. If it is a string (such as "\t" or "&nbsp;"),
//                      it contains the characters used to indent at each level.
//          This method produces a JSON text from a JavaScript value.
//          When an object value is found, if the object contains a toJSON
//          method, its toJSON method will be called and the result will be
//          stringified. A toJSON method does not serialize: it returns the
//          value represented by the name/value pair that should be serialized,
//          or undefined if nothing should be serialized. The toJSON method
//          will be passed the key associated with the value, and this will be
//          bound to the value.

//          For example, this would serialize Dates as ISO strings.

//              Date.prototype.toJSON = function (key) {
//                  function f(n) {
//                      // Format integers to have at least two digits.
//                      return (n < 10)
//                          ? "0" + n
//                          : n;
//                  }
//                  return this.getUTCFullYear()   + "-" +
//                       f(this.getUTCMonth() + 1) + "-" +
//                       f(this.getUTCDate())      + "T" +
//                       f(this.getUTCHours())     + ":" +
//                       f(this.getUTCMinutes())   + ":" +
//                       f(this.getUTCSeconds())   + "Z";
//              };

//          You can provide an optional replacer method. It will be passed the
//          key and value of each member, with this bound to the containing
//          object. The value that is returned from your method will be
//          serialized. If your method returns undefined, then the member will
//          be excluded from the serialization.

//          If the replacer parameter is an array of strings, then it will be
//          used to select the members to be serialized. It filters the results
//          such that only members with keys listed in the replacer array are
//          stringified.

//          Values that do not have JSON representations, such as undefined or
//          functions, will not be serialized. Such values in objects will be
//          dropped; in arrays they will be replaced with null. You can use
//          a replacer function to replace those with JSON values.

//          JSON.stringify(undefined) returns undefined.

//          The optional space parameter produces a stringification of the
//          value that is filled with line breaks and indentation to make it
//          easier to read.

//          If the space parameter is a non-empty string, then that string will
//          be used for indentation. If the space parameter is a number, then
//          the indentation will be that many spaces.

//          Example:

//          text = JSON.stringify(["e", {pluribus: "unum"}]);
//          // text is '["e",{"pluribus":"unum"}]'

//          text = JSON.stringify(["e", {pluribus: "unum"}], null, "\t");
//          // text is '[\n\t"e",\n\t{\n\t\t"pluribus": "unum"\n\t}\n]'

//          text = JSON.stringify([new Date()], function (key, value) {
//              return this[key] instanceof Date
//                  ? "Date(" + this[key] + ")"
//                  : value;
//          });
//          // text is '["Date(---current time---)"]'

//      JSON.parse(text, reviver)
//          This method parses a JSON text to produce an object or array.
//          It can throw a SyntaxError exception.

//          The optional reviver parameter is a function that can filter and
//          transform the results. It receives each of the keys and values,
//          and its return value is used instead of the original value.
//          If it returns what it received, then the structure is not modified.
//          If it returns undefined then the member is deleted.

//          Example:

//          // Parse the text. Values that look like ISO date strings will
//          // be converted to Date objects.

//          myData = JSON.parse(text, function (key, value) {
//              var a;
//              if (typeof value === "string") {
//                  a =
//   /^(\d{4})-(\d{2})-(\d{2})T(\d{2}):(\d{2}):(\d{2}(?:\.\d*)?)Z$/.exec(value);
//                  if (a) {
//                      return new Date(Date.UTC(+a[1], +a[2] - 1, +a[3], +a[4],
//                          +a[5], +a[6]));
//                  }
//              }
//              return value;
//          });

//          myData = JSON.parse('["Date(09/09/2001)"]', function (key, value) {
//              var d;
//              if (typeof value === "string" &&
//                      value.slice(0, 5) === "Date(" &&
//                      value.slice(-1) === ")") {
//                  d = new Date(value.slice(5, -1));
//                  if (d) {
//                      return d;
//                  }
//              }
//              return value;
//          });

//  This is a reference implementation. You are free to copy, modify, or
//  redistribute.

/*jslint
    eval, for, this
*/

/*property
    JSON, apply, call, charCodeAt, getUTCDate, getUTCFullYear, getUTCHours,
    getUTCMinutes, getUTCMonth, getUTCSeconds, hasOwnProperty, join,
    lastIndex, length, parse, prototype, push, replace, slice, stringify,
    test, toJSON, toString, valueOf
*/


// Create a JSON object only if one does not already exist. We create the
// methods in a closure to avoid creating global variables.

if (typeof JSON !== "object") {
    JSON = {};
}

(function () {
    "use strict";

    var rx_one = /^[\],:{}\s]*$/;
    var rx_two = /\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g;
    var rx_three = /"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g;
    var rx_four = /(?:^|:|,)(?:\s*\[)+/g;
    var rx_escapable = /[\\"\u0000-\u001f\u007f-\u009f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;
    var rx_dangerous = /[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;

    function f(n) {
        // Format integers to have at least two digits.
        return n < 10
            ? "0" + n
            : n;
    }

    function this_value() {
        return this.valueOf();
    }

    if (typeof Date.prototype.toJSON !== "function") {

        Date.prototype.toJSON = function () {

            return isFinite(this.valueOf())
                ? this.getUTCFullYear() + "-" +
                        f(this.getUTCMonth() + 1) + "-" +
                        f(this.getUTCDate()) + "T" +
                        f(this.getUTCHours()) + ":" +
                        f(this.getUTCMinutes()) + ":" +
                        f(this.getUTCSeconds()) + "Z"
                : null;
        };

        Boolean.prototype.toJSON = this_value;
        Number.prototype.toJSON = this_value;
        String.prototype.toJSON = this_value;
    }

    var gap;
    var indent;
    var meta;
    var rep;


    function quote(string) {

// If the string contains no control characters, no quote characters, and no
// backslash characters, then we can safely slap some quotes around it.
// Otherwise we must also replace the offending characters with safe escape
// sequences.

        rx_escapable.lastIndex = 0;
        return rx_escapable.test(string)
            ? "\"" + string.replace(rx_escapable, function (a) {
                var c = meta[a];
                return typeof c === "string"
                    ? c
                    : "\\u" + ("0000" + a.charCodeAt(0).toString(16)).slice(-4);
            }) + "\""
            : "\"" + string + "\"";
    }


    function str(key, holder) {

// Produce a string from holder[key].

        var i;          // The loop counter.
        var k;          // The member key.
        var v;          // The member value.
        var length;
        var mind = gap;
        var partial;
        var value = holder[key];

// If the value has a toJSON method, call it to obtain a replacement value.

        if (value && typeof value === "object" &&
                typeof value.toJSON === "function") {
            value = value.toJSON(key);
        }

// If we were called with a replacer function, then call the replacer to
// obtain a replacement value.

        if (typeof rep === "function") {
            value = rep.call(holder, key, value);
        }

// What happens next depends on the value's type.

        switch (typeof value) {
        case "string":
            return quote(value);

        case "number":

// JSON numbers must be finite. Encode non-finite numbers as null.

            return isFinite(value)
                ? String(value)
                : "null";

        case "boolean":
        case "null":

// If the value is a boolean or null, convert it to a string. Note:
// typeof null does not produce "null". The case is included here in
// the remote chance that this gets fixed someday.

            return String(value);

// If the type is "object", we might be dealing with an object or an array or
// null.

        case "object":

// Due to a specification blunder in ECMAScript, typeof null is "object",
// so watch out for that case.

            if (!value) {
                return "null";
            }

// Make an array to hold the partial results of stringifying this object value.

            gap += indent;
            partial = [];

// Is the value an array?

            if (Object.prototype.toString.apply(value) === "[object Array]") {

// The value is an array. Stringify every element. Use null as a placeholder
// for non-JSON values.

                length = value.length;
                for (i = 0; i < length; i += 1) {
                    partial[i] = str(i, value) || "null";
                }

// Join all of the elements together, separated with commas, and wrap them in
// brackets.

                v = partial.length === 0
                    ? "[]"
                    : gap
                        ? "[\n" + gap + partial.join(",\n" + gap) + "\n" + mind + "]"
                        : "[" + partial.join(",") + "]";
                gap = mind;
                return v;
            }

// If the replacer is an array, use it to select the members to be stringified.

            if (rep && typeof rep === "object") {
                length = rep.length;
                for (i = 0; i < length; i += 1) {
                    if (typeof rep[i] === "string") {
                        k = rep[i];
                        v = str(k, value);
                        if (v) {
                            partial.push(quote(k) + (
                                gap
                                    ? ": "
                                    : ":"
                            ) + v);
                        }
                    }
                }
            } else {

// Otherwise, iterate through all of the keys in the object.

                for (k in value) {
                    if (Object.prototype.hasOwnProperty.call(value, k)) {
                        v = str(k, value);
                        if (v) {
                            partial.push(quote(k) + (
                                gap
                                    ? ": "
                                    : ":"
                            ) + v);
                        }
                    }
                }
            }

// Join all of the member texts together, separated with commas,
// and wrap them in braces.

            v = partial.length === 0
                ? "{}"
                : gap
                    ? "{\n" + gap + partial.join(",\n" + gap) + "\n" + mind + "}"
                    : "{" + partial.join(",") + "}";
            gap = mind;
            return v;
        }
    }

// If the JSON object does not yet have a stringify method, give it one.

    if (typeof JSON.stringify !== "function") {
        meta = {    // table of character substitutions
            "\b": "\\b",
            "\t": "\\t",
            "\n": "\\n",
            "\f": "\\f",
            "\r": "\\r",
            "\"": "\\\"",
            "\\": "\\\\"
        };
        JSON.stringify = function (value, replacer, space) {

// The stringify method takes a value and an optional replacer, and an optional
// space parameter, and returns a JSON text. The replacer can be a function
// that can replace values, or an array of strings that will select the keys.
// A default replacer method can be provided. Use of the space parameter can
// produce text that is more easily readable.

            var i;
            gap = "";
            indent = "";

// If the space parameter is a number, make an indent string containing that
// many spaces.

            if (typeof space === "number") {
                for (i = 0; i < space; i += 1) {
                    indent += " ";
                }

// If the space parameter is a string, it will be used as the indent string.

            } else if (typeof space === "string") {
                indent = space;
            }

// If there is a replacer, it must be a function or an array.
// Otherwise, throw an error.

            rep = replacer;
            if (replacer && typeof replacer !== "function" &&
                    (typeof replacer !== "object" ||
                    typeof replacer.length !== "number")) {
                throw new Error("JSON.stringify");
            }

// Make a fake root object containing our value under the key of "".
// Return the result of stringifying the value.

            return str("", {"": value});
        };
    }


// If the JSON object does not yet have a parse method, give it one.

    if (typeof JSON.parse !== "function") {
        JSON.parse = function (text, reviver) {

// The parse method takes a text and an optional reviver function, and returns
// a JavaScript value if the text is a valid JSON text.

            var j;

            function walk(holder, key) {

// The walk method is used to recursively walk the resulting structure so
// that modifications can be made.

                var k;
                var v;
                var value = holder[key];
                if (value && typeof value === "object") {
                    for (k in value) {
                        if (Object.prototype.hasOwnProperty.call(value, k)) {
                            v = walk(value, k);
                            if (v !== undefined) {
                                value[k] = v;
                            } else {
                                delete value[k];
                            }
                        }
                    }
                }
                return reviver.call(holder, key, value);
            }


// Parsing happens in four stages. In the first stage, we replace certain
// Unicode characters with escape sequences. JavaScript handles many characters
// incorrectly, either silently deleting them, or treating them as line endings.

            text = String(text);
            rx_dangerous.lastIndex = 0;
            if (rx_dangerous.test(text)) {
                text = text.replace(rx_dangerous, function (a) {
                    return "\\u" +
                            ("0000" + a.charCodeAt(0).toString(16)).slice(-4);
                });
            }

// In the second stage, we run the text against regular expressions that look
// for non-JSON patterns. We are especially concerned with "()" and "new"
// because they can cause invocation, and "=" because it can cause mutation.
// But just to be safe, we want to reject all unexpected forms.

// We split the second stage into 4 regexp operations in order to work around
// crippling inefficiencies in IE's and Safari's regexp engines. First we
// replace the JSON backslash pairs with "@" (a non-JSON character). Second, we
// replace all simple value tokens with "]" characters. Third, we delete all
// open brackets that follow a colon or comma or that begin the text. Finally,
// we look to see that the remaining characters are only whitespace or "]" or
// "," or ":" or "{" or "}". If that is so, then the text is safe for eval.

            if (
                rx_one.test(
                    text
                        .replace(rx_two, "@")
                        .replace(rx_three, "]")
                        .replace(rx_four, "")
                )
            ) {

// In the third stage we use the eval function to compile the text into a
// JavaScript structure. The "{" operator is subject to a syntactic ambiguity
// in JavaScript: it can begin a block or an object literal. We wrap the text
// in parens to eliminate the ambiguity.

                j = eval("(" + text + ")");

// In the optional fourth stage, we recursively walk the new structure, passing
// each name/value pair to a reviver function for possible transformation.

                return (typeof reviver === "function")
                    ? walk({"": j}, "")
                    : j;
            }

// If the text is not JSON parseable, then a SyntaxError is thrown.

            throw new SyntaxError("JSON.parse");
        };
    }
}());

/***/ }),

/***/ 1230:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var util = __webpack_require__(45380)
var slice = util.slice
var pluck = util.pluck
var each = util.each
var bind = util.bind
var create = util.create
var isList = util.isList
var isFunction = util.isFunction
var isObject = util.isObject

module.exports = {
	createStore: createStore
}

var storeAPI = {
	version: '2.0.12',
	enabled: false,
	
	// get returns the value of the given key. If that value
	// is undefined, it returns optionalDefaultValue instead.
	get: function(key, optionalDefaultValue) {
		var data = this.storage.read(this._namespacePrefix + key)
		return this._deserialize(data, optionalDefaultValue)
	},

	// set will store the given value at key and returns value.
	// Calling set with value === undefined is equivalent to calling remove.
	set: function(key, value) {
		if (value === undefined) {
			return this.remove(key)
		}
		this.storage.write(this._namespacePrefix + key, this._serialize(value))
		return value
	},

	// remove deletes the key and value stored at the given key.
	remove: function(key) {
		this.storage.remove(this._namespacePrefix + key)
	},

	// each will call the given callback once for each key-value pair
	// in this store.
	each: function(callback) {
		var self = this
		this.storage.each(function(val, namespacedKey) {
			callback.call(self, self._deserialize(val), (namespacedKey || '').replace(self._namespaceRegexp, ''))
		})
	},

	// clearAll will remove all the stored key-value pairs in this store.
	clearAll: function() {
		this.storage.clearAll()
	},

	// additional functionality that can't live in plugins
	// ---------------------------------------------------

	// hasNamespace returns true if this store instance has the given namespace.
	hasNamespace: function(namespace) {
		return (this._namespacePrefix == '__storejs_'+namespace+'_')
	},

	// createStore creates a store.js instance with the first
	// functioning storage in the list of storage candidates,
	// and applies the the given mixins to the instance.
	createStore: function() {
		return createStore.apply(this, arguments)
	},
	
	addPlugin: function(plugin) {
		this._addPlugin(plugin)
	},
	
	namespace: function(namespace) {
		return createStore(this.storage, this.plugins, namespace)
	}
}

function _warn() {
	var _console = (typeof console == 'undefined' ? null : console)
	if (!_console) { return }
	var fn = (_console.warn ? _console.warn : _console.log)
	fn.apply(_console, arguments)
}

function createStore(storages, plugins, namespace) {
	if (!namespace) {
		namespace = ''
	}
	if (storages && !isList(storages)) {
		storages = [storages]
	}
	if (plugins && !isList(plugins)) {
		plugins = [plugins]
	}

	var namespacePrefix = (namespace ? '__storejs_'+namespace+'_' : '')
	var namespaceRegexp = (namespace ? new RegExp('^'+namespacePrefix) : null)
	var legalNamespaces = /^[a-zA-Z0-9_\-]*$/ // alpha-numeric + underscore and dash
	if (!legalNamespaces.test(namespace)) {
		throw new Error('store.js namespaces can only have alphanumerics + underscores and dashes')
	}
	
	var _privateStoreProps = {
		_namespacePrefix: namespacePrefix,
		_namespaceRegexp: namespaceRegexp,

		_testStorage: function(storage) {
			try {
				var testStr = '__storejs__test__'
				storage.write(testStr, testStr)
				var ok = (storage.read(testStr) === testStr)
				storage.remove(testStr)
				return ok
			} catch(e) {
				return false
			}
		},

		_assignPluginFnProp: function(pluginFnProp, propName) {
			var oldFn = this[propName]
			this[propName] = function pluginFn() {
				var args = slice(arguments, 0)
				var self = this

				// super_fn calls the old function which was overwritten by
				// this mixin.
				function super_fn() {
					if (!oldFn) { return }
					each(arguments, function(arg, i) {
						args[i] = arg
					})
					return oldFn.apply(self, args)
				}

				// Give mixing function access to super_fn by prefixing all mixin function
				// arguments with super_fn.
				var newFnArgs = [super_fn].concat(args)

				return pluginFnProp.apply(self, newFnArgs)
			}
		},

		_serialize: function(obj) {
			return JSON.stringify(obj)
		},

		_deserialize: function(strVal, defaultVal) {
			if (!strVal) { return defaultVal }
			// It is possible that a raw string value has been previously stored
			// in a storage without using store.js, meaning it will be a raw
			// string value instead of a JSON serialized string. By defaulting
			// to the raw string value in case of a JSON parse error, we allow
			// for past stored values to be forwards-compatible with store.js
			var val = ''
			try { val = JSON.parse(strVal) }
			catch(e) { val = strVal }

			return (val !== undefined ? val : defaultVal)
		},
		
		_addStorage: function(storage) {
			if (this.enabled) { return }
			if (this._testStorage(storage)) {
				this.storage = storage
				this.enabled = true
			}
		},

		_addPlugin: function(plugin) {
			var self = this

			// If the plugin is an array, then add all plugins in the array.
			// This allows for a plugin to depend on other plugins.
			if (isList(plugin)) {
				each(plugin, function(plugin) {
					self._addPlugin(plugin)
				})
				return
			}

			// Keep track of all plugins we've seen so far, so that we
			// don't add any of them twice.
			var seenPlugin = pluck(this.plugins, function(seenPlugin) {
				return (plugin === seenPlugin)
			})
			if (seenPlugin) {
				return
			}
			this.plugins.push(plugin)

			// Check that the plugin is properly formed
			if (!isFunction(plugin)) {
				throw new Error('Plugins must be function values that return objects')
			}

			var pluginProperties = plugin.call(this)
			if (!isObject(pluginProperties)) {
				throw new Error('Plugins must return an object of function properties')
			}

			// Add the plugin function properties to this store instance.
			each(pluginProperties, function(pluginFnProp, propName) {
				if (!isFunction(pluginFnProp)) {
					throw new Error('Bad plugin property: '+propName+' from plugin '+plugin.name+'. Plugins should only return functions.')
				}
				self._assignPluginFnProp(pluginFnProp, propName)
			})
		},
		
		// Put deprecated properties in the private API, so as to not expose it to accidential
		// discovery through inspection of the store object.
		
		// Deprecated: addStorage
		addStorage: function(storage) {
			_warn('store.addStorage(storage) is deprecated. Use createStore([storages])')
			this._addStorage(storage)
		}
	}

	var store = create(_privateStoreProps, storeAPI, {
		plugins: []
	})
	store.raw = {}
	each(store, function(prop, propName) {
		if (isFunction(prop)) {
			store.raw[propName] = bind(store, prop)			
		}
	})
	each(storages, function(storage) {
		store._addStorage(storage)
	})
	each(plugins, function(plugin) {
		store._addPlugin(plugin)
	})
	return store
}


/***/ }),

/***/ 45380:
/***/ ((module) => {

var assign = make_assign()
var create = make_create()
var trim = make_trim()
var Global = ( true ? window : 0)

module.exports = {
	assign: assign,
	create: create,
	trim: trim,
	bind: bind,
	slice: slice,
	each: each,
	map: map,
	pluck: pluck,
	isList: isList,
	isFunction: isFunction,
	isObject: isObject,
	Global: Global
}

function make_assign() {
	if (Object.assign) {
		return Object.assign
	} else {
		return function shimAssign(obj, props1, props2, etc) {
			for (var i = 1; i < arguments.length; i++) {
				each(Object(arguments[i]), function(val, key) {
					obj[key] = val
				})
			}			
			return obj
		}
	}
}

function make_create() {
	if (Object.create) {
		return function create(obj, assignProps1, assignProps2, etc) {
			var assignArgsList = slice(arguments, 1)
			return assign.apply(this, [Object.create(obj)].concat(assignArgsList))
		}
	} else {
		function F() {} // eslint-disable-line no-inner-declarations
		return function create(obj, assignProps1, assignProps2, etc) {
			var assignArgsList = slice(arguments, 1)
			F.prototype = obj
			return assign.apply(this, [new F()].concat(assignArgsList))
		}
	}
}

function make_trim() {
	if (String.prototype.trim) {
		return function trim(str) {
			return String.prototype.trim.call(str)
		}
	} else {
		return function trim(str) {
			return str.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, '')
		}
	}
}

function bind(obj, fn) {
	return function() {
		return fn.apply(obj, Array.prototype.slice.call(arguments, 0))
	}
}

function slice(arr, index) {
	return Array.prototype.slice.call(arr, index || 0)
}

function each(obj, fn) {
	pluck(obj, function(val, key) {
		fn(val, key)
		return false
	})
}

function map(obj, fn) {
	var res = (isList(obj) ? [] : {})
	pluck(obj, function(v, k) {
		res[k] = fn(v, k)
		return false
	})
	return res
}

function pluck(obj, fn) {
	if (isList(obj)) {
		for (var i=0; i<obj.length; i++) {
			if (fn(obj[i], i)) {
				return obj[i]
			}
		}
	} else {
		for (var key in obj) {
			if (obj.hasOwnProperty(key)) {
				if (fn(obj[key], key)) {
					return obj[key]
				}
			}
		}
	}
}

function isList(val) {
	return (val != null && typeof val != 'function' && typeof val.length == 'number')
}

function isFunction(val) {
	return val && {}.toString.call(val) === '[object Function]'
}

function isObject(val) {
	return val && {}.toString.call(val) === '[object Object]'
}


/***/ }),

/***/ 1337:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = [
	// Listed in order of usage preference
	__webpack_require__(7884),
	__webpack_require__(23534),
	__webpack_require__(8064),
	__webpack_require__(87561),
	__webpack_require__(41281),
	__webpack_require__(63358)
]


/***/ }),

/***/ 87561:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// cookieStorage is useful Safari private browser mode, where localStorage
// doesn't work but cookies do. This implementation is adopted from
// https://developer.mozilla.org/en-US/docs/Web/API/Storage/LocalStorage

var util = __webpack_require__(45380)
var Global = util.Global
var trim = util.trim

module.exports = {
	name: 'cookieStorage',
	read: read,
	write: write,
	each: each,
	remove: remove,
	clearAll: clearAll,
}

var doc = Global.document

function read(key) {
	if (!key || !_has(key)) { return null }
	var regexpStr = "(?:^|.*;\\s*)" +
		escape(key).replace(/[\-\.\+\*]/g, "\\$&") +
		"\\s*\\=\\s*((?:[^;](?!;))*[^;]?).*"
	return unescape(doc.cookie.replace(new RegExp(regexpStr), "$1"))
}

function each(callback) {
	var cookies = doc.cookie.split(/; ?/g)
	for (var i = cookies.length - 1; i >= 0; i--) {
		if (!trim(cookies[i])) {
			continue
		}
		var kvp = cookies[i].split('=')
		var key = unescape(kvp[0])
		var val = unescape(kvp[1])
		callback(val, key)
	}
}

function write(key, data) {
	if(!key) { return }
	doc.cookie = escape(key) + "=" + escape(data) + "; expires=Tue, 19 Jan 2038 03:14:07 GMT; path=/"
}

function remove(key) {
	if (!key || !_has(key)) {
		return
	}
	doc.cookie = escape(key) + "=; expires=Thu, 01 Jan 1970 00:00:00 GMT; path=/"
}

function clearAll() {
	each(function(_, key) {
		remove(key)
	})
}

function _has(key) {
	return (new RegExp("(?:^|;\\s*)" + escape(key).replace(/[\-\.\+\*]/g, "\\$&") + "\\s*\\=")).test(doc.cookie)
}


/***/ }),

/***/ 7884:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var util = __webpack_require__(45380)
var Global = util.Global

module.exports = {
	name: 'localStorage',
	read: read,
	write: write,
	each: each,
	remove: remove,
	clearAll: clearAll,
}

function localStorage() {
	return Global.localStorage
}

function read(key) {
	return localStorage().getItem(key)
}

function write(key, data) {
	return localStorage().setItem(key, data)
}

function each(fn) {
	for (var i = localStorage().length - 1; i >= 0; i--) {
		var key = localStorage().key(i)
		fn(read(key), key)
	}
}

function remove(key) {
	return localStorage().removeItem(key)
}

function clearAll() {
	return localStorage().clear()
}


/***/ }),

/***/ 63358:
/***/ ((module) => {

// memoryStorage is a useful last fallback to ensure that the store
// is functions (meaning store.get(), store.set(), etc will all function).
// However, stored values will not persist when the browser navigates to
// a new page or reloads the current page.

module.exports = {
	name: 'memoryStorage',
	read: read,
	write: write,
	each: each,
	remove: remove,
	clearAll: clearAll,
}

var memoryStorage = {}

function read(key) {
	return memoryStorage[key]
}

function write(key, data) {
	memoryStorage[key] = data
}

function each(callback) {
	for (var key in memoryStorage) {
		if (memoryStorage.hasOwnProperty(key)) {
			callback(memoryStorage[key], key)
		}
	}
}

function remove(key) {
	delete memoryStorage[key]
}

function clearAll(key) {
	memoryStorage = {}
}


/***/ }),

/***/ 23534:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// oldFF-globalStorage provides storage for Firefox
// versions 6 and 7, where no localStorage, etc
// is available.

var util = __webpack_require__(45380)
var Global = util.Global

module.exports = {
	name: 'oldFF-globalStorage',
	read: read,
	write: write,
	each: each,
	remove: remove,
	clearAll: clearAll,
}

var globalStorage = Global.globalStorage

function read(key) {
	return globalStorage[key]
}

function write(key, data) {
	globalStorage[key] = data
}

function each(fn) {
	for (var i = globalStorage.length - 1; i >= 0; i--) {
		var key = globalStorage.key(i)
		fn(globalStorage[key], key)
	}
}

function remove(key) {
	return globalStorage.removeItem(key)
}

function clearAll() {
	each(function(key, _) {
		delete globalStorage[key]
	})
}


/***/ }),

/***/ 8064:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// oldIE-userDataStorage provides storage for Internet Explorer
// versions 6 and 7, where no localStorage, sessionStorage, etc
// is available.

var util = __webpack_require__(45380)
var Global = util.Global

module.exports = {
	name: 'oldIE-userDataStorage',
	write: write,
	read: read,
	each: each,
	remove: remove,
	clearAll: clearAll,
}

var storageName = 'storejs'
var doc = Global.document
var _withStorageEl = _makeIEStorageElFunction()
var disable = (Global.navigator ? Global.navigator.userAgent : '').match(/ (MSIE 8|MSIE 9|MSIE 10)\./) // MSIE 9.x, MSIE 10.x

function write(unfixedKey, data) {
	if (disable) { return }
	var fixedKey = fixKey(unfixedKey)
	_withStorageEl(function(storageEl) {
		storageEl.setAttribute(fixedKey, data)
		storageEl.save(storageName)
	})
}

function read(unfixedKey) {
	if (disable) { return }
	var fixedKey = fixKey(unfixedKey)
	var res = null
	_withStorageEl(function(storageEl) {
		res = storageEl.getAttribute(fixedKey)
	})
	return res
}

function each(callback) {
	_withStorageEl(function(storageEl) {
		var attributes = storageEl.XMLDocument.documentElement.attributes
		for (var i=attributes.length-1; i>=0; i--) {
			var attr = attributes[i]
			callback(storageEl.getAttribute(attr.name), attr.name)
		}
	})
}

function remove(unfixedKey) {
	var fixedKey = fixKey(unfixedKey)
	_withStorageEl(function(storageEl) {
		storageEl.removeAttribute(fixedKey)
		storageEl.save(storageName)
	})
}

function clearAll() {
	_withStorageEl(function(storageEl) {
		var attributes = storageEl.XMLDocument.documentElement.attributes
		storageEl.load(storageName)
		for (var i=attributes.length-1; i>=0; i--) {
			storageEl.removeAttribute(attributes[i].name)
		}
		storageEl.save(storageName)
	})
}

// Helpers
//////////

// In IE7, keys cannot start with a digit or contain certain chars.
// See https://github.com/marcuswestin/store.js/issues/40
// See https://github.com/marcuswestin/store.js/issues/83
var forbiddenCharsRegex = new RegExp("[!\"#$%&'()*+,/\\\\:;<=>?@[\\]^`{|}~]", "g")
function fixKey(key) {
	return key.replace(/^\d/, '___$&').replace(forbiddenCharsRegex, '___')
}

function _makeIEStorageElFunction() {
	if (!doc || !doc.documentElement || !doc.documentElement.addBehavior) {
		return null
	}
	var scriptTag = 'script',
		storageOwner,
		storageContainer,
		storageEl

	// Since #userData storage applies only to specific paths, we need to
	// somehow link our data to a specific path.  We choose /favicon.ico
	// as a pretty safe option, since all browsers already make a request to
	// this URL anyway and being a 404 will not hurt us here.  We wrap an
	// iframe pointing to the favicon in an ActiveXObject(htmlfile) object
	// (see: http://msdn.microsoft.com/en-us/library/aa752574(v=VS.85).aspx)
	// since the iframe access rules appear to allow direct access and
	// manipulation of the document element, even for a 404 page.  This
	// document can be used instead of the current document (which would
	// have been limited to the current path) to perform #userData storage.
	try {
		/* global ActiveXObject */
		storageContainer = new ActiveXObject('htmlfile')
		storageContainer.open()
		storageContainer.write('<'+scriptTag+'>document.w=window</'+scriptTag+'><iframe src="/favicon.ico"></iframe>')
		storageContainer.close()
		storageOwner = storageContainer.w.frames[0].document
		storageEl = storageOwner.createElement('div')
	} catch(e) {
		// somehow ActiveXObject instantiation failed (perhaps some special
		// security settings or otherwse), fall back to per-path storage
		storageEl = doc.createElement('div')
		storageOwner = doc.body
	}

	return function(storeFunction) {
		var args = [].slice.call(arguments, 0)
		args.unshift(storageEl)
		// See http://msdn.microsoft.com/en-us/library/ms531081(v=VS.85).aspx
		// and http://msdn.microsoft.com/en-us/library/ms531424(v=VS.85).aspx
		storageOwner.appendChild(storageEl)
		storageEl.addBehavior('#default#userData')
		storageEl.load(storageName)
		storeFunction.apply(this, args)
		storageOwner.removeChild(storageEl)
		return
	}
}


/***/ }),

/***/ 41281:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var util = __webpack_require__(45380)
var Global = util.Global

module.exports = {
	name: 'sessionStorage',
	read: read,
	write: write,
	each: each,
	remove: remove,
	clearAll: clearAll
}

function sessionStorage() {
	return Global.sessionStorage
}

function read(key) {
	return sessionStorage().getItem(key)
}

function write(key, data) {
	return sessionStorage().setItem(key, data)
}

function each(fn) {
	for (var i = sessionStorage().length - 1; i >= 0; i--) {
		var key = sessionStorage().key(i)
		fn(read(key), key)
	}
}

function remove(key) {
	return sessionStorage().removeItem(key)
}

function clearAll() {
	return sessionStorage().clear()
}


/***/ }),

/***/ 52714:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Tannin)
/* harmony export */ });
/* harmony import */ var _tannin_plural_forms__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14043);


/**
 * Tannin constructor options.
 *
 * @typedef {Object} TanninOptions
 *
 * @property {string}   [contextDelimiter] Joiner in string lookup with context.
 * @property {Function} [onMissingKey]     Callback to invoke when key missing.
 */

/**
 * Domain metadata.
 *
 * @typedef {Object} TanninDomainMetadata
 *
 * @property {string}            [domain]       Domain name.
 * @property {string}            [lang]         Language code.
 * @property {(string|Function)} [plural_forms] Plural forms expression or
 *                                              function evaluator.
 */

/**
 * Domain translation pair respectively representing the singular and plural
 * translation.
 *
 * @typedef {[string,string]} TanninTranslation
 */

/**
 * Locale data domain. The key is used as reference for lookup, the value an
 * array of two string entries respectively representing the singular and plural
 * translation.
 *
 * @typedef {{[key:string]:TanninDomainMetadata|TanninTranslation,'':TanninDomainMetadata|TanninTranslation}} TanninLocaleDomain
 */

/**
 * Jed-formatted locale data.
 *
 * @see http://messageformat.github.io/Jed/
 *
 * @typedef {{[domain:string]:TanninLocaleDomain}} TanninLocaleData
 */

/**
 * Default Tannin constructor options.
 *
 * @type {TanninOptions}
 */
var DEFAULT_OPTIONS = {
	contextDelimiter: '\u0004',
	onMissingKey: null,
};

/**
 * Given a specific locale data's config `plural_forms` value, returns the
 * expression.
 *
 * @example
 *
 * ```
 * getPluralExpression( 'nplurals=2; plural=(n != 1);' ) === '(n != 1)'
 * ```
 *
 * @param {string} pf Locale data plural forms.
 *
 * @return {string} Plural forms expression.
 */
function getPluralExpression( pf ) {
	var parts, i, part;

	parts = pf.split( ';' );

	for ( i = 0; i < parts.length; i++ ) {
		part = parts[ i ].trim();
		if ( part.indexOf( 'plural=' ) === 0 ) {
			return part.substr( 7 );
		}
	}
}

/**
 * Tannin constructor.
 *
 * @class
 *
 * @param {TanninLocaleData} data      Jed-formatted locale data.
 * @param {TanninOptions}    [options] Tannin options.
 */
function Tannin( data, options ) {
	var key;

	/**
	 * Jed-formatted locale data.
	 *
	 * @name Tannin#data
	 * @type {TanninLocaleData}
	 */
	this.data = data;

	/**
	 * Plural forms function cache, keyed by plural forms string.
	 *
	 * @name Tannin#pluralForms
	 * @type {Object<string,Function>}
	 */
	this.pluralForms = {};

	/**
	 * Effective options for instance, including defaults.
	 *
	 * @name Tannin#options
	 * @type {TanninOptions}
	 */
	this.options = {};

	for ( key in DEFAULT_OPTIONS ) {
		this.options[ key ] = options !== undefined && key in options
			? options[ key ]
			: DEFAULT_OPTIONS[ key ];
	}
}

/**
 * Returns the plural form index for the given domain and value.
 *
 * @param {string} domain Domain on which to calculate plural form.
 * @param {number} n      Value for which plural form is to be calculated.
 *
 * @return {number} Plural form index.
 */
Tannin.prototype.getPluralForm = function( domain, n ) {
	var getPluralForm = this.pluralForms[ domain ],
		config, plural, pf;

	if ( ! getPluralForm ) {
		config = this.data[ domain ][ '' ];

		pf = (
			config[ 'Plural-Forms' ] ||
			config[ 'plural-forms' ] ||
			// Ignore reason: As known, there's no way to document the empty
			// string property on a key to guarantee this as metadata.
			// @ts-ignore
			config.plural_forms
		);

		if ( typeof pf !== 'function' ) {
			plural = getPluralExpression(
				config[ 'Plural-Forms' ] ||
				config[ 'plural-forms' ] ||
				// Ignore reason: As known, there's no way to document the empty
				// string property on a key to guarantee this as metadata.
				// @ts-ignore
				config.plural_forms
			);

			pf = (0,_tannin_plural_forms__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)( plural );
		}

		getPluralForm = this.pluralForms[ domain ] = pf;
	}

	return getPluralForm( n );
};

/**
 * Translate a string.
 *
 * @param {string}      domain   Translation domain.
 * @param {string|void} context  Context distinguishing terms of the same name.
 * @param {string}      singular Primary key for translation lookup.
 * @param {string=}     plural   Fallback value used for non-zero plural
 *                               form index.
 * @param {number=}     n        Value to use in calculating plural form.
 *
 * @return {string} Translated string.
 */
Tannin.prototype.dcnpgettext = function( domain, context, singular, plural, n ) {
	var index, key, entry;

	if ( n === undefined ) {
		// Default to singular.
		index = 0;
	} else {
		// Find index by evaluating plural form for value.
		index = this.getPluralForm( domain, n );
	}

	key = singular;

	// If provided, context is prepended to key with delimiter.
	if ( context ) {
		key = context + this.options.contextDelimiter + singular;
	}

	entry = this.data[ domain ][ key ];

	// Verify not only that entry exists, but that the intended index is within
	// range and non-empty.
	if ( entry && entry[ index ] ) {
		return entry[ index ];
	}

	if ( this.options.onMissingKey ) {
		this.options.onMissingKey( singular, domain );
	}

	// If entry not found, fall back to singular vs. plural with zero index
	// representing the singular value.
	return index === 0 ? singular : plural;
};


/***/ }),

/***/ 71805:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   f: () => (/* binding */ whatsNewQueryClient)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(61799);

const whatsNewQueryClient = new _tanstack_react_query__WEBPACK_IMPORTED_MODULE_0__/* .QueryClient */ .E();

/***/ }),

/***/ 66089:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ CalypsoStateProvider)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_polyfills__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(58131);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(85744);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(20759);
/* harmony import */ var redux__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(82419);
/* harmony import */ var redux_thunk__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(96074);
/* harmony import */ var calypso_components_data_query_sites__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(94012);
/* harmony import */ var calypso_lib_analytics_init__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(32433);
/* harmony import */ var calypso_lib_analytics_super_props__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(47107);
/* harmony import */ var calypso_lib_user_shared_utils__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(94627);
/* harmony import */ var calypso_lib_user_shared_utils__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(72366);
/* harmony import */ var calypso_state_analytics_middleware__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(95985);
/* harmony import */ var calypso_state_console_dispatch__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(75033);
/* harmony import */ var calypso_state_current_user_actions__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(71639);
/* harmony import */ var calypso_state_current_user_reducer__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(79672);
/* harmony import */ var calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(59662);
/* harmony import */ var calypso_state_sites_reducer__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(45253);
/* harmony import */ var calypso_state_ui_actions__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(13368);
/* harmony import */ var calypso_state_ui_section_actions__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(7882);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(18366);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(21415);

/**
 * Global polyfills
 */


















const rootReducer = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_11__/* .combineReducers */ .H)({
  currentUser: calypso_state_current_user_reducer__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .Ay,
  sites: calypso_state_sites_reducer__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .Ay
});
const store = (0,redux__WEBPACK_IMPORTED_MODULE_12__.createStore)(rootReducer, (0,redux__WEBPACK_IMPORTED_MODULE_12__.compose)(calypso_state_console_dispatch__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A, calypso_state_utils__WEBPACK_IMPORTED_MODULE_14__/* .addReducerEnhancer */ .s, (0,redux__WEBPACK_IMPORTED_MODULE_12__.applyMiddleware)(redux_thunk__WEBPACK_IMPORTED_MODULE_15__/* ["default"] */ .A, calypso_state_analytics_middleware__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)));
(0,calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_9__/* .setStore */ .k)(store);
const section = window?.helpCenterAdminBar?.isLoaded ? 'wp-admin' : 'gutenberg-editor';
const currentSite = window.helpCenterData.currentSite;
currentSite && store.dispatch((0,calypso_state_ui_actions__WEBPACK_IMPORTED_MODULE_16__/* .setSelectedSiteId */ .k)(currentSite.ID));
store.dispatch((0,calypso_state_ui_section_actions__WEBPACK_IMPORTED_MODULE_17__/* .setSection */ .c)({
  name: section
}));
i18n_calypso__WEBPACK_IMPORTED_MODULE_18__/* ["default"].configure */ .Ay.configure({
  defaultLocaleSlug: window.helpCenterLocale?.locale
});
(0,calypso_lib_user_shared_utils__WEBPACK_IMPORTED_MODULE_19__/* .rawCurrentUserFetch */ .r)().then(calypso_lib_user_shared_utils__WEBPACK_IMPORTED_MODULE_20__/* .filterUserObject */ .p).then(user => {
  if (user) {
    store.dispatch((0,calypso_state_current_user_actions__WEBPACK_IMPORTED_MODULE_7__/* .setCurrentUser */ .lt)(user));
  }
  (0,calypso_lib_analytics_init__WEBPACK_IMPORTED_MODULE_4__/* .initializeAnalytics */ .f)(user || undefined, (0,calypso_lib_analytics_super_props__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(store));
});
function CalypsoStateProvider({
  children
}) {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_redux__WEBPACK_IMPORTED_MODULE_2__/* .Provider */ .Kq, {
    store: store
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_data_query_sites__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A, {
    siteId: currentSite.ID
  }), children));
}

/***/ }),

/***/ 43481:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _automattic_help_center__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(35587);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(93402);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(75795);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _common_what_new_query_client__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(71805);
/* harmony import */ var _CalypsoStateProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(66089);









function AdminHelpCenterContent() {
  const {
    setShowHelpCenter
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_2__.useDispatch)('automattic/help-center');
  const show = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_2__.useSelect)(select => select('automattic/help-center').isHelpCenterShown());
  const button = document.getElementById('wp-admin-bar-help-center');
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (show) {
      button.classList.add('active');
    } else {
      button.classList.remove('active');
    }
  }, [show, button]);
  const closeCallback = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => setShowHelpCenter(false), [setShowHelpCenter]);
  const handleToggleHelpCenter = () => {
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)(`calypso_inlinehelp_${show ? 'close' : 'show'}`, {
      force_site_id: true,
      location: 'help-center',
      section: 'wp-admin'
    });
    setShowHelpCenter(!show);
  };
  button.onclick = handleToggleHelpCenter;
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_help_center__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    handleClose: closeCallback
  });
}
if (window?.helpCenterAdminBar?.isLoaded) {
  react_dom__WEBPACK_IMPORTED_MODULE_3__.render((0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_tanstack_react_query__WEBPACK_IMPORTED_MODULE_7__/* .QueryClientProvider */ .Ht, {
    client: _common_what_new_query_client__WEBPACK_IMPORTED_MODULE_4__/* .whatsNewQueryClient */ .f
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_CalypsoStateProvider__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(AdminHelpCenterContent, null))), document.getElementById('help-center-masterbar'));
}

/***/ }),

/***/ 85534:
/***/ (() => {

window.configData = {
  env_id: 'production',
  i18n_default_locale_slug: 'en',
  google_analytics_key: 'UA-10673494-15',
  zendesk_support_chat_key: 'cec07bc9-4da6-4dd2-afa7-c7e01ae73584',
  client_slug: 'browser',
  twemoji_cdn_url: 'https://s0.wp.com/wp-content/mu-plugins/wpcom-smileys/twemoji/2/',
  site_filter: [],
  sections: {},
  enable_all_sections: false,
  livechat_support_locales: ['en', 'en-gb'],
  upwork_support_locales: ['de', 'de-at', 'de-li', 'de-lu', 'de-ch', 'es', 'es-cl', 'es-mx', 'fr', 'fr-ca', 'fr-be', 'fr-ch', 'it', 'it-ch', 'ja', 'nl', 'nl-be', 'nl-nl', 'pt', 'pt-pt', 'pt-br', 'sv', 'sv-fi', 'sv-se'],
  jetpack_support_blog: 'jetpackme.wordpress.com',
  wpcom_support_blog: 'en.support.wordpress.com',
  is_running_in_jetpack_site: false,
  gutenboarding_url: '/new',
  features: {
    'help/gpt-response': true
  },
  signup_url: '/',
  wapuu: false,
  wpcom_signup_id: '39911',
  wpcom_signup_key: 'cOaYKdrkgXz8xY7aysv4fU6wL6sK5J8a6ojReEIAPwggsznj4Cb6mW0nffTxtYT8'
};
window.process = {
  env: {
    NODE_DEBUG: 'dev'
  }
};

/***/ }),

/***/ 39681:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _automattic_help_center__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(92871);
/* harmony import */ var _automattic_help_center__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(35587);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(16706);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(93402);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(29491);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_compose__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _wordpress_plugins__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(92279);
/* harmony import */ var _wordpress_plugins__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_wordpress_plugins__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(20759);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(65284);
/* harmony import */ var _common_what_new_query_client__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(71805);
/* harmony import */ var _CalypsoStateProvider__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(66089);
/* harmony import */ var _use_action_hooks__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(10749);


















// Implement PinnedItems to avoid importing @wordpress/interface.
// Because @wordpress/interface depends on @wordpress/preferences which is not always available outside the editor,
// causing the script to not be enqueued due to the missing dependency.
// check https://github.com/Automattic/wp-calypso/pull/74122 for more details.
function PinnedItems({
  scope,
  ...props
}) {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.Fill, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A)({
    name: `PinnedItems/${scope}`
  }, props));
}
function HelpCenterContent() {
  const [helpIconRef, setHelpIconRef] = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useState)();
  const isDesktop = (0,_wordpress_compose__WEBPACK_IMPORTED_MODULE_3__.useMediaQuery)('(min-width: 480px)');
  const sectionName = (0,react_redux__WEBPACK_IMPORTED_MODULE_7__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A);
  const [showHelpIcon, setShowHelpIcon] = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const {
    setShowHelpCenter
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_4__.useDispatch)('automattic/help-center');
  const show = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_4__.useSelect)(select => select('automattic/help-center').isHelpCenterShown());
  const handleToggleHelpCenter = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)(`calypso_inlinehelp_${show ? 'close' : 'show'}`, {
      force_site_id: true,
      location: 'help-center',
      section: sectionName
    });
    setShowHelpCenter(!show);
  }, [setShowHelpCenter, show]);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const timeout = setTimeout(() => setShowHelpIcon(true), 0);
    return () => clearTimeout(timeout);
  }, []);
  (0,_use_action_hooks__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A)();
  const closeCallback = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => setShowHelpCenter(false), [setShowHelpCenter]);
  const content = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.Button, {
    className: classnames__WEBPACK_IMPORTED_MODULE_6___default()('entry-point-button', 'help-center', {
      'is-active': show
    }),
    onClick: handleToggleHelpCenter,
    icon: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_help_center__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A, {
      ref: ref => {
        if (ref !== helpIconRef) {
          setHelpIconRef(ref);
        }
      }
    }),
    label: "Help",
    "aria-pressed": show ? true : false,
    "aria-expanded": show ? true : false,
    size: "compact"
  }));
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, isDesktop && showHelpIcon && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(PinnedItems, {
    scope: "core/edit-post"
  }, content), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(PinnedItems, {
    scope: "core/edit-site"
  }, content), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(PinnedItems, {
    scope: "core/edit-widgets"
  }, content)), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_help_center__WEBPACK_IMPORTED_MODULE_14__/* ["default"] */ .A, {
    handleClose: closeCallback
  }));
}
(0,_wordpress_plugins__WEBPACK_IMPORTED_MODULE_5__.registerPlugin)('etk-help-center', {
  render: () => {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_tanstack_react_query__WEBPACK_IMPORTED_MODULE_15__/* .QueryClientProvider */ .Ht, {
      client: _common_what_new_query_client__WEBPACK_IMPORTED_MODULE_8__/* .whatsNewQueryClient */ .f
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_CalypsoStateProvider__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_16__/* .LocaleProvider */ .YO, {
      localeSlug: window.helpCenterLocale?.locale
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(HelpCenterContent, null))));
  }
});

/***/ }),

/***/ 10749:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(355);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_1__);



const useActionHooks = () => {
  const {
    setShowHelpCenter,
    setShowSupportDoc
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.useDispatch)('automattic/help-center');
  const actionHooks = [{
    condition() {
      return new URLSearchParams(window.location.search).get('help-center') === 'subscribe-block';
    },
    action() {
      setShowHelpCenter(true);
      setShowSupportDoc((0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_2__/* .localizeUrl */ .rm)('https://wordpress.com/support/wordpress-editor/blocks/subscribe-block/'), 170164 // post id of subscribe block support doc page
      );
    }
  }];
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    const timeout = setTimeout(() => {
      actionHooks.forEach(actionHook => {
        if (actionHook.condition()) {
          actionHook.action();
        }
      });
    }, 0);
    return () => clearTimeout(timeout);
    // Only want to run this once
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useActionHooks);

/***/ }),

/***/ 53253:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ filterListBySearchTerm),
/* harmony export */   u: () => (/* binding */ getAdminSections)
/* harmony export */ });
/* harmony import */ var _automattic_data_stores__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(82999);
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_lib_gsuite__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(70005);
/* harmony import */ var calypso_lib_i18n_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(24761);
/* harmony import */ var calypso_lib_paths__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(23451);
/* harmony import */ var calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(82544);
/* harmony import */ var calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(24188);







/**
 * Returns admin section items with site-based urls.
 * @param   {number} siteId   - The current site ID.
 * @param   {string} siteSlug - The current site slug.
 * @param   {Object} state    - Global state
 * @returns {Array}             An array of admin sections with site-specific URLs.
 */
const getAdminSections = (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .createSelector */ .Mz)((state, siteId) => {
  const siteSlug = (0,calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId);
  const sections = (0,_automattic_data_stores__WEBPACK_IMPORTED_MODULE_3__/* .generateAdminSections */ .V)(siteSlug, {
    root: (0,calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(state, siteId),
    homepage: (0,calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(state, siteId, 'homepage'),
    identity: (0,calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(state, siteId, 'identity'),
    menus: (0,calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(state, siteId, 'menus')
  }, (0,calypso_lib_gsuite__WEBPACK_IMPORTED_MODULE_5__/* .getGoogleMailServiceFamily */ .e)(), (0,calypso_lib_paths__WEBPACK_IMPORTED_MODULE_1__/* .onboardingUrl */ .XF)());
  return sections;
}, (state, siteId) => [(0,calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId)]);

/**
 * Returns a filtered site admin collection.
 * @param   {string} searchTerm The search term
 * @param   {Array}  collection A collection of site admin objects
 * @param   {number} limit      The maximum number of filtered results to return
 * @returns {Array}             A filtered (or empty) array
 */
function filterListBySearchTerm(searchTerm = '', collection = [], limit = 4) {
  // Early return if search term is empty.
  if (!searchTerm.length) {
    return [];
  }
  const searchTermWords = searchTerm
  // Split to words.
  .split(/[\W_]+/g)
  // Eliminate any empty string results.
  .filter(Boolean)
  // Lowercase all words.
  .map(word => word.toLowerCase());
  if (!searchTermWords.length) {
    return [];
  }
  const searchRegex = new RegExp(
  // Join a series of look aheads
  // matching full and partial works
  // Example: "Add a dom" => /(?=.*\badd\b)(?=.*\ba\b)(?=.*\bdom).+/gi
  searchTermWords.map((word, i) =>
  // if it's the last word, don't look for a end word boundary
  // otherwise
  i + 1 === searchTermWords.length ? `(?=.*\\b${word})` : `(?=.*\\b${word}\\b)`).join('') + '.+', 'gi');
  const exactMatches = [];
  const partialMatches = [];
  const synonymMatches = [];
  collection.forEach(item => {
    if (item.title.toLowerCase() === searchTerm.toLowerCase()) {
      exactMatches.push(item);
    } else if (searchRegex.test(item.title)) {
      partialMatches.push(item);
    } else if ('en' === (0,calypso_lib_i18n_utils__WEBPACK_IMPORTED_MODULE_6__/* .getLocaleSlug */ .y)() && item.synonyms?.some(s => searchTermWords.includes(s))) {
      synonymMatches.push(item);
    }
  });
  return [...exactMatches, ...partialMatches, ...synonymMatches].slice(0, limit);
}

/***/ }),

/***/ 92884:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Dm: () => (/* binding */ SUPPORT_BLOG_ID)
/* harmony export */ });
/* unused harmony exports RESULT_ARTICLE, RESULT_TOUR, RESULT_VIDEO, DEVELOPER_WORDPRESS_BLOG_ID, SUPPORT_TYPE_CONTEXTUAL_HELP, SUPPORT_TYPE_API_HELP, SUPPORT_TYPE_ADMIN_SECTION */
const RESULT_ARTICLE = 'article';
const RESULT_TOUR = 'tour';
const RESULT_VIDEO = 'video';
const SUPPORT_BLOG_ID = 9619154;
const DEVELOPER_WORDPRESS_BLOG_ID = 33534099;
const SUPPORT_TYPE_CONTEXTUAL_HELP = 'contextual_help';
const SUPPORT_TYPE_API_HELP = 'api_help';
const SUPPORT_TYPE_ADMIN_SECTION = 'admin_section';

/***/ }),

/***/ 33002:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(59944);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var calypso_components_search_card__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(59861);
/* harmony import */ var calypso_state__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(78219);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(65284);

/* eslint-disable no-restricted-imports */









/**
 * Module variables
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_2___default()('calypso:inline-help');
const InlineHelpSearchCard = ({
  searchQuery = '',
  location = 'inline-help-popover',
  isVisible = true,
  placeholder,
  onSearch
}) => {
  const cardRef = (0,react__WEBPACK_IMPORTED_MODULE_3__.useRef)();
  const translate = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)();
  const sectionName = (0,calypso_state__WEBPACK_IMPORTED_MODULE_5__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A);

  // Focus in the input element.
  (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
    const inputElement = cardRef.current?.searchInput;
    // Focuses only in the popover.
    if (location !== 'inline-help-popover' || !inputElement || !isVisible) {
      return;
    }
    const timerId = setTimeout(() => inputElement.focus(), 0);
    return () => window.clearTimeout(timerId);
  }, [cardRef, location, isVisible]);
  const searchHelperHandler = query => {
    const inputQuery = query.trim();
    if (location === 'help-center') {
      if (inputQuery?.length > 2) {
        (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_search', {
          search_query: query,
          location: location,
          section: sectionName
        });
      }
    } else if (inputQuery?.length) {
      debug('search query received: ', query);
      (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_search', {
        search_query: query,
        location: location,
        section: sectionName
      });
    }

    // Set the query search
    onSearch?.(query);
  };
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_search_card__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, {
    ref: cardRef,
    initialValue: searchQuery,
    onSearch: searchHelperHandler,
    placeholder: placeholder || translate('Search for help…'),
    delaySearch: true
  });
};
InlineHelpSearchCard.propTypes = {
  searchQuery: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().string),
  onSearch: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().func),
  placeholder: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().string),
  location: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().string)
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (InlineHelpSearchCard);

/***/ }),

/***/ 13698:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var calypso_components_external_link__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(75056);



const SupportArticleHeader = ({
  post,
  isLoading
}) => isLoading || !post ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
  className: "support-article-dialog__header is-placeholder"
}, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h1", {
  className: "support-article-dialog__header-title is-placeholder"
}, "Post loading\u2026")) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
  className: "support-article-dialog__header"
}, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h1", {
  className: "support-article-dialog__header-title"
}, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_external_link__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A, {
  className: "support-article-dialog__header-title-link",
  href: post.URL,
  target: "_blank",
  icon: false
}, post.title)));
SupportArticleHeader.propTypes = {
  post: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object),
  isLoading: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().bool)
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SupportArticleHeader);

/***/ }),

/***/ 68913:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ AsyncLoad)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);



const DEFAULT_PLACEHOLDER = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
  className: "async-load__placeholder"
});
function AsyncLoad({
  placeholder = DEFAULT_PLACEHOLDER,
  require,
  ...props
}) {
  const Component = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    // The string is transformed to a function by the `wpcalypso-async` Babel transform
    const requireCb = require;
    return /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.lazy)(requireCb);
  }, [require]);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react__WEBPACK_IMPORTED_MODULE_1__.Suspense, {
    fallback: placeholder
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(Component, props));
}

/***/ }),

/***/ 51632:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(24586);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(20759);
/* harmony import */ var calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(60904);
/* harmony import */ var calypso_state_reader_posts_actions__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(75263);
/* harmony import */ var calypso_state_reader_posts_selectors__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(39970);







class QueryReaderPost extends react__WEBPACK_IMPORTED_MODULE_0__.Component {
  constructor(...args) {
    super(...args);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "maybeFetch", () => {
      const {
        post,
        postKey,
        isHelpCenter
      } = this.props;
      if ((0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__/* .isPostKeyLike */ .tk)(postKey) && (!post || post._state === 'minimal')) {
        this.props.fetchPost(postKey, isHelpCenter);
      }
    });
  }
  componentDidMount() {
    this.maybeFetch();
  }
  componentDidUpdate() {
    this.maybeFetch();
  }
  render() {
    return null;
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(QueryReaderPost, "propTypes", {
  postKey: (prop_types__WEBPACK_IMPORTED_MODULE_4___default().object).isRequired,
  isHelpCenter: (prop_types__WEBPACK_IMPORTED_MODULE_4___default().bool)
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,react_redux__WEBPACK_IMPORTED_MODULE_1__/* .connect */ .Ng)((state, ownProps) => ({
  post: (0,calypso_state_reader_posts_selectors__WEBPACK_IMPORTED_MODULE_5__/* .getPostByKey */ .X_)(state, ownProps.postKey),
  isHelpCenter: ownProps.isHelpCenter
}), {
  fetchPost: calypso_state_reader_posts_actions__WEBPACK_IMPORTED_MODULE_6__/* .fetchPost */ .tQ
})(QueryReaderPost));

/***/ }),

/***/ 74351:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(20759);
/* harmony import */ var calypso_state_reader_sites_actions__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(21104);
/* harmony import */ var calypso_state_reader_sites_selectors__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(31317);





function QueryReaderSite({
  siteId
}) {
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_1__/* .useDispatch */ .wA)();
  const shouldFetch = (0,react_redux__WEBPACK_IMPORTED_MODULE_1__/* .useSelector */ .d4)(state => (0,calypso_state_reader_sites_selectors__WEBPACK_IMPORTED_MODULE_2__/* .shouldSiteBeFetched */ .X1)(state, siteId));
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (siteId && shouldFetch) {
      dispatch((0,calypso_state_reader_sites_actions__WEBPACK_IMPORTED_MODULE_3__/* .requestSite */ .lC)(siteId));
    }
  }, [dispatch, siteId, shouldFetch]);
  return null;
}
QueryReaderSite.propTypes = {
  siteId: (prop_types__WEBPACK_IMPORTED_MODULE_4___default().number)
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (QueryReaderSite);

/***/ }),

/***/ 94012:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ QuerySites)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(20759);
/* harmony import */ var calypso_state_preferences_selectors__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(37769);
/* harmony import */ var calypso_state_selectors_get_primary_site_id__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(74226);
/* harmony import */ var calypso_state_sites_actions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(73086);
/* harmony import */ var calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(60477);
/* harmony import */ var calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(97910);
/* harmony import */ var calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(93096);








const getRecentSites = state => (0,calypso_state_preferences_selectors__WEBPACK_IMPORTED_MODULE_5__/* .getPreference */ .ml)(state, 'recentSites');
const requestAll = () => (dispatch, getState) => {
  if (!(0,calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(getState())) {
    dispatch((0,calypso_state_sites_actions__WEBPACK_IMPORTED_MODULE_4__/* .requestSites */ .Gd)());
  }
};
function QueryAll() {
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__/* .useDispatch */ .wA)();
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    dispatch(requestAll());
  }, [dispatch]);
  return null;
}
const requestSingle = siteId => (dispatch, getState) => {
  if (siteId && !(0,calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(getState(), siteId)) {
    dispatch((0,calypso_state_sites_actions__WEBPACK_IMPORTED_MODULE_4__/* .requestSite */ .lC)(siteId));
  }
};
function QuerySingle({
  siteId
}) {
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__/* .useDispatch */ .wA)();
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    if (siteId) {
      dispatch(requestSingle(siteId));
    }
  }, [dispatch, siteId]);
  return null;
}
const requestPrimaryAndRecent = siteIds => (dispatch, getState) => {
  const state = getState();
  if ((0,calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)(state)) {
    return;
  }
  siteIds.forEach(siteId => dispatch(requestSingle(siteId)));
};
function QueryPrimaryAndRecent() {
  const primarySiteId = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__/* .useSelector */ .d4)(calypso_state_selectors_get_primary_site_id__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A);
  // This should return the same reference every time, so we can compare by reference.
  const recentSiteIds = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__/* .useSelector */ .d4)(getRecentSites);
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__/* .useDispatch */ .wA)();
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    const siteIds = [...(primarySiteId ? [primarySiteId] : []), ...(recentSiteIds ?? [])];
    if (siteIds.length) {
      dispatch(requestPrimaryAndRecent(siteIds));
    }
  }, [dispatch, primarySiteId, recentSiteIds]);
  return null;
}
function QuerySites({
  siteId,
  allSites = false,
  primaryAndRecent = false
}) {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react__WEBPACK_IMPORTED_MODULE_1__.Fragment, null, allSites && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(QueryAll, null), siteId && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(QuerySingle, {
    siteId: siteId
  }), primaryAndRecent && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(QueryPrimaryAndRecent, null));
}
QuerySites.propTypes = {
  allSites: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().bool),
  primaryAndRecent: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().bool),
  siteId: prop_types__WEBPACK_IMPORTED_MODULE_9___default().oneOfType([(prop_types__WEBPACK_IMPORTED_MODULE_9___default().number),
  // The actions and selectors we use also work with site slugs.
  (prop_types__WEBPACK_IMPORTED_MODULE_9___default().string)])
};

/***/ }),

/***/ 11562:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export useQueryUserPurchases */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(20759);
/* harmony import */ var calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(13034);
/* harmony import */ var calypso_state_purchases_actions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(57930);
/* harmony import */ var calypso_state_purchases_selectors__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(59786);





const request = (dispatch, getState) => {
  const state = getState();
  const userId = (0,calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_2__/* .getCurrentUserId */ .WR)(state);
  const isFetching = (0,calypso_state_purchases_selectors__WEBPACK_IMPORTED_MODULE_3__/* .isFetchingUserPurchases */ .cC)(state);
  const hasLoaded = (0,calypso_state_purchases_selectors__WEBPACK_IMPORTED_MODULE_3__/* .hasLoadedUserPurchasesFromServer */ .as)(state);
  if (userId && !isFetching && !hasLoaded) {
    dispatch((0,calypso_state_purchases_actions__WEBPACK_IMPORTED_MODULE_4__/* .fetchUserPurchases */ .Ge)(userId));
  }
};
function QueryUserPurchases() {
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_1__/* .useDispatch */ .wA)();
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    dispatch(request);
  });
  return null;
}
const useQueryUserPurchases = (enabled = true) => {
  const userId = useSelector(getCurrentUserId);
  const isRequesting = useSelector(state => state.purchases.isFetchingUserPurchases);
  const hasLoaded = useSelector(state => state.purchases.hasLoadedUserPurchasesFromServer);
  const reduxDispatch = useDispatch();
  useEffect(() => {
    if (!userId || isRequesting || hasLoaded || !enabled) {
      return;
    }
    reduxDispatch(fetchUserPurchases(userId));
  }, [userId, isRequesting, hasLoaded, reduxDispatch, enabled]);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (QueryUserPurchases);

/***/ }),

/***/ 83269:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export DotPager */
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(42207);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(95656);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(59944);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(87526);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _swipeable__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(50980);










const Controls = ({
  showControlLabels = false,
  currentPage,
  numberOfPages,
  setCurrentPage,
  navArrowSize,
  tracksPrefix,
  tracksFn
}) => {
  const translate = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)();
  const isRtl = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_6__/* .useRtl */ .I)();
  if (numberOfPages < 2) {
    return null;
  }
  const canGoBack = currentPage > 0;
  const canGoForward = currentPage < numberOfPages - 1;
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("ul", {
    className: "dot-pager__controls",
    "aria-label": translate('Pager controls')
  }, (0,lodash__WEBPACK_IMPORTED_MODULE_2__.times)(numberOfPages, page => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", {
    key: `page-${page}`,
    "aria-current": page === currentPage ? 'page' : undefined
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
    key: page.toString(),
    className: classnames__WEBPACK_IMPORTED_MODULE_1___default()('dot-pager__control-choose-page', {
      'dot-pager__control-current': page === currentPage
    }),
    disabled: page === currentPage,
    "aria-label": translate('Page %(page)d of %(numberOfPages)d', {
      args: {
        page: page + 1,
        numberOfPages
      }
    }),
    onClick: () => {
      tracksFn(tracksPrefix + '_dot_click', {
        current_page: currentPage,
        destination_page: page
      });
      setCurrentPage(page);
    }
  }))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", {
    key: "dot-pager-prev",
    className: "dot-pager__control-gap"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
    className: "dot-pager__control-prev",
    disabled: !canGoBack,
    "aria-label": translate('Previous'),
    onClick: () => {
      const destinationPage = currentPage - 1;
      tracksFn(tracksPrefix + '_prev_arrow_click', {
        current_page: currentPage,
        destination_page: destinationPage
      });
      setCurrentPage(destinationPage);
    }
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A,
    size: navArrowSize,
    fill: "currentColor",
    style: /* Flip the icon for languages with LTR direction. */
    !isRtl ? {
      transform: 'scaleX(-1)'
    } : null
  }), showControlLabels && translate('Previous'))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", {
    key: "dot-pager-next"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
    className: "dot-pager__control-next",
    disabled: !canGoForward,
    "aria-label": translate('Next'),
    onClick: () => {
      const destinationPage = currentPage + 1;
      tracksFn(tracksPrefix + '_next_arrow_click', {
        current_page: currentPage,
        destination_page: destinationPage
      });
      setCurrentPage(destinationPage);
    }
  }, showControlLabels && translate('Next'), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A,
    size: navArrowSize,
    fill: "currentColor",
    style: /* Flip the icon for languages with RTL direction. */
    isRtl ? {
      transform: 'scaleX(-1)'
    } : null
  }))));
};
const DotPager = ({
  showControlLabels = false,
  hasDynamicHeight = false,
  children,
  className = '',
  onPageSelected = null,
  isClickEnabled = false,
  rotateTime = 0,
  navArrowSize = 18,
  tracksPrefix = '',
  tracksFn = () => {},
  includePreviousButton = false,
  includeNextButton = false,
  includeFinishButton = false,
  onFinish = () => {},
  ...props
}) => {
  const translate = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)();

  // Filter out the empty children
  const normalizedChildren = react__WEBPACK_IMPORTED_MODULE_3__.Children.toArray(children).filter(Boolean);
  const [currentPage, setCurrentPage] = (0,react__WEBPACK_IMPORTED_MODULE_3__.useState)(0);
  const numPages = react__WEBPACK_IMPORTED_MODULE_3__.Children.count(normalizedChildren);
  (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
    if (currentPage >= numPages) {
      setCurrentPage(numPages - 1);
    }
  }, [numPages, currentPage]);
  (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
    if (rotateTime > 0 && numPages > 1) {
      const timerId = setTimeout(() => {
        setCurrentPage((currentPage + 1) % numPages);
      }, rotateTime);
      return () => clearTimeout(timerId);
    }
  }, [currentPage, numPages, rotateTime]);
  const handleSelectPage = index => {
    setCurrentPage(index);
    onPageSelected?.(index);
  };
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A)({
    className: classnames__WEBPACK_IMPORTED_MODULE_1___default()('dot-pager', className)
  }, props), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(Controls, {
    showControlLabels: showControlLabels,
    currentPage: currentPage,
    numberOfPages: numPages,
    setCurrentPage: handleSelectPage,
    navArrowSize: navArrowSize,
    tracksPrefix: tracksPrefix,
    tracksFn: tracksFn
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_swipeable__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, {
    hasDynamicHeight: hasDynamicHeight,
    onPageSelect: handleSelectPage,
    currentPage: currentPage,
    pageClassName: "dot-pager__page",
    containerClassName: "dot-pager__pages",
    isClickEnabled: isClickEnabled
  }, normalizedChildren), includePreviousButton && currentPage !== 0 && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A, {
    className: "dot-pager__button dot-pager__button_previous",
    onClick: () => {
      const destinationPage = currentPage - 1;
      tracksFn(tracksPrefix + '_prev_button_click', {
        current_page: currentPage,
        destination_page: destinationPage
      });
      setCurrentPage(destinationPage);
    }
  }, translate('Previous')), includeNextButton && currentPage < numPages - 1 && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A, {
    className: "dot-pager__button dot-pager__button_next is-primary",
    onClick: () => {
      const destinationPage = currentPage + 1;
      tracksFn(tracksPrefix + '_next_button_click', {
        current_page: currentPage,
        destination_page: destinationPage
      });
      setCurrentPage(destinationPage);
    }
  }, translate('Next')), includeFinishButton && currentPage === numPages - 1 && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A, {
    className: "dot-pager__button dot-pager__button_finish is-primary",
    onClick: () => {
      tracksFn(tracksPrefix + '_finish_button_click');
      onFinish();
    }
  }, translate('Done')));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DotPager);

/***/ }),

/***/ 95451:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ EmbedContainer)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_load_script__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7944);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(75795);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_dom_client__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(25873);
/* harmony import */ var calypso_components_dot_pager__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(83269);
/* harmony import */ var calypso_lib_load_jquery_dependent_script_desktop_wrapper__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(97059);










const noop = () => {};
const debug = debug__WEBPACK_IMPORTED_MODULE_3___default()('calypso:components:embed-container');
const embedsToLookFor = {
  'blockquote[class^="instagram-"]': embedInstagram,
  'blockquote[class^="twitter-"], a[class^="twitter-"]': embedTwitter,
  'fb\\:post, [class^=fb-]': embedFacebook,
  '[class^=tumblr-]': embedTumblr,
  '.jetpack-slideshow': embedSlideshow,
  '.wp-block-jetpack-story': embedStory,
  '.embed-reddit': embedReddit,
  '.embed-tiktok': embedTikTok,
  '.wp-block-jetpack-slideshow, .wp-block-newspack-blocks-carousel': embedCarousel,
  '.wp-block-jetpack-tiled-gallery': embedTiledGallery,
  '.wp-embedded-content': embedWordPressPost,
  'a[data-pin-do="embedPin"]': embedPinterest,
  'div.embed-issuu': embedIssuu,
  'a[href^="http://"], a[href^="https://"]': embedLink // process plain links last
};
const cacheBustQuery = `?v=${Math.floor(new Date().getTime() / (1000 * 60 * 60 * 24 * 10))}`; // A new query every 10 days

const SLIDESHOW_URLS = {
  CSS: `https://s0.wp.com/wp-content/mu-plugins/jetpack-plugin/production/modules/shortcodes/css/slideshow-shortcode.css${cacheBustQuery}`,
  CYCLE_JS: `https://s0.wp.com/wp-content/mu-plugins/jetpack-plugin/production/modules/shortcodes/js/jquery.cycle.min.js${cacheBustQuery}`,
  JS: `https://s0.wp.com/wp-content/mu-plugins/jetpack-plugin/production/modules/shortcodes/js/slideshow-shortcode.js${cacheBustQuery}`,
  SPINNER: `https://s0.wp.com/wp-content/mu-plugins/jetpack-plugin/production/modules/shortcodes/img/slideshow-loader.gif${cacheBustQuery}`
};
function processEmbeds(domNode) {
  Object.entries(embedsToLookFor).forEach(([embedSelector, fn]) => {
    const nodes = domNode.querySelectorAll(embedSelector);
    (0,lodash__WEBPACK_IMPORTED_MODULE_4__.forEach)((0,lodash__WEBPACK_IMPORTED_MODULE_4__.filter)(nodes, nodeNeedsProcessing), fn);
  });
}
function nodeNeedsProcessing(domNode) {
  if (domNode.hasAttribute('data-wpcom-embed-processed')) {
    return false; // already marked for processing
  }
  domNode.setAttribute('data-wpcom-embed-processed', '1');
  return true;
}
function loadCSS(cssUrl) {
  const link = document.createElement('link');
  link.rel = 'stylesheet';
  link.type = 'text/css';
  link.href = cssUrl;
  document.head.appendChild(link);
}
const loaders = {};
function loadAndRun(scriptUrl, callback) {
  let loader = loaders[scriptUrl];
  if (!loader) {
    loader = new Promise(function (resolve, reject) {
      (0,_automattic_load_script__WEBPACK_IMPORTED_MODULE_1__/* .loadScript */ .k0)(scriptUrl, function (err) {
        if (err) {
          reject(err);
        } else {
          resolve();
        }
      });
    });
    loaders[scriptUrl] = loader;
  }
  loader.then(callback, function (err) {
    debug('error loading ' + scriptUrl, err);
    loaders[scriptUrl] = null;
  });
}
function embedInstagram(domNode) {
  debug('processing instagram for', domNode);
  if (typeof instgrm !== 'undefined') {
    try {
      window.instgrm.Embeds.process();
    } catch (e) {}
    return;
  }
  loadAndRun('https://platform.instagram.com/en_US/embeds.js', embedInstagram.bind(null, domNode));
}
function embedTwitter(domNode) {
  debug('processing twitter for', domNode);
  if (typeof twttr !== 'undefined') {
    try {
      window.twttr.widgets.load(domNode);
    } catch (e) {}
    return;
  }
  loadAndRun('https://platform.twitter.com/widgets.js', embedTwitter.bind(null, domNode));
}
function embedLink(domNode) {
  debug('processing link for', domNode);
  domNode.setAttribute('target', '_blank');
}
function embedFacebook(domNode) {
  debug('processing facebook for', domNode);
  if (typeof fb !== 'undefined') {
    return;
  }
  loadAndRun('https://connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.2', noop);
}
function embedIssuu(domNode) {
  debug('processing Issuu for', domNode);
  loadAndRun('//e.issuu.com/embed.js', noop);
}
function embedPinterest(domNode) {
  debug('processing Pinterest for', domNode);
  if (window.PinUtils) {
    window.PinUtils.build?.();
  } else {
    loadAndRun('//assets.pinterest.com/js/pinit.js', noop);
  }
}
function embedReddit(domNode) {
  debug('processing reddit for ', domNode);
  loadAndRun('https://embed.redditmedia.com/widgets/platform.js', noop);
}
function embedTikTok(domNode) {
  debug('processing tiktok for ', domNode);
  loadAndRun('https://www.tiktok.com/embed.js', noop);
}
function embedWordPressPost(domNode) {
  debug('processing WordPress for ', domNode);
  loadAndRun('https://wordpress.com/wp-includes/js/wp-embed.min.js', noop);
}
let tumblrLoader;
function embedTumblr(domNode) {
  debug('processing tumblr for', domNode);
  if (tumblrLoader) {
    return;
  }

  // tumblr just wants us to load this script, over and over and over
  tumblrLoader = true;
  function removeScript() {
    (0,lodash__WEBPACK_IMPORTED_MODULE_4__.forEach)(document.querySelectorAll('script[src="https://secure.assets.tumblr.com/post.js"]'), function (el) {
      el.parentNode.removeChild(el);
    });
    tumblrLoader = false;
  }
  setTimeout(function () {
    (0,_automattic_load_script__WEBPACK_IMPORTED_MODULE_1__/* .loadScript */ .k0)('https://secure.assets.tumblr.com/post.js', removeScript);
  }, 30);
}
function triggerJQueryLoadEvent() {
  // force JetpackSlideshow to initialize, in case navigation hasn't caused ready event on document
  window.jQuery('body').trigger('post-load');
}
function createSlideshow() {
  if (window.JetpackSlideshow) {
    triggerJQueryLoadEvent();
  }
  loadAndRun(SLIDESHOW_URLS.JS, () => {
    triggerJQueryLoadEvent();
  });
}
function embedSlideshow(domNode) {
  debug('processing slideshow for', domNode);
  let slideshowCSSPresent = document.head.querySelector(`link[href="${SLIDESHOW_URLS.CSS}"]`);
  // set global variable required by JetpackSlideshow
  window.jetpackSlideshowSettings = {
    spinner: SLIDESHOW_URLS.SPINNER
  };
  if (!slideshowCSSPresent) {
    slideshowCSSPresent = true;
    loadCSS(SLIDESHOW_URLS.CSS);
  }

  // Remove no JS warning so user doesn't have to look at it while several scripts load
  const warningElements = domNode.parentNode.getElementsByClassName('jetpack-slideshow-noscript');
  (0,lodash__WEBPACK_IMPORTED_MODULE_4__.forEach)(warningElements, el => {
    el.classList.add('hidden');
  });
  if (window.jQuery && window.jQuery.prototype.cycle) {
    // jQuery and cylcejs exist
    createSlideshow();
  } else if (window.jQuery && !window.jQuery.prototype.cycle) {
    // Only jQuery exists
    loadAndRun(SLIDESHOW_URLS.CYCLE_JS, () => {
      createSlideshow();
    });
  } else {
    // Neither exist
    (0,calypso_lib_load_jquery_dependent_script_desktop_wrapper__WEBPACK_IMPORTED_MODULE_9__/* .loadjQueryDependentScriptDesktopWrapper */ .e)(SLIDESHOW_URLS.CYCLE_JS, () => {
      createSlideshow();
    });
  }
}
function embedCarousel(domNode) {
  debug('processing carousel for ', domNode);
  const carouselItemsWrapper = domNode.querySelector('.swiper-wrapper');

  // Inject the DotPager component.
  if (carouselItemsWrapper) {
    const carouselItems = Array.from(carouselItemsWrapper?.children);
    if (carouselItems && carouselItems.length) {
      (0,react_dom_client__WEBPACK_IMPORTED_MODULE_7__/* .createRoot */ .H)(domNode).render((0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_dot_pager__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A, null, carouselItems.map((item, index) => {
        return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
          key: index,
          className: classnames__WEBPACK_IMPORTED_MODULE_2___default()('carousel-slide', item?.className)
          // eslint-disable-next-line react/no-danger
          ,
          dangerouslySetInnerHTML: {
            __html: item?.innerHTML
          }
        });
      })));
    }
  }
}
function embedStory(domNode) {
  debug('processing story for ', domNode);

  // wp-story-overlay is here for backwards compatiblity with Stories on Jetpack 9.7 and below.
  const storyLink = domNode.querySelector('a.wp-story-container, a.wp-story-overlay');

  // Open story in a new tab
  if (storyLink) {
    storyLink.setAttribute('target', '_blank');
  }
}
function embedTiledGallery(domNode) {
  debug('processing tiled gallery for', domNode);
  const galleryItems = domNode.getElementsByClassName('tiled-gallery__item');
  if (galleryItems && galleryItems.length) {
    const imageItems = Array.from(galleryItems);

    // Replace the gallery with updated markup
    (0,react_dom_client__WEBPACK_IMPORTED_MODULE_7__/* .createRoot */ .H)(domNode).render((0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "gallery-container"
    }, imageItems.map(item => {
      const itemImage = item.querySelector('img');
      const itemLink = item.querySelector('a');
      const imageElement = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
        id: itemImage?.id || undefined,
        className: itemImage?.className || undefined,
        alt: itemImage?.alt || '',
        src: itemImage?.src || undefined,
        srcSet: itemImage?.srcSet || undefined
      });
      return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("figure", {
        className: "gallery-item"
      }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
        className: "gallery-item-wrapper"
      }, itemLink?.href ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
        href: itemLink.href
      }, imageElement) : imageElement));
    })));
  }
}

/**
 * A component that notices when the content has embeds that require outside JS. Load the outside JS and process the embeds
 */
class EmbedContainer extends react__WEBPACK_IMPORTED_MODULE_5__.PureComponent {
  componentDidMount() {
    processEmbeds(react_dom__WEBPACK_IMPORTED_MODULE_6___default().findDOMNode(this));
  }
  componentDidUpdate() {
    processEmbeds(react_dom__WEBPACK_IMPORTED_MODULE_6___default().findDOMNode(this));
  }
  componentWillUnmount() {
    // Unmark the contents as done because they may not be on the following re-render.
    react_dom__WEBPACK_IMPORTED_MODULE_6___default().findDOMNode(this).querySelectorAll('[data-wpcom-embed-processed]').forEach(node => {
      node.removeAttribute('data-wpcom-embed-processed');
    });
  }
  render() {
    return this.props.children;
  }
}

/***/ }),

/***/ 75056:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(24586);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(79812);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(15471);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(355);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(85744);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);










class ExternalLink extends react__WEBPACK_IMPORTED_MODULE_3__.Component {
  render() {
    const classes = classnames__WEBPACK_IMPORTED_MODULE_1___default()('external-link', this.props.className, {
      'icon-first': this.props.showIconFirst,
      'has-icon': this.props.icon
    });
    const props = {
      ...(0,lodash__WEBPACK_IMPORTED_MODULE_2__.omit)(this.props, 'icon', 'iconSize', 'showIconFirst', 'iconClassName', 'iconComponent'),
      className: classes,
      rel: 'external'
    };
    if (this.props.icon) {
      props.target = '_blank';
    }
    if (props.target) {
      props.rel = props.rel.concat(' noopener noreferrer');
    }
    if (props.href) {
      props.href = (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_4__/* .localizeUrl */ .rm)(props.href);
    }
    const iconComponent = this.props.iconComponent || (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A, {
      className: this.props.iconClassName,
      icon: "external",
      size: this.props.iconSize
    });
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", props, this.props.icon && this.props.showIconFirst && iconComponent, this.props.children, this.props.icon && !this.props.showIconFirst && iconComponent, this.props.icon && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, null, (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_7__/* .translate */ .Tl)('(opens in a new tab)', {
      comment: 'accessibility label for an external link'
    })));
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)(ExternalLink, "defaultProps", {
  iconSize: 18,
  showIconFirst: false,
  iconComponent: null
});
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)(ExternalLink, "propTypes", {
  className: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().string),
  href: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().string),
  onClick: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().func),
  icon: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().bool),
  iconSize: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().number),
  target: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().string),
  showIconFirst: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().bool),
  iconClassName: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().string),
  iconComponent: (prop_types__WEBPACK_IMPORTED_MODULE_9___default().object)
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ExternalLink);

/***/ }),

/***/ 3875:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ FormTextInput)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(89575);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(24586);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);







class FormTextInput extends react__WEBPACK_IMPORTED_MODULE_2__.PureComponent {
  constructor(...args) {
    super(...args);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(this, "state", {
      value: this.props.value || ''
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(this, "currentTextField", undefined);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(this, "textFieldRef", element => {
      this.currentTextField = element;
      const {
        inputRef
      } = this.props;
      if (!inputRef) {
        return;
      }
      if (typeof inputRef === 'function') {
        inputRef(element);
      } else {
        inputRef.current = element;
      }
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(this, "selectOnFocus", event => {
      if (this.props.selectOnFocus) {
        event.target.select();
      }
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(this, "onChange", event => {
      this.setState({
        value: event.target.value
      });
      this.props.onChange?.(event);
    });
  }
  componentDidUpdate(oldProps) {
    this.updateValueIfNeeded(oldProps.value);
  }
  updateValueIfNeeded(oldValue) {
    const {
      value
    } = this.props;
    if (oldValue !== value || value !== this.state.value) {
      this.setState({
        value
      });
    }
  }
  focus() {
    if (this.currentTextField) {
      this.currentTextField.focus();
    }
  }
  render() {
    const {
      isError,
      isValid,
      selectOnFocus,
      inputRef,
      onChange,
      value,
      ...rest
    } = this.props;
    const classes = classnames__WEBPACK_IMPORTED_MODULE_1___default()('form-text-input', this.props.className, {
      'is-error': this.props.isError,
      'is-valid': this.props.isValid
    });
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("input", (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)({
      type: "text"
    }, rest, {
      value: this.state.value,
      ref: this.textFieldRef,
      className: classes,
      onClick: this.selectOnFocus,
      onChange: this.onChange
    }));
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(FormTextInput, "propTypes", {
  isError: (prop_types__WEBPACK_IMPORTED_MODULE_5___default().bool),
  isValid: (prop_types__WEBPACK_IMPORTED_MODULE_5___default().bool),
  selectOnFocus: (prop_types__WEBPACK_IMPORTED_MODULE_5___default().bool),
  className: (prop_types__WEBPACK_IMPORTED_MODULE_5___default().string),
  name: (prop_types__WEBPACK_IMPORTED_MODULE_5___default().string),
  value: (prop_types__WEBPACK_IMPORTED_MODULE_5___default().any),
  placeholder: (prop_types__WEBPACK_IMPORTED_MODULE_5___default().any),
  onChange: (prop_types__WEBPACK_IMPORTED_MODULE_5___default().func)
});

/***/ }),

/***/ 75863:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);




const FormTextarea = ({
  className = '',
  isError = false,
  isValid = false,
  children = undefined,
  forwardedRef = undefined,
  ...otherProps
}) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("textarea", (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)({}, otherProps, {
  className: classnames__WEBPACK_IMPORTED_MODULE_1___default()(className, 'form-textarea', {
    'is-error': isError,
    'is-valid': isValid
  }),
  ref: forwardedRef
}), children);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (FormTextarea);

/***/ }),

/***/ 61330:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(59663);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(20759);
/* harmony import */ var calypso_state_gravatar_status_selectors__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(56414);




/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,react_redux__WEBPACK_IMPORTED_MODULE_1__/* .connect */ .Ng)((state, ownProps) => ({
  tempImage: (0,calypso_state_gravatar_status_selectors__WEBPACK_IMPORTED_MODULE_2__/* .getUserTempGravatar */ .m)(state, (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(ownProps, 'user.ID', false))
}))(_automattic_components__WEBPACK_IMPORTED_MODULE_3__/* .Gravatar */ .R));

/***/ }),

/***/ 83475:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(24586);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(94804);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);






const isInvalidTarget = target => {
  return target.tagName === 'HR';
};
class PopoverMenu extends react__WEBPACK_IMPORTED_MODULE_1__.Component {
  constructor(...args) {
    super(...args);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "menu", /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.createRef)());
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "delayedFocus", null);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "_setPropsOnChild", child => {
      if (child == null) {
        return child;
      }
      const {
        action,
        onClick
      } = child.props;
      return /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.cloneElement)(child, {
        action: null,
        onClick: event => {
          onClick && onClick(event);
          this._onClose(action);
        }
      });
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "_onShow", () => {
      if (!this.props.focusOnShow) {
        return;
      }

      // When a menu opens, or when a menubar receives focus, keyboard focus is placed on the first item
      // See: https://www.w3.org/TR/wai-aria-practices/#keyboard-interaction-12
      const elementToFocus = this.menu.current.firstChild;
      this._previouslyFocusedElement = document.activeElement;
      if (elementToFocus) {
        // Defer the focus a bit to make sure that the popover already has the final position.
        // Initially, after first render, the popover is positioned outside the screen, at
        // { top: -9999, left: -9999 } where it already has dimensions. These dimensions are measured
        // and used to calculate the final position.
        // Focusing the element while it's off the screen would cause unwanted scrolling.
        this.delayedFocus = setTimeout(() => {
          elementToFocus.focus();
        }, 1);
      }
    });
    /*
     * Warning:
     *
     * This doesn't cover crazy things like a separator at the very top or
     * bottom.
     */
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "_getClosestSibling", (target, isDownwardMotion = true) => {
      const menu = this.menu.current;
      let first = menu.firstChild;
      let last = menu.lastChild;
      if (!isDownwardMotion) {
        first = menu.lastChild;
        last = menu.firstChild;
      }
      if (target === menu) {
        return first;
      }
      const closest = target[isDownwardMotion ? 'nextSibling' : 'previousSibling'];
      const sibling = closest || last;
      return isInvalidTarget(sibling) ? this._getClosestSibling(sibling, isDownwardMotion) : sibling;
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "_onKeyDown", event => {
      const target = event.target;
      let handled = false;
      let elementToFocus;
      switch (event.keyCode) {
        case 9:
          // tab
          this._onClose();
          handled = true;
          break;
        case 38:
          // up arrow
          elementToFocus = this._getClosestSibling(target, false);
          handled = true;
          break;
        case 40:
          // down arrow
          elementToFocus = this._getClosestSibling(target, true);
          handled = true;
          break;
        default:
          break;
        // do nothing
      }
      if (elementToFocus) {
        elementToFocus.focus();
      }
      if (handled) {
        event.preventDefault();
      }
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "_onClose", action => {
      if (this._previouslyFocusedElement) {
        this._previouslyFocusedElement.focus();
        this._previouslyFocusedElement = null;
      }
      if (this.props.onClose) {
        this.props.onClose(action);
      }
    });
  }
  componentWillUnmount() {
    // Make sure we don't hold on to reference to the DOM reference
    this._previouslyFocusedElement = null;
    if (this.delayedFocus !== null) {
      window.clearTimeout(this.delayedFocus);
    }
  }
  render() {
    const {
      popoverComponent: PopoverComponent,
      autoPosition,
      className,
      context,
      customPosition,
      relativePosition,
      isVisible,
      popoverTitle,
      position,
      id
    } = this.props;
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(PopoverComponent, {
      onClose: this._onClose,
      onShow: this._onShow,
      autoPosition: autoPosition,
      className: className,
      context: context,
      customPosition: customPosition,
      relativePosition: relativePosition,
      isVisible: isVisible
      // Make sure we focus on PopoverMenu so that we can control PopoverMenuItem by keyboard
      ,
      focusOnShow: false,
      popoverTitle: popoverTitle,
      position: position
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      ref: this.menu,
      id: id,
      role: "menu"
      // eslint-disable-next-line wpcalypso/jsx-classname-namespace
      ,
      className: "popover__menu",
      onKeyDown: this._onKeyDown,
      tabIndex: "-1"
    }, react__WEBPACK_IMPORTED_MODULE_1__.Children.map(this.props.children, this._setPropsOnChild, this)));
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(PopoverMenu, "propTypes", {
  autoPosition: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().bool),
  isVisible: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().bool).isRequired,
  focusOnShow: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().bool),
  onClose: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().func).isRequired,
  position: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().string),
  className: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().string),
  popoverComponent: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().elementType),
  popoverTitle: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().string),
  // used by ReaderPopover
  customPosition: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().object),
  relativePosition: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().object)
});
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(PopoverMenu, "defaultProps", {
  autoPosition: true,
  focusOnShow: true,
  position: 'top',
  popoverComponent: _automattic_components__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (PopoverMenu);

/***/ }),

/***/ 430:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ PopoverMenuItem)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(89575);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(24586);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(79812);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var calypso_components_external_link__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(75056);









const noop = () => {};
class PopoverMenuItem extends react__WEBPACK_IMPORTED_MODULE_3__.Component {
  constructor(...args) {
    super(...args);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(this, "handleMouseOver", event => {
      const {
        focusOnHover
      } = this.props;
      if (focusOnHover) {
        event.target.focus();
      }
      this.props.onMouseOver();
    });
  }
  render() {
    const {
      children,
      className,
      disabled,
      href,
      icon,
      isExternalLink,
      isSelected
    } = this.props;
    const itemProps = (0,lodash__WEBPACK_IMPORTED_MODULE_2__.omit)(this.props, 'icon', 'focusOnHover', 'isSelected', 'isExternalLink', 'className', 'itemComponent');
    const classes = classnames__WEBPACK_IMPORTED_MODULE_1___default()('popover__menu-item', className, {
      'is-selected': isSelected
    });
    let ItemComponent = this.props.itemComponent;
    if (isExternalLink && href && !disabled) {
      ItemComponent = calypso_components_external_link__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A;
      itemProps.icon = true;
    } else if (href && !disabled) {
      ItemComponent = 'a';
    }
    let itemIcon = icon;
    if (typeof icon === 'string') {
      itemIcon = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
        icon: icon,
        size: 18
      });
    }
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(ItemComponent, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)({
      role: "menuitem",
      tabIndex: "-1",
      className: classes
    }, itemProps, {
      onMouseOver: this.handleMouseOver
    }), itemIcon, children);
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(PopoverMenuItem, "propTypes", {
  href: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().string),
  disabled: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().bool),
  className: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().string),
  isSelected: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().bool),
  icon: prop_types__WEBPACK_IMPORTED_MODULE_8___default().oneOfType([(prop_types__WEBPACK_IMPORTED_MODULE_8___default().object), (prop_types__WEBPACK_IMPORTED_MODULE_8___default().string)]),
  focusOnHover: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().bool),
  onClick: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().func),
  onMouseOver: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().func),
  isExternalLink: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().bool),
  itemComponent: (prop_types__WEBPACK_IMPORTED_MODULE_8___default().elementType)
});
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(PopoverMenuItem, "defaultProps", {
  isSelected: false,
  focusOnHover: true,
  onMouseOver: noop,
  itemComponent: 'button'
});

/***/ }),

/***/ 59861:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(25109);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var calypso_components_search__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(27646);







const SearchCard = ({
  className,
  ...props
}, ref) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, {
  className: classnames__WEBPACK_IMPORTED_MODULE_1___default()('search-card', className)
}, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_search__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .Ay, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)({
  ref: ref
}, props)));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (/*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_2__.forwardRef)(SearchCard));

/***/ }),

/***/ 27646:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports SEARCH_MODE_WHEN_TYPING, SEARCH_MODE_ON_ENTER */
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(89575);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(24586);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(64682);
/* harmony import */ var _automattic_viewport__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(59886);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(13936);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(82096);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(85744);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_16___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_16__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(77981);
/* harmony import */ var calypso_components_forms_form_text_input__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3875);
/* harmony import */ var calypso_components_translatable_proptype__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3616);
/* harmony import */ var calypso_lib_analytics_ga__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(37535);

















/**
 * Internal variables
 */
const SEARCH_DEBOUNCE_MS = 300;
const noop = () => {};
const SEARCH_MODE_WHEN_TYPING = 'when-typing';
const SEARCH_MODE_ON_ENTER = 'on-enter';
function keyListener(methodToCall, event) {
  switch (event.key) {
    case ' ':
    case 'Enter':
      this[methodToCall](event);
      break;
  }
}
class Search extends react__WEBPACK_IMPORTED_MODULE_3__.Component {
  constructor(props) {
    super(props);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "setOpenIconRef", openIcon => this.openIcon = openIcon);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "setSearchInputRef", input => this.searchInput = input);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "setOverlayRef", overlay => this.overlay = overlay);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "scrollOverlay", () => {
      this.overlay && window.requestAnimationFrame(() => {
        if (this.overlay && this.searchInput) {
          this.overlay.scrollLeft = this.getScrollLeft(this.searchInput);
        }
      });
    });
    //This is fix for IE11. Does not work on Edge.
    //On IE11 scrollLeft value for input is always 0.
    //We are calculating it manually using TextRange object.
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "getScrollLeft", inputElement => {
      //TextRange is IE11 specific so this checks if we are not on IE11.
      if (!inputElement.createTextRange) {
        return inputElement.scrollLeft;
      }
      const range = inputElement.createTextRange();
      const inputStyle = window.getComputedStyle(inputElement, undefined);
      const paddingLeft = parseFloat(inputStyle.paddingLeft);
      const rangeRect = range.getBoundingClientRect();
      const scrollLeft = inputElement.getBoundingClientRect().left + inputElement.clientLeft + paddingLeft - rangeRect.left;
      return scrollLeft;
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "focus", () => {
      // if we call focus before the element has been entirely synced up with the DOM, we stand a decent chance of
      // causing the browser to scroll somewhere odd. Instead, defer the focus until a future turn of the event loop.
      setTimeout(() => this.searchInput && this.searchInput.focus(), 0);
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "blur", () => this.searchInput.blur());
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "clear", () => this.setState({
      keyword: ''
    }));
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "onBlur", event => {
      if (this.props.onBlur) {
        this.props.onBlur(event);
      }
      this.setState({
        hasFocus: false
      });
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "onChange", event => {
      this.setState({
        keyword: event.target.value
      });
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "openSearch", event => {
      event.preventDefault();
      this.setState({
        keyword: '',
        isOpen: true
      });
      (0,calypso_lib_analytics_ga__WEBPACK_IMPORTED_MODULE_6__/* .gaRecordEvent */ .WI)(this.props.analyticsGroup, 'Clicked Open Search');
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "closeSearch", event => {
      event.preventDefault();
      if (this.props.disabled) {
        return;
      }
      this.setState({
        keyword: '',
        isOpen: this.props.isOpen || false
      });
      this.searchInput.value = ''; // will not trigger onChange

      if (this.props.pinned) {
        this.searchInput.blur();
        this.openIcon.focus();
      } else {
        this.searchInput.focus();
      }
      this.props.onSearchClose(event);
      (0,calypso_lib_analytics_ga__WEBPACK_IMPORTED_MODULE_6__/* .gaRecordEvent */ .WI)(this.props.analyticsGroup, 'Clicked Close Search');
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "keyUp", event => {
      if (event.key === 'Enter' && (0,_automattic_viewport__WEBPACK_IMPORTED_MODULE_8__/* .isMobile */ .Fr)()) {
        //dismiss soft keyboards
        this.blur();
      }
      if (!this.props.pinned) {
        return;
      }
      if (event.key === 'Escape') {
        this.closeSearch(event);
      }
      this.scrollOverlay();
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "keyDown", event => {
      this.scrollOverlay();
      if (event.key === 'Escape' && event.target.value === '') {
        this.closeSearch(event);
      }
      if (this.isSearchOnEnterMode() && event.key === 'Enter') {
        this.updateSearch();
      }
      this.props.onKeyDown(event);
    });
    // Puts the cursor at end of the text when starting
    // with `initialValue` set.
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "onFocus", () => {
      if (!this.searchInput) {
        return;
      }
      const setValue = this.searchInput.value;
      if (setValue) {
        // Firefox needs clear or won't move cursor to end
        this.searchInput.value = '';
        this.searchInput.value = setValue;
      }
      this.setState({
        hasFocus: true
      });
      this.props.onSearchOpen();
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "updateSearch", () => {
      if (this.state.keyword) {
        // this.onSearch is debounced when this.props.delaySearch === true
        // this avoids unnecessary fetches while user types
        this.onSearch(this.state.keyword);
      } else {
        // this.props.onSearch is _not_ debounced
        // no need to debounce if ! this.state.keyword
        if (this.props.delaySearch) {
          // Cancel any pending debounce
          this.onSearch.cancel();
        }
        this.props.onSearch(this.state.keyword);
      }
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "isSearchOnEnterMode", () => {
      return this.props.searchMode === SEARCH_MODE_ON_ENTER;
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(this, "isSearchOnWriteMode", () => {
      return !this.isSearchOnEnterMode();
    });
    this.instanceId = (0,uuid__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A)();
    this.state = {
      keyword: props.initialValue || '',
      isOpen: !!props.isOpen,
      hasFocus: props.autoFocus
    };
    this.closeListener = keyListener.bind(this, 'closeSearch');
    this.openListener = keyListener.bind(this, 'openSearch');
  }
  // @TODO: Please update https://github.com/Automattic/wp-calypso/issues/58453 if you are refactoring away from UNSAFE_* lifecycle methods!
  UNSAFE_componentWillReceiveProps(nextProps) {
    if (nextProps.onSearch !== this.props.onSearch || nextProps.delaySearch !== this.props.delaySearch) {
      this.onSearch = this.props.delaySearch ? (0,lodash__WEBPACK_IMPORTED_MODULE_2__.debounce)(this.props.onSearch, this.props.delayTimeout) : this.props.onSearch;
    }
    if (this.props.isOpen !== nextProps.isOpen) {
      this.setState({
        isOpen: nextProps.isOpen
      });
    }
    if (this.props.value !== nextProps.value && (nextProps.value || nextProps.value === '') && nextProps.value !== this.state.keyword) {
      this.setState({
        keyword: nextProps.value
      });
    }
  }
  componentDidUpdate(prevProps, prevState) {
    this.scrollOverlay();
    // Focus if the search box was opened or the autoFocus prop has changed
    if (this.state.isOpen && !prevState.isOpen || this.props.autoFocus && !prevProps.autoFocus) {
      this.focus();
    }
    if (this.state.keyword === prevState.keyword) {
      return;
    }
    // if there's a keyword change and mode is search-on-write: trigger search
    // The empty string must be handled always becuase it can be triggered:
    // - by the user clicking on the clear icon
    // - by the user pressing the ESC key
    // Additionally, the search can be triggered on demand by using the boolean prop `applySearch`
    if (this.isSearchOnWriteMode() || this.state.keyword === '' || this.props.applySearch) {
      this.updateSearch();
    }
    this.props.onSearchChange(this.state.keyword);
  }
  componentDidMount() {
    this.onSearch = this.props.delaySearch ? (0,lodash__WEBPACK_IMPORTED_MODULE_2__.debounce)(this.props.onSearch, this.props.delayTimeout) : this.props.onSearch;
  }
  render() {
    const searchValue = this.state.keyword;
    const placeholder = this.props.placeholder || i18n_calypso__WEBPACK_IMPORTED_MODULE_10__/* ["default"].translate */ .Ay.translate('Search…', {
      textOnly: true
    });
    const inputLabel = this.props.inputLabel;
    const enableOpenIcon = this.props.pinned && !this.state.isOpen;
    const isOpenUnpinnedOrQueried = this.state.isOpen || !this.props.pinned || this.props.initialValue;
    const autocorrect = this.props.disableAutocorrect && {
      autoComplete: 'off',
      autoCorrect: 'off',
      spellCheck: 'false'
    };
    const searchClass = classnames__WEBPACK_IMPORTED_MODULE_1___default()(this.props.additionalClasses, this.props.dir, {
      'is-expanded-to-container': this.props.fitsContainer,
      'is-open': isOpenUnpinnedOrQueried,
      'is-searching': this.props.searching,
      'is-compact': this.props.compact,
      'has-focus': !this.props.hideFocus && this.state.hasFocus,
      'has-open-icon': !this.props.hideOpenIcon,
      search: true
    });
    const fadeDivClass = classnames__WEBPACK_IMPORTED_MODULE_1___default()('search__input-fade', this.props.dir);
    const inputClass = classnames__WEBPACK_IMPORTED_MODULE_1___default()('search__input', this.props.dir);
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      dir: this.props.dir || null,
      className: searchClass,
      role: "search"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_11__/* .Spinner */ .y, null), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      role: "button",
      className: "search__icon-navigation",
      ref: this.setOpenIconRef,
      onClick: enableOpenIcon ? this.openSearch : this.focus,
      tabIndex: enableOpenIcon ? '0' : null,
      onKeyDown: enableOpenIcon ? this.openListener : null,
      "aria-controls": 'search-component-' + this.instanceId,
      "aria-label": i18n_calypso__WEBPACK_IMPORTED_MODULE_10__/* ["default"].translate */ .Ay.translate('Open Search', {
        context: 'button label'
      })
    }, !this.props.hideOpenIcon && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
      icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A,
      className: "search__open-icon"
    })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: fadeDivClass
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_forms_form_text_input__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_14__/* ["default"] */ .A)({
      type: "search",
      id: 'search-component-' + this.instanceId,
      autoFocus: this.props.autoFocus // eslint-disable-line jsx-a11y/no-autofocus
      ,
      "aria-describedby": this.props.describedBy,
      "aria-label": inputLabel ? inputLabel : i18n_calypso__WEBPACK_IMPORTED_MODULE_10__/* ["default"].translate */ .Ay.translate('Search'),
      "aria-hidden": !isOpenUnpinnedOrQueried,
      className: inputClass,
      placeholder: placeholder,
      role: "searchbox",
      value: searchValue,
      inputRef: this.setSearchInputRef,
      onChange: this.onChange,
      onKeyUp: this.keyUp,
      onKeyDown: this.keyDown,
      onMouseUp: this.props.onClick,
      onFocus: this.onFocus,
      onBlur: this.onBlur,
      disabled: this.props.disabled,
      autoCapitalize: "none",
      dir: this.props.dir,
      maxLength: this.props.maxLength,
      minLength: this.props.minLength
    }, autocorrect)), this.props.overlayStyling && this.renderStylingDiv()), this.closeButton(), this.props.children);
  }
  renderStylingDiv() {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "search__text-overlay",
      ref: this.setOverlayRef
    }, this.props.overlayStyling(this.state.keyword));
  }
  closeButton() {
    if (!this.props.hideClose && (this.state.keyword || this.state.isOpen)) {
      return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
        role: "button",
        className: "search__icon-navigation",
        onClick: this.closeSearch,
        tabIndex: "0",
        onKeyDown: this.closeListener,
        "aria-controls": 'search-component-' + this.instanceId,
        "aria-label": i18n_calypso__WEBPACK_IMPORTED_MODULE_10__/* ["default"].translate */ .Ay.translate('Close Search', {
          context: 'button label'
        })
      }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
        icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_15__/* ["default"] */ .A,
        className: "search__close-icon"
      }));
    }
    return null;
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(Search, "propTypes", {
  additionalClasses: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().string),
  initialValue: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().string),
  value: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().string),
  placeholder: calypso_components_translatable_proptype__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A,
  pinned: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  delaySearch: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  delayTimeout: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().number),
  describedBy: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().string),
  onSearch: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().func).isRequired,
  onSearchChange: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().func),
  onSearchOpen: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().func),
  onSearchClose: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().func),
  analyticsGroup: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().string),
  overlayStyling: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().func),
  autoFocus: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  disabled: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  onKeyDown: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().func),
  onClick: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().func),
  disableAutocorrect: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  onBlur: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().func),
  searching: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  isOpen: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  dir: prop_types__WEBPACK_IMPORTED_MODULE_16___default().oneOf(['ltr', 'rtl']),
  fitsContainer: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  maxLength: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().number),
  minLength: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().number),
  hideClose: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  hideFocus: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  compact: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  hideOpenIcon: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool),
  inputLabel: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().string),
  searchMode: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().string),
  applySearch: (prop_types__WEBPACK_IMPORTED_MODULE_16___default().bool)
});
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(Search, "defaultProps", {
  pinned: false,
  delaySearch: false,
  delayTimeout: SEARCH_DEBOUNCE_MS,
  autoFocus: false,
  disabled: false,
  describedBy: null,
  onSearchChange: noop,
  onSearchOpen: noop,
  onSearchClose: noop,
  onKeyDown: noop,
  onClick: noop,
  //undefined value for overlayStyling is an optimization that will
  //disable overlay scrolling calculation when no overlay is provided.
  overlayStyling: undefined,
  disableAutocorrect: false,
  searching: false,
  isOpen: false,
  dir: undefined,
  fitsContainer: false,
  hideClose: false,
  hideFocus: false,
  compact: false,
  hideOpenIcon: false,
  searchMode: SEARCH_MODE_WHEN_TYPING,
  applySearch: false
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Search);

/***/ }),

/***/ 50980:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export Swipeable */
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(87526);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);






const OFFSET_THRESHOLD_PERCENTAGE = 0.35; // Percentage of width to travel before we trigger the slider to move to the desired slide.
const VELOCITY_THRESHOLD = 0.2; // Speed of drag above, before we trigger the slider to move to the desired slide.
const VERTICAL_THRESHOLD_ANGLE = 55;
const TRANSITION_DURATION = '300ms';
function useResizeObserver() {
  const [observerEntry, setObserverEntry] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)({});
  const [node, setNode] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)(null);
  const observer = (0,react__WEBPACK_IMPORTED_MODULE_2__.useRef)(null);
  const disconnect = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(() => observer.current?.disconnect(), []);
  const observe = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(() => {
    observer.current = new ResizeObserver(([entry]) => setObserverEntry(entry));
    if (node) {
      observer.current.observe(node);
    }
  }, [node]);
  (0,react__WEBPACK_IMPORTED_MODULE_2__.useLayoutEffect)(() => {
    observe();
    return () => disconnect();
  }, [disconnect, observe]);
  return [setNode, observerEntry];
}
function getDragPositionAndTime(event) {
  const {
    timeStamp
  } = event;
  if (event.hasOwnProperty('clientX')) {
    return {
      x: event.clientX,
      y: event.clientY,
      timeStamp
    };
  }
  if (event.targetTouches[0]) {
    return {
      x: event.targetTouches[0].clientX,
      y: event.targetTouches[0].clientY,
      timeStamp
    };
  }
  const touch = event.changedTouches[0];
  return {
    x: touch.clientX,
    y: touch.clientY,
    timeStamp
  };
}
function getPagesWidth(pageWidth, numPages) {
  if (!pageWidth) {
    return null;
  }
  return pageWidth * numPages;
}
const Swipeable = ({
  hasDynamicHeight = false,
  children,
  currentPage = 0,
  onPageSelect,
  pageClassName,
  containerClassName,
  isClickEnabled,
  ...otherProps
}) => {
  const [swipeableArea, setSwipeableArea] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)();
  const isRtl = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_3__/* .useRtl */ .I)();
  const [resizeObserverRef, entry] = useResizeObserver();
  const [pagesStyle, setPagesStyle] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)({
    transitionDuration: TRANSITION_DURATION
  });
  const [dragData, setDragData] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)(null);
  const pagesRef = (0,react__WEBPACK_IMPORTED_MODULE_2__.useRef)();
  const numPages = react__WEBPACK_IMPORTED_MODULE_2__.Children.count(children);
  const containerWidth = entry?.contentRect?.width;
  const getOffset = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(index => {
    const offset = containerWidth * index;
    return isRtl ? offset : -offset;
  }, [isRtl, containerWidth]);
  const updateEnabled = hasDynamicHeight && numPages > 1;

  // Generate a property that denotes the order of the cards, in order to recalculate height whenever the card order changes.
  const childrenOrder = children.reduce((acc, child) => acc + child.key, '');
  (0,react__WEBPACK_IMPORTED_MODULE_2__.useLayoutEffect)(() => {
    if (!updateEnabled) {
      // This is a fix for a bug when you have >1 pages and it update the component to just one but the height is still
      // Related to https://github.com/Automattic/dotcom-forge/issues/2033
      if (pagesStyle?.height) {
        setPagesStyle({
          ...pagesStyle,
          height: undefined
        });
      }
      return;
    }
    const targetHeight = pagesRef.current?.querySelector('.is-current')?.offsetHeight;
    if (targetHeight && pagesStyle?.height !== targetHeight) {
      setPagesStyle({
        ...pagesStyle,
        height: targetHeight
      });
    }
  }, [pagesRef, currentPage, pagesStyle, updateEnabled, containerWidth, childrenOrder]);
  const resetDragData = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(() => {
    delete pagesStyle.transform;
    setPagesStyle({
      ...pagesStyle,
      transitionDuration: TRANSITION_DURATION
    });
    setDragData(null);
  }, [pagesStyle, setPagesStyle, setDragData]);
  const handleDragStart = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(event => {
    const position = getDragPositionAndTime(event);
    setSwipeableArea(pagesRef.current?.getBoundingClientRect());
    setDragData({
      start: position
    });
    setPagesStyle({
      ...pagesStyle,
      transitionDuration: `0ms`
    }); // Set transition Duration to 0 for smooth dragging.
  }, [pagesStyle]);
  const hasSwipedToNextPage = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(delta => isRtl ? delta > 0 : delta < 0, [isRtl]);
  const hasSwipedToPreviousPage = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(delta => isRtl ? delta < 0 : delta > 0, [isRtl]);
  const handleDragEnd = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(event => {
    if (!dragData) {
      return; // End early if we are not dragging any more.
    }
    let dragPosition = getDragPositionAndTime(event);
    if (dragPosition.x === 0) {
      dragPosition = dragData.last;
    }
    const delta = dragPosition.x - dragData.start.x;
    const absoluteDelta = Math.abs(delta);
    const velocity = absoluteDelta / (dragPosition.timeStamp - dragData.start.timeStamp);
    const verticalAbsoluteDelta = Math.abs(dragPosition.y - dragData.start.y);
    const angle = Math.atan2(verticalAbsoluteDelta, absoluteDelta) * 180 / Math.PI;

    // Is click or tap?
    if (velocity === 0 && isClickEnabled) {
      if (numPages !== currentPage + 1) {
        onPageSelect(currentPage + 1);
      } else {
        onPageSelect(0);
      }
      resetDragData();
      return;
    }

    // Is vertical scroll detected?
    if (angle > VERTICAL_THRESHOLD_ANGLE) {
      resetDragData();
      return;
    }
    const hasMetThreshold = absoluteDelta > OFFSET_THRESHOLD_PERCENTAGE * containerWidth || velocity > VELOCITY_THRESHOLD;
    let newIndex = currentPage;
    if (hasSwipedToNextPage(delta) && hasMetThreshold && numPages !== currentPage + 1) {
      newIndex = currentPage + 1;
    }
    if (hasSwipedToPreviousPage(delta) && hasMetThreshold && currentPage !== 0) {
      newIndex = currentPage - 1;
    }
    delete pagesStyle.transform;
    setPagesStyle({
      ...pagesStyle,
      transitionDuration: TRANSITION_DURATION
    });
    onPageSelect(newIndex);
    setDragData(null);
  }, [currentPage, dragData, hasSwipedToNextPage, hasSwipedToPreviousPage, numPages, onPageSelect, pagesStyle, containerWidth, isClickEnabled]);
  const handleDrag = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(event => {
    if (!dragData) {
      return;
    }
    const dragPosition = getDragPositionAndTime(event);
    const delta = dragPosition.x - dragData.start.x;
    const absoluteDelta = Math.abs(delta);
    const offset = getOffset(currentPage) + delta;
    setDragData({
      ...dragData,
      last: dragPosition
    });
    // The user needs to swipe horizontally more then 2 px in order for the canvase to be dragging.
    // We do this so that the user can scroll vertically smother.
    if (absoluteDelta < 3) {
      return;
    }

    // Allow for swipe left or right
    if (numPages !== currentPage + 1 && hasSwipedToNextPage(delta) || currentPage !== 0 && hasSwipedToPreviousPage(delta)) {
      setPagesStyle({
        ...pagesStyle,
        transform: `translate3d(${offset}px, 0px, 0px)`,
        transitionDuration: `0ms`
      });
    }
    if (!swipeableArea) {
      return;
    }
    // Did the user swipe out of the swipeable area?
    if (dragPosition.x < swipeableArea.left || dragPosition.x > swipeableArea.right || dragPosition.y > swipeableArea.bottom || dragPosition.y < swipeableArea.top) {
      handleDragEnd(event);
    }
  }, [dragData, getOffset, currentPage, numPages, hasSwipedToNextPage, hasSwipedToPreviousPage, swipeableArea, pagesStyle, handleDragEnd]);
  const getTouchEvents = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(() => {
    if ('onpointerup' in document) {
      return {
        onPointerDown: handleDragStart,
        onPointerMove: handleDrag,
        onPointerUp: handleDragEnd,
        onPointerLeave: handleDragEnd
      };
    }
    if ('ondragend' in document) {
      return {
        onDragStart: handleDragStart,
        onDrag: handleDrag,
        onDragEnd: handleDragEnd,
        onDragExit: handleDragEnd
      };
    }
    if ('ontouchend' in document) {
      return {
        onTouchStart: handleDragStart,
        onTouchMove: handleDrag,
        onTouchEnd: handleDragEnd,
        onTouchCancel: handleDragEnd
      };
    }
    return null;
  }, [handleDragStart, handleDrag, handleDragEnd]);
  const offset = getOffset(currentPage);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)({}, getTouchEvents(), {
    className: "swipeable__container",
    ref: pagesRef
  }, otherProps), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: classnames__WEBPACK_IMPORTED_MODULE_1___default()('swipeable__pages', containerClassName),
    style: {
      transform: `translate3d(${offset}px, 0px, 0px)`,
      ...pagesStyle,
      width: getPagesWidth(containerWidth, numPages)
    }
  }, react__WEBPACK_IMPORTED_MODULE_2__.Children.map(children, (child, index) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    style: {
      width: `${containerWidth}px`
    } // Setting the page width is important for iOS browser.
    ,
    className: classnames__WEBPACK_IMPORTED_MODULE_1___default()('swipeable__page', pageClassName, {
      'is-current': index === currentPage,
      'is-prev': index < currentPage,
      'is-next': index > currentPage
    }),
    key: `page-${index}`
  }, child)))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    ref: resizeObserverRef,
    className: "swipeable__resize-observer"
  }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Swipeable);

/***/ }),

/***/ 48259:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ TextareaAutosize)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(89575);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(24586);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var autosize__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66123);
/* harmony import */ var autosize__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(autosize__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var calypso_components_forms_form_textarea__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(75863);









class TextareaAutosize extends react__WEBPACK_IMPORTED_MODULE_3__.Component {
  constructor(...args) {
    super(...args);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(this, "textareaRef", /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_3__.createRef)());
  }
  componentDidMount() {
    autosize__WEBPACK_IMPORTED_MODULE_1___default()(this.textareaRef.current);
  }
  componentWillUnmount() {
    autosize__WEBPACK_IMPORTED_MODULE_1___default().destroy(this.textareaRef.current);
  }
  componentDidUpdate(prevProps) {
    if (this.props.value !== prevProps.value) {
      this.resize();
    }
  }
  resize() {
    autosize__WEBPACK_IMPORTED_MODULE_1___default().update(this.textareaRef.current);
  }
  render() {
    const classes = classnames__WEBPACK_IMPORTED_MODULE_2___default()('textarea-autosize', this.props.className);
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_forms_form_textarea__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)({}, this.props, {
      className: classes,
      forwardedRef: this.textareaRef
    }));
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(TextareaAutosize, "propTypes", {
  className: (prop_types__WEBPACK_IMPORTED_MODULE_7___default().string)
});

/***/ }),

/***/ 3616:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
function translatableStringChecker(props, propName, componentName) {
  componentName = componentName || 'ANONYMOUS';
  const value = props[propName];
  if (value !== undefined && value !== null) {
    if ('string' === typeof value) {
      return null;
    }

    // Translator Jumpstart old-style
    if ('object' === typeof value && 'data' === value.type) {
      return null;
    }

    // Translator Jumpstart after #21591
    if ('object' === typeof value && ['object', 'function'].includes(typeof value.type) && ('Translatable' === value.type.name ||
    // Accept HOC wrappings (e.g. `localize( Translatable )`)
    String(value.type.displayName).match(/\(Translatable\)/))) {
      return null;
    }
    return new Error('Invalid value for Translatable string in `' + componentName + '`. Please pass a translate() call.');
  }

  // assume all ok
  return null;
}
function createChainableTypeChecker(validate) {
  function checkType(isRequired, props, propName, componentName, location) {
    componentName = componentName || 'ANONYMOUS';
    if (props[propName] === undefined) {
      if (isRequired) {
        return new Error('Required ' + location + ' `' + propName + '` was not specified in ' + ('`' + componentName + '`.'));
      }
      return null;
    }
    return validate(props, propName, componentName, location);
  }
  const chainedCheckType = checkType.bind(null, false);
  chainedCheckType.isRequired = checkType.bind(null, true);
  return chainedCheckType;
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (createChainableTypeChecker(translatableStringChecker));

/***/ }),

/***/ 79266:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   j: () => (/* binding */ useHelpSearchQuery)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(35223);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(93832);
/* harmony import */ var _wordpress_url__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_url__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(41445);




const fetchArticlesAPI = (search, locale, sectionName) => {
  const queryString = (0,_wordpress_url__WEBPACK_IMPORTED_MODULE_1__.buildQueryString)({
    query: search,
    locale,
    section: sectionName
  });
  if ((0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* .canAccessWpcomApis */ .IH)()) {
    return (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)({
      path: `help/search/wpcom?${queryString}`,
      apiNamespace: 'wpcom/v2/',
      apiVersion: '2'
    });
  }
  return _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
    global: true,
    path: `/help-center/search?${queryString}`
  });
};
const useHelpSearchQuery = (search, locale = 'en', queryOptions = {}, sectionName = '') => {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_3__/* .useQuery */ .I)({
    queryKey: ['help-center-search', search, locale, sectionName],
    queryFn: () => fetchArticlesAPI(search, locale, sectionName),
    refetchOnWindowFocus: false,
    ...queryOptions
  });
};

/***/ }),

/***/ 75711:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(57033);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(35223);
/* harmony import */ var calypso_lib_wp__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(89406);



function useSupportArticleAlternatesQuery(blogId, postId, locale, queryOptions = {}) {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__/* .useQuery */ .I)({
    queryKey: ['support-article-alternates', blogId, postId],
    queryFn: () => calypso_lib_wp__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.req.get(`/support/alternates/${blogId}/posts/${postId}`),
    ...queryOptions,
    enabled: !(0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_2__/* .isDefaultLocale */ .EZ)(locale) && !!(blogId && postId),
    refetchOnMount: false,
    refetchOnWindowFocus: false,
    select: data => {
      return data[locale];
    }
  });
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useSupportArticleAlternatesQuery);

/***/ }),

/***/ 86361:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/*
    The function isAkismetCheckout() is used to determine if the current page is a Akismet checkout page. 
    It always returns false on the server side as window object is not available there (assumption that checkout pages are not rendered server-side).
 */
const isAkismetCheckout = () => 'undefined' !== typeof document && window.location.pathname.startsWith('/checkout/akismet');
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (isAkismetCheckout);

/***/ }),

/***/ 10228:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A2: () => (/* binding */ YAHOO_GEMINI_AUDIENCE_BUILDING_PIXEL_URL),
/* harmony export */   B3: () => (/* binding */ OUTBRAIN_SCRIPT_URL),
/* harmony export */   DL: () => (/* binding */ ICON_MEDIA_RETARGETING_PIXEL_URL),
/* harmony export */   Ex: () => (/* binding */ DCM_FLOODLIGHT_SESSION_COOKIE_NAME),
/* harmony export */   FV: () => (/* binding */ ADROLL_PAGEVIEW_PIXEL_URL_1),
/* harmony export */   Gt: () => (/* binding */ ADROLL_PURCHASE_PIXEL_URL_1),
/* harmony export */   J6: () => (/* binding */ GOOGLE_GTM_SCRIPT_URL),
/* harmony export */   J7: () => (/* binding */ BING_TRACKING_SCRIPT_URL),
/* harmony export */   L2: () => (/* binding */ PINTEREST_SCRIPT_URL),
/* harmony export */   VC: () => (/* binding */ WPCOM_CLARITY_URI),
/* harmony export */   X9: () => (/* binding */ FACEBOOK_TRACKING_SCRIPT_URL),
/* harmony export */   Yz: () => (/* binding */ debug),
/* harmony export */   Zw: () => (/* binding */ TRACKING_IDS),
/* harmony export */   _V: () => (/* binding */ LINKED_IN_SCRIPT_URL),
/* harmony export */   cp: () => (/* binding */ DCM_FLOODLIGHT_SESSION_LENGTH_IN_SECONDS),
/* harmony export */   iQ: () => (/* binding */ GOOGLE_GTAG_SCRIPT_URL),
/* harmony export */   jH: () => (/* binding */ WOOEXPRESS_AFFILIATE_VENDOR_ID),
/* harmony export */   jO: () => (/* binding */ QUORA_SCRIPT_URL),
/* harmony export */   mB: () => (/* binding */ WPCOM_AFFILIATE_VENDOR_ID),
/* harmony export */   nP: () => (/* binding */ CRITEO_TRACKING_SCRIPT_URL),
/* harmony export */   sf: () => (/* binding */ TWITTER_TRACKING_SCRIPT_URL),
/* harmony export */   xt: () => (/* binding */ ADROLL_PURCHASE_PIXEL_URL_2),
/* harmony export */   yh: () => (/* binding */ ADROLL_PAGEVIEW_PIXEL_URL_2)
/* harmony export */ });
/* unused harmony exports YAHOO_GEMINI_CONVERSION_PIXEL_URL, PANDORA_CONVERSION_PIXEL_URL, EXPERIAN_CONVERSION_PIXEL_URL, ICON_MEDIA_SIGNUP_PIXEL_URL, ICON_MEDIA_ORDER_PIXEL_URL, PARSLEY_SCRIPT_URL, GA_PRODUCT_BRAND_WPCOM, GA_PRODUCT_BRAND_JETPACK, GA_PRODUCT_BRAND_AKISMET */
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_1__);



/**
 * Module variables
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_1___default()('calypso:analytics:ad-tracking');
const FACEBOOK_TRACKING_SCRIPT_URL = 'https://connect.facebook.net/en_US/fbevents.js';
const GOOGLE_GTAG_SCRIPT_URL = 'https://www.googletagmanager.com/gtag/js?id=';
const GOOGLE_GTM_SCRIPT_URL = 'https://www.googletagmanager.com/gtm.js?id=';
const BING_TRACKING_SCRIPT_URL = 'https://bat.bing.com/bat.js';
const CRITEO_TRACKING_SCRIPT_URL = 'https://static.criteo.net/js/ld/ld.js';
const YAHOO_GEMINI_CONVERSION_PIXEL_URL = 'https://sp.analytics.yahoo.com/spp.pl?a=10000&.yp=10014088&ec=wordpresspurchase';
const YAHOO_GEMINI_AUDIENCE_BUILDING_PIXEL_URL = 'https://sp.analytics.yahoo.com/spp.pl?a=10000&.yp=10014088';
const PANDORA_CONVERSION_PIXEL_URL = 'https://data.adxcel-ec2.com/pixel/?ad_log=referer&action=purchase&pixid=7efc5994-458b-494f-94b3-31862eee9e26';
const EXPERIAN_CONVERSION_PIXEL_URL = 'https://d.turn.com/r/dd/id/L21rdC84MTYvY2lkLzE3NDc0MzIzNDgvdC8yL2NhdC8zMjE4NzUwOQ';
const ICON_MEDIA_RETARGETING_PIXEL_URL = 'https://tags.w55c.net/rs?id=cab35a3a79dc4173b8ce2c47adad2cea&t=marketing';
const ICON_MEDIA_SIGNUP_PIXEL_URL = 'https://tags.w55c.net/rs?id=d239e9cb6d164f7299d2dbf7298f930a&t=marketing';
const ICON_MEDIA_ORDER_PIXEL_URL = 'https://tags.w55c.net/rs?id=d299eef42f2d4135a96d0d40ace66f3a&t=checkout';
const ADROLL_PAGEVIEW_PIXEL_URL_1 = 'https://d.adroll.com/ipixel/PEJHFPIHPJC2PD3IMTCWTT/WV6A5O5PBJBIBDYGZHVBM5?name=ded132f8';
const ADROLL_PAGEVIEW_PIXEL_URL_2 = 'https://d.adroll.com/fb/ipixel/PEJHFPIHPJC2PD3IMTCWTT/WV6A5O5PBJBIBDYGZHVBM5?name=ded132f8';
const ADROLL_PURCHASE_PIXEL_URL_1 = 'https://d.adroll.com/ipixel/PEJHFPIHPJC2PD3IMTCWTT/WV6A5O5PBJBIBDYGZHVBM5?name=8eb337b5';
const ADROLL_PURCHASE_PIXEL_URL_2 = 'https://d.adroll.com/fb/ipixel/PEJHFPIHPJC2PD3IMTCWTT/WV6A5O5PBJBIBDYGZHVBM5?name=8eb337b5';
const TWITTER_TRACKING_SCRIPT_URL = 'https://static.ads-twitter.com/uwt.js';
const LINKED_IN_SCRIPT_URL = 'https://snap.licdn.com/li.lms-analytics/insight.min.js';
const QUORA_SCRIPT_URL = 'https://a.quora.com/qevents.js';
const OUTBRAIN_SCRIPT_URL = 'https://amplify.outbrain.com/cp/obtp.js';
const PINTEREST_SCRIPT_URL = 'https://s.pinimg.com/ct/core.js';
const PARSLEY_SCRIPT_URL = 'https://cdn.parsely.com/keys/wordpress.com/p.js?ver=3.3.2';
const TRACKING_IDS = {
  bingInit: '4074038',
  criteo: '31321',
  dcmFloodlightAdvertiserId: '6355556',
  facebookInit: '823166884443641',
  facebookJetpackInit: '919484458159593',
  facebookAkismetInit: '485349158311379',
  outbrainAdvId: '00f0f5287433c2851cc0cb917c7ff0465e',
  pinterestInit: '2613194105266',
  quantcast: 'p-3Ma3jHaQMB_bS',
  quoraPixelId: '420845cb70e444938cf0728887a74ca1',
  twitterPixelId: 'nvzbs',
  wpcomGoogleAnalyticsGtag: (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('google_analytics_key'),
  // google_analytics_key is only used in wpcom env
  wpcomFloodlightGtag: 'DC-6355556',
  wpcomGoogleAdsGtag: 'AW-946162814',
  wpcomGoogleAdsGtagSignupStart: 'AW-946162814/baDICKzQiq4BEP6YlcMD',
  // "WordPress.com Signup Start"
  wpcomGoogleAdsGtagRegistration: 'AW-946162814/_6cKCK6miZYBEP6YlcMD',
  // "WordPress.com Registration"
  wpcomGoogleAdsGtagSignup: 'AW-946162814/5-NnCKy3xZQBEP6YlcMD',
  // "All Calypso Signups (WordPress.com)"
  wpcomGoogleAdsGtagAddToCart: 'AW-946162814/MF4yCNi_kZYBEP6YlcMD',
  // "WordPress.com AddToCart"
  wpcomGoogleAdsGtagPurchase: 'AW-946162814/taG8CPW8spQBEP6YlcMD',
  // "WordPress.com Purchase Gtag"
  wpcomGoogleAdsGtagDomainTransferPurchase: 'AW-946162814/8T2PCL3d7rsYEP6YlcMD',
  wpcomGoogleGA4Gtag: 'G-1H4VG5F5JF',
  jetpackGoogleTagManagerId: 'GTM-MWWK6WM',
  jetpackGoogleAnalyticsGtag: 'UA-52447-43',
  // Jetpack Gtag (Analytics) for use in Jetpack x WordPress.com Flows
  jetpackGoogleGA4Gtag: 'G-K8CRH0LL00',
  jetpackGoogleAdsGtagPurchase: 'AW-946162814/kIF1CL3ApfsBEP6YlcMD',
  akismetGoogleGA4Gtag: 'G-V8X5PZE9F8',
  akismetGoogleTagManagerId: 'GTM-NLFBXG5',
  akismetGoogleAnalyticsGtag: 'UA-19309600-2',
  // Akismet Gtag (Analytics) for use in Akismet x WordPress.com Flows
  akismetGoogleAdsGtagPurchase: 'AW-10778599042/U-01CImL14MDEIK90ZMo',
  // "Akismet.com Purchase Gtag"
  jetpackLinkedinId: '4537722',
  jetpackTwitterPixelId: 'odlje',
  wooGoogleTagManagerId: 'GTM-W64W8Q',
  parselyTracker: 'wordpress.com'
};
// This name is something we created to store a session id for DCM Floodlight session tracking
const DCM_FLOODLIGHT_SESSION_COOKIE_NAME = 'dcmsid';
const DCM_FLOODLIGHT_SESSION_LENGTH_IN_SECONDS = 1800;
const GA_PRODUCT_BRAND_WPCOM = 'WordPress.com';
const GA_PRODUCT_BRAND_JETPACK = 'Jetpack';
const GA_PRODUCT_BRAND_AKISMET = 'Akismet';

/**
 * Vendor Id's from refer.wordpress.com
 */
const WOOEXPRESS_AFFILIATE_VENDOR_ID = '67386441';
const WPCOM_AFFILIATE_VENDOR_ID = '67402';
const WPCOM_CLARITY_URI = 'https://www.clarity.ms/tag/j0cc1i1dba';

/***/ }),

/***/ 9305:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   M: () => (/* binding */ recordParamsInFloodlightGtag),
/* harmony export */   p: () => (/* binding */ recordPageViewInFloodlight)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98948);
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(83284);
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(77981);
/* harmony import */ var _tracker_buckets__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(73943);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(10228);
/* harmony import */ var _setup__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(84488);






// Ensure setup has run.


/**
 * Records Floodlight events using Gtag and automatically adds `u4`, `u5`, and `allow_custom_scripts: true`.
 * @param {Object} params An object of Floodlight params.
 */
function recordParamsInFloodlightGtag(params) {
  if (!(0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_2__/* .mayWeTrackByTracker */ .ct)('floodlight')) {
    return;
  }

  // Adds u4 (user id) and u5 (anonymous user id) parameters
  const defaults = {
    ...floodlightUserParams(),
    // See: https://support.google.com/searchads/answer/7566546?hl=en
    allow_custom_scripts: true
  };
  const finalParams = ['event', 'conversion', {
    ...defaults,
    ...params
  }];
  (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('recordParamsInFloodlightGtag:', finalParams);
  window.gtag(...finalParams);
}

/**
 * Returns an object with DCM Floodlight user params
 * @returns {Object} With the WordPress.com user id and/or the logged out Tracks id
 */
function floodlightUserParams() {
  const params = {};
  const currentUser = (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .getCurrentUser */ .HW)();
  const anonymousUserId = (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .getTracksAnonymousUserId */ ._T)();
  if (currentUser) {
    params.u4 = currentUser.hashedPii.ID;
  }
  if (anonymousUserId) {
    params.u5 = anonymousUserId;
  }
  return params;
}

/**
 * Returns the DCM Floodlight session id, generating a new one if there's not already one
 * @returns {string} The session id
 */
function floodlightSessionId() {
  const cookies = cookie__WEBPACK_IMPORTED_MODULE_1__.parse(document.cookie);
  const existingSessionId = cookies[_constants__WEBPACK_IMPORTED_MODULE_4__/* .DCM_FLOODLIGHT_SESSION_COOKIE_NAME */ .Ex];
  if (existingSessionId) {
    (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('Floodlight: Existing session: ' + existingSessionId);
    return existingSessionId;
  }

  // Generate a 32-byte random session id
  const newSessionId = (0,uuid__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)().replace(new RegExp('-', 'g'), '');
  (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('Floodlight: New session: ' + newSessionId);
  return newSessionId;
}

/**
 * Track a page view in DCM Floodlight
 * @param {string} urlPath - The URL path
 * @returns {void}
 */
function recordPageViewInFloodlight(urlPath) {
  if (!(0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_2__/* .mayWeTrackByTracker */ .ct)('floodlight')) {
    return;
  }
  const sessionId = floodlightSessionId();

  // Set or bump the cookie's expiration date to maintain the session
  document.cookie = cookie__WEBPACK_IMPORTED_MODULE_1__.serialize(_constants__WEBPACK_IMPORTED_MODULE_4__/* .DCM_FLOODLIGHT_SESSION_COOKIE_NAME */ .Ex, sessionId, {
    maxAge: _constants__WEBPACK_IMPORTED_MODULE_4__/* .DCM_FLOODLIGHT_SESSION_LENGTH_IN_SECONDS */ .cp
  });
  (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: recordPageViewInFloodlight: wpvisit');
  recordParamsInFloodlightGtag({
    session_id: sessionId,
    u6: urlPath,
    u7: sessionId,
    send_to: 'DC-6355556/wordp0/wpvisit+per_session'
  });
  (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: recordPageViewInFloodlight: wppv');
  recordParamsInFloodlightGtag({
    u6: urlPath,
    u7: sessionId,
    send_to: 'DC-6355556/wordp0/wppv+standard'
  });
}

/***/ }),

/***/ 34772:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HK: () => (/* binding */ firePageView),
/* harmony export */   jv: () => (/* binding */ Ga4PropertyGtag),
/* harmony export */   mj: () => (/* binding */ setup)
/* harmony export */ });
/* unused harmony exports ga4Properties, fireEcommercePurchase, fireEcommerceAddToCart */
/* harmony import */ var calypso_lib_akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(86361);
/* harmony import */ var calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(76516);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(10228);
/* harmony import */ var _setup__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(84488);




// Ensure setup has run.

let Ga4PropertyGtag = /*#__PURE__*/function (Ga4PropertyGtag) {
  Ga4PropertyGtag[Ga4PropertyGtag["JETPACK"] = 0] = "JETPACK";
  Ga4PropertyGtag[Ga4PropertyGtag["WPCOM"] = 1] = "WPCOM";
  Ga4PropertyGtag[Ga4PropertyGtag["AKISMET"] = 2] = "AKISMET";
  return Ga4PropertyGtag;
}({});
const ga4Properties = {
  [Ga4PropertyGtag.WPCOM]: _constants__WEBPACK_IMPORTED_MODULE_2__/* .TRACKING_IDS */ .Zw.wpcomGoogleGA4Gtag,
  [Ga4PropertyGtag.JETPACK]: _constants__WEBPACK_IMPORTED_MODULE_2__/* .TRACKING_IDS */ .Zw.jetpackGoogleGA4Gtag,
  [Ga4PropertyGtag.AKISMET]: _constants__WEBPACK_IMPORTED_MODULE_2__/* .TRACKING_IDS */ .Zw.akismetGoogleGA4Gtag
};
function setup(params) {
  window.gtag('config', _constants__WEBPACK_IMPORTED_MODULE_2__/* .TRACKING_IDS */ .Zw.wpcomGoogleGA4Gtag, params);
  if ((0,calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)()) {
    window.gtag('config', _constants__WEBPACK_IMPORTED_MODULE_2__/* .TRACKING_IDS */ .Zw.jetpackGoogleGA4Gtag, params);
  }
  if ((0,calypso_lib_akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)()) {
    window.gtag('config', _constants__WEBPACK_IMPORTED_MODULE_2__/* .TRACKING_IDS */ .Zw.akismetGoogleGA4Gtag, params);
  }
}
function fireEcommercePurchase(purchase, ga4PropertyGtag) {
  window.gtag('event', 'purchase', {
    send_to: ga4Properties[ga4PropertyGtag],
    ...purchase
  });
}
function fireEcommerceAddToCart(item, ga4PropertyGtag) {
  window.gtag('event', 'add_to_cart', {
    send_to: ga4Properties[ga4PropertyGtag],
    value: item.price,
    currency: 'USD',
    items: [item]
  });
}
function firePageView(title, location, ga4PropertyGtag) {
  window.gtag('event', 'page_view', {
    send_to: ga4Properties[ga4PropertyGtag],
    page_title: title,
    page_location: location
  });
}

/***/ }),

/***/ 95575:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   bc: () => (/* binding */ getGoogleAnalyticsDefaultConfig),
/* harmony export */   cC: () => (/* binding */ fireGoogleAnalyticsEvent),
/* harmony export */   oD: () => (/* binding */ setupGoogleAnalyticsGtag),
/* harmony export */   oT: () => (/* binding */ fireGoogleAnalyticsPageView)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98948);
/* harmony import */ var _utils_get_ga_gtag__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(1050);
/* harmony import */ var _google_analytics_4__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(34772);
/* harmony import */ var _setup__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(84488);




// Ensure setup has run.

function setupGoogleAnalyticsGtag(params) {
  _google_analytics_4__WEBPACK_IMPORTED_MODULE_2__/* .setup */ .mj(params);
  window.gtag('config', (0,_utils_get_ga_gtag__WEBPACK_IMPORTED_MODULE_3__/* .getGaGtag */ .u)(), params);
}

/**
 * Returns the default configuration for Google Analytics
 * @returns {Object} GA's default config
 */
function getGoogleAnalyticsDefaultConfig() {
  const currentUser = (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .getCurrentUser */ .HW)();
  return {
    ...(currentUser && {
      user_id: currentUser.hashedPii.ID
    }),
    anonymize_ip: true,
    transport_type: 'function' === typeof window.navigator.sendBeacon ? 'beacon' : 'xhr',
    use_amp_client_id: true,
    custom_map: {
      dimension3: 'client_id'
    },
    linker: {
      accept_incoming: true
    }
  };
}

/**
 * Fires Google Analytics page view event
 * @param {string} urlPath The path of the current page
 * @param {string} pageTitle The title of the current page
 * @param {boolean} useJetpackGoogleAnalytics send the page view to Jetpack Google Analytics
 * @param {boolean} useAkismetGoogleAnalytics send the page view to Akismet Google Analytics
 */
function fireGoogleAnalyticsPageView(urlPath, pageTitle, useJetpackGoogleAnalytics = false, useAkismetGoogleAnalytics = false) {
  const getGa4PropertyGtag = () => {
    if (useJetpackGoogleAnalytics) {
      return _google_analytics_4__WEBPACK_IMPORTED_MODULE_2__/* .Ga4PropertyGtag */ .jv.JETPACK;
    }
    if (useAkismetGoogleAnalytics) {
      return _google_analytics_4__WEBPACK_IMPORTED_MODULE_2__/* .Ga4PropertyGtag */ .jv.AKISMET;
    }
    return _google_analytics_4__WEBPACK_IMPORTED_MODULE_2__/* .Ga4PropertyGtag */ .jv.WPCOM;
  };
  const ga4PropertyGtag = getGa4PropertyGtag();
  _google_analytics_4__WEBPACK_IMPORTED_MODULE_2__/* .firePageView */ .HK(pageTitle, urlPath, ga4PropertyGtag);
  const params = {
    ...getGoogleAnalyticsDefaultConfig(),
    page_path: urlPath,
    page_title: pageTitle
  };
  window.gtag('config', (0,_utils_get_ga_gtag__WEBPACK_IMPORTED_MODULE_3__/* .getGaGtag */ .u)(useJetpackGoogleAnalytics, useAkismetGoogleAnalytics), params);
}

/**
 * Fires a generic Google Analytics event
 * @param {string} category Is the string that will appear as the event category.
 * @param {string} action Is the string that will appear as the event action in Google Analytics Event reports.
 * @param {string} label Is the string that will appear as the event label.
 * @param {number} value Is a non-negative integer that will appear as the event value.
 */
function fireGoogleAnalyticsEvent(category, action, label, value) {
  window.gtag('event', action, {
    event_category: category,
    event_label: label,
    value: value
  });
}

/***/ }),

/***/ 28930:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   y: () => (/* binding */ loadTrackingScripts)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98948);
/* harmony import */ var _automattic_load_script__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7944);
/* harmony import */ var calypso_lib_akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(86361);
/* harmony import */ var calypso_lib_jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(25729);
/* harmony import */ var calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(76516);
/* harmony import */ var _tracker_buckets__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(73943);
/* harmony import */ var _utils_get_ga_gtag__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(1050);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(10228);
/* harmony import */ var _setup__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(84488);









const loadTrackingScripts = attemptLoad(async () => {
  (0,_setup__WEBPACK_IMPORTED_MODULE_4__/* .setup */ .m)();
  const scripts = getTrackingScriptsToLoad();
  let hasError = false;
  for (const src of scripts) {
    try {
      // We use `await` to load each script one by one and allow the GUI to load and be responsive while
      // the trackers get loaded in a user friendly manner.
      await (0,_automattic_load_script__WEBPACK_IMPORTED_MODULE_1__/* .loadScript */ .k0)(src);
    } catch (error) {
      hasError = true;
      (0,_constants__WEBPACK_IMPORTED_MODULE_5__/* .debug */ .Yz)('loadTrackingScripts: [Load Error] a tracking script failed to load: ', error);
    }
    (0,_constants__WEBPACK_IMPORTED_MODULE_5__/* .debug */ .Yz)('loadTrackingScripts: [Loaded]', src);
  }
  if (hasError) {
    throw new Error('One or more tracking scripts failed to load');
  }
  (0,_constants__WEBPACK_IMPORTED_MODULE_5__/* .debug */ .Yz)('loadTrackingScripts: load done');
  initLoadedTrackingScripts();

  // uses JSON.stringify for consistency with recordOrder()
  (0,_constants__WEBPACK_IMPORTED_MODULE_5__/* .debug */ .Yz)('loadTrackingScripts: dataLayer:', JSON.stringify(window.dataLayer, null, 2));
  return scripts;
});
function getTrackingScriptsToLoad() {
  const scripts = [];
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('facebook')) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .FACEBOOK_TRACKING_SCRIPT_URL */ .X9);
  }

  // The Gtag script needs to be loaded with an ID in the URL so we search for the first available one.
  const enabledGtags = [(0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('ga') && (0,_utils_get_ga_gtag__WEBPACK_IMPORTED_MODULE_6__/* .getGaGtag */ .u)(), (0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('googleAds') && _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.wpcomGoogleAdsGtag, (0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('floodlight') && _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.wpcomFloodlightGtag].filter(id => false !== id);
  if (enabledGtags.length > 0) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .GOOGLE_GTAG_SCRIPT_URL */ .iQ + enabledGtags[0]);
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('bing')) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .BING_TRACKING_SCRIPT_URL */ .J7);
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('criteo')) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .CRITEO_TRACKING_SCRIPT_URL */ .nP);
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('quantcast')) {
    scripts.push(quantcastAsynchronousTagURL());
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('twitter')) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .TWITTER_TRACKING_SCRIPT_URL */ .sf);
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('linkedin')) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .LINKED_IN_SCRIPT_URL */ ._V);
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('quora')) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .QUORA_SCRIPT_URL */ .jO);
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('outbrain')) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .OUTBRAIN_SCRIPT_URL */ .B3);
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('pinterest')) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .PINTEREST_SCRIPT_URL */ .L2);
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeInitTracker */ .UD)('googleTagManager') && (0,calypso_lib_akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)()) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .GOOGLE_GTM_SCRIPT_URL */ .J6 + _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.akismetGoogleTagManagerId);
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeInitTracker */ .UD)('googleTagManager') && ((0,calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)() || (0,calypso_lib_jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)())) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .GOOGLE_GTM_SCRIPT_URL */ .J6 + _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.jetpackGoogleTagManagerId);
  }
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('clarity')) {
    scripts.push(_constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_CLARITY_URI */ .VC);
  }
  return scripts;
}
function initLoadedTrackingScripts() {
  // init Facebook
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('facebook')) {
    initFacebook();
  }

  // init Bing
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('bing')) {
    const bingConfig = {
      ti: _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.bingInit,
      q: window.uetq
    };
    if (typeof UET !== 'undefined') {
      // bing's script creates the UET global for us
      window.uetq = new UET(bingConfig); // eslint-disable-line
    }
  }

  // init Twitter
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('twitter')) {
    if ((0,calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)() || (0,calypso_lib_jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)()) {
      window.twq('config', _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.jetpackTwitterPixelId);
    } else {
      window.twq('init', _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.twitterPixelId);
    }
  }

  // init Quora
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('quora')) {
    window.qp('init', _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.quoraPixelId);
  }

  // init Pinterest
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('pinterest')) {
    const currentUser = (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .getCurrentUser */ .HW)();
    const params = currentUser ? {
      em: currentUser.hashedPii.email
    } : {};
    window.pintrk('load', _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.pinterestInit, params);
  }
  (0,_constants__WEBPACK_IMPORTED_MODULE_5__/* .debug */ .Yz)('loadTrackingScripts: init done');
}

// Returns a function that has the following behavior:
// - when called, tries to call `loader` and returns a promise that resolves when load is finished
// - when `loader` is already in progress, don't issue two concurrent calls: wait for the first to finish
// - when `loader` fails, DON'T return a rejected promise. Instead, leave it unresolved and let the caller
//   wait, potentially forever. Next call to the loader function has a chance to succeed and resolve the
//   promise, for the current and all previous callers. That effectively implements a queue.
function attemptLoad(loader) {
  let setLoadResult;
  let loadResult;
  let status = 'not-loading';
  function initiateLoad() {
    loadResult = new Promise(resolve => {
      setLoadResult = resolve;
    });
    loader().then(result => {
      status = 'loaded';
      setLoadResult(result);
    }, () => {
      status = 'not-loading';
    });
  }
  return (reload = false) => {
    if (status === 'not-loading' || reload) {
      if (reload) {
        status = 'not-loading';
      }
      initiateLoad();
    }
    return loadResult;
  };
}

/**
 * Returns the URL for Quantcast's Purchase Confirmation Tag
 * @see https://www.quantcast.com/help/guides/using-the-quantcast-asynchronous-tag/
 * @returns {string} The URL
 */
function quantcastAsynchronousTagURL() {
  const protocolAndSubdomain = document.location.protocol === 'https:' ? 'https://secure' : 'http://edge';
  return protocolAndSubdomain + '.quantserve.com/quant.js';
}

/**
 * Initializes the Facebook pixel.
 *
 * When the user is logged in, additional hashed data is being forwarded.
 * See https://developers.facebook.com/docs/facebook-pixel/pixel-with-ads/conversion-tracking#advanced_match
 */
function initFacebook() {
  let advancedMatching = {};
  const currentUser = (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .getCurrentUser */ .HW)();
  if (currentUser) {
    advancedMatching = {
      em: currentUser.hashedPii.email
    };
  }
  (0,_constants__WEBPACK_IMPORTED_MODULE_5__/* .debug */ .Yz)('initFacebook', advancedMatching);

  // WP Facebook pixel
  window.fbq('init', _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.facebookInit, advancedMatching);

  // Jetpack & Akismet Facebook pixel
  // Also initialize the FB pixel for Jetpack & Akismet.
  // However, disable auto-config for this secondary pixel ID.
  // See: <https://developers.facebook.com/docs/facebook-pixel/api-reference#automatic-configuration>
  if ((0,calypso_lib_jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)()) {
    window.fbq('set', 'autoConfig', false, _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.facebookJetpackInit);
    window.fbq('init', _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.facebookJetpackInit, advancedMatching);
    window.fbq('track', 'PageView'); // When autoConfig=false, page view tracking must be manually triggered
  }
  if ((0,calypso_lib_akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)()) {
    window.fbq('set', 'autoConfig', false, _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.facebookAkismetInit);
    window.fbq('init', _constants__WEBPACK_IMPORTED_MODULE_5__/* .TRACKING_IDS */ .Zw.facebookAkismetInit, advancedMatching);
    window.fbq('track', 'PageView'); // When autoConfig=false, page view tracking must be manually triggered
  }
}

/***/ }),

/***/ 46769:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ retarget)
/* harmony export */ });
/* harmony import */ var calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(59390);
/* harmony import */ var _tracker_buckets__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(73943);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(10228);
/* harmony import */ var _floodlight__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9305);
/* harmony import */ var _load_tracking_scripts__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(28930);
/* harmony import */ var _setup__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(84488);






// Ensure setup has run.


// Retargeting events are fired once every `retargetingPeriod` seconds.
const retargetingPeriod = 60 * 60 * 24;

// Last time the retarget() function effectively fired (Unix time in seconds).
let lastRetargetTime = 0;

/**
 * Fire tracking events for the purposes of retargeting on all Calypso pages
 * @param {string} urlPath The URL path we should report to the ad-trackers which may be different from the actual one
 * for privacy reasons.
 * @returns {void}
 */
async function retarget(urlPath) {
  await (0,calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)();
  await (0,_load_tracking_scripts__WEBPACK_IMPORTED_MODULE_3__/* .loadTrackingScripts */ .y)();
  (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget:', urlPath);

  // Non rate limited retargeting (main trackers)

  // Quantcast
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('quantcast')) {
    const params = {
      qacct: _constants__WEBPACK_IMPORTED_MODULE_4__/* .TRACKING_IDS */ .Zw.quantcast,
      event: 'refresh'
    };
    (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [Quantcast]', params);
    window._qevents.push(params);
  }

  // Facebook
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('facebook')) {
    const params = ['trackSingle', _constants__WEBPACK_IMPORTED_MODULE_4__/* .TRACKING_IDS */ .Zw.facebookInit, 'PageView'];
    (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [Facebook]', params);
    window.fbq(...params);
  }

  // Bing
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('bing')) {
    (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [Bing]');
    window.uetq.push('pageLoad');
  }

  // Wordpress.com Google Ads Gtag
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('googleAds')) {
    const params = ['config', _constants__WEBPACK_IMPORTED_MODULE_4__/* .TRACKING_IDS */ .Zw.wpcomGoogleAdsGtag, {
      page_path: urlPath
    }];
    (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [Google Ads] WPCom', params);
    window.gtag(...params);
  }

  // Floodlight
  (0,_floodlight__WEBPACK_IMPORTED_MODULE_5__/* .recordPageViewInFloodlight */ .p)(urlPath);

  // Pinterest
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('pinterest')) {
    (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [Pinterest]');
    window.pintrk('page');
  }

  // AdRoll
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('adroll')) {
    (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [AdRoll]');
    window.adRoll.trackPageview();
  }

  // Rate limited retargeting (secondary trackers)

  const nowTimestamp = Date.now() / 1000;
  if (nowTimestamp >= lastRetargetTime + retargetingPeriod) {
    lastRetargetTime = nowTimestamp;

    // Outbrain
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('outbrain')) {
      const params = ['track', 'PAGE_VIEW'];
      (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [Outbrain] [rate limited]', params);
      window.obApi(...params);
    }

    // Icon Media
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('iconMedia')) {
      const params = _constants__WEBPACK_IMPORTED_MODULE_4__/* .ICON_MEDIA_RETARGETING_PIXEL_URL */ .DL;
      (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [Icon Media] [rate limited]', params);
      new window.Image().src = params;
    }

    // Twitter
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('twitter')) {
      const params = ['event', 'tw-nvzbs-odfz9'];
      (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [Twitter] [rate limited]', params);
      window.twq(...params);
    }

    // Yahoo Gemini
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('gemini')) {
      const params = _constants__WEBPACK_IMPORTED_MODULE_4__/* .YAHOO_GEMINI_AUDIENCE_BUILDING_PIXEL_URL */ .A2;
      (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [Yahoo Gemini] [rate limited]', params);
      new window.Image().src = params;
    }

    // Quora
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_0__/* .mayWeTrackByTracker */ .ct)('quora')) {
      const params = ['track', 'ViewContent'];
      (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: [Quora] [rate limited]', params);
      window.qp(...params);
    }
  }

  // uses JSON.stringify for consistency with recordOrder()
  (0,_constants__WEBPACK_IMPORTED_MODULE_4__/* .debug */ .Yz)('retarget: dataLayer:', JSON.stringify(window.dataLayer, null, 2));
}

/***/ }),

/***/ 84488:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   m: () => (/* binding */ setup)
/* harmony export */ });
/* harmony import */ var calypso_lib_akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(86361);
/* harmony import */ var calypso_lib_jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(25729);
/* harmony import */ var calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(76516);
/* harmony import */ var _tracker_buckets__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(73943);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(10228);





function setup() {
  if (true) {
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('ga')) {
      setupGtag();
    }

    // Facebook
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('facebook')) {
      setupFacebookGlobal();
    }

    // Bing
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('bing') && !window.uetq) {
      window.uetq = [];
    }

    // Criteo
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('criteo') && !window.criteo_q) {
      window.criteo_q = [];
    }

    // Quantcast
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('quantcast') && !window._qevents) {
      window._qevents = [];
    }

    // Google Ads Gtag for wordpress.com
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('googleAds')) {
      setupWpcomGoogleAdsGtag();
    }
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('floodlight')) {
      setupWpcomFloodlightGtag();
    }

    // Twitter
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('twitter')) {
      setupTwitterGlobal();
    }

    // Linkedin
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('linkedin')) {
      setupLinkedinInsight((0,calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)() || (0,calypso_lib_jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)() ? _constants__WEBPACK_IMPORTED_MODULE_3__/* .TRACKING_IDS */ .Zw.jetpackLinkedinId : null);
    }

    // Quora
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('quora')) {
      setupQuoraGlobal();
    }

    // Outbrain
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('outbrain')) {
      setupOutbrainGlobal();
    }

    // Pinterest
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('pinterest')) {
      setupPinterestGlobal();
    }

    // AdRoll
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('adroll')) {
      setupAdRollGlobal();
    }

    // GTM
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('googleTagManager')) {
      setupGtmGtag();
    }
    if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeInitTracker */ .UD)('clarity')) {
      setupClarityGlobal();
    }
  }
}
setup();

/**
 * Initializes Linkedin tracking.
 */
function setupLinkedinInsight(partnerId) {
  window._linkedin_data_partner_ids = window._linkedin_data_partner_ids || [];
  window._linkedin_data_partner_ids.push(partnerId);
  if (!window.lintrk) {
    window.lintrk = function (a, b) {
      window.lintrk.q.push([a, b]);
    };
    window.lintrk.q = [];
  }
}

/**
 * Initializes Quora tracking.
 * This is a rework of the obfuscated tracking code provided by Quora.
 */
function setupQuoraGlobal() {
  if (window.qp) {
    return;
  }
  const quoraPixel = window.qp = function () {
    quoraPixel.qp ? quoraPixel.qp.apply(quoraPixel, arguments) : quoraPixel.queue.push(arguments);
  };
  quoraPixel.queue = [];
}

/**
 * This sets up the globals that the Facebook event library expects.
 * More info here: https://www.facebook.com/business/help/952192354843755
 */
function setupFacebookGlobal() {
  if (window.fbq) {
    return;
  }
  const facebookEvents = window.fbq = function () {
    if (facebookEvents.callMethod) {
      facebookEvents.callMethod.apply(facebookEvents, arguments);
    } else {
      facebookEvents.queue.push(arguments);
    }
  };
  if (!window._fbq) {
    window._fbq = facebookEvents;
  }

  /*
   * Disable automatic PageView pushState tracking. It causes problems when we're using multiple FB pixel IDs.
   * The objective here is to avoid firing a PageView against multiple FB pixel IDs. By disabling pushState tracking,
   * we can do PageView tracking for FB on our own. See: `retarget()` in this file.
   *
   * There's more about the `disablePushState` flag here:
   * <https://developers.facebook.com/ads/blog/post/2017/05/29/tagging-a-single-page-application-facebook-pixel/>
   */
  window._fbq.disablePushState = true;
  facebookEvents.push = facebookEvents;
  facebookEvents.loaded = true;
  facebookEvents.version = '2.0';
  facebookEvents.queue = [];
}

/**
 * This sets up the global `twq` function that Twitter expects.
 * More info here: https://github.com/Automattic/wp-calypso/pull/10235
 */
function setupTwitterGlobal() {
  if (window.twq) {
    return;
  }
  const twq = window.twq = function () {
    twq.exe ? twq.exe.apply(twq, arguments) : twq.queue.push(arguments);
  };
  twq.version = '1.1';
  twq.queue = [];
}
function setupOutbrainGlobal() {
  const api = window.obApi = function () {
    api.dispatch ? api.dispatch.apply(api, arguments) : api.queue.push(arguments);
  };
  api.version = '1.0';
  api.loaded = true;
  api.marketerId = _constants__WEBPACK_IMPORTED_MODULE_3__/* .TRACKING_IDS */ .Zw.outbrainAdvId;
  api.queue = [];
}
function setupPinterestGlobal() {
  if (!window.pintrk) {
    window.pintrk = function () {
      window.pintrk.queue.push(Array.prototype.slice.call(arguments));
    };
    const n = window.pintrk;
    n.queue = [];
    n.version = '3.0';
  }
}
function setupAdRollGlobal() {
  if (!window.adRoll) {
    window.adRoll = {
      trackPageview: function () {
        new window.Image().src = _constants__WEBPACK_IMPORTED_MODULE_3__/* .ADROLL_PAGEVIEW_PIXEL_URL_1 */ .FV;
        new window.Image().src = _constants__WEBPACK_IMPORTED_MODULE_3__/* .ADROLL_PAGEVIEW_PIXEL_URL_2 */ .yh;
      },
      trackPurchase: function () {
        new window.Image().src = _constants__WEBPACK_IMPORTED_MODULE_3__/* .ADROLL_PURCHASE_PIXEL_URL_1 */ .Gt;
        new window.Image().src = _constants__WEBPACK_IMPORTED_MODULE_3__/* .ADROLL_PURCHASE_PIXEL_URL_2 */ .xt;
      }
    };
  }
}
function setupGtag() {
  if (window.dataLayer && window.gtag) {
    return;
  }
  window.dataLayer = window.dataLayer || [];
  window.gtag = function () {
    window.dataLayer.push(arguments);
  };
  window.gtag('js', new Date());
  window.gtag('consent', 'default', {
    ad_storage: 'granted',
    analytics_storage: 'granted',
    ad_user_data: 'granted',
    ad_personalization: 'granted'
  });
}
function setupWpcomGoogleAdsGtag() {
  setupGtag();
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeTrackByTracker */ .ct)('googleAds')) {
    window.gtag('config', _constants__WEBPACK_IMPORTED_MODULE_3__/* .TRACKING_IDS */ .Zw.wpcomGoogleAdsGtag);
  }
}
function setupWpcomFloodlightGtag() {
  setupGtag();
  if ((0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_1__/* .mayWeTrackByTracker */ .ct)('floodlight')) {
    window.gtag('config', _constants__WEBPACK_IMPORTED_MODULE_3__/* .TRACKING_IDS */ .Zw.wpcomFloodlightGtag);
  }
}
function setupGtmGtag() {
  if ((0,calypso_lib_akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)()) {
    window.dataLayer = window.dataLayer || [];
    window.dataLayer.push({
      'gtm.start': new Date().getTime(),
      event: 'gtm.js'
    });
  }
}

/**
 * This sets up the global window.clarity method that Clarity expects to be set before the script is loaded.
 * @returns {void}
 */
function setupClarityGlobal() {
  if (window.clarity) {
    return;
  }
  window.clarity = window.clarity || function () {
    (window.clarity.q = window.clarity.q || []).push(arguments);
  };
}

/***/ }),

/***/ 6500:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   h: () => (/* binding */ trackCustomFacebookConversionEvent),
/* harmony export */   s: () => (/* binding */ trackCustomAdWordsRemarketingEvent)
/* harmony export */ });
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(10228);
/* harmony import */ var _setup__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(84488);


// Ensure setup has run.


/**
 * Fire custom facebook conversion tracking event.
 * @param {string} name - The name of the custom event.
 * @param {Object} properties - The custom event attributes.
 * @returns {void}
 */
function trackCustomFacebookConversionEvent(name, properties) {
  window.fbq && window.fbq('trackSingleCustom', _constants__WEBPACK_IMPORTED_MODULE_1__/* .TRACKING_IDS */ .Zw.facebookInit, name, properties);
}

/**
 * Fire custom adwords conversation tracking event.
 * @param {Object} properties - The custom event attributes.
 * @returns {void}
 */
function trackCustomAdWordsRemarketingEvent(properties) {
  (0,_constants__WEBPACK_IMPORTED_MODULE_1__/* .debug */ .Yz)('trackCustomAdWordsRemarketingEvent:', properties);
  // Not sure this is currently serving any purpose and whether we can convert it to use Gtag.
  // Refactoring the middleware for analytics is outside the scope of this PR so I'll leave the function stub for now.
  /*
  window.google_trackConversion &&
  	window.google_trackConversion( {
  		google_conversion_id: ADWORDS_CONVERSION_ID,
  		google_custom_params: properties,
  		google_remarketing_only: true,
  	} );
  */
}

/***/ }),

/***/ 37535:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WI: () => (/* binding */ gaRecordEvent),
/* harmony export */   Y2: () => (/* binding */ gaRecordPageView)
/* harmony export */ });
/* unused harmony export makeGoogleAnalyticsTrackingFunction */
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_analytics_ad_tracking__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(95575);
/* harmony import */ var _akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(86361);
/* harmony import */ var _jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(25729);
/* harmony import */ var _jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(76516);
/* harmony import */ var _tracker_buckets__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(73943);






const gaDebug = debug__WEBPACK_IMPORTED_MODULE_0___default()('calypso:analytics:ga');
let initialized = false;
function initialize() {
  if (!initialized) {
    const params = {
      send_page_view: false,
      ...(0,calypso_lib_analytics_ad_tracking__WEBPACK_IMPORTED_MODULE_3__/* .getGoogleAnalyticsDefaultConfig */ .bc)()
    };

    // We enable custom cross-domain linking for Akismet and Jetpack checkouts + Jetpack Cloud
    if ((0,_akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)() || (0,_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)() || (0,_jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)()) {
      const queryParams = new URLSearchParams(location.search);
      const gl = queryParams.get('_gl');

      // If we have a _gl query param, cross-domain linking is done automatically
      if (!gl) {
        // Setting cross-domain manually: https://support.google.com/analytics/answer/10071811?hl=en#zippy=%2Cmanual-setup
        params.client_id = queryParams.get('_gl_cid');
        params.session_id = queryParams.get('_gl_sid');
      }
    }
    gaDebug('parameters:', params);
    (0,calypso_lib_analytics_ad_tracking__WEBPACK_IMPORTED_MODULE_3__/* .setupGoogleAnalyticsGtag */ .oD)(params);
    initialized = true;
  }
}
const gaRecordPageView = makeGoogleAnalyticsTrackingFunction(function recordPageView(urlPath, pageTitle, useJetpackGoogleAnalytics = false, useAkismetGoogleAnalytics = false) {
  gaDebug('Recording Page View ~ [URL: ' + urlPath + '] [Title: ' + pageTitle + '] [useJetpackGoogleAnalytics: ' + useJetpackGoogleAnalytics + '] [useAksiemtGoogleAnalytics: ' + useAkismetGoogleAnalytics + ']');
  (0,calypso_lib_analytics_ad_tracking__WEBPACK_IMPORTED_MODULE_3__/* .fireGoogleAnalyticsPageView */ .oT)(urlPath, pageTitle, useJetpackGoogleAnalytics, useAkismetGoogleAnalytics);
});

/**
 * Fires a generic Google Analytics event
 *
 * {string} category Is the string that will appear as the event category.
 * {string} action Is the string that will appear as the event action in Google Analytics Event reports.
 * {string} label Is the string that will appear as the event label.
 * {string} value Is a non-negative integer that will appear as the event value.
 */
const gaRecordEvent = makeGoogleAnalyticsTrackingFunction(function recordEvent(category, action, label, value) {
  if ('undefined' !== typeof value && !isNaN(Number(String(value)))) {
    value = Math.round(Number(String(value))); // GA requires an integer value.
    // https://developers.google.com/analytics/devguides/collection/analyticsjs/field-reference#eventValue
  }
  let debugText = 'Recording Event ~ [Category: ' + category + '] [Action: ' + action + ']';
  if ('undefined' !== typeof label) {
    debugText += ' [Option Label: ' + label + ']';
  }
  if ('undefined' !== typeof value) {
    debugText += ' [Option Value: ' + value + ']';
  }
  gaDebug(debugText);
  (0,calypso_lib_analytics_ad_tracking__WEBPACK_IMPORTED_MODULE_3__/* .fireGoogleAnalyticsEvent */ .cC)(category, action, label, value);
});

/**
 * Wrap Google Analytics with debugging, possible analytics supression, and initialization
 *
 * This method will display debug output if Google Analytics is suppresed, otherwise it will
 * initialize and call the Google Analytics function it is passed.
 * @see mayWeTrackByTracker
 * @param  {Function} func Google Analytics tracking function
 * @returns {Function} Wrapped function
 */
function makeGoogleAnalyticsTrackingFunction(func) {
  return function (...args) {
    if (!(0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_2__/* .mayWeTrackByTracker */ .ct)('ga')) {
      gaDebug('[Disallowed] analytics %s( %o )', func.name, args);
      return;
    }
    initialize();
    func(...args);
  };
}

/***/ }),

/***/ 18983:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   JT: () => (/* binding */ addHotJarScript)
/* harmony export */ });
/* unused harmony exports mayWeLoadHotJarScript, getHotjarSiteSettings */
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(76516);
/* harmony import */ var _tracker_buckets__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(73943);




const hotjarDebug = debug__WEBPACK_IMPORTED_MODULE_1___default()('calypso:analytics:hotjar');
let hotJarScriptLoaded = false;
function mayWeLoadHotJarScript() {
  return (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('hotjar_enabled') && (0,_tracker_buckets__WEBPACK_IMPORTED_MODULE_3__/* .mayWeTrackByTracker */ .ct)('hotjar');
}
function getHotjarSiteSettings() {
  return (0,calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)() ? {
    hjid: 3165344,
    hjsv: 6
  } // Calypso green (cloud.jetpack.com)
  : {
    hjid: 227769,
    hjsv: 5
  }; // Calypso blue (wordpress.com)
}
function addHotJarScript() {
  if (hotJarScriptLoaded || !mayWeLoadHotJarScript()) {
    hotjarDebug('Not loading HotJar script');
    return;
  }
  (function (h, o, t, j, a, r) {
    hotjarDebug('Loading HotJar script');
    h.hj = h.hj || function () {
      (h.hj.q = h.hj.q || []).push(arguments);
    };
    h._hjSettings = getHotjarSiteSettings();
    a = o.getElementsByTagName('head')[0];
    r = o.createElement('script');
    r.async = 1;
    r.src = t + h._hjSettings.hjid + j + h._hjSettings.hjsv;
    a.appendChild(r);
  })(window, document, '//static.hotjar.com/c/hotjar-', '.js?sv=');
  hotJarScriptLoaded = true;
}

/***/ }),

/***/ 19343:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ saveImpactAffiliateClickId)
/* harmony export */ });
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(83284);
/* harmony import */ var calypso_lib_analytics_tracks__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(39279);
/* harmony import */ var _utils_url_parse_amp_compatible__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(23004);




/**
 * Save Impact Affiliate Click ID in a cookie if it is set as a query parameter.
 */
function saveImpactAffiliateClickId() {
  // Read click ID query argument, return early if there is none.
  const parsedUrl = (0,_utils_url_parse_amp_compatible__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(window.location.href);
  const clickId = parsedUrl?.searchParams.get('irclickid');
  if (!clickId) {
    return;
  }
  document.cookie = cookie__WEBPACK_IMPORTED_MODULE_0__.serialize('irclickid', clickId, {
    path: '/',
    expires: new Date(Date.now() + 30 * 24 * 60 * 60 * 1000),
    // 30 days
    domain: '.wordpress.com'
  });
  (0,calypso_lib_analytics_tracks__WEBPACK_IMPORTED_MODULE_1__.recordTracksEvent)('calypso_impact_affiliate_visit', {
    page: parsedUrl.host + parsedUrl.pathname
  });
}

/***/ }),

/***/ 32433:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   f: () => (/* binding */ initializeAnalytics)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98948);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_1__);



/**
 * Module variables
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_1___default()('calypso:analytics:init');
async function initializeAnalytics(currentUser, superProps) {
  await (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .initializeAnalytics */ .fz)(currentUser, superProps);
  const user = (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .getCurrentUser */ .HW)();

  // This block is necessary because calypso-analytics/initializeAnalytics no longer calls out to ad-tracking
  if ('object' === typeof currentUser && user && (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .getTracksAnonymousUserId */ ._T)()) {
    const mod = await __webpack_require__.e(/* import() | lib-analytics-ad-tracking-record-alias-in-floodlight */ 189).then(__webpack_require__.bind(__webpack_require__, 48094));
    const {
      recordAliasInFloodlight
    } = mod;
    debug('recordAliasInFloodlight', user);
    recordAliasInFloodlight();
  }
}

/***/ }),

/***/ 45935:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ bumpStatWithPageView),
/* harmony export */   v: () => (/* binding */ bumpStat)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_1__);


const mcDebug = debug__WEBPACK_IMPORTED_MODULE_1___default()('calypso:analytics:mc');
function buildQuerystring(group, name) {
  let uriComponent = '';
  if ('object' === typeof group) {
    for (const key in group) {
      uriComponent += '&x_' + encodeURIComponent(key) + '=' + encodeURIComponent(group[key]);
    }
  } else {
    uriComponent = '&x_' + encodeURIComponent(group) + '=' + encodeURIComponent(name);
  }
  return uriComponent;
}
function buildQuerystringNoPrefix(group, name) {
  let uriComponent = '';
  if ('object' === typeof group) {
    for (const key in group) {
      uriComponent += '&' + encodeURIComponent(key) + '=' + encodeURIComponent(group[key]);
    }
  } else {
    uriComponent = '&' + encodeURIComponent(group) + '=' + encodeURIComponent(name);
  }
  return uriComponent;
}
function bumpStat(group, name) {
  if ('object' === typeof group) {
    mcDebug('Bumping stats %o', group);
  } else {
    mcDebug('Bumping stat %s:%s', group, name);
  }
  if ( true && (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('mc_analytics_enabled')) {
    const uriComponent = buildQuerystring(group, name);
    new window.Image().src = document.location.protocol + '//pixel.wp.com/g.gif?v=wpcom-no-pv' + uriComponent + '&t=' + Math.random();
  }
}
function bumpStatWithPageView(group, name) {
  // this function is fairly dangerous, as it bumps page views for wpcom and should only be called in very specific cases.
  if ('object' === typeof group) {
    mcDebug('Bumping page view with props %o', group);
  } else {
    mcDebug('Bumping page view %s:%s', group, name);
  }
  if ( true && (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('mc_analytics_enabled')) {
    const uriComponent = buildQuerystringNoPrefix(group, name);
    new window.Image().src = document.location.protocol + '//pixel.wp.com/g.gif?v=wpcom' + uriComponent + '&t=' + Math.random();
  }
}

/***/ }),

/***/ 19004:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   e: () => (/* binding */ recordPageView)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98948);
/* harmony import */ var _automattic_viewport__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(59886);
/* harmony import */ var calypso_lib_analytics_ad_tracking__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(46769);
/* harmony import */ var calypso_lib_analytics_impact_affiliate__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(19343);
/* harmony import */ var calypso_lib_analytics_sem__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(71372);
/* harmony import */ var calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(81956);
/* harmony import */ var calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(59390);
/* harmony import */ var _ga__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(37535);
/* harmony import */ var _queue__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(50872);
/* harmony import */ var _refer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(71557);
// pageView is a wrapper for pageview events across Tracks and GA.










function recordPageView(urlPath, pageTitle, params = {}, options = {}) {
  // Add delay to avoid stale `_dl` in recorded calypso_page_view event details.
  // `_dl` (browserdocumentlocation) is read from the current URL by external JavaScript.
  setTimeout(() => {
    // Add device type to Tracks page view event.
    params.device_type = (0,_automattic_viewport__WEBPACK_IMPORTED_MODULE_6__/* .resolveDeviceTypeByViewPort */ .UK)();

    // Tracks, Google Analytics, Refer platform.
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .recordTracksPageViewWithPageParams */ .Fr)(urlPath, params);
    safeGoogleAnalyticsPageView(urlPath, pageTitle, options?.useJetpackGoogleAnalytics, options?.useAkismetGoogleAnalytics);
    (0,_refer__WEBPACK_IMPORTED_MODULE_5__/* .referRecordPageView */ .a)();
    (0,calypso_lib_analytics_impact_affiliate__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)();

    // Retargeting.
    (0,calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)();
    (0,calypso_lib_analytics_sem__WEBPACK_IMPORTED_MODULE_2__/* .updateQueryParamsTracking */ .L)();
    (0,calypso_lib_analytics_ad_tracking__WEBPACK_IMPORTED_MODULE_8__/* .retarget */ .N)(urlPath);

    // Process queue.
    (0,_queue__WEBPACK_IMPORTED_MODULE_4__/* .processQueue */ .z)();
  }, 0);
}
async function safeGoogleAnalyticsPageView(urlPath, pageTitle, useJetpackGoogleAnalytics = false, useAkismetGoogleAnalytics = false) {
  await (0,calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A)();
  (0,_ga__WEBPACK_IMPORTED_MODULE_3__/* .gaRecordPageView */ .Y2)(urlPath, pageTitle, useJetpackGoogleAnalytics, useAkismetGoogleAnalytics);
}

/***/ }),

/***/ 50872:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   z: () => (/* binding */ processQueue)
/* harmony export */ });
/* unused harmony export addToQueue */
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
// This is a `localStorage` queue for delayed event triggers.



/**
 * Module variables
 */
const queueDebug = debug__WEBPACK_IMPORTED_MODULE_0___default()('calypso:analytics:queue');

// The supported modules for which queue triggers can be set up.
// We use a layer of indirection to avoid loading the modules until they're needed.
const modules = {
  signup: () => asyncRequire('calypso/lib/analytics/signup')
};
const lsKey = () => 'analyticsQueue';
function clear() {
  if (!window.localStorage) {
    return; // Not possible.
  }
  try {
    window.localStorage.removeItem(lsKey());
  } catch {
    // Do nothing.
  }
}
function get() {
  if (!window.localStorage) {
    return []; // Not possible.
  }
  try {
    let items = window.localStorage.getItem(lsKey());
    items = items ? JSON.parse(items) : [];
    items = Array.isArray(items) ? items : [];
    return items;
  } catch {
    return [];
  }
}
function runTrigger(moduleName, trigger, ...args) {
  if ('string' === typeof trigger && 'function' === typeof modules[moduleName]) {
    modules[moduleName]().then(mod => {
      if ('function' === typeof mod[trigger]) {
        mod[trigger].apply(null, args || undefined);
      }
    });
  }
  return; // Not possible.
}

/**
 * Add an item to the analytics queue.
 * @param {string} moduleName the name of the module where the queued method exists, e.g. `signup`.
 * See the `modules` constant at the top of this file (`lib/analytics/queue.js`).
 * @param {string} trigger the exported function in the chosen module to be run, e.g. `recordSignupStart` in `signup`.
 * @param  {...any} args the arguments to be passed to the chosen function. Optional.
 */
function addToQueue(moduleName, trigger, ...args) {
  if (!window.localStorage) {
    // If unable to queue, trigger it now.
    return runTrigger(moduleName, trigger, ...args);
  }
  try {
    let items = get();
    const newItem = {
      moduleName,
      trigger,
      args
    };
    items.push(newItem);
    items = items.slice(-100); // Upper limit.

    queueDebug('Adding new item to queue.', newItem);
    window.localStorage.setItem(lsKey(), JSON.stringify(items));
  } catch {
    // If an error happens while enqueuing, trigger it now.
    return runTrigger(moduleName, trigger, ...args);
  }
}

/**
 * Process the existing analytics queue, by running any pending triggers and clearing it.
 */
function processQueue() {
  if (!window.localStorage) {
    return; // Not possible.
  }
  const items = get();
  clear();
  queueDebug('Processing items in queue.', items);
  items.forEach(item => {
    if ('object' === typeof item && 'string' === typeof item.trigger) {
      queueDebug('Processing item in queue.', item);
      runTrigger(item.moduleName, item.trigger, ...item.args);
    }
  });
}

/***/ }),

/***/ 71557:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   a: () => (/* binding */ referRecordPageView)
/* harmony export */ });
/* harmony import */ var calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(23004);
/* harmony import */ var _ad_tracking_constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(10228);
/* harmony import */ var _track_affiliate_referral__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(27618);
/* harmony import */ var _tracks__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(39279);
// Refer platform tracking.





function referRecordPageView() {
  if (!window || !window.location) {
    return; // Not possible.
  }
  const referrer = window.location.href;
  const parsedUrl = (0,calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(referrer);
  const affiliateId = parsedUrl?.searchParams.get('aff') || parsedUrl?.searchParams.get('affiliate');
  const vid = parsedUrl?.searchParams.get('vid');
  const campaignId = parsedUrl?.searchParams.get('cid');
  const subId = parsedUrl?.searchParams.get('sid');
  const vendorId = vid === _ad_tracking_constants__WEBPACK_IMPORTED_MODULE_3__/* .WOOEXPRESS_AFFILIATE_VENDOR_ID */ .jH ? _ad_tracking_constants__WEBPACK_IMPORTED_MODULE_3__/* .WOOEXPRESS_AFFILIATE_VENDOR_ID */ .jH : _ad_tracking_constants__WEBPACK_IMPORTED_MODULE_3__/* .WPCOM_AFFILIATE_VENDOR_ID */ .mB;
  if (affiliateId && !isNaN(affiliateId)) {
    (0,_tracks__WEBPACK_IMPORTED_MODULE_1__.recordTracksEvent)('calypso_refer_visit', {
      page: parsedUrl.host + parsedUrl.pathname
    });
    (0,_track_affiliate_referral__WEBPACK_IMPORTED_MODULE_0__/* .trackAffiliateReferral */ ._)({
      vendorId,
      affiliateId,
      campaignId,
      subId,
      referrer
    });
  }
}

/***/ }),

/***/ 71372:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L: () => (/* binding */ updateQueryParamsTracking)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98948);
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(83284);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(23004);





/**
 * Const variables.
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_2___default()('calypso:analytics:sem');
const UTM_COOKIE_MAX_AGE = 60 * 60 * 24 * 365;
const MAX_UTM_LENGTH = 128;
const MAX_URL_PARAM_VALUE_LENGTH = 50;
const MAX_KEYWORD_PARAM_VALUE_LENGTH = 80;
const MAX_GCLID_PARAM_VALUE_LENGTH = 100;
// These are the URL params that end up in the `ad_details` cookie
const ALLOWED_URL_PARAMS = ['adgroupid', 'campaignid', 'device', 'gclid', 'gclsrc', 'fbclid', 'keyword', 'matchtype', 'network', 'type', 'term', 'utm_campaign', 'utm_content', 'utm_medium', 'utm_source', 'utm_term', 'targetid',
// QuanticMind
'locationid',
// QuanticMind
'ref', 'format' // amp/non-amp
];
const VALID_UTM_SOURCE_CAMPAIGN = new RegExp('^[a-zA-Z\\d_\\-]{1,' + MAX_UTM_LENGTH + '}$');
function isValidUtmSourceOrCampaign(value) {
  return VALID_UTM_SOURCE_CAMPAIGN.test(value);
}
function isValidOtherUrlParamValue(key, value) {
  if ('gclid' === key) {
    return value.length <= MAX_GCLID_PARAM_VALUE_LENGTH;
  } else if ('keyword' === key) {
    return value.length <= MAX_KEYWORD_PARAM_VALUE_LENGTH;
  }
  return value.length <= MAX_URL_PARAM_VALUE_LENGTH;
}
function isValidAndAllowedUrlParamValue(key, value) {
  if (-1 === ALLOWED_URL_PARAMS.indexOf(key)) {
    return false;
  } else if ('utm_source' === key || 'utm_campaign' === value) {
    return isValidUtmSourceOrCampaign(value);
  }
  return isValidOtherUrlParamValue(key, value);
}
function setUtmCookie(name, value) {
  document.cookie = cookie__WEBPACK_IMPORTED_MODULE_1__.serialize(name, value, {
    path: '/',
    maxAge: UTM_COOKIE_MAX_AGE,
    // NOTE: Domains having more than a single extension (e.g., example.us.com)
    // would require additional custom logic to work out the root domain name.
    domain: '.' + document.location.hostname.split('.').slice(-2).join('.')
  });
}

/**
 * Updates tracking based on URL query parameters.
 */
function updateQueryParamsTracking() {
  if (!document.location.search) {
    debug('No query data in URL.');
    return;
  }
  const searchParams = (0,calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(document.location.href)?.searchParams;

  // Sanitize query params
  let sanitizedQuery = new URLSearchParams();
  if (searchParams) {
    const validEntries = Array.from(searchParams.entries()).filter(([key, value]) => isValidAndAllowedUrlParamValue(key, value));
    sanitizedQuery = new URLSearchParams(validEntries);

    // Cross domain tracking for AMP.
    if (searchParams.get('amp_client_id')) {
      (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .pushEventToTracksQueue */ .bd)(['identifyAnonUser', searchParams.get('amp_client_id')]);
    }
  }

  // Drop SEM cookie update if either of these is missing
  if (!sanitizedQuery.get('utm_source') || !sanitizedQuery.get('utm_campaign')) {
    debug('Missing utm_source or utm_campaign.');
    return;
  }

  // Regenerate sanitized query string
  const sanitizedQueryString = sanitizedQuery.toString();
  if (sanitizedQueryString) {
    debug('ad_details: ' + sanitizedQueryString);
    setUtmCookie('ad_details', sanitizedQueryString);
    setUtmCookie('ad_timestamp', Math.floor(new Date().getTime() / 1000));
  }
}

/***/ }),

/***/ 47107:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(50340);
/* harmony import */ var calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(13034);
/* harmony import */ var calypso_state_selectors_get_current_route__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(38431);
/* harmony import */ var calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(89046);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(96136);






function getSiteSlugOrIdFromURLSearchParams() {
  const {
    search = ''
  } =  true ? window.location : 0;
  const queryParams = new URLSearchParams(search);
  return queryParams.get('siteSlug') || queryParams.get('siteId');
}
const getSuperProps = reduxStore => eventProperties => {
  const state = reduxStore.getState();
  const superProps = {
    environment: "production",
    environment_id: (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('env_id'),
    site_count: (0,calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_1__/* .getCurrentUserSiteCount */ .bs)(state) || 0,
    site_id_label: 'wpcom',
    client: (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('client_slug')
  };
  if (true) {
    Object.assign(superProps, {
      vph: window.innerHeight,
      vpw: window.innerWidth
    });
  }
  const path = eventProperties.path ?? (0,calypso_state_selectors_get_current_route__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state);
  const omitSelectedSite = !eventProperties.force_site_id && (0,calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(path);
  const selectedSite = omitSelectedSite ? null : (0,calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(state) || (0,calypso_state_sites_selectors__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(state, getSiteSlugOrIdFromURLSearchParams());
  if (selectedSite) {
    Object.assign(superProps, {
      // Tracks expects a blog_id property to identify the blog which is
      // why we use it here instead of calling the property site_id
      blog_id: selectedSite.ID,
      // Tracks expects a blog_lang property to identify the blog language which is
      // why we use it here instead of calling the property site_language
      blog_lang: selectedSite.lang,
      site_id_label: selectedSite.jetpack ? 'jetpack' : 'wpcom',
      site_plan_id: selectedSite.plan ? selectedSite.plan.product_id : null
    });
  }
  return superProps;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (getSuperProps);

/***/ }),

/***/ 27618:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ trackAffiliateReferral)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var calypso_lib_analytics_tracks__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(39279);



const referDebug = debug__WEBPACK_IMPORTED_MODULE_0___default()('calypso:analytics:refer');
const allowedEventProps = ['status', 'success', 'duplicate', 'description', 'cookie_id', 'vendor_id', 'affiliate_id', 'campaign_id', 'sub_id', 'referrer'];
async function trackAffiliateReferral({
  vendorId,
  affiliateId,
  campaignId,
  subId,
  referrer
}) {
  referDebug('Recording affiliate referral.', {
    vendorId,
    affiliateId,
    campaignId,
    subId,
    referrer
  });
  const headers = {
    'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8',
    Accept: 'application/json'
  };
  const body = new URLSearchParams({
    affiliate_id: affiliateId,
    campaign_id: campaignId || '',
    sub_id: subId || '',
    referrer: referrer || ''
  }).toString();
  referDebug('Fetching Refer platform response.');
  try {
    const response = await window.fetch(`https://refer.wordpress.com/clicks/${vendorId}`, {
      credentials: 'include',
      // Needed to check and set the 'wp-affiliate-tracker' cookie.
      method: 'POST',
      headers,
      body
    });
    const json = await response.json();
    if (response.ok) {
      referDebug('Recording Refer platform success response.', json);
      (0,calypso_lib_analytics_tracks__WEBPACK_IMPORTED_MODULE_2__.recordTracksEvent)('calypso_refer_visit_response', {
        ...(0,lodash__WEBPACK_IMPORTED_MODULE_1__.pick)(json.data, allowedEventProps),
        status: response.status || '',
        success: json.success || true,
        description: json.message || 'success'
      });
      return;
    }
    referDebug('Recording Refer platform error response.', json);
    (0,calypso_lib_analytics_tracks__WEBPACK_IMPORTED_MODULE_2__.recordTracksEvent)('calypso_refer_visit_response', {
      ...(0,lodash__WEBPACK_IMPORTED_MODULE_1__.pick)(json.data, allowedEventProps),
      status: response.status || '',
      success: json.success || false,
      description: json.message || 'error'
    });
  } catch (error) {
    // Exception from `fetch` usually means network error. Don't report these to Tracks.
    referDebug('Failed to fetch Refer platform response.', error);
  }
}

/***/ }),

/***/ 73943:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   UD: () => (/* binding */ mayWeInitTracker),
/* harmony export */   ct: () => (/* binding */ mayWeTrackByTracker)
/* harmony export */ });
/* unused harmony exports Bucket, AdTrackersBuckets, AdTrackersInitGuards, mayWeTrackGeneral, mayWeTrackByBucket */
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98948);
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(70696);
/* harmony import */ var calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(24282);
/* harmony import */ var calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(95425);
/* harmony import */ var calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(33856);
/* harmony import */ var calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(50792);
/* harmony import */ var calypso_lib_e2e__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(86203);
/* harmony import */ var calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(76516);
/* harmony import */ var _jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(25729);






const allAdTrackers = (/* unused pure expression or super */ null && (['bing', 'floodlight', 'googleAds', 'googleTagManager', 'ga', 'gaEnhancedEcommerce', 'hotjar', 'outbrain', 'pinterest', 'twitter', 'facebook', 'quantcast', 'gemini', 'experian', 'iconMedia', 'linkedin', 'criteo', 'pandora', 'quora', 'adroll', 'parsely', 'clarity']));
const sessionAdTrackers = ['hotjar'];
let Bucket = /*#__PURE__*/function (Bucket) {
  Bucket["ESSENTIAL"] = "essential";
  Bucket["ADVERTISING"] = "advertising";
  Bucket["ANALYTICS"] = "analytics";
  return Bucket;
}({});
const AdTrackersBuckets = {
  // Analytics trackers:
  parsely: Bucket.ANALYTICS,
  // Advertising trackers:
  ga: Bucket.ADVERTISING,
  gaEnhancedEcommerce: Bucket.ADVERTISING,
  hotjar: Bucket.ADVERTISING,
  bing: Bucket.ADVERTISING,
  floodlight: Bucket.ADVERTISING,
  googleAds: Bucket.ADVERTISING,
  googleTagManager: Bucket.ADVERTISING,
  outbrain: Bucket.ADVERTISING,
  pinterest: Bucket.ADVERTISING,
  twitter: Bucket.ADVERTISING,
  facebook: Bucket.ADVERTISING,
  // Advertising trackers (only Jetpack Cloud or on Jetpack Checkout):
  linkedin: (0,calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)() || (0,_jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)() ? Bucket.ADVERTISING : null,
  // Disabled trackers:
  quantcast: null,
  gemini: null,
  experian: null,
  iconMedia: null,
  criteo: null,
  pandora: null,
  quora: null,
  adroll: null,
  clarity: null
};
const checkGtagInit = () => 'dataLayer' in window && 'gtag' in window;
const checkGtmInit = () => {
  return 'dataLayer' in window && 'google_tag_manager' in window;
};
const AdTrackersInitGuards = {
  ga: checkGtagInit,
  gaEnhancedEcommerce: checkGtagInit,
  floodlight: checkGtagInit,
  googleAds: checkGtagInit,
  googleTagManager: checkGtmInit,
  bing: () => 'uetq' in window,
  outbrain: () => 'obApi' in window,
  pinterest: () => 'pintrk' in window,
  twitter: () => 'twq' in window,
  facebook: () => 'fbq' in window,
  linkedin: () => '_linkedin_data_partner_ids' in window && 'lintrk' in window,
  criteo: () => 'criteo_q' in window,
  quora: () => 'qp' in window,
  adroll: () => 'adRoll' in window,
  clarity: () => 'clarity' in window
};
const isTrackerIntialized = tracker => {
  const guardFunction = AdTrackersInitGuards[tracker];
  // If there is no guard function, skip the check
  return guardFunction ? guardFunction() : true;
};
const mayWeTrackGeneral = () => !(0,calypso_lib_e2e__WEBPACK_IMPORTED_MODULE_4__/* .isE2ETest */ .r)() && !(0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .getDoNotTrack */ .cm)() && !(0,calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)() && _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* ["default"].isEnabled */ .Ay.isEnabled('ad-tracking');
const mayWeTrackByBucket = bucket => {
  if (!mayWeTrackGeneral()) {
    return false;
  }
  if (Bucket.ADVERTISING === bucket) {
    // Disable advertising trackers on specific urls
    if ((0,calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)()) {
      return false;
    }
    // Disable advertising trackers if GPC browser flag is set, and the user location pertains to CCPA.
    if (!(0,calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_7__/* .mayWeTrackUserGpcInCcpaRegion */ .A)()) {
      return false;
    }
  }
  const prefs = (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .getTrackingPrefs */ .yM)();
  return prefs.ok && prefs.buckets[bucket];
};
const mayWeInitTracker = tracker => {
  const bucket = AdTrackersBuckets[tracker];
  return null !== bucket && mayWeTrackByBucket(bucket);
};
const mayWeTrackByTracker = tracker => {
  const mayTrackerInit = mayWeInitTracker(tracker) && isTrackerIntialized(tracker);
  if (sessionAdTrackers.includes(tracker)) {
    return (0,calypso_lib_analytics_utils__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)() && mayTrackerInit;
  }
  return mayTrackerInit;
};

/***/ }),

/***/ 39279:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   createRecordTracksEvent: () => (/* binding */ createRecordTracksEvent),
/* harmony export */   recordTracksEvent: () => (/* binding */ recordTracksEvent),
/* harmony export */   recordTracksPageView: () => (/* binding */ recordTracksPageView),
/* harmony export */   setTracksOptOut: () => (/* binding */ setTracksOptOut),
/* harmony export */   tracksEvents: () => (/* binding */ tracksEvents)
/* harmony export */ });
/* harmony import */ var events__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(50046);
/* harmony import */ var events__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(events__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);


const tracksEvents = new events__WEBPACK_IMPORTED_MODULE_0__.EventEmitter();
function recordTracksEvent(eventName, eventProperties) {
  _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .analyticsEvents */ .sK.once('record-event', (_eventName, _eventProperties) => {
    tracksEvents.emit('record-event', _eventName, _eventProperties);
  });
  (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)(eventName, eventProperties);
}
function createRecordTracksEvent(defaultProperties) {
  return (eventName, eventProperties) => recordTracksEvent(eventName, {
    ...defaultProperties,
    ...eventProperties
  });
}
function recordTracksPageView(urlPath, params) {
  (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksPageView */ .os)(urlPath, params);
}
function setTracksOptOut(isOptingOut) {
  (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .pushEventToTracksQueue */ .bd)(['setOptOut', isOptingOut]);
}

/***/ }),

/***/ 27830:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Module variables
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (debug__WEBPACK_IMPORTED_MODULE_0___default()('calypso:analytics:utils'));

/***/ }),

/***/ 1050:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ getGaGtag)
/* harmony export */ });
/* harmony import */ var calypso_lib_akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(86361);
/* harmony import */ var calypso_lib_jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(25729);
/* harmony import */ var calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(76516);
/* harmony import */ var _ad_tracking_constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(10228);





/**
 * Determines the correct ga for either WPCOM or Jetpack environment
 * @returns The correct Gtag connected to GA environment
 */
const getGaGtag = (isJetpackEnv = (0,calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)() || (0,calypso_lib_jetpack_is_jetpack_checkout__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(), isAkismetEnv = (0,calypso_lib_akismet_is_akismet_checkout__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)()) => {
  if (isJetpackEnv) {
    return _ad_tracking_constants__WEBPACK_IMPORTED_MODULE_3__/* .TRACKING_IDS */ .Zw.jetpackGoogleAnalyticsGtag;
  } else if (isAkismetEnv) {
    return _ad_tracking_constants__WEBPACK_IMPORTED_MODULE_3__/* .TRACKING_IDS */ .Zw.akismetGoogleAnalyticsGtag;
  }
  return _ad_tracking_constants__WEBPACK_IMPORTED_MODULE_3__/* .TRACKING_IDS */ .Zw.wpcomGoogleAnalyticsGtag;
};

/***/ }),

/***/ 33856:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ mayWeTrackUserGpcInCcpaRegion)
/* harmony export */ });
/* unused harmony export isGpcFlagSetOptOut */
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98948);
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(83284);



/**
 * The Global Privacy Control (GPC) flag is a browser setting that allows users to signal their privacy preference to websites.
 * It's still not implemented across browsers, so adding it here.
 * See: <https://globalprivacycontrol.org/>
 */

/**
 * Checks if the GPC flag is set in the user's browser.
 * @returns {boolean} - True if the GPC flag is set, false otherwise (flag is undefined or false).
 */
const isGpcFlagSetOptOut = () => {
  return window.navigator?.globalPrivacyControl === true;
};

/**
 * May we track the user with GPC flag in CCPA region?
 * @returns {boolean} - False if the user is in the CCPA region and the GPC flag is set, true otherwise.
 */
const mayWeTrackUserGpcInCcpaRegion = () => {
  const cookies = cookie__WEBPACK_IMPORTED_MODULE_1__.parse(document.cookie);
  if ((0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .isRegionInCcpaZone */ .JQ)(cookies.country_code, cookies.region) && isGpcFlagSetOptOut()) {
    return false;
  }
  return true;
};

/***/ }),

/***/ 24282:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isPiiUrl)
/* harmony export */ });
/* harmony import */ var _debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(27830);


// If this list catches things that are not necessarily forbidden we're ok with
// a little bit of approximation as long as we do catch the ones that we have to.
// We need to be quite aggressive with how we filter candiate pages as failing
// to protect our users' privacy puts us in breach of our own TOS and our
// retargeting partners' TOS. We also see personally identifiable information in
// unexpected places like email addresses in users' posts URLs and titles for
// various (usually accidental) reasons. We also pass PII in URLs like
// `wordpress.com/jetpack/connect` and `wordpress.com/error-report`.
const forbiddenPiiPatterns = ['@', 'email=', 'email_address=', 'first=', 'last=', 'first-name=', 'last-name=', 'address-1=', 'phone='];
const forbiddenPiiPatternsEnc = forbiddenPiiPatterns.map(pattern => {
  return encodeURIComponent(pattern);
});

/**
 * Whether the current URL can potentially contain personally identifiable info.
 * @returns {boolean} true if the current URL can potentially contain personally identifiable info.
 */
function isPiiUrl() {
  const href = document.location.href;
  const match = pattern => href.indexOf(pattern) !== -1;
  const result = forbiddenPiiPatterns.some(match) || forbiddenPiiPatternsEnc.some(match);
  (0,_debug__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(`Is PII URL: ${result}`);
  return result;
}

/***/ }),

/***/ 95425:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isUrlExcludedForPerformance)
/* harmony export */ });
/* harmony import */ var _debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(27830);


// For better load performance, these routes are excluded from loading ads.
const excludedRoutes = ['/log-in'];

/**
 * Are tracking pixels forbidden from the given URL for better performance (except for Google Analytics)?
 * @returns {boolean} true if the current URL is excluded.
 */
function isUrlExcludedForPerformance() {
  const {
    href
  } = document.location;
  const match = pattern => href.indexOf(pattern) !== -1;
  const result = excludedRoutes.some(match);
  (0,_debug__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(`Is URL Excluded for Performance: ${result}`);
  return result;
}

/***/ }),

/***/ 26861:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/**
 * `localStorage` key for marketing coupons.
 * @type {string} `localStorage` key.
 */
const MARKETING_COUPONS_KEY = 'marketing-coupons';
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (MARKETING_COUPONS_KEY);

/***/ }),

/***/ 50792:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98948);
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(83284);


const mayWeSessionTrack = () => {
  const cookies = cookie__WEBPACK_IMPORTED_MODULE_1__.parse(document.cookie);
  return !(0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__/* .isRegionInStsZone */ .k1)(cookies.country_code, cookies.region);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (mayWeSessionTrack);

/***/ }),

/***/ 59390:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ refreshCountryCodeCookieGdpr)
/* harmony export */ });
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(83284);
/* harmony import */ var _debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(27830);


let refreshRequest = null;

/**
 * Refreshes the GDPR `country_code` cookie every 6 hours (like A8C_Analytics wpcom plugin).
 * @param {AbortSignal} signal optional AbortSignal to cancel the request (use if needed)
 * @returns {Promise<void>} Promise that resolves when the refreshing is done (or immediately)
 */
async function refreshCountryCodeCookieGdpr(signal = undefined) {
  const cookies = cookie__WEBPACK_IMPORTED_MODULE_0__.parse(document.cookie);
  if (cookies.country_code && cookies.region) {
    (0,_debug__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)('refreshCountryCodeCookieGdpr: country_code ( value: "%s") and region ( value: "%s") cookies are fresh', cookies.country_code, cookies.region);
    return;
  }
  if (refreshRequest === null) {
    refreshRequest = requestGeoData(signal).then(({
      countryCode,
      region
    }) => {
      setCountryCodeCookie(countryCode);
      setRegionCookie(region);
    });
  }
  await refreshRequest;
  refreshRequest = null;
}
function requestGeoData(signal = undefined) {
  // cache buster
  const v = new Date().getTime();
  return fetch('https://public-api.wordpress.com/geo/?v=' + v, {
    signal
  }).then(res => {
    if (!res.ok) {
      return res.body().then(body => {
        throw new Error(body);
      });
    }
    return res.json();
  }).then(json => {
    return {
      countryCode: json.country_short,
      region: json.region
    };
  }).catch(err => {
    (0,_debug__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)('refreshCountryCodeCookieGdpr: error: ', err);
    return {
      countryCode: 'unknown',
      region: 'unknown'
    };
  });
}
function setCountryCodeCookie(countryCode) {
  const maxAge = 6 * 60 * 60; // 6 hours in seconds
  document.cookie = cookie__WEBPACK_IMPORTED_MODULE_0__.serialize('country_code', countryCode, {
    path: '/',
    maxAge
  });
  (0,_debug__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)('refreshCountryCodeCookieGdpr: country_code cookie set to %s', countryCode);
}
function setRegionCookie(region) {
  const maxAge = 6 * 60 * 60;
  document.cookie = cookie__WEBPACK_IMPORTED_MODULE_0__.serialize('region', region, {
    path: '/',
    maxAge
  });
  (0,_debug__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)('refreshRegionCookieCcpa: region cookie set to %s', region);
}

/***/ }),

/***/ 81956:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ saveCouponQueryArgument)
/* harmony export */ });
/* harmony import */ var _debug__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(27830);
/* harmony import */ var _marketing_coupons_key__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(26861);
/* harmony import */ var _url_parse_amp_compatible__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(23004);




/**
 * Remembers `?coupon` query argument via `localStorage`.
 */
function saveCouponQueryArgument() {
  // Read coupon query argument, return early if there is none.
  const parsedUrl = (0,_url_parse_amp_compatible__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(window.location.href);
  const couponCode = parsedUrl?.searchParams.get('coupon');
  if (!couponCode) {
    return;
  }

  // Read coupon list from localStorage, create new if it's not there yet, refresh existing.
  let coupons = null;
  try {
    const couponsJson = window.localStorage.getItem(_marketing_coupons_key__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A);
    coupons = JSON.parse(couponsJson);
  } catch (err) {}
  if (!coupons) {
    coupons = {};
  }
  const THIRTY_DAYS_MILLISECONDS = 7 * 24 * 60 * 60 * 1000;
  const now = Date.now();
  (0,_debug__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)('Found coupons in localStorage: ', coupons);
  coupons[couponCode] = now;

  // Delete coupons if they're older than 30 days.
  Object.keys(coupons).forEach(key => {
    if (now > coupons[key] + THIRTY_DAYS_MILLISECONDS) {
      delete coupons[key];
    }
  });

  // Write remembered coupons back to localStorage.
  try {
    (0,_debug__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)('Storing coupons in localStorage: ', coupons);
    window.localStorage.setItem(_marketing_coupons_key__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A, JSON.stringify(coupons));
  } catch (err) {}
}

/***/ }),

/***/ 50340:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var calypso_lib_route__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(10313);

const SITE_FRAGMENT_REGEX = /\/(:site|:site_id|:siteid|:blogid|:blog_id|:siteslug)(\/|$|\?)/i;

/**
 * Check if a path should report the currently selected site ID.
 *
 * Some paths should never report it because it's used
 * to tell general admin and site-specific activities apart.
 * @param {string} path The tracked path.
 * @returns {boolean} If the report should null `blog_id`.
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (path => {
  // Path could be a number but it should not. See Sentry issue with ID 4645035069
  if (typeof path !== 'string') {
    return true;
  }
  if (SITE_FRAGMENT_REGEX.test(path)) {
    return false;
  }

  // Stepper routes start with /setup/, and might contain site slug or ID via URL parameters.
  if (path.startsWith('/setup/')) {
    return false;
  }
  return !(0,calypso_lib_route__WEBPACK_IMPORTED_MODULE_0__/* .getSiteFragment */ .GE)(path);
});

/***/ }),

/***/ 23004:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ urlParseAmpCompatible)
/* harmony export */ });
/* harmony import */ var _debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(27830);


/**
 * Decodes a url-safe base64 encoded string.
 * @param {string} str The url-safe base64 encoded string
 * @returns {string} The decoded string
 */
function urlSafeBase64DecodeString(str) {
  const decodeMap = {
    '-': '+',
    _: '/',
    '.': '='
  };
  return window.atob(str.replace(/[-_.]/g, ch => decodeMap[ch]));
}

/**
 * Decodes a URL param encoded by AMP's linker.js
 * See also https://github.com/ampproject/amphtml/blob/HEAD/extensions/amp-analytics/linker-id-receiving.md
 * @param {string} value Value to be decoded
 * @returns {null | Object} null or and object containing key/value pairs
 */
function parseAmpEncodedParams(value) {
  value = value.split('*').filter(val => val.length).slice(2);
  // return null if empty or we have an odd number of elements
  if (0 === value.length || 0 !== value.length % 2) {
    return null;
  }
  const keyValMap = {};
  for (let i = 0; i < value.length; i += 2) {
    keyValMap[value[i]] = urlSafeBase64DecodeString(value[i + 1]);
  }
  return keyValMap;
}

/**
 * Returns a URL instance with the original data plus the data extracted from `tk_amp`. Null if not a valid absolute URL.
 * URL parameters explicitly present in the URL take precedence over the ones extracted from `tk_amp`.
 * This function is used to support AMP-compatible tracking.
 * @param {string} url URL to be parsed like `document.location.href`.
 * @returns {Object} A URL instance with the original data plus the data extracted from `tk_amp`. Null if not a valid absolute URL.
 */
function urlParseAmpCompatible(url) {
  try {
    const parsedUrl = new URL(url);
    (0,_debug__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)('urlParseAmpCompatible: original query:', parsedUrl.search);
    if (parsedUrl.searchParams.has('tk_amp')) {
      const tk_amp = parseAmpEncodedParams(parsedUrl.searchParams.get('tk_amp'));
      (0,_debug__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)('urlParseAmpCompatible: tk_amp:', tk_amp);
      for (const key of Object.keys(tk_amp)) {
        if (!parsedUrl.searchParams.has(key)) {
          parsedUrl.searchParams.set(key, tk_amp[key]);
        }
      }
    }
    (0,_debug__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)('urlParseAmpCompatible: merged query:', parsedUrl.search);
    return parsedUrl;
  } catch {
    return null;
  }
}

/***/ }),

/***/ 81329:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N1: () => (/* binding */ clearStorage)
/* harmony export */ });
/* unused harmony exports getAllStoredItems, getStoredItem, setStoredItem, activate */
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);

const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('calypso:support-user');

// This module defines a series of methods which bypasse all persistent storage.
// Any calls to read/write data using browser-storage instead access a temporary
// in-memory store which is lost on page reload. This driver is used to sandbox
// a user's data while support-user is active, ensuring it does not contaminate
// the original user, and vice versa.

const memoryStore = new Map();
async function getAllStoredItems(pattern) {
  debug('browser-storage bypass', 'getAllStoredItems');

  // Return everything.
  if (!pattern) {
    return Object.fromEntries(memoryStore.entries());
  }

  // Return only the entries that match the pattern.
  const entries = Array.from(memoryStore.entries());
  return Object.fromEntries(entries.filter(([key]) => pattern.test(key)));
}
async function getStoredItem(key) {
  debug('browser-storage bypass', 'getStoredItem', key);
  if (memoryStore.has(key)) {
    return memoryStore.get(key);
  }
  return undefined;
}
async function setStoredItem(key, value) {
  debug('browser-storage bypass', 'setStoredItem', key);
  memoryStore.set(key, value);
}
async function clearStorage() {
  debug('browser-storage bypass', 'clearStorage');
  memoryStore.clear();
}
function activate() {
  memoryStore.clear();
}

/***/ }),

/***/ 59005:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N1: () => (/* binding */ clearStorage)
/* harmony export */ });
/* unused harmony exports supportsIDB, bypassPersistentStorage, getStoredItem, getAllStoredItems, setStoredItem */
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var calypso_lib_analytics_mc__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(45935);
/* harmony import */ var calypso_lib_memoize_last__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3084);
/* harmony import */ var _bypass__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(81329);






const debug = debug__WEBPACK_IMPORTED_MODULE_1___default()('calypso:browser-storage');
let shouldBypass = false;
let shouldDisableIDB = false;
const DB_NAME = 'calypso';
const DB_VERSION = 2; // Match versioning of the previous localforage-based implementation.
const STORE_NAME = 'calypso_store';
const SANITY_TEST_KEY = 'browser-storage-sanity-test';

// eslint-disable-next-line @typescript-eslint/no-explicit-any
const isAffectedSafari = _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"].isEnabled */ .Ay.isEnabled('safari-idb-mitigation') && "object" !== 'undefined' && !!window.IDBKeyRange?.lowerBound(0).includes && !!window.webkitAudioContext && !!window.PointerEvent;
debug('Safari IDB mitigation active: %s', isAffectedSafari);
const supportsIDB = (0,calypso_lib_memoize_last__WEBPACK_IMPORTED_MODULE_5__/* .once */ .O)(async () => {
  if ( false || !window.indexedDB) {
    debug('IDB not found in host');
    return false;
  }
  if (shouldDisableIDB) {
    debug('IDB disabled');
    return false;
  }
  try {
    const testValue = Date.now().toString();
    await idbSet(SANITY_TEST_KEY, testValue);
    await idbGet(SANITY_TEST_KEY);
    return true;
  } catch (error) {
    // IDB sanity test failed. Fall back to alternative method.
    return false;
  }
});
const getDB = (0,calypso_lib_memoize_last__WEBPACK_IMPORTED_MODULE_5__/* .once */ .O)(() => {
  const request = window.indexedDB.open(DB_NAME, DB_VERSION);
  return new Promise((resolve, reject) => {
    try {
      if (request) {
        request.onerror = event => {
          // InvalidStateError is special in Firefox.
          // We need to `preventDefault` to stop it from reaching the console.
          if (request.error && request.error.name === 'InvalidStateError') {
            event.preventDefault();
          }
          reject(request.error);
        };
        request.onsuccess = () => {
          const db = request.result;

          // Add a general error handler for any future requests made against this db handle.
          // See https://developer.mozilla.org/en-US/docs/Web/API/IndexedDB_API/Using_IndexedDB#Handling_Errors for
          // more information on how error events bubble with IndexedDB
          db.onerror = function (errorEvent) {
            debug('IDB Error', errorEvent);
            if (errorEvent.target?.error?.name) {
              (0,calypso_lib_analytics_mc__WEBPACK_IMPORTED_MODULE_3__/* .bumpStat */ .v)('calypso-browser-storage', (0,lodash__WEBPACK_IMPORTED_MODULE_2__.kebabCase)(errorEvent.target.error.name));
              if (errorEvent.target.error.name === 'QuotaExceededError') {
                // we've blown through the quota. Turn off IDB for this page load
                shouldDisableIDB = true;
                supportsIDB.clear();
                debug('disabling IDB because we saw a QuotaExceededError');
              }
            }
          };
          db.onversionchange = () => {
            // This fires when the database gets upgraded or when it gets deleted.
            // We need to close our handle to allow the change to proceed
            db.close();
          };
          resolve(db);
        };
        request.onupgradeneeded = () => request.result.createObjectStore(STORE_NAME);
      }
    } catch (error) {
      reject(error);
    }
  });
});
function idbGet(key) {
  return new Promise((resolve, reject) => {
    getDB().then(db => {
      const transaction = db.transaction(STORE_NAME, 'readonly');
      const get = transaction.objectStore(STORE_NAME).get(key);
      const success = () => resolve(get.result);
      const error = () => reject(transaction.error);
      transaction.oncomplete = success;
      transaction.onabort = error;
      transaction.onerror = error;
    }).catch(err => reject(err));
  });
}
function idbGetAll(pattern) {
  return getDB().then(db => new Promise((resolve, reject) => {
    const results = {};
    const transaction = db.transaction(STORE_NAME, 'readonly');
    const getAll = transaction.objectStore(STORE_NAME).openCursor();
    const success = event => {
      const cursor = event.target.result;
      if (cursor) {
        const {
          primaryKey: key,
          value
        } = cursor;
        if (key && typeof key === 'string' && key !== SANITY_TEST_KEY && (!pattern || pattern.test(key))) {
          results[key] = value;
        }
        cursor.continue();
      } else {
        // No more results.
        resolve(results);
      }
    };
    const error = () => reject(transaction.error);
    getAll.onsuccess = success;
    transaction.onabort = error;
    transaction.onerror = error;
  }));
}
let idbWriteCount = 0;
let idbWriteBlock = null;
async function idbSet(key, value) {
  // if there's a write lock, wait on it
  if (idbWriteBlock) {
    await idbWriteBlock;
  }
  // if we're on safari 13, we need to clear out the object store every
  // so many writes to make sure we don't chew up the transaction log
  if (isAffectedSafari && ++idbWriteCount % 20 === 0) {
    await idbSafariReset();
  }
  return new Promise((resolve, reject) => {
    getDB().then(async db => {
      const transaction = db.transaction(STORE_NAME, 'readwrite');
      transaction.objectStore(STORE_NAME).put(value, key);
      const success = () => resolve();
      const error = () => reject(transaction.error);
      transaction.oncomplete = success;
      transaction.onabort = error;
      transaction.onerror = error;
    }).catch(err => reject(err));
  });
}
function idbClear() {
  return new Promise((resolve, reject) => {
    getDB().then(db => {
      const transaction = db.transaction(STORE_NAME, 'readwrite');
      transaction.objectStore(STORE_NAME).clear();
      const success = () => resolve();
      const error = () => reject(transaction.error);
      transaction.oncomplete = success;
      transaction.onabort = error;
      transaction.onerror = error;
    }).catch(err => reject(err));
  });
}
function idbRemove() {
  return new Promise((resolve, reject) => {
    const deleteRequest = window.indexedDB.deleteDatabase(DB_NAME);
    deleteRequest.onsuccess = () => {
      getDB.clear();
      resolve();
    };
    deleteRequest.onerror = event => reject(event);
  });
}
async function idbSafariReset() {
  if (idbWriteBlock) {
    return idbWriteBlock;
  }
  debug('performing safari idb mitigation');
  idbWriteBlock = _idbSafariReset();
  idbWriteBlock.finally(() => {
    idbWriteBlock = null;
    debug('idb mitigation complete');
  });
  return idbWriteBlock;
}
async function _idbSafariReset() {
  const items = await idbGetAll();
  await idbRemove();
  return new Promise((resolve, reject) => {
    getDB().then(db => {
      const transaction = db.transaction(STORE_NAME, 'readwrite');
      const oStore = transaction.objectStore(STORE_NAME);
      // eslint-disable-next-line prefer-const
      for (let [key, value] of Object.entries(items)) {
        oStore.put(value, key);
      }
      const success = () => resolve();
      const error = () => reject(transaction.error);
      transaction.oncomplete = success;
      transaction.onabort = error;
      transaction.onerror = error;
    }, err => reject(err));
  });
}

/**
 * Whether persistent storage should be bypassed, using a memory store instead.
 * @param shouldBypassPersistentStorage Whether persistent storage should be bypassed.
 */
function bypassPersistentStorage(shouldBypassPersistentStorage) {
  shouldBypass = shouldBypassPersistentStorage;
  if (shouldBypass) {
    activateBypass();
  }
}

/**
 * Get a stored item.
 * @param key The stored item key.
 * @returns A promise with the stored value. `undefined` if missing.
 */
async function getStoredItem(key) {
  if (shouldBypass) {
    return await bypassGet(key);
  }
  const idbSupported = await supportsIDB();
  if (!idbSupported) {
    try {
      const valueString = window.localStorage.getItem(key);
      if (valueString === undefined || valueString === null) {
        return undefined;
      }
      return JSON.parse(valueString);
    } catch {
      return undefined;
    }
  }
  return await idbGet(key);
}

/**
 * Get all stored items.
 * @param pattern The pattern to match on returned item keys.
 * @returns A promise with the stored key/value pairs as an object. Empty if none.
 */
async function getAllStoredItems(pattern) {
  if (shouldBypass) {
    return await bypassGetAll(pattern);
  }
  const idbSupported = await supportsIDB();
  if (!idbSupported) {
    try {
      const entries = Object.entries(window.localStorage).map(([key, value]) => [key, value !== undefined ? JSON.parse(value) : undefined]);
      if (!pattern) {
        return Object.fromEntries(entries);
      }
      return Object.fromEntries(entries.filter(([key]) => pattern.test(key)));
    } catch {
      return {};
    }
  }
  return await idbGetAll(pattern);
}

/**
 * Set an item in storage.
 * @param key The key to store the item under.
 * @param value The value of the item to be stored.
 * @returns A promise that gets resolved when the item is successfully stored.
 */
async function setStoredItem(key, value) {
  if (shouldBypass) {
    return await bypassSet(key, value);
  }
  const idbSupported = await supportsIDB();
  if (!idbSupported) {
    try {
      window.localStorage.setItem(key, JSON.stringify(value));
    } catch {
      // Do nothing.
    }
    return;
  }
  return await idbSet(key, value);
}

/**
 * Clear all stored items.
 * @returns A promise that gets resolved when all items are successfully cleared.
 */
async function clearStorage() {
  if (shouldBypass) {
    return await (0,_bypass__WEBPACK_IMPORTED_MODULE_4__/* .clearStorage */ .N1)();
  }
  const idbSupported = await supportsIDB();
  if (!idbSupported) {
    try {
      window.localStorage.clear();
    } catch {
      // Do nothing.
    }
    return;
  }
  return await idbClear();
}

/***/ }),

/***/ 86203:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   r: () => (/* binding */ isE2ETest)
/* harmony export */ });
// All end-to-end tests use a custom user agent containing this string.
const E2E_USER_AGENT = 'wp-e2e-tests';
function isE2ETest() {
  return typeof navigator !== 'undefined' && navigator.userAgent.includes(E2E_USER_AGENT);
}

/***/ }),

/***/ 84790:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S: () => (/* binding */ decodeEntities)
/* harmony export */ });
/* harmony import */ var _decode__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(49101);

function decodeEntities(text) {
  // Bypass decode if text doesn't include entities
  if ('string' !== typeof text || -1 === text.indexOf('&')) {
    return text;
  }
  return (0,_decode__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(text);
}

/***/ }),

/***/ 49101:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ decodeEntities)
/* harmony export */ });
const element = (() => {
  if (document.implementation && document.implementation.createHTMLDocument) {
    return document.implementation.createHTMLDocument('').createElement('textarea');
  }
  return document.createElement('textarea');
})();
function decodeEntities(text) {
  element.innerHTML = text;
  const decoded = element.textContent;
  element.innerHTML = '';
  return decoded;
}

/***/ }),

/***/ 11586:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s: () => (/* binding */ preventWidows)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Prevent widows by replacing spaces between the last `wordsToKeep` words in the text with non-breaking spaces
 * @param  {string|@i18n-calypso/TranslateResult} text the text to work on
 * @param  {number} wordsToKeep the number of words to keep together
 * @returns {string}             the widow-prevented string
 */
function preventWidows(text, wordsToKeep = 2) {
  return preventWidowsInPart('string' === typeof text ? text.trim() : text, Math.max(1, wordsToKeep - 1)).part;
}
const reverseSpaceRegex = /\s+(\S*)$/;

/**
 * The helper function to preventWidows that calls itself recursively searching for spaces to substitute with
 * non-breaking spaces.
 * @param {string|@i18n-calypso/TranslateResult} part The section of the content to search, a string or a component
 *     or an array of strings and components
 * @param {number} spacesToSubstitute The number of spaces to substitute with non-breaking spaces. This is one less than the preventWidows wordsToKeep
 * @returns object Contains two keys `part` the possibly modified `part` parameter passed in, and `substituted` the number of spaces substituted.
 */
function preventWidowsInPart(part, spacesToSubstitute) {
  let substituted = 0;
  if ('string' === typeof part && part.length > 0) {
    let text = part;
    let retVal = '';

    // If the part is a string, work from the right looking for spaces
    // TODO Work out if we can tell that this is a RTL language, and if it's appropriate to join words in this way
    while (substituted < spacesToSubstitute && reverseSpaceRegex.test(text)) {
      const match = reverseSpaceRegex.exec(text);
      retVal = '\xA0' + match[1] + retVal;
      text = text.replace(reverseSpaceRegex, '');
      substituted++;
    }
    retVal = text + retVal;
    // Return the modified string and the number of spaces substituted
    return {
      part: retVal,
      substituted
    };
  }

  /* If we're called with an array construct a copy of the array by calling
   * ourself on each element until we have substituted enough spaces. Then
   * concatentate the rest of the array
   */
  if (Array.isArray(part) && part.length > 0) {
    let elements = [];
    let idx = part.length - 1;
    while (substituted < spacesToSubstitute && idx >= 0) {
      const result = preventWidowsInPart(part[idx], spacesToSubstitute - substituted);
      elements.unshift(result.part);
      substituted += result.substituted;
      idx--;
    }
    elements = part.slice(0, idx + 1).concat(elements);
    return {
      part: elements,
      substituted
    };
  }

  /* If we're called with a component, and it has children
   * then call ourself with the value of the children prop
   * (an array that will be handled above)
   *
   * Then return a cloned component with the possibly modified
   * children, along with the tally of substituted spaces.
   */
  if ( /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.isValidElement)(part) && part.props.children) {
    const result = preventWidowsInPart(part.props.children, spacesToSubstitute);
    if (result.substituted > 0) {
      // pass children as spread arguments to prevent missing array key warnings
      const partArray = Array.isArray(result.part) ? result.part : [result.part];
      return {
        part: /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.cloneElement)(part, part.props, ...partArray),
        substituted: result.substituted
      };
    }
    return {
      part,
      substituted
    };
  }

  // For anything else e.g. an element without children, there's nothing to do.
  return {
    part,
    substituted
  };
}

/***/ }),

/***/ 79700:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ stripHTML)
/* harmony export */ });
/* harmony import */ var striptags__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(94769);
/* harmony import */ var striptags__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(striptags__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Strips HTML from a string. Does not handle tags nested in attribute strings.
 * @param  {string} string The string to strip tags from
 * @returns {string}        The stripped string
 */
function stripHTML(string) {
  return striptags__WEBPACK_IMPORTED_MODULE_0___default()(string);
}

/***/ }),

/***/ 10150:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getEmbedMetadata)
/* harmony export */ });
/* harmony import */ var get_video_id__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(11450);
/* harmony import */ var get_video_id__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(get_video_id__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Wrapper for the get-video-id library in order to make sure that video.wordpress.com videos are
 * considered videopress.com videos. Ideally this would be fixed upstream but the library's last
 * commit at the time of writing is almost a year old ... and it's HACK week ;)
 */
function getEmbedMetadata(url) {
  // Check if a Pocket Casts URL
  if (url.indexOf('pca.st') !== -1) {
    const id = url.split('/').pop();
    if (id.length > 0) {
      return {
        id,
        service: 'pocketcasts'
      };
    }
  }
  // Fake the video domain for video.wordpress.com to look like videopress.com so the external library recognizes it.
  return get_video_id__WEBPACK_IMPORTED_MODULE_0___default()(url.replace('video.wordpress', 'videopress'));
}

/***/ }),

/***/ 66071:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ZU: () => (/* binding */ GOOGLE_WORKSPACE_PRODUCT_FAMILY),
/* harmony export */   Zn: () => (/* binding */ GSUITE_PRODUCT_FAMILY)
/* harmony export */ });
/* unused harmony exports GOOGLE_WORKSPACE_PRODUCT_TYPE, GSUITE_PRODUCT_TYPE, GOOGLE_PROVIDER_NAME */
/**
 * We'll use the following constants to do the switchover from
 * G Suite -> Google Workspace.
 * The product name is never translated in the translation strings
 * so we won't translate them here either.
 */
const GSUITE_PRODUCT_FAMILY = 'G Suite';
const GOOGLE_WORKSPACE_PRODUCT_FAMILY = 'Google Workspace';

/**
 * Defines product types to use as slugs in urls.
 * @see emailManagementAddGSuiteUsers() in client/my-sites/email/paths.js
 */
const GOOGLE_WORKSPACE_PRODUCT_TYPE = 'google-workspace';
const GSUITE_PRODUCT_TYPE = 'gsuite';
const GOOGLE_PROVIDER_NAME = 'google';

/***/ }),

/***/ 70005:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   e: () => (/* binding */ getGoogleMailServiceFamily)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_products__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98166);
/* harmony import */ var calypso_lib_gsuite_constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66071);



/**
 * @param {string|null} productSlug - optional product slug
 * @returns {string}
 */
function getGoogleMailServiceFamily(productSlug = null) {
  if ((0,_automattic_calypso_products__WEBPACK_IMPORTED_MODULE_0__/* .isGSuiteProductSlug */ .i)(productSlug)) {
    return calypso_lib_gsuite_constants__WEBPACK_IMPORTED_MODULE_1__/* .GSUITE_PRODUCT_FAMILY */ .Zn;
  }
  return calypso_lib_gsuite_constants__WEBPACK_IMPORTED_MODULE_1__/* .GOOGLE_WORKSPACE_PRODUCT_FAMILY */ .ZU;
}

/***/ }),

/***/ 24761:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   y: () => (/* binding */ getLocaleSlug)
/* harmony export */ });
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(85744);

const getLocaleSlug = () => i18n_calypso__WEBPACK_IMPORTED_MODULE_0__/* ["default"].getLocaleSlug */ .Ay.getLocaleSlug();

/***/ }),

/***/ 35079:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $: () => (/* binding */ useInterval)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);

/**
 * useInterval implementation from @see https://overreacted.io/making-setinterval-declarative-with-react-hooks/
 *
 * Used with explicit permission:
 * > Feel free to copy paste it in your project or put it on npm.
 * https://github.com/gaearon/overreacted.io/blob/80c0a314c5d855891220852788f662c2e8ecc7d4/src/pages/making-setinterval-declarative-with-react-hooks/index.md
 */

/**
 * Invoke a function on an interval.
 * @param callback Function to invoke
 * @param delay    Interval timout in MS. `null` or `false` to stop the interval.
 */
function useInterval(callback, delay) {
  const savedCallback = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(callback);

  // Remember the latest callback.
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    savedCallback.current = callback;
  }, [callback]);

  // Set up the interval.
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (delay === null || delay === false) {
      return;
    }
    const tick = () => void savedCallback.current();
    const id = setInterval(tick, delay);
    return () => clearInterval(id);
  }, [delay]);
}

/***/ }),

/***/ 25729:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/*
    The function isJetpackCheckout() is used to determine if the current page is a Jetpack checkout page. 
    It always returns false on the server side as window object is not available there (assumption that checkout pages are not rendered server-side).
 */
const isJetpackCheckout = () => 'undefined' !== typeof document && window.location.pathname.startsWith('/checkout/jetpack');
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (isJetpackCheckout);

/***/ }),

/***/ 76516:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);

const jetpackCloudEnvironments = ['jetpack-cloud-development', 'jetpack-cloud-stage', 'jetpack-cloud-horizon', 'jetpack-cloud-production'];
const isJetpackCloud = () => jetpackCloudEnvironments.includes((0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('env_id'));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (isJetpackCloud);

/***/ }),

/***/ 97059:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   e: () => (/* binding */ loadjQueryDependentScriptDesktopWrapper)
/* harmony export */ });
/* harmony import */ var _automattic_load_script__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(7944);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_1__);
/**
 * A wrapper for loadjQueryDependentScript that handles the desktop app
 * It is not possible to expose jQuery globally in Electron App: https://github.com/atom/electron/issues/254.
 * It needs to be loaded using require and npm package.
 */



const debug = debug__WEBPACK_IMPORTED_MODULE_1___default()('lib/load-jquery-dependent-script-desktop-wrapper');
function loadjQueryDependentScriptDesktopWrapper(url, callback) {
  debug(`Loading a jQuery dependent script from "${url}"`);
  (0,_automattic_load_script__WEBPACK_IMPORTED_MODULE_0__/* .loadjQueryDependentScript */ .r5)(url, callback);
}

/***/ }),

/***/ 3084:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ once)
/* harmony export */ });
/* unused harmony export default */
/**
 * Wraps a function in a utility method that remembers the last invocation's
 * arguments and results, and returns the latter if the former match.
 * @param fn The function to be wrapped.
 * @returns The wrapped function.
 */
function memoizeLast(fn) {
  let lastArgs;
  let lastResult;
  const func = (...args) => {
    const isSame = lastArgs && args.length === lastArgs.length && args.every((arg, index) => arg === lastArgs[index]);
    if (!isSame) {
      lastArgs = args;
      lastResult = fn(...args);
    }
    return lastResult;
  };
  func.clear = () => {
    lastArgs = undefined;
    lastResult = undefined;
  };
  return func;
}

/**
 * A stricter-typed alias of `memoizeLast`, for functions without arguments.
 * Since it only accepts functions without arguments, it effectively guarantees
 * that the provided function will only be run once, as the check for whether
 * the arguments have not changed will always pass.
 * @param fn The function to be wrapped.
 * @returns The wrapped function.
 */
function once(fn) {
  // Runtime validation. Useful when static validation is unavailable.
  if (false) {}
  return memoizeLast(fn);
}

/***/ }),

/***/ 91845:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   q4: () => (/* binding */ isWcMobileApp)
/* harmony export */ });
/* unused harmony exports isWpMobileApp, getMobileDeviceInfo */
/**
 * Returns whether user is using a WordPress mobile app.
 * @returns {boolean} Whether the user agent matches the ones used on the WordPress mobile apps.
 */
function isWpMobileApp() {
  if (typeof navigator === 'undefined') {
    return false;
  }
  return navigator.userAgent && /wp-(android|iphone)/.test(navigator.userAgent);
}

/**
 * Returns whether user is using a WooCommerce mobile app.
 * @returns {boolean} Whether the user agent matches the ones used on the WooCommerce mobile apps.
 */
function isWcMobileApp() {
  if (typeof navigator === 'undefined') {
    return false;
  }
  return navigator.userAgent && /wc-(android|ios)/.test(navigator.userAgent);
}
const deviceUnknown = {
  device: 'unknown',
  version: 'unknown'
};
function getMobileDeviceInfo() {
  try {
    const userAgent = navigator.userAgent.toLowerCase();
    const regex = /w[pc]-(android|iphone|ios)\/(\d+(.[0-9a-z-]+)*)/;
    const match = userAgent.match(regex);
    if (!match) {
      return deviceUnknown;
    }
    return {
      device: match[1],
      version: match[2]
    };
  } catch (e) {
    return deviceUnknown;
  }
}

/***/ }),

/***/ 30144:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   gf: () => (/* binding */ getToken)
/* harmony export */ });
/* unused harmony exports setToken, clearToken */
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(83284);
/* harmony import */ var store__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(70020);
/* harmony import */ var store__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(store__WEBPACK_IMPORTED_MODULE_1__);



/**
 * Module variables
 */
const TOKEN_NAME = 'wpcom_token';
const MAX_AGE = (/* unused pure expression or super */ null && (365 * 24 * 60 * 60 * 1000)); // How long to store the OAuth cookie

function getToken() {
  const cookies = cookie__WEBPACK_IMPORTED_MODULE_0__.parse(document.cookie);
  if (typeof cookies[TOKEN_NAME] !== 'undefined') {
    return cookies[TOKEN_NAME];
  }
  const token = store__WEBPACK_IMPORTED_MODULE_1___default().get(TOKEN_NAME);
  if (token) {
    return token;
  }
  return false;
}
function setToken(token) {
  // TODO: Support secure cookies if this is ever used outside of the desktop app
  document.cookie = cookie.serialize(TOKEN_NAME, token, {
    maxAge: MAX_AGE
  });
}
function clearToken() {
  const cookies = cookie.parse(document.cookie);
  if (typeof cookies[TOKEN_NAME] !== 'undefined') {
    document.cookie = cookie.serialize(TOKEN_NAME, false, {
      maxAge: -1
    });
  }
}

/***/ }),

/***/ 23451:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   XF: () => (/* reexport safe */ _onboarding_url__WEBPACK_IMPORTED_MODULE_0__.X)
/* harmony export */ });
/* unused harmony exports newPost, createAccountUrl */
/* harmony import */ var _onboarding_url__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(43758);



function editorPathFromSite(site) {
  if (!site) {
    return '';
  }
  const siteSlug = typeof site === 'object' ? site.slug : site;
  return '/' + siteSlug;
}

/**
 * Returns a URL to the post editor for a new post on a given site.
 * @param  {Object | string} site Site object or site slug
 * @returns {string}      URL to post editor
 */
function newPost(site) {
  const sitePath = editorPathFromSite(site);
  return '/post' + sitePath;
}
function createAccountUrl({
  redirectTo,
  ref
}) {
  return `/start/account?redirect_to=${redirectTo}&ref=${ref}`;
}

/***/ }),

/***/ 43758:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X: () => (/* binding */ onboardingUrl)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(76516);



/**
 * Returns the onboarding URL.
 * @returns {string}  URL of the onboarding flow for existing users.
 */
function onboardingUrl() {
  if ((0,calypso_lib_jetpack_is_jetpack_cloud__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)()) {
    return (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('jetpack_connect_url');
  }
  return (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('signup_url');
}

/***/ }),

/***/ 44934:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ addImageWrapperElement)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Gets the image width and height from an img attribute
 * We can get the aspect ratio with the width and height
 * With the ratio, return a class to help with displaying images within aspect ratio ranges
 * @param  {Object} image - the img element
 * @returns string
 */
const getImageAspectRatioClass = image => {
  let sizes = image.getAttribute('data-orig-size') || '';
  if (sizes.length === 0) {
    return '';
  }
  sizes = sizes.split(',');
  const imageWidth = parseInt(sizes[0] ?? 0);
  const imageHeight = parseInt(sizes[1] ?? 0);
  if (imageWidth === 0) {
    return '';
  }
  if (imageHeight === 0) {
    return '';
  }
  const ratio = parseFloat(imageWidth / imageHeight);
  if (ratio === 1.0) {
    return 'square';
  } else if (ratio > 0 && ratio < 9 / 16) {
    return 'tall';
  } else if (ratio >= 9 / 16 && ratio < 2 / 3) {
    return 'nine-sixteen';
  } else if (ratio >= 2 / 3 && ratio < 4 / 5) {
    return 'two-three';
  } else if (ratio >= 4 / 5 && ratio < 1) {
    return 'four-five';
  } else if (ratio > 1 && ratio <= 5 / 4) {
    return 'five-four';
  } else if (ratio > 5 / 4 && ratio <= 3 / 2) {
    return 'three-two';
  } else if (ratio > 3 / 2 && ratio <= 16 / 9) {
    return 'sixteen-nine';
  } else if (ratio > 16 / 9) {
    return 'wide';
  }

  // Not sure we can get here but...
  return '';
};

/**
 * Gets the current image width (rather than original width)
 * Checks the image width attribute
 * Checks if width set in img src URL query params, i.e. {image-url}?w={width}
 * Returns 0 if no current width found
 * @param image
 * @returns {number}
 */
const getCurrentImageWidth = image => {
  let width = image.width || 0;
  if (width === 0 && image.src !== undefined) {
    // Parse width from src
    const params = image.src.split('?')[1];
    if (params !== undefined) {
      const searchParams = new URLSearchParams(params);
      width = searchParams.get('w') || '0';
    }
  }
  return parseInt(width);
};
function addImageWrapperElement(post, dom) {
  if (!dom) {
    throw new Error('this transform must be used as part of withContentDOM');
  }
  const images = dom.querySelectorAll('img[src]');
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(images, image => {
    if (image.classList.contains('wp-smiley')) {
      // filter images that have the class wp-smiley
      // these are emoji images and should not be wrapped
      return;
    }
    // Add container wrapper for img elements
    const parent = image.parentNode;
    const imageWrapper = document.createElement('div');
    const aspectRatioClass = getImageAspectRatioClass(image);
    imageWrapper.className = 'image-wrapper ' + aspectRatioClass;
    // set the wrapper as child (instead of the element)
    parent.replaceChild(imageWrapper, image);
    // set element as child of wrapper
    imageWrapper.appendChild(image);

    // Add div to allow image border with an inset box-shadow
    const imageWidth = getCurrentImageWidth(image);
    if (imageWidth > 0) {
      const imageBorder = document.createElement('div');
      const borderStyle = document.createAttribute('style');
      imageBorder.className = 'image-border';
      borderStyle.value = 'width: ' + imageWidth + 'px';
      imageBorder.setAttributeNode(borderStyle);
      imageWrapper.appendChild(imageBorder);
    }
  });
  return post;
}

/***/ }),

/***/ 15202:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ detectMedia)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_get_video_id__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(10150);
/* harmony import */ var calypso_state_reader_posts_sizes__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(37858);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6588);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8543);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(95533);
/* eslint-disable jsdoc/no-undefined-types */






/**
 * Checks whether or not an image is a tracking pixel
 * @param {Node} image - DOM node for an img
 * @returns {boolean} isTrackingPixel - returns true if image is probably a tracking pixel
 */
function isTrackingPixel(image) {
  if (!image || !image.src) {
    return false;
  }
  const edgeLength = image.height + image.width;
  return edgeLength === 1 || edgeLength === 2;
}

/**
 * Returns true if image should be considered
 * @param {Node} image - DOM node for an image
 * @returns {boolean} true/false depending on if it should be included as a potential featured image
 */
function isCandidateForContentImage(image) {
  if (!image || !image.getAttribute('src')) {
    return false;
  }
  const ineligibleCandidateUrlParts = ['gravatar.com', '/wpcom-smileys/'];
  const imageUrl = image.getAttribute('src');
  const imageShouldBeExcludedFromCandidacy = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.some)(ineligibleCandidateUrlParts, urlPart => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.includes)(imageUrl.toLowerCase(), urlPart));
  return !(isTrackingPixel(image) || imageShouldBeExcludedFromCandidacy);
}

/**
 * Detects and returns metadata if it should be considered as a content image
 * @param {image} image - the image
 * @returns {Object} metadata - regarding the image or null
 */
const detectImage = image => {
  if (isCandidateForContentImage(image)) {
    const {
      width,
      height
    } = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .deduceImageWidthAndHeight */ ._)(image) || {
      width: 0,
      height: 0
    };
    return {
      src: (0,_utils__WEBPACK_IMPORTED_MODULE_3__/* .maxWidthPhotonishURL */ .A)(image.getAttribute('src'), calypso_state_reader_posts_sizes__WEBPACK_IMPORTED_MODULE_4__/* .READER_CONTENT_WIDTH */ .f2),
      width: width,
      height: height,
      mediaType: 'image'
    };
  }
  return false;
};

/**
 *  For an iframe we know how to process, return a string for an autoplaying iframe
 * @param {Node} iframe - DOM node for an iframe
 * @returns {string} html src for an iframe that autoplays if from a source we understand.  else null;
 */
const getAutoplayIframe = iframe => {
  const KNOWN_SERVICES = ['youtube', 'vimeo', 'videopress', 'pocketcasts'];
  const metadata = (0,calypso_lib_get_video_id__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(iframe.src);
  if (metadata && (0,lodash__WEBPACK_IMPORTED_MODULE_0__.includes)(KNOWN_SERVICES, metadata.service)) {
    const autoplayIframe = iframe.cloneNode();
    if (autoplayIframe.src.indexOf('?') === -1) {
      autoplayIframe.src += '?autoplay=1';
    } else {
      autoplayIframe.src += '&autoplay=1';
    }

    // ?autoplay=1 is no longer sufficient for YouTube - we also need to add autoplay to the allow attribute.
    const allow = (autoplayIframe.allow || '').split(/\s*;\s*/g);
    allow.push('autoplay');
    autoplayIframe.setAttribute('allow', allow.filter(s => s.length > 0).join('; '));
    return autoplayIframe.outerHTML;
  }
  return null;
};
const getEmbedType = iframe => {
  let node = iframe;
  let matches;
  do {
    if (!node.className) {
      continue;
    }

    // Match elements like <span class="embed-youtube"><iframe ... /></span>
    matches = node.className.match(/\bembed-([-a-zA-Z0-9_]+)\b/);
    if (matches) {
      return matches[1];
    }

    // Match elements like <figure class="wp-block-video wp-block-embed is-type-video is-provider-videopress">...</figure>
    matches = node.className.match(/\bis-provider-([-a-zA-Z0-9_]+)\b/);
    if (matches) {
      return matches[1];
    }
  } while (node = node.parentNode);
  return null;
};

/**
 * Detects and returns metadata if it should be considered as a content iframe
 * @param {Node} iframe - a DOM node for an iframe
 * @returns {metadata} metadata - metadata for an embed
 */
const detectEmbed = iframe => {
  if (!(0,_utils__WEBPACK_IMPORTED_MODULE_5__/* .iframeIsAllowed */ .L)(iframe)) {
    return false;
  }
  const width = Number(iframe.width);
  const height = Number(iframe.height);
  const aspectRatio = width / height;
  return {
    type: getEmbedType(iframe),
    src: iframe.src,
    iframe: iframe.outerHTML,
    aspectRatio: aspectRatio,
    width: width,
    height: height,
    mediaType: 'video',
    autoplayIframe: getAutoplayIframe(iframe)
  };
};

/**
 * Adds an ordered list of all of the content_media to the post
 * @param {post} post - the post object to add content_media to
 * @param {dom} dom - the dom of the post to scan for media
 * @returns {PostMetadata} post - the post object mutated to also have content_media
 */
function detectMedia(post, dom) {
  const imageSelector = 'img[src]';
  const embedSelector = 'iframe';
  const media = dom.querySelectorAll(`${imageSelector}, ${embedSelector}`);
  const contentMedia = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.map)(media, element => {
    const nodeName = element.nodeName.toLowerCase();
    if (nodeName === 'iframe') {
      return detectEmbed(element);
    } else if (nodeName === 'img') {
      return detectImage(element);
    }
    return false;
  });
  post.content_media = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.compact)(contentMedia);
  post.content_embeds = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.filter)(post.content_media, m => m.mediaType === 'video');
  post.content_images = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.filter)(post.content_media, m => m.mediaType === 'image');

  // TODO: figure out a more sane way of combining featured_image + content media
  // so that changes to logic don't need to exist in multiple places
  if (post.featured_image) {
    post.featured_image = (0,_utils__WEBPACK_IMPORTED_MODULE_3__/* .maxWidthPhotonishURL */ .A)(post.featured_image, calypso_state_reader_posts_sizes__WEBPACK_IMPORTED_MODULE_4__/* .READER_CONTENT_WIDTH */ .f2);
  }
  return post;
}

/***/ }),

/***/ 52612:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ detectPolls)
/* harmony export */ });
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(85744);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(91007);



const pollLinkSelectors = ['a[href^="http://polldaddy.com/poll/"]', 'a[href^="https://polldaddy.com/poll/"]', 'a[href^="http://poll.fm/"]', 'a[href^="https://poll.fm/"]', 'a[href^="http://survey.fm/"]', 'a[href^="https://survey.fm/"]'];
function detectPolls(post, dom) {
  if (!dom) {
    throw new Error('this transform must be used as part of withContentDOM');
  }

  // Crowdsignal embed markup isn't very helpfully structured, but we can look for the noscript tag,
  // which contains the information we need, and replace it with a paragraph.
  const noscripts = dom.querySelectorAll('noscript');
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(noscripts, noscript => {
    if (!noscript.firstChild) {
      return;
    }

    // some browsers don't require this and let us query the dom inside a noscript. some do not. maybe just jsdom.
    const noscriptDom = (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .domForHtml */ .J)(noscript.innerHTML);
    const pollLink = noscriptDom.querySelector(pollLinkSelectors.join(', '));
    if (pollLink) {
      const matches = pollLink.href.match(/https?:\/\/(polldaddy\.com\/poll|poll\.fm|survey\.fm)\/([0-9]+)/) || [];
      const pollId = matches[2];
      if (pollId) {
        const p = document.createElement('p');
        p.innerHTML = '<a target="_blank" rel="external noopener noreferrer" href="https://poll.fm/' + pollId + '">' + i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Take our poll') + '</a>';
        noscript.parentNode.replaceChild(p, noscript);
      }
    }
  });
  return post;
}

/***/ }),

/***/ 31085:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ detectSurveys)
/* harmony export */ });
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(85744);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);


function detectSurveys(post, dom) {
  if (!dom) {
    throw new Error('this transform must be used as part of withContentDOM');
  }
  const surveys = dom.querySelectorAll('.pd-embed, .cs-embed');
  if (!surveys) {
    return post;
  }
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(surveys, survey => {
    // Get survey details
    let surveyDetails = null;
    try {
      surveyDetails = JSON.parse(survey.getAttribute('data-settings'));
    } catch (e) {
      return;
    }
    const {
      domain: surveyDomain,
      id: surveySlug
    } = surveyDetails;
    if (!surveyDomain || !surveySlug) {
      return;
    }

    // Construct a survey link
    const p = document.createElement('p');
    p.innerHTML = '<a target="_blank" rel="external noopener noreferrer" href="https://' + surveyDomain + surveySlug + '">' + i18n_calypso__WEBPACK_IMPORTED_MODULE_1__/* ["default"].translate */ .Ay.translate('Take our survey') + '</a>';

    // Replace the .pd-embed div with the new paragraph
    survey.parentNode.replaceChild(p, survey);
  });
  return post;
}

/***/ }),

/***/ 63730:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d: () => (/* binding */ disableAutoPlayOnMedia),
/* harmony export */   p: () => (/* binding */ disableAutoPlayOnEmbeds)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(96407);

function stripAutoPlays(searchParams) {
  const returnVal = new URLSearchParams(searchParams);
  const keys = Array.from(searchParams.keys()).filter(k => /^auto_?play$/i.test(k)) || [];
  keys.forEach(key => {
    // In the rare case that we're handed an array of values, we use the first one
    const val = searchParams.get(key).toLowerCase();
    if (val === '1') {
      returnVal.set(key, '0');
    } else if (val === 'true') {
      returnVal.set(key, 'false');
    } else {
      // force a singular value
      returnVal.set(key, val);
    }
  });
  return returnVal;
}
function disableAutoPlayOnMedia(post, dom) {
  if (!dom) {
    throw new Error('this transform must be used as part of withContentDOM');
  }
  dom.querySelectorAll('audio, video').forEach(el => el.autoplay = false);
  return post;
}
function disableAutoPlayOnEmbeds(post, dom) {
  if (!dom) {
    throw new Error('this transform must be used as part of withContentDOM');
  }
  dom.querySelectorAll('iframe').forEach(embed => {
    const urlParts = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__/* .getUrlParts */ .O)(embed.src);
    if (urlParts.search) {
      urlParts.searchParams = stripAutoPlays(urlParts.searchParams);
      delete urlParts.search;
      embed.src = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__/* .getUrlFromParts */ ._)(urlParts).href;
    }
  });
  return post;
}

/***/ }),

/***/ 40697:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ linkJetpackCarousels)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);


/**
 * The linkJetpackCarousels rule modifies all of the WordPress galleries in the content
 * to link you to their host website's carousel instead of the permalink for that specific image.
 * Based on the DOM layout for Jetpack Galleries, which are used by Jetpack sites and WordPress.com sites
 * For example,
 * Before: https://example.com/2017/03/25/my-family/img_1/
 * After: https://example.com/2017/03/25/my-family/#jp-carousel-1234
 * @param  {Object} post The post
 * @param  {Object} dom  The DOM for the post's content
 * @returns {Object}      The post, with any additions
 */
function linkJetpackCarousels(post, dom) {
  const galleries = dom.querySelectorAll('.tiled-gallery');
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(galleries, gallery => {
    let extra = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(gallery, ['dataset', 'carouselExtra'], false);
    if (!extra) {
      // this only really exists for jsdom. See https://github.com/tmpvar/jsdom/issues/961
      extra = gallery.getAttribute('data-carousel-extra');
      if (!extra) {
        // We couldn't find the extra for this gallery. While we could pull it from the post, this makes it
        // suspect that we really found a jetpack gallery. Just bail.
        return post;
      }
    }
    let permalink;
    try {
      permalink = JSON.parse(extra).permalink;
    } catch (e) {
      // doesn't look like the extra was valid JSON. Maybe this isn't really a gallery? Bail.
      return post;
    }
    // find all the links and rewrite them to point to the carousel instead of the permalink
    const links = gallery.querySelectorAll('.tiled-gallery-item > a');
    (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(links, link => {
      const img = link.querySelector('img');
      const attachmentId = img && img.getAttribute('data-attachment-id');
      if (attachmentId) {
        link.href = permalink + '#jp-carousel-' + attachmentId;
        link.setAttribute('target', '_blank');
      }
    });
  });
  return post;
}

/***/ }),

/***/ 27319:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ makeEmbedsSafe)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(96407);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(95533);




/**
 * Given an iframe, is it okay to have it run without a sandbox?
 * @param {Object} iframe - the iframe to check
 * @returns {boolean} true/false if we trust the source and we know they don't work in a sandbox
 */
function doesNotNeedSandbox(iframe) {
  const trustedHosts = ['spotify.com', 'kickstarter.com', 'soundcloud.com', 'embed.ted.com', 'player.twitch.tv'];
  const hostName = iframe.src && (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .getUrlParts */ .O)(iframe.src).hostname;
  const iframeHost = hostName && hostName.toLowerCase();
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.some)(trustedHosts, trustedHost => `.${iframeHost}`.endsWith('.' + trustedHost));
}
function makeEmbedsSafe(post, dom) {
  if (!dom) {
    throw new Error('this transform must be used as part of withContentDOM');
  }
  const iframes = dom.querySelectorAll('iframe');
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(iframes, function (iframe) {
    if (!(0,lodash__WEBPACK_IMPORTED_MODULE_0__.startsWith)(iframe.src, 'http')) {
      iframe.parentNode.removeChild(iframe);
      return;
    }
    iframe.src = iframe.src.replace(/^http:/, 'https:');
    if (doesNotNeedSandbox(iframe)) {
      iframe.removeAttribute('sandbox');
    } else if ((0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .iframeIsAllowed */ .L)(iframe)) {
      iframe.setAttribute('sandbox', 'allow-same-origin allow-scripts allow-popups');
    } else {
      iframe.setAttribute('sandbox', 'allow-scripts');
    }
  });
  if (post.is_external || post.is_jetpack) {
    const embeds = dom.querySelectorAll('embed,object');
    (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(embeds, function (embed) {
      embed.parentNode.removeChild(embed);
    });
  }
  return post;
}

/***/ }),

/***/ 78591:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(96407);
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(12991);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(90325);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8543);




const TRANSPARENT_GIF = 'data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7';

/**
 * @param {window.Node} node - Takes in a DOM Node and mutates it so that it no longer has an 'on*' event handlers e.g. onClick
 */
const removeUnwantedAttributes = node => {
  if (!node || !node.hasAttributes()) {
    return;
  }
  const inlineEventHandlerAttributes = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.filter)(node.attributes, attr => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.startsWith)(attr.name, 'on'));
  inlineEventHandlerAttributes.forEach(a => node.removeAttribute(a.name));

  // always remove srcset because they are very difficult to make safe and may not be worth the trouble
  node.removeAttribute('srcset');
};

/**
 * Checks whether or not imageUrl should be removed from the dom
 * @param {string} imageUrl - the url of the image
 * @returns {boolean} whether or not it should be removed from the dom
 */
const imageShouldBeRemovedFromContent = imageUrl => {
  if (!imageUrl) {
    return false;
  }
  const bannedUrlParts = ['feeds.feedburner.com', 'feeds.wordpress.com/', '.feedsportal.com', 'wp-includes', 'wp-content/themes', 'wp-content/plugins', 'stats.wordpress.com', 'pixel.wp.com'];
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.some)(bannedUrlParts, part => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.includes)(imageUrl.toLowerCase(), part));
};
function provideProtocol(post, url) {
  const postUrlParts = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .getUrlParts */ .O)(post.URL);

  // The image on the relative-protocol URL will have the same protocol with the post
  if (url.startsWith('//')) {
    return `${postUrlParts.protocol || 'https:'}${url}`;
  }
  return url;
}
function makeImageSafe(post, image, maxWidth) {
  let imgSource = image.getAttribute('src');
  const imgSourceParts = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .getUrlParts */ .O)(imgSource);
  const hostName = imgSourceParts.hostname;

  // if imgSource is relative, prepend post domain so it isn't relative to calypso
  if (!hostName) {
    const postUrlParts = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .getUrlParts */ .O)(post.URL);
    imgSource = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .getUrlFromParts */ ._)({
      protocol: postUrlParts.protocol,
      host: postUrlParts.host,
      pathname: (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(postUrlParts.pathname, imgSourceParts.pathname)
    }).href;
  }
  let safeSource = maxWidth ? (0,_utils__WEBPACK_IMPORTED_MODULE_3__/* .maxWidthPhotonishURL */ .A)((0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_4__/* .safeImageUrl */ .e)(imgSource), maxWidth) : (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_4__/* .safeImageUrl */ .e)(imgSource);

  // When the image URL is not photoned, try providing protocol
  if (!safeSource) {
    imgSource = provideProtocol(post, imgSource);
  }

  // allow https sources through even if we can't make them 'safe'
  // helps images that use querystring params and are from secure sources
  if (!safeSource && (0,lodash__WEBPACK_IMPORTED_MODULE_0__.startsWith)(imgSource, 'https://')) {
    safeSource = imgSource;
  }
  removeUnwantedAttributes(image);

  // trickery to remove it from the dom / not load the image
  // TODO: test if this is necessary
  if (!safeSource || imageShouldBeRemovedFromContent(imgSource)) {
    image.parentNode.removeChild(image);
    // fun fact: removing the node from the DOM will not prevent it from loading. You actually have to
    // change out the src to change what loads. The following is a 1x1 transparent gif as a data URL
    image.setAttribute('src', TRANSPARENT_GIF);
    return;
  }
  image.setAttribute('src', safeSource);
}
const makeImagesSafe = maxWidth => (post, dom) => {
  if (!dom) {
    throw new Error('this transform must be used as part of withContentDOM');
  }
  const images = dom.querySelectorAll('img[src]');
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(images, image => makeImageSafe(post, image, maxWidth));
  return post;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (makeImagesSafe);

/***/ }),

/***/ 87898:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ makeContentLinksSafe)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(30403);


function makeContentLinksSafe(post, dom) {
  const links = Array.from(dom.querySelectorAll('a[href]'));
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(links, link => {
    // only accept links that are to http or https sites
    if (!_utils__WEBPACK_IMPORTED_MODULE_1__/* .safeLinkRe */ .T.test(link.href)) {
      link.removeAttribute('href');
    }
  });
  return post;
}

/***/ }),

/***/ 33892:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ sanitizeContent)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);

const thingsToRemove = ['.sharedaddy',
// share daddy
'script',
// might be too late for these at this point...
'.jp-relatedposts',
// jetpack related posts
'.jp-relatedposts-headline',
// same
'.mc4wp-form',
// mailchimp 4 wp
'.wpcnt',
// wordads?
'.OUTBRAIN', '.adsbygoogle', 'form',
// no form elements
'input', 'select', 'button', 'textarea'].join(', '); // make them all into one big selector

function removeElement(element) {
  element.parentNode && element.parentNode.removeChild(element);
}
function sanitizeContent(post, dom) {
  if (!dom) {
    throw new Error('this transform must be used as part of withContentDOM');
  }
  const elements = dom.querySelectorAll(thingsToRemove);
  // using forEach because qsa doesn't return a real array
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(elements, removeElement);
  return post;
}

/***/ }),

/***/ 72971:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ removeContentStyles)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);

function matches(element, selector) {
  const ep = Element.prototype;
  // modern browsers support `matches` but IE11 and older safari support it as `matchesSelector` with a prefix
  const matcher = ep.matches || ep.webkitMatchesSelector || ep.mozMatchesSelector || ep.msMatchesSelector;
  if (!matcher) {
    return false;
  }
  return matcher.call(element, selector);
}
function removeContentStyles(post, dom) {
  if (!dom) {
    throw new Error('this transform must be used as part of withContentDOM');
  }

  // Allow the markup for galleries, Instagram, and Twitter. Styling will be allowed on elements that match this selector.
  const allowedMarkupSelector = '.gallery, .gallery *, .gallery-row, .gallery-row *, .gallery-group, .gallery-group *, ' + 'blockquote[class^="instagram-"], blockquote[class^="instagram-"] *, ' + 'blockquote[class^="twitter-"], blockquote[class^="twitter-"] *';

  // remove most style attributes
  const styled = dom.querySelectorAll('[style]');
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(styled, function (element) {
    if (!matches(element, allowedMarkupSelector)) {
      element.removeAttribute('style');
    }
  });

  // remove all style elements outside of galleries and embeds
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(dom.querySelectorAll('style'), function (element) {
    if (!matches(element, allowedMarkupSelector)) {
      element.parentNode && element.parentNode.removeChild(element);
    }
  });

  // remove align from non images. Unlike above, img align is permitted anywhere.
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(dom.querySelectorAll('[align]'), element => {
    if (element.tagName !== 'IMG') {
      element.removeAttribute('align');
    }
  });
  return post;
}

/***/ }),

/***/ 87899:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ createBetterExcerpt)
/* harmony export */ });
/* unused harmony export formatExcerpt */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var striptags__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(94769);
/* harmony import */ var striptags__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(striptags__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(91007);




/**
 * Removes an HTML element from the DOM
 * @param {Node} element DOM element to remove
 */
function removeElement(element) {
  element.parentNode && element.parentNode.removeChild(element);
}

/**
 *  Trims any empty starting `br` tags.  Recurses into non-empty tags.
 *  will remove all of the leading `br`s it can find.
 * @param {Node} dom DOM element to remove br tags from.
 */
function stripLeadingBreaklines(dom) {
  if (!dom) {
    return;
  }

  // first element is breakline actually returns the node in case of success
  while (firstElementIsBreakline(dom)) {
    removeElement(firstElementIsBreakline(dom));
  }
}

/**
 *  Returns the node if first element ( checking nested ) is a `br`
 *  else returns falsy
 * @param {Node} dom DOM element to check
 */
function firstElementIsBreakline(dom) {
  if (dom.childNodes.length === 0) {
    return dom.nodeName === 'BR' && dom;
  }
  return firstElementIsBreakline(dom.firstChild);
}
function buildStrippedDom(content) {
  // Spin up a new DOM for the linebreak markup
  const dom = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .domForHtml */ .J)(content);

  // Ditch any photo captions, styles, scripts
  const stripSelectors = '.wp-caption, style, script, blockquote[class^="instagram-"], figure, .tiled-gallery';
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(dom.querySelectorAll(stripSelectors), removeElement);
  return dom.innerHTML;
}
function formatExcerpt(content) {
  if (!content) {
    return '';
  }
  const dom = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .domForHtml */ .J)(striptags__WEBPACK_IMPORTED_MODULE_1___default()(content, ['p', 'br', 'sup', 'sub']));
  dom.id = '__better_excerpt__';

  // strip any p's that are empty
  Array.from(dom.querySelectorAll('p')).filter(element => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.trim)(element.textContent).length === 0).forEach(removeElement);

  // remove styles for all p's that remain
  Array.from(dom.querySelectorAll('p')).forEach(element => {
    element.removeAttribute('style');
    element.removeAttribute('align');
  });
  stripLeadingBreaklines(dom);

  // now limit it to the first three elements
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(dom.querySelectorAll('#__better_excerpt__ > p, #__better_excerpt__ > br'), function (element, index) {
    if (index >= 3) {
      element.parentNode && element.parentNode.removeChild(element);
    }
  });

  // trim and replace &nbsp; entities
  const betterExcerpt = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.trim)(dom.innerHTML.replace(/&nbsp;/g, ' '));
  dom.innerHTML = '';
  return betterExcerpt;
}
function createBetterExcerpt(post) {
  if (!post || !post.content) {
    return post;
  }
  const strippedDom = buildStrippedDom(post.content);
  post.content_no_html = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.trim)(striptags__WEBPACK_IMPORTED_MODULE_1___default()(strippedDom));
  post.better_excerpt = formatExcerpt(strippedDom);
  post.better_excerpt_no_html = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.trim)(striptags__WEBPACK_IMPORTED_MODULE_1___default()(post.better_excerpt));

  // also make a shorter excerpt...
  if (post.better_excerpt_no_html) {
    // replace any trailing [...] with an actual ellipsis
    let shorterExcerpt = post.better_excerpt_no_html.replace(/\[...\]\w*$/, '…');
    // limit to 160 characters
    if (shorterExcerpt.length > 160) {
      const lastSpace = shorterExcerpt.lastIndexOf(' ', 160);
      shorterExcerpt = shorterExcerpt.substring(0, lastSpace) + '…';
    }
    post.short_excerpt = shorterExcerpt;
  }
  return post;
}

/***/ }),

/***/ 11060:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ decodeEntities)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(12991);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(84790);


const DEFAULT_FIELDS = ['excerpt', 'title', 'site_name'];
function decodeEntities(post, fields = DEFAULT_FIELDS) {
  fields.forEach(function (prop) {
    if (post[prop]) {
      post[prop] = (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_0__/* .decodeEntities */ .S)(post[prop]);
    }
  });

  // Sometimes titles are double-encoded, so run again to be sure
  post.title = (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_0__/* .decodeEntities */ .S)(post.title);
  if (post.parent && post.parent.title) {
    post.parent.title = (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_0__/* .decodeEntities */ .S)(post.parent.title);
  }
  if (post.author) {
    if (post.author.name) {
      post.author.name = (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_0__/* .decodeEntities */ .S)(post.author.name);
    }
    if (post.author.avatar_URL) {
      post.author.avatar_URL = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .safeImageUrl */ .e)(post.author.avatar_URL);
    }
  }
  if (post.tags) {
    // tags is an object
    Object.values(post.tags).forEach(function (tag) {
      tag.name = (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_0__/* .decodeEntities */ .S)(tag.name);
    });
  }
  return post;
}

/***/ }),

/***/ 47605:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ keepValidImages)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(12991);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);


function isValidImage(width, height) {
  return function (image) {
    return image.width >= width && image.height >= height && (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .safeImageUrl */ .e)(image.src);
  };
}
function keepValidImages(minWidth, minHeight) {
  return function keepValidImagesForWidthAndHeight(post) {
    const imageFilter = isValidImage(minWidth, minHeight);
    if (post.images) {
      post.images = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.filter)(post.images, imageFilter);
    }
    if (post.content_images) {
      post.content_images = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.filter)(post.content_images, imageFilter);
    }
    return post;
  };
}

/***/ }),

/***/ 84706:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ makeLinksSafe)
/* harmony export */ });
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(30403);
/**
 */


function makeLinksSafe(post) {
  if (post && post.URL && !_utils__WEBPACK_IMPORTED_MODULE_0__/* .safeLinkRe */ .T.test(post.URL)) {
    post.URL = '';
  }
  if (post && post.short_URL && !_utils__WEBPACK_IMPORTED_MODULE_0__/* .safeLinkRe */ .T.test(post.short_URL)) {
    post.short_URL = '';
  }
  return post;
}

/***/ }),

/***/ 8651:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ makeSiteIDSafeForAPI)
/* harmony export */ });
function makeSiteIDSafeForAPI(post) {
  if (post.site_id) {
    post.normalized_site_id = ('' + post.site_id).replace(/::/g, '/');
  }
  return post;
}

/***/ }),

/***/ 43278:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ pickCanonicalImage)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(49753);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(30834);


function pickCanonicalImage(post) {
  let canonicalImage;
  if ((0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .thumbIsLikelyImage */ .W)(post.post_thumbnail)) {
    const {
      URL: url,
      width,
      height
    } = post.post_thumbnail;
    canonicalImage = {
      uri: url,
      width,
      height
    };
  } else if (post.content_images && post.content_images.length) {
    const candidateImage = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.find)(post.content_images, _utils__WEBPACK_IMPORTED_MODULE_2__/* .isCandidateForCanonicalImage */ .g);
    if (candidateImage) {
      canonicalImage = {
        uri: candidateImage.src,
        width: candidateImage.width,
        height: candidateImage.height
      };
    }
  }
  if (canonicalImage) {
    post.canonical_image = canonicalImage;
  }
  return post;
}

/***/ }),

/***/ 9051:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ pickCanonicalMedia)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(12991);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(21498);




/**
 * Returns true if an image is large enough to be a featured asset
 * @param {Object} image - image must have a width and height property
 * @returns {boolean} true if large enough, false if image undefined or too small
 */
function isImageLargeEnoughForFeature(image) {
  if (!image) {
    return false;
  }
  const imageIsTallEnough = 100 <= image.width;
  const imageIsWideEnough = 75 <= image.height;
  return imageIsTallEnough && imageIsWideEnough;
}
function isCandidateForFeature(media) {
  if (!media) {
    return false;
  }
  if (media.mediaType === 'image') {
    return isImageLargeEnoughForFeature(media) && (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .safeImageUrl */ .e)(media.src);
  } else if (media.mediaType === 'video') {
    // we need to know how to autoplay it which probably means we know how to get a thumbnail
    return media.autoplayIframe;
  }
  return false;
}

/*
 * Given a post:
 *  1. prefer to return the post's featured image ( post.post_thumbnail )
 *  2. if there is no usable featured image, use the media that appears first in the content of the post
 *  3. if there is no eligible asset, return null
 */
function pickCanonicalMedia(post) {
  if (!post) {
    return post;
  }

  // jetpack lies about thumbnails/featured_images so we need to make sure its actually an image
  if ((0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .isUrlLikelyAnImage */ .s)(post.featured_image) && (!post.post_thumbnail && post.is_jetpack ||
  // some jetpack sites dont create post_thumbnail
  isImageLargeEnoughForFeature(post.post_thumbnail)) && (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .safeImageUrl */ .e)(post.featured_image)) {
    post.canonical_media = {
      src: post.featured_image,
      height: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(post, 'post_thumbnail.height'),
      width: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(post, 'post_thumbnail.width'),
      mediaType: 'image'
    };
    return post;
  }
  const canonicalMedia = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.find)(post.content_media, isCandidateForFeature);
  if (canonicalMedia) {
    post.canonical_media = canonicalMedia;
  }
  return post;
}

/***/ }),

/***/ 32803:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ pickPrimaryTag)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);

function pickPrimaryTag(post) {
  // if we hand max an invalid or empty array, it returns -Infinity
  const primary_tag = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.maxBy)((0,lodash__WEBPACK_IMPORTED_MODULE_0__.values)(post.tags), function (tag) {
    return tag.post_count;
  });
  if (primary_tag !== undefined) {
    post.primary_tag = primary_tag;
  }
  return post;
}

/***/ }),

/***/ 28686:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ preventWidows)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(11586);


function preventWidows(post) {
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(['excerpt'], function (prop) {
    if (post[prop]) {
      post[prop] = (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_1__/* .preventWidows */ .s)(post[prop], 2);
    }
  });
  return post;
}

/***/ }),

/***/ 66347:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ safeImagePropertiesForWidth)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6775);


function safeImagePropertiesForWidth(maxWidth) {
  return function safeImageProperties(post) {
    (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .makeImageURLSafe */ .u)(post.author, 'avatar_URL', maxWidth);
    (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .makeImageURLSafe */ .u)(post, 'featured_image', maxWidth, post.URL);
    if (post.post_thumbnail) {
      (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .makeImageURLSafe */ .u)(post.post_thumbnail, 'URL', maxWidth, post.URL);
    }
    if (post.featured_media && post.featured_media.type === 'image') {
      (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .makeImageURLSafe */ .u)(post.featured_media, 'uri', maxWidth, post.URL);
    }
    if (post.canonical_image && post.canonical_image.uri) {
      (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .makeImageURLSafe */ .u)(post.canonical_image, 'uri', maxWidth, post.URL);
    }
    if (post.attachments) {
      Object.values(post.attachments).forEach(function (attachment) {
        if ((0,lodash__WEBPACK_IMPORTED_MODULE_0__.startsWith)(attachment.mime_type, 'image/')) {
          (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .makeImageURLSafe */ .u)(attachment, 'URL', maxWidth, post.URL);
        }
      });
    }
    return post;
  };
}

/***/ }),

/***/ 26920:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ stripHtml)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(79700);


function stripHtml(post) {
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(['excerpt', 'title', 'site_name'], function (prop) {
    if (post[prop]) {
      post[prop] = (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_1__/* .stripHTML */ ._)(post[prop]);
    }
  });
  if (post.author && post.author.name) {
    post.author.name = (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_1__/* .stripHTML */ ._)(post.author.name);
  }
  return post;
}

/***/ }),

/***/ 87019:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ waitForImagesToLoad)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6588);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(49753);



const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('calypso:post-normalizer:wait-for-images-to-load');
function convertImageToObject(image) {
  const returnObj = {
    src: image.src,
    // use natural height and width
    width: image.naturalWidth,
    height: image.naturalHeight
  };
  if (image instanceof Image && image.complete) {
    returnObj.fetched = true;
  }
  return returnObj;
}
function imageForURL(imageUrl) {
  const img = new Image();
  img.src = imageUrl;
  return img;
}
function promiseForImage(image) {
  if (image.complete && image.naturalWidth > 0) {
    return Promise.resolve(image);
  }
  return new Promise((resolve, reject) => {
    image.onload = () => resolve(image);
    image.onerror = () => reject(image);
  });
}
function waitForImagesToLoad(post) {
  return new Promise(resolve => {
    function acceptLoadedImages(images) {
      if (post.featured_image) {
        if (!images.some(img => img.src === post.featured_image)) {
          // featured image didn't load, nix it
          post.featured_image = null;
        }
      }
      post.images = images.map(convertImageToObject);
      post.content_images = (0,lodash__WEBPACK_IMPORTED_MODULE_1__.map)(post.content_images, image => post.images.find(img => img.src === image.src)).filter(Boolean);

      // this adds adds height/width to images
      post.content_media = (0,lodash__WEBPACK_IMPORTED_MODULE_1__.map)(post.content_media, media => {
        if (media.mediaType === 'image') {
          const img = post.images.find(image => image.src === media.src);
          return {
            ...media,
            ...img
          };
        }
        return media;
      });
      resolve(post);
    }
    const knownImages = {};
    const imagesToCheck = [];
    function checkAndRememberDimensions(image, url) {
      // Check provided image (if any) for dimension info first.
      let knownDimensions = image && (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .deduceImageWidthAndHeight */ ._)(image);

      // If we still don't know the dimension info, check attachments.
      if (!knownDimensions && post.attachments) {
        const attachment = Object.values(post.attachments).find(att => att.URL === post.featured_image);
        if (attachment) {
          knownDimensions = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .deduceImageWidthAndHeight */ ._)(attachment);
        }
      }

      // Remember dimensions if we have them.
      if (knownDimensions) {
        knownImages[url] = {
          src: url,
          naturalWidth: knownDimensions.width,
          naturalHeight: knownDimensions.height
        };
      }
      imagesToCheck.push(url);
    }
    if ((0,_utils__WEBPACK_IMPORTED_MODULE_3__/* .thumbIsLikelyImage */ .W)(post.post_thumbnail)) {
      checkAndRememberDimensions(post.post_thumbnail, post.post_thumbnail.URL);
    } else if (post.featured_image) {
      checkAndRememberDimensions(null, post.featured_image);
    }
    (0,lodash__WEBPACK_IMPORTED_MODULE_1__.forEach)(post.content_images, image => checkAndRememberDimensions(image, image.src));
    if (imagesToCheck.length === 0) {
      resolve(post);
      return;
    }
    const imagesLoaded = {};

    // convert to image objects to start the load process
    // only check the first x images
    const NUMBER_OF_IMAGES_TO_CHECK = 10;
    let promises = imagesToCheck.slice(0, NUMBER_OF_IMAGES_TO_CHECK).map(imageUrl => {
      if (imageUrl in knownImages) {
        return Promise.resolve(knownImages[imageUrl]);
      }
      return promiseForImage(imageForURL(imageUrl));
    });
    promises.forEach(promise => {
      promise.then(image => {
        // keep track of what loaded successfully. Note these will be out of order.
        imagesLoaded[image.src] = image;
      }).catch(err => {
        // ignore what did not, but return the promise chain to success
        debug('failed to load image', err, post);
        return null;
      }).then(() => {
        // check to see if all of the promises have settled
        // if so, accept what loaded and resolve the main promise
        promises = promises.filter(p => p !== promise);
        if (promises.length === 0) {
          const imagesInOrder = imagesToCheck.map(src => imagesLoaded[src]).filter(Boolean);
          acceptLoadedImages(imagesInOrder);
        }
      }).catch(err => {
        debug('Fulfilling promise failed', err);
      });
    });
  });
}

/***/ }),

/***/ 45445:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ createDomTransformRunner)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(91007);


function createDomTransformRunner(transforms) {
  return function withContentDOM(post) {
    if (!post || !post.content || !transforms) {
      return post;
    }
    const dom = (0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .domForHtml */ .J)(post.content);
    post = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(transforms, (memo, transform) => {
      return transform(memo, dom);
    }, post);
    post.content = dom.innerHTML;
    dom.innerHTML = '';
    return post;
  };
}

/***/ }),

/***/ 6588:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ deduceImageWidthAndHeight)
/* harmony export */ });
function deduceImageWidthAndHeight(image) {
  if (image.height && image.width) {
    return {
      height: image.height,
      width: image.width
    };
  }
  if (image.naturalHeight && image.naturalWidth) {
    return {
      height: image.naturalHeight,
      width: image.naturalWidth
    };
  }
  if (image.dataset && image.dataset.origSize) {
    const [width, height] = image.dataset.origSize.split(',').map(Number);
    return {
      width,
      height
    };
  }
  return null;
}

/***/ }),

/***/ 91007:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ domForHtml)
/* harmony export */ });
function domForHtml(html) {
  if (typeof DOMParser !== 'undefined' && window.DOMParser.prototype.parseFromString) {
    const parser = new window.DOMParser();
    const parsed = parser.parseFromString(html, 'text/html');
    if (parsed && parsed.body) {
      return parsed.body;
    }
  }

  // DOMParser support is not present or non-standard
  const newDoc = document.implementation.createHTMLDocument('processing doc');
  const dom = newDoc.createElement('div');
  dom.innerHTML = html;
  return dom;
}

/***/ }),

/***/ 95533:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L: () => (/* binding */ iframeIsAllowed)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(96407);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);



/**
 * Determines if an iframe is from a source we trust. We allow these to be the featured media and also give
 * them a freer sandbox
 * @param  {Object} iframe the iframe to check
 * @returns {boolean} true if allowed
 */
function iframeIsAllowed(iframe) {
  const allowedIframeHosts = ['youtube.com', 'youtube-nocookie.com', 'videopress.com', 'video.wordpress.com', 'vimeo.com', 'cloudup.com', 'soundcloud.com', '8tracks.com', 'spotify.com', 'me.sh', 'bandcamp.com', 'kickstarter.com', 'facebook.com', 'embed.itunes.apple.com', 'nyt.com', 'google.com', 'mixcloud.com', 'players.brightcove.net', 'embed.ted.com', 'fast.wistia.net', 'player.twitch.tv', 'archive.org', 'codepen.io', 'www.audiomack.com', 'player.theplatform.com', 'embed.radiopublic.com', 'gfycat.com', 'scribd.com', 'megaphone.fm', 'icloud.com', 'read.amazon.com', 'loom.com', 'pca.st'];
  const hostName = iframe.src && (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .getUrlParts */ .O)(iframe.src).hostname;
  const iframeSrc = hostName && hostName.toLowerCase();
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.some)(allowedIframeHosts, function (allowedHost) {
    return `.${iframeSrc}`.endsWith('.' + allowedHost);
  });
}

/***/ }),

/***/ 30834:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   g: () => (/* binding */ isCandidateForCanonicalImage)
/* harmony export */ });
function isCandidateForCanonicalImage(image) {
  if (!image) {
    return false;
  }
  if (image.width < 100) {
    return false;
  }
  if (image.width * image.height < 100 * 75) {
    return false;
  }
  return true;
}

/***/ }),

/***/ 21498:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s: () => (/* binding */ isUrlLikelyAnImage)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(96407);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);



/**
 * Determine if url is likely pointed to an image
 * @param {string} uri - a url
 * @returns {boolean} - true or false depending on if it is probably an image (has the right extension)
 */
function isUrlLikelyAnImage(uri) {
  if (!uri) {
    return false;
  }
  const withoutQuery = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .getUrlParts */ .O)(uri).pathname;
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.some)(['.jpg', '.jpeg', '.png', '.gif'], ext => withoutQuery.endsWith(ext));
}

/***/ }),

/***/ 6775:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ makeImageURLSafe)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(96407);
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(12991);
/* harmony import */ var calypso_lib_post_normalizer_utils_max_width_photonish_url__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(8543);
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(90325);



function makeImageURLSafe(object, propName, maxWidth, baseURL) {
  if (object && object[propName]) {
    const urlParts = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__/* .getUrlParts */ .O)(object[propName]);
    if (baseURL && !urlParts.hostname) {
      const {
        pathname: basePath,
        protocol: baseProtocol,
        hostname: baseHostname
      } = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__/* .getUrlParts */ .O)(baseURL);
      const resolvedPath = (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(basePath, object[propName]);
      object[propName] = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__/* .getUrlFromParts */ ._)({
        ...urlParts,
        protocol: baseProtocol,
        hostname: baseHostname,
        pathname: resolvedPath
      }).href;
    }
    object[propName] = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_2__/* .safeImageUrl */ .e)(object[propName]);
    if (maxWidth) {
      object[propName] = (0,calypso_lib_post_normalizer_utils_max_width_photonish_url__WEBPACK_IMPORTED_MODULE_3__/* .maxWidthPhotonishURL */ .A)(object[propName], maxWidth);
    }
  }
}

/***/ }),

/***/ 8543:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ maxWidthPhotonishURL)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(96407);
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(33957);
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(11922);

const IMAGE_SCALE_FACTOR =  true && window.devicePixelRatio && window.devicePixelRatio > 1 ? 2 : 1;
const DEFAULT_PHOTON_QUALITY = 80; // 80 was chosen after some heuristic testing as the best blend of size and quality

const SERVICE_HOSTNAME_PATTERNS = {
  photon: /(^[is]\d\.wp\.com|(^|\.)wordpress\.com)$/,
  gravatar: /(^|\.)gravatar\.com$/
};
function maxWidthPhotonishURL(imageURL, width) {
  if (!imageURL) {
    return imageURL;
  }
  const urlParts = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__/* .getUrlParts */ .O)(imageURL);
  const urlType = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .determineUrlType */ .n)(imageURL);

  // Return the unformatted imageURL for path-relative or path-absolute URLs.
  if (!urlParts.host) {
    return imageURL;
  }
  const service = Object.keys(SERVICE_HOSTNAME_PATTERNS).find(key => urlParts.hostname.match(SERVICE_HOSTNAME_PATTERNS[key]));

  // From this point on, we should only have absolute and scheme-relative URLs.
  delete urlParts.search;
  // strip other sizing params
  for (const param of ['h', 'crop', 'resize', 'fit']) {
    urlParts.searchParams.delete(param);
  }
  const sizeParam = 'gravatar' === service ? 's' : 'w';
  urlParts.searchParams.set(sizeParam, width * IMAGE_SCALE_FACTOR);
  if ('gravatar' !== service) {
    // gravatar doesn't support these, only photon / files.wordpress
    urlParts.searchParams.set('quality', DEFAULT_PHOTON_QUALITY);
    urlParts.searchParams.set('strip', 'info'); // strip all exif data, leave ICC intact
  }

  // make a new query object with keys in a known order
  const sortedKeys = Array.from(urlParts.searchParams.keys()).sort();
  const sortedParams = new URLSearchParams();
  sortedKeys.forEach(key => sortedParams.set(key, urlParts.searchParams.get(key)));
  const extendedUrl = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__/* .getUrlFromParts */ ._)({
    ...urlParts,
    // Provide a protocol if one is missing. This is the case for some image ads.
    protocol: urlParts.protocol || 'https:',
    // Override original search params.
    searchParams: sortedParams
  }).href;
  try {
    // Format back to original URL type (e.g. scheme-relative).
    return (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(extendedUrl, urlType);
  } catch {
    // Something failed in the formatting, so return just return the full extended URL.
    return extendedUrl;
  }
}

/***/ }),

/***/ 30403:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ safeLinkRe),
/* harmony export */   o: () => (/* binding */ safeLink)
/* harmony export */ });
const safeLinkRe = /^https?:\/\//;

/**
 * Only accept links that start with http or https. Reject others.
 * @param {string} link the link to check
 * @returns {string|undefined} the safe link or undefined
 */
function safeLink(link) {
  if (safeLinkRe.test(link)) {
    return link;
  }
  return undefined;
}

/***/ }),

/***/ 49753:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   W: () => (/* binding */ thumbIsLikelyImage)
/* harmony export */ });
/* harmony import */ var calypso_lib_post_normalizer_utils_is_url_likely_an_image__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(21498);


/**
 * Determine if a post thumbnail is likely an image
 * @param  {Object} thumb the thumbnail object from a post
 * @returns {boolean}       whether or not we think this is an image
 */
function thumbIsLikelyImage(thumb) {
  if (!thumb || !thumb.URL) {
    return false;
  }
  // this doesn't work because jetpack 4.2 lies
  // normally I wouldn't leave commented code in, but it's the best way to explain what not to do
  //if ( startsWith( thumb.mime_type, 'image/' ) ) {
  //	return true;
  // }
  return (0,calypso_lib_post_normalizer_utils_is_url_likely_an_image__WEBPACK_IMPORTED_MODULE_0__/* .isUrlLikelyAnImage */ .s)(thumb.URL);
}

/***/ }),

/***/ 895:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ createPurchasesArray)
/* harmony export */ });
/* harmony import */ var _automattic_data_stores__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(58636);

const createPurchasesArray = _automattic_data_stores__WEBPACK_IMPORTED_MODULE_0__/* .utils */ .Wp.createPurchasesArray;

/***/ }),

/***/ 66621:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u0: () => (/* binding */ getQueryArgs)
/* harmony export */ });
/* unused harmony exports setQueryArgs, updateQueryArgs */
/* harmony import */ var _wordpress_url__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(93832);
/* harmony import */ var _wordpress_url__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_url__WEBPACK_IMPORTED_MODULE_0__);


function getRelativeUrlWithParameters(queryArgs, clearExistingParameters = false) {
  const url = new URL(window.location.href);
  if (clearExistingParameters) {
    url.searchParams.forEach((value, key) => url.searchParams.delete(key));
  }
  for (const [key, value] of Object.entries(queryArgs)) {
    url.searchParams.set(key, value);
  }
  return url.pathname + url.search + url.hash;
}

/**
 * Sets URL parameters, removing the existing ones
 * 1. {
 *     uri: 'https://wordpress.com/read/search',
 *     queryArgs: '{ q: "reader is super awesome" }'
 *    } --> '/read/search?q=reader+is+super+awesome'
 * 2. {
 *     uri: 'https://wordpress.com/read/search?s=seo',
 *     queryArgs: '{ c: "category" }'
 *    } --> '/read/search?c=category'
 * 3. {
 *     uri: 'https://wordpress.com/read/search?s=seo',
 *     queryArgs: '{}'
 *    } --> '/read/search'
 * @param queryArgs search object
 * @param redirect boolean if set to true, the history will be replaced instead of pushed
 * Every object key will be created in the URL
 */
function setQueryArgs(queryArgs, redirect = false) {
  const searchWithoutBaseURL = getRelativeUrlWithParameters(queryArgs, true);
  if (redirect) {
    page.redirect(searchWithoutBaseURL);
  } else {
    page(searchWithoutBaseURL);
  }
}

/**
 * Adds or Updates URL parameters, maitaining the existing ones
 * 1. {
 *     uri: 'https://wordpress.com/read/search',
 *     queryArgs: '{ q: "reader is super awesome" }'
 *    } --> '/read/search?q=reader+is+super+awesome'
 * 2. {
 *     uri: 'https://wordpress.com/read/search',
 *     queryArgs: '{ s: seo, c: "category" }'
 *    } --> '/read/search?s=seo&c=category'
 * @param queryArgs search object
 * Every object key found in the URL will be replaced
 */
function updateQueryArgs(queryArgs) {
  const searchWithoutBaseURL = getRelativeUrlWithParameters(queryArgs);
  page(searchWithoutBaseURL);
}

/**
 * Get query args from a URL
 * @returns object Object containing query args or empty object if doesn't have any
 * 1. { uri: 'https://wordpress.com/plugins?s=hello' } --> { s: 'hello' }
 * 2. { uri: 'https://wordpress.com/plugins?s=seo&c=category' } --> { s: 'seo', c: 'category' }
 */
function getQueryArgs() {
  return (0,_wordpress_url__WEBPACK_IMPORTED_MODULE_0__.getQueryArgs)(window.location.href);
}

/***/ }),

/***/ 40305:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ QueryManager)
/* harmony export */ });
/* unused harmony export DELETE_PATCH_KEY */
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(24586);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _key__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(62322);




/**
 * Constants
 */

/**
 * Object key name for property used in indicating that an item is intended to
 * be removed during patched `mergeItem`.
 * @type {string}
 */
const DELETE_PATCH_KEY = '__DELETE';

/*
 * Construct an array of items from an array of keys and a map of key/item pairs.
 * There is a two-level memoization cache for the `items` and `itemKeys` params.
 * `itemKeys` can also be `null`, which means a request to return an array of all items.
 */
const itemsCache = new WeakMap();
const ALL_ITEMS_KEY = [];
function getItemsForKeys(items, itemKeys) {
  // Get the cache record for the `items` instance, construct a new one if doesn't exist yet.
  let cacheForItems = itemsCache.get(items);
  if (!cacheForItems) {
    cacheForItems = new WeakMap();
    itemsCache.set(items, cacheForItems);
  }

  // `itemKeys == null` means a request for array of all items. Cache them with a special key.
  if (itemKeys == null) {
    let resultForAllKeys = cacheForItems.get(ALL_ITEMS_KEY);
    if (!resultForAllKeys) {
      resultForAllKeys = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.values)(items);
      cacheForItems.set(ALL_ITEMS_KEY, resultForAllKeys);
    }
    return resultForAllKeys;
  }

  // compute result from `items` and `itemKeys`, cached for unique `itemKeys` instances
  let resultForItemKeys = cacheForItems.get(itemKeys);
  if (!resultForItemKeys) {
    resultForItemKeys = itemKeys.map(itemKey => items[itemKey]);
    cacheForItems.set(itemKeys, resultForItemKeys);
  }
  return resultForItemKeys;
}

/**
 * QueryManager manages items which can be queried and change over time. It is
 * intended to be extended by a more specific implementation which is
 * responsible for implementing its matching, merging, and sorting behaviors.
 */
class QueryManager {
  /**
   * Constructs a new instance of QueryManager
   * @param {Object} data            Initial data
   * @param {Object} options         Manager options
   * @param {string} options.itemKey Field to key items by
   */
  constructor(data, options) {
    this.data = Object.assign({
      items: {},
      queries: {}
    }, data);
    this.options = Object.assign({
      itemKey: 'ID'
    }, options);
  }

  /**
   * Returns a new item after consideration of incoming revision of that
   * item. The item can be undefined in the case that the revision is
   * new. Optionally patch the item to merge, not replace. Returning
   * undefined indicates that item should be removed from known set.
   * @param  {?Object} item        Existing item, if exists
   * @param  {Object}  revisedItem Incoming revision of item
   * @param  {boolean} patch       Use patching application
   * @returns {?Object}             Item to track, or undefined to omit
   */
  static mergeItem(item, revisedItem, patch = false) {
    if (patch) {
      if (revisedItem[DELETE_PATCH_KEY]) {
        return undefined;
      }
      return Object.assign({}, item, revisedItem);
    }
    return revisedItem;
  }

  /**
   * Returns true if the item matches the given query, or false otherwise.
   * @param  {Object}  query Query object
   * @param  {Object}  item  Item to consider
   * @returns {boolean}       Whether item matches query
   */
  static matches(query, item) {
    return !!item;
  }

  /**
   * A sort comparison function that defines the sort order of items under
   * consideration of the specified query.
   * @param  {Object} query Query object
   * @param  {Object} itemA First item
   * @param  {Object} itemB Second item
   * @returns {number}       0 if equal, less than 0 if itemA is first,
   *                        greater than 0 if itemB is first.
   */
  static compare(query, itemA, itemB) {
    if (itemA === itemB) {
      return 0;
    }
    return itemB - itemA;
  }

  /**
   * A sorting function that defines the sort order of items under
   * consideration of the specified query. This mutates the keys argument and
   * doesn't have a return value (because that's how Array.prototype.sort works, see
   * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/sort ).
   * @param  {Array}  keys  Keys to be sorted
   * @param  {Array}  items Items by which to sort
   * @param  {Object} query Query object
   */
  static sort(keys, items, query) {
    keys.sort((keyA, keyB) => {
      if (!items[keyA] || !items[keyB]) {
        // One of the items has yet to be removed from the
        // set at this point in iteration, so don't bother
        // trying to sort.
        // This is just an optimization, so implementers of an extending class's `sort`
        // method aren't required to implement this check.
        return 0;
      }
      return this.compare(query, items[keyA], items[keyB]);
    });
  }

  /**
   * Returns a single item by key.
   * @param  {string} itemKey Item key
   * @returns {Object}         Item
   */
  getItem(itemKey) {
    return this.data.items[itemKey];
  }

  /**
   * Returns items tracked by the instance. If a query is specified, returns
   * items specific to that query, or null if no items have been received for
   * the query.
   * @param  {?Object}       query Optional query object
   * @returns {Object[] | null}       Items tracked, if known
   */
  getItems(query) {
    let itemKeys = null;
    if (query) {
      const queryKey = this.constructor.QueryKey.stringify(query);
      itemKeys = this.data.queries[queryKey]?.itemKeys;
      if (!itemKeys) {
        return null;
      }
    }
    return getItemsForKeys(this.data.items, itemKeys);
  }

  /**
   * Returns the number of total known items for the specified query, as
   * included in the REST API posts response. Returns null if the query is
   * not known.
   * @param  {Object}  query Query object
   * @returns {?number}       Found items for query
   */
  getFound(query) {
    const queryKey = this.constructor.QueryKey.stringify(query);
    return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(this.data.queries, [queryKey, 'found'], null);
  }

  /**
   * Removes a single item given its item key, returning a new instance of
   * QueryManager if the tracked items have changed, or the current instance
   * otherwise.
   * @param  {string}       itemKey Key of item to remove
   * @returns {QueryManager}         New instance if changed, or same instance
   *                                otherwise
   */
  removeItem(itemKey) {
    return this.removeItems([itemKey]);
  }

  /**
   * Removes multiple items given an array of item keys, returning a new
   * instance of QueryManager if the tracked items have changed, or the
   * current instance otherwise.
   * @param  {string[]}     itemKeys Keys of items to remove
   * @returns {QueryManager}          New instance if changed, or same
   *                                 instance otherwise
   */
  removeItems(itemKeys = []) {
    return this.receive(itemKeys.map(itemKey => {
      return {
        [this.options.itemKey]: itemKey,
        [DELETE_PATCH_KEY]: true
      };
    }), {
      patch: true
    });
  }

  /**
   * Signal that an item(s) has been received for tracking. Optionally
   * specify that items received are intended for patch application, or that
   * they are associated with a query. This function does not mutate the
   * instance state. Instead, it returns a new instance of QueryManager if
   * the tracked items have been modified, or the current instance otherwise.
   * @param  {(Array | Object)} items              Item(s) to be received
   * @param  {Object}         options            Options for receive
   * @param  {boolean}        options.patch      Apply changes as partial
   * @param  {Object}         options.query      Query set to set or replace
   * @param  {boolean}        options.mergeQuery Add to existing query set
   * @param  {boolean}        options.dontShareQueryResultsWhenQueriesAreDifferent When storing results for one query, results for that query should not be shared with different queries
   * @param  {number}         options.found      Total found items for query
   * @returns {QueryManager}                      New instance if changed, or
   *                                             same instance otherwise
   */
  receive(items = [], options = {}) {
    // Coerce received single item to array
    if (!Array.isArray(items)) {
      items = [items];
    }
    const nextItems = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(items, (memo, receivedItem) => {
      const receivedItemKey = receivedItem[this.options.itemKey];
      const item = this.getItem(receivedItemKey);
      const mergedItem = this.constructor.mergeItem(item, receivedItem, options.patch);
      if (undefined === mergedItem) {
        if (item) {
          // `undefined` item is an intended omission from set
          return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(memo, receivedItemKey);
        }

        // Item never existed in set in the first place, skip and
        // return same memo
        return memo;
      }
      if (!item || !(0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEqual)(mergedItem, item)) {
        // Did not exist previously or has changed
        if (memo === this.data.items) {
          // Create a copy of memo, as we don't want to mutate the original items set
          memo = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.clone)(memo);
        }
        memo[receivedItemKey] = mergedItem;
      }
      return memo;
    }, this.data.items);
    let isModified = nextItems !== this.data.items;
    let nextQueries = this.data.queries;
    let isNewlyReceivedQueryKey = false;
    let receivedQueryKey;

    // Skip if no items have been updated, added, or removed. If query
    // specified with received items, we may need to update queries
    if (!isModified && !options.query) {
      return this;
    }
    if (options.query) {
      const receivedItemKeys = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.map)(items, this.options.itemKey);
      receivedQueryKey = this.constructor.QueryKey.stringify(options.query);
      isNewlyReceivedQueryKey = !this.data.queries[receivedQueryKey];
      let nextQueryReceivedItemKeys;
      if (isNewlyReceivedQueryKey || !(0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEqual)(this.data.queries[receivedQueryKey].itemKeys, receivedItemKeys)) {
        if (options.mergeQuery && !isNewlyReceivedQueryKey) {
          // When merging into a query where items already exist,
          // omit incoming keys from existing set. These keys will
          // be restored below during match testing.
          nextQueryReceivedItemKeys = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.difference)(this.data.queries[receivedQueryKey].itemKeys, receivedItemKeys);
        } else {
          // If not merging, assign incoming keys as next items
          nextQueryReceivedItemKeys = receivedItemKeys;
        }
      }
      let nextQueryFound;
      if (options.found >= 0 && options.found !== (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(nextQueries, [receivedQueryKey, 'found'])) {
        nextQueryFound = options.found;
      }
      if (nextQueryReceivedItemKeys || nextQueryFound >= 0) {
        // Consider modified if either the current query set is not
        // tracked or if the keys differ from currently known set
        isModified = true;
        const nextReceivedQuery = Object.assign({}, nextQueries[receivedQueryKey]);
        if (nextQueryReceivedItemKeys) {
          nextReceivedQuery.itemKeys = nextQueryReceivedItemKeys;
        }
        if (nextQueryFound >= 0) {
          nextReceivedQuery.found = nextQueryFound;
        }
        nextQueries = Object.assign({}, nextQueries, {
          [receivedQueryKey]: nextReceivedQuery
        });
      }
    }
    nextQueries = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(nextQueries, (memo, queryDetails, queryKey) => {
      memo[queryKey] = queryDetails;
      const isReceivedQueryKey = receivedQueryKey && receivedQueryKey === queryKey;
      if (isReceivedQueryKey && (isNewlyReceivedQueryKey || !options.mergeQuery)) {
        // We can save the effort testing against received items in
        // the current query, since we know they'll match
        return memo;
      }
      if (!isReceivedQueryKey && options.dontShareQueryResultsWhenQueriesAreDifferent) {
        return memo;
      }

      // Found counts should not be adjusted for the received query if
      // merging into existing items
      const shouldAdjustFoundCount = !isReceivedQueryKey;
      const query = this.constructor.QueryKey.parse(queryKey);
      let needsSort = false;
      items.forEach(receivedItem => {
        // Find item in known data for query
        const receivedItemKey = receivedItem[this.options.itemKey];
        const updatedItem = nextItems[receivedItemKey];
        const index = memo[queryKey].itemKeys.indexOf(receivedItemKey);
        if (-1 !== index) {
          // Item already exists in query, check to see whether the
          // updated item is being removed or no longer matches
          if (!updatedItem || !this.constructor.matches(query, updatedItem)) {
            // Create a copy of the original details to avoid mutating
            if (memo[queryKey] === queryDetails) {
              memo[queryKey] = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.clone)(queryDetails);
            }

            // Omit item by slicing previous and next
            memo[queryKey].itemKeys = [...memo[queryKey].itemKeys.slice(0, index), ...memo[queryKey].itemKeys.slice(index + 1)];

            // Decrement found count for query
            if (shouldAdjustFoundCount && Number.isFinite(memo[queryKey].found)) {
              memo[queryKey].found--;
            }
          }
        } else if (updatedItem && this.constructor.matches(query, updatedItem)) {
          // Item doesn't currently exist in query but is a match, so
          // insert item into set

          // Create a copy of the original details to avoid mutating
          if (memo[queryKey] === queryDetails) {
            memo[queryKey] = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.clone)(queryDetails);
          }

          // Increment found count for query
          if (shouldAdjustFoundCount && Number.isFinite(memo[queryKey].found)) {
            memo[queryKey].found++;
          }

          // A matching item should be inserted into the query set
          memo[queryKey].itemKeys = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(memo, [queryKey, 'itemKeys'], []).concat(receivedItemKey);

          // The itemKeys will need to be re-sorted after all items are processed
          needsSort = true;
        }
      });
      if (needsSort) {
        this.constructor.sort(memo[queryKey].itemKeys, nextItems, query);
      }
      isModified = isModified || memo[queryKey] !== queryDetails;
      return memo;
    }, {});
    if (!isModified) {
      return this;
    }
    return new this.constructor(Object.assign({}, this.data, {
      items: nextItems,
      queries: nextQueries
    }), this.options);
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(QueryManager, "QueryKey", _key__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A);

/***/ }),

/***/ 62322:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ QueryKey)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(24586);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);



/**
 * QueryKey manages the serialization and deserialization of a query key for
 * use in tracking query results in an instance of QueryManager.
 */
class QueryKey {
  /**
   * Given a query object, determines which values of query are included in
   * stringification or parsed return value. The base class will omit only
   * undefined values, but can be extended to omit null values or values
   * matching those in a default query.
   * @param  {Object} query Query object
   * @returns {Object}       Pruned query object
   */
  static omit(query) {
    const {
      OMIT_NULL_VALUES,
      DEFAULT_QUERY
    } = this;
    if (!OMIT_NULL_VALUES && !DEFAULT_QUERY) {
      return query;
    }
    return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omitBy)(query, (value, key) => {
      if (OMIT_NULL_VALUES && null === value) {
        return true;
      }
      if (DEFAULT_QUERY && DEFAULT_QUERY[key] === value) {
        return true;
      }
      return false;
    });
  }

  /**
   * Returns a serialized query, given a query object
   * @param  {Object} query Query object
   * @returns {string}       Serialized query
   */
  static stringify(query) {
    const prunedQuery = this.omit(query);

    // A stable query is one which produces the same result regardless of
    // key ordering in the original object, to ensure that:
    //
    // QueryKey.stringify( { a: 1, b: 2 } ) === QueryKey.stringify( { b: 2, a: 1 } )
    const stableQuery = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.sortBy)(Object.entries(prunedQuery), pair => pair[0]);
    return JSON.stringify(stableQuery);
  }

  /**
   * Returns a query object, given a serialized query
   * @param  {string} key Serialized query
   * @returns {Object}     Query object
   */
  static parse(key) {
    return this.omit(Object.fromEntries(JSON.parse(key)));
  }
}
/**
 * If defined in extending class, will omit all parameters where values
 * match that of the default query
 * @type {?Object}
 */
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(QueryKey, "DEFAULT_QUERY", null);
/**
 * If defined in extending class as true, will omit all null values from
 * stringified or parsed query objects
 * @type {boolean}
 */
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(QueryKey, "OMIT_NULL_VALUES", false);

/***/ }),

/***/ 61692:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ DEFAULT_PAGINATED_QUERY),
/* harmony export */   n: () => (/* binding */ PAGINATION_QUERY_KEYS)
/* harmony export */ });
const DEFAULT_PAGINATED_QUERY = {
  number: 20,
  page: 1
};
const PAGINATION_QUERY_KEYS = ['number', 'offset', 'page'];

/***/ }),

/***/ 37093:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ PaginatedQueryManager)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(24586);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(40305);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(61692);
/* harmony import */ var _key__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(25398);





const pageCache = new WeakMap();

/*
 * Compute paginated slices of the `items` array, with memoization
 */
function getPaginatedItems(items, start, count) {
  // retrieve cache for the `items` array, create a new record if doesn't exist
  let itemsCache = pageCache.get(items);
  if (!itemsCache) {
    itemsCache = new Map();
    pageCache.set(items, itemsCache);
  }

  // cache the computed page slices
  const pageKey = `${start}/${count}`;
  let pageResult = itemsCache.get(pageKey);
  if (!pageResult) {
    pageResult = items.slice(start, start + count);
    itemsCache.set(pageKey, pageResult);
  }
  return pageResult;
}

/**
 * PaginatedQueryManager manages paginated data which can be queried and
 * change over time
 */
class PaginatedQueryManager extends ___WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A {
  /**
   * Returns true if the specified query is an object containing one or more
   * query pagination keys.
   * @param  {Object}  query Query object to check
   * @returns {boolean}       Whether query contains pagination key
   */
  static hasQueryPaginationKeys(query) {
    return !!query && _constants__WEBPACK_IMPORTED_MODULE_2__/* .PAGINATION_QUERY_KEYS */ .n.some(key => query.hasOwnProperty(key));
  }

  /**
   * Returns items tracked by the instance. If a query is specified, returns
   * items specific to that query.
   * @param  {?Object}  query Optional query object
   * @returns {Object[]}       Items tracked
   */
  getItems(query) {
    if (!query) {
      return super.getItems(query);
    }

    // Get all items, ignoring page. Test as truthy to ensure that query is
    // in-fact being tracked, otherwise bail early.
    const dataIgnoringPage = this.getItemsIgnoringPage(query, true);
    if (!dataIgnoringPage) {
      return dataIgnoringPage;
    }

    // Slice the unpaginated set of data
    const page = query.page || this.constructor.DefaultQuery.page;
    const perPage = query.number || this.constructor.DefaultQuery.number;
    const startOffset = (page - 1) * perPage;
    return getPaginatedItems(dataIgnoringPage, startOffset, perPage);
  }

  /**
   * Returns items tracked by the instance, ignoring pagination for the given
   * query.
   * @param  {Object}   query         Query object
   * @param  {boolean}  includeFiller Whether page structure should be left
   *                                  intact to reflect found count, with
   *                                  items yet to be received as `undefined`
   * @returns {Object[]}               Items tracked, ignoring page
   */
  getItemsIgnoringPage(query, includeFiller = false) {
    if (!query) {
      return null;
    }
    const items = super.getItems((0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(query, _constants__WEBPACK_IMPORTED_MODULE_2__/* .PAGINATION_QUERY_KEYS */ .n));
    if (!items || includeFiller) {
      return items;
    }
    return items.filter(item => undefined !== item);
  }

  /**
   * Returns the number of pages for the specified query, or null if the
   * query is not known.
   * @param  {Object}  query Query object
   * @returns {?number}       Pages for query
   */
  getNumberOfPages(query) {
    const found = this.getFound(query);
    if (null === found) {
      return found;
    }
    const perPage = query.number || this.constructor.DefaultQuery.number;
    return Math.ceil(found / perPage);
  }

  /**
   * Signal that an item(s) has been received for tracking. Optionally
   * specify that items received are intended for patch application, or that
   * they are associated with a query. This function does not mutate the
   * instance state. Instead, it returns a new instance of QueryManager if
   * the tracked items have been modified, or the current instance otherwise.
   * @param  {(Array | Object)} items              Item(s) to be received
   * @param  {Object}         options            Options for receive
   * @param  {boolean}        options.patch      Apply changes as partial
   * @param  {Object}         options.query      Query set to set or replace
   * @param  {boolean}        options.mergeQuery Add to existing query set
   * @param  {number}         options.found      Total found items for query
   * @returns {QueryManager}                      New instance if changed, or
   *                                             same instance otherwise
   */
  receive(items, options = {}) {
    // When tracking queries, remove pagination query arguments. These are
    // simulated in `PaginatedQueryManager.prototype.getItems`.
    let modifiedOptions = options;
    if (options.query) {
      modifiedOptions = Object.assign({
        mergeQuery: true
      }, options, {
        query: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(options.query, _constants__WEBPACK_IMPORTED_MODULE_2__/* .PAGINATION_QUERY_KEYS */ .n)
      });
    }

    // Receive the updated manager, passing a modified set of options to
    // exclude pagination keys, and to indicate appending query.
    const nextManager = super.receive(items, modifiedOptions);

    // If manager is the same instance, assume no changes have been made
    if (this === nextManager) {
      return nextManager;
    }

    // If original query does not have any pagination keys, we don't need
    // to update its item set
    if (!this.constructor.hasQueryPaginationKeys(options.query)) {
      return nextManager;
    }
    const queryKey = this.constructor.QueryKey.stringify(options.query);
    const page = options.query.page || this.constructor.DefaultQuery.page;
    const perPage = options.query.number || this.constructor.DefaultQuery.number;
    const startOffset = (page - 1) * perPage;
    const nextQuery = nextManager.data.queries[queryKey];

    // Coerce received single item to array
    if (!Array.isArray(items)) {
      items = [items];
    }

    // If the item set for the queried page is identical, there are no
    // updates to be made
    const pageItemKeys = items.map(item => item[this.options.itemKey]);

    // If we've reached this point, we know that we've received a paged
    // set of data where our assumed item set is incorrect.
    const modifiedNextQuery = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.cloneDeep)(nextQuery);

    // Found count is not always reliable.  For example, if one or more
    // password-protected posts would appear in a page of API results, but
    // the current user doesn't have access to view them, then they will be
    // omitted from the results entirely.  There are also other situations
    // where this can occur, such as `status: 'inherit'`.
    //
    // Even worse, the WP.com API will decrement the found count in this
    // situation, but only for items missing from the currently requested
    // page.
    //
    // What should we do about all of this?  We decided that given the
    // limitations of this code, it's OK for a page of results to have less
    // than the expected number of items, and we should not try to
    // decrement the "found" count either because then we could end up
    // skipping pages from the end of a result set.
    //
    // Therefore, the only thing we need to do here is take the *maximum*
    // of the previous "found" count and the next "found" count.
    if (modifiedNextQuery.hasOwnProperty('found') && items.length < perPage) {
      const previousQuery = this.data.queries[queryKey];
      if (previousQuery && previousQuery.hasOwnProperty('found')) {
        modifiedNextQuery.found = Math.max(previousQuery.found, modifiedNextQuery.found);
      }
    }

    // Replace the assumed set with the received items.
    modifiedNextQuery.itemKeys = [...(0,lodash__WEBPACK_IMPORTED_MODULE_0__.range)(0, startOffset).map(index => {
      // Ensure that item set is comprised of all indices leading up
      // to received page, even if those items are not known.
      const itemKey = nextQuery.itemKeys[index];
      if (!pageItemKeys.includes(itemKey)) {
        return itemKey;
      }
    }), ...(0,lodash__WEBPACK_IMPORTED_MODULE_0__.range)(0, perPage).map(index => {
      // Fill page with items from the received set, or undefined to
      // at least ensure page matches expected range
      return pageItemKeys[index];
    }), ...nextQuery.itemKeys.slice(startOffset + perPage).filter(itemKey => {
      // Filter out any item keys which exist in the page set, as
      // this indicates that they've trickled down from later page
      return itemKey && !pageItemKeys.includes(itemKey);
    })];

    // If found is known from options, ensure that we fill the end of the
    // array with undefined entries until found count
    if (modifiedNextQuery.hasOwnProperty('found')) {
      modifiedNextQuery.itemKeys = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.range)(0, modifiedNextQuery.found).map(index => {
        return modifiedNextQuery.itemKeys[index];
      });
    }
    return new this.constructor(Object.assign({}, nextManager.data, {
      queries: Object.assign({}, nextManager.data.queries, {
        [queryKey]: modifiedNextQuery
      })
    }), nextManager.options);
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(PaginatedQueryManager, "QueryKey", _key__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A);
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(PaginatedQueryManager, "DefaultQuery", _constants__WEBPACK_IMPORTED_MODULE_2__/* .DEFAULT_PAGINATED_QUERY */ .J);

/***/ }),

/***/ 25398:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ PaginatedQueryKey)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _key__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(62322);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(61692);




/**
 * PaginatedQueryKey manages the serialization and deserialization of a query
 * key for use in tracking query results in an instance of PostQueryManager.
 */
class PaginatedQueryKey extends _key__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A {
  /**
   * Returns a serialized query, given a query object
   * @param  {Object} query Query object
   * @returns {string}       Serialized query
   */
  static stringify(query) {
    return super.stringify((0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(query, _constants__WEBPACK_IMPORTED_MODULE_2__/* .PAGINATION_QUERY_KEYS */ .n));
  }

  /**
   * Returns a query object, given a serialized query
   * @param  {string} key Serialized query
   * @returns {Object}     Query object
   */
  static parse(key) {
    return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(super.parse(key), _constants__WEBPACK_IMPORTED_MODULE_2__/* .PAGINATION_QUERY_KEYS */ .n);
  }
}

/***/ }),

/***/ 34201:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ DEFAULT_POST_QUERY)
/* harmony export */ });
const DEFAULT_POST_QUERY = {
  context: 'display',
  http_envelope: false,
  pretty: false,
  number: 20,
  offset: 0,
  page: 1,
  order: 'DESC',
  order_by: 'date',
  type: 'post',
  status: 'publish',
  sticky: 'include',
  search: ''
};

/***/ }),

/***/ 81524:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ PostQueryManager)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(24586);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(76154);
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _paginated__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(37093);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(34201);
/* harmony import */ var _key__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(38807);







/**
 * PostQueryManager manages posts which can be queried and change over time
 */
class PostQueryManager extends _paginated__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A {
  /**
   * Returns true if the post matches the given query, or false otherwise.
   * @param  {Object}  query Query object
   * @param  {Object}  post  Item to consider
   * @returns {boolean}       Whether post matches query
   */
  static matches(query, post) {
    const queryWithDefaults = Object.assign({}, this.DefaultQuery, query);
    return Object.entries(queryWithDefaults).every(([key, value]) => {
      switch (key) {
        case 'search':
          {
            if (!value) {
              return true;
            }
            const search = value.toLowerCase();
            return post.title && post.title.toLowerCase().includes(search) || post.content && post.content.toLowerCase().includes(search);
          }
        case 'after':
        case 'before':
        case 'modified_after':
        case 'modified_before':
          {
            const queryDate = moment__WEBPACK_IMPORTED_MODULE_1___default()(value, (moment__WEBPACK_IMPORTED_MODULE_1___default().ISO_8601));
            const comparison = /after$/.test(key) ? 'isAfter' : 'isBefore';
            const field = /^modified_/.test(key) ? 'modified' : 'date';
            return queryDate.isValid() && moment__WEBPACK_IMPORTED_MODULE_1___default()(post[field])[comparison](queryDate);
          }
        case 'term':
          return Object.entries(value).every(([taxonomy, slugs]) => {
            slugs = slugs.split(',');
            return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.some)(post.terms[taxonomy], ({
              slug
            }) => slugs.includes(slug));
          });
        case 'tag':
        case 'category':
          {
            if (!value) {
              return true;
            }
            const valueLowercase = value.toLowerCase();
            const field = 'tag' === key ? 'tags' : 'categories';
            return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.some)(post[field], ({
              name,
              slug
            }) => {
              return name && name.toLowerCase() === valueLowercase || slug && slug.toLowerCase() === valueLowercase;
            });
          }
        case 'type':
          return 'any' === value || value === post.type;
        case 'parent_id':
          return value === post.parent || post.parent && value === post.parent.ID;
        case 'exclude':
          if (Array.isArray(value)) {
            return !value.includes(post.ID);
          }
          return value !== post.ID;
        case 'sticky':
          if ('require' === value) {
            return post.sticky;
          } else if ('exclude' === value) {
            return !post.sticky;
          }
          return true;
        case 'author':
          return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(post, 'author.ID', post.author) === value;
        case 'status':
          return 'any' === value || String(value).split(',').some(status => {
            return status === post[key];
          });
      }
      return true;
    });
  }

  /**
   * A sort comparison function that defines the sort order of posts under
   * consideration of the specified query.
   * @param  {Object} query Query object
   * @param  {Object} postA First post
   * @param  {Object} postB Second post
   * @returns {number}       0 if equal, less than 0 if postA is first,
   *                        greater than 0 if postB is first.
   */
  static compare(query, postA, postB) {
    let order;
    switch (query.order_by) {
      case 'ID':
        order = postA.ID - postB.ID;
        break;
      case 'comment_count':
        order = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(postA.discussion, 'comment_count', 0) - (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(postB.discussion, 'comment_count', 0);
        break;
      case 'title':
        order = postA.title.localeCompare(postB.title);
        break;
      case 'modified':
        order = new Date(postA.modified) - new Date(postB.modified);
        break;
      case 'date':
      default:
        order = new Date(postA.date) - new Date(postB.date);
    }

    // Default to descending order, opposite sign of ordered result
    if (!query.order || /^desc$/i.test(query.order)) {
      order *= -1;
    }
    return order || 0;
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(PostQueryManager, "QueryKey", _key__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A);
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(PostQueryManager, "DefaultQuery", _constants__WEBPACK_IMPORTED_MODULE_3__/* .DEFAULT_POST_QUERY */ .u);

/***/ }),

/***/ 38807:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ PostQueryKey)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _paginated_key__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(25398);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(34201);




/**
 * Returns true if the specified key value query pair is identical to that of
 * the default post query, is null, or is undefined.
 * @param  {*}       value Value to check
 * @param  {string}  key   Key to check
 * @returns {boolean}       Whether key value matches default query or is null
 */
function isDefaultOrNullQueryValue(value, key) {
  return null == value || _constants__WEBPACK_IMPORTED_MODULE_2__/* .DEFAULT_POST_QUERY */ .u[key] === value // Double-equals null checks undefined, null
  ;
}

/**
 * PostQueryKey manages the serialization and deserialization of a query key
 * for use in tracking query results in an instance of PostQueryManager.
 */
class PostQueryKey extends _paginated_key__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A {
  /**
   * Returns a serialized query, given a query object
   * @param  {Object} query Query object
   * @returns {string}       Serialized query
   */
  static stringify(query) {
    return super.stringify((0,lodash__WEBPACK_IMPORTED_MODULE_0__.omitBy)(query, isDefaultOrNullQueryValue));
  }

  /**
   * Returns a query object, given a serialized query
   * @param  {string} key Serialized query
   * @returns {Object}     Query object
   */
  static parse(key) {
    return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omitBy)(super.parse(key), isDefaultOrNullQueryValue);
  }
}

/***/ }),

/***/ 60222:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export withItemsSchema */
/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(67276);
/* harmony import */ var deep_freeze__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(deep_freeze__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);


const queryManagerSchema = deep_freeze__WEBPACK_IMPORTED_MODULE_0___default()({
  additionalProperties: false,
  required: ['data', 'options'],
  type: 'object',
  properties: {
    data: {
      additionalProperties: false,
      type: 'object',
      properties: {
        items: {
          type: 'object'
        },
        queries: {
          additionalProperties: false,
          type: 'object',
          patternProperties: {
            // Stringified query objects are the keys
            '^\\[.*\\]$': {
              required: ['itemKeys'],
              type: 'object',
              properties: {
                itemKeys: {
                  type: 'array',
                  items: {
                    // Typical valid object keys
                    // `null` is important for PagingQueryManager
                    // It fills array with undefined (matches null)
                    type: ['integer', 'null', 'string']
                  }
                },
                found: {
                  type: 'integer'
                }
              }
            }
          }
        }
      }
    },
    options: {
      additionalProperties: true,
      required: ['itemKey'],
      type: 'object',
      properties: {
        itemKey: {
          type: 'string'
        }
      }
    }
  }
});

/**
 * Get a queryManagerSchema with a customized items schema
 * @param  {Object} itemsSchema Schema that will be used for the items
 * @returns {Object}            Customized schema
 */
function withItemsSchema(itemsSchema) {
  return cloneDeepWith(queryManagerSchema, value => {
    if (value === queryManagerSchema.properties.data.properties.items) {
      return itemsSchema;
    }
  });
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (queryManagerSchema);

/***/ }),

/***/ 67686:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ withQueryManager)
/* harmony export */ });
/**
 * Apply a `callback` transformation to a `QueryManager` instance in `state[ siteId ]` and
 * return a state object updated with its result.
 * If the `state[ siteId ]` object doesn't exist, it's created with the `create` function.
 * If `create` is `false`, the `callback` will not be applied (there is no `QueryManager` to
 * apply it to after all) and unchanged state will be returned.
 * @param {Object} state State object
 * @param {string} siteId State key
 * @param {Function} callback Transformation callback
 * @param {Function} [create] Optional create callback
 * @returns {Object} Updated state object
 */
function withQueryManager(state, siteId, callback, create) {
  if (!siteId) {
    return state;
  }
  const prevManager = state[siteId] || create && create();
  if (!prevManager) {
    return state;
  }
  const nextManager = callback(prevManager);
  if (nextManager === prevManager) {
    return state;
  }
  return {
    ...state,
    [siteId]: nextManager
  };
}

/***/ }),

/***/ 10313:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GE: () => (/* binding */ getSiteFragment)
/* harmony export */ });
/* unused harmony exports addSiteFragment, sectionify, getStatsDefaultSitePage, getStatsPathForTab, getMessagePathForJITM, mapPostStatus */


/**
 * Module variables
 */
const statsLocationsByTab = {
  day: '/stats/day/',
  week: '/stats/week/',
  month: '/stats/month/',
  year: '/stats/year/',
  insights: '/stats/insights/',
  googleMyBusiness: '/google-my-business/stats/'
};
function getSiteFragment(path) {
  const basePath = path.split('?')[0];
  const pieces = basePath.split('/');

  // Some paths include a receipt or subscription ID that can be mistaken for a site ID.
  // Always return false for these specific paths.
  if (
  // Avoid confusing the receipt ID for the site ID in domain-only checkouts.
  0 === basePath.indexOf('/checkout/thank-you/no-site/') ||
  // Avoid confusing the subscription ID for the site ID in gifting checkouts.
  basePath.includes('/gift/') && basePath.startsWith('/checkout/') ||
  // Avoid confusing the subscription ID for the site ID in Akismet checkouts.
  basePath.includes('/akismet/') && basePath.startsWith('/checkout/') ||
  // Avoid confusing the subscription ID for the site ID in Marketplace checkouts.
  basePath.includes('/marketplace/') && basePath.startsWith('/checkout/')) {
    return false;
  }

  // By default there are two URL positions where we should look for the site fragment:
  // last (most sections) and second-to-last (post ID is last in editor).
  // searchPositions defines the second-to-last and last index positions to search. Order matters.
  let searchPositions = [pieces.length - 2, pieces.length - 1];

  // There are exceptions. In some paths the site fragment could also be in the third position.
  // e.g. /me/purchases/example.wordpress.com/foo/bar
  if (0 === basePath.indexOf('/me/purchases/') || 0 === basePath.indexOf('/checkout/thank-you/')) {
    searchPositions = [3, pieces.length - 2, pieces.length - 1];
  }
  // In other paths the site fragment is in the second position.
  // e.g. /checkout/example.wordpress.com/offer-plan-upgrade/business-monthly/75806534
  else if (basePath.includes('/offer-plan-upgrade/') && basePath.startsWith('/checkout/')) {
    searchPositions = [2];
  }
  // For this specific path, the site fragment is in the last index position.
  // e.g /checkout/offer-professional-email/new-domain.com/example.wordpress.com (last)
  else if (basePath.includes('/offer-professional-email/') && basePath.startsWith('/checkout/')) {
    searchPositions = [pieces.length - 1];
  }

  // Search for site slug in the URL positions defined in searchPositions.
  for (let i = 0; i < searchPositions.length; i++) {
    const piece = pieces[searchPositions[i]];
    if (piece && -1 !== piece.indexOf('.')) {
      // There is a special Jetpack case for site slugs that end with '::'.
      return piece.endsWith('::') ? piece.replace(/::$/, '') : piece;
    }
  }

  // If a site slug is not found search for a site ID in the URL positions defined in searchPositions.
  for (let i = 0; i < searchPositions.length; i++) {
    const piece = pieces[searchPositions[i]];

    // We can't just do parseInt because some strings look like numbers, eg: '404-hello'
    const isNumber = /^\d+$/.test(piece);
    const intPiece = parseInt(piece, 10);
    if (isNumber && Number.isSafeInteger(intPiece)) {
      return intPiece;
    }
  }

  // No site fragment found.
  return false;
}
function addSiteFragment(path, site) {
  const pieces = sectionify(path).split('/');
  if (['post', 'page', 'edit'].includes(pieces[1])) {
    // Editor-style URL; insert the site as either the 2nd or 3rd piece of
    // the URL ( '/post/:site' or '/edit/:cpt/:site' )
    const sitePos = 'edit' === pieces[1] ? 3 : 2;
    pieces.splice(sitePos, 0, site);
  } else {
    // Somewhere else in Calypso; add /:site onto the end
    pieces.push(site);
  }
  return pieces.join('/');
}
function sectionify(path, siteFragment) {
  let basePath = path.split('?')[0];
  let fragment = siteFragment;

  // Sometimes the caller knows better than `getSiteFragment` what the `siteFragment` is.
  // For example, when the `:site` parameter is not the last or second-last part of the route
  // and is retrieved from `context.params.site`. In that case, it can pass the `siteFragment`
  // explicitly as the second parameter. We call `getSiteFragment` only as a fallback.
  if (!fragment) {
    fragment = getSiteFragment(basePath);
  }
  if (fragment) {
    basePath = trailingslashit(basePath).replace('/' + fragment + '/', '/');
  }
  return untrailingslashit(basePath);
}
function getStatsDefaultSitePage(siteFragment) {
  const path = '/stats/day/';
  if (siteFragment) {
    return path + String(siteFragment);
  }
  return untrailingslashit(path);
}
function getStatsPathForTab(tab, siteIdOrSlug) {
  if (!tab) {
    return getStatsDefaultSitePage(siteIdOrSlug);
  }
  if (tab === 'insights' && !siteIdOrSlug) {
    // Insights only supports single-site - Link to an overview for now
    return getStatsDefaultSitePage();
  }
  const path = statsLocationsByTab[tab];
  if (!path) {
    return getStatsDefaultSitePage(siteIdOrSlug);
  }
  if (!siteIdOrSlug) {
    return untrailingslashit(path);
  }
  return untrailingslashit(path + siteIdOrSlug);
}
function getMessagePathForJITM(path, siteFragment) {
  let messagePath = sectionify(path, siteFragment).replace(/^\/+/, '');

  // simplify stats paths
  messagePath = messagePath.replace(/^(stats)\/\w+/, '$1');
  return messagePath.replace(/\//g, '-');
}

// TODO: Add status enum (see `client/my-sites/pages/main.jsx`).
/**
 * Post status in our routes mapped to valid API values
 * @param status  Status param from route
 * @returns        mapped status value
 */
function mapPostStatus(status) {
  switch (status) {
    // Drafts
    case 'drafts':
      return 'draft,pending';
    // Posts scheduled in the future
    case 'scheduled':
      return 'future';
    // Trashed posts
    case 'trashed':
      return 'trash';
    default:
      return 'publish,private';
  }
}

/***/ }),

/***/ 68305:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (path => path === '/' ? path : path.replace(/\/$/, ''));

/***/ }),

/***/ 29723:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Zg: () => (/* binding */ getJetpackSiteCollisions)
/* harmony export */ });
/* unused harmony exports userCan, timezone, gmtOffset, getSiteFileModDisableReason, isMainNetworkSite, hasCustomDomain, isModuleActive, getUnmappedUrl */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(61402);



function userCan(capability, site) {
  return site && site.capabilities && site.capabilities[capability];
}

/**
 * site's timezone getter
 * @param   {Object} site - site object
 * @returns {string} timezone
 */
function timezone(site) {
  return site && site.options ? site.options.timezone : null;
}

/**
 * site's gmt_offset getter
 * @param   {Object} site - site object
 * @returns {string} gmt_offset
 */
function gmtOffset(site) {
  return site && site.options ? site.options.gmt_offset : null;
}
function getSiteFileModDisableReason(site, action = 'modifyFiles') {
  if (!site || !site.options || !site.options.file_mod_disabled) {
    return;
  }
  return site.options.file_mod_disabled.map(clue => {
    if (action === 'modifyFiles' || action === 'autoupdateFiles' || action === 'autoupdateCore') {
      if (clue === 'has_no_file_system_write_access') {
        return i18n.translate('The file permissions on this host prevent editing files.');
      }
      if (clue === 'disallow_file_mods') {
        return i18n.translate('File modifications are explicitly disabled by a site administrator.');
      }
    }
    if ((action === 'autoupdateFiles' || action === 'autoupdateCore') && clue === 'automatic_updater_disabled') {
      return i18n.translate('Any autoupdates are explicitly disabled by a site administrator.');
    }
    if (action === 'autoupdateCore' && clue === 'wp_auto_update_core_disabled') {
      return i18n.translate('Core autoupdates are explicitly disabled by a site administrator.');
    }
    return null;
  }).filter(reason => reason);
}
function isMainNetworkSite(site) {
  if (!site) {
    return false;
  }
  if (site.options && site.options.is_multi_network) {
    return false;
  }
  if (site.is_multisite === false) {
    return true;
  }
  if (site.is_multisite) {
    const unmappedUrl = get(site.options, 'unmapped_url', null);
    const mainNetworkSite = get(site.options, 'main_network_site', null);
    if (!unmappedUrl || !mainNetworkSite) {
      return false;
    }
    // Compare unmapped_url with the main_network_site to see if is the main network site.
    return !(withoutHttp(unmappedUrl) !== withoutHttp(mainNetworkSite));
  }
  return false;
}

/**
 * Checks whether a site has a custom mapped URL.
 * @param   {undefined|null|{domain?: string; wpcom_url?: string}}   site Site object
 * @returns {boolean|null}      Whether site has custom domain
 */
function hasCustomDomain(site) {
  if (!site || !site.domain || !site.wpcom_url) {
    return null;
  }
  return site.domain !== site.wpcom_url;
}
function isModuleActive(site, moduleId) {
  return site.options?.active_modules?.includes(moduleId);
}

/**
 * Returns the WordPress.com URL of a site (simple or Atomic)
 * @param {Object} site Site object
 * @returns {?string} WordPress.com URL
 */
function getUnmappedUrl(site) {
  if (!site || !site.options) {
    return null;
  }
  return site.options.main_network_site || site.options.unmapped_url;
}

/**
 * Returns a filtered array of WordPress.com site IDs where a Jetpack site
 * exists in the set of sites with the same URL.
 * @param {Array} siteList Array of site objects
 * @returns {number[]} Array of site IDs with URL collisions
 */
function getJetpackSiteCollisions(siteList) {
  return siteList.filter(siteItem => {
    const siteUrlSansProtocol = (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_1__/* .withoutHttp */ .Lo)(siteItem.URL);
    return !siteItem.jetpack && siteList.some(jetpackSite => jetpackSite.jetpack && siteUrlSansProtocol === (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_1__/* .withoutHttp */ .Lo)(jetpackSite.URL));
  }).map(siteItem => siteItem.ID);
}

/***/ }),

/***/ 26002:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ addQueryArgs)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(33957);
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(11922);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);


const BASE_URL = 'http://__domain__.invalid';
function addQueryArgs(args, url) {
  if ('object' !== typeof args) {
    throw new Error('addQueryArgs expects the first argument to be an object.');
  }
  if ('string' !== typeof url) {
    throw new Error('addQueryArgs expects the second argument to be a string.');
  }
  const urlType = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .determineUrlType */ .n)(url);
  if (urlType === _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .URL_TYPE */ .P.INVALID) {
    throw new Error('addQueryArgs expects the second argument to be a valid URL.');
  }

  // Remove any undefined query args
  args = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.pickBy)(args, arg => arg != null);
  const parsed = new URL(url, BASE_URL);
  const newSearch = new URLSearchParams(parsed.search);
  for (const key of Object.keys(args)) {
    newSearch.set(key, String(args[key]));
  }

  // Path-relative URLs require special handling, because they cannot be transformed
  // into an absolute URL without potentially losing path information.
  // E.g. `../foo?bar=baz` becomes `<base>/foo?bar=baz` when fed to `new URL()`
  // with a base, losing the traversal into the parent directory.
  // We need to handle these with a string replace instead.
  if (urlType === _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_1__/* .URL_TYPE */ .P.PATH_RELATIVE) {
    let serializedSearch = newSearch.toString();
    if (serializedSearch !== '') {
      serializedSearch = `?${serializedSearch}`;
    }

    // The URL had some params already.
    if (parsed.search !== '') {
      return url.replace(parsed.search, serializedSearch);
    }

    // The URL didn't have params, but it had a hash.
    if (parsed.hash) {
      return url.replace(parsed.hash, `${serializedSearch}${parsed.hash}`);
    }

    // The URL didn't have params nor a hash.
    return `${url}${serializedSearch}`;
  }
  parsed.search = newSearch.toString();

  // Format the new URL into the same type the original had.
  return (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(parsed, urlType);
}

/***/ }),

/***/ 61402:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Lo: () => (/* binding */ withoutHttp),
/* harmony export */   q_: () => (/* binding */ urlToSlug)
/* harmony export */ });
/* unused harmony export urlToDomainAndPath */
const urlWithoutHttpRegex = /^https?:\/\//;

/**
 * Returns the supplied URL without the initial http(s).
 * @param  url The URL to remove http(s) from
 * @returns     URL without the initial http(s)
 */

function withoutHttp(url) {
  if (url === '') {
    return '';
  }
  if (!url) {
    return null;
  }
  return url.replace(urlWithoutHttpRegex, '');
}
function urlToSlug(url) {
  if (!url) {
    return null;
  }
  return withoutHttp(url).replace(/\//g, '::');
}

/**
 * Removes the `http(s)://` part and the trailing slash from a URL.
 * "http://blog.wordpress.com" will be converted into "blog.wordpress.com".
 * "https://www.wordpress.com/blog/" will be converted into "www.wordpress.com/blog".
 * @param  urlToConvert The URL to convert
 * @returns              The URL's domain and path
 */
function urlToDomainAndPath(urlToConvert) {
  return withoutHttp(urlToConvert).replace(/\/$/, '');
}

/***/ }),

/***/ 90325:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ resolveRelativePath)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(33957);

const DUMMY_URL = 'http://__domain__.invalid/';
function resolveRelativePath(basePath, relativePath) {
  basePath = basePath || '/';
  const baseType = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__/* .determineUrlType */ .n)(basePath);
  if (baseType !== _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.PATH_ABSOLUTE) {
    throw new Error('`basePath` should be an absolute path');
  }
  const url = new URL(DUMMY_URL);
  url.pathname = basePath;
  if (!relativePath) {
    return url.pathname;
  }
  url.pathname = (url.pathname.endsWith('/') ? url.pathname.slice(0, -1) : url.pathname) + (relativePath.startsWith('/') ? '' : '/') + relativePath;
  return url.pathname;
}

/***/ }),

/***/ 72366:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   p: () => (/* binding */ filterUserObject)
/* harmony export */ });
/* harmony import */ var calypso_lib_formatting_decode_entities__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(84790);
/* harmony import */ var _get_computed_attributes__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(32852);


const allowedKeys = ['ID', 'display_name', 'username', 'avatar_URL', 'site_count', 'jetpack_site_count', 'atomic_site_count', 'visible_site_count', 'jetpack_visible_site_count', 'atomic_visible_site_count', 'date', 'has_unseen_notes', 'newest_note_type', 'phone_account', 'email', 'email_verified', 'is_valid_google_apps_country', 'user_ip_country_code', 'logout_URL', 'primary_blog', 'primary_blog_is_jetpack', 'has_jetpack_partner_access', 'jetpack_partner_types', 'primary_blog_url', 'meta', 'is_new_reader', 'social_login_connections', 'abtests', 'lasagna_jwt', 'i18n_empathy_mode', 'use_fallback_for_incomplete_languages', 'is_google_domain_owner', 'had_hosting_trial'];
const requiredKeys = ['ID'];
const decodedKeys = ['display_name', 'description', 'user_URL'];
function filterUserObject(obj) {
  if (typeof obj !== 'object') {
    throw new Error('the /me response is not an object');
  }
  for (const key of requiredKeys) {
    if (!obj.hasOwnProperty(key)) {
      throw new Error(`the /me response misses a required field '${key}'`);
    }
  }
  const user = {};
  for (const key of allowedKeys) {
    const value = obj[key];
    user[key] = value && decodedKeys.includes(key) ? (0,calypso_lib_formatting_decode_entities__WEBPACK_IMPORTED_MODULE_0__/* .decodeEntities */ .S)(value) : value;
  }
  return Object.assign(user, (0,_get_computed_attributes__WEBPACK_IMPORTED_MODULE_1__/* .getComputedAttributes */ .V)(obj));
}

/***/ }),

/***/ 32852:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   V: () => (/* binding */ getComputedAttributes)
/* harmony export */ });
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(61402);

function getSiteSlug(url) {
  const slug = (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_0__/* .withoutHttp */ .Lo)(url);
  return slug.replace(/\//g, '::');
}
function getComputedAttributes(attributes) {
  const primaryBlogUrl = attributes.primary_blog_url || '';
  return {
    primarySiteSlug: getSiteSlug(primaryBlogUrl),
    localeSlug: attributes.language,
    localeVariant: attributes.locale_variant
  };
}

/***/ }),

/***/ 28713:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   G: () => (/* binding */ getLogoutUrl)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);

function getLogoutUrl(userData, redirect) {
  let url;
  let subdomain = '';

  // If logout_URL isn't set, then go ahead and return the logout URL
  // without a proper nonce as a fallback.
  // Note: we never want to use logout_URL in the desktop app
  if (!userData?.logout_URL || _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"].isEnabled */ .Ay.isEnabled('always_use_logout_url')) {
    // Use localized version of the homepage in the redirect
    if (userData?.localeSlug && userData.localeSlug !== '' && userData.localeSlug !== 'en') {
      subdomain = userData.localeSlug + '.';
    }
    url = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('logout_url').replace('|subdomain|', subdomain);
  } else {
    url = userData.logout_URL;
  }
  if ('string' === typeof redirect) {
    redirect = '&redirect_to=' + encodeURIComponent(redirect);
    url += redirect;
  }
  return url;
}

/***/ }),

/***/ 94627:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   r: () => (/* binding */ rawCurrentUserFetch)
/* harmony export */ });
/* harmony import */ var calypso_lib_wp__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(89406);

function rawCurrentUserFetch() {
  return calypso_lib_wp__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.me().get({
    meta: 'flags'
  });
}

/***/ }),

/***/ 93463:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   bC: () => (/* binding */ clearStore)
/* harmony export */ });
/* unused harmony exports getStoredUserId, setStoredUserId, disablePersistence, onDisablePersistence */
/* harmony import */ var store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70020);
/* harmony import */ var store__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(store__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_browser_storage__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(59005);



/**
 * Empty localStorage cache to discard any user reference that the application may hold
 */
async function clearStore() {
  store__WEBPACK_IMPORTED_MODULE_0___default().clearAll();
  await (0,calypso_lib_browser_storage__WEBPACK_IMPORTED_MODULE_1__/* .clearStorage */ .N1)();
}
function getStoredUserId() {
  return store.get('wpcom_user_id');
}
function setStoredUserId(userId) {
  return store.set('wpcom_user_id', userId);
}
const disablePersistenceCallbacks = (/* unused pure expression or super */ null && ([]));
function disablePersistence() {
  for (const callback of disablePersistenceCallbacks) {
    callback();
  }
}
function onDisablePersistence(callback) {
  disablePersistenceCallbacks.push(callback);
}

/***/ }),

/***/ 89406:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   N: () => (/* binding */ wpcomJetpackLicensing)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var wpcom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(34439);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(41445);
/* harmony import */ var calypso_lib_oauth_token__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(30144);
/* harmony import */ var calypso_lib_wp_support__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(55797);
/* harmony import */ var calypso_lib_wpcom_xhr_wrapper__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(30106);
/* harmony import */ var _handlers_guest_sandbox_ticket__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(19037);
/* harmony import */ var _localization__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(61154);









const debug = debug__WEBPACK_IMPORTED_MODULE_1___default()('calypso:wp');
let wpcom;
if (_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"].isEnabled */ .Ay.isEnabled('oauth')) {
  wpcom = new wpcom__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(calypso_lib_oauth_token__WEBPACK_IMPORTED_MODULE_3__/* .getToken */ .gf(), calypso_lib_wpcom_xhr_wrapper__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A);
} else if (_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"].isEnabled */ .Ay.isEnabled('is_running_in_jetpack_site')) {
  wpcom = new wpcom__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(calypso_lib_wpcom_xhr_wrapper__WEBPACK_IMPORTED_MODULE_5__/* .jetpack_site_xhr_wrapper */ .Y);
} else {
  wpcom = new wpcom__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .Ay);

  // Upgrade to "access all users blogs" mode
  wpcom.request({
    metaAPI: {
      accessAllUsersBlogs: true
    }
  }, function (error) {
    if (error) {
      throw error;
    }
    debug('Proxy now running in "access all user\'s blogs" mode');
  });
}
wpcom = (0,calypso_lib_wp_support__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(wpcom);
if (false) {}

// Inject localization helpers to `wpcom` instance
(0,_localization__WEBPACK_IMPORTED_MODULE_7__/* .injectLocalization */ .l)(wpcom);
(0,_handlers_guest_sandbox_ticket__WEBPACK_IMPORTED_MODULE_6__/* .injectGuestSandboxTicketHandler */ .p4)(wpcom);

/**
 * Expose `wpcom`
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (wpcom);

/**
 * Expose `wpcomJetpackLicensing` which uses a different auth token than wpcom.
 */
const wpcomJetpackLicensing = new wpcom__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(calypso_lib_wpcom_xhr_wrapper__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A);

/***/ }),

/***/ 19037:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   p4: () => (/* binding */ injectGuestSandboxTicketHandler)
/* harmony export */ });
/* unused harmony exports GUEST_TICKET_LOCALFORAGE_KEY, GUEST_TICKET_VALIDITY_DURATION, deleteOldTicket */
/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(45810);
/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(qs__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var store__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(70020);
/* harmony import */ var store__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(store__WEBPACK_IMPORTED_MODULE_1__);


const GUEST_TICKET_LOCALFORAGE_KEY = 'guest_sandbox_ticket';
const GUEST_TICKET_VALIDITY_DURATION = 1000 * 60 * 60 * 2; // two hours

const getTicket = () => store__WEBPACK_IMPORTED_MODULE_1___default().get(GUEST_TICKET_LOCALFORAGE_KEY);

/**
 * Deletes an old guest sandbox ticket from local storage if one exists.
 */
const deleteOldTicket = () => {
  const existingTicket = getTicket();
  if (existingTicket && existingTicket.createdDate < Date.now() - GUEST_TICKET_VALIDITY_DURATION) {
    store__WEBPACK_IMPORTED_MODULE_1___default().remove(GUEST_TICKET_LOCALFORAGE_KEY);
  }
};

/**
 * Updates `wpcom` to pass a store sandbox ticket if one is present.
 * @param {Object} wpcom Original WPCOM instance
 */
const injectGuestSandboxTicketHandler = wpcom => {
  const request = wpcom.request.bind(wpcom);
  Object.assign(wpcom, {
    request(params, callback) {
      const ticket = getTicket();
      if (ticket) {
        const query = (0,qs__WEBPACK_IMPORTED_MODULE_0__.parse)(params.query);
        params = Object.assign({}, params, {
          query: (0,qs__WEBPACK_IMPORTED_MODULE_0__.stringify)(Object.assign(query, {
            store_sandbox_ticket: ticket.value
          }))
        });
      }
      return request(params, callback);
    }
  });
};

/**
 * Deletes the old ticket and sets the new one from a `guest_ticket` querystring parameter.
 */
const initialize = () => {
  if (false) {}
  deleteOldTicket();
  const queryObject = (0,qs__WEBPACK_IMPORTED_MODULE_0__.parse)(window.location.search.replace('?', ''));
  if (queryObject.guest_ticket) {
    store__WEBPACK_IMPORTED_MODULE_1___default().set(GUEST_TICKET_LOCALFORAGE_KEY, {
      createdDate: Date.now(),
      value: queryObject.guest_ticket
    });
  }
};
initialize();

/***/ }),

/***/ 61154:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   l: () => (/* binding */ injectLocalization)
/* harmony export */ });
/* unused harmony export addLocaleQueryParam */
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(85744);
/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(45810);
/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(qs__WEBPACK_IMPORTED_MODULE_0__);



/**
 * Given a WPCOM parameter set, modifies the query such that a non-default
 * locale is added to the query parameter.
 * @param  {Object} params Original parameters
 * @returns {Object}        Revised parameters, if non-default locale
 */
function addLocaleQueryParam(params) {
  const locale = i18n_calypso__WEBPACK_IMPORTED_MODULE_1__/* ["default"].getLocaleVariant */ .Ay.getLocaleVariant() || i18n_calypso__WEBPACK_IMPORTED_MODULE_1__/* ["default"].getLocaleSlug */ .Ay.getLocaleSlug();
  if (!locale || 'en' === locale) {
    return params;
  }
  let localeQueryParam;
  const query = (0,qs__WEBPACK_IMPORTED_MODULE_0__.parse)(params.query, {
    depth: 10
  });
  if (params.apiNamespace) {
    // v2 api request
    localeQueryParam = {
      _locale: locale
    };
  } else {
    localeQueryParam = {
      locale
    };
  }
  return Object.assign(params, {
    query: (0,qs__WEBPACK_IMPORTED_MODULE_0__.stringify)(Object.assign(localeQueryParam, query), {
      arrayFormat: 'brackets'
    })
  });
}

/**
 * Modifies a WPCOM instance, returning an updated instance with included
 * localization helpers. Specifically, this adds a locale query parameter
 * by default.
 * @param {Object} wpcom Original WPCOM instance
 * @returns {Object} Modified WPCOM instance with localization helpers
 */
function injectLocalization(wpcom) {
  const originalRequest = wpcom.request.bind(wpcom);
  return Object.assign(wpcom, {
    localized: true,
    request: function (params, callback) {
      return originalRequest(addLocaleQueryParam(params), callback);
    }
  });
}

/***/ }),

/***/ 55797:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ wpcomSupport)
/* harmony export */ });
/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(45810);
/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(qs__WEBPACK_IMPORTED_MODULE_0__);

function wpcomSupport(wpcom) {
  let supportUser = '';
  let supportToken = '';
  let tokenErrorCallback = null;

  /**
   * Add the supportUser and supportToken to the query.
   * @param {Object}  params The original request params object
   * @returns {Object}        The new query object with support data injected
   */
  const addSupportData = function (params) {
    // Unwind the query string
    const query = (0,qs__WEBPACK_IMPORTED_MODULE_0__.parse)(params.query);

    // Inject the credentials
    query.support_user = supportUser;
    query._support_token = supportToken;
    return Object.assign({}, params, {
      query: (0,qs__WEBPACK_IMPORTED_MODULE_0__.stringify)(query)
    });
  };

  /**
   * Add the supportUser and supportToken to the query.
   * @param {Object}  params The original request params object
   * @returns {Object}        The new query object with support data injected
   */
  const addSupportParams = function (params) {
    return {
      ...params,
      support_user: supportUser,
      _support_token: supportToken
    };
  };
  const request = wpcom.request.bind(wpcom);
  return Object.assign(wpcom, {
    addSupportParams,
    /**
     * @param {string} newUser  Support username
     * @param {string} newToken Support token
     * @param {Function} newTokenErrorCallback Called when invalid support auth token is detected
     * @returns {boolean}  true if the user and token were changed, false otherwise
     */
    setSupportUserToken: function (newUser = '', newToken = '', newTokenErrorCallback) {
      if (newUser === supportUser && newToken === supportToken) {
        return false;
      }
      supportUser = newUser;
      supportToken = newToken;
      tokenErrorCallback = newTokenErrorCallback;
      return true;
    },
    request: (params, callback) => {
      if (!(supportUser && supportToken)) {
        return request(params, callback);
      }
      return request(addSupportData(params), (error, response) => {
        if (tokenErrorCallback && error?.error === 'invalid_support_token') {
          tokenErrorCallback(error);
          return;
        }

        // Call the original response callback
        callback(error, response);
      });
    }
  });
}

/***/ }),

/***/ 30106:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* export default binding */ __WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   Y: () => (/* binding */ jetpack_site_xhr_wrapper)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var calypso_lib_user_shared_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(28713);
/* harmony import */ var calypso_lib_user_store__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(93463);




// For Calypso in Jetpack, these API namespaces are accessed from the site, not from wp.com.
const DIRECT_API_NAMESPACES = ['jetpack/v4', 'my-jetpack/v1', 'jetpack/v4/blaze-app'];
/* harmony default export */ async function __WEBPACK_DEFAULT_EXPORT__(params, callback) {
  const xhr = (await __webpack_require__.e(/* import() | wpcom-xhr-request */ 568).then(__webpack_require__.bind(__webpack_require__, 86703))).default;
  return xhr(params, async function (error, response, headers) {
    if (error && error.name === 'InvalidTokenError') {
      await (0,calypso_lib_user_store__WEBPACK_IMPORTED_MODULE_1__/* .clearStore */ .bC)();
      window.location.href = (0,calypso_lib_user_shared_utils__WEBPACK_IMPORTED_MODULE_2__/* .getLogoutUrl */ .G)();
    }
    callback(error, response, headers);
  });
}
async function jetpack_site_xhr_wrapper(params, callback) {
  const xhr = (await __webpack_require__.e(/* import() | wpcom-xhr-request */ 568).then(__webpack_require__.bind(__webpack_require__, 86703))).default;
  params = {
    ...params,
    proxyOrigin: (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('api_root'),
    headers: {
      'X-WP-Nonce': (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('nonce')
    },
    isRestAPI: false,
    apiNamespace: DIRECT_API_NAMESPACES.includes(params.apiNamespace) ? params.apiNamespace : 'jetpack/v4/stats-app'
  };
  return xhr(params, async function (error, response, headers) {
    if (error && error.name === 'InvalidTokenError') {
      await (0,calypso_lib_user_store__WEBPACK_IMPORTED_MODULE_1__/* .clearStore */ .bC)();
    }
    callback(error, response, headers);
  });
}

/***/ }),

/***/ 95472:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* unused harmony exports purchasesRoot, addCreditCard, addNewPaymentMethod, billingHistory, paymentMethods, vatDetails, billingHistoryReceipt, managePurchase, managePurchaseByOwnership, cancelPurchase, confirmCancelDomain, addCardDetails, editCardDetails, addPaymentMethod, changePaymentMethod, deprecated */
const purchasesRoot = '/me/purchases';
const addCreditCard = purchasesRoot + '/add-credit-card';
const addNewPaymentMethod = purchasesRoot + '/add-payment-method';
const billingHistory = purchasesRoot + '/billing';
const paymentMethods = purchasesRoot + '/payment-methods';
const vatDetails = purchasesRoot + '/vat-details';
function billingHistoryReceipt(receiptId) {
  if (false) {}
  return billingHistory + `/${receiptId}`;
}
function managePurchase(siteName, purchaseId) {
  if (false) {}
  return purchasesRoot + `/${siteName}/${purchaseId}`;
}
function managePurchaseByOwnership(ownershipId) {
  if (false) {}
  return '/me/purchases-by-owner/' + ownershipId;
}
function cancelPurchase(siteName, purchaseId) {
  if (false) {}
  return managePurchase(siteName, purchaseId) + '/cancel';
}
function confirmCancelDomain(siteName, purchaseId) {
  if (false) {}
  return managePurchase(siteName, purchaseId) + '/confirm-cancel-domain';
}

// legacy path
function addCardDetails(siteName, purchaseId) {
  if (false) {}
  return managePurchase(siteName, purchaseId) + '/payment/add';
}

// legacy path
function editCardDetails(siteName, purchaseId, cardId) {
  if (false) {}
  return managePurchase(siteName, purchaseId) + `/payment/edit/${cardId}`;
}
function addPaymentMethod(siteName, purchaseId) {
  if (false) {}
  return managePurchase(siteName, purchaseId) + '/payment-method/add';
}
function changePaymentMethod(siteName, purchaseId, cardId) {
  if (false) {}
  return managePurchase(siteName, purchaseId) + `/payment-method/change/${cardId}`;
}
const deprecated = {
  upcomingCharges: purchasesRoot + '/upcoming',
  otherPurchases: purchasesRoot + '/other'
};

/***/ }),

/***/ 88485:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   y: () => (/* binding */ getCustomizerFocus)
/* harmony export */ });
/* unused harmony export PANEL_MAPPINGS */
/**
 * Mapping from Calypso panel slug to tuple of focus key and value.
 */
const PANEL_MAPPINGS = {
  widgets: ['panel', 'widgets'],
  fonts: ['section', 'jetpack_fonts'],
  identity: ['section', 'title_tagline'],
  'custom-css': ['section', 'jetpack_custom_css'],
  amp: ['section', 'amp_design'],
  menus: ['panel', 'nav_menus'],
  homepage: ['section', 'static_front_page'],
  jetpack_search: ['section', 'jetpack_search']
};

/**
 * Given the name of a Calypso customizer panel, returns an object containing
 * the section or panel to be used in autofocus. Returns null if the panel is
 * not recognized.
 * @param  {string}  panel Calypso panel slug
 * @returns {?Object}       WordPress autofocus argument object
 */
function getCustomizerFocus(panel) {
  if (PANEL_MAPPINGS.hasOwnProperty(panel)) {
    const [key, value] = PANEL_MAPPINGS[panel];
    return {
      [`autofocus[${key}]`]: value
    };
  }
  return null;
}

/***/ }),

/***/ 95373:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ contentWidth)
/* harmony export */ });
const PAGE_MARGIN_LARGE = 32 * 2;
const PAGE_MARGIN_MEDIUM = 24 * 2;
const PAGE_MARGIN_SMALL = 10 * 2;
const SIDEBAR_WIDTH = 240;
const MAX_CONTENT_WIDTH = 720;

/**
 * Returns the available content width in full post for the reader at the current viewport width
 */
function contentWidth() {
  if (typeof document === 'undefined') {
    return undefined;
  }
  const clientWidth = document.documentElement.clientWidth;
  if (clientWidth > 1040) {
    return MAX_CONTENT_WIDTH;
  }
  if (clientWidth > 928) {
    return clientWidth - (SIDEBAR_WIDTH + PAGE_MARGIN_LARGE);
  }
  if (clientWidth > 660) {
    return clientWidth - (SIDEBAR_WIDTH + PAGE_MARGIN_MEDIUM);
  }
  return clientWidth - PAGE_MARGIN_SMALL;
}

/***/ }),

/***/ 60904:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   bf: () => (/* binding */ keyForPost),
/* harmony export */   f8: () => (/* binding */ keysAreEqual),
/* harmony export */   ii: () => (/* binding */ keyToString),
/* harmony export */   tk: () => (/* binding */ isPostKeyLike)
/* harmony export */ });
function keyForPost(post) {
  if (!post) {
    return;
  }
  if (post.feed_ID && post.feed_item_ID) {
    return {
      feedId: post.feed_ID,
      postId: post.feed_item_ID
    };
  }
  if (post.is_external) {
    return {
      feedId: post.feed_ID || post.site_ID,
      postId: post.feed_item_ID || post.ID
    };
  }
  return {
    blogId: post.site_ID,
    postId: post.ID
  };
}
function keysAreEqual(a, b) {
  if (a === b) {
    return true;
  }
  if (!a && b || a && !b || !a && !b && a !== b) {
    return false;
  }
  if (a.isGap && !b.isGap || !a.isGap && b.isGap) {
    return false;
  }
  if (a.isGap && b.isGap) {
    return a.from === b.from && a.to === b.to;
  }
  if (a.postId !== b.postId) {
    return false;
  }
  if (a.feedId) {
    return a.feedId === b.feedId;
  }
  return a.blogId === b.blogId;
}
function keyToString(postKey) {
  if (!postKey || postKey.isGap) {
    return null;
  }
  if (postKey.isRecommendationBlock) {
    return `rec-${postKey.index}`;
  } else if (postKey.isPromptBlock) {
    return `prompt-${postKey.index}`;
  } else if (postKey.feedId) {
    return `${postKey.postId}-${postKey.feedId}`;
  } else if (postKey.blogId) {
    return `${postKey.postId}-${postKey.blogId}`;
  }
  return null; // should never happen!
}
function isPostKeyLike(postKey) {
  return postKey && postKey.postId && (postKey.blogId || postKey.feedId);
}

/***/ }),

/***/ 2205:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Og: () => (/* binding */ pageViewForPost)
/* harmony export */ });
/* unused harmony exports recordAction, recordGaEvent, recordPermalinkClick, buildReaderTracksEventProps, recordTrack, recordTracksRailcar, recordTracksRailcarRender, recordTracksRailcarInteract, recordTrackForPost, getTracksPropertiesForPost, recordTrackWithRailcar, recordFollow, recordUnfollow */
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var calypso_lib_analytics_ga__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(37535);
/* harmony import */ var calypso_lib_analytics_mc__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(45935);
/* harmony import */ var calypso_lib_analytics_tracks__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(39279);






const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('calypso:reader:stats');
function recordAction(action) {
  debug('reader action', action);
  bumpStat('reader_actions', action);
}
function recordGaEvent(action, label, value) {
  debug('reader ga event', ...arguments);
  gaRecordEvent('Reader', action, label, value);
}
function recordPermalinkClick(source, post, eventProperties = {}) {
  bumpStat({
    reader_actions: 'visited_post_permalink',
    reader_permalink_source: source
  });
  recordGaEvent('Clicked Post Permalink', source);
  const trackEvent = 'calypso_reader_permalink_click';

  // Add source as Tracks event property
  eventProperties = Object.assign({
    source
  }, eventProperties);
  if (post) {
    recordTrackForPost(trackEvent, post, eventProperties);
  } else {
    recordTrack(trackEvent, eventProperties);
  }
}
function getLocation(path) {
  const searchParams = new URLSearchParams(path.slice(path.indexOf('?')));
  if (path === undefined || path === '') {
    return 'unknown';
  }
  if (path === '/read') {
    return 'following';
  }
  if (path.indexOf('/read/a8c') === 0) {
    return 'following_a8c';
  }
  if (path.indexOf('/read/p2') === 0) {
    return 'following_p2';
  }
  if (path.indexOf('/tag/') === 0) {
    const sort = searchParams.get('sort');
    return `topic_page:${sort === 'relevance' ? 'relevance' : 'date'}`;
  }
  if (path.match(/^\/read\/(blogs|feeds)\/([0-9]+)\/posts\/([0-9]+)$/i)) {
    return 'single_post';
  }
  if (path.match(/^\/read\/(blogs|feeds)\/([0-9]+)$/i)) {
    return 'blog_page';
  }
  if (path.indexOf('/read/list/') === 0) {
    return 'list';
  }
  if (path.indexOf('/activities/likes') === 0) {
    return 'postlike';
  }
  if (path.indexOf('/recommendations/mine') === 0) {
    return 'recommended_foryou';
  }
  if (path.indexOf('/following/edit') === 0) {
    return 'following_edit';
  }
  if (path.indexOf('/following/manage') === 0) {
    return 'following_manage';
  }
  if (path.indexOf('/discover') === 0) {
    const selectedTab = searchParams.get('selectedTab');
    if (!selectedTab || selectedTab === 'recommended') {
      return 'discover_recommended';
    } else if (selectedTab === 'latest') {
      return 'discover_latest';
    } else if (selectedTab === 'firstposts') {
      return 'discover_firstposts';
    }
    return `discover_tag:${selectedTab}`;
  }
  if (path.indexOf('/read/recommendations/posts') === 0) {
    return 'recommended_posts';
  }
  if (path.match(new RegExp(`^(/${localeRegexString})?/read/search`))) {
    return 'search';
  }
  if (path.indexOf('/read/conversations/a8c') === 0) {
    return 'conversations_a8c';
  }
  if (path.indexOf('/read/conversations') === 0) {
    return 'conversations';
  }
  if (path.indexOf('/home') === 0) {
    return 'home';
  }
  return 'unknown';
}

/**
 *
 * @param {Object} eventProperties extra event properties to add
 * @param {*} pathnameOverride Overwrites location used for determining ui_algo. See notes in
 * `recordTrack` function docs below for more info.
 * @param {Object|null} post Optional post object used to build post event props.
 * @returns new eventProperties object with default reader values added.
 */
function buildReaderTracksEventProps(eventProperties, pathnameOverride, post) {
  const location = getLocation(pathnameOverride || window.location.pathname + window.location.search);
  let composedProperties = Object.assign({
    ui_algo: location
  }, eventProperties);
  if (post) {
    composedProperties = Object.assign(getTracksPropertiesForPost(post), composedProperties);
  }
  return composedProperties;
}

/**
 * @param {*} eventName track event name
 * @param {*} eventProperties extra event props
 * @param {{pathnameOverride: string}} [pathnameOverride] Overwrites the location for ui_algo Useful for when
 *   recordTrack() is called after loading the next window.
 *   For example: opening an article (calypso_reader_article_opened) would call
 *   recordTrack after changing windows and would result in a `ui_algo: single_post`
 *   regardless of the stream the post was opened. This now allows the article_opened
 *   Tracks event to correctly specify which stream the post was opened.
 * @deprecated Use the recordReaderTracksEvent action instead.
 */
function recordTrack(eventName, eventProperties, {
  pathnameOverride
} = {}) {
  debug('reader track', ...arguments);
  eventProperties = buildReaderTracksEventProps(eventProperties, pathnameOverride);
  if (false) {}
  recordTracksEvent(eventName, eventProperties);
}
const allowedTracksRailcarEventNames = new Set();
allowedTracksRailcarEventNames.add('calypso_reader_related_post_from_same_site_clicked').add('calypso_reader_related_post_from_other_site_clicked').add('calypso_reader_related_post_site_clicked').add('calypso_reader_article_liked').add('calypso_reader_article_commented_on').add('calypso_reader_article_opened').add('calypso_reader_searchcard_clicked').add('calypso_reader_author_link_clicked').add('calypso_reader_permalink_click').add('calypso_reader_recommended_post_clicked').add('calypso_reader_recommended_site_clicked').add('calypso_reader_recommended_post_dismissed');
function recordTracksRailcar(action, eventName, railcar, overrides = {}) {
  // flatten the railcar down into the event props
  recordTrack(action, Object.assign(eventName ? {
    action: eventName.replace('calypso_reader_', '')
  } : {}, railcar, overrides));
}
function recordTracksRailcarRender(eventName, railcar, overrides) {
  return recordTracksRailcar('calypso_traintracks_render', eventName, railcar, overrides);
}
function recordTracksRailcarInteract(eventName, railcar, overrides) {
  return recordTracksRailcar('calypso_traintracks_interact', eventName, railcar, overrides);
}
function recordTrackForPost(eventName, post = {}, additionalProps = {}, options) {
  recordTrack(eventName, {
    ...getTracksPropertiesForPost(post),
    ...additionalProps
  }, options);
  if (post.railcar && allowedTracksRailcarEventNames.has(eventName)) {
    // check for overrides for the railcar
    recordTracksRailcarInteract(eventName, post.railcar, pick(additionalProps, ['ui_position', 'ui_algo']));
  } else if (false) {}
}
function getTracksPropertiesForPost(post = {}) {
  return {
    blog_id: !post.is_external && post.site_ID > 0 ? post.site_ID : undefined,
    post_id: !post.is_external && post.ID > 0 ? post.ID : undefined,
    feed_id: post.feed_ID > 0 ? post.feed_ID : undefined,
    feed_item_id: post.feed_item_ID > 0 ? post.feed_item_ID : undefined,
    is_jetpack: post.is_jetpack
  };
}
function recordTrackWithRailcar(eventName, railcar, eventProperties) {
  recordTrack(eventName, eventProperties);
  recordTracksRailcarInteract(eventName, railcar, pick(eventProperties, ['ui_position', 'ui_algo']));
}
function pageViewForPost(blogId, blogUrl, postId, isPrivate) {
  if (!blogId || !blogUrl || !postId) {
    return;
  }
  const params = {
    ref: 'http://wordpress.com/',
    reader: 1,
    host: blogUrl.replace(/.*?:\/\//g, ''),
    blog: blogId,
    post: postId
  };
  if (isPrivate) {
    params.priv = 1;
  }
  debug('reader page view for post', params);
  (0,calypso_lib_analytics_mc__WEBPACK_IMPORTED_MODULE_3__/* .bumpStatWithPageView */ .d)(params);
}
function recordFollow(url, railcar, additionalProps = {}) {
  const source = additionalProps.follow_source || getLocation(window.location.pathname + window.location.search);
  bumpStat('reader_follows', source);
  recordAction('followed_blog');
  recordGaEvent('Clicked Follow Blog', source);
  recordTrack('calypso_reader_site_followed', {
    url,
    source,
    ...additionalProps
  });
  if (railcar) {
    recordTracksRailcarInteract('site_followed', railcar);
  }
}
function recordUnfollow(url, railcar, additionalProps = {}) {
  const source = additionalProps.follow_source || getLocation(window.location.pathname + window.location.search);
  bumpStat('reader_unfollows', source);
  recordAction('unfollowed_blog');
  recordGaEvent('Clicked Unfollow Blog', source);
  recordTrack('calypso_reader_site_unfollowed', {
    url,
    source,
    ...additionalProps
  });
  if (railcar) {
    recordTracksRailcarInteract('site_unfollowed', railcar);
  }
}

/***/ }),

/***/ 65622:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dv: () => (/* binding */ sameXPost)
/* harmony export */ });
/* unused harmony exports RECS_PER_BLOCK, sameSite, sameDay, injectRecommendations, getDistanceBetweenRecs, getDistanceBetweenPrompts, injectPrompts */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(76154);
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_1__);


const RECS_PER_BLOCK = 2;

/**
 * Check if two postKeys are for the same siteId or feedId
 * @param {Object} postKey1 First post key
 * @param {Object} postKey2 Second post key
 * @returns {boolean} Returns true if two postKeys are for the same siteId or feedId
 */
function sameSite(postKey1, postKey2) {
  return postKey1 && postKey2 && !postKey1.isRecommendationBlock && !postKey2.isRecommendationBlock && (postKey1.blogId && postKey1.blogId === postKey2.blogId || postKey1.feedId && postKey1.feedId === postKey2.feedId);
}
function sameDay(postKey1, postKey2) {
  return moment(postKey1.date).isSame(postKey2.date, 'day');
}
function sameXPost(postKey1, postKey2) {
  return postKey1 && postKey2 && postKey1.xPostMetadata && postKey2.xPostMetadata && postKey1.xPostMetadata.blogId && postKey1.xPostMetadata.blogId === postKey2.xPostMetadata.blogId && postKey1.xPostMetadata.postId && postKey1.xPostMetadata.postId === postKey2.xPostMetadata.postId;
}
function injectRecommendations(posts, recs = [], itemsBetweenRecs) {
  if (!recs || recs.length === 0) {
    return posts;
  }
  if (posts.length < itemsBetweenRecs) {
    return posts;
  }
  let recIndex = 0;
  return flatMap(posts, (post, index) => {
    if (index && index % itemsBetweenRecs === 0 && recIndex < recs.length) {
      const recBlock = {
        isRecommendationBlock: true,
        recommendations: recs.slice(recIndex, recIndex + RECS_PER_BLOCK),
        index: recIndex
      };
      recIndex += RECS_PER_BLOCK;
      return [recBlock, post];
    }
    return post;
  });
}
const MIN_DISTANCE_BETWEEN_RECS = 4; // page size is 7, so one in the middle of every page and one on page boundries, sometimes
const MAX_DISTANCE_BETWEEN_RECS = 30;
function getDistanceBetweenRecs(totalSubs) {
  // the distance between recs changes based on how many subscriptions the user has.
  // We cap it at MAX_DISTANCE_BETWEEN_RECS.
  // It grows at the natural log of the number of subs, times a multiplier, offset by a constant.
  // This lets the distance between recs grow quickly as you add subs early on, and slow down as you
  // become a common user of the reader.
  if (totalSubs <= 0) {
    // 0 means either we don't know yet, or the user actually has zero subs.
    // if a user has zero subs, we don't show posts at all, so just treat 0 as 'unknown' and
    // push recs to the max.
    return MAX_DISTANCE_BETWEEN_RECS;
  }
  return Math.min(Math.max(Math.floor(Math.log(totalSubs) * Math.LOG2E * 5 - 6), MIN_DISTANCE_BETWEEN_RECS), MAX_DISTANCE_BETWEEN_RECS);
}
const MIN_DISTANCE_BETWEEN_PROMPTS = 10;
const MAX_DISTANCE_BETWEEN_PROMPTS = 50;
function getDistanceBetweenPrompts(totalSubs) {
  // the distance between recs changes based on how many subscriptions the user has.
  // We cap it at MAX_DISTANCE_BETWEEN_PROMPTS.
  // It grows at the natural log of the number of subs, times a multiplier, offset by a constant.
  // This lets the distance between prompts grow quickly as you add subs early on, and slow down as you
  // become a common user of the reader.
  if (totalSubs <= 0) {
    // 0 means either we don't know yet, or the user actually has zero subs.
    // if a user has zero subs, we don't show posts at all, so just treat 0 as 'unknown' and
    // push recs to the max.
    return MAX_DISTANCE_BETWEEN_PROMPTS;
  }
  return Math.min(Math.max(Math.floor(Math.log(totalSubs) * Math.LOG2E * 7 - 3), MIN_DISTANCE_BETWEEN_PROMPTS), MAX_DISTANCE_BETWEEN_PROMPTS);
}
function injectPrompts(posts, itemsBetweenPrompts) {
  if (posts.length < itemsBetweenPrompts) {
    return posts;
  }
  let promptIndex = 0;
  return flatMap(posts, (post, index) => {
    if (index && index % itemsBetweenPrompts === 0) {
      const promptBlock = {
        isPromptBlock: true,
        index: promptIndex
      };
      promptIndex++;
      return [promptBlock, post];
    }
    return post;
  });
}

/***/ }),

/***/ 21822:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* unused harmony exports queryToPredicate, actionLogger */
/**
 * Action Log Redux store enhancer
 *
 * Inject at the bottom of the `createStore` enhancer
 * chain in order to provide access to dispatched actions
 * as well as the state and store directly from the console.
 *
 * Will only attach if the `window` variable is available
 * globally. If not it will simply be an empty link in the
 * chain, passing straight through.
 */

const state = {
  actionHistory: [],
  shouldRecordActions: true,
  historySize: 100,
  watchPredicate: null
};
const queryToPredicate = query => {
  if (query instanceof RegExp) {
    return ({
      type
    }) => query.test(type);
  }
  if ('string' === typeof query) {
    return ({
      type
    }) => type === query;
  }
  if ('function' === typeof query) {
    return query;
  }
  throw new TypeError('provide string or RegExp matching `action.type` or a predicate function');
};
const actionLog = {
  clear: () => void (state.actionHistory = []),
  filter: query => state.actionHistory.filter(queryToPredicate(query)),
  setSize: size => void (state.historySize = size),
  start: () => void (state.shouldRecordActions = true),
  stop: () => void (state.shouldRecordActions = false),
  unwatch: () => void (state.watchPredicate = null),
  watch: query => void (state.watchPredicate = query ? queryToPredicate(query) : null)
};
Object.defineProperty(actionLog, 'history', {
  enumerable: true,
  get: () => state.actionHistory
});
const recordAction = action => {
  const {
    actionHistory,
    historySize
  } = state;
  const thunkDescription = 'function' === typeof action ? {
    type: 'thunk (hidden)'
  } : {};
  actionHistory.push({
    ...action,
    ...thunkDescription,
    meta: {
      ...action.meta,
      timestamp: Date.now()
    }
  });

  // cheap optimization to keep from
  // thrashing once we hit our size limit
  if (actionHistory.length > 2 * historySize) {
    state.actionHistory = actionHistory.slice(-1 * historySize);
  }
};
const actionLogger = next => (...args) => {
  const store = next(...args);
  if (false) {}
  const dispatch = action => {
    if (state.shouldRecordActions) {
      recordAction(action);
    }

    /* eslint-disable no-console */
    if ('function' === typeof state.watchPredicate && 'function' === typeof console.log && state.watchPredicate(action)) {
      console.log('Watched action observed:\n%o', action);
    }
    /* eslint-enable no-console */

    return store.dispatch(action);
  };
  Object.assign(window, {
    actionLog
  });
  return {
    ...store,
    dispatch
  };
};
/* unused harmony default export */ var __WEBPACK_DEFAULT_EXPORT__ = ((/* unused pure expression or super */ null && (actionLogger)));

/***/ }),

/***/ 31260:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $CS: () => (/* binding */ POST_REVISIONS_SELECT),
/* harmony export */   $N: () => (/* binding */ POST_TYPE_LIST_SHARE_PANEL_HIDE),
/* harmony export */   $Pq: () => (/* binding */ DOMAIN_PRIVACY_ENABLE_FAILURE),
/* harmony export */   $pi: () => (/* binding */ SITES_REQUEST_SUCCESS),
/* harmony export */   A9R: () => (/* binding */ SITE_PLANS_FETCH_COMPLETED),
/* harmony export */   AVb: () => (/* binding */ DOMAIN_CONTACT_INFO_DISCLOSE_SUCCESS),
/* harmony export */   Aa7: () => (/* binding */ NOTICE_REMOVE),
/* harmony export */   B1m: () => (/* binding */ LAYOUT_FOCUS_SET),
/* harmony export */   BPb: () => (/* binding */ ROUTE_CLEAR_LAST_NON_EDITOR),
/* harmony export */   BZg: () => (/* binding */ SECTION_SET),
/* harmony export */   Bpe: () => (/* binding */ ANALYTICS_STAT_BUMP),
/* harmony export */   Bub: () => (/* binding */ WORDADS_SITE_APPROVE_REQUEST_SUCCESS),
/* harmony export */   C2g: () => (/* binding */ ANALYTICS_EVENT_RECORD),
/* harmony export */   C4: () => (/* binding */ PURCHASES_SITE_FETCH_FAILED),
/* harmony export */   DHH: () => (/* binding */ DOMAIN_CONTACT_INFO_REDACT),
/* harmony export */   DiK: () => (/* binding */ POST_DELETE_SUCCESS),
/* harmony export */   Dmg: () => (/* binding */ NOTIFICATIONS_PANEL_TOGGLE),
/* harmony export */   EJT: () => (/* binding */ SITE_PRODUCTS_FETCH_FAILED),
/* harmony export */   EYb: () => (/* binding */ POSTS_REQUEST),
/* harmony export */   EcY: () => (/* binding */ POST_COUNTS_REQUEST),
/* harmony export */   Edg: () => (/* binding */ DOMAIN_PRIVACY_DISABLE_FAILURE),
/* harmony export */   GVI: () => (/* binding */ PREFERENCES_SET),
/* harmony export */   G_9: () => (/* binding */ DOMAIN_CONTACT_INFO_DISCLOSE),
/* harmony export */   G_h: () => (/* binding */ CURRENT_USER_SET_JETPACK_PARTNER_TYPE),
/* harmony export */   GuZ: () => (/* binding */ SITE_FRONT_PAGE_UPDATE),
/* harmony export */   INM: () => (/* binding */ SITE_INTRO_OFFER_REQUEST),
/* harmony export */   IQi: () => (/* binding */ PURCHASES_USER_FETCH_COMPLETED),
/* harmony export */   InQ: () => (/* binding */ SITE_RECEIVE),
/* harmony export */   J7f: () => (/* binding */ ANALYTICS_TRACKING_ON),
/* harmony export */   JH$: () => (/* binding */ POST_DELETE),
/* harmony export */   JM$: () => (/* binding */ GRAVATAR_UPLOAD_REQUEST),
/* harmony export */   K0t: () => (/* binding */ SECTION_LOADING_SET),
/* harmony export */   KFm: () => (/* binding */ SITE_PLANS_FETCH_FAILED),
/* harmony export */   Kv0: () => (/* binding */ JETPACK_SITES_FEATURES_FETCH_FAILURE),
/* harmony export */   LaM: () => (/* binding */ SITE_PURCHASES_UPDATE),
/* harmony export */   LpR: () => (/* binding */ POST_SAVE),
/* harmony export */   Mg6: () => (/* binding */ WPCOM_HTTP_REQUEST),
/* harmony export */   NOg: () => (/* binding */ SITE_REQUEST_FAILURE),
/* harmony export */   O7i: () => (/* binding */ POST_COUNTS_REQUEST_SUCCESS),
/* harmony export */   OWR: () => (/* binding */ POST_UNLIKE),
/* harmony export */   OYC: () => (/* binding */ SITE_REQUEST_SUCCESS),
/* harmony export */   Ofu: () => (/* binding */ POST_LIKERS_REQUEST),
/* harmony export */   OtO: () => (/* binding */ NOTICE_CREATE),
/* harmony export */   PHs: () => (/* binding */ CURRENT_USER_SET_EMAIL_VERIFIED),
/* harmony export */   PJr: () => (/* binding */ IMMEDIATE_LOGIN_SAVE_INFO),
/* harmony export */   PzS: () => (/* binding */ SITES_RECEIVE),
/* harmony export */   QIt: () => (/* binding */ SITE_SETTINGS_UPDATE),
/* harmony export */   Qj1: () => (/* binding */ SITE_PLUGIN_UPDATED),
/* harmony export */   QpE: () => (/* binding */ SITE_MIGRATION_STATUS_UPDATE),
/* harmony export */   ROT: () => (/* binding */ POST_SAVE_SUCCESS),
/* harmony export */   RUR: () => (/* binding */ APP_BANNER_TOGGLE_VISIBILITY),
/* harmony export */   Rc$: () => (/* binding */ DOMAIN_CONTACT_INFO_REDACT_SUCCESS),
/* harmony export */   RnC: () => (/* binding */ EMAIL_VERIFY_REQUEST),
/* harmony export */   SLn: () => (/* binding */ SITE_DOMAINS_RECEIVE),
/* harmony export */   SU4: () => (/* binding */ POST_REVISIONS_DIALOG_CLOSE),
/* harmony export */   SnV: () => (/* binding */ POSTS_RECEIVE),
/* harmony export */   T3Z: () => (/* binding */ POST_LIKES_REMOVE_LIKER),
/* harmony export */   T7i: () => (/* binding */ DOMAIN_PRIVACY_DISABLE_SUCCESS),
/* harmony export */   Tfz: () => (/* binding */ GRAVATAR_UPLOAD_RECEIVE),
/* harmony export */   UKF: () => (/* binding */ PURCHASES_SITE_FETCH_COMPLETED),
/* harmony export */   UQB: () => (/* binding */ SITE_PRODUCTS_FETCH_COMPLETED),
/* harmony export */   UWq: () => (/* binding */ JETPACK_SITES_FEATURES_RECEIVE),
/* harmony export */   VRW: () => (/* binding */ JETPACK_SITES_FEATURES_FETCH),
/* harmony export */   W9i: () => (/* binding */ JETPACK_DISCONNECT_RECEIVE),
/* harmony export */   WFp: () => (/* binding */ POSTS_REQUEST_SUCCESS),
/* harmony export */   Wjr: () => (/* binding */ PREFERENCES_FETCH_SUCCESS),
/* harmony export */   XtV: () => (/* binding */ LAYOUT_NEXT_FOCUS_SET),
/* harmony export */   Ymh: () => (/* binding */ LAYOUT_NEXT_FOCUS_ACTIVATE),
/* harmony export */   Ypv: () => (/* binding */ SITE_INTRO_OFFER_REQUEST_SUCCESS),
/* harmony export */   Z2$: () => (/* binding */ POST_TYPE_LIST_SHARE_PANEL_TOGGLE),
/* harmony export */   ZHu: () => (/* binding */ POST_COUNTS_REQUEST_FAILURE),
/* harmony export */   ZKv: () => (/* binding */ POST_REQUEST),
/* harmony export */   Zon: () => (/* binding */ DOMAIN_CONTACT_INFO_DISCLOSE_FAILURE),
/* harmony export */   ZqR: () => (/* binding */ APPLY_STORED_STATE),
/* harmony export */   Zz2: () => (/* binding */ PREFERENCES_RECEIVE),
/* harmony export */   _Il: () => (/* binding */ POST_LIKES_ADD_LIKER),
/* harmony export */   _cX: () => (/* binding */ POST_REQUEST_FAILURE),
/* harmony export */   _qL: () => (/* binding */ POST_REVISIONS_DIALOG_OPEN),
/* harmony export */   aNL: () => (/* binding */ POST_DELETE_FAILURE),
/* harmony export */   ap3: () => (/* binding */ EMAIL_VERIFY_REQUEST_FAILURE),
/* harmony export */   arW: () => (/* binding */ JETPACK_SITE_DISCONNECT_REQUEST),
/* harmony export */   bAA: () => (/* binding */ EDITOR_START),
/* harmony export */   c9v: () => (/* binding */ SITE_SETTINGS_RECEIVE),
/* harmony export */   cT_: () => (/* binding */ SITES_REQUEST_FAILURE),
/* harmony export */   ceS: () => (/* binding */ SITE_DOMAINS_REQUEST),
/* harmony export */   ctU: () => (/* binding */ SITE_REQUEST),
/* harmony export */   e2S: () => (/* binding */ POST_REVISION_AUTHORS_RECEIVE),
/* harmony export */   eRR: () => (/* binding */ POST_LIKES_RECEIVE),
/* harmony export */   ejo: () => (/* binding */ PREFERENCES_SAVE_FAILURE),
/* harmony export */   fNM: () => (/* binding */ PURCHASE_REMOVE_COMPLETED),
/* harmony export */   g0q: () => (/* binding */ SITE_PLANS_FETCH),
/* harmony export */   gK8: () => (/* binding */ PREFERENCES_FETCH),
/* harmony export */   gbd: () => (/* binding */ PURCHASES_REMOVE),
/* harmony export */   gd7: () => (/* binding */ DOMAIN_PRIVACY_ENABLE_SUCCESS),
/* harmony export */   hZg: () => (/* binding */ EMAIL_VERIFY_STATE_RESET),
/* harmony export */   hsX: () => (/* binding */ ROUTE_SET),
/* harmony export */   hwQ: () => (/* binding */ SITES_REQUEST),
/* harmony export */   i4G: () => (/* binding */ PURCHASES_SITE_FETCH),
/* harmony export */   i4L: () => (/* binding */ LOCALE_SET),
/* harmony export */   i7J: () => (/* binding */ CURRENT_USER_RECEIVE),
/* harmony export */   iON: () => (/* binding */ POST_REVISIONS_DIFF_UNIFY_VIEW),
/* harmony export */   izr: () => (/* binding */ SITE_DELETE_RECEIVE),
/* harmony export */   kA4: () => (/* binding */ PREVIEW_URL_SET),
/* harmony export */   kRb: () => (/* binding */ GUIDED_TOUR_UPDATE),
/* harmony export */   kwZ: () => (/* binding */ POST_RESTORE),
/* harmony export */   lRE: () => (/* binding */ MEDIA_DELETE),
/* harmony export */   mnW: () => (/* binding */ POST_COUNTS_RECEIVE),
/* harmony export */   mpd: () => (/* binding */ SITE_PLANS_REMOVE),
/* harmony export */   nUQ: () => (/* binding */ PREVIEW_URL_CLEAR),
/* harmony export */   nek: () => (/* binding */ ODYSSEY_SITE_RECEIVE),
/* harmony export */   nfw: () => (/* binding */ APP_BANNER_DISMISSED),
/* harmony export */   ouM: () => (/* binding */ POST_LIKERS_RECEIVE),
/* harmony export */   p21: () => (/* binding */ PURCHASE_REMOVE_FAILED),
/* harmony export */   pFm: () => (/* binding */ SITE_DOMAINS_REQUEST_FAILURE),
/* harmony export */   pWI: () => (/* binding */ PURCHASES_SITE_RESET_STATE),
/* harmony export */   q58: () => (/* binding */ POST_COUNTS_RESET_INTERNAL_STATE),
/* harmony export */   qAt: () => (/* binding */ SITE_PRODUCTS_FETCH),
/* harmony export */   qE$: () => (/* binding */ PURCHASES_USER_FETCH_FAILED),
/* harmony export */   qWG: () => (/* binding */ MEDIA_MODAL_VIEW_SET),
/* harmony export */   qqc: () => (/* binding */ PURCHASES_USER_FETCH),
/* harmony export */   r1v: () => (/* binding */ SELECTED_SITE_SET),
/* harmony export */   rBU: () => (/* binding */ SITE_FEATURES_FETCH_COMPLETED),
/* harmony export */   rU$: () => (/* binding */ POST_RESTORE_FAILURE),
/* harmony export */   rgt: () => (/* binding */ PREFERENCES_FETCH_FAILURE),
/* harmony export */   rl3: () => (/* binding */ GRAVATAR_UPLOAD_REQUEST_SUCCESS),
/* harmony export */   sYZ: () => (/* binding */ MASTERBAR_TOGGLE_VISIBILITY),
/* harmony export */   tQ4: () => (/* binding */ EDITOR_STOP),
/* harmony export */   tUf: () => (/* binding */ SITE_FEATURES_FETCH_FAILED),
/* harmony export */   tVU: () => (/* binding */ PREFERENCES_SAVE_SUCCESS),
/* harmony export */   teO: () => (/* binding */ DOMAIN_PRIVACY_DISABLE),
/* harmony export */   uEU: () => (/* binding */ SITE_INTRO_OFFER_RECEIVE),
/* harmony export */   ug1: () => (/* binding */ DOMAIN_CONTACT_INFO_REDACT_FAILURE),
/* harmony export */   uy_: () => (/* binding */ POST_EDIT),
/* harmony export */   vyR: () => (/* binding */ SITE_FEATURES_FETCH),
/* harmony export */   w5r: () => (/* binding */ DOMAIN_MARK_AS_PENDING_MOVE),
/* harmony export */   wUb: () => (/* binding */ SITE_DOMAINS_REQUEST_SUCCESS),
/* harmony export */   wfD: () => (/* binding */ GRAVATAR_UPLOAD_REQUEST_FAILURE),
/* harmony export */   whV: () => (/* binding */ DOMAIN_PRIVACY_ENABLE),
/* harmony export */   wyN: () => (/* binding */ POST_LIKES_REQUEST),
/* harmony export */   xBc: () => (/* binding */ POSTS_REQUEST_FAILURE),
/* harmony export */   xEs: () => (/* binding */ ANALYTICS_TRACKS_OPT_OUT),
/* harmony export */   xff: () => (/* binding */ JETPACK_SITES_FEATURES_FETCH_SUCCESS),
/* harmony export */   xmf: () => (/* binding */ SITE_INTRO_OFFER_REQUEST_FAILURE),
/* harmony export */   ygr: () => (/* binding */ POST_REVISIONS_RECEIVE),
/* harmony export */   z0p: () => (/* binding */ POST_LIKE),
/* harmony export */   zIF: () => (/* binding */ ANALYTICS_PAGE_VIEW_RECORD),
/* harmony export */   zdM: () => (/* binding */ POST_REVISIONS_DIFF_SPLIT_VIEW),
/* harmony export */   zjT: () => (/* binding */ POST_REQUEST_SUCCESS),
/* harmony export */   zwO: () => (/* binding */ EMAIL_VERIFY_REQUEST_SUCCESS)
/* harmony export */ });
/* unused harmony exports ACCOUNT_CLOSE, ACCOUNT_CLOSE_SUCCESS, ACCOUNT_RECOVERY_SETTINGS_DELETE, ACCOUNT_RECOVERY_SETTINGS_DELETE_FAILED, ACCOUNT_RECOVERY_SETTINGS_DELETE_SUCCESS, ACCOUNT_RECOVERY_SETTINGS_FETCH, ACCOUNT_RECOVERY_SETTINGS_FETCH_FAILED, ACCOUNT_RECOVERY_SETTINGS_FETCH_SUCCESS, ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION, ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION_FAILED, ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION_SUCCESS, ACCOUNT_RECOVERY_SETTINGS_UPDATE, ACCOUNT_RECOVERY_SETTINGS_UPDATE_FAILED, ACCOUNT_RECOVERY_SETTINGS_UPDATE_SUCCESS, ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE, ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE_FAILED, ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE_SUCCESS, ACTIVE_PROMOTIONS_RECEIVE, ACTIVE_PROMOTIONS_REQUEST, ACTIVE_PROMOTIONS_REQUEST_FAILURE, ACTIVE_PROMOTIONS_REQUEST_SUCCESS, ACTIVITY_LOG_FILTER_SET, ACTIVITY_LOG_FILTER_UPDATE, ADMIN_MENU_RECEIVE, ADMIN_MENU_REQUEST, ALL_DOMAINS_REQUEST, ALL_DOMAINS_REQUEST_FAILURE, ALL_DOMAINS_REQUEST_SUCCESS, ALL_SITES_STATS_RECEIVE, ANALYTICS_MULTI_TRACK, ATOMIC_TRANSFER_REQUEST, ATOMIC_TRANSFER_SET, ATOMIC_TRANSFER_INITIATE_TRANSFER, ATOMIC_TRANSFER_REQUEST_LATEST, ATOMIC_TRANSFER_SET_LATEST, ATOMIC_SOFTWARE_INITIATE_INSTALL, ATOMIC_SOFTWARE_REQUEST_STATUS, ATOMIC_SOFTWARE_SET_STATUS, ATOMIC_SOFTWARE_SET_ERROR, AUTOMATED_TRANSFER_ELIGIBILITY_REQUEST, AUTOMATED_TRANSFER_ELIGIBILITY_UPDATE, AUTOMATED_TRANSFER_INITIATE_WITH_PLUGIN_ZIP, AUTOMATED_TRANSFER_STATUS_REQUEST, AUTOMATED_TRANSFER_STATUS_REQUEST_FAILURE, AUTOMATED_TRANSFER_STATUS_SET, BILLING_RECEIPT_EMAIL_SEND, BILLING_RECEIPT_EMAIL_SEND_FAILURE, BILLING_RECEIPT_EMAIL_SEND_SUCCESS, BILLING_TRANSACTION_ERROR_CLEAR, BILLING_TRANSACTION_RECEIVE, BILLING_TRANSACTION_REQUEST, BILLING_TRANSACTION_REQUEST_FAILURE, BILLING_TRANSACTION_REQUEST_SUCCESS, BILLING_TRANSACTIONS_FILTER_SET_APP, BILLING_TRANSACTIONS_FILTER_SET_MONTH, BILLING_TRANSACTIONS_FILTER_SET_PAGE, BILLING_TRANSACTIONS_FILTER_SET_QUERY, BILLING_TRANSACTIONS_RECEIVE, BILLING_TRANSACTIONS_REQUEST, BILLING_TRANSACTIONS_REQUEST_FAILURE, BILLING_TRANSACTIONS_REQUEST_SUCCESS, BREADCRUMB_RESET_LIST, BREADCRUMB_UPDATE_LIST, BREADCRUMB_APPEND_ITEM, COMMAND_PALETTE_CLOSE, COMMAND_PALETTE_OPEN, COMMENT_COUNTS_REQUEST, COMMENT_COUNTS_UPDATE, COMMENT_REQUEST, COMMENTS_CHANGE_STATUS, COMMENTS_COUNT_INCREMENT, COMMENTS_COUNT_RECEIVE, COMMENTS_DELETE, COMMENTS_EDIT, COMMENTS_EMPTY, COMMENTS_EMPTY_SUCCESS, COMMENTS_LIKE, COMMENTS_LIST_REQUEST, COMMENTS_QUERY_UPDATE, COMMENTS_RECEIVE, COMMENTS_RECEIVE_ERROR, COMMENTS_REPLY_WRITE, COMMENTS_REQUEST, COMMENTS_SET_ACTIVE_REPLY, COMMENTS_TOGGLE_INLINE_EXPANDED, COMMENTS_UNLIKE, COMMENTS_UPDATES_RECEIVE, COMMENTS_WRITE, COMMENTS_WRITE_ERROR, CONCIERGE_APPOINTMENT_CANCEL, CONCIERGE_APPOINTMENT_CREATE, CONCIERGE_APPOINTMENT_DETAILS_REQUEST, CONCIERGE_APPOINTMENT_DETAILS_UPDATE, CONCIERGE_APPOINTMENT_RESCHEDULE, CONCIERGE_INITIAL_REQUEST, CONCIERGE_INITIAL_UPDATE, CONCIERGE_SIGNUP_FORM_UPDATE, CONCIERGE_UPDATE_BOOKING_STATUS, CONNECTED_APPLICATION_DELETE, CONNECTED_APPLICATION_DELETE_SUCCESS, CONNECTED_APPLICATIONS_RECEIVE, CONNECTED_APPLICATIONS_REQUEST, CONNECTION_LOST, CONNECTION_RESTORED, CONNECTIONS_SET_EXPANDED_SERVICE, COUNTRIES_DOMAINS_FETCH, COUNTRIES_DOMAINS_UPDATED, COUNTRIES_SMS_FETCH, COUNTRIES_SMS_UPDATED, COUNTRIES_WOOCOMMERCE_FETCH, COUNTRIES_WOOCOMMERCE_UPDATED, COUNTRY_STATES_RECEIVE, COUNTRY_STATES_REQUEST, COUNTRY_STATES_REQUEST_FAILURE, COUNTRY_STATES_REQUEST_SUCCESS, CURRENT_USER_FETCH, DOCUMENT_HEAD_LINK_SET, DOCUMENT_HEAD_META_SET, DOCUMENT_HEAD_TITLE_SET, DOCUMENT_HEAD_UNREAD_COUNT_SET, DOMAIN_MANAGEMENT_WHOIS_RECEIVE, DOMAIN_MANAGEMENT_WHOIS_REQUEST, DOMAIN_MANAGEMENT_WHOIS_REQUEST_FAILURE, DOMAIN_MANAGEMENT_WHOIS_REQUEST_SUCCESS, DOMAIN_MANAGEMENT_WHOIS_SAVE, DOMAIN_MANAGEMENT_WHOIS_SAVE_FAILURE, DOMAIN_MANAGEMENT_WHOIS_SAVE_SUCCESS, DOMAIN_MANAGEMENT_WHOIS_UPDATE, DOMAIN_TRANSFER_ACCEPT, DOMAIN_TRANSFER_ACCEPT_COMPLETED, DOMAIN_TRANSFER_CANCEL_REQUEST, DOMAIN_TRANSFER_CANCEL_REQUEST_COMPLETED, DOMAIN_TRANSFER_CANCEL_REQUEST_FAILED, DOMAIN_TRANSFER_CODE_REQUEST, DOMAIN_TRANSFER_CODE_REQUEST_COMPLETED, DOMAIN_TRANSFER_CODE_REQUEST_FAILED, DOMAIN_TRANSFER_DECLINE, DOMAIN_TRANSFER_DECLINE_COMPLETED, DOMAIN_TRANSFER_IPS_TAG_SAVE, DOMAIN_TRANSFER_UPDATE, DOMAIN_TRANSFER_UPDATE_LOCK, DOMAIN_WAPI_INFO_FETCH, DOMAIN_WAPI_INFO_FETCH_FAILURE, DOMAIN_WAPI_INFO_FETCH_SUCCESS, DOMAINS_DNS_ADD, DOMAINS_DNS_ADD_COMPLETED, DOMAINS_DNS_ADD_FAILED, DOMAINS_DNS_APPLY_TEMPLATE_COMPLETED, DOMAINS_DNS_DELETE, DOMAINS_DNS_DELETE_COMPLETED, DOMAINS_DNS_DELETE_FAILED, DOMAINS_DNS_FETCH, DOMAINS_DNS_FETCH_COMPLETED, DOMAINS_DNS_FETCH_FAILED, DOMAINS_DNS_UPDATE, DOMAINS_DNS_UPDATE_COMPLETED, DOMAINS_DNS_UPDATE_FAILED, DOMAINS_SITE_REDIRECT_FETCH, DOMAINS_SITE_REDIRECT_FETCH_COMPLETED, DOMAINS_SITE_REDIRECT_FETCH_FAILED, DOMAINS_SITE_REDIRECT_NOTICE_CLOSE, DOMAINS_SITE_REDIRECT_UPDATE, DOMAINS_SITE_REDIRECT_UPDATE_COMPLETED, DOMAINS_SITE_REDIRECT_UPDATE_FAILED, DOMAINS_REDIRECT_FETCH, DOMAINS_REDIRECT_FETCH_COMPLETED, DOMAINS_REDIRECT_FETCH_FAILED, DOMAINS_REDIRECT_NOTICE_CLOSE, DOMAINS_REDIRECT_UPDATE, DOMAINS_REDIRECT_UPDATE_COMPLETED, DOMAINS_REDIRECT_UPDATE_FAILED, DOMAINS_REDIRECT_DELETE, DOMAINS_REDIRECT_DELETE_COMPLETED, DOMAINS_REDIRECT_DELETE_FAILED, DOMAINS_SUGGESTIONS_RECEIVE, DOMAINS_SUGGESTIONS_REQUEST, DOMAINS_SUGGESTIONS_REQUEST_FAILURE, DOMAINS_SUGGESTIONS_REQUEST_SUCCESS, EDITOR_IFRAME_LOADED, EDITOR_TYPE_REQUEST, EDITOR_TYPE_SET, EMAIL_ACCOUNTS_REQUEST, EMAIL_ACCOUNTS_REQUEST_FAILURE, EMAIL_ACCOUNTS_REQUEST_SUCCESS, EMAIL_FORWARDING_REQUEST, EMAIL_FORWARDING_REQUEST_FAILURE, EMAIL_FORWARDING_REQUEST_SUCCESS, EXPORT_ADVANCED_SETTINGS_FETCH, EXPORT_ADVANCED_SETTINGS_FETCH_FAIL, EXPORT_ADVANCED_SETTINGS_RECEIVE, EXPORT_CLEAR, EXPORT_COMPLETE, EXPORT_FAILURE, EXPORT_MEDIA_REQUEST, EXPORT_POST_TYPE_FIELD_SET, EXPORT_POST_TYPE_SET, EXPORT_START_REQUEST, EXPORT_STARTED, EXPORT_STATUS_FETCH, GOOGLE_MY_BUSINESS_STATS_CHANGE_INTERVAL, GOOGLE_MY_BUSINESS_STATS_FAILURE, GOOGLE_MY_BUSINESS_STATS_RECEIVE, GOOGLE_MY_BUSINESS_STATS_REQUEST, GRAVATAR_RECEIVE_IMAGE_FAILURE, GUIDED_TOUR_PAUSE, GUIDED_TOUR_RESUME, GUTENBERG_IFRAME_ELIGIBLE_SET, HOSTING_CLEAR_CACHE_REQUEST, HOSTING_GEO_AFFINITY_REQUEST, HOSTING_GEO_AFFINITY_SET, HOSTING_PHP_VERSION_REQUEST, HOSTING_PHP_VERSION_SET, HOSTING_PHP_VERSION_SET_REQUEST, HOSTING_RESTORE_DATABASE_PASSWORD, HOSTING_SFTP_PASSWORD_RESET, HOSTING_SFTP_USER_CREATE, HOSTING_SFTP_USER_UPDATE, HOSTING_SFTP_USERS_REQUEST, HOSTING_SFTP_USERS_SET, HOSTING_SSH_ACCESS_REQUEST, HOSTING_SSH_ACCESS_SET, HOSTING_SSH_ACCESS_ENABLE, HOSTING_SSH_ACCESS_DISABLE, HOSTING_STATIC_FILE_404_REQUEST, HOSTING_STATIC_FILE_404_SET, HOSTING_STATIC_FILE_404_SET_REQUEST, HOSTING_WP_VERSION_REQUEST, HOSTING_WP_VERSION_SET, HOSTING_WP_VERSION_SET_REQUEST, I18N_LANGUAGE_NAMES_ADD, I18N_LANGUAGE_NAMES_REQUEST, I18N_LOCALE_SUGGESTIONS_ADD, I18N_LOCALE_SUGGESTIONS_REQUEST, IMAGE_EDITOR_COMPUTED_CROP, IMAGE_EDITOR_CROP, IMAGE_EDITOR_FLIP, IMAGE_EDITOR_IMAGE_HAS_LOADED, IMAGE_EDITOR_ROTATE_COUNTERCLOCKWISE, IMAGE_EDITOR_SET_ASPECT_RATIO, IMAGE_EDITOR_SET_CROP_BOUNDS, IMAGE_EDITOR_SET_DEFAULT_ASPECT_RATIO, IMAGE_EDITOR_SET_FILE_INFO, IMAGE_EDITOR_STATE_RESET, IMAGE_EDITOR_STATE_RESET_ALL, IMPORTS_AUTHORS_SET_MAPPING, IMPORTS_AUTHORS_START_MAPPING, IMPORTS_IMPORT_CANCEL, IMPORTS_IMPORT_LOCK, IMPORTS_IMPORT_RECEIVE, IMPORTS_IMPORT_RECEIVED_RESET, IMPORTS_IMPORT_RESET, IMPORTS_IMPORT_START, IMPORTS_IMPORT_UNLOCK, IMPORTS_START_IMPORTING, IMPORTS_UPLOAD_COMPLETED, IMPORTS_UPLOAD_FAILED, IMPORTS_PRE_UPLOAD_FAILED, IMPORTS_UPLOAD_SET_PROGRESS, IMPORTS_UPLOAD_START, INVITE_ACCEPTED, INVITE_RESEND_REQUEST, INVITE_RESEND_REQUEST_FAILURE, INVITE_RESEND_REQUEST_SUCCESS, INVITES_DELETE_REQUEST, INVITES_DELETE_REQUEST_FAILURE, INVITES_DELETE_REQUEST_SUCCESS, INVITES_REQUEST, INVITES_REQUEST_FAILURE, INVITES_REQUEST_SUCCESS, INVITES_SEND, INVITES_SEND_ERROR, INVITES_SEND_SUCCESS, INVITES_SEND_FAILURE, INVITES_VALIDATE_TOKEN, INVITES_VALIDATE_TOKEN_SUCCESS, INVITES_VALIDATE_TOKEN_FAILURE, JETPACK_BACKUP_PREFLIGHT_TESTS_SET, JETPACK_BACKUP_RETENTION_SET, JETPACK_BACKUP_RETENTION_UPDATE, JETPACK_BACKUP_RETENTION_UPDATE_ERROR, JETPACK_BACKUP_RETENTION_UPDATE_RESET, JETPACK_BACKUP_RETENTION_UPDATE_SUCCESS, JETPACK_BACKUP_BROWSER_ADD_CHILDREN, JETPACK_BACKUP_BROWSER_SET_CHECK_STATE, JETPACK_BACKUP_STAGING_GET_REQUEST, JETPACK_BACKUP_STAGING_GET_REQUEST_FAILURE, JETPACK_BACKUP_STAGING_GET_REQUEST_SUCCESS, JETPACK_BACKUP_STAGING_LIST_REQUEST, JETPACK_BACKUP_STAGING_LIST_REQUEST_FAILURE, JETPACK_BACKUP_STAGING_LIST_REQUEST_SUCCESS, JETPACK_BACKUP_STAGING_SET, JETPACK_BACKUP_STAGING_UPDATE_REQUEST, JETPACK_BACKUP_STAGING_UPDATE_REQUEST_FAILURE, JETPACK_BACKUP_STAGING_UPDATE_REQUEST_SUCCESS, JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_RECEIVE, JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_REQUEST, JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_REQUEST_FAILURE, JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_REQUEST_SUCCESS, JETPACK_CONNECTION_STATUS_RECEIVE, JETPACK_CONNECTION_STATUS_REQUEST, JETPACK_CONNECTION_STATUS_REQUEST_FAILURE, JETPACK_CONNECTION_STATUS_REQUEST_SUCCESS, JETPACK_CONNECTION_HEALTH_REQUEST, JETPACK_CONNECTION_HEALTH_REQUEST_FAILURE, JETPACK_CONNECTION_HEALTHY, JETPACK_CONNECTION_MAYBE_UNHEALTHY, JETPACK_CONNECTION_UNHEALTHY, JETPACK_CREDENTIALS_AUTOCONFIGURE, JETPACK_CREDENTIALS_DELETE, JETPACK_CREDENTIALS_GET, JETPACK_CREDENTIALS_GET_FAILURE, JETPACK_CREDENTIALS_GET_SUCCESS, JETPACK_CREDENTIALS_STORE, JETPACK_CREDENTIALS_TEST, JETPACK_CREDENTIALS_TEST_INVALID, JETPACK_CREDENTIALS_TEST_VALID, JETPACK_CREDENTIALS_UPDATE, JETPACK_CREDENTIALS_UPDATE_FAILURE, JETPACK_CREDENTIALS_UPDATE_PROGRESS_START, JETPACK_CREDENTIALS_UPDATE_PROGRESS_UPDATE, JETPACK_CREDENTIALS_UPDATE_RESET, JETPACK_CREDENTIALS_UPDATE_SUCCESS, JETPACK_MODULE_ACTIVATE, JETPACK_MODULE_ACTIVATE_FAILURE, JETPACK_MODULE_ACTIVATE_SUCCESS, JETPACK_MODULE_DEACTIVATE, JETPACK_MODULE_DEACTIVATE_FAILURE, JETPACK_MODULE_DEACTIVATE_SUCCESS, JETPACK_MODULES_RECEIVE, JETPACK_MODULES_REQUEST, JETPACK_MODULES_REQUEST_FAILURE, JETPACK_MODULES_REQUEST_SUCCESS, JETPACK_PARTNER_PORTAL_LICENSE_COUNTS_RECEIVE, JETPACK_PARTNER_PORTAL_LICENSE_COUNTS_REQUEST, JETPACK_PARTNER_PORTAL_LICENSES_RECEIVE, JETPACK_PARTNER_PORTAL_LICENSES_REQUEST, JETPACK_PARTNER_PORTAL_OAUTH_TOKEN_SET, JETPACK_PARTNER_PORTAL_PARTNER_ACTIVE_PARTNER_KEY_UPDATE, JETPACK_PARTNER_PORTAL_PARTNER_RECEIVE, JETPACK_PARTNER_PORTAL_PARTNER_RECEIVE_ERROR, JETPACK_PARTNER_PORTAL_PARTNER_REQUEST, JETPACK_PRODUCT_INSTALL_REQUEST, JETPACK_PRODUCT_INSTALL_STATUS_RECEIVE, JETPACK_PRODUCT_INSTALL_STATUS_REQUEST, JETPACK_REMOTE_INSTALL, JETPACK_REMOTE_INSTALL_FAILURE, JETPACK_REMOTE_INSTALL_SUCCESS, JETPACK_SCAN_ENQUEUE_REQUEST, JETPACK_SCAN_ENQUEUE_REQUEST_FAILURE, JETPACK_SCAN_ENQUEUE_REQUEST_SUCCESS, JETPACK_SCAN_ENQUEUE_UPDATE, JETPACK_SCAN_HISTORY_REQUEST, JETPACK_SCAN_HISTORY_REQUEST_FAILURE, JETPACK_SCAN_HISTORY_REQUEST_SUCCESS, JETPACK_SCAN_HISTORY_UPDATE, JETPACK_SCAN_REQUEST, JETPACK_SCAN_REQUEST_FAILURE, JETPACK_SCAN_REQUEST_SUCCESS, JETPACK_SCAN_THREAT_COUNTS_REQUEST, JETPACK_SCAN_THREAT_COUNTS_REQUEST_FAILURE, JETPACK_SCAN_THREAT_COUNTS_REQUEST_SUCCESS, JETPACK_SCAN_THREAT_COUNTS_UPDATE, JETPACK_SCAN_THREAT_FIX, JETPACK_SCAN_THREAT_IGNORE, JETPACK_SCAN_THREATS_FIX_ALL, JETPACK_SCAN_THREATS_GET_FIX_STATUS, JETPACK_SCAN_UPDATE, JETPACK_SCAN_UPDATE_THREAT, JETPACK_SCAN_UPDATE_THREAT_COMPLETED, JETPACK_SETTINGS_REQUEST, JETPACK_SETTINGS_SAVE, JETPACK_SETTINGS_SAVE_SUCCESS, JETPACK_SETTINGS_UPDATE, JETPACK_SITE_ALERT_THREAT_FIX, JETPACK_SITE_ALERT_THREAT_IGNORE, JETPACK_SYNC_START_ERROR, JETPACK_SYNC_START_REQUEST, JETPACK_SYNC_START_SUCCESS, JETPACK_SYNC_STATUS_ERROR, JETPACK_SYNC_STATUS_REQUEST, JETPACK_SYNC_STATUS_SUCCESS, JETPACK_USER_CONNECTION_CHANGE_OWNER, JETPACK_USER_CONNECTION_DATA_RECEIVE, JETPACK_USER_CONNECTION_DATA_REQUEST, JETPACK_USER_CONNECTION_DATA_REQUEST_FAILURE, JETPACK_USER_CONNECTION_DATA_REQUEST_SUCCESS, JITM_DISMISS, JITM_FETCH, JITM_OPEN_HELP_CENTER, JITM_SET, KEYRING_CONNECTION_DELETE, KEYRING_CONNECTION_DELETE_FAILURE, KEYRING_CONNECTIONS_RECEIVE, KEYRING_CONNECTIONS_REQUEST, KEYRING_CONNECTIONS_REQUEST_FAILURE, KEYRING_CONNECTIONS_REQUEST_SUCCESS, KEYRING_SERVICES_RECEIVE, KEYRING_SERVICES_REQUEST, KEYRING_SERVICES_REQUEST_FAILURE, KEYRING_SERVICES_REQUEST_SUCCESS, LASAGNA_SOCKET_CONNECTED, LASAGNA_SOCKET_DISCONNECTED, LEGAL_REQUEST, LEGAL_SET, LOGIN_AUTH_ACCOUNT_TYPE_REQUEST, LOGIN_AUTH_ACCOUNT_TYPE_REQUEST_FAILURE, LOGIN_AUTH_ACCOUNT_TYPE_REQUEST_SUCCESS, LOGIN_AUTH_ACCOUNT_TYPE_REQUESTING, LOGIN_AUTH_ACCOUNT_TYPE_RESET, LOGIN_EMAIL_SEND, LOGIN_FORM_UPDATE, LOGIN_REQUEST, LOGIN_REQUEST_FAILURE, LOGIN_REQUEST_SUCCESS, MAGIC_LOGIN_HIDE_REQUEST_FORM, MAGIC_LOGIN_HIDE_REQUEST_NOTICE, MAGIC_LOGIN_REQUEST_AUTH_ERROR, MAGIC_LOGIN_REQUEST_AUTH_FETCH, MAGIC_LOGIN_REQUEST_AUTH_SUCCESS, MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_ERROR, MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_FETCH, MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_SUCCESS, MAGIC_LOGIN_RESET_REQUEST_FORM, MAGIC_LOGIN_SHOW_CHECK_YOUR_EMAIL_PAGE, MAGIC_LOGIN_SHOW_INTERSTITIAL_PAGE, MAGIC_LOGIN_SHOW_LINK_EXPIRED, MAILCHIMP_LISTS_LIST, MAILCHIMP_LISTS_RECEIVE, MAILCHIMP_SETTINGS_LIST, MAILCHIMP_SETTINGS_RECEIVE, MAILCHIMP_SETTINGS_UPDATE, MAILCHIMP_SETTINGS_UPDATE_FAILURE, MAILCHIMP_SETTINGS_UPDATE_SUCCESS, MARKETING_CLICK_UPGRADE_NUDGE, MARKETING_JETPACK_SALE_COUPON_FETCH_FAILURE, MARKETING_JETPACK_SALE_COUPON_FETCH, MARKETING_JETPACK_SALE_COUPON_RECEIVE, MARKETPLACE_BILLING_INTERVAL_SELECT, MARKETPLACE_PRODUCTS_REINSTALL_COMPLETED, MARKETPLACE_PRODUCTS_REINSTALL_FAILED, MARKETPLACE_PRODUCTS_REINSTALL_NOT_STARTED, MARKETPLACE_PRODUCTS_REINSTALL_STARTED, MARKETPLACE_PLUGIN_INSTALLATION_STATE_CHANGE, MARKETPLACE_PRIMARY_DOMAIN_SELECT, MARKETPLACE_QUEUE_PRODUCT_INSTALL, MEDIA_CLEAR_SITE, MEDIA_ERRORS_CLEAR, MEDIA_ITEM_CREATE, MEDIA_ITEM_EDIT, MEDIA_ITEM_ERRORS_CLEAR, MEDIA_ITEM_ERRORS_SET, MEDIA_ITEM_REQUEST, MEDIA_ITEM_REQUEST_FAILURE, MEDIA_ITEM_REQUEST_SUCCESS, MEDIA_LIBRARY_SELECTED_ITEMS_UPDATE, MEDIA_RECEIVE, MEDIA_REQUEST, MEDIA_REQUEST_FAILURE, MEDIA_REQUEST_SUCCESS, MEDIA_SET_NEXT_PAGE_HANDLE, MEDIA_SET_QUERY, MEDIA_SOURCE_CHANGE, MEMBERSHIPS_COUPON_ADD, MEMBERSHIPS_COUPON_ADD_FAILURE, MEMBERSHIPS_COUPON_DELETE, MEMBERSHIPS_COUPON_DELETE_FAILURE, MEMBERSHIPS_COUPON_RECEIVE, MEMBERSHIPS_COUPON_UPDATE, MEMBERSHIPS_COUPON_UPDATE_FAILURE, MEMBERSHIPS_COUPONS_LIST, MEMBERSHIPS_COUPONS_RECEIVE, MEMBERSHIPS_GIFT_ADD, MEMBERSHIPS_GIFT_ADD_FAILURE, MEMBERSHIPS_GIFT_DELETE, MEMBERSHIPS_GIFT_DELETE_FAILURE, MEMBERSHIPS_EARNINGS_GET, MEMBERSHIPS_EARNINGS_RECEIVE, MEMBERSHIPS_PRODUCT_ADD, MEMBERSHIPS_PRODUCT_ADD_FAILURE, MEMBERSHIPS_PRODUCT_DELETE, MEMBERSHIPS_PRODUCT_DELETE_FAILURE, MEMBERSHIPS_PRODUCT_RECEIVE, MEMBERSHIPS_PRODUCT_UPDATE, MEMBERSHIPS_PRODUCT_UPDATE_FAILURE, MEMBERSHIPS_PRODUCTS_LIST, MEMBERSHIPS_PRODUCTS_RECEIVE, MEMBERSHIPS_SETTINGS, MEMBERSHIPS_SETTINGS_RECEIVE, MEMBERSHIPS_SUBSCRIBERS_LIST, MEMBERSHIPS_SUBSCRIBERS_RECEIVE, MEMBERSHIPS_SUBSCRIPTION_STOP, MEMBERSHIPS_SUBSCRIPTION_STOP_FAILURE, MEMBERSHIPS_SUBSCRIPTION_STOP_SUCCESS, MEMBERSHIPS_SUBSCRIPTION_UPDATE, MEMBERSHIPS_SUBSCRIPTION_UPDATING, MEMBERSHIPS_SUBSCRIPTION_UPDATING_FAILURE, MEMBERSHIPS_SUBSCRIPTION_UPDATING_SUCCESS, MEMBERSHIPS_SUBSCRIPTIONS_LIST_REQUEST, MEMBERSHIPS_SUBSCRIPTIONS_RECEIVE, MY_SITES_SIDEBAR_SECTION_TOGGLE, MY_SITES_SIDEBAR_SECTIONS_COLLAPSE_ALL, NOTIFICATION_SETTINGS_FETCH, NOTIFICATION_SETTINGS_FETCH_COMPLETE, NOTIFICATION_SETTINGS_FETCH_FAILED, NOTIFICATION_SETTINGS_REQUEST, NOTIFICATION_SETTINGS_SAVE, NOTIFICATION_SETTINGS_SAVE_COMPLETE, NOTIFICATION_SETTINGS_SAVE_FAILED, NOTIFICATION_SETTINGS_TOGGLE_SETTING, NOTIFICATION_SETTINGS_UPDATE, NOTIFICATIONS_FORCE_REFRESH, NOTIFICATIONS_UNSEEN_COUNT_SET, OAUTH2_CLIENT_DATA_RECEIVE, ORDER_TRANSACTION_FETCH, ORDER_TRANSACTION_FETCH_ERROR, ORDER_TRANSACTION_SET, P2_CONNECTION_DELETE, P2_CONNECTION_DELETE_FAILURE, P2_CONNECTIONS_RECEIVE, P2_CONNECTIONS_REQUEST, P2_CONNECTIONS_REQUEST_FAILURE, P2_CONNECTIONS_REQUEST_SUCCESS, PLANS_RECEIVE, PLANS_REQUEST, PLANS_REQUEST_FAILURE, PLANS_REQUEST_SUCCESS, PLUGIN_ACTIVATE_REQUEST, PLUGIN_ACTIVATE_REQUEST_FAILURE, PLUGIN_ACTIVATE_REQUEST_SUCCESS, PLUGIN_AUTOUPDATE_DISABLE_REQUEST, PLUGIN_AUTOUPDATE_DISABLE_REQUEST_FAILURE, PLUGIN_AUTOUPDATE_DISABLE_REQUEST_SUCCESS, PLUGIN_AUTOUPDATE_ENABLE_REQUEST, PLUGIN_AUTOUPDATE_ENABLE_REQUEST_FAILURE, PLUGIN_AUTOUPDATE_ENABLE_REQUEST_SUCCESS, PLUGIN_DEACTIVATE_REQUEST, PLUGIN_DEACTIVATE_REQUEST_FAILURE, PLUGIN_DEACTIVATE_REQUEST_SUCCESS, PLUGIN_INSTALL_REQUEST, PLUGIN_INSTALL_REQUEST_FAILURE, PLUGIN_INSTALL_REQUEST_SUCCESS, PLUGIN_NOTICES_REMOVE, RESET_PLUGIN_NOTICES, PLUGIN_REMOVE_REQUEST, PLUGIN_REMOVE_REQUEST_FAILURE, PLUGIN_REMOVE_REQUEST_SUCCESS, PLUGIN_SETUP_ACTIVATE, PLUGIN_SETUP_CONFIGURE, PLUGIN_SETUP_ERROR, PLUGIN_SETUP_FINISH, PLUGIN_SETUP_INSTALL, PLUGIN_SETUP_INSTRUCTIONS_FETCH, PLUGIN_SETUP_INSTRUCTIONS_RECEIVE, PLUGIN_UPDATE_REQUEST, PLUGIN_UPDATE_REQUEST_FAILURE, PLUGIN_UPDATE_REQUEST_SUCCESS, PLUGIN_ALREADY_UP_TO_DATE, PLUGIN_ACTION_STATUS_UPDATE, PLUGIN_UPLOAD, PLUGIN_UPLOAD_CLEAR, PLUGIN_UPLOAD_COMPLETE, PLUGIN_UPLOAD_ERROR, PLUGIN_UPLOAD_PROGRESS, PLUGINS_ALL_RECEIVE, PLUGINS_ALL_REQUEST, PLUGINS_ALL_REQUEST_FAILURE, PLUGINS_ALL_REQUEST_SUCCESS, PLUGINS_RECEIVE, PLUGINS_REQUEST, PLUGINS_REQUEST_FAILURE, PLUGINS_REQUEST_SUCCESS, PLUGINS_WPORG_LIST_RECEIVE, PLUGINS_WPORG_LIST_REQUEST, PLUGINS_WPORG_PLUGIN_RECEIVE, PLUGINS_WPORG_PLUGIN_REQUEST, POST_RESTORE_SUCCESS, POST_REVISIONS_AUTHORS_REQUEST, POST_REVISIONS_REQUEST, POST_SAVE_FAILURE, POST_STATS_RECEIVE, POST_STATS_REQUEST, POST_STATS_REQUEST_FAILURE, POST_STATS_REQUEST_SUCCESS, POST_TYPES_RECEIVE, POST_TYPES_REQUEST, POST_TYPES_TAXONOMIES_RECEIVE, POST_TYPES_TAXONOMIES_REQUEST, POST_TYPES_TAXONOMIES_REQUEST_FAILURE, POST_TYPES_TAXONOMIES_REQUEST_SUCCESS, PRODUCTS_LIST_RECEIVE, PRODUCTS_LIST_REQUEST, PRODUCTS_LIST_REQUEST_FAILURE, PROMOTE_POST_CAMPAIGNS_FETCH, PROMOTE_POST_CAMPAIGNS_FETCH_DONE, PROMOTE_POST_CAMPAIGN_CANCEL, PUBLICIZE_CONNECTION_CREATE, PUBLICIZE_CONNECTION_CREATE_FAILURE, PUBLICIZE_CONNECTION_DELETE, PUBLICIZE_CONNECTION_DELETE_FAILURE, PUBLICIZE_CONNECTION_RECEIVE, PUBLICIZE_CONNECTION_UPDATE, PUBLICIZE_CONNECTION_UPDATE_FAILURE, PUBLICIZE_CONNECTIONS_RECEIVE, PUBLICIZE_CONNECTIONS_REQUEST, PUBLICIZE_CONNECTIONS_REQUEST_FAILURE, PUBLICIZE_CONNECTIONS_REQUEST_SUCCESS, PUBLICIZE_SHARE, PUBLICIZE_SHARE_ACTION_DELETE, PUBLICIZE_SHARE_ACTION_DELETE_FAILURE, PUBLICIZE_SHARE_ACTION_DELETE_SUCCESS, PUBLICIZE_SHARE_ACTION_SCHEDULE, PUBLICIZE_SHARE_ACTION_SCHEDULE_FAILURE, PUBLICIZE_SHARE_ACTION_SCHEDULE_SUCCESS, PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST, PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST_FAILURE, PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST_SUCCESS, PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST, PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST_FAILURE, PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST_SUCCESS, PUBLICIZE_SHARE_DISMISS, PUBLICIZE_SHARE_FAILURE, PUBLICIZE_SHARE_SUCCESS, PURCHASE_CANCELLATION_OFFER_REQUEST, PURCHASE_CANCELLATION_OFFER_REQUEST_FAILURE, PURCHASE_CANCELLATION_OFFER_RECEIVE, PURCHASE_CANCELLATION_OFFER_APPLY, PURCHASE_CANCELLATION_OFFER_APPLY_SUCCESS, PURCHASE_CANCELLATION_OFFER_APPLY_FAILURE, PUSH_NOTIFICATIONS_API_NOT_READY, PUSH_NOTIFICATIONS_API_READY, PUSH_NOTIFICATIONS_AUTHORIZE, PUSH_NOTIFICATIONS_BLOCK, PUSH_NOTIFICATIONS_MUST_PROMPT, PUSH_NOTIFICATIONS_RECEIVE_REGISTER_DEVICE, PUSH_NOTIFICATIONS_RECEIVE_UNREGISTER_DEVICE, PUSH_NOTIFICATIONS_TOGGLE_ENABLED, PUSH_NOTIFICATIONS_TOGGLE_UNBLOCK_INSTRUCTIONS, RECEIPT_FETCH, RECEIPT_FETCH_COMPLETED, RECEIPT_FETCH_FAILED, REWIND_ACTIVATE_FAILURE, REWIND_ACTIVATE_REQUEST, REWIND_ACTIVATE_SUCCESS, REWIND_ACTIVITY_SHARE_REQUEST, REWIND_BACKUP, REWIND_BACKUP_DISMISS, REWIND_BACKUP_DISMISS_PROGRESS, REWIND_BACKUP_PROGRESS_REQUEST, REWIND_BACKUP_REQUEST, REWIND_BACKUP_SET_DOWNLOAD_ID, REWIND_BACKUP_SITE, REWIND_BACKUP_UPDATE_ERROR, REWIND_BACKUP_UPDATE_PROGRESS, REWIND_BACKUPS_REQUEST, REWIND_BACKUPS_SET, REWIND_CAPABILITIES_REQUEST, REWIND_CAPABILITIES_UPDATE, REWIND_CLONE, REWIND_DEACTIVATE_FAILURE, REWIND_DEACTIVATE_REQUEST, REWIND_DEACTIVATE_SUCCESS, REWIND_GRANULAR_RESTORE, REWIND_GRANULAR_BACKUP_REQUEST, REWIND_POLICIES_REQUEST, REWIND_POLICIES_REQUEST_FAILURE, REWIND_POLICIES_REQUEST_SUCCESS, REWIND_POLICIES_SET, REWIND_RESTORE, REWIND_RESTORE_DISMISS, REWIND_RESTORE_DISMISS_PROGRESS, REWIND_RESTORE_PROGRESS_REQUEST, REWIND_RESTORE_REQUEST, REWIND_RESTORE_UPDATE_PROGRESS, REWIND_SIZE_REQUEST, REWIND_SIZE_REQUEST_FAILURE, REWIND_SIZE_REQUEST_SUCCESS, REWIND_SIZE_SET, REWIND_STAGING_CLONE, REWIND_STATE_REQUEST, REWIND_STATE_UPDATE, REWIND_STORAGE_USAGE_LEVEL_SET, SET_MEDIA_EXPORT_DATA, SIGNUP_COMPLETE_RESET, SIGNUP_CURRENT_FLOW_NAME_SET, SIGNUP_DEPENDENCY_STORE_REMOVE_SITE_SLUG, SIGNUP_DEPENDENCY_STORE_UPDATE, SIGNUP_OPTIONAL_DEPENDENCY_SUGGESTED_USERNAME_SET, SIGNUP_PREVIOUS_FLOW_NAME_SET, SIGNUP_FLOW_ADD_EXCLUDED_STEPS, SIGNUP_FLOW_REMOVE_EXCLUDED_STEPS, SIGNUP_FLOW_RESET_EXCLUDED_STEPS, SIGNUP_PROGRESS_ADD_STEP, SIGNUP_PROGRESS_COMPLETE_STEP, SIGNUP_PROGRESS_INVALIDATE_STEP, SIGNUP_PROGRESS_PROCESS_STEP, SIGNUP_PROGRESS_REMOVE_STEP, SIGNUP_PROGRESS_SAVE_STEP, SIGNUP_PROGRESS_SUBMIT_STEP, SIGNUP_STEPS_DESIGN_TYPE_SET, SIGNUP_STEPS_SITE_GOALS_SET, SIGNUP_STEPS_SITE_VERTICAL_SET, SIGNUP_STEPS_SITE_INFO_COLLECTION_UPDATE, SIGNUP_STEPS_SITE_INFO_UPDATE_CURRENT_INDEX, SIGNUP_STEPS_WEBSITE_CONTENT_INITIALIZE_PAGES, SIGNUP_STEPS_WEBSITE_CONTENT_UPDATE_CURRENT_INDEX, SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_UPLOAD_STARTED, SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_UPLOAD_COMPLETED, SIGNUP_STEPS_WEBSITE_FIELD_CHANGED, SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_UPLOAD_FAILED, SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_REMOVED, SIGNUP_STEPS_WEBSITE_CONTENT_LOGO_UPLOAD_STARTED, SIGNUP_STEPS_WEBSITE_CONTENT_LOGO_UPLOAD_COMPLETED, SIGNUP_STEPS_WEBSITE_CONTENT_LOGO_UPLOAD_FAILED, SIGNUP_STEPS_SOCIAL_PROFILES_UPDATE, SIGNUP_STEPS_SOCIAL_PROFILES_RESET, SIGNUP_STEPS_WEBSITE_CONTENT_REMOVE_LOGO_URL, SIGNUP_STEPS_WEBSITE_CONTENT_FEEDBACK_CHANGE, SIGNUP_STEPS_WEBSITE_CONTENT_CHANGES_SAVED, SIGNUP_STEPS_WEBSITE_CONTENT_SEARCH_TERMS_CHANGED, SIGNUP_STEPS_USER_EXPERIENCE_SET, SITE_ADDRESS_AVAILABILITY_ERROR, SITE_ADDRESS_AVAILABILITY_ERROR_CLEAR, SITE_ADDRESS_AVAILABILITY_REQUEST, SITE_ADDRESS_AVAILABILITY_SUCCESS, SITE_ADDRESS_CHANGE_REQUEST, SITE_ADDRESS_CHANGE_REQUEST_FAILURE, SITE_ADDRESS_CHANGE_REQUEST_SUCCESS, SITE_CHECKLIST_RECEIVE, SITE_CHECKLIST_REQUEST, SITE_CHECKLIST_TASK_UPDATE, SITE_CONNECTION_STATUS_RECEIVE, SITE_CONNECTION_STATUS_REQUEST, SITE_CONNECTION_STATUS_REQUEST_FAILURE, SITE_CONNECTION_STATUS_REQUEST_SUCCESS, SITE_IMPORTER_IMPORT_FAILURE, SITE_IMPORTER_IMPORT_RESET, SITE_IMPORTER_IMPORT_START, SITE_IMPORTER_IMPORT_SUCCESS, SITE_IMPORTER_IS_SITE_IMPORTABLE_FAILURE, SITE_IMPORTER_IS_SITE_IMPORTABLE_START, SITE_IMPORTER_IS_SITE_IMPORTABLE_SUCCESS, SITE_IMPORTER_VALIDATION_ERROR_SET, SITE_KEYRINGS_DELETE, SITE_KEYRINGS_DELETE_FAILURE, SITE_KEYRINGS_DELETE_SUCCESS, SITE_KEYRINGS_REQUEST, SITE_KEYRINGS_REQUEST_FAILURE, SITE_KEYRINGS_REQUEST_SUCCESS, SITE_KEYRINGS_SAVE_SUCCESS, SITE_KEYRINGS_UPDATE, SITE_KEYRINGS_UPDATE_FAILURE, SITE_KEYRINGS_UPDATE_SUCCESS, SITE_LAUNCH, SITE_PLAN_OWNERSHIP_TRANSFER, SITE_SETTINGS_REQUEST, SITE_SETTINGS_REQUEST_FAILURE, SITE_SETTINGS_REQUEST_SUCCESS, SITE_SETTINGS_SAVE, SITE_SETTINGS_SAVE_FAILURE, SITE_SETTINGS_SAVE_SUCCESS, SITE_STATS_RECEIVE, SITE_STATS_REQUEST, SITE_STATS_REQUEST_FAILURE, SOCIAL_CONNECT_ACCOUNT_REQUEST, SOCIAL_CONNECT_ACCOUNT_REQUEST_FAILURE, SOCIAL_CONNECT_ACCOUNT_REQUEST_SUCCESS, SOCIAL_CONNECT_ACCOUNT_LINKING_CANCEL, SOCIAL_CREATE_ACCOUNT_REQUEST_FAILURE, SOCIAL_HANDOFF_CONNECT_ACCOUNT, SOCIAL_DISCONNECT_ACCOUNT_REQUEST, SOCIAL_DISCONNECT_ACCOUNT_REQUEST_FAILURE, SOCIAL_DISCONNECT_ACCOUNT_REQUEST_SUCCESS, SOCIAL_LOGIN_REQUEST, SOCIAL_LOGIN_REQUEST_FAILURE, SOCIAL_LOGIN_REQUEST_SUCCESS, STATS_CHART_COUNTS_RECEIVE, STATS_CHART_COUNTS_REQUEST, STATS_HIGHLIGHTS_RECEIVE, STATS_HIGHLIGHTS_REQUEST, STATS_UTM_METRICS_REQUEST, STATS_UTM_METRICS_REQUEST_FAILURE, STATS_UTM_METRICS_RECEIVE, STATS_UTM_METRICS_RECEIVE_BY_POST, STATS_UTM_TOP_POSTS_REQUEST, STATS_UTM_TOP_POSTS_RECEIVE, STATS_MODULE_SETTINGS_RECEIVE, STATS_MODULE_SETTINGS_REQUEST, STATS_MODULE_SETTINGS_UPDATE, STATS_MODULE_TOGGLES_RECEIVE, STATS_MODULE_TOGGLES_REQUEST, STATS_MODULE_TOGGLES_UPDATE, STATS_RECENT_POST_VIEWS_RECEIVE, STATS_RECENT_POST_VIEWS_REQUEST, STATS_PAID_STATS_UPSELL_MODAL_TOGGLE, STATS_JETPACK_NOTICE_SETTINGS_RECEIVE, STATS_JETPACK_NOTICE_SETTINGS_REQUEST, STATS_JETPACK_NOTICE_SETTINGS_FAILURE, STORED_CARDS_ADD_COMPLETED, STORED_CARDS_DELETE, STORED_CARDS_DELETE_COMPLETED, STORED_CARDS_DELETE_FAILED, STORED_CARDS_UPDATE_IS_PRIMARY_COMPLETED, STORED_CARDS_UPDATE_IS_BACKUP_COMPLETED, STORED_CARDS_FETCH, STORED_CARDS_FETCH_COMPLETED, STORED_CARDS_FETCH_FAILED, SUPPORT_ARTICLE_DIALOG_CLOSE, SUPPORT_ARTICLE_DIALOG_OPEN, SUPPORT_SESSION_TRANSITION, SITE_STAGING_STATUS_SET, SITE_SYNC_STATUS_SET, SITE_SYNC_TARGET_SITE, SITE_SYNC_SOURCE_SITE, SITE_SYNC_IS_SYNCING_IN_PROGRESS, SITE_SYNC_STATUS_REQUEST, SITE_SYNC_FAILURE, SITE_SYNC_LAST_RESTORE_ID, TERM_REMOVE, TERMS_RECEIVE, TERMS_REQUEST, TERMS_REQUEST_FAILURE, TERMS_REQUEST_SUCCESS, TIMEZONES_RECEIVE, TIMEZONES_REQUEST, TOS_ACCEPT, TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST, TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST_FAILURE, TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST_SUCCESS, TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST, TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST_FAILURE, TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST_SUCCESS, TWO_FACTOR_AUTHENTICATION_UPDATE_NONCE, URL_ANALYZER_ANALYZE, URL_ANALYZER_ANALYZE_DONE, URL_ANALYZER_ANALYZE_SUCCESS, URL_ANALYZER_ANALYZE_ERROR, URL_ANALYZER_RESET_ERROR, URL_ANALYZER_URL_DATA_UPDATE, USER_LICENSES_RECEIVE, USER_LICENSES_REQUEST, USER_LICENSES_REQUEST_SUCCESS, USER_LICENSES_REQUEST_FAILURE, USER_LICENSES_COUNTS_RECEIVE, USER_LICENSES_COUNTS_REQUEST, USER_LICENSES_COUNTS_REQUEST_SUCCESS, USER_LICENSES_COUNTS_REQUEST_FAILURE, USER_PROFILE_LINKS_ADD, USER_PROFILE_LINKS_ADD_DUPLICATE, USER_PROFILE_LINKS_ADD_FAILURE, USER_PROFILE_LINKS_ADD_MALFORMED, USER_PROFILE_LINKS_ADD_SUCCESS, USER_PROFILE_LINKS_DELETE, USER_PROFILE_LINKS_DELETE_FAILURE, USER_PROFILE_LINKS_DELETE_SUCCESS, USER_PROFILE_LINKS_RECEIVE, USER_PROFILE_LINKS_REQUEST, USER_PROFILE_LINKS_RESET_ERRORS, USER_SETTINGS_REQUEST, USER_SETTINGS_REQUEST_FAILURE, USER_SETTINGS_REQUEST_SUCCESS, USER_SETTINGS_SAVE, USER_SETTINGS_SAVE_FAILURE, USER_SETTINGS_SAVE_SUCCESS, USER_SETTINGS_UNSAVED_CLEAR, USER_SETTINGS_UNSAVED_REMOVE, USER_SETTINGS_UNSAVED_SET, USER_SUGGESTIONS_RECEIVE, USER_SUGGESTIONS_REQUEST, USER_SUGGESTIONS_REQUEST_FAILURE, USER_SUGGESTIONS_REQUEST_SUCCESS, VIDEO_EDITOR_SET_POSTER_URL, VIDEO_EDITOR_SHOW_ERROR, VIDEO_EDITOR_SHOW_UPLOAD_PROGRESS, VIDEO_EDITOR_UPDATE_POSTER, VIDEO_EDITOR_REFRESH_POSTER, WORDADS_EARNINGS_RECEIVE, WORDADS_EARNINGS_REQUEST, WORDADS_SETTINGS_RECEIVE, WORDADS_SETTINGS_REQUEST, WORDADS_SETTINGS_SAVE, WORDADS_SETTINGS_SAVE_FAILURE, WORDADS_SETTINGS_SAVE_SUCCESS, WORDADS_SETTINGS_UPDATE, WORDADS_PAYMENTS_RECEIVE, WORDADS_PAYMENTS_REQUEST, WORDADS_SITE_APPROVE_REQUEST, WORDADS_SITE_APPROVE_REQUEST_DISMISS_ERROR, WORDADS_SITE_APPROVE_REQUEST_DISMISS_SUCCESS, WORDADS_SITE_APPROVE_REQUEST_FAILURE, WORDADS_STATUS_RECEIVE, WORDADS_STATUS_REQUEST, EMAIL_STATS_RECEIVE, EMAIL_STATS_REQUEST, EMAIL_STATS_REQUEST_FAILURE, EMAIL_STATS_REQUEST_SUCCESS */
/**
 * Any new action type should be added to the set of exports below, with the
 * value mirroring its exported name.
 *
 * Please keep this list alphabetized!
 *
 * Unsure how to name an action type? Refer to our guidelines:
 *  - https://wpcalypso.wordpress.com/devdocs/docs/our-approach-to-data.md#actions
 */
const ACCOUNT_CLOSE = 'ACCOUNT_CLOSE';
const ACCOUNT_CLOSE_SUCCESS = 'ACCOUNT_CLOSE_SUCCESS';
const ACCOUNT_RECOVERY_SETTINGS_DELETE = 'ACCOUNT_RECOVERY_SETTINGS_DELETE';
const ACCOUNT_RECOVERY_SETTINGS_DELETE_FAILED = 'ACCOUNT_RECOVERY_SETTINGS_DELETE_FAILED';
const ACCOUNT_RECOVERY_SETTINGS_DELETE_SUCCESS = 'ACCOUNT_RECOVERY_SETTINGS_DELETE_SUCCESS';
const ACCOUNT_RECOVERY_SETTINGS_FETCH = 'ACCOUNT_RECOVERY_SETTINGS_FETCH';
const ACCOUNT_RECOVERY_SETTINGS_FETCH_FAILED = 'ACCOUNT_RECOVERY_SETTINGS_FETCH_FAILED';
const ACCOUNT_RECOVERY_SETTINGS_FETCH_SUCCESS = 'ACCOUNT_RECOVERY_SETTINGS_FETCH_SUCCESS';
const ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION = 'ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION';
const ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION_FAILED = 'ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION_FAILED';
const ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION_SUCCESS = 'ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION_SUCCESS';
const ACCOUNT_RECOVERY_SETTINGS_UPDATE = 'ACCOUNT_RECOVERY_SETTINGS_UPDATE';
const ACCOUNT_RECOVERY_SETTINGS_UPDATE_FAILED = 'ACCOUNT_RECOVERY_SETTINGS_UPDATE_FAILED';
const ACCOUNT_RECOVERY_SETTINGS_UPDATE_SUCCESS = 'ACCOUNT_RECOVERY_SETTINGS_UPDATE_SUCCESS';
const ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE = 'ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE';
const ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE_FAILED = 'ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE_FAILED';
const ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE_SUCCESS = 'ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE_SUCCESS';
const ACTIVE_PROMOTIONS_RECEIVE = 'ACTIVE_PROMOTIONS_RECEIVE';
const ACTIVE_PROMOTIONS_REQUEST = 'ACTIVE_PROMOTIONS_REQUEST';
const ACTIVE_PROMOTIONS_REQUEST_FAILURE = 'ACTIVE_PROMOTIONS_REQUEST_FAILURE';
const ACTIVE_PROMOTIONS_REQUEST_SUCCESS = 'ACTIVE_PROMOTIONS_REQUEST_SUCCESS';
const ACTIVITY_LOG_FILTER_SET = 'ACTIVITY_LOG_FILTER_SET';
const ACTIVITY_LOG_FILTER_UPDATE = 'ACTIVITY_LOG_FILTER_UPDATE';
const ADMIN_MENU_RECEIVE = 'ADMIN_MENU_RECEIVE';
const ADMIN_MENU_REQUEST = 'ADMIN_MENU_REQUEST';
const ALL_DOMAINS_REQUEST = 'ALL_DOMAINS_REQUEST';
const ALL_DOMAINS_REQUEST_FAILURE = 'ALL_DOMAINS_REQUEST_FAILURE';
const ALL_DOMAINS_REQUEST_SUCCESS = 'ALL_DOMAINS_REQUEST_SUCCESS';
const ALL_SITES_STATS_RECEIVE = 'ALL_SITES_STATS_RECEIVE';
const ANALYTICS_EVENT_RECORD = 'ANALYTICS_EVENT_RECORD';
const ANALYTICS_MULTI_TRACK = 'ANALYTICS_MULTI_TRACK';
const ANALYTICS_PAGE_VIEW_RECORD = 'ANALYTICS_PAGE_VIEW_RECORD';
const ANALYTICS_STAT_BUMP = 'ANALYTICS_STAT_BUMP';
const ANALYTICS_TRACKING_ON = 'ANALYTICS_TRACKING_ON';
const ANALYTICS_TRACKS_OPT_OUT = 'ANALYTICS_TRACKS_OPT_OUT';
const APP_BANNER_TOGGLE_VISIBILITY = 'APP_BANNER_TOGGLE_VISIBILITY';
const APP_BANNER_DISMISSED = 'APP_BANNER_DISMISSED';
const APPLY_STORED_STATE = 'APPLY_STORED_STATE';
const ATOMIC_TRANSFER_REQUEST = 'ATOMIC_TRANSFER_REQUEST';
const ATOMIC_TRANSFER_SET = 'ATOMIC_TRANSFER_SET';
const ATOMIC_TRANSFER_INITIATE_TRANSFER = 'ATOMIC_TRANSFER_INITIATE_TRANSFER';
const ATOMIC_TRANSFER_REQUEST_LATEST = 'ATOMIC_TRANSFER_REQUEST_LATEST';
const ATOMIC_TRANSFER_SET_LATEST = 'ATOMIC_TRANSFER_SET_LATEST';
const ATOMIC_SOFTWARE_INITIATE_INSTALL = 'ATOMIC_SOFTWARE_INITIATE_INSTALL';
const ATOMIC_SOFTWARE_REQUEST_STATUS = 'ATOMIC_SOFTWARE_REQUEST_STATUS';
const ATOMIC_SOFTWARE_SET_STATUS = 'ATOMIC_SOFTWARE_SET_STATUS';
const ATOMIC_SOFTWARE_SET_ERROR = 'ATOMIC_SOFTWARE_SET_ERROR';
const AUTOMATED_TRANSFER_ELIGIBILITY_REQUEST = 'AUTOMATED_TRANSFER_ELIGIBILITY_REQUEST';
const AUTOMATED_TRANSFER_ELIGIBILITY_UPDATE = 'AUTOMATED_TRANSFER_ELIGIBILITY_UPDATE';
const AUTOMATED_TRANSFER_INITIATE_WITH_PLUGIN_ZIP = 'AUTOMATED_TRANSFER_INITIATE_WITH_PLUGIN_ZIP';
const AUTOMATED_TRANSFER_STATUS_REQUEST = 'AUTOMATED_TRANSFER_STATUS_REQUEST';
const AUTOMATED_TRANSFER_STATUS_REQUEST_FAILURE = 'AUTOMATED_TRANSFER_STATUS_REQUEST_FAILURE';
const AUTOMATED_TRANSFER_STATUS_SET = 'AUTOMATED_TRANSFER_STATUS_SET';
const BILLING_RECEIPT_EMAIL_SEND = 'BILLING_RECEIPT_EMAIL_SEND';
const BILLING_RECEIPT_EMAIL_SEND_FAILURE = 'BILLING_RECEIPT_EMAIL_SEND_FAILURE';
const BILLING_RECEIPT_EMAIL_SEND_SUCCESS = 'BILLING_RECEIPT_EMAIL_SEND_SUCCESS';
const BILLING_TRANSACTION_ERROR_CLEAR = 'BILLING_TRANSACTION_ERROR_CLEAR';
const BILLING_TRANSACTION_RECEIVE = 'BILLING_TRANSACTION_RECEIVE';
const BILLING_TRANSACTION_REQUEST = 'BILLING_TRANSACTION_REQUEST';
const BILLING_TRANSACTION_REQUEST_FAILURE = 'BILLING_TRANSACTION_REQUEST_FAILURE';
const BILLING_TRANSACTION_REQUEST_SUCCESS = 'BILLING_TRANSACTION_REQUEST_SUCCESS';
const BILLING_TRANSACTIONS_FILTER_SET_APP = 'BILLING_TRANSACTIONS_FILTER_SET_APP';
const BILLING_TRANSACTIONS_FILTER_SET_MONTH = 'BILLING_TRANSACTIONS_FILTER_SET_MONTH';
const BILLING_TRANSACTIONS_FILTER_SET_PAGE = 'BILLING_TRANSACTIONS_FILTER_SET_PAGE';
const BILLING_TRANSACTIONS_FILTER_SET_QUERY = 'BILLING_TRANSACTIONS_FILTER_SET_QUERY';
const BILLING_TRANSACTIONS_RECEIVE = 'BILLING_TRANSACTIONS_RECEIVE';
const BILLING_TRANSACTIONS_REQUEST = 'BILLING_TRANSACTIONS_REQUEST';
const BILLING_TRANSACTIONS_REQUEST_FAILURE = 'BILLING_TRANSACTIONS_REQUEST_FAILURE';
const BILLING_TRANSACTIONS_REQUEST_SUCCESS = 'BILLING_TRANSACTIONS_REQUEST_SUCCESS';
const BREADCRUMB_RESET_LIST = 'BREADCRUMB_RESET_LIST';
const BREADCRUMB_UPDATE_LIST = 'BREADCRUMB_UPDATE_LIST';
const BREADCRUMB_APPEND_ITEM = 'BREADCRUMB_APPEND_ITEM';
const COMMAND_PALETTE_CLOSE = 'COMMAND_PALETTE_CLOSE';
const COMMAND_PALETTE_OPEN = 'COMMAND_PALETTE_OPEN';
const COMMENT_COUNTS_REQUEST = 'COMMENT_COUNTS_REQUEST';
const COMMENT_COUNTS_UPDATE = 'COMMENT_COUNTS_UPDATE';
const COMMENT_REQUEST = 'COMMENT_REQUEST';
const COMMENTS_CHANGE_STATUS = 'COMMENTS_CHANGE_STATUS';
const COMMENTS_COUNT_INCREMENT = 'COMMENTS_COUNT_INCREMENT';
const COMMENTS_COUNT_RECEIVE = 'COMMENTS_COUNT_RECEIVE';
const COMMENTS_DELETE = 'COMMENTS_DELETE';
const COMMENTS_EDIT = 'COMMENTS_EDIT';
const COMMENTS_EMPTY = 'COMMENTS_EMPTY';
const COMMENTS_EMPTY_SUCCESS = 'COMMENTS_EMPTY_SUCCESS';
const COMMENTS_LIKE = 'COMMENTS_LIKE';
const COMMENTS_LIST_REQUEST = 'COMMENTS_LIST_REQUEST';
const COMMENTS_QUERY_UPDATE = 'COMMENTS_QUERY_UPDATE';
const COMMENTS_RECEIVE = 'COMMENTS_RECEIVE';
const COMMENTS_RECEIVE_ERROR = 'COMMENTS_RECEIVE_ERROR';
const COMMENTS_REPLY_WRITE = 'COMMENTS_REPLY_WRITE';
const COMMENTS_REQUEST = 'COMMENTS_REQUEST';
const COMMENTS_SET_ACTIVE_REPLY = 'COMMENTS_SET_ACTIVE_REPLY';
const COMMENTS_TOGGLE_INLINE_EXPANDED = 'COMMENTS_TOGGLE_INLINE_EXPANDED';
const COMMENTS_UNLIKE = 'COMMENTS_UNLIKE';
const COMMENTS_UPDATES_RECEIVE = 'COMMENTS_UPDATES_RECEIVE';
const COMMENTS_WRITE = 'COMMENTS_WRITE';
const COMMENTS_WRITE_ERROR = 'COMMENTS_WRITE_ERROR';
const CONCIERGE_APPOINTMENT_CANCEL = 'CONCIERGE_APPOINTMENT_CANCEL';
const CONCIERGE_APPOINTMENT_CREATE = 'CONCIERGE_APPOINTMENT_CREATE';
const CONCIERGE_APPOINTMENT_DETAILS_REQUEST = 'CONCIERGE_APPOINTMENT_DETAILS_REQUEST';
const CONCIERGE_APPOINTMENT_DETAILS_UPDATE = 'CONCIERGE_APPOINTMENT_DETAILS_UPDATE';
const CONCIERGE_APPOINTMENT_RESCHEDULE = 'CONCIERGE_APPOINTMENT_RESCHEDULE';
const CONCIERGE_INITIAL_REQUEST = 'CONCIERGE_INITIAL_REQUEST';
const CONCIERGE_INITIAL_UPDATE = 'CONCIERGE_INITIAL_UPDATE';
const CONCIERGE_SIGNUP_FORM_UPDATE = 'CONCIERGE_SIGNUP_FORM_UPDATE';
const CONCIERGE_UPDATE_BOOKING_STATUS = 'CONCIERGE_UPDATE_BOOKING_STATUS';
const CONNECTED_APPLICATION_DELETE = 'CONNECTED_APPLICATION_DELETE';
const CONNECTED_APPLICATION_DELETE_SUCCESS = 'CONNECTED_APPLICATION_DELETE_SUCCESS';
const CONNECTED_APPLICATIONS_RECEIVE = 'CONNECTED_APPLICATIONS_RECEIVE';
const CONNECTED_APPLICATIONS_REQUEST = 'CONNECTED_APPLICATIONS_REQUEST';
const CONNECTION_LOST = 'CONNECTION_LOST';
const CONNECTION_RESTORED = 'CONNECTION_RESTORED';
const CONNECTIONS_SET_EXPANDED_SERVICE = 'CONNECTIONS_SET_EXPANDED_SERVICE';
const COUNTRIES_DOMAINS_FETCH = 'COUNTRIES_DOMAINS_FETCH';
const COUNTRIES_DOMAINS_UPDATED = 'COUNTRIES_DOMAINS_UPDATED';
const COUNTRIES_SMS_FETCH = 'COUNTRIES_SMS_FETCH';
const COUNTRIES_SMS_UPDATED = 'COUNTRIES_SMS_UPDATED';
const COUNTRIES_WOOCOMMERCE_FETCH = 'COUNTRIES_WOOCOMMERCE_FETCH';
const COUNTRIES_WOOCOMMERCE_UPDATED = 'COUNTRIES_WOOCOMMERCE_UPDATED';
const COUNTRY_STATES_RECEIVE = 'COUNTRY_STATES_RECEIVE';
const COUNTRY_STATES_REQUEST = 'COUNTRY_STATES_REQUEST';
const COUNTRY_STATES_REQUEST_FAILURE = 'COUNTRY_STATES_REQUEST_FAILURE';
const COUNTRY_STATES_REQUEST_SUCCESS = 'COUNTRY_STATES_REQUEST_SUCCESS';
const CURRENT_USER_FETCH = 'CURRENT_USER_FETCH';
const CURRENT_USER_RECEIVE = 'CURRENT_USER_RECEIVE';
const CURRENT_USER_SET_EMAIL_VERIFIED = 'CURRENT_USER_SET_EMAIL_VERIFIED';
const CURRENT_USER_SET_JETPACK_PARTNER_TYPE = 'CURRENT_USER_SET_JETPACK_PARTNER_TYPE';
const DOCUMENT_HEAD_LINK_SET = 'DOCUMENT_HEAD_LINK_SET';
const DOCUMENT_HEAD_META_SET = 'DOCUMENT_HEAD_META_SET';
const DOCUMENT_HEAD_TITLE_SET = 'DOCUMENT_HEAD_TITLE_SET';
const DOCUMENT_HEAD_UNREAD_COUNT_SET = 'DOCUMENT_HEAD_UNREAD_COUNT_SET';
const DOMAIN_CONTACT_INFO_DISCLOSE = 'DOMAIN_CONTACT_INFO_DISCLOSE';
const DOMAIN_CONTACT_INFO_DISCLOSE_FAILURE = 'DOMAIN_CONTACT_INFO_DISCLOSE_FAILURE';
const DOMAIN_CONTACT_INFO_DISCLOSE_SUCCESS = 'DOMAIN_CONTACT_INFO_DISCLOSE_SUCCESS';
const DOMAIN_CONTACT_INFO_REDACT = 'DOMAIN_CONTACT_INFO_REDACT';
const DOMAIN_CONTACT_INFO_REDACT_FAILURE = 'DOMAIN_CONTACT_INFO_REDACT_FAILURE';
const DOMAIN_CONTACT_INFO_REDACT_SUCCESS = 'DOMAIN_CONTACT_INFO_REDACT_SUCCESS';
const DOMAIN_MANAGEMENT_WHOIS_RECEIVE = 'DOMAIN_MANAGEMENT_WHOIS_RECEIVE';
const DOMAIN_MANAGEMENT_WHOIS_REQUEST = 'DOMAIN_MANAGEMENT_WHOIS_REQUEST';
const DOMAIN_MANAGEMENT_WHOIS_REQUEST_FAILURE = 'DOMAIN_MANAGEMENT_WHOIS_REQUEST_FAILURE';
const DOMAIN_MANAGEMENT_WHOIS_REQUEST_SUCCESS = 'DOMAIN_MANAGEMENT_WHOIS_REQUEST_SUCCESS';
const DOMAIN_MANAGEMENT_WHOIS_SAVE = 'DOMAIN_MANAGEMENT_WHOIS_SAVE';
const DOMAIN_MANAGEMENT_WHOIS_SAVE_FAILURE = 'DOMAIN_MANAGEMENT_WHOIS_SAVE_FAILURE';
const DOMAIN_MANAGEMENT_WHOIS_SAVE_SUCCESS = 'DOMAIN_MANAGEMENT_WHOIS_SAVE_SUCCESS';
const DOMAIN_MANAGEMENT_WHOIS_UPDATE = 'DOMAIN_MANAGEMENT_WHOIS_UPDATE';
const DOMAIN_MARK_AS_PENDING_MOVE = 'DOMAIN_MARK_AS_PENDING_MOVE';
const DOMAIN_PRIVACY_DISABLE = 'DOMAIN_PRIVACY_DISABLE';
const DOMAIN_PRIVACY_DISABLE_FAILURE = 'DOMAIN_PRIVACY_DISABLE_FAILURE';
const DOMAIN_PRIVACY_DISABLE_SUCCESS = 'DOMAIN_PRIVACY_DISABLE_SUCCESS';
const DOMAIN_PRIVACY_ENABLE = 'DOMAIN_PRIVACY_ENABLE';
const DOMAIN_PRIVACY_ENABLE_FAILURE = 'DOMAIN_PRIVACY_ENABLE_FAILURE';
const DOMAIN_PRIVACY_ENABLE_SUCCESS = 'DOMAIN_PRIVACY_ENABLE_SUCCESS';
const DOMAIN_TRANSFER_ACCEPT = 'DOMAIN_TRANSFER_ACCEPT';
const DOMAIN_TRANSFER_ACCEPT_COMPLETED = 'DOMAIN_TRANSFER_ACCEPT_COMPLETED';
const DOMAIN_TRANSFER_CANCEL_REQUEST = 'DOMAIN_TRANSFER_CANCEL_REQUEST';
const DOMAIN_TRANSFER_CANCEL_REQUEST_COMPLETED = 'DOMAIN_TRANSFER_CANCEL_REQUEST_COMPLETED';
const DOMAIN_TRANSFER_CANCEL_REQUEST_FAILED = 'DOMAIN_TRANSFER_CANCEL_REQUEST_FAILED';
const DOMAIN_TRANSFER_CODE_REQUEST = 'DOMAIN_TRANSFER_CODE_REQUEST';
const DOMAIN_TRANSFER_CODE_REQUEST_COMPLETED = 'DOMAIN_TRANSFER_CODE_REQUEST_COMPLETED';
const DOMAIN_TRANSFER_CODE_REQUEST_FAILED = 'DOMAIN_TRANSFER_CODE_REQUEST_FAILED';
const DOMAIN_TRANSFER_DECLINE = 'DOMAIN_TRANSFER_DECLINE';
const DOMAIN_TRANSFER_DECLINE_COMPLETED = 'DOMAIN_TRANSFER_DECLINE_COMPLETED';
const DOMAIN_TRANSFER_IPS_TAG_SAVE = 'DOMAIN_TRANSFER_IPS_TAG_SAVE';
const DOMAIN_TRANSFER_UPDATE = 'DOMAIN_TRANSFER_UPDATE';
const DOMAIN_TRANSFER_UPDATE_LOCK = 'DOMAIN_TRANSFER_UPDATE_LOCK';
const DOMAIN_WAPI_INFO_FETCH = 'DOMAIN_WAPI_INFO_FETCH';
const DOMAIN_WAPI_INFO_FETCH_FAILURE = 'DOMAIN_WAPI_INFO_FETCH_FAILURE';
const DOMAIN_WAPI_INFO_FETCH_SUCCESS = 'DOMAIN_WAPI_INFO_FETCH_SUCCESS';
const DOMAINS_DNS_ADD = 'DOMAINS_DNS_ADD';
const DOMAINS_DNS_ADD_COMPLETED = 'DOMAINS_DNS_ADD_COMPLETED';
const DOMAINS_DNS_ADD_FAILED = 'DOMAINS_DNS_ADD_FAILED';
const DOMAINS_DNS_APPLY_TEMPLATE_COMPLETED = 'DOMAINS_DNS_APPLY_TEMPLATE_COMPLETED';
const DOMAINS_DNS_DELETE = 'DOMAINS_DNS_DELETE';
const DOMAINS_DNS_DELETE_COMPLETED = 'DOMAINS_DNS_DELETE_COMPLETED';
const DOMAINS_DNS_DELETE_FAILED = 'DOMAINS_DNS_DELETE_FAILED';
const DOMAINS_DNS_FETCH = 'DOMAINS_DNS_FETCH';
const DOMAINS_DNS_FETCH_COMPLETED = 'DOMAINS_DNS_FETCH_COMPLETED';
const DOMAINS_DNS_FETCH_FAILED = 'DOMAINS_DNS_FETCH_FAILED';
const DOMAINS_DNS_UPDATE = 'DOMAINS_DNS_UPDATE';
const DOMAINS_DNS_UPDATE_COMPLETED = 'DOMAINS_DNS_UPDATE_COMPLETED';
const DOMAINS_DNS_UPDATE_FAILED = 'DOMAINS_DNS_UPDATE_FAILED';
const DOMAINS_SITE_REDIRECT_FETCH = 'DOMAINS_SITE_REDIRECT_FETCH';
const DOMAINS_SITE_REDIRECT_FETCH_COMPLETED = 'DOMAINS_SITE_REDIRECT_FETCH_COMPLETED';
const DOMAINS_SITE_REDIRECT_FETCH_FAILED = 'DOMAINS_SITE_REDIRECT_FETCH_FAILED';
const DOMAINS_SITE_REDIRECT_NOTICE_CLOSE = 'DOMAINS_SITE_REDIRECT_NOTICE_CLOSE';
const DOMAINS_SITE_REDIRECT_UPDATE = 'DOMAINS_SITE_REDIRECT_UPDATE';
const DOMAINS_SITE_REDIRECT_UPDATE_COMPLETED = 'DOMAINS_SITE_REDIRECT_UPDATE_COMPLETED';
const DOMAINS_SITE_REDIRECT_UPDATE_FAILED = 'DOMAINS_SITE_REDIRECT_UPDATE_FAILED';
const DOMAINS_REDIRECT_FETCH = 'DOMAINS_REDIRECT_FETCH';
const DOMAINS_REDIRECT_FETCH_COMPLETED = 'DOMAINS_REDIRECT_FETCH_COMPLETED';
const DOMAINS_REDIRECT_FETCH_FAILED = 'DOMAINS_REDIRECT_FETCH_FAILED';
const DOMAINS_REDIRECT_NOTICE_CLOSE = 'DOMAINS_REDIRECT_NOTICE_CLOSE';
const DOMAINS_REDIRECT_UPDATE = 'DOMAINS_REDIRECT_UPDATE';
const DOMAINS_REDIRECT_UPDATE_COMPLETED = 'DOMAINS_REDIRECT_UPDATE_COMPLETED';
const DOMAINS_REDIRECT_UPDATE_FAILED = 'DOMAINS_REDIRECT_UPDATE_FAILED';
const DOMAINS_REDIRECT_DELETE = 'DOMAINS_REDIRECT_DELETE';
const DOMAINS_REDIRECT_DELETE_COMPLETED = 'DOMAINS_REDIRECT_DELETE_COMPLETED';
const DOMAINS_REDIRECT_DELETE_FAILED = 'DOMAINS_REDIRECT_DELETE_FAILED';
const DOMAINS_SUGGESTIONS_RECEIVE = 'DOMAINS_SUGGESTIONS_RECEIVE';
const DOMAINS_SUGGESTIONS_REQUEST = 'DOMAINS_SUGGESTIONS_REQUEST';
const DOMAINS_SUGGESTIONS_REQUEST_FAILURE = 'DOMAINS_SUGGESTIONS_REQUEST_FAILURE';
const DOMAINS_SUGGESTIONS_REQUEST_SUCCESS = 'DOMAINS_SUGGESTIONS_REQUEST_SUCCESS';
const EDITOR_IFRAME_LOADED = 'EDITOR_IFRAME_LOADED';
const EDITOR_START = 'EDITOR_START';
const EDITOR_STOP = 'EDITOR_STOP';
const EDITOR_TYPE_REQUEST = 'EDITOR_TYPE_REQUEST';
const EDITOR_TYPE_SET = 'EDITOR_TYPE_SET';
const EMAIL_ACCOUNTS_REQUEST = 'EMAIL_ACCOUNTS_REQUEST';
const EMAIL_ACCOUNTS_REQUEST_FAILURE = 'EMAIL_ACCOUNTS_REQUEST_FAILURE';
const EMAIL_ACCOUNTS_REQUEST_SUCCESS = 'EMAIL_ACCOUNTS_REQUEST_SUCCESS';
const EMAIL_FORWARDING_REQUEST = 'EMAIL_FORWARDING_REQUEST';
const EMAIL_FORWARDING_REQUEST_FAILURE = 'EMAIL_FORWARDING_REQUEST_FAILURE';
const EMAIL_FORWARDING_REQUEST_SUCCESS = 'EMAIL_FORWARDING_REQUEST_SUCCESS';
const EMAIL_VERIFY_REQUEST = 'EMAIL_VERIFY_REQUEST';
const EMAIL_VERIFY_REQUEST_FAILURE = 'EMAIL_VERIFY_REQUEST_FAILURE';
const EMAIL_VERIFY_REQUEST_SUCCESS = 'EMAIL_VERIFY_REQUEST_SUCCESS';
const EMAIL_VERIFY_STATE_RESET = 'EMAIL_VERIFY_STATE_RESET';
const EXPORT_ADVANCED_SETTINGS_FETCH = 'EXPORT_ADVANCED_SETTINGS_FETCH';
const EXPORT_ADVANCED_SETTINGS_FETCH_FAIL = 'EXPORT_ADVANCED_SETTINGS_FETCH_FAIL';
const EXPORT_ADVANCED_SETTINGS_RECEIVE = 'EXPORT_ADVANCED_SETTINGS_RECEIVE';
const EXPORT_CLEAR = 'EXPORT_CLEAR';
const EXPORT_COMPLETE = 'EXPORT_COMPLETE';
const EXPORT_FAILURE = 'EXPORT_FAILURE';
const EXPORT_MEDIA_REQUEST = 'EXPORT_MEDIA_REQUEST';
const EXPORT_POST_TYPE_FIELD_SET = 'EXPORT_POST_TYPE_FIELD_SET';
const EXPORT_POST_TYPE_SET = 'EXPORT_POST_TYPE_SET';
const EXPORT_START_REQUEST = 'EXPORT_START_REQUEST';
const EXPORT_STARTED = 'EXPORT_STARTED';
const EXPORT_STATUS_FETCH = 'EXPORT_STATUS_FETCH';
const GOOGLE_MY_BUSINESS_STATS_CHANGE_INTERVAL = 'GOOGLE_MY_BUSINESS_STATS_CHANGE_INTERVAL';
const GOOGLE_MY_BUSINESS_STATS_FAILURE = 'GOOGLE_MY_BUSINESS_STATS_FAILURE';
const GOOGLE_MY_BUSINESS_STATS_RECEIVE = 'GOOGLE_MY_BUSINESS_STATS_RECEIVE';
const GOOGLE_MY_BUSINESS_STATS_REQUEST = 'GOOGLE_MY_BUSINESS_STATS_REQUEST';
const GRAVATAR_RECEIVE_IMAGE_FAILURE = 'GRAVATAR_RECEIVE_IMAGE_FAILURE';
const GRAVATAR_UPLOAD_RECEIVE = 'GRAVATAR_UPLOAD_RECEIVE';
const GRAVATAR_UPLOAD_REQUEST = 'GRAVATAR_UPLOAD_REQUEST';
const GRAVATAR_UPLOAD_REQUEST_FAILURE = 'GRAVATAR_UPLOAD_REQUEST_FAILURE';
const GRAVATAR_UPLOAD_REQUEST_SUCCESS = 'GRAVATAR_UPLOAD_REQUEST_SUCCESS';
const GUIDED_TOUR_PAUSE = 'GUIDED_TOUR_PAUSE';
const GUIDED_TOUR_RESUME = 'GUIDED_TOUR_RESUME';
const GUIDED_TOUR_UPDATE = 'GUIDED_TOUR_UPDATE';
const GUTENBERG_IFRAME_ELIGIBLE_SET = 'GUTENBERG_IFRAME_ELIGIBLE_SET';
const HOSTING_CLEAR_CACHE_REQUEST = 'HOSTING_CLEAR_CACHE_REQUEST';
const HOSTING_GEO_AFFINITY_REQUEST = 'HOSTING_GEO_AFFINITY_REQUEST';
const HOSTING_GEO_AFFINITY_SET = 'HOSTING_GEO_AFFINITY_SET';
const HOSTING_PHP_VERSION_REQUEST = 'HOSTING_PHP_VERSION_REQUEST';
const HOSTING_PHP_VERSION_SET = 'HOSTING_PHP_VERSION_SET';
const HOSTING_PHP_VERSION_SET_REQUEST = 'HOSTING_PHP_VERSION_SET_REQUEST';
const HOSTING_RESTORE_DATABASE_PASSWORD = 'HOSTING_RESTORE_DATABASE_PASSWORD';
const HOSTING_SFTP_PASSWORD_RESET = 'HOSTING_SFTP_PASSWORD_RESET';
const HOSTING_SFTP_USER_CREATE = 'HOSTING_SFTP_USER_CREATE';
const HOSTING_SFTP_USER_UPDATE = 'HOSTING_SFTP_USER_UPDATE';
const HOSTING_SFTP_USERS_REQUEST = 'HOSTING_SFTP_USERS_REQUEST';
const HOSTING_SFTP_USERS_SET = 'HOSTING_SFTP_USERS_SET';
const HOSTING_SSH_ACCESS_REQUEST = 'HOSTING_SSH_ACCESS_REQUEST';
const HOSTING_SSH_ACCESS_SET = 'HOSTING_SSH_ACCESS_SET';
const HOSTING_SSH_ACCESS_ENABLE = 'HOSTING_SSH_ACCESS_ENABLE';
const HOSTING_SSH_ACCESS_DISABLE = 'HOSTING_SSH_ACCESS_DISABLE';
const HOSTING_STATIC_FILE_404_REQUEST = 'HOSTING_STATIC_FILE_404_REQUEST';
const HOSTING_STATIC_FILE_404_SET = 'HOSTING_STATIC_FILE_404_SET';
const HOSTING_STATIC_FILE_404_SET_REQUEST = 'HOSTING_STATIC_FILE_404_SET_REQUEST';
const HOSTING_WP_VERSION_REQUEST = 'HOSTING_WP_VERSION_REQUEST';
const HOSTING_WP_VERSION_SET = 'HOSTING_WP_VERSION_SET';
const HOSTING_WP_VERSION_SET_REQUEST = 'HOSTING_WP_VERSION_SET_REQUEST';
const I18N_LANGUAGE_NAMES_ADD = 'I18N_LANGUAGE_NAMES_ADD';
const I18N_LANGUAGE_NAMES_REQUEST = 'I18N_LANGUAGE_NAMES_REQUEST';
const I18N_LOCALE_SUGGESTIONS_ADD = 'I18N_LOCALE_SUGGESTIONS_ADD';
const I18N_LOCALE_SUGGESTIONS_REQUEST = 'I18N_LOCALE_SUGGESTIONS_REQUEST';
const IMAGE_EDITOR_COMPUTED_CROP = 'IMAGE_EDITOR_COMPUTED_CROP';
const IMAGE_EDITOR_CROP = 'IMAGE_EDITOR_CROP';
const IMAGE_EDITOR_FLIP = 'IMAGE_EDITOR_FLIP';
const IMAGE_EDITOR_IMAGE_HAS_LOADED = 'IMAGE_EDITOR_IMAGE_HAS_LOADED';
const IMAGE_EDITOR_ROTATE_COUNTERCLOCKWISE = 'IMAGE_EDITOR_ROTATE_COUNTERCLOCKWISE';
const IMAGE_EDITOR_SET_ASPECT_RATIO = 'IMAGE_EDITOR_SET_ASPECT_RATIO';
const IMAGE_EDITOR_SET_CROP_BOUNDS = 'IMAGE_EDITOR_SET_CROP_BOUNDS';
const IMAGE_EDITOR_SET_DEFAULT_ASPECT_RATIO = 'IMAGE_EDITOR_SET_DEFAULT_ASPECT_RATIO';
const IMAGE_EDITOR_SET_FILE_INFO = 'IMAGE_EDITOR_SET_FILE_INFO';
const IMAGE_EDITOR_STATE_RESET = 'IMAGE_EDITOR_STATE_RESET';
const IMAGE_EDITOR_STATE_RESET_ALL = 'IMAGE_EDITOR_STATE_RESET_ALL';
const IMMEDIATE_LOGIN_SAVE_INFO = 'IMMEDIATE_LOGIN_SAVE_INFO';
const IMPORTS_AUTHORS_SET_MAPPING = 'IMPORTS_AUTHORS_SET_MAPPING';
const IMPORTS_AUTHORS_START_MAPPING = 'IMPORTS_AUTHORS_START_MAPPING';
const IMPORTS_IMPORT_CANCEL = 'IMPORTS_IMPORT_CANCEL';
const IMPORTS_IMPORT_LOCK = 'IMPORTS_IMPORT_LOCK';
const IMPORTS_IMPORT_RECEIVE = 'IMPORTS_IMPORT_RECEIVE';
const IMPORTS_IMPORT_RECEIVED_RESET = 'IMPORTS_IMPORT_RECEIVED_RESET';
const IMPORTS_IMPORT_RESET = 'IMPORTS_IMPORT_RESET';
const IMPORTS_IMPORT_START = 'IMPORTS_IMPORT_START';
const IMPORTS_IMPORT_UNLOCK = 'IMPORTS_IMPORT_UNLOCK';
const IMPORTS_START_IMPORTING = 'IMPORTS_START_IMPORTING';
const IMPORTS_UPLOAD_COMPLETED = 'IMPORTS_UPLOAD_COMPLETED';
const IMPORTS_UPLOAD_FAILED = 'IMPORTS_UPDLOAD_FAILED';
const IMPORTS_PRE_UPLOAD_FAILED = 'IMPORTS_PRE_UPDLOAD_FAILED';
const IMPORTS_UPLOAD_SET_PROGRESS = 'IMPORTS_UPLOAD_SET_PROGRESS';
const IMPORTS_UPLOAD_START = 'IMPORTS_UPLOAD_START';
const INVITE_ACCEPTED = 'INVITE_ACCEPTED';
const INVITE_RESEND_REQUEST = 'INVITE_RESEND_REQUEST';
const INVITE_RESEND_REQUEST_FAILURE = 'INVITE_RESEND_REQUEST_FAILURE';
const INVITE_RESEND_REQUEST_SUCCESS = 'INVITE_RESEND_REQUEST_SUCCESS';
const INVITES_DELETE_REQUEST = 'INVITES_DELETE_REQUEST';
const INVITES_DELETE_REQUEST_FAILURE = 'INVITES_DELETE_REQUEST_FAILURE';
const INVITES_DELETE_REQUEST_SUCCESS = 'INVITES_DELETE_REQUEST_SUCCESS';
const INVITES_REQUEST = 'INVITES_REQUEST';
const INVITES_REQUEST_FAILURE = 'INVITES_REQUEST_FAILURE';
const INVITES_REQUEST_SUCCESS = 'INVITES_REQUEST_SUCCESS';
const INVITES_SEND = 'INVITES_SEND';
const INVITES_SEND_ERROR = 'INVITES_SEND_ERROR';
const INVITES_SEND_SUCCESS = 'INVITES_SEND_SUCCESS';
const INVITES_SEND_FAILURE = 'INVITES_SEND_FAILURE';
const INVITES_VALIDATE_TOKEN = 'INVITES_VALIDATE_TOKEN';
const INVITES_VALIDATE_TOKEN_SUCCESS = 'INVITES_VALIDATE_TOKEN_SUCCESS';
const INVITES_VALIDATE_TOKEN_FAILURE = 'INVITES_VALIDATE_TOKEN_FAILURE';
const JETPACK_BACKUP_PREFLIGHT_TESTS_SET = 'JETPACK_BACKUP_PREFLIGHT_TESTS_SET';
const JETPACK_BACKUP_RETENTION_SET = 'JETPACK_BACKUP_RETENTION_SET';
const JETPACK_BACKUP_RETENTION_UPDATE = 'JETPACK_BACKUP_RETENTION_UPDATE';
const JETPACK_BACKUP_RETENTION_UPDATE_ERROR = 'JETPACK_BACKUP_RETENTION_UPDATE_ERROR';
const JETPACK_BACKUP_RETENTION_UPDATE_RESET = 'JETPACK_BACKUP_RETENTION_UPDATE_RESET';
const JETPACK_BACKUP_RETENTION_UPDATE_SUCCESS = 'JETPACK_BACKUP_RETENTION_UPDATE_SUCCESS';
const JETPACK_BACKUP_BROWSER_ADD_CHILDREN = 'JETPACK_BACKUP_BROWSER_ADD_CHILDREN';
const JETPACK_BACKUP_BROWSER_SET_CHECK_STATE = 'JETPACK_BACKUP_BROWSER_SET_CHECK_STATE';
const JETPACK_BACKUP_STAGING_GET_REQUEST = 'JETPACK_BACKUP_STAGING_GET_REQUEST';
const JETPACK_BACKUP_STAGING_GET_REQUEST_FAILURE = 'JETPACK_BACKUP_STAGING_GET_REQUEST_FAILURE';
const JETPACK_BACKUP_STAGING_GET_REQUEST_SUCCESS = 'JETPACK_BACKUP_STAGING_GET_REQUEST_SUCCESS';
const JETPACK_BACKUP_STAGING_LIST_REQUEST = 'JETPACK_BACKUP_STAGING_LIST_REQUEST';
const JETPACK_BACKUP_STAGING_LIST_REQUEST_FAILURE = 'JETPACK_BACKUP_STAGING_LIST_REQUEST_FAILURE';
const JETPACK_BACKUP_STAGING_LIST_REQUEST_SUCCESS = 'JETPACK_BACKUP_STAGING_LIST_REQUEST_SUCCESS';
const JETPACK_BACKUP_STAGING_SET = 'JETPACK_BACKUP_STAGING_SET';
const JETPACK_BACKUP_STAGING_UPDATE_REQUEST = 'JETPACK_BACKUP_STAGING_UPDATE_REQUEST';
const JETPACK_BACKUP_STAGING_UPDATE_REQUEST_FAILURE = 'JETPACK_BACKUP_STAGING_UPDATE_REQUEST_FAILURE';
const JETPACK_BACKUP_STAGING_UPDATE_REQUEST_SUCCESS = 'JETPACK_BACKUP_STAGING_UPDATE_REQUEST_SUCCESS';
const JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_RECEIVE = 'JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_RECEIVE';
const JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_REQUEST = 'JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_REQUEST';
const JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_REQUEST_FAILURE = 'JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_REQUEST_FAILURE';
const JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_REQUEST_SUCCESS = 'JETPACK_CHECKOUT_UPDATE_SUPPORT_TICKET_REQUEST_SUCCESS';
const JETPACK_CONNECTION_STATUS_RECEIVE = 'JETPACK_CONNECTION_STATUS_RECEIVE';
const JETPACK_CONNECTION_STATUS_REQUEST = 'JETPACK_CONNECTION_STATUS_REQUEST';
const JETPACK_CONNECTION_STATUS_REQUEST_FAILURE = 'JETPACK_CONNECTION_STATUS_REQUEST_FAILURE';
const JETPACK_CONNECTION_STATUS_REQUEST_SUCCESS = 'JETPACK_CONNECTION_STATUS_REQUEST_SUCCESS';
const JETPACK_CONNECTION_HEALTH_REQUEST = 'JETPACK_CONNECTION_HEALTH_REQUEST';
const JETPACK_CONNECTION_HEALTH_REQUEST_FAILURE = 'JETPACK_CONNECTION_HEALTH_REQUEST_FAILURE';
const JETPACK_CONNECTION_HEALTHY = 'JETPACK_CONNECTION_HEALTHY';
const JETPACK_CONNECTION_MAYBE_UNHEALTHY = 'JETPACK_CONNECTION_MAYBE_UNHEALTHY';
const JETPACK_CONNECTION_UNHEALTHY = 'JETPACK_CONNECTION_UNHEALTHY';
const JETPACK_CREDENTIALS_AUTOCONFIGURE = 'JETPACK_CREDENTIALS_AUTOCONFIGURE';
const JETPACK_CREDENTIALS_DELETE = 'JETPACK_CREDENTIALS_DELETE';
const JETPACK_CREDENTIALS_GET = 'JETPACK_CREDENTIALS_GET';
const JETPACK_CREDENTIALS_GET_FAILURE = 'JETPACK_CREDENTIALS_GET_FAILURE';
const JETPACK_CREDENTIALS_GET_SUCCESS = 'JETPACK_CREDENTIALS_GET_SUCCESS';
const JETPACK_CREDENTIALS_STORE = 'JETPACK_CREDENTIALS_STORE';
const JETPACK_CREDENTIALS_TEST = 'JETPACK_CREDENTIALS_TEST';
const JETPACK_CREDENTIALS_TEST_INVALID = 'JETPACK_CREDENTIALS_TEST_INVALID';
const JETPACK_CREDENTIALS_TEST_VALID = 'JETPACK_CREDENTIALS_TEST_VALID';
const JETPACK_CREDENTIALS_UPDATE = 'JETPACK_CREDENTIALS_UPDATE';
const JETPACK_CREDENTIALS_UPDATE_FAILURE = 'JETPACK_CREDENTIALS_UPDATE_FAILURE';
const JETPACK_CREDENTIALS_UPDATE_PROGRESS_START = 'JETPACK_CREDENTIALS_UPDATE_PROGRESS_START';
const JETPACK_CREDENTIALS_UPDATE_PROGRESS_UPDATE = 'JETPACK_CREDENTIALS_UPDATE_PROGRESS_UPDATE';
const JETPACK_CREDENTIALS_UPDATE_RESET = 'JETPACK_CREDENTIALS_UPDATE_RESET';
const JETPACK_CREDENTIALS_UPDATE_SUCCESS = 'JETPACK_CREDENTIALS_UPDATE_SUCCESS';
const JETPACK_DISCONNECT_RECEIVE = 'JETPACK_DISCONNECT_RECEIVE';
const JETPACK_SITE_DISCONNECT_REQUEST = 'JETPACK_SITE_DISCONNECT_REQUEST';
const JETPACK_MODULE_ACTIVATE = 'JETPACK_MODULE_ACTIVATE';
const JETPACK_MODULE_ACTIVATE_FAILURE = 'JETPACK_MODULE_ACTIVATE_FAILURE';
const JETPACK_MODULE_ACTIVATE_SUCCESS = 'JETPACK_MODULE_ACTIVATE_SUCCESS';
const JETPACK_MODULE_DEACTIVATE = 'JETPACK_MODULE_DEACTIVATE';
const JETPACK_MODULE_DEACTIVATE_FAILURE = 'JETPACK_MODULE_DEACTIVATE_FAILURE';
const JETPACK_MODULE_DEACTIVATE_SUCCESS = 'JETPACK_MODULE_DEACTIVATE_SUCCESS';
const JETPACK_MODULES_RECEIVE = 'JETPACK_MODULES_RECEIVE';
const JETPACK_MODULES_REQUEST = 'JETPACK_MODULES_REQUEST';
const JETPACK_MODULES_REQUEST_FAILURE = 'JETPACK_MODULES_REQUEST_FAILURE';
const JETPACK_MODULES_REQUEST_SUCCESS = 'JETPACK_MODULES_REQUEST_SUCCESS';
const JETPACK_PARTNER_PORTAL_LICENSE_COUNTS_RECEIVE = 'JETPACK_PARTNER_PORTAL_LICENSE_COUNTS_RECEIVE';
const JETPACK_PARTNER_PORTAL_LICENSE_COUNTS_REQUEST = 'JETPACK_PARTNER_PORTAL_LICENSE_COUNTS_REQUEST';
const JETPACK_PARTNER_PORTAL_LICENSES_RECEIVE = 'JETPACK_PARTNER_PORTAL_LICENSES_RECEIVE';
const JETPACK_PARTNER_PORTAL_LICENSES_REQUEST = 'JETPACK_PARTNER_PORTAL_LICENSES_REQUEST';
const JETPACK_PARTNER_PORTAL_OAUTH_TOKEN_SET = 'JETPACK_PARTNER_PORTAL_OAUTH_TOKEN_SET';
const JETPACK_PARTNER_PORTAL_PARTNER_ACTIVE_PARTNER_KEY_UPDATE = 'JETPACK_PARTNER_PORTAL_PARTNER_ACTIVE_PARTNER_KEY_UPDATE';
const JETPACK_PARTNER_PORTAL_PARTNER_RECEIVE = 'JETPACK_PARTNER_PORTAL_PARTNER_RECEIVE';
const JETPACK_PARTNER_PORTAL_PARTNER_RECEIVE_ERROR = 'JETPACK_PARTNER_PORTAL_PARTNER_RECEIVE_ERROR';
const JETPACK_PARTNER_PORTAL_PARTNER_REQUEST = 'JETPACK_PARTNER_PORTAL_PARTNER_REQUEST';
const JETPACK_PRODUCT_INSTALL_REQUEST = 'JETPACK_PRODUCT_INSTALL_REQUEST';
const JETPACK_PRODUCT_INSTALL_STATUS_RECEIVE = 'JETPACK_PRODUCT_INSTALL_STATUS_RECEIVE';
const JETPACK_PRODUCT_INSTALL_STATUS_REQUEST = 'JETPACK_PRODUCT_INSTALL_STATUS_REQUEST';
const JETPACK_REMOTE_INSTALL = 'JETPACK_REMOTE_INSTALL';
const JETPACK_REMOTE_INSTALL_FAILURE = 'JETPACK_REMOTE_INSTALL_FAILURE';
const JETPACK_REMOTE_INSTALL_SUCCESS = 'JETPACK_REMOTE_INSTALL_SUCCESS';
const JETPACK_SCAN_ENQUEUE_REQUEST = 'JETPACK_SCAN_ENQUEUE_REQUEST';
const JETPACK_SCAN_ENQUEUE_REQUEST_FAILURE = 'JETPACK_SCAN_ENQUEUE_REQUEST_FAILURE';
const JETPACK_SCAN_ENQUEUE_REQUEST_SUCCESS = 'JETPACK_SCAN_ENQUEUE_REQUEST_SUCCESS';
const JETPACK_SCAN_ENQUEUE_UPDATE = 'JETPACK_SCAN_ENQUEUE_UPDATE';
const JETPACK_SCAN_HISTORY_REQUEST = 'JETPACK_SCAN_HISTORY_REQUEST';
const JETPACK_SCAN_HISTORY_REQUEST_FAILURE = 'JETPACK_SCAN_HISTORY_REQUEST_FAILURE';
const JETPACK_SCAN_HISTORY_REQUEST_SUCCESS = 'JETPACK_SCAN_HISTORY_REQUEST_SUCCESS';
const JETPACK_SCAN_HISTORY_UPDATE = 'JETPACK_SCAN_HISTORY_UPDATE';
const JETPACK_SCAN_REQUEST = 'JETPACK_SCAN_REQUEST';
const JETPACK_SCAN_REQUEST_FAILURE = 'JETPACK_SCAN_REQUEST_FAILURE';
const JETPACK_SCAN_REQUEST_SUCCESS = 'JETPACK_SCAN_REQUEST_SUCCESS';
const JETPACK_SCAN_THREAT_COUNTS_REQUEST = 'JETPACK_SCAN_THREAT_COUNTS_REQUEST';
const JETPACK_SCAN_THREAT_COUNTS_REQUEST_FAILURE = 'JETPACK_SCAN_THREAT_COUNTS_REQUEST_FAILURE';
const JETPACK_SCAN_THREAT_COUNTS_REQUEST_SUCCESS = 'JETPACK_SCAN_THREAT_COUNTS_REQUEST_SUCCESS';
const JETPACK_SCAN_THREAT_COUNTS_UPDATE = 'JETPACK_SCAN_THREAT_COUNTS_UPDATE';
const JETPACK_SCAN_THREAT_FIX = 'JETPACK_SCAN_THREAT_FIX';
const JETPACK_SCAN_THREAT_IGNORE = 'JETPACK_SCAN_THREAT_IGNORE';
const JETPACK_SCAN_THREATS_FIX_ALL = 'JETPACK_SCAN_THREATS_FIX_ALL';
const JETPACK_SCAN_THREATS_GET_FIX_STATUS = 'JETPACK_SCAN_THREATS_GET_FIX_STATUS';
const JETPACK_SCAN_UPDATE = 'JETPACK_SCAN_UPDATE';
const JETPACK_SCAN_UPDATE_THREAT = 'JETPACK_SCAN_UPDATE_THREAT';
const JETPACK_SCAN_UPDATE_THREAT_COMPLETED = 'JETPACK_SCAN_UPDATE_THREAT_COMPLETED';
const JETPACK_SETTINGS_REQUEST = 'JETPACK_SETTINGS_REQUEST';
const JETPACK_SETTINGS_SAVE = 'JETPACK_SETTINGS_SAVE';
const JETPACK_SETTINGS_SAVE_SUCCESS = 'JETPACK_SETTINGS_SAVE_SUCCESS';
const JETPACK_SETTINGS_UPDATE = 'JETPACK_SETTINGS_UPDATE';
const JETPACK_SITE_ALERT_THREAT_FIX = 'JETPACK_SITE_ALERT_THREAT_FIX';
const JETPACK_SITE_ALERT_THREAT_IGNORE = 'JETPACK_SITE_ALERT_THREAT_IGNORE';
const JETPACK_SITES_FEATURES_FETCH = 'JETPACK_SITES_FEATURES_FETCH';
const JETPACK_SITES_FEATURES_FETCH_FAILURE = 'JETPACK_SITES_FEATURES_FETCH_FAILURE';
const JETPACK_SITES_FEATURES_FETCH_SUCCESS = 'JETPACK_SITES_FEATURES_FETCH_SUCCESS';
const JETPACK_SITES_FEATURES_RECEIVE = 'JETPACK_SITES_FEATURES_RECEIVE';
const JETPACK_SYNC_START_ERROR = 'JETPACK_SYNC_START_ERROR';
const JETPACK_SYNC_START_REQUEST = 'JETPACK_SYNC_START_REQUEST';
const JETPACK_SYNC_START_SUCCESS = 'JETPACK_SYNC_START_SUCCESS';
const JETPACK_SYNC_STATUS_ERROR = 'JETPACK_SYNC_STATUS_ERROR';
const JETPACK_SYNC_STATUS_REQUEST = 'JETPACK_SYNC_STATUS_REQUEST';
const JETPACK_SYNC_STATUS_SUCCESS = 'JETPACK_SYNC_STATUS_SUCCESS';
const JETPACK_USER_CONNECTION_CHANGE_OWNER = 'JETPACK_USER_CONNECTION_CHANGE_OWNER';
const JETPACK_USER_CONNECTION_DATA_RECEIVE = 'JETPACK_USER_CONNECTION_DATA_RECEIVE';
const JETPACK_USER_CONNECTION_DATA_REQUEST = 'JETPACK_USER_CONNECTION_DATA_REQUEST';
const JETPACK_USER_CONNECTION_DATA_REQUEST_FAILURE = 'JETPACK_USER_CONNECTION_DATA_REQUEST_FAILURE';
const JETPACK_USER_CONNECTION_DATA_REQUEST_SUCCESS = 'JETPACK_USER_CONNECTION_DATA_REQUEST_SUCCESS';
const JITM_DISMISS = 'JITM_DISMISS';
const JITM_FETCH = 'JITM_FETCH';
const JITM_OPEN_HELP_CENTER = 'JITM_OPEN_HELP_CENTER';
const JITM_SET = 'JITM_SET';
const KEYRING_CONNECTION_DELETE = 'KEYRING_CONNECTION_DELETE';
const KEYRING_CONNECTION_DELETE_FAILURE = 'KEYRING_CONNECTION_DELETE_FAILURE';
const KEYRING_CONNECTIONS_RECEIVE = 'KEYRING_CONNECTIONS_RECEIVE';
const KEYRING_CONNECTIONS_REQUEST = 'KEYRING_CONNECTIONS_REQUEST';
const KEYRING_CONNECTIONS_REQUEST_FAILURE = 'KEYRING_CONNECTIONS_REQUEST_FAILURE';
const KEYRING_CONNECTIONS_REQUEST_SUCCESS = 'KEYRING_CONNECTIONS_REQUEST_SUCCESS';
const KEYRING_SERVICES_RECEIVE = 'KEYRING_SERVICES_RECEIVE';
const KEYRING_SERVICES_REQUEST = 'KEYRING_SERVICES_REQUEST';
const KEYRING_SERVICES_REQUEST_FAILURE = 'KEYRING_SERVICES_REQUEST_FAILURE';
const KEYRING_SERVICES_REQUEST_SUCCESS = 'KEYRING_SERVICES_REQUEST_SUCCESS';
const LASAGNA_SOCKET_CONNECTED = 'LASAGNA_SOCKET_CONNECTED';
const LASAGNA_SOCKET_DISCONNECTED = 'LASAGNA_SOCKET_DISCONNECTED';
const LAYOUT_FOCUS_SET = 'LAYOUT_FOCUS_SET';
const LAYOUT_NEXT_FOCUS_ACTIVATE = 'LAYOUT_NEXT_FOCUS_ACTIVATE';
const LAYOUT_NEXT_FOCUS_SET = 'LAYOUT_NEXT_FOCUS_SET';
const LEGAL_REQUEST = 'LEGAL_REQUEST';
const LEGAL_SET = 'LEGAL_SET';
const LOCALE_SET = 'LOCALE_SET';
const LOGIN_AUTH_ACCOUNT_TYPE_REQUEST = 'LOGIN_AUTH_ACCOUNT_TYPE_REQUEST';
const LOGIN_AUTH_ACCOUNT_TYPE_REQUEST_FAILURE = 'LOGIN_AUTH_ACCOUNT_TYPE_REQUEST_FAILURE';
const LOGIN_AUTH_ACCOUNT_TYPE_REQUEST_SUCCESS = 'LOGIN_AUTH_ACCOUNT_TYPE_REQUEST_SUCCESS';
const LOGIN_AUTH_ACCOUNT_TYPE_REQUESTING = 'LOGIN_AUTH_ACCOUNT_TYPE_REQUESTING';
const LOGIN_AUTH_ACCOUNT_TYPE_RESET = 'LOGIN_AUTH_ACCOUNT_TYPE_RESET';
const LOGIN_EMAIL_SEND = 'LOGIN_EMAIL_SEND';
const LOGIN_FORM_UPDATE = 'LOGIN_FORM_UPDATE';
const LOGIN_REQUEST = 'LOGIN_REQUEST';
const LOGIN_REQUEST_FAILURE = 'LOGIN_REQUEST_FAILURE';
const LOGIN_REQUEST_SUCCESS = 'LOGIN_REQUEST_SUCCESS';
const MAGIC_LOGIN_HIDE_REQUEST_FORM = 'MAGIC_LOGIN_HIDE_REQUEST_FORM';
const MAGIC_LOGIN_HIDE_REQUEST_NOTICE = 'MAGIC_LOGIN_HIDE_REQUEST_NOTICE';
const MAGIC_LOGIN_REQUEST_AUTH_ERROR = 'MAGIC_LOGIN_REQUEST_AUTH_ERROR';
const MAGIC_LOGIN_REQUEST_AUTH_FETCH = 'MAGIC_LOGIN_REQUEST_AUTH_FETCH';
const MAGIC_LOGIN_REQUEST_AUTH_SUCCESS = 'MAGIC_LOGIN_REQUEST_AUTH_SUCCESS';
const MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_ERROR = 'MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_ERROR';
const MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_FETCH = 'MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_FETCH';
const MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_SUCCESS = 'MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_SUCCESS';
const MAGIC_LOGIN_RESET_REQUEST_FORM = 'MAGIC_LOGIN_RESET_REQUEST_FORM';
const MAGIC_LOGIN_SHOW_CHECK_YOUR_EMAIL_PAGE = 'MAGIC_LOGIN_SHOW_CHECK_YOUR_EMAIL_PAGE';
const MAGIC_LOGIN_SHOW_INTERSTITIAL_PAGE = 'MAGIC_LOGIN_SHOW_INTERSTITIAL_PAGE';
const MAGIC_LOGIN_SHOW_LINK_EXPIRED = 'MAGIC_LOGIN_SHOW_LINK_EXPIRED';
const MAILCHIMP_LISTS_LIST = 'MAILCHIMP_LISTS_LIST';
const MAILCHIMP_LISTS_RECEIVE = 'MAILCHIMP_LISTS_RECEIVE';
const MAILCHIMP_SETTINGS_LIST = 'MAILCHIMP_SETTINGS_LIST';
const MAILCHIMP_SETTINGS_RECEIVE = 'MAILCHIMP_SETTINGS_RECEIVE';
const MAILCHIMP_SETTINGS_UPDATE = 'MAILCHIMP_SETTINGS_UPDATE';
const MAILCHIMP_SETTINGS_UPDATE_FAILURE = 'MAILCHIMP_SETTINGS_UPDATE_FAILURE';
const MAILCHIMP_SETTINGS_UPDATE_SUCCESS = 'MAILCHIMP_SETTINGS_UPDATE_SUCCESS';
const MARKETING_CLICK_UPGRADE_NUDGE = 'MARKETING_CLICK_UPGRADE_NUDGE';
const MARKETING_JETPACK_SALE_COUPON_FETCH_FAILURE = 'MARKETING_JETPACK_SALE_COUPON_FETCH_FAILURE';
const MARKETING_JETPACK_SALE_COUPON_FETCH = 'MARKETING_JETPACK_SALE_COUPON_FETCH';
const MARKETING_JETPACK_SALE_COUPON_RECEIVE = 'MARKETING_JETPACK_SALE_COUPON_RECEIVE';
const MARKETPLACE_BILLING_INTERVAL_SELECT = 'MARKETPLACE_BILLING_INTERVAL_SELECT';
const MARKETPLACE_PRODUCTS_REINSTALL_COMPLETED = 'MARKETPLACE_PRODUCTS_REINSTALL_COMPLETED';
const MARKETPLACE_PRODUCTS_REINSTALL_FAILED = 'MARKETPLACE_PRODUCTS_REINSTALL_FAILED';
const MARKETPLACE_PRODUCTS_REINSTALL_NOT_STARTED = 'MARKETPLACE_PRODUCTS_REINSTALL_NOT_STARTED';
const MARKETPLACE_PRODUCTS_REINSTALL_STARTED = 'MARKETPLACE_PRODUCTS_REINSTALL_STARTED';
const MARKETPLACE_PLUGIN_INSTALLATION_STATE_CHANGE = 'MARKETPLACE_PLUGIN_INSTALLATION_STATE_CHANGE';
const MARKETPLACE_PRIMARY_DOMAIN_SELECT = 'MARKETPLACE_PRIMARY_DOMAIN_SELECT';
const MARKETPLACE_QUEUE_PRODUCT_INSTALL = 'MARKETPLACE_QUEUE_PRODUCT_INSTALL';
const MASTERBAR_TOGGLE_VISIBILITY = 'MASTERBAR_TOGGLE_VISIBILITY';
const MEDIA_CLEAR_SITE = 'MEDIA_CLEAR_SITE';
const MEDIA_DELETE = 'MEDIA_DELETE';
const MEDIA_ERRORS_CLEAR = 'MEDIA_ERRORS_CLEAR';
const MEDIA_ITEM_CREATE = 'MEDIA_ITEM_CREATE';
const MEDIA_ITEM_EDIT = 'MEDIA_ITEM_EDIT';
const MEDIA_ITEM_ERRORS_CLEAR = 'MEDIA_ITEM_ERRORS_CLEAR';
const MEDIA_ITEM_ERRORS_SET = 'MEDIA_ITEM_ERRORS_SET';
const MEDIA_ITEM_REQUEST = 'MEDIA_ITEM_REQUEST';
const MEDIA_ITEM_REQUEST_FAILURE = 'MEDIA_ITEM_REQUEST_FAILURE';
const MEDIA_ITEM_REQUEST_SUCCESS = 'MEDIA_ITEM_REQUEST_SUCCESS';
const MEDIA_LIBRARY_SELECTED_ITEMS_UPDATE = 'MEDIA_LIBRARY_SELECTED_ITEMS_UPDATE';
const MEDIA_MODAL_VIEW_SET = 'MEDIA_MODAL_VIEW_SET';
const MEDIA_RECEIVE = 'MEDIA_RECEIVE';
const MEDIA_REQUEST = 'MEDIA_REQUEST';
const MEDIA_REQUEST_FAILURE = 'MEDIA_REQUEST_FAILURE';
const MEDIA_REQUEST_SUCCESS = 'MEDIA_REQUEST_SUCCESS';
const MEDIA_SET_NEXT_PAGE_HANDLE = 'MEDIA_SET_NEXT_PAGE_HANDLE';
const MEDIA_SET_QUERY = 'MEDIA_SET_QUERY';
const MEDIA_SOURCE_CHANGE = 'MEDIA_SOURCE_CHANGE';
const MEMBERSHIPS_COUPON_ADD = 'MEMBERSHIPS_COUPON_ADD';
const MEMBERSHIPS_COUPON_ADD_FAILURE = 'MEMBERSHIPS_COUPON_ADD_FAILURE';
const MEMBERSHIPS_COUPON_DELETE = 'MEMBERSHIPS_COUPON_DELETE';
const MEMBERSHIPS_COUPON_DELETE_FAILURE = 'MEMBERSHIPS_COUPON_DELETE_FAILURE';
const MEMBERSHIPS_COUPON_RECEIVE = 'MEMBERSHIPS_COUPON_RECEIVE';
const MEMBERSHIPS_COUPON_UPDATE = 'MEMBERSHIPS_COUPON_UPDATE';
const MEMBERSHIPS_COUPON_UPDATE_FAILURE = 'MEMBERSHIPS_COUPON_UPDATE_FAILURE';
const MEMBERSHIPS_COUPONS_LIST = 'MEMBERSHIPS_COUPONS_LIST';
const MEMBERSHIPS_COUPONS_RECEIVE = 'MEMBERSHIPS_COUPONS_RECEIVE';
const MEMBERSHIPS_GIFT_ADD = 'MEMBERSHIPS_GIFT_ADD';
const MEMBERSHIPS_GIFT_ADD_FAILURE = 'MEMBERSHIPS_GIFT_ADD_FAILURE';
const MEMBERSHIPS_GIFT_DELETE = 'MEMBERSHIPS_GIFT_DELETE';
const MEMBERSHIPS_GIFT_DELETE_FAILURE = 'MEMBERSHIPS_GIFT_DELETE_FAILURE';
const MEMBERSHIPS_EARNINGS_GET = 'MEMBERSHIPS_EARNINGS_GET';
const MEMBERSHIPS_EARNINGS_RECEIVE = 'MEMBERSHIPS_EARNINGS_RECEIVE';
const MEMBERSHIPS_PRODUCT_ADD = 'MEMBERSHIPS_PRODUCT_ADD';
const MEMBERSHIPS_PRODUCT_ADD_FAILURE = 'MEMBERSHIPS_PRODUCT_ADD_FAILURE';
const MEMBERSHIPS_PRODUCT_DELETE = 'MEMBERSHIPS_PRODUCT_DELETE';
const MEMBERSHIPS_PRODUCT_DELETE_FAILURE = 'MEMBERSHIPS_PRODUCT_DELETE_FAILURE';
const MEMBERSHIPS_PRODUCT_RECEIVE = 'MEMBERSHIPS_PRODUCT_RECEIVE';
const MEMBERSHIPS_PRODUCT_UPDATE = 'MEMBERSHIPS_PRODUCT_UPDATE';
const MEMBERSHIPS_PRODUCT_UPDATE_FAILURE = 'MEMBERSHIPS_PRODUCT_UPDATE_FAILURE';
const MEMBERSHIPS_PRODUCTS_LIST = 'MEMBERSHIPS_PRODUCTS_LIST';
const MEMBERSHIPS_PRODUCTS_RECEIVE = 'MEMBERSHIPS_PRODUCTS_RECEIVE';
const MEMBERSHIPS_SETTINGS = 'MEMBERSHIPS_SETTINGS';
const MEMBERSHIPS_SETTINGS_RECEIVE = 'MEMBERSHIPS_SETTINGS_RECEIVE';
const MEMBERSHIPS_SUBSCRIBERS_LIST = 'MEMBERSHIPS_SUBSCRIBERS_LIST';
const MEMBERSHIPS_SUBSCRIBERS_RECEIVE = 'MEMBERSHIPS_SUBSCRIBERS_RECEIVE';
const MEMBERSHIPS_SUBSCRIPTION_STOP = 'MEMBERSHIPS_SUBSCRIPTION_STOP';
const MEMBERSHIPS_SUBSCRIPTION_STOP_FAILURE = 'MEMBERSHIPS_SUBSCRIPTION_STOP_FAILURE';
const MEMBERSHIPS_SUBSCRIPTION_STOP_SUCCESS = 'MEMBERSHIPS_SUBSCRIPTION_STOP_SUCCESS';
const MEMBERSHIPS_SUBSCRIPTION_UPDATE = 'MEMBERSHIPS_SUBSCRIPTION_UPDATE';
const MEMBERSHIPS_SUBSCRIPTION_UPDATING = 'MEMBERSHIPS_SUBSCRIPTION_UPDATING';
const MEMBERSHIPS_SUBSCRIPTION_UPDATING_FAILURE = 'MEMBERSHIPS_SUBSCRIPTION_UPDATING_FAILURE';
const MEMBERSHIPS_SUBSCRIPTION_UPDATING_SUCCESS = 'MEMBERSHIPS_SUBSCRIPTION_UPDATING_SUCCESS';
const MEMBERSHIPS_SUBSCRIPTIONS_LIST_REQUEST = 'MEMBERSHIPS_SUBSCRIPTIONS_LIST_REQUEST';
const MEMBERSHIPS_SUBSCRIPTIONS_RECEIVE = 'MEMBERSHIPS_SUBSCRIPTIONS_RECEIVE';
const MY_SITES_SIDEBAR_SECTION_TOGGLE = 'MY_SITES_SIDEBAR_SECTION_TOGGLE';
const MY_SITES_SIDEBAR_SECTIONS_COLLAPSE_ALL = 'MY_SITES_SIDEBAR_SECTIONS_COLLAPSE_ALL';
const NOTICE_CREATE = 'NOTICE_CREATE';
const NOTICE_REMOVE = 'NOTICE_REMOVE';
const NOTIFICATION_SETTINGS_FETCH = 'NOTIFICATION_SETTINGS_FETCH';
const NOTIFICATION_SETTINGS_FETCH_COMPLETE = 'NOTIFICATION_SETTINGS_FETCH_COMPLETE';
const NOTIFICATION_SETTINGS_FETCH_FAILED = 'NOTIFICATION_SETTINGS_FETCH_FAILED';
const NOTIFICATION_SETTINGS_REQUEST = 'NOTIFICATION_SETTINGS_REQUEST';
const NOTIFICATION_SETTINGS_SAVE = 'NOTIFICATION_SETTINGS_SAVE';
const NOTIFICATION_SETTINGS_SAVE_COMPLETE = 'NOTIFICATION_SETTINGS_SAVE_COMPLETE';
const NOTIFICATION_SETTINGS_SAVE_FAILED = 'NOTIFICATION_SETTINGS_SAVE_FAILED';
const NOTIFICATION_SETTINGS_TOGGLE_SETTING = 'NOTIFICATION_SETTINGS_TOGGLE_SETTING';
const NOTIFICATION_SETTINGS_UPDATE = 'NOTIFICATION_SETTINGS_UPDATE';
const NOTIFICATIONS_FORCE_REFRESH = 'NOTIFICATIONS_FORCE_REFRESH';
const NOTIFICATIONS_PANEL_TOGGLE = 'NOTIFICATIONS_PANEL_TOGGLE';
const NOTIFICATIONS_UNSEEN_COUNT_SET = 'NOTIFICATIONS_UNSEEN_COUNT_SET';
const OAUTH2_CLIENT_DATA_RECEIVE = 'OAUTH2_CLIENT_DATA_RECEIVE';
const ORDER_TRANSACTION_FETCH = 'ORDER_TRANSACTION_FETCH';
const ORDER_TRANSACTION_FETCH_ERROR = 'ORDER_TRANSACTION_FETCH_ERROR';
const ORDER_TRANSACTION_SET = 'ORDER_TRANSACTION_SET';
const P2_CONNECTION_DELETE = 'P2_CONNECTION_DELETE';
const P2_CONNECTION_DELETE_FAILURE = 'P2_CONNECTION_DELETE_FAILURE';
const P2_CONNECTIONS_RECEIVE = 'P2_CONNECTIONS_RECEIVE';
const P2_CONNECTIONS_REQUEST = 'P2_CONNECTIONS_REQUEST';
const P2_CONNECTIONS_REQUEST_FAILURE = 'P2_CONNECTIONS_REQUEST_FAILURE';
const P2_CONNECTIONS_REQUEST_SUCCESS = 'P2_CONNECTIONS_REQUEST_SUCCESS';
const PLANS_RECEIVE = 'PLANS_RECEIVE';
const PLANS_REQUEST = 'PLANS_REQUEST';
const PLANS_REQUEST_FAILURE = 'PLANS_REQUEST_FAILURE';
const PLANS_REQUEST_SUCCESS = 'PLANS_REQUEST_SUCCESS';
const PLUGIN_ACTIVATE_REQUEST = 'PLUGINS_ACTIVATE_REQUEST';
const PLUGIN_ACTIVATE_REQUEST_FAILURE = 'PLUGINS_ACTIVATE_REQUEST_FAILURE';
const PLUGIN_ACTIVATE_REQUEST_SUCCESS = 'PLUGINS_ACTIVATE_REQUEST_SUCCESS';
const PLUGIN_AUTOUPDATE_DISABLE_REQUEST = 'PLUGIN_AUTOUPDATE_DISABLE_REQUEST';
const PLUGIN_AUTOUPDATE_DISABLE_REQUEST_FAILURE = 'PLUGIN_AUTOUPDATE_DISABLE_REQUEST_FAILURE';
const PLUGIN_AUTOUPDATE_DISABLE_REQUEST_SUCCESS = 'PLUGIN_AUTOUPDATE_DISABLE_REQUEST_SUCCESS';
const PLUGIN_AUTOUPDATE_ENABLE_REQUEST = 'PLUGIN_AUTOUPDATE_ENABLE_REQUEST';
const PLUGIN_AUTOUPDATE_ENABLE_REQUEST_FAILURE = 'PLUGIN_AUTOUPDATE_ENABLE_REQUEST_FAILURE';
const PLUGIN_AUTOUPDATE_ENABLE_REQUEST_SUCCESS = 'PLUGIN_AUTOUPDATE_ENABLE_REQUEST_SUCCESS';
const PLUGIN_DEACTIVATE_REQUEST = 'PLUGIN_DEACTIVATE_REQUEST';
const PLUGIN_DEACTIVATE_REQUEST_FAILURE = 'PLUGIN_DEACTIVATE_REQUEST_FAILURE';
const PLUGIN_DEACTIVATE_REQUEST_SUCCESS = 'PLUGIN_DEACTIVATE_REQUEST_SUCCESS';
const PLUGIN_INSTALL_REQUEST = 'PLUGIN_INSTALL_REQUEST';
const PLUGIN_INSTALL_REQUEST_FAILURE = 'PLUGIN_INSTALL_REQUEST_FAILURE';
const PLUGIN_INSTALL_REQUEST_SUCCESS = 'PLUGIN_INSTALL_REQUEST_SUCCESS';
const PLUGIN_NOTICES_REMOVE = 'PLUGIN_NOTICES_REMOVE';
const RESET_PLUGIN_NOTICES = 'RESET_PLUGIN_NOTICES';
const PLUGIN_REMOVE_REQUEST = 'PLUGIN_REMOVE_REQUEST';
const PLUGIN_REMOVE_REQUEST_FAILURE = 'PLUGIN_REMOVE_REQUEST_FAILURE';
const PLUGIN_REMOVE_REQUEST_SUCCESS = 'PLUGIN_REMOVE_REQUEST_SUCCESS';
const PLUGIN_SETUP_ACTIVATE = 'PLUGIN_SETUP_ACTIVATE';
const PLUGIN_SETUP_CONFIGURE = 'PLUGIN_SETUP_CONFIGURE';
const PLUGIN_SETUP_ERROR = 'PLUGIN_SETUP_ERROR';
const PLUGIN_SETUP_FINISH = 'PLUGIN_SETUP_FINISH';
const PLUGIN_SETUP_INSTALL = 'PLUGIN_SETUP_INSTALL';
const PLUGIN_SETUP_INSTRUCTIONS_FETCH = 'PLUGIN_SETUP_INSTRUCTIONS_FETCH';
const PLUGIN_SETUP_INSTRUCTIONS_RECEIVE = 'PLUGIN_SETUP_INSTRUCTIONS_RECEIVE';
const PLUGIN_UPDATE_REQUEST = 'PLUGINS_UPDATE_REQUEST';
const PLUGIN_UPDATE_REQUEST_FAILURE = 'PLUGIN_UPDATE_REQUEST_FAILURE';
const PLUGIN_UPDATE_REQUEST_SUCCESS = 'PLUGIN_UPDATE_REQUEST_SUCCESS';
const PLUGIN_ALREADY_UP_TO_DATE = 'PLUGIN_ALREADY_UP_TO_DATE';
const PLUGIN_ACTION_STATUS_UPDATE = 'PLUGIN_ACTION_STATUS_UPDATE';
const PLUGIN_UPLOAD = 'PLUGIN_UPLOAD';
const PLUGIN_UPLOAD_CLEAR = 'PLUGIN_UPLOAD_CLEAR';
const PLUGIN_UPLOAD_COMPLETE = 'PLUGIN_UPLOAD_COMPLETE';
const PLUGIN_UPLOAD_ERROR = 'PLUGIN_UPLOAD_ERROR';
const PLUGIN_UPLOAD_PROGRESS = 'PLUGIN_UPLOAD_PROGRESS';
const PLUGINS_ALL_RECEIVE = 'PLUGINS_ALL_RECEIVE';
const PLUGINS_ALL_REQUEST = 'PLUGINS_ALL_REQUEST';
const PLUGINS_ALL_REQUEST_FAILURE = 'PLUGINS_ALL_REQUEST_FAILURE';
const PLUGINS_ALL_REQUEST_SUCCESS = 'PLUGINS_ALL_REQUEST_SUCCESS';
const PLUGINS_RECEIVE = 'PLUGINS_RECEIVE';
const PLUGINS_REQUEST = 'PLUGINS_REQUEST';
const PLUGINS_REQUEST_FAILURE = 'PLUGINS_REQUEST_FAILURE';
const PLUGINS_REQUEST_SUCCESS = 'PLUGINS_REQUEST_SUCCESS';
const PLUGINS_WPORG_LIST_RECEIVE = 'PLUGINS_WPORG_LIST_RECEIVE';
const PLUGINS_WPORG_LIST_REQUEST = 'PLUGINS_WPORG_LIST_REQUEST';
const PLUGINS_WPORG_PLUGIN_RECEIVE = 'PLUGINS_WPORG_PLUGIN_RECEIVE';
const PLUGINS_WPORG_PLUGIN_REQUEST = 'PLUGINS_WPORG_PLUGIN_REQUEST';
const POST_COUNTS_RECEIVE = 'POST_COUNTS_RECEIVE';
const POST_COUNTS_REQUEST = 'POST_COUNTS_REQUEST';
const POST_COUNTS_REQUEST_FAILURE = 'POST_COUNTS_REQUEST_FAILURE';
const POST_COUNTS_REQUEST_SUCCESS = 'POST_COUNTS_REQUEST_SUCCESS';
const POST_COUNTS_RESET_INTERNAL_STATE = 'POST_COUNTS_RESET_INTERNAL_STATE';
const POST_DELETE = 'POST_DELETE';
const POST_DELETE_FAILURE = 'POST_DELETE_FAILURE';
const POST_DELETE_SUCCESS = 'POST_DELETE_SUCCESS';
const POST_EDIT = 'POST_EDIT';
const POST_LIKE = 'POST_LIKE';
const POST_LIKERS_RECEIVE = 'POST_LIKERS_RECEIVE';
const POST_LIKERS_REQUEST = 'POST_LIKERS_REQUEST';
const POST_LIKES_ADD_LIKER = 'POST_LIKES_ADD_LIKER';
const POST_LIKES_RECEIVE = 'POST_LIKES_RECEIVE';
const POST_LIKES_REMOVE_LIKER = 'POST_LIKES_REMOVE_LIKER';
const POST_LIKES_REQUEST = 'POST_LIKES_REQUEST';
const POST_REQUEST = 'POST_REQUEST';
const POST_REQUEST_FAILURE = 'POST_REQUEST_FAILURE';
const POST_REQUEST_SUCCESS = 'POST_REQUEST_SUCCESS';
const POST_RESTORE = 'POST_RESTORE';
const POST_RESTORE_FAILURE = 'POST_RESTORE_FAILURE';
const POST_RESTORE_SUCCESS = 'POST_RESTORE_SUCCESS';
const POST_REVISION_AUTHORS_RECEIVE = 'POST_REVISION_AUTHORS_RECEIVE';
const POST_REVISIONS_AUTHORS_REQUEST = 'POST_REVISIONS_AUTHORS_REQUEST';
const POST_REVISIONS_DIALOG_CLOSE = 'POST_REVISIONS_DIALOG_CLOSE';
const POST_REVISIONS_DIALOG_OPEN = 'POST_REVISIONS_DIALOG_OPEN';
const POST_REVISIONS_DIFF_SPLIT_VIEW = 'POST_REVISIONS_DIFF_SPLIT_VIEW';
const POST_REVISIONS_DIFF_UNIFY_VIEW = 'POST_REVISIONS_DIFF_UNIFY_VIEW';
const POST_REVISIONS_RECEIVE = 'POST_REVISIONS_RECEIVE';
const POST_REVISIONS_REQUEST = 'POST_REVISIONS_REQUEST';
const POST_REVISIONS_SELECT = 'POST_REVISIONS_SELECT';
const POST_SAVE = 'POST_SAVE';
const POST_SAVE_FAILURE = 'POST_SAVE_FAILURE';
const POST_SAVE_SUCCESS = 'POST_SAVE_SUCCESS';
const POST_STATS_RECEIVE = 'POST_STATS_RECEIVE';
const POST_STATS_REQUEST = 'POST_STATS_REQUEST';
const POST_STATS_REQUEST_FAILURE = 'POST_STATS_REQUEST_FAILURE';
const POST_STATS_REQUEST_SUCCESS = 'POST_STATS_REQUEST_SUCCESS';
const POST_TYPE_LIST_SHARE_PANEL_HIDE = 'POST_TYPE_LIST_SHARE_PANEL_HIDE';
const POST_TYPE_LIST_SHARE_PANEL_TOGGLE = 'POST_TYPE_LIST_SHARE_PANEL_TOGGLE';
const POST_TYPES_RECEIVE = 'POST_TYPES_RECEIVE';
const POST_TYPES_REQUEST = 'POST_TYPES_REQUEST';
const POST_TYPES_TAXONOMIES_RECEIVE = 'POST_TYPES_TAXONOMIES_RECEIVE';
const POST_TYPES_TAXONOMIES_REQUEST = 'POST_TYPES_TAXONOMIES_REQUEST';
const POST_TYPES_TAXONOMIES_REQUEST_FAILURE = 'POST_TYPES_TAXONOMIES_REQUEST_FAILURE';
const POST_TYPES_TAXONOMIES_REQUEST_SUCCESS = 'POST_TYPES_TAXONOMIES_REQUEST_SUCCESS';
const POST_UNLIKE = 'POST_UNLIKE';
const POSTS_RECEIVE = 'POSTS_RECEIVE';
const POSTS_REQUEST = 'POSTS_REQUEST';
const POSTS_REQUEST_FAILURE = 'POSTS_REQUEST_FAILURE';
const POSTS_REQUEST_SUCCESS = 'POSTS_REQUEST_SUCCESS';
const PREFERENCES_FETCH = 'PREFERENCES_FETCH';
const PREFERENCES_FETCH_FAILURE = 'PREFERENCES_FETCH_FAILURE';
const PREFERENCES_FETCH_SUCCESS = 'PREFERENCES_FETCH_SUCCESS';
const PREFERENCES_RECEIVE = 'PREFERENCES_RECEIVE';
const PREFERENCES_SAVE_SUCCESS = 'PREFERENCES_SAVE_SUCCESS';
const PREFERENCES_SAVE_FAILURE = 'PREFERENCES_SAVE_FAILURE';
const PREFERENCES_SET = 'PREFERENCES_SET';
const PREVIEW_URL_CLEAR = 'PREVIEW_URL_CLEAR';
const PREVIEW_URL_SET = 'PREVIEW_URL_SET';
const PRODUCTS_LIST_RECEIVE = 'PRODUCTS_LIST_RECEIVE';
const PRODUCTS_LIST_REQUEST = 'PRODUCTS_LIST_REQUEST';
const PRODUCTS_LIST_REQUEST_FAILURE = 'PRODUCTS_LIST_REQUEST_FAILURE';
const PROMOTE_POST_CAMPAIGNS_FETCH = 'PROMOTE_POST_CAMPAIGNS_FETCH';
const PROMOTE_POST_CAMPAIGNS_FETCH_DONE = 'PROMOTE_POST_CAMPAIGNS_DONE';
const PROMOTE_POST_CAMPAIGN_CANCEL = 'PROMOTE_POST_CAMPAIGN_CANCEL';
const PUBLICIZE_CONNECTION_CREATE = 'PUBLICIZE_CONNECTION_CREATE';
const PUBLICIZE_CONNECTION_CREATE_FAILURE = 'PUBLICIZE_CONNECTION_CREATE_FAILURE';
const PUBLICIZE_CONNECTION_DELETE = 'PUBLICIZE_CONNECTION_DELETE';
const PUBLICIZE_CONNECTION_DELETE_FAILURE = 'PUBLICIZE_CONNECTION_DELETE_FAILURE';
const PUBLICIZE_CONNECTION_RECEIVE = 'PUBLICIZE_CONNECTION_RECEIVE';
const PUBLICIZE_CONNECTION_UPDATE = 'PUBLICIZE_CONNECTION_UPDATE';
const PUBLICIZE_CONNECTION_UPDATE_FAILURE = 'PUBLICIZE_CONNECTION_UPDATE_FAILURE';
const PUBLICIZE_CONNECTIONS_RECEIVE = 'PUBLICIZE_CONNECTIONS_RECEIVE';
const PUBLICIZE_CONNECTIONS_REQUEST = 'PUBLICIZE_CONNECTIONS_REQUEST';
const PUBLICIZE_CONNECTIONS_REQUEST_FAILURE = 'PUBLICIZE_CONNECTIONS_REQUEST_FAILURE';
const PUBLICIZE_CONNECTIONS_REQUEST_SUCCESS = 'PUBLICIZE_CONNECTIONS_REQUEST_SUCCESS';
const PUBLICIZE_SHARE = 'PUBLICIZE_SHARE';
const PUBLICIZE_SHARE_ACTION_DELETE = 'PUBLICIZE_SHARE_ACTION_DELETE';
const PUBLICIZE_SHARE_ACTION_DELETE_FAILURE = 'PUBLICIZE_SHARE_ACTION_DELETE_FAILURE';
const PUBLICIZE_SHARE_ACTION_DELETE_SUCCESS = 'PUBLICIZE_SHARE_ACTION_DELETE_SUCCESS';
const PUBLICIZE_SHARE_ACTION_SCHEDULE = 'PUBLICIZE_SHARE_ACTION_SCHEDULE';
const PUBLICIZE_SHARE_ACTION_SCHEDULE_FAILURE = 'PUBLICIZE_SHARE_ACTION_SCHEDULE_FAILURE';
const PUBLICIZE_SHARE_ACTION_SCHEDULE_SUCCESS = 'PUBLICIZE_SHARE_ACTION_SCHEDULE_SUCCESS';
const PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST = 'PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST';
const PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST_FAILURE = 'PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST_FAILURE';
const PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST_SUCCESS = 'PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST_SUCCESS';
const PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST = 'PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST';
const PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST_FAILURE = 'PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST_FAILURE';
const PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST_SUCCESS = 'PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST_SUCCESS';
const PUBLICIZE_SHARE_DISMISS = 'PUBLICIZE_SHARE_DISMISS';
const PUBLICIZE_SHARE_FAILURE = 'PUBLICIZE_SHARE_FAILURE';
const PUBLICIZE_SHARE_SUCCESS = 'PUBLICIZE_SHARE_SUCCESS';
const PURCHASE_CANCELLATION_OFFER_REQUEST = 'PURCHASE_CANCELLATION_OFFER_REQUEST';
const PURCHASE_CANCELLATION_OFFER_REQUEST_FAILURE = 'PURCHASE_CANCELLATION_OFFER_REQUEST_FAILURE';
const PURCHASE_CANCELLATION_OFFER_RECEIVE = 'PURCHASE_CANCELLATION_OFFER_RECEIVE';
const PURCHASE_CANCELLATION_OFFER_APPLY = 'PURCHASE_CANCELLATION_OFFER_APPLY';
const PURCHASE_CANCELLATION_OFFER_APPLY_SUCCESS = 'PURCHASE_CANCELLATION_OFFER_APPLY_SUCCESS';
const PURCHASE_CANCELLATION_OFFER_APPLY_FAILURE = 'PURCHASE_CANCELLATION_OFFER_APPLY_FAILURE';
const PURCHASE_REMOVE_COMPLETED = 'PURCHASE_REMOVE_COMPLETED';
const PURCHASE_REMOVE_FAILED = 'PURCHASE_REMOVE_FAILED';
const PURCHASES_REMOVE = 'PURCHASES_REMOVE';
const PURCHASES_SITE_FETCH = 'PURCHASES_SITE_FETCH';
const PURCHASES_SITE_FETCH_COMPLETED = 'PURCHASES_SITE_FETCH_COMPLETED';
const PURCHASES_SITE_FETCH_FAILED = 'PURCHASES_SITE_FETCH_FAILED';
const PURCHASES_SITE_RESET_STATE = 'PURCHASES_SITE_RESET_STATE';
const PURCHASES_USER_FETCH = 'PURCHASES_USER_FETCH';
const PURCHASES_USER_FETCH_COMPLETED = 'PURCHASES_USER_FETCH_COMPLETED';
const PURCHASES_USER_FETCH_FAILED = 'PURCHASES_USER_FETCH_FAILED';
const PUSH_NOTIFICATIONS_API_NOT_READY = 'PUSH_NOTIFICATIONS_API_NOT_READY';
const PUSH_NOTIFICATIONS_API_READY = 'PUSH_NOTIFICATIONS_API_READY';
const PUSH_NOTIFICATIONS_AUTHORIZE = 'PUSH_NOTIFICATIONS_AUTHORIZE';
const PUSH_NOTIFICATIONS_BLOCK = 'PUSH_NOTIFICATIONS_BLOCK';
const PUSH_NOTIFICATIONS_MUST_PROMPT = 'PUSH_NOTIFICATIONS_MUST_PROMPT';
const PUSH_NOTIFICATIONS_RECEIVE_REGISTER_DEVICE = 'PUSH_NOTIFICATIONS_RECEIVE_REGISTER_DEVICE';
const PUSH_NOTIFICATIONS_RECEIVE_UNREGISTER_DEVICE = 'PUSH_NOTIFICATIONS_RECEIVE_UNREGISTER_DEVICE';
const PUSH_NOTIFICATIONS_TOGGLE_ENABLED = 'PUSH_NOTIFICATIONS_TOGGLE_ENABLED';
const PUSH_NOTIFICATIONS_TOGGLE_UNBLOCK_INSTRUCTIONS = 'PUSH_NOTIFICATIONS_TOGGLE_UNBLOCK_INSTRUCTIONS';
const RECEIPT_FETCH = 'RECEIPT_FETCH';
const RECEIPT_FETCH_COMPLETED = 'RECEIPT_FETCH_COMPLETED';
const RECEIPT_FETCH_FAILED = 'RECEIPT_FETCH_FAILED';
const REWIND_ACTIVATE_FAILURE = 'REWIND_ACTIVATE_FAILURE';
const REWIND_ACTIVATE_REQUEST = 'REWIND_ACTIVATE_REQUEST';
const REWIND_ACTIVATE_SUCCESS = 'REWIND_ACTIVATE_SUCCESS';
const REWIND_ACTIVITY_SHARE_REQUEST = 'REWIND_ACTIVITY_SHARE_REQUEST';
const REWIND_BACKUP = 'REWIND_BACKUP';
const REWIND_BACKUP_DISMISS = 'REWIND_BACKUP_DISMISS';
const REWIND_BACKUP_DISMISS_PROGRESS = 'REWIND_BACKUP_DISMISS_PROGRESS';
const REWIND_BACKUP_PROGRESS_REQUEST = 'REWIND_BACKUP_PROGRESS_REQUEST';
const REWIND_BACKUP_REQUEST = 'REWIND_BACKUP_REQUEST';
const REWIND_BACKUP_SET_DOWNLOAD_ID = 'REWIND_BACKUP_SET_DOWNLOAD_ID';
const REWIND_BACKUP_SITE = 'REWIND_BACKUP_SITE';
const REWIND_BACKUP_UPDATE_ERROR = 'REWIND_BACKUP_UPDATE_ERROR';
const REWIND_BACKUP_UPDATE_PROGRESS = 'REWIND_BACKUP_UPDATE_PROGRESS';
const REWIND_BACKUPS_REQUEST = 'REWIND_BACKUPS_REQUEST';
const REWIND_BACKUPS_SET = 'REWIND_BACKUPS_SET';
const REWIND_CAPABILITIES_REQUEST = 'REWIND_CAPABILITIES_REQUEST';
const REWIND_CAPABILITIES_UPDATE = 'REWIND_CAPABILITIES_UPDATE';
const REWIND_CLONE = 'REWIND_CLONE';
const REWIND_DEACTIVATE_FAILURE = 'REWIND_DEACTIVATE_FAILURE';
const REWIND_DEACTIVATE_REQUEST = 'REWIND_DEACTIVATE_REQUEST';
const REWIND_DEACTIVATE_SUCCESS = 'REWIND_DEACTIVATE_SUCCESS';
const REWIND_GRANULAR_RESTORE = 'REWIND_GRANULAR_RESTORE';
const REWIND_GRANULAR_BACKUP_REQUEST = 'REWIND_GRANULAR_BACKUP_REQUEST';
const REWIND_POLICIES_REQUEST = 'REWIND_POLICIES_REQUEST';
const REWIND_POLICIES_REQUEST_FAILURE = 'REWIND_POLICIES_REQUEST_FAILURE';
const REWIND_POLICIES_REQUEST_SUCCESS = 'REWIND_POLICIES_REQUEST_SUCCESS';
const REWIND_POLICIES_SET = 'REWIND_POLICIES_SET';
const REWIND_RESTORE = 'REWIND_RESTORE';
const REWIND_RESTORE_DISMISS = 'REWIND_RESTORE_DISMISS';
const REWIND_RESTORE_DISMISS_PROGRESS = 'REWIND_RESTORE_DISMISS_PROGRESS';
const REWIND_RESTORE_PROGRESS_REQUEST = 'REWIND_RESTORE_PROGRESS_REQUEST';
const REWIND_RESTORE_REQUEST = 'REWIND_RESTORE_REQUEST';
const REWIND_RESTORE_UPDATE_PROGRESS = 'REWIND_RESTORE_UPDATE_PROGRESS';
const REWIND_SIZE_REQUEST = 'REWIND_SIZE_REQUEST';
const REWIND_SIZE_REQUEST_FAILURE = 'REWIND_SIZE_REQUEST_FAILURE';
const REWIND_SIZE_REQUEST_SUCCESS = 'REWIND_SIZE_REQUEST_SUCCESS';
const REWIND_SIZE_SET = 'REWIND_SIZE_SET';
const REWIND_STAGING_CLONE = 'REWIND_STAGING_CLONE';
const REWIND_STATE_REQUEST = 'REWIND_STATE_REQUEST';
const REWIND_STATE_UPDATE = 'REWIND_STATE_UPDATE';
const REWIND_STORAGE_USAGE_LEVEL_SET = 'REWIND_STORAGE_USAGE_LEVEL_SET';
const ROUTE_CLEAR_LAST_NON_EDITOR = 'ROUTE_CLEAR_LAST_NON_EDITOR';
const ROUTE_SET = 'ROUTE_SET';
const SECTION_LOADING_SET = 'SECTION_LOADING_SET';
const SECTION_SET = 'SECTION_SET';
const SELECTED_SITE_SET = 'SELECTED_SITE_SET';
const SET_MEDIA_EXPORT_DATA = 'SET_MEDIA_EXPORT_DATA';
const SIGNUP_COMPLETE_RESET = 'SIGNUP_COMPLETE_RESET';
const SIGNUP_CURRENT_FLOW_NAME_SET = 'SIGNUP_CURRENT_FLOW_NAME_SET';
const SIGNUP_DEPENDENCY_STORE_REMOVE_SITE_SLUG = 'SIGNUP_DEPENDENCY_STORE_REMOVE_SITE_SLUG';
const SIGNUP_DEPENDENCY_STORE_UPDATE = 'SIGNUP_DEPENDENCY_STORE_UPDATE';
const SIGNUP_OPTIONAL_DEPENDENCY_SUGGESTED_USERNAME_SET = 'SIGNUP_OPTIONAL_DEPENDENCY_SUGGESTED_USERNAME_SET';
const SIGNUP_PREVIOUS_FLOW_NAME_SET = 'SIGNUP_PREVIOUS_FLOW_NAME_SET';
const SIGNUP_FLOW_ADD_EXCLUDED_STEPS = 'SIGNUP_FLOW_ADD_EXCLUDED_STEPS';
const SIGNUP_FLOW_REMOVE_EXCLUDED_STEPS = 'SIGNUP_FLOW_REMOVE_EXCLUDED_STEPS';
const SIGNUP_FLOW_RESET_EXCLUDED_STEPS = 'SIGNUP_FLOW_RESET_EXCLUDED_STEPS';
const SIGNUP_PROGRESS_ADD_STEP = 'SIGNUP_PROGRESS_ADD_STEP';
const SIGNUP_PROGRESS_COMPLETE_STEP = 'SIGNUP_PROGRESS_COMPLETE_STEP';
const SIGNUP_PROGRESS_INVALIDATE_STEP = 'SIGNUP_PROGRESS_INVALIDATE_STEP';
const SIGNUP_PROGRESS_PROCESS_STEP = 'SIGNUP_PROGRESS_PROCESS_STEP';
const SIGNUP_PROGRESS_REMOVE_STEP = 'SIGNUP_PROGRESS_REMOVE_STEP';
const SIGNUP_PROGRESS_SAVE_STEP = 'SIGNUP_PROGRESS_SAVE_STEP';
const SIGNUP_PROGRESS_SUBMIT_STEP = 'SIGNUP_PROGRESS_SUBMIT_STEP';
const SIGNUP_STEPS_DESIGN_TYPE_SET = 'SIGNUP_STEPS_DESIGN_TYPE_SET';
const SIGNUP_STEPS_SITE_GOALS_SET = 'SIGNUP_STEPS_SITE_GOALS_SET';
const SIGNUP_STEPS_SITE_VERTICAL_SET = 'SIGNUP_STEPS_SITE_VERTICAL_SET';

// Signup DIFM Actions
const SIGNUP_STEPS_SITE_INFO_COLLECTION_UPDATE = 'SIGNUP_STEPS_SITE_INFO_COLLECTION_UPDATE';
const SIGNUP_STEPS_SITE_INFO_UPDATE_CURRENT_INDEX = 'SIGNUP_STEPS_SITE_INFO_UPDATE_CURRENT_INDEX';
const SIGNUP_STEPS_WEBSITE_CONTENT_INITIALIZE_PAGES = 'SIGNUP_STEPS_WEBSITE_CONTENT_INITIALIZE_PAGES';
const SIGNUP_STEPS_WEBSITE_CONTENT_UPDATE_CURRENT_INDEX = 'SIGNUP_STEPS_WEBSITE_CONTENT_UPDATE_CURRENT_INDEX';
const SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_UPLOAD_STARTED = 'SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_UPLOAD_STARTED';
const SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_UPLOAD_COMPLETED = 'SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_UPLOAD_COMPLETED';
const SIGNUP_STEPS_WEBSITE_FIELD_CHANGED = 'SIGNUP_STEPS_WEBSITE_FIELD_CHANGED';
const SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_UPLOAD_FAILED = 'SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_UPLOAD_FAILED';
const SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_REMOVED = 'SIGNUP_STEPS_WEBSITE_CONTENT_MEDIA_REMOVED';
const SIGNUP_STEPS_WEBSITE_CONTENT_LOGO_UPLOAD_STARTED = 'SIGNUP_STEPS_WEBSITE_CONTENT_LOGO_UPLOAD_STARTED';
const SIGNUP_STEPS_WEBSITE_CONTENT_LOGO_UPLOAD_COMPLETED = 'SIGNUP_STEPS_WEBSITE_CONTENT_LOGO_UPLOAD_COMPLETED';
const SIGNUP_STEPS_WEBSITE_CONTENT_LOGO_UPLOAD_FAILED = 'SIGNUP_STEPS_WEBSITE_CONTENT_LOGO_UPLOAD_FAILED';
const SIGNUP_STEPS_SOCIAL_PROFILES_UPDATE = 'SIGNUP_STEPS_SOCIAL_PROFILES_UPDATE';
const SIGNUP_STEPS_SOCIAL_PROFILES_RESET = 'SIGNUP_STEPS_SOCIAL_PROFILES_RESET';
const SIGNUP_STEPS_WEBSITE_CONTENT_REMOVE_LOGO_URL = 'SIGNUP_STEPS_WEBSITE_CONTENT_REMOVE_LOGO_URL';
const SIGNUP_STEPS_WEBSITE_CONTENT_FEEDBACK_CHANGE = 'SIGNUP_STEPS_WEBSITE_CONTENT_FEEDBACK_CHANGE';
const SIGNUP_STEPS_WEBSITE_CONTENT_CHANGES_SAVED = 'SIGNUP_STEPS_WEBSITE_CONTENT_CHANGES_SAVED';
const SIGNUP_STEPS_WEBSITE_CONTENT_SEARCH_TERMS_CHANGED = 'SIGNUP_STEPS_WEBSITE_CONTENT_SEARCH_TERMS_CHANGED';
const SIGNUP_STEPS_USER_EXPERIENCE_SET = 'SIGNUP_STEPS_USER_EXPERIENCE_SET';
const SITE_ADDRESS_AVAILABILITY_ERROR = 'SITE_ADDRESS_AVAILABILITY_ERROR';
const SITE_ADDRESS_AVAILABILITY_ERROR_CLEAR = 'SITE_ADDRESS_AVAILABILITY_ERROR_CLEAR';
const SITE_ADDRESS_AVAILABILITY_REQUEST = 'SITE_ADDRESS_AVAILABILITY_REQUEST';
const SITE_ADDRESS_AVAILABILITY_SUCCESS = 'SITE_ADDRESS_AVAILABILITY_SUCCESS';
const SITE_ADDRESS_CHANGE_REQUEST = 'SITE_ADDRESS_CHANGE_REQUEST';
const SITE_ADDRESS_CHANGE_REQUEST_FAILURE = 'SITE_ADDRESS_CHANGE_REQUEST_FAILURE';
const SITE_ADDRESS_CHANGE_REQUEST_SUCCESS = 'SITE_ADDRESS_CHANGE_REQUEST_SUCCESS';
const SITE_CHECKLIST_RECEIVE = 'SITE_CHECKLIST_RECEIVE';
const SITE_CHECKLIST_REQUEST = 'SITE_CHECKLIST_REQUEST';
const SITE_CHECKLIST_TASK_UPDATE = 'SITE_CHECKLIST_TASK_UPDATE';
const SITE_CONNECTION_STATUS_RECEIVE = 'SITE_CONNECTION_STATUS_RECEIVE';
const SITE_CONNECTION_STATUS_REQUEST = 'SITE_CONNECTION_STATUS_REQUEST';
const SITE_CONNECTION_STATUS_REQUEST_FAILURE = 'SITE_CONNECTION_STATUS_REQUEST_FAILURE';
const SITE_CONNECTION_STATUS_REQUEST_SUCCESS = 'SITE_CONNECTION_STATUS_REQUEST_SUCCESS';
const SITE_DELETE_RECEIVE = 'SITE_DELETE_RECEIVE';
const SITE_DOMAINS_RECEIVE = 'SITE_DOMAINS_RECEIVE';
const SITE_DOMAINS_REQUEST = 'SITE_DOMAINS_REQUEST';
const SITE_DOMAINS_REQUEST_FAILURE = 'SITE_DOMAINS_REQUEST_FAILURE';
const SITE_DOMAINS_REQUEST_SUCCESS = 'SITE_DOMAINS_REQUEST_SUCCESS';
const SITE_FEATURES_FETCH = 'SITE_FEATURES_FETCH';
const SITE_FEATURES_FETCH_COMPLETED = 'SITE_FEATURES_FETCH_COMPLETED';
const SITE_FEATURES_FETCH_FAILED = 'SITE_FEATURES_FETCH_FAILED';
const SITE_FRONT_PAGE_UPDATE = 'SITE_FRONT_PAGE_UPDATE';
const SITE_INTRO_OFFER_RECEIVE = 'SITE_INTRO_OFFER_RECEIVE';
const SITE_INTRO_OFFER_REQUEST = 'SITE_INTRO_OFFER_REQUEST';
const SITE_INTRO_OFFER_REQUEST_FAILURE = 'SITE_INTRO_OFFER_REQUEST_FAILURE';
const SITE_INTRO_OFFER_REQUEST_SUCCESS = 'SITE_INTRO_OFFER_REQUEST_SUCCESS';
const SITE_IMPORTER_IMPORT_FAILURE = 'SITE_IMPORTER_IMPORT_FAILURE';
const SITE_IMPORTER_IMPORT_RESET = 'SITE_IMPORTER_IMPORT_RESET';
const SITE_IMPORTER_IMPORT_START = 'SITE_IMPORTER_IMPORT_START';
const SITE_IMPORTER_IMPORT_SUCCESS = 'SITE_IMPORTER_IMPORT_SUCCESS';
const SITE_IMPORTER_IS_SITE_IMPORTABLE_FAILURE = 'SITE_IMPORTER_IS_SITE_IMPORTABLE_FAILURE';
const SITE_IMPORTER_IS_SITE_IMPORTABLE_START = 'SITE_IMPORTER_IS_SITE_IMPORTABLE_START';
const SITE_IMPORTER_IS_SITE_IMPORTABLE_SUCCESS = 'SITE_IMPORTER_IS_SITE_IMPORTABLE_SUCCESS';
const SITE_IMPORTER_VALIDATION_ERROR_SET = 'SITE_IMPORTER_VALIDATION_ERROR_SET';
const SITE_KEYRINGS_DELETE = 'SITE_KEYRINGS_DELETE';
const SITE_KEYRINGS_DELETE_FAILURE = 'SITE_KEYRINGS_DELETE_FAILURE';
const SITE_KEYRINGS_DELETE_SUCCESS = 'SITE_KEYRINGS_DELETE_SUCCESS';
const SITE_KEYRINGS_REQUEST = 'SITE_KEYRINGS_REQUEST';
const SITE_KEYRINGS_REQUEST_FAILURE = 'SITE_KEYRINGS_REQUEST_FAILURE';
const SITE_KEYRINGS_REQUEST_SUCCESS = 'SITE_KEYRINGS_REQUEST_SUCCESS';
const SITE_KEYRINGS_SAVE_SUCCESS = 'SITE_KEYRINGS_SAVE_SUCCESS';
const SITE_KEYRINGS_UPDATE = 'SITE_KEYRINGS_UPDATE';
const SITE_KEYRINGS_UPDATE_FAILURE = 'SITE_KEYRINGS_UPDATE_FAILURE';
const SITE_KEYRINGS_UPDATE_SUCCESS = 'SITE_KEYRINGS_UPDATE_SUCCESS';
const SITE_LAUNCH = 'SITE_LAUNCH';
const SITE_MIGRATION_STATUS_UPDATE = 'SITE_MIGRATION_STATUS_UPDATE';
const SITE_PLAN_OWNERSHIP_TRANSFER = 'SITE_PLAN_OWNERSHIP_TRANSFER';
const SITE_PLANS_FETCH = 'SITE_PLANS_FETCH';
const SITE_PLANS_FETCH_COMPLETED = 'SITE_PLANS_FETCH_COMPLETED';
const SITE_PLANS_FETCH_FAILED = 'SITE_PLANS_FETCH_FAILED';
const SITE_PLANS_REMOVE = 'SITE_PLANS_REMOVE';
const SITE_PLUGIN_UPDATED = 'SITE_PLUGIN_UPDATED';
const SITE_PRODUCTS_FETCH = 'SITE_PRODUCTS_FETCH';
const SITE_PRODUCTS_FETCH_COMPLETED = 'SITE_PRODUCTS_FETCH_COMPLETED';
const SITE_PRODUCTS_FETCH_FAILED = 'SITE_PRODUCTS_FETCH_FAILED';
const SITE_PURCHASES_UPDATE = 'SITE_PURCHASES_UPDATE';
const SITE_RECEIVE = 'SITE_RECEIVE';
const ODYSSEY_SITE_RECEIVE = 'ODYSSEY_SITE_RECEIVE';
const SITE_REQUEST = 'SITE_REQUEST';
const SITE_REQUEST_FAILURE = 'SITE_REQUEST_FAILURE';
const SITE_REQUEST_SUCCESS = 'SITE_REQUEST_SUCCESS';
const SITE_SETTINGS_RECEIVE = 'SITE_SETTINGS_RECEIVE';
const SITE_SETTINGS_REQUEST = 'SITE_SETTINGS_REQUEST';
const SITE_SETTINGS_REQUEST_FAILURE = 'SITE_SETTINGS_REQUEST_FAILURE';
const SITE_SETTINGS_REQUEST_SUCCESS = 'SITE_SETTINGS_REQUEST_SUCCESS';
const SITE_SETTINGS_SAVE = 'SITE_SETTINGS_SAVE';
const SITE_SETTINGS_SAVE_FAILURE = 'SITE_SETTINGS_SAVE_FAILURE';
const SITE_SETTINGS_SAVE_SUCCESS = 'SITE_SETTINGS_SAVE_SUCCESS';
const SITE_SETTINGS_UPDATE = 'SITE_SETTINGS_UPDATE';
const SITE_STATS_RECEIVE = 'SITE_STATS_RECEIVE';
const SITE_STATS_REQUEST = 'SITE_STATS_REQUEST';
const SITE_STATS_REQUEST_FAILURE = 'SITE_STATS_REQUEST_FAILURE';
const SITES_RECEIVE = 'SITES_RECEIVE';
const SITES_REQUEST = 'SITES_REQUEST';
const SITES_REQUEST_FAILURE = 'SITES_REQUEST_FAILURE';
const SITES_REQUEST_SUCCESS = 'SITES_REQUEST_SUCCESS';
const SOCIAL_CONNECT_ACCOUNT_REQUEST = 'SOCIAL_CONNECT_ACCOUNT_REQUEST';
const SOCIAL_CONNECT_ACCOUNT_REQUEST_FAILURE = 'SOCIAL_CONNECT_ACCOUNT_REQUEST_FAILURE';
const SOCIAL_CONNECT_ACCOUNT_REQUEST_SUCCESS = 'SOCIAL_CONNECT_ACCOUNT_REQUEST_SUCCESS';
const SOCIAL_CONNECT_ACCOUNT_LINKING_CANCEL = 'SOCIAL_CONNECT_ACCOUNT_LINKING_CANCEL';
const SOCIAL_CREATE_ACCOUNT_REQUEST_FAILURE = 'SOCIAL_CREATE_ACCOUNT_REQUEST_FAILURE';
const SOCIAL_HANDOFF_CONNECT_ACCOUNT = 'SOCIAL_HANDOFF_CONNECT_ACCOUNT';
const SOCIAL_DISCONNECT_ACCOUNT_REQUEST = 'SOCIAL_DISCONNECT_ACCOUNT_REQUEST';
const SOCIAL_DISCONNECT_ACCOUNT_REQUEST_FAILURE = 'SOCIAL_DISCONNECT_ACCOUNT_REQUEST_FAILURE';
const SOCIAL_DISCONNECT_ACCOUNT_REQUEST_SUCCESS = 'SOCIAL_DISCONNECT_ACCOUNT_REQUEST_SUCCESS';
const SOCIAL_LOGIN_REQUEST = 'SOCIAL_LOGIN_REQUEST';
const SOCIAL_LOGIN_REQUEST_FAILURE = 'SOCIAL_LOGIN_REQUEST_FAILURE';
const SOCIAL_LOGIN_REQUEST_SUCCESS = 'SOCIAL_LOGIN_REQUEST_SUCCESS';
const STATS_CHART_COUNTS_RECEIVE = 'STATS_CHART_COUNTS_RECEIVE';
const STATS_CHART_COUNTS_REQUEST = 'STATS_CHART_COUNTS_REQUEST';
const STATS_HIGHLIGHTS_RECEIVE = 'STATS_HIGHLIGHTS_RECEIVE';
const STATS_HIGHLIGHTS_REQUEST = 'STATS_HIGHLIGHTS_REQUEST';
const STATS_UTM_METRICS_REQUEST = 'STATS_UTM_METRICS_REQUEST';
const STATS_UTM_METRICS_REQUEST_FAILURE = 'STATS_UTM_METRICS_REQUEST_FAILURE';
const STATS_UTM_METRICS_RECEIVE = 'STATS_UTM_METRICS_RECEIVE';
const STATS_UTM_METRICS_RECEIVE_BY_POST = 'STATS_UTM_METRICS_RECEIVE_BY_POST';
const STATS_UTM_TOP_POSTS_REQUEST = 'STATS_UTM_TOP_POSTS_REQUEST';
const STATS_UTM_TOP_POSTS_RECEIVE = 'STATS_UTM_TOP_POSTS_RECEIVE';
const STATS_MODULE_SETTINGS_RECEIVE = 'STATS_MODULE_SETTINGS_RECEIVE';
const STATS_MODULE_SETTINGS_REQUEST = 'STATS_MODULE_SETTINGS_REQUEST';
const STATS_MODULE_SETTINGS_UPDATE = 'STATS_MODULE_SETTINGS_UPDATE';
const STATS_MODULE_TOGGLES_RECEIVE = 'STATS_MODULE_TOGGLES_RECEIVE';
const STATS_MODULE_TOGGLES_REQUEST = 'STATS_MODULE_TOGGLES_REQUEST';
const STATS_MODULE_TOGGLES_UPDATE = 'STATS_MODULE_TOGGLES_UPDATE';
const STATS_RECENT_POST_VIEWS_RECEIVE = 'STATS_RECENT_POST_VIEWS_RECEIVE';
const STATS_RECENT_POST_VIEWS_REQUEST = 'STATS_RECENT_POST_VIEWS_REQUEST';
const STATS_PAID_STATS_UPSELL_MODAL_TOGGLE = 'STATS_PAID_STATS_UPSELL_MODAL_TOGGLE';
const STATS_JETPACK_NOTICE_SETTINGS_RECEIVE = 'STATS_JETPACK_NOTICE_SETTINGS_RECEIVE';
const STATS_JETPACK_NOTICE_SETTINGS_REQUEST = 'STATS_JETPACK_NOTICE_SETTINGS_REQUEST';
const STATS_JETPACK_NOTICE_SETTINGS_FAILURE = 'STATS_JETPACK_NOTICE_SETTINGS_FAILURE';
const STORED_CARDS_ADD_COMPLETED = 'STORED_CARDS_ADD_COMPLETED';
const STORED_CARDS_DELETE = 'STORED_CARDS_DELETE';
const STORED_CARDS_DELETE_COMPLETED = 'STORED_CARDS_DELETE_COMPLETED';
const STORED_CARDS_DELETE_FAILED = 'STORED_CARDS_DELETE_FAILED';
const STORED_CARDS_UPDATE_IS_PRIMARY_COMPLETED = 'STORED_CARDS_UPDATE_IS_PRIMARY_COMPLETED';
const STORED_CARDS_UPDATE_IS_BACKUP_COMPLETED = 'STORED_CARDS_UPDATE_IS_BACKUP_COMPLETED';
const STORED_CARDS_FETCH = 'STORED_CARDS_FETCH';
const STORED_CARDS_FETCH_COMPLETED = 'STORED_CARDS_FETCH_COMPLETED';
const STORED_CARDS_FETCH_FAILED = 'STORED_CARDS_FETCH_FAILED';
const SUPPORT_ARTICLE_DIALOG_CLOSE = 'SUPPORT_ARTICLE_DIALOG_CLOSE';
const SUPPORT_ARTICLE_DIALOG_OPEN = 'SUPPORT_ARTICLE_DIALOG_OPEN';
const SUPPORT_SESSION_TRANSITION = 'SUPPORT_SESSION_TRANSITION';
const SITE_STAGING_STATUS_SET = 'SITE_STAGING_STATUS_SET';
const SITE_SYNC_STATUS_SET = 'SITE_SYNC_STATUS_SET';
const SITE_SYNC_TARGET_SITE = 'SITE_SYNC_TARGET_SITE';
const SITE_SYNC_SOURCE_SITE = 'SITE_SYNC_SOURCE_SITE';
const SITE_SYNC_IS_SYNCING_IN_PROGRESS = 'SITE_SYNC_IS_SYNCING_IN_PROGRESS';
const SITE_SYNC_STATUS_REQUEST = 'SITE_SYNC_STATUS_REQUEST';
const SITE_SYNC_FAILURE = 'SITE_SYNC_FAILURE';
const SITE_SYNC_LAST_RESTORE_ID = 'SITE_SYNC_LAST_RESTORE_ID';
const TERM_REMOVE = 'TERM_REMOVE';
const TERMS_RECEIVE = 'TERMS_RECEIVE';
const TERMS_REQUEST = 'TERMS_REQUEST';
const TERMS_REQUEST_FAILURE = 'TERMS_REQUEST_FAILURE';
const TERMS_REQUEST_SUCCESS = 'TERMS_REQUEST_SUCCESS';
const TIMEZONES_RECEIVE = 'TIMEZONES_RECEIVE';
const TIMEZONES_REQUEST = 'TIMEZONES_REQUEST';
const TOS_ACCEPT = 'TOS_ACCEPT';
const TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST = 'TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST';
const TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST_FAILURE = 'TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST_FAILURE';
const TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST_SUCCESS = 'TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST_SUCCESS';
const TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST = 'TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST';
const TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST_FAILURE = 'TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST_FAILURE';
const TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST_SUCCESS = 'TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST_SUCCESS';
const TWO_FACTOR_AUTHENTICATION_UPDATE_NONCE = 'TWO_FACTOR_AUTHENTICATION_UPDATE_NONCE';
const URL_ANALYZER_ANALYZE = 'URL_ANALYZER_ANALYZE';
const URL_ANALYZER_ANALYZE_DONE = 'URL_ANALYZER_ANALYZE_DONE';
const URL_ANALYZER_ANALYZE_SUCCESS = 'URL_ANALYZER_ANALYZE_SUCCESS';
const URL_ANALYZER_ANALYZE_ERROR = 'URL_ANALYZER_ANALYZE_ERROR';
const URL_ANALYZER_RESET_ERROR = 'URL_ANALYZER_RESET_ERROR';
const URL_ANALYZER_URL_DATA_UPDATE = 'URL_ANALYZER_URL_DATA_UPDATE';
const USER_LICENSES_RECEIVE = 'USER_LICENSES_RECEIVE';
const USER_LICENSES_REQUEST = 'USER_LICENSES_REQUEST';
const USER_LICENSES_REQUEST_SUCCESS = 'USER_LICENSES_REQUEST_SUCCESS';
const USER_LICENSES_REQUEST_FAILURE = 'USER_LICENSES_REQUEST_FAILURE';
const USER_LICENSES_COUNTS_RECEIVE = 'USER_LICENSES_COUNTS_RECEIVE';
const USER_LICENSES_COUNTS_REQUEST = 'USER_LICENSES_COUNTS_REQUEST';
const USER_LICENSES_COUNTS_REQUEST_SUCCESS = 'USER_LICENSES_COUNTS_REQUEST_SUCCESS';
const USER_LICENSES_COUNTS_REQUEST_FAILURE = 'USER_LICENSES_COUNTS_REQUEST_FAILURE';
const USER_PROFILE_LINKS_ADD = 'USER_PROFILE_LINKS_ADD';
const USER_PROFILE_LINKS_ADD_DUPLICATE = 'USER_PROFILE_LINKS_ADD_DUPLICATE';
const USER_PROFILE_LINKS_ADD_FAILURE = 'USER_PROFILE_LINKS_ADD_FAILURE';
const USER_PROFILE_LINKS_ADD_MALFORMED = 'USER_PROFILE_LINKS_ADD_MALFORMED';
const USER_PROFILE_LINKS_ADD_SUCCESS = 'USER_PROFILE_LINKS_ADD_SUCCESS';
const USER_PROFILE_LINKS_DELETE = 'USER_PROFILE_LINKS_DELETE';
const USER_PROFILE_LINKS_DELETE_FAILURE = 'USER_PROFILE_LINKS_DELETE_FAILURE';
const USER_PROFILE_LINKS_DELETE_SUCCESS = 'USER_PROFILE_LINKS_DELETE_SUCCESS';
const USER_PROFILE_LINKS_RECEIVE = 'USER_PROFILE_LINKS_RECEIVE';
const USER_PROFILE_LINKS_REQUEST = 'USER_PROFILE_LINKS_REQUEST';
const USER_PROFILE_LINKS_RESET_ERRORS = 'USER_PROFILE_LINKS_RESET_ERRORS';
const USER_SETTINGS_REQUEST = 'USER_SETTINGS_REQUEST';
const USER_SETTINGS_REQUEST_FAILURE = 'USER_SETTINGS_REQUEST_FAILURE';
const USER_SETTINGS_REQUEST_SUCCESS = 'USER_SETTINGS_REQUEST_SUCCESS ';
const USER_SETTINGS_SAVE = 'USER_SETTINGS_SAVE';
const USER_SETTINGS_SAVE_FAILURE = 'USER_SETTINGS_SAVE_FAILURE';
const USER_SETTINGS_SAVE_SUCCESS = 'USER_SETTINGS_SAVE_SUCCESS';
const USER_SETTINGS_UNSAVED_CLEAR = 'USER_SETTINGS_UNSAVED_CLEAR';
const USER_SETTINGS_UNSAVED_REMOVE = 'USER_SETTINGS_UNSAVED_REMOVE';
const USER_SETTINGS_UNSAVED_SET = 'USER_SETTINGS_UNSAVED_SET';
const USER_SUGGESTIONS_RECEIVE = 'USER_SUGGESTIONS_RECEIVE';
const USER_SUGGESTIONS_REQUEST = 'USER_SUGGESTIONS_REQUEST';
const USER_SUGGESTIONS_REQUEST_FAILURE = 'USER_SUGGESTIONS_REQUEST_FAILURE';
const USER_SUGGESTIONS_REQUEST_SUCCESS = 'USER_SUGGESTIONS_REQUEST_SUCCESS';
const VIDEO_EDITOR_SET_POSTER_URL = 'VIDEO_EDITOR_SET_POSTER_URL';
const VIDEO_EDITOR_SHOW_ERROR = 'VIDEO_EDITOR_SHOW_ERROR';
const VIDEO_EDITOR_SHOW_UPLOAD_PROGRESS = 'VIDEO_EDITOR_SHOW_UPLOAD_PROGRESS';
const VIDEO_EDITOR_UPDATE_POSTER = 'VIDEO_EDITOR_UPDATE_POSTER';
const VIDEO_EDITOR_REFRESH_POSTER = 'VIDEO_EDITOR_REFRESH_POSTER';
const WORDADS_EARNINGS_RECEIVE = 'WORDADS_EARNINGS_RECEIVE';
const WORDADS_EARNINGS_REQUEST = 'WORDADS_EARNINGS_REQUEST';
const WORDADS_SETTINGS_RECEIVE = 'WORDADS_SETTINGS_RECEIVE';
const WORDADS_SETTINGS_REQUEST = 'WORDADS_SETTINGS_REQUEST';
const WORDADS_SETTINGS_SAVE = 'WORDADS_SETTINGS_SAVE';
const WORDADS_SETTINGS_SAVE_FAILURE = 'WORDADS_SETTINGS_SAVE_FAILURE';
const WORDADS_SETTINGS_SAVE_SUCCESS = 'WORDADS_SETTINGS_SAVE_SUCCESS';
const WORDADS_SETTINGS_UPDATE = 'WORDADS_SETTINGS_UPDATE';
const WORDADS_PAYMENTS_RECEIVE = 'WORDADS_PAYMENTS_RECEIVE';
const WORDADS_PAYMENTS_REQUEST = 'WORDADS_PAYMENTS_REQUEST';
const WORDADS_SITE_APPROVE_REQUEST = 'WORDADS_SITE_APPROVE_REQUEST';
const WORDADS_SITE_APPROVE_REQUEST_DISMISS_ERROR = 'WORDADS_SITE_APPROVE_REQUEST_DISMISS_ERROR';
const WORDADS_SITE_APPROVE_REQUEST_DISMISS_SUCCESS = 'WORDADS_SITE_APPROVE_REQUEST_DISMISS_SUCCESS';
const WORDADS_SITE_APPROVE_REQUEST_FAILURE = 'WORDADS_SITE_APPROVE_REQUEST_FAILURE';
const WORDADS_SITE_APPROVE_REQUEST_SUCCESS = 'WORDADS_SITE_APPROVE_REQUEST_SUCCESS';
const WORDADS_STATUS_RECEIVE = 'WORDADS_STATUS_RECEIVE';
const WORDADS_STATUS_REQUEST = 'WORDADS_STATUS_REQUEST';
const WPCOM_HTTP_REQUEST = 'WPCOM_HTTP_REQUEST';
const EMAIL_STATS_RECEIVE = 'EMAIL_STATS_RECEIVE';
const EMAIL_STATS_REQUEST = 'EMAIL_STATS_REQUEST';
const EMAIL_STATS_REQUEST_FAILURE = 'EMAIL_STATS_REQUEST_FAILURE';
const EMAIL_STATS_REQUEST_SUCCESS = 'EMAIL_STATS_REQUEST_SUCCESS';

/***/ }),

/***/ 81356:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ mergeHandlers)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Merge handler for lodash.mergeWith
 *
 * Note that a return value of `undefined`
 * indicates to lodash that it should use
 * its normal merge algorithm.
 *
 * In this case, we want to merge keys if
 * they don't exists but when they do, we
 * prefer to concatenate lists instead of
 * overwriting them.
 * @param {?Array<Function>} left existing handlers
 * @param {Array<Function>} right new handlers to add
 * @returns {Array<Function>} combined handlers
 */
const concatHandlers = (left, right) => Array.isArray(left) ? left.concat(right) : undefined;
const mergeHandlers = (...handlers) => handlers.length > 1 ? (0,lodash__WEBPACK_IMPORTED_MODULE_0__.mergeWith)(Object.create(null), ...handlers, concatHandlers) : handlers[0];

/***/ }),

/***/ 96882:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   I: () => (/* binding */ clear),
/* harmony export */   c: () => (/* binding */ addReducerToStore)
/* harmony export */ });
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

const initializations = new Map();
const reducers = new Map();
function normalizeKey(key) {
  return key.join('.');
}
function clear() {
  initializations.clear();
  reducers.clear();
}

// For a given store, creates a function that adds a new reducer to the store,
// and loads (asynchronously) and applies the persisted state for it.
const addReducerToStore = (store, getStoredState) => (key, reducer) => {
  const storageKey = reducer.storageKey;
  const normalizedKey = normalizeKey(key);
  const previousReducer = reducers.get(normalizedKey);
  const init = initializations.get(normalizedKey);
  if (previousReducer && reducer !== previousReducer) {
    throw new Error(`Different reducers on multiple calls to \`addReducerToStore\` for key: ${normalizedKey}`);
  }
  if (!init) {
    store.addReducer(key, reducer);
    if (storageKey && getStoredState) {
      const storedState = getStoredState(reducer, storageKey);
      if (storedState) {
        store.dispatch({
          type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .APPLY_STORED_STATE */ .ZqR,
          storageKey,
          storedState
        });
      }
    }
    initializations.set(normalizedKey, true);
    reducers.set(normalizedKey, reducer);
  }
};

/***/ }),

/***/ 23168:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Oy: () => (/* binding */ recordTracksEvent)
/* harmony export */ });
/* unused harmony exports recordEvent, recordGoogleEvent, recordCustomFacebookConversionEvent, recordCustomAdWordsRemarketingEvent, recordPageView, recordGooglePageView */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

const recordEvent = (service, args) => ({
  type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .ANALYTICS_EVENT_RECORD */ .C2g,
  meta: {
    analytics: [{
      type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .ANALYTICS_EVENT_RECORD */ .C2g,
      payload: Object.assign({}, {
        service
      }, args)
    }]
  }
});
const recordGoogleEvent = (category, action, label, value) => recordEvent('ga', {
  category,
  action,
  label,
  value
});
const recordTracksEvent = (name, properties) => recordEvent('tracks', {
  name,
  properties
});
const recordCustomFacebookConversionEvent = (name, properties) => recordEvent('fb', {
  name,
  properties
});
const recordCustomAdWordsRemarketingEvent = properties => recordEvent('adwords', {
  properties
});
const recordPageView = (url, title, service, properties = {}, options = {}) => ({
  type: ANALYTICS_PAGE_VIEW_RECORD,
  meta: {
    analytics: [{
      type: ANALYTICS_PAGE_VIEW_RECORD,
      payload: {
        service,
        url,
        title,
        options,
        ...properties
      }
    }]
  }
});
const recordGooglePageView = (url, title) => recordPageView(url, title, 'ga');

/***/ }),

/***/ 95985:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   X: () => (/* binding */ analyticsMiddleware)
/* harmony export */ });
/* harmony import */ var calypso_lib_analytics_ad_tracking__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6500);
/* harmony import */ var calypso_lib_analytics_ga__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(37535);
/* harmony import */ var calypso_lib_analytics_hotjar__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18983);
/* harmony import */ var calypso_lib_analytics_mc__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(45935);
/* harmony import */ var calypso_lib_analytics_page_view__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(19004);
/* harmony import */ var calypso_lib_analytics_tracks__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(39279);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(31260);







const eventServices = {
  ga: ({
    category,
    action,
    label,
    value
  }) => (0,calypso_lib_analytics_ga__WEBPACK_IMPORTED_MODULE_0__/* .gaRecordEvent */ .WI)(category, action, label, value),
  tracks: ({
    name,
    properties
  }) => (0,calypso_lib_analytics_tracks__WEBPACK_IMPORTED_MODULE_4__.recordTracksEvent)(name, properties),
  fb: ({
    name,
    properties
  }) => (0,calypso_lib_analytics_ad_tracking__WEBPACK_IMPORTED_MODULE_5__/* .trackCustomFacebookConversionEvent */ .h)(name, properties),
  adwords: ({
    properties
  }) => (0,calypso_lib_analytics_ad_tracking__WEBPACK_IMPORTED_MODULE_5__/* .trackCustomAdWordsRemarketingEvent */ .s)(properties)
};
const pageViewServices = {
  ga: ({
    url,
    title
  }) => (0,calypso_lib_analytics_ga__WEBPACK_IMPORTED_MODULE_0__/* .gaRecordPageView */ .Y2)(url, title),
  default: ({
    url,
    title,
    options,
    ...params
  }) => (0,calypso_lib_analytics_page_view__WEBPACK_IMPORTED_MODULE_3__/* .recordPageView */ .e)(url, title, params, options)
};
const loadTrackingTool = trackingTool => {
  if (trackingTool === 'HotJar') {
    (0,calypso_lib_analytics_hotjar__WEBPACK_IMPORTED_MODULE_1__/* .addHotJarScript */ .JT)();
  }
};
const statBump = ({
  group,
  name
}) => (0,calypso_lib_analytics_mc__WEBPACK_IMPORTED_MODULE_2__/* .bumpStat */ .v)(group, name);
const dispatcher = action => {
  const analyticsMeta = action.meta.analytics;
  analyticsMeta.forEach(({
    type,
    payload
  }) => {
    const {
      service = 'default',
      ...params
    } = payload;
    switch (type) {
      case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__/* .ANALYTICS_EVENT_RECORD */ .C2g:
        return eventServices[service]?.(params);
      case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__/* .ANALYTICS_PAGE_VIEW_RECORD */ .zIF:
        return pageViewServices[service]?.(params);
      case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__/* .ANALYTICS_STAT_BUMP */ .Bpe:
        return statBump(params);
    }
  });
};
const analyticsMiddleware = () => next => action => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__/* .ANALYTICS_TRACKING_ON */ .J7f:
      loadTrackingTool(action.trackingTool);
      return;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__/* .ANALYTICS_TRACKS_OPT_OUT */ .xEs:
      (0,calypso_lib_analytics_tracks__WEBPACK_IMPORTED_MODULE_4__.setTracksOptOut)(action.isOptingOut);
      return;
    default:
      if (action.meta?.analytics) {
        dispatcher(action);
      }
  }
  return next(action);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (analyticsMiddleware);

/***/ }),

/***/ 75033:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export consoleDispatcher */
/**
 * Console dispatcher Redux store enhancer
 *
 * Inject at the top of the `createStore` enhancer chain
 * to provide access to actionTypes and store methods directly
 * from the console.
 *
 * Will only attach if the `window` variable is available
 * globally. If not it will simply be an empty link in the
 * chain, passing straight through.
 * @param {Function} next next store enhancer in chain
 * @returns {Function} console dispatcher store enhancer
 */
const consoleDispatcher = next => (...args) => {
  const store = next(...args);
  if (true) {
    Object.assign(window, store);
    Object.defineProperty(window, 'state', {
      enumerable: true,
      get: store.getState
    });
  }
  return store;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (consoleDispatcher);

/***/ }),

/***/ 71639:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   lt: () => (/* binding */ setCurrentUser)
/* harmony export */ });
/* unused harmony exports fetchCurrentUser, redirectToLogout, setUserEmailVerified, setUserJetpackPartnerType */
/* harmony import */ var calypso_lib_user_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(93463);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(13034);





/**
 * Returns an action object that sets the current user object on the store
 * @param  {Object} user user object
 * @returns {Object}        Action object
 */
function setCurrentUser(user) {
  return {
    type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .CURRENT_USER_RECEIVE */ .i7J,
    user
  };
}
let fetchingUser = null;
function fetchCurrentUser() {
  return dispatch => {
    if (fetchingUser) {
      return fetchingUser;
    }
    dispatch({
      type: CURRENT_USER_FETCH
    });
    fetchingUser = rawCurrentUserFetch().then(async user => {
      const userData = filterUserObject(user);
      const storedUserId = getStoredUserId();
      if (storedUserId != null && storedUserId !== userData.ID) {
        await clearStore();
      }
      setStoredUserId(userData.ID);
      dispatch(setCurrentUser(userData));
    }).catch(() => {
      // @TODO: Improve error handling
    }).finally(() => {
      fetchingUser = null;
    });
    return fetchingUser;
  };
}
function redirectToLogout(postLogoutRedirectUrl) {
  return async (dispatch, getState) => {
    const userData = getCurrentUser(getState());
    const logoutUrl = getLogoutUrl(userData, postLogoutRedirectUrl);

    // Clear any data stored locally within the user data module or localStorage
    disablePersistence();
    await clearStore();
    window.location.href = logoutUrl;
  };
}
function setUserEmailVerified(verified) {
  return {
    type: CURRENT_USER_SET_EMAIL_VERIFIED,
    verified
  };
}
function setUserJetpackPartnerType(partnerType) {
  return {
    type: CURRENT_USER_SET_JETPACK_PARTNER_TYPE,
    jetpack_partner_type: partnerType
  };
}

/***/ }),

/***/ 12301:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports status, errorMessage */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18366);


const status = (state = null, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .EMAIL_VERIFY_REQUEST */ .RnC:
      return 'requesting';
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .EMAIL_VERIFY_REQUEST_SUCCESS */ .zwO:
      return 'sent';
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .EMAIL_VERIFY_REQUEST_FAILURE */ .ap3:
      return 'error';
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .EMAIL_VERIFY_STATE_RESET */ .hZg:
      return null;
  }
  return state;
};
const errorMessage = (state = '', action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .EMAIL_VERIFY_REQUEST */ .RnC:
      return '';
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .EMAIL_VERIFY_REQUEST_SUCCESS */ .zwO:
      return '';
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .EMAIL_VERIFY_REQUEST_FAILURE */ .ap3:
      {
        const {
          message
        } = action;
        return message;
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .EMAIL_VERIFY_STATE_RESET */ .hZg:
      return '';
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .combineReducers */ .H)({
  status,
  errorMessage
}));

/***/ }),

/***/ 79672:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports id, user, flags, capabilities, lasagnaJwt */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(18366);
/* harmony import */ var _email_verification_reducer__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(12301);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(42381);





/**
 * Tracks the current user ID.
 *
 * In development, if you are receiving Redux errors like this:
 *
 * Error: Given action "CURRENT_USER_RECEIVE", reducer "id" returned undefined.
 *
 * This is likely caused by a server-side error or stored state corruption/auth token expiry.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const id = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_1__/* .idSchema */ .fY, (state = null, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .CURRENT_USER_RECEIVE */ .i7J:
      return action.user.ID;
  }
  return state;
});
const user = (state = null, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .CURRENT_USER_RECEIVE */ .i7J:
      return action.user;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .CURRENT_USER_SET_EMAIL_VERIFIED */ .PHs:
      return {
        ...state,
        email_verified: action.verified
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .CURRENT_USER_SET_JETPACK_PARTNER_TYPE */ .G_h:
      return {
        ...state,
        jetpack_partner_types: [...(state.jetpack_partner_types || []), action.jetpack_partner_type],
        has_jetpack_partner_access: true
      };
  }
  return state;
};
const flags = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_1__/* .flagsSchema */ .nS, (state = [], action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .CURRENT_USER_RECEIVE */ .i7J:
      return action.user.meta?.data?.flags?.active_flags ?? [];
  }
  return state;
});

/**
 * Compare if two sets of capabilities are equal.
 *
 * Capability sets are simple objects with boolean flags,
 * so comparison is as simple as comparing objects at the first level.
 * @param  {Object} capA First set of capabilities
 * @param  {Object} capB Second set of capabilities
 * @returns {boolean} True if capability sets are the same, false otherwise.
 */
function areCapabilitiesEqual(capA, capB) {
  if (!capA || !capB) {
    return false;
  }
  const keysA = Object.keys(capA);
  const keysB = Object.keys(capB);
  return keysA.length === keysB.length && keysA.every(key => capB[key] === capA[key]);
}

/**
 * Returns the updated capabilities state after an action has been dispatched.
 * The state maps site ID keys to an object of current user capabilities for
 * that site.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const capabilities = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_1__/* .capabilitiesSchema */ .g$, (state = {}, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .SITE_RECEIVE */ .InQ:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .SITES_RECEIVE */ .PzS:
      {
        const sites = action.site ? [action.site] : action.sites;
        return sites.reduce((memo, site) => {
          if (!site.capabilities || areCapabilitiesEqual(site.capabilities, memo[site.ID])) {
            return memo;
          }
          if (memo === state) {
            memo = {
              ...state
            };
          }
          memo[site.ID] = site.capabilities;
          return memo;
        }, state);
      }
  }
  return state;
});
const lasagnaJwt = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_1__/* .lasagnaSchema */ .rl, (state = null, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .CURRENT_USER_RECEIVE */ .i7J:
      return action.user.lasagna_jwt || null;
  }
  return state;
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__/* .combineReducers */ .H)({
  id,
  user,
  capabilities,
  flags,
  emailVerification: _email_verification_reducer__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay,
  lasagnaJwt
}));

/***/ }),

/***/ 42381:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   fY: () => (/* binding */ idSchema),
/* harmony export */   g$: () => (/* binding */ capabilitiesSchema),
/* harmony export */   nS: () => (/* binding */ flagsSchema),
/* harmony export */   rl: () => (/* binding */ lasagnaSchema)
/* harmony export */ });
const idSchema = {
  type: ['integer', 'null'],
  minimum: 0
};
const capabilitiesSchema = {
  type: 'object',
  additionalProperties: false,
  patternProperties: {
    '^\\d+$': {
      type: 'object',
      properties: {
        edit_pages: {
          type: 'boolean'
        },
        edit_posts: {
          type: 'boolean'
        },
        edit_others_posts: {
          type: 'boolean'
        },
        edit_others_pages: {
          type: 'boolean'
        },
        delete_posts: {
          type: 'boolean'
        },
        delete_others_posts: {
          type: 'boolean'
        },
        edit_theme_options: {
          type: 'boolean'
        },
        edit_users: {
          type: 'boolean'
        },
        list_users: {
          type: 'boolean'
        },
        manage_categories: {
          type: 'boolean'
        },
        manage_options: {
          type: 'boolean'
        },
        promote_users: {
          type: 'boolean'
        },
        publish_posts: {
          type: 'boolean'
        },
        upload_files: {
          type: 'boolean'
        },
        delete_users: {
          type: 'boolean'
        },
        remove_users: {
          type: 'boolean'
        },
        view_stats: {
          type: 'boolean'
        }
      }
    }
  }
};
const flagsSchema = {
  type: 'array'
};
const lasagnaSchema = {
  type: ['string', 'null']
};

/***/ }),

/***/ 13034:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HW: () => (/* binding */ getCurrentUser),
/* harmony export */   WR: () => (/* binding */ getCurrentUserId),
/* harmony export */   X$: () => (/* binding */ getCurrentUserEmail),
/* harmony export */   bs: () => (/* binding */ getCurrentUserSiteCount)
/* harmony export */ });
/* unused harmony exports isUserLoggedIn, createCurrentUserSelector, getCurrentUserLocale, getCurrentUserCountryCode, getCurrentUserVisibleSiteCount, getCurrentUserJetpackVisibleSiteCount, getCurrentUserDate, getCurrentUserName, getCurrentUserDisplayName, currentUserHasFlag, isCurrentUserEmailVerified, getCurrentUserLasagnaJwt, isCurrentUserBootstrapped */
/**
 * Returns the current user ID
 * @param  {Object}  state  Global state tree
 * @returns {?number}        Current user ID
 */
function getCurrentUserId(state) {
  return state.currentUser?.id;
}

/**
 * Is the current user logged in?
 * @param {Object} state Global state tree
 * @returns {boolean}	True if logged in, False if not
 */
function isUserLoggedIn(state) {
  return getCurrentUserId(state) !== null;
}

/**
 * Returns the user object for the current user.
 * @param  {Object}  state  Global state tree
 * @returns {import('calypso/lib/user/user').UserData|null}        Current user
 */
function getCurrentUser(state) {
  return state?.currentUser?.user ?? null;
}

/**
 * Returns a selector that fetches a property from the current user object
 * @template S,T
 * @param {string} path Path to the property in the user object
 * @param {?T} otherwise A default value that is returned if no user or property is found
 * @returns {(state: S) => T} A selector which takes the state as a parameter
 */
const createCurrentUserSelector = (path, otherwise = null) => state => {
  const user = getCurrentUser(state);
  return user?.[path] ?? otherwise;
};

/**
 * Returns the locale slug for the current user.
 * @param  {Object}  state  Global state tree
 * @returns {?string}        Current user locale
 */
const getCurrentUserLocale = createCurrentUserSelector('localeSlug');

/**
 * Returns the country code for the current user.
 * @param  {Object}  state  Global state tree
 * @returns {?string}        Current user country code
 */
const getCurrentUserCountryCode = createCurrentUserSelector('user_ip_country_code');

/**
 * Returns the number of sites for the current user.
 * @param  {Object}  state  Global state tree
 * @returns {?number}        Current user site count
 */
function getCurrentUserSiteCount(state) {
  const user = getCurrentUser(state);
  if (!user) {
    return null;
  }
  return user.site_count || 0;
}

/**
 * Returns the number of visible sites for the current user.
 * @param  {Object}  state  Global state tree
 * @returns {?number}        Current user visible site count
 */
function getCurrentUserVisibleSiteCount(state) {
  const user = getCurrentUser(state);
  if (!user) {
    return null;
  }
  return user.visible_site_count || 0;
}

/**
 * Returns the number of visible Jetpack sites for the current user.
 * @param  {Object}  state  Global state tree
 * @returns {?number}        Current user visible Jetpack site count
 */
function getCurrentUserJetpackVisibleSiteCount(state) {
  const user = getCurrentUser(state);
  if (!user) {
    return null;
  }
  return user.jetpack_visible_site_count || 0;
}

/**
 * Returns the date (of registration) for the current user.
 * @param  {Object}  state  Global state tree
 * @returns {?string}        Date of registration for user
 */
const getCurrentUserDate = createCurrentUserSelector('date');

/**
 *  Returns the username of the current user.
 *  @param {Object} state Global state tree
 *  @returns {?string} The username of the current user.
 */
const getCurrentUserName = createCurrentUserSelector('username');

/**
 *  Returns the primary email of the current user.
 *  @param {Object} state Global state tree
 *  @returns {?string} The primary email of the current user.
 */
const getCurrentUserEmail = createCurrentUserSelector('email');

/**
 *  Returns the primary email of the current user.
 *  @param {Object} state Global state tree
 *  @returns {?string} The primary email of the current user.
 */
const getCurrentUserDisplayName = createCurrentUserSelector('display_name');

/**
 * Returns true if the specified flag is enabled for the user
 * @param  {Object}   state      Global state tree
 * @param {string}    flagName   Flag name
 * @returns {boolean}            Whether the flag is enabled for the user
 */
function currentUserHasFlag(state, flagName) {
  return state.currentUser.flags.indexOf(flagName) !== -1;
}

/**
 * Returns true if the current user is email-verified.
 * @param   {Object} state Global state tree
 * @returns {boolean}       Whether the current user is email-verified.
 */
const isCurrentUserEmailVerified = createCurrentUserSelector('email_verified', false);

/**
 * Returns the Lasagna JWT for the current user.
 * @param  {Object}  state  Global state tree
 * @returns {?string}       Lasagna JWT
 */
function getCurrentUserLasagnaJwt(state) {
  return state.currentUser.lasagnaJwt;
}

/**
 * Returns true if the user was bootstrapped (i.e. user data was fetched by the server
 * and hydrated using window.currentUser)
 * @returns {boolean} Whether the current user is bootstrapped
 */
const isCurrentUserBootstrapped = createCurrentUserSelector('bootstrapped', false);

/***/ }),

/***/ 53135:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   qR: () => (/* binding */ getHandlers),
/* harmony export */   vZ: () => (/* binding */ registerHandlers)
/* harmony export */ });
/* unused harmony export testReset */
/* harmony import */ var calypso_state_action_watchers_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(81356);


/** Stores lists of handlers by action type */
let registeredHandlers = {};

/** Stores names of already-included handler sets */
const registeredNames = new Set();

/**
 * Loads action handlers into the data layer
 * @param {string} id name of handler set
 * @param {Object<string, Array<Function>>} handlers set of handlers to inject
 */
const registerHandlers = (id, handlers) => {
  if (registeredNames.has(id)) {
    return;
  }
  registeredNames.add(id);
  registeredHandlers = (0,calypso_state_action_watchers_utils__WEBPACK_IMPORTED_MODULE_0__/* .mergeHandlers */ .O)(registeredHandlers, handlers);
};

/**
 * Returns list of handlers for given action type else undefined
 * @param {string} actionType requested action type
 * @returns {?Array<Function>} list of handlers for type
 */
const getHandlers = actionType => registeredHandlers[actionType];

/**
 * For testing only: reset handlers
 */
const testReset = () => {
  if (false) {}
};

/***/ }),

/***/ 8658:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   yt: () => (/* binding */ bypassDataLayer)
/* harmony export */ });
/* unused harmony exports convertKeysBy, convertToCamelCase, convertToSnakeCase */
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);


const doBypassDataLayer = {
  meta: {
    dataLayer: {
      doBypass: true
    }
  }
};
const bypassDataLayer = action => (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .extendAction */ .vY)(action, doBypassDataLayer);

/**
 * Deeply converts keys of an object using provided function.
 * @param {Object} obj object to convert
 * @param  {Function} fn function to apply to each key of the object
 * @returns {Object} a new object with all keys converted
 */
function convertKeysBy(obj, fn) {
  if (Array.isArray(obj)) {
    return map(obj, v => convertKeysBy(v, fn));
  }
  if (typeof obj === 'object' && obj !== null) {
    return reduce(obj, (result, value, key) => {
      const newKey = fn(key);
      const newValue = convertKeysBy(value, fn);
      return set(result, [newKey], newValue);
    }, {});
  }
  return obj;
}

/**
 * Deeply converts keys from the specified object to camelCase notation.
 * @param {Object} obj object to convert
 * @returns {Object} a new object with all keys converted
 */
const convertToCamelCase = obj => convertKeysBy(obj, camelCase);

/**
 * Deeply convert keys of an object to snake_case.
 * @param {Object} obj Object to convert
 * @returns {Object} a new object with snake_cased keys
 */
const convertToSnakeCase = obj => convertKeysBy(obj, snakeCase);

/***/ }),

/***/ 65679:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* unused harmony export middleware */
/* harmony import */ var calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(53135);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8658);
/* harmony import */ var _wpcom_http__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(49723);



(0,calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_0__/* .registerHandlers */ .vZ)('WordPress API request loader', _wpcom_http__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay);
const shouldNext = action => {
  const meta = action.meta;
  if (!meta) {
    return true;
  }
  const data = meta.dataLayer;
  if (!data) {
    return true;
  }

  // is a network response, don't reissue
  if (data.data || data.error || data.headers || data.progress) {
    return false;
  }
  return true;
};

/**
 * WPCOM Middleware API
 *
 * Intercepts actions requesting data provided by the
 * WordPress.com API and passes them off to the
 * appropriate handler.
 * @see state/utils/local indicates that action should bypass data layer
 *
 * Note:
 *
 * This function has been optimized for speed and has
 * in turn sacrificed some readability. It's mainly
 * performing two checks:
 *
 *  - Are there handlers defined for the given action type?
 *  - Is there action meta indicating to bypass these handlers?
 *
 * The optimizations reduce function-calling and object
 * property lookup where possible.
 * @param {Function} handlersFor returns list of handlers for given action type
 * @returns {Function} middleware handler
 */
const middleware = handlersFor => store => next => {
  /**
   * Middleware handler
   * @function
   * @param {Object} action Redux action
   * @returns {undefined} please do not use
   */
  return action => {
    const handlerChain = handlersFor(action.type);

    // if no handler is defined for the action type
    // then pass it along the chain untouched
    if (!handlerChain) {
      return next(action);
    }
    const meta = action.meta;
    if (meta) {
      const dataLayer = meta.dataLayer;

      // if the action indicates that we should
      // bypass the data layer, then pass it
      // along the chain untouched
      if (dataLayer && true === dataLayer.doBypass) {
        return next(action);
      }
    }
    handlerChain.forEach(handler => handler(store, action));
    if (shouldNext(action)) {
      next((0,_utils__WEBPACK_IMPORTED_MODULE_1__/* .bypassDataLayer */ .yt)(action));
    }
  };
};
/* unused harmony default export */ var __WEBPACK_DEFAULT_EXPORT__ = (middleware(calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_0__/* .getHandlers */ .qR));

/***/ }),

/***/ 73464:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   L: () => (/* binding */ http)
/* harmony export */ });
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);


/**
 * @typedef {Object} RequestDescription
 * @property {string}   [apiVersion] specific API version for request
 * @property {string}   [apiNamespace] specific API namespace for request (preferred over version)
 * @property {Object}   [body] JSON-serializable body for POST requests
 * @property {string}   method name of HTTP method to use
 * @property {string}   path WordPress.com API path with %s and %d placeholders, e.g. /sites/%s
 * @property {Object}   [query] key/value pairs for query string
 * @property {FormData} [formData] key/value pairs for POST body, encoded as "multipart/form-data"
 * @property {Object}   [onSuccess] Redux action to call when request succeeds
 * @property {Object}   [onFailure] Redux action to call when request fails
 * @property {Object}   [onProgress] Redux action to call on progress events from an upload
 * @property {Object}   [onStreamRecord] callback for each record of a streamed response
 * @property {Object}   [retryPolicy] how to handle retries on request failure
 * @property {Object}   [options] extra options to send to the middleware, e.g. retry policy or offline policy
 */

/**
 * Returns a valid WordPress.com API HTTP Request action object
 * @param {RequestDescription} HTTP request description
 * @param {?Object} action default action to call on HTTP events
 * @returns {import('redux').Action} Redux action describing WordPress.com API HTTP request
 */
const http = ({
  apiVersion,
  apiNamespace,
  body,
  method,
  path,
  query = {},
  formData,
  onSuccess,
  onFailure,
  onProgress,
  onStreamRecord,
  ...options
}, action = null) => {
  const version = apiNamespace ? {
    apiNamespace
  } : {
    apiVersion
  };
  if (false) {}
  return {
    type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .WPCOM_HTTP_REQUEST */ .Mg6,
    body,
    method,
    path,
    query: {
      ...query,
      ...version
    },
    formData,
    onSuccess: onSuccess || action,
    onFailure: onFailure || action,
    onProgress: onProgress || action,
    onStreamRecord: onStreamRecord || action,
    options
  };
};

/***/ }),

/***/ 49723:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports successMeta, failureMeta, progressMeta, streamRecordMeta, queueRequest */
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var calypso_lib_wp__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(89406);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(31260);
/* harmony import */ var _pipeline__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(76106);






const debug = debug__WEBPACK_IMPORTED_MODULE_1___default()('calypso:data-layer:wpcom-http');

/**
 * Returns the appropriate fetcher in wpcom given the request method
 *
 * fetcherMap :: String -> (Params -> Query -> [Body] -> Promise)
 * @param {string} method name of HTTP method for request
 * @param {string} fetcher Name of fetcher to use. Defaults to wpcom.
 * @returns {Function} the fetcher
 */
const fetcherMap = function (method, fetcher = 'wpcom') {
  const req = 'wpcomJetpackLicensing' === fetcher ? calypso_lib_wp__WEBPACK_IMPORTED_MODULE_3__/* .wpcomJetpackLicensing */ .N.req : calypso_lib_wp__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A.req;
  return (0,lodash__WEBPACK_IMPORTED_MODULE_2__.get)({
    GET: req.get.bind(req),
    POST: req.post.bind(req)
  }, method, null);
};
const successMeta = (data, headers) => ({
  meta: {
    dataLayer: {
      data,
      headers
    }
  }
});
const failureMeta = (error, headers) => ({
  meta: {
    dataLayer: {
      error,
      headers
    }
  }
});
const progressMeta = ({
  total,
  loaded
}) => ({
  meta: {
    dataLayer: {
      progress: {
        total,
        loaded
      }
    }
  }
});
const streamRecordMeta = streamRecord => ({
  meta: {
    dataLayer: {
      streamRecord
    }
  }
});
const queueRequest = (processOutbound, processInbound) => ({
  dispatch
}, rawAction) => {
  const action = processOutbound(rawAction, dispatch);
  if (null === action) {
    return;
  }
  const {
    body,
    formData,
    onStreamRecord: rawOnStreamRecord,
    method: rawMethod,
    onProgress,
    options,
    path,
    query = {}
  } = action;
  const {
    responseType
  } = options || {};
  const fetcher = (0,lodash__WEBPACK_IMPORTED_MODULE_2__.get)(options, 'options.fetcher', 'wpcom');
  const onStreamRecord = rawOnStreamRecord && (record => {
    return dispatch((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .extendAction */ .vY)(rawOnStreamRecord, streamRecordMeta(record)));
  });
  const method = rawMethod.toUpperCase();
  const request = fetcherMap(method, fetcher)(...[{
    path,
    formData,
    onStreamRecord,
    responseType
  }, {
    ...query
  },
  // wpcom mutates the query so hand it a copy
  method === 'POST' && body, (error, data, headers) => {
    debug('callback fn by Req method: error=%o data=%o headers=%o', error, data, headers);
    const {
      failures,
      nextData,
      nextError,
      nextHeaders,
      shouldAbort,
      successes
    } = processInbound(action, {
      dispatch
    }, data, error, headers);
    if (true === shouldAbort) {
      return null;
    }
    return nextError ? failures.forEach(handler => dispatch((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .extendAction */ .vY)(handler, failureMeta(nextError, nextHeaders)))) : successes.forEach(handler => dispatch((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .extendAction */ .vY)(handler, successMeta(nextData, nextHeaders))));
  }].filter(Boolean));
  if ('POST' === method && onProgress) {
    // wpcomProxyRequest request - wpcomXhrRequests come through here with .upload
    if (request.upload) {
      request.upload.onprogress = event => dispatch((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .extendAction */ .vY)(onProgress, progressMeta(event)));
    }
  }
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({
  [calypso_state_action_types__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_HTTP_REQUEST */ .Mg6]: [queueRequest(_pipeline__WEBPACK_IMPORTED_MODULE_4__/* .processOutbound */ .KT, _pipeline__WEBPACK_IMPORTED_MODULE_4__/* .processInbound */ .tf)]
});

/***/ }),

/***/ 76106:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   KT: () => (/* binding */ processOutbound),
/* harmony export */   tf: () => (/* binding */ processInbound)
/* harmony export */ });
/* unused harmony exports processInboundChain, processOutboundChain */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _remove_duplicate_gets__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(3423);
/* harmony import */ var _retry_on_failure__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(45848);




/**
 * @typedef {Object} InboundData
 * @property {Object} originalRequest the Redux action describing the inbound request
 * @property {Object} store Redux store
 * @property {*} originalData response data from returned network request
 * @property {*} originalError response error from returned network request
 * @property {*} originalHeaders response headers from returned network request
 * @property {*} nextData transformed response data
 * @property {*} nextError transformed response error
 * @property {*} nextHeaders transformed repsonse headers
 * @property {Object[]} failures list of `onFailure` actions to dispatch
 * @property {Object[]} successes list of `onSuccess` actions to dispatch
 * @property {boolean} [shouldAbort] whether or not no further processing should occur for request
 */

/**
 * @typedef {Function} InboundProcessor
 * @param {InboundData} information about request response at this stage in the pipeline
 * @returns {InboundData} contains transformed responder actions
 */

/**
 * @typedef {Object} OutboundData
 * @property {Object} originalRequest the Redux action describing the outbound request
 * @property {Object} store Redux store
 * @property {?Object} nextRequest the processed request to pass along the chain
 */

/**
 * @typedef {Function} OutboundProcessor
 * @param {OutboundData} information about request at this stage in the pipeline
 * @returns {OutboundData} contains transformed nextRequest
 */

/** @type {InboundProcessor[]} */
const inboundChain = [(0,_retry_on_failure__WEBPACK_IMPORTED_MODULE_2__/* .retryOnFailure */ .W)(), _remove_duplicate_gets__WEBPACK_IMPORTED_MODULE_1__/* .applyDuplicatesHandlers */ .uw];

/** @type {OutboundProcessor[]} */
const outboundChain = [_remove_duplicate_gets__WEBPACK_IMPORTED_MODULE_1__/* .removeDuplicateGets */ .xh];
const applyInboundProcessor = (inboundData, nextProcessor) => inboundData.shouldAbort !== true ? nextProcessor(inboundData) : inboundData;
const applyOutboundProcessor = (outboundData, nextProcessor) => outboundData.nextRequest !== null ? nextProcessor(outboundData) : outboundData;
const processInboundChain = chain => (originalRequest, store, originalData, originalError, originalHeaders) => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.pick)(chain.reduce(applyInboundProcessor, {
  originalRequest,
  store,
  originalData,
  originalError,
  originalHeaders,
  nextData: originalData,
  nextError: originalError,
  nextHeaders: originalHeaders,
  failures: [originalRequest.onFailure].filter(Boolean),
  successes: [originalRequest.onSuccess].filter(Boolean)
}), ['failures', 'nextData', 'nextError', 'nextHeaders', 'successes', 'shouldAbort']);
const processOutboundChain = chain => (originalRequest, store) => chain.reduce(applyOutboundProcessor, {
  originalRequest,
  store,
  nextRequest: originalRequest
}).nextRequest;
const processInbound = processInboundChain(inboundChain);
const processOutbound = processOutboundChain(outboundChain);

/***/ }),

/***/ 3423:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   uw: () => (/* binding */ applyDuplicatesHandlers),
/* harmony export */   xh: () => (/* binding */ removeDuplicateGets)
/* harmony export */ });
/* unused harmony exports clearQueue, buildKey, addResponder */
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);


const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('calypso:data-layer:remove-duplicate-gets');

/**
 * Prevent sending multiple identical GET requests
 * while one is still transiting over the network
 *
 * Two requests are considered identical if they
 * are both GET requests and share the same
 * fundamental properties.
 * @module state/data-layer/wpcom-http/optimizations/remove-duplicate-gets
 */

/** @type {Map} holds in-transit request keys */
const requestQueue = new Map();

/**
 * Empties the duplication queue
 *
 * FOR TESTING ONLY!
 */
const clearQueue = () => {
  if (true) {
    throw new Error('`clearQueue()` is not for use in production - only in testing!');
  }
  requestQueue.clear();
};

/**
 * Determines if a request object specifies the GET HTTP method
 * @param {Object} request the HTTP request action
 * @returns {boolean} whether or not the method is GET
 */
const isGetRequest = request => 'GET' === (0,lodash__WEBPACK_IMPORTED_MODULE_1__.get)(request, 'method', '').toUpperCase();

/**
 * Returns all elements that exist in any of the two arrays at least once,
 * @param {Array} a First array
 * @param {Array} b Second array
 * @returns {Array} Array of elements that exist in at least one of the arrays
 */
const unionWith = (a = [], b = []) => [...a, ...b.filter(x => a.findIndex(y => (0,lodash__WEBPACK_IMPORTED_MODULE_1__.isEqual)(x, y)) === -1)];

/**
 * Generate a deterministic key for comparing request descriptions
 * @param {Object}            requestOptions              Request options
 * @param {string}            requestOptions.path         API endpoint path
 * @param {string}            requestOptions.apiNamespace used for endpoint versioning
 * @param {string}            requestOptions.apiVersion   used for endpoint versioning
 * @param {Object<string, *>} requestOptions.query        GET query string
 * @returns {string} unique key up to duplicate request descriptions
 */
const buildKey = ({
  path,
  apiNamespace,
  apiVersion,
  query = {}
}) => JSON.stringify([path, apiNamespace, apiVersion, (0,lodash__WEBPACK_IMPORTED_MODULE_1__.sortBy)(Object.entries(query), q => q[0])]);

/**
 * Joins a responder action into a unique list of responder actions
 * @param {Object<string, Object[]>} list existing responder actions
 * @param {Object} item new responder action to add
 * @returns {Object<string, Object[]>} union of existing list and new item
 */
const addResponder = (list, item) => ({
  failures: unionWith(list.failures, [item.onFailure].filter(Boolean)),
  successes: unionWith(list.successes, [item.onSuccess].filter(Boolean))
});

/**
 * Prevents sending duplicate requests when one is
 * already in transit over the network.
 * @see applyDuplicateHandlers
 * @param {Object} outboundData request info
 * @returns {Object} filtered request info
 */
const removeDuplicateGets = outboundData => {
  const {
    nextRequest
  } = outboundData;
  if (!isGetRequest(nextRequest)) {
    return outboundData;
  }

  // don't block automatic retries
  if ((0,lodash__WEBPACK_IMPORTED_MODULE_1__.get)(nextRequest, 'meta.dataLayer.retryCount', 0) > 0) {
    return outboundData;
  }
  const key = buildKey(nextRequest);
  const queued = requestQueue.get(key);
  const request = addResponder(queued || {
    failures: [],
    successes: []
  }, nextRequest);
  requestQueue.set(key, request);
  return queued ? {
    ...outboundData,
    nextRequest: null
  } : outboundData;
};

/**
 * When requests have been de-duplicated and return
 * this injects the other responder actions into the
 * response stream so that each caller gets called
 * @see removeDuplicateGets
 * @param {Object} inboundData request info
 * @returns {Object} processed request info
 */
const applyDuplicatesHandlers = inboundData => {
  const {
    originalRequest
  } = inboundData;
  if (!isGetRequest(originalRequest)) {
    return inboundData;
  }
  const key = buildKey(originalRequest);
  const queued = requestQueue.get(key);
  if (!queued) {
    debug('applyDuplicatesHandler has entered an impossible state! ' + 'A HTTP request is exiting the http pipeline without having entered it. ' + 'There must be a bug somewhere');
    return inboundData;
  }
  requestQueue.delete(key);
  const responders = {
    failures: unionWith(inboundData.failures || [], queued.failures),
    successes: unionWith(inboundData.successes || [], queued.successes)
  };
  return {
    ...inboundData,
    ...responders
  };
};

/***/ }),

/***/ 65394:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ decorrelatedJitter)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/**
 * PRNG-based functions providing enhanced versions of simple delay
 * formulas in order to spread out an array of failing operations
 * over more uniform time distributions.
 *
 * Jitter is introduced so that if, for example, twenty requests all
 * fail at the same time, that they won't all retry at the same time.
 * This should mitigate load on the server after failed requests and
 * lead towards more retry attempts succeeding faster than with the
 * naïve delay formulas.
 * @module state/data-layer/wpcom-http/pipeline/retry-on-failure/delays
 */



/**
 * Computes "decorrelated jitter" delay
 * @see https://www.awsarchitectureblog.com/2015/03/backoff.html
 * @param {number} baseDelay number of ms for initial delay
 * @param {number} retryCount attempt number for retry
 * @returns {number} ms delay until next attempt
 */
const decorrelatedJitter = (baseDelay, retryCount) => {
  const delay = Math.round(baseDelay * Math.pow(2, retryCount - 1) / 2);
  const jitter = delay + (0,lodash__WEBPACK_IMPORTED_MODULE_0__.random)(0, delay);
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.random)(baseDelay, jitter * 3);
};

/***/ }),

/***/ 45848:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   W: () => (/* binding */ retryOnFailure)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _delays__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(65394);
/* harmony import */ var _policies__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(62556);



const isGetRequest = request => 'GET' === (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(request, 'method', '').toUpperCase();
const retryOnFailure = (getDelay = _delays__WEBPACK_IMPORTED_MODULE_1__/* .decorrelatedJitter */ .N) => inboundData => {
  const {
    nextError,
    originalRequest,
    store: {
      dispatch
    }
  } = inboundData;

  // if the request came back successfully
  // then we have no need to intercept it
  // flush our records of it
  if (!nextError) {
    return inboundData;
  }

  // otherwise check if we should try again
  if (!isGetRequest(originalRequest)) {
    return inboundData;
  }
  const {
    options: {
      retryPolicy: policy = _policies__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay
    } = {}
  } = originalRequest;
  const {
    delay,
    maxAttempts,
    name
  } = policy;
  const retryCount = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(originalRequest, 'meta.dataLayer.retryCount', 0) + 1;
  if ('NO_RETRY' === name || retryCount > maxAttempts) {
    return inboundData;
  }
  setTimeout(() => dispatch((0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)(originalRequest, {
    meta: {
      dataLayer: {
        retryCount
      }
    }
  })), getDelay(delay, retryCount));
  return {
    ...inboundData,
    shouldAbort: true
  };
};

/***/ }),

/***/ 62556:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   sb: () => (/* binding */ noRetry)
/* harmony export */ });
/* unused harmony export exponentialBackoff */
const exponentialBackoff = ({
  delay = 1000,
  maxAttempts = 3
} = {}) => ({
  name: 'EXPONENTIAL_BACKOFF',
  delay: Math.max(500, delay),
  maxAttempts: Math.min(5, maxAttempts)
});
const noRetry = () => ({
  name: 'NO_RETRY'
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (exponentialBackoff());

/***/ }),

/***/ 23046:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ff: () => (/* binding */ reducer),
/* harmony export */   wH: () => (/* binding */ dispatchRequest)
/* harmony export */ });
/* unused harmony exports getData, getError, getHeaders, getProgress, getStreamRecord, getRequestKey, requestsReducerItem, trackRequests, requestDispatcher */
/* harmony import */ var _wordpress_warning__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(10979);
/* harmony import */ var _wordpress_warning__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_warning__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var fast_json_stable_stringify__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56075);
/* harmony import */ var fast_json_stable_stringify__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(fast_json_stable_stringify__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(24601);




const noop = () => {};
const identity = data => data;

/**
 * Returns response data from an HTTP request success action if available
 * @param {Object} action may contain HTTP response data
 * @returns {*} response data if available
 */
const getData = action => (0,lodash__WEBPACK_IMPORTED_MODULE_2__.get)(action, 'meta.dataLayer.data', undefined);

/**
 * Returns error data from an HTTP request failure action if available
 * @param {Object} action may contain HTTP response error data
 * @returns {*} error data if available
 */
const getError = action => (0,lodash__WEBPACK_IMPORTED_MODULE_2__.get)(action, 'meta.dataLayer.error', undefined);

/**
 * Returns (response) headers data from an HTTP request action if available
 * @param   {Object}      action Request action for which to retrieve HTTP response headers
 * @returns {*} Headers data if available
 */
const getHeaders = action => get(action, 'meta.dataLayer.headers', undefined);

/**
 * @typedef {Object} ProgressData
 * @property {number} loaded Number of bytes already transferred
 * @property {number} total  Total number of bytes to transfer
 */

/**
 * Returns progress data from an HTTP request progress action if available
 * @param  {Object} action          may contain HTTP progress data
 * @returns {ProgressData|undefined} Progress data if available
 */
const getProgress = action => (0,lodash__WEBPACK_IMPORTED_MODULE_2__.get)(action, 'meta.dataLayer.progress', undefined);

/**
 * Returns stream record from an HTTP request action if available
 * @param {Object} action may contain stream record
 * @returns {*} response data if available
 */
const getStreamRecord = action => (0,lodash__WEBPACK_IMPORTED_MODULE_2__.get)(action, 'meta.dataLayer.streamRecord', undefined);
const getRequestStatus = action => {
  if (undefined !== getError(action)) {
    return 'failure';
  }
  if (undefined !== getData(action)) {
    return 'success';
  }
  return 'pending';
};
const getRequestKey = fullAction => {
  const {
    meta,
    ...action
  } = fullAction;
  const requestKey = (0,lodash__WEBPACK_IMPORTED_MODULE_2__.get)(meta, 'dataLayer.requestKey');
  return requestKey ? requestKey : fast_json_stable_stringify__WEBPACK_IMPORTED_MODULE_1___default()(action);
};
const requestsReducerItem = (state = null, {
  meta: {
    dataLayer: {
      lastUpdated,
      pendingSince,
      status
    } = {}
  } = {}
}) => {
  if (status === undefined) {
    return state;
  }
  return Object.assign({
    ...state
  }, {
    status
  }, lastUpdated && {
    lastUpdated
  }, pendingSince && {
    pendingSince
  });
};
const reducer = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .keyedReducer */ .b)('meta.dataLayer.requestKey', requestsReducerItem);

/**
 * Tracks the state of network activity for a given request type
 *
 * When we issue _REQUEST type actions they usually create some
 * associated network activity by means of an HTTP request.
 * We may want to know what the status of those requests are, if
 * they have completed or if they have failed.
 *
 * This tracker stores the meta data for those requests which
 * can then be independently polled by React components which
 * need to know about those data requests.
 *
 * Note that this is meta data about remote data requests and
 * _not_ about network activity, which is why this is code is
 * here operating on the _REQUEST actions and not in the HTTP
 * pipeline as a processor on HTTP_REQUEST actions.
 * @param {Function} next next link in HTTP middleware chain
 * @returns {Function} middleware function to track requests
 */
const trackRequests = next => (store, action) => {
  // progress events don't affect
  // any tracking meta at the moment
  if (true !== (0,lodash__WEBPACK_IMPORTED_MODULE_2__.get)(action, 'meta.dataLayer.trackRequest') || getProgress(action)) {
    return next(store, action);
  }
  const requestKey = getRequestKey(action);
  const status = getRequestStatus(action);
  const dataLayer = Object.assign({
    requestKey,
    status
  }, status === 'pending' ? {
    pendingSince: Date.now()
  } : {
    lastUpdated: Date.now()
  });
  const dispatch = response => store.dispatch((0,lodash__WEBPACK_IMPORTED_MODULE_2__.merge)(response, {
    meta: {
      dataLayer
    }
  }));
  next({
    ...store,
    dispatch
  }, action);
};

/**
 * Dispatches to appropriate function based on HTTP request meta
 * @see state/data-layer/wpcom-http/actions#fetch creates HTTP requests
 *
 * When the WPCOM HTTP data layer handles requests it will add
 * response data and errors to a meta property on the given success
 * error, and progress handling actions.
 *
 * This function accepts several functions as the fetch, success, error and
 * progress handlers for actions and it will call the appropriate
 * one based on the stored meta.
 *
 * These handlers are action creators: based on the input data coming from the HTTP request,
 * it will return an action (or an action thunk) to be executed as a response to the given
 * HTTP event.
 *
 * If both error and response data is available this will call the
 * error handler in preference over the success handler, but the
 * response data will also still be available through the action meta.
 *
 * The functions should conform to the following type signatures:
 *   fetch  :: Action -> Action (action creator with one Action parameter)
 *   onSuccess  :: Action -> ResponseData -> Action (action creator with two params)
 *   onError    :: Action -> ErrorData -> Action
 *   onProgress :: Action -> ProgressData -> Action
 *   fromApi    :: ResponseData -> TransformedData throws TransformerError|SchemaError
 * @param {Function} middleware intercepts requests moving through the system
 * object - options object with named parameters:
 * function - options.fetch called if action lacks response meta; should create HTTP request
 * function - options.onSuccess called if the action meta includes response data
 * function - options.onError called if the action meta includes error data
 * function - options.onProgress called on progress events when uploading
 * function - options.fromApi maps between API data and Calypso data
 * @returns {(options: {fetch?: any; onSuccess?: any; onError?: any; onProgress?: any; fromApi?: any}) => any} action or action thunk to be executed in response to HTTP event
 */
const requestDispatcher = middleware => options => {
  if (!options.fetch) {
    _wordpress_warning__WEBPACK_IMPORTED_MODULE_0___default()('fetch handler is not defined: no request will ever be issued');
  }
  if (!options.onSuccess) {
    _wordpress_warning__WEBPACK_IMPORTED_MODULE_0___default()('onSuccess handler is not defined: response to the request is being ignored');
  }
  if (!options.onError) {
    _wordpress_warning__WEBPACK_IMPORTED_MODULE_0___default()('onError handler is not defined: error during the request is being ignored');
  }
  return middleware((store, action) => {
    // create the low-level action we want to dispatch
    const requestAction = createRequestAction(options, action);

    // dispatch the low level action (if any was created) and return the result
    if (!requestAction) {
      return;
    }
    if (Array.isArray(requestAction)) {
      return requestAction.map(store.dispatch);
    }
    return store.dispatch(requestAction);
  });
};
const dispatchRequest = requestDispatcher(trackRequests);

/*
 * Converts an application-level Calypso action that's handled by the data-layer middleware
 * into a low-level action. For example, HTTP request that's being initiated, or a response
 * action with a `meta.dataLayer` property.
 */
function createRequestAction(options, action) {
  const {
    fetch = noop,
    onSuccess = noop,
    onError = noop,
    onProgress = noop,
    onStreamRecord = noop,
    fromApi = identity
  } = options;
  const error = getError(action);
  if (undefined !== error) {
    return onError(action, error);
  }
  const data = getData(action);
  if (undefined !== data) {
    try {
      return onSuccess(action, fromApi(data));
    } catch (err) {
      return onError(action, err);
    }
  }
  const progress = getProgress(action);
  if (undefined !== progress) {
    return onProgress(action, progress);
  }
  const record = getStreamRecord(action);
  if (undefined !== record) {
    return onStreamRecord(action, record);
  }
  return fetch(action);
}

/***/ }),

/***/ 23894:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* unused harmony exports requestReadSite, receiveReadSiteSuccess, receiveReadSiteError */
/* harmony import */ var calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(53135);
/* harmony import */ var calypso_state_data_layer_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8658);
/* harmony import */ var calypso_state_data_layer_wpcom_http_actions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(73464);
/* harmony import */ var calypso_state_data_layer_wpcom_http_pipeline_retry_on_failure_policies__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(62556);
/* harmony import */ var calypso_state_data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(23046);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_reader_sites_actions__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(21104);
/* harmony import */ var calypso_state_reader_sites_fields__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(99982);








function requestReadSite(action) {
  return (0,calypso_state_data_layer_wpcom_http_actions__WEBPACK_IMPORTED_MODULE_4__/* .http */ .L)({
    apiVersion: '1.1',
    method: 'GET',
    path: `/read/sites/${action.payload.ID}`,
    query: {
      fields: calypso_state_reader_sites_fields__WEBPACK_IMPORTED_MODULE_5__/* .fields */ .O.join(','),
      options: ['is_mapped_domain', 'unmapped_url', 'is_redirect'].join(',')
    },
    retryPolicy: (0,calypso_state_data_layer_wpcom_http_pipeline_retry_on_failure_policies__WEBPACK_IMPORTED_MODULE_2__/* .noRetry */ .sb)()
  }, action);
}
function receiveReadSiteSuccess(action, response) {
  return (0,calypso_state_data_layer_utils__WEBPACK_IMPORTED_MODULE_1__/* .bypassDataLayer */ .yt)((0,calypso_state_reader_sites_actions__WEBPACK_IMPORTED_MODULE_6__/* .receiveReaderSiteRequestSuccess */ .Sb)(response));
}
function receiveReadSiteError(action, response) {
  return (0,calypso_state_data_layer_utils__WEBPACK_IMPORTED_MODULE_1__/* .bypassDataLayer */ .yt)((0,calypso_state_reader_sites_actions__WEBPACK_IMPORTED_MODULE_6__/* .receiveReaderSiteRequestFailure */ .Bb)(action, response));
}
(0,calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_0__/* .registerHandlers */ .vZ)('state/data-layer/wpcom/read/sites/index.js', {
  [calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_7__/* .READER_SITE_REQUEST */ .CB]: [(0,calypso_state_data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_3__/* .dispatchRequest */ .wH)({
    fetch: requestReadSite,
    onSuccess: receiveReadSiteSuccess,
    onError: receiveReadSiteError
  })]
});

/***/ }),

/***/ 43404:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* unused harmony exports fetch, fromApi, onLikersSuccess, onLikesSuccess */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_action_watchers_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(81356);
/* harmony import */ var calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(53135);
/* harmony import */ var calypso_state_data_layer_wpcom_http_actions__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(73464);
/* harmony import */ var calypso_state_data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(23046);
/* harmony import */ var calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(52698);
/* harmony import */ var _mine__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(85334);
/* harmony import */ var _new__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(12421);








const fetch = action => (0,calypso_state_data_layer_wpcom_http_actions__WEBPACK_IMPORTED_MODULE_5__/* .http */ .L)({
  method: 'GET',
  path: `/sites/${action.siteId}/posts/${action.postId}/likes`,
  apiVersion: '1.1'
}, action);
const fromApi = data => ({
  found: +data.found,
  iLike: !!data.i_like,
  likes: data.likes
});
const onLikersSuccess = ({
  siteId,
  postId
}, data) => (0,calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_6__/* .receivePostLikers */ .m)(siteId, postId, data);
const onLikesSuccess = ({
  siteId,
  postId
}, data) => (0,calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_6__/* .receiveLikes */ .GN)(siteId, postId, data);
(0,calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_1__/* .registerHandlers */ .vZ)('state/data-layer/wpcom/sites/posts/likes/index.js', (0,calypso_state_action_watchers_utils__WEBPACK_IMPORTED_MODULE_0__/* .mergeHandlers */ .O)(_new__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Ay, _mine__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A, {
  [calypso_state_action_types__WEBPACK_IMPORTED_MODULE_7__/* .POST_LIKERS_REQUEST */ .Ofu]: [(0,calypso_state_data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_2__/* .dispatchRequest */ .wH)({
    fetch,
    fromApi,
    onSuccess: onLikersSuccess,
    onError: () => {}
  })],
  [calypso_state_action_types__WEBPACK_IMPORTED_MODULE_7__/* .POST_LIKES_REQUEST */ .wyN]: [(0,calypso_state_data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_2__/* .dispatchRequest */ .wH)({
    fetch,
    fromApi,
    onSuccess: onLikesSuccess,
    onError: () => {}
  })]
}));

/***/ }),

/***/ 31788:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports fromApi, fetch, onSuccess, onError */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(53135);
/* harmony import */ var calypso_state_data_layer_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8658);
/* harmony import */ var calypso_state_data_layer_wpcom_http_actions__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(73464);
/* harmony import */ var calypso_state_data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(23046);
/* harmony import */ var calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(52698);






function fromApi(response) {
  if (!response.success) {
    throw new Error('Unsuccessful unlike API request');
  }
  return {
    likeCount: +response.like_count,
    liker: response.liker
  };
}
const fetch = action => {
  const query = {};
  if (action.source) {
    query.source = action.source;
  }
  return (0,calypso_state_data_layer_wpcom_http_actions__WEBPACK_IMPORTED_MODULE_3__/* .http */ .L)({
    method: 'POST',
    path: `/sites/${action.siteId}/posts/${action.postId}/likes/mine/delete`,
    apiVersion: '1.1',
    body: {},
    query
  }, action);
};
const onSuccess = ({
  siteId,
  postId
}, {
  likeCount,
  liker
}) => (0,calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_4__/* .removeLiker */ .ak)(siteId, postId, likeCount, liker);
const onError = ({
  siteId,
  postId
}) => (0,calypso_state_data_layer_utils__WEBPACK_IMPORTED_MODULE_1__/* .bypassDataLayer */ .yt)((0,calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_4__/* .like */ .mj)(siteId, postId));
(0,calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_0__/* .registerHandlers */ .vZ)('state/data-layer/wpcom/sites/posts/likes/mine/delete/index.js', {
  [calypso_state_action_types__WEBPACK_IMPORTED_MODULE_5__/* .POST_UNLIKE */ .OWR]: [(0,calypso_state_data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_2__/* .dispatchRequest */ .wH)({
    fetch,
    onSuccess,
    onError,
    fromApi
  })]
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({});

/***/ }),

/***/ 85334:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _delete__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31788);

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (_delete__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay);

/***/ }),

/***/ 12421:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports fetch, onSuccess, onError, fromApi */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(53135);
/* harmony import */ var calypso_state_data_layer_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8658);
/* harmony import */ var calypso_state_data_layer_wpcom_http_actions__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(73464);
/* harmony import */ var calypso_state_data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(23046);
/* harmony import */ var calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(52698);






const fetch = action => {
  const query = {};
  if (action.source) {
    query.source = action.source;
  }
  return (0,calypso_state_data_layer_wpcom_http_actions__WEBPACK_IMPORTED_MODULE_3__/* .http */ .L)({
    method: 'POST',
    path: `/sites/${action.siteId}/posts/${action.postId}/likes/new`,
    body: {},
    apiVersion: '1.1',
    query
  }, action);
};
const onSuccess = ({
  siteId,
  postId
}, {
  likeCount,
  liker
}) => (0,calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_4__/* .addLiker */ .HQ)(siteId, postId, likeCount, liker);
const onError = ({
  siteId,
  postId
}) => (0,calypso_state_data_layer_utils__WEBPACK_IMPORTED_MODULE_1__/* .bypassDataLayer */ .yt)((0,calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_4__/* .unlike */ .z3)(siteId, postId));
function fromApi(response) {
  if (!response.success) {
    throw new Error('Unsuccessful like API call');
  }
  return {
    likeCount: +response.like_count,
    liker: response.liker
  };
}
(0,calypso_state_data_layer_handler_registry__WEBPACK_IMPORTED_MODULE_0__/* .registerHandlers */ .vZ)('state/data-layer/wpcom/sites/posts/likes/new/index.js', {
  [calypso_state_action_types__WEBPACK_IMPORTED_MODULE_5__/* .POST_LIKE */ .z0p]: [(0,calypso_state_data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_2__/* .dispatchRequest */ .wH)({
    fetch,
    onSuccess,
    onError,
    fromApi
  })]
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({});

/***/ }),

/***/ 52001:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export desktopMiddleware */
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var _state_desktop_window_events__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(50683);




/**
 * Module variables
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('desktop:middleware');

/**
 * WP Desktop Middleware
 *
 * WP Desktop cannot subscribe to redux actions directly, so this middleware is
 * used to relay redux actions to the Electron renderer process via window events.
 */
const desktopMiddleware = () => {
  return next => action => {
    switch (action.type) {
      case _state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .NOTIFICATIONS_PANEL_TOGGLE */ .Dmg:
        {
          debug('Dispatching window event for action type: ', action.type);
          window.dispatchEvent(new window.CustomEvent(_state_desktop_window_events__WEBPACK_IMPORTED_MODULE_2__/* .NOTIFY_DESKTOP_NOTIFICATIONS_UNSEEN_COUNT_RESET */ .n));
          return next(action);
        }
      default:
        return next(action);
    }
  };
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (desktopMiddleware);

/***/ }),

/***/ 50683:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   n: () => (/* binding */ NOTIFY_DESKTOP_NOTIFICATIONS_UNSEEN_COUNT_RESET)
/* harmony export */ });
/**
 * List of window events and reason codes sent to the WP Desktop renderer.
 *
 * Reason codes should be prefixed with `REASON_`.
 *
 * Please keep this list alphabetized!
 *
 */

const NOTIFY_DESKTOP_NOTIFICATIONS_UNSEEN_COUNT_RESET = 'NOTIFY_DESKTOP_NOTIFICATIONS_UNSEEN_COUNT_RESET';

/***/ }),

/***/ 68104:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(59662);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98132);


(0,calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__/* .registerReducer */ .K)(['gravatarStatus'], _reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Ay);

/***/ }),

/***/ 98132:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports isUploading, tempImage */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18366);


const isUploading = (state = false, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .GRAVATAR_UPLOAD_REQUEST */ .JM$:
      return true;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .GRAVATAR_UPLOAD_REQUEST_SUCCESS */ .rl3:
      return false;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .GRAVATAR_UPLOAD_REQUEST_FAILURE */ .wfD:
      return false;
  }
  return state;
};
const tempImage = (state = null, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .GRAVATAR_UPLOAD_RECEIVE */ .Tfz:
      {
        return action.src;
      }
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .combineReducers */ .H)({
  isUploading,
  tempImage
}));

/***/ }),

/***/ 56414:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   m: () => (/* binding */ getUserTempGravatar)
/* harmony export */ });
/* unused harmony export isCurrentUserUploadingGravatar */
/* harmony import */ var calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(13034);
/* harmony import */ var calypso_state_gravatar_status_init__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(68104);



/**
 * Returns true if we're currently uploading a Gravatar
 * @param {Object} state - The state
 * @returns {boolean} - If uploading a Gravatar
 */
function isCurrentUserUploadingGravatar(state) {
  return state.gravatarStatus.isUploading;
}

/**
 * Returns the temp Gravatar if it exists and
 * the current user ID is passed in, otherwise false
 * @param {Object} state - The state
 * @param {number} userId - The ID of the user we're checking
 * @returns {string|boolean} - The temp Gravatar string, or false
 */
function getUserTempGravatar(state, userId) {
  return (0,calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_0__/* .getCurrentUserId */ .WR)(state) === userId && (state.gravatarStatus.tempImage ?? false);
}

/***/ }),

/***/ 46287:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ saveImmediateLoginInformation)
/* harmony export */ });
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_immediate_login_init__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(52284);



/**
 * Stores immediate link-related information in state so it can be reused later
 * @param {boolean} success - Whether the immediate login attempt was successful.
 * @param {string} reason - Reason for this immediate login, if known.
 * @param {string} email - Email address used for the immediate login attempt,
 *                         if known.
 * @param {string} locale - Two-letter code for the preferred language of the
 *                          user attempting to log in, if known.
 * @returns {void}
 */
const saveImmediateLoginInformation = (success, reason, email, locale) => ({
  type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .IMMEDIATE_LOGIN_SAVE_INFO */ .PJr,
  success,
  reason,
  email,
  locale
});

/***/ }),

/***/ 52284:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(59662);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(42016);


(0,calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__/* .registerReducer */ .K)(['immediateLogin'], _reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A);

/***/ }),

/***/ 42016:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);


const initialState = {
  attempt: false,
  success: false,
  reason: null,
  email: null,
  locale: null
};
const reducer = (state = initialState, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .IMMEDIATE_LOGIN_SAVE_INFO */ .PJr:
      {
        const {
          success,
          reason,
          email,
          locale
        } = action;
        return {
          attempt: true,
          success: !!success,
          reason: reason || null,
          email: email || null,
          locale: locale || null
        };
      }
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .withStorageKey */ .p6)('immediateLogin', reducer));

/***/ }),

/***/ 37645:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   q: () => (/* binding */ createPathWithoutImmediateLoginInformation),
/* harmony export */   s: () => (/* binding */ createImmediateLoginMessage)
/* harmony export */ });
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(85744);


/**
 * Processes a redux ROUTE_SET action and returns a URL that contains no parameters that
 * are related to immediate login.
 * @param {string} path  - path
 * @param {Object} query - query parameters
 * @returns {string}      - the URL without related params
 */
const createPathWithoutImmediateLoginInformation = (path, query) => {
  const relatedParamNames = ['immediate_login_attempt', 'immediate_login_success', 'login_reason', 'login_email', 'login_locale'];
  const newQuery = Object.keys(query).filter(k => relatedParamNames.indexOf(k) === -1).map(k => `${encodeURIComponent(k)}=${encodeURIComponent(query[k])}`);
  return path + (newQuery.length ? '?' + newQuery.join('&') : '');
};

/**
 * Creates a human-understandable message that communicates that current user was logged in
 * @param {string}  loginReason  - Reason why user were logged in, the message may vary depending on it.
 * @param {string}  email        - Email of currently logged in user
 * @returns {string}              - Message to show to user
 */
const createImmediateLoginMessage = (loginReason, email) => {
  // It's possible to vary the message based on login reason, but currently
  // the default message is used in all cases. (Since the user reached this
  // page via one click from an email, the expectation is that it's the
  // responsibility of the email and the page to make clear to the user why
  // they're actually here, not this message.)
  return (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_0__/* .translate */ .Tl)("You're logged in as %(email)s.", {
    args: {
      email
    }
  });
};

/***/ }),

/***/ 78219:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   d4: () => (/* binding */ useSelector)
/* harmony export */ });
/* unused harmony exports createReduxStore, useDispatch, useStore */
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(20759);
/* harmony import */ var redux_dynamic_middlewares__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(64036);
/* harmony import */ var calypso_state_data_layer_wpcom_api_middleware__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(65679);
/* harmony import */ var _action_log__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(21822);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(16010);










function createReduxStore(initialState, reducer = initialReducer) {
  const isBrowser = "object" === 'object';
  const isDesktop = isEnabled('desktop');
  const middlewares = [thunkMiddleware,
  // We need the data layer middleware to be used as early
  // as possible, before any side effects.
  // The data layer dispatches actions on network events
  // including success, failure, and progress updates
  // Its way of issuing these is to wrap the originating action
  // with special meta and dispatch it again each time.
  // If another middleware jumps in before the data layer
  // then it could mistakenly trigger on those network
  // responses. Therefore we need to inject the data layer
  // as early as possible into the middleware chain.
  wpcomApiMiddleware, dynamicMiddlewares, isBrowser && (__webpack_require__(95985)/* .analyticsMiddleware */ .X), isBrowser && (__webpack_require__(48280)/* ["default"] */ .A), isDesktop && (__webpack_require__(52001)/* ["default"] */ .A)].filter(Boolean);
  const enhancers = [addReducerEnhancer, isBrowser && window.app && window.app.isDebug && consoleDispatcher, applyMiddleware(...middlewares), isBrowser && window.app && window.app.isDebug && actionLogger, isBrowser && window.__REDUX_DEVTOOLS_EXTENSION__ && window.__REDUX_DEVTOOLS_EXTENSION__()].filter(Boolean);

  // eslint-disable-next-line @typescript-eslint/ban-ts-comment
  // @ts-ignore The store enhancer types don't line up exactly and it's not worth fixing immediately.
  return createStore(reducer, initialState, compose(...enhancers));
}
const useDispatch = (/* unused pure expression or super */ null && (reduxUseDispatch));

// Basically the same types as TypedUseSelectorHook but with IAppState as the default state type.
function useSelector(selector, equalityFn) {
  return (0,react_redux__WEBPACK_IMPORTED_MODULE_1__/* .useSelector */ .d4)(selector, equalityFn);
}
function useStore() {
  return reduxUseStore();
}

/***/ }),

/***/ 48280:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export libraryMiddleware */
/* harmony import */ var _automattic_calypso_router__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(88977);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(13034);
/* harmony import */ var calypso_state_immediate_login_actions__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(46287);
/* harmony import */ var calypso_state_immediate_login_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(37645);
/* harmony import */ var calypso_state_notices_actions__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(18221);








/**
 * Notifies user about the fact that they were automatically logged in
 * via an immediate link.
 * @param {Function} dispatch - redux dispatch function
 * @param {Object}   action   - the dispatched action
 * @param {Function} getState - redux getState function
 */
const notifyAboutImmediateLoginLinkEffects = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.once)((dispatch, action, getState) => {
  if (!action.query.immediate_login_attempt) {
    return;
  }

  // Store immediate login information for future reference.
  dispatch((0,calypso_state_immediate_login_actions__WEBPACK_IMPORTED_MODULE_2__/* .saveImmediateLoginInformation */ ._)(action.query.immediate_login_success, action.query.login_reason, action.query.login_email, action.query.login_locale));

  // Redirect to a page without immediate login information in the URL
  _automattic_calypso_router__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A.replace((0,calypso_state_immediate_login_utils__WEBPACK_IMPORTED_MODULE_4__/* .createPathWithoutImmediateLoginInformation */ .q)(action.path, action.query));

  // Only show the message if the user is currently logged in and if the URL
  // suggests that they were just logged in via an immediate login request.
  if (!action.query.immediate_login_success) {
    return;
  }
  const email = (0,calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_1__/* .getCurrentUserEmail */ .X$)(getState());
  if (!email) {
    return;
  }

  // Let redux process all dispatches that are currently queued and show the message
  (0,lodash__WEBPACK_IMPORTED_MODULE_0__.defer)(() => {
    dispatch((0,calypso_state_notices_actions__WEBPACK_IMPORTED_MODULE_5__/* .successNotice */ .Er)((0,calypso_state_immediate_login_utils__WEBPACK_IMPORTED_MODULE_4__/* .createImmediateLoginMessage */ .s)(action.query.login_reason, email)));
  });
});
const handler = async (dispatch, action, getState) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__/* .ROUTE_SET */ .hsX:
      return notifyAboutImmediateLoginLinkEffects(dispatch, action, getState);
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__/* .SELECTED_SITE_SET */ .r1v:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__/* .SITE_RECEIVE */ .InQ:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_6__/* .SITES_RECEIVE */ .PzS:
      {
        const {
          fetchAutomatedTransferStatusForSelectedSite
        } = await asyncRequire('calypso/state/lib/automated-transfer-middleware');
        fetchAutomatedTransferStatusForSelectedSite(dispatch, getState);
        return;
      }
  }
};
const libraryMiddleware = ({
  dispatch,
  getState
}) => next => action => {
  handler(dispatch, action, getState);
  return next(action);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (libraryMiddleware);

/***/ }),

/***/ 18221:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Er: () => (/* binding */ successNotice)
/* harmony export */ });
/* unused harmony exports removeNotice, createNotice, errorNotice, infoNotice, warningNotice, plainNotice */
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(77981);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_notices_init__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(67612);



const removeNotice = noticeId => {
  return {
    noticeId,
    type: NOTICE_REMOVE
  };
};
const createNotice = (status, text, {
  id,
  ...noticeOptions
} = {}) => {
  return {
    type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .NOTICE_CREATE */ .OtO,
    notice: Object.assign({
      showDismiss: true
    }, noticeOptions, {
      noticeId: id || (0,uuid__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(),
      status,
      text
    })
  };
};
const successNotice = (text, noticeOptions) => createNotice('is-success', text, noticeOptions);
const errorNotice = (text, noticeOptions) => createNotice('is-error', text, noticeOptions);
const infoNotice = (text, noticeOptions) => createNotice('is-info', text, noticeOptions);
const warningNotice = (text, noticeOptions) => createNotice('is-warning', text, noticeOptions);
const plainNotice = (text, noticeOptions) => createNotice('is-plain', text, noticeOptions);

/***/ }),

/***/ 67612:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(59662);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(79040);


(0,calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__/* .registerReducer */ .K)(['notices'], _reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Ay);

/***/ }),

/***/ 79040:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, lastTimeShown */
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(18366);




const items = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .NOTICE_CREATE */ .OtO:
      {
        const {
          notice
        } = action;
        return {
          ...state,
          [notice.noticeId]: notice
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .NOTICE_REMOVE */ .Aa7:
      {
        const {
          noticeId
        } = action;
        if (!state.hasOwnProperty(noticeId)) {
          return state;
        }
        return (0,lodash__WEBPACK_IMPORTED_MODULE_1__.omit)(state, noticeId);
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .ROUTE_SET */ .hsX:
      {
        return (0,lodash__WEBPACK_IMPORTED_MODULE_1__.reduce)(state, (memo, notice, noticeId) => {
          if (!notice.isPersistent && !notice.displayOnNextPage) {
            return memo;
          }
          let nextNotice = notice;
          if (nextNotice.displayOnNextPage) {
            nextNotice = {
              ...nextNotice,
              displayOnNextPage: false
            };
          }
          memo[noticeId] = nextNotice;
          return memo;
        }, {});
      }
  }
  return state;
};
const lastTimeShown = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .NOTICE_CREATE */ .OtO:
      {
        const {
          notice
        } = action;
        return {
          ...state,
          [notice.noticeId]: Date.now()
        };
      }
  }
  return state;
};
const combinedReducer = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .combineReducers */ .H)({
  items,
  lastTimeShown
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .withStorageKey */ .p6)('notices', combinedReducer));

/***/ }),

/***/ 73043:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ DEFAULT_POST_QUERY)
/* harmony export */ });
/* unused harmony export POST_STATUSES */
const DEFAULT_POST_QUERY = {
  context: 'display',
  http_envelope: false,
  pretty: false,
  number: 20,
  offset: 0,
  page: 1,
  order: 'DESC',
  order_by: 'date',
  type: 'post',
  status: 'publish',
  sticky: 'include',
  search: ''
};

// All post statuses displayed in Calypso.
const POST_STATUSES = (/* unused pure expression or super */ null && (['publish', 'draft', 'pending', 'private', 'future', 'trash']));

/***/ }),

/***/ 71319:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports requesting, counts */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(18366);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6636);





/**
 * Returns the updated post types requesting state after an action has been
 * dispatched. The state reflects a mapping of site ID, post type pairing to a
 * boolean reflecting whether a request for the post types is in progress.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
function requesting(state = {}, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_COUNTS_REQUEST */ .EcY:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_COUNTS_REQUEST_SUCCESS */ .O7i:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_COUNTS_REQUEST_FAILURE */ .ZHu:
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, state, {
        [action.siteId]: {
          [action.postType]: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_COUNTS_REQUEST */ .EcY === action.type
        }
      });
  }
  return state;
}

/**
 * Returns the updated post count state after an action has been dispatched.
 * The state reflects a mapping of site ID, post type, [all/mine], post status
 * to the number of posts.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const counts = (() => {
  let currentUserId;
  let postStatuses = {};

  /**
   * Returns a serialized key to be used in tracking post status properties
   * @param  {number} siteId Site ID
   * @param  {number} postId Post ID
   * @returns {string}        Serialized key
   */
  function getPostStatusKey(siteId, postId) {
    return [siteId, postId].join();
  }

  /**
   * Returns the updated post count state after transitioning a post to a new
   * status.
   * @param  {Object} state  Current state
   * @param  {number} siteId Site ID
   * @param  {number} postId Post ID
   * @param  {string} status Post status
   * @returns {Object}        Updated state
   */
  function transitionPostStateToStatus(state, siteId, postId, status) {
    const postStatusKey = getPostStatusKey(siteId, postId);
    const postStatus = postStatuses[postStatusKey];
    if (!postStatus) {
      return state;
    }

    // Determine which count subkeys need to be updated, depending on
    // whether the current user authored the post
    const subKeys = ['all'];
    if (postStatus.authorId === currentUserId) {
      subKeys.push('mine');
    }
    const revisions = subKeys.reduce((memo, subKey) => {
      const subKeyCounts = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(state, [siteId, postStatus.type, subKey], {});
      memo[subKey] = {};

      // Decrement count from the current status before transitioning
      memo[subKey][postStatus.status] = Math.max((subKeyCounts[postStatus.status] || 0) - 1, 0);

      // So long as we're not trashing an already trashed post or page,
      // increment the count for the transitioned status
      if ('deleted' !== status) {
        memo[subKey][status] = (subKeyCounts[status] || 0) + 1;
      }
      return memo;
    }, {});
    if ('deleted' === status) {
      // If post is permanently deleted, omit from tracked statuses
      postStatuses = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(postStatuses, postStatusKey);
    } else {
      // Otherwise, update object to reflect new status
      postStatus.status = status;
    }

    // Ensure that `all` and `mine` keys are always present
    (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)(revisions, {
      all: {},
      mine: {}
    });
    return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, state, {
      [siteId]: {
        [postStatus.type]: revisions
      }
    });
  }
  return (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_3__/* .countsSchema */ .G, (state = {}, action) => {
    switch (action.type) {
      case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_COUNTS_RESET_INTERNAL_STATE */ .q58:
        {
          currentUserId = undefined;
          postStatuses = {};
          return state;
        }
      case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .CURRENT_USER_RECEIVE */ .i7J:
        {
          currentUserId = action.user.ID;
          return state;
        }
      case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POSTS_RECEIVE */ .SnV:
        {
          action.posts.forEach(post => {
            const postStatusKey = getPostStatusKey(post.site_ID, post.ID);
            const postStatus = postStatuses[postStatusKey];

            // If the post is known to us and the status has changed,
            // update state to reflect change
            if (postStatus && post.status !== postStatus.status) {
              state = transitionPostStateToStatus(state, post.site_ID, post.ID, post.status);
            }
            postStatuses[postStatusKey] = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.pick)(post, 'type', 'status');
            postStatuses[postStatusKey].authorId = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(post.author, 'ID');
          });
          return state;
        }
      case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_SAVE */ .LpR:
        {
          const {
            siteId,
            postId,
            post
          } = action;
          if (!post.status) {
            return state;
          }
          return transitionPostStateToStatus(state, siteId, postId, post.status);
        }
      case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_DELETE */ .JH$:
        {
          return transitionPostStateToStatus(state, action.siteId, action.postId, 'deleted');
        }
      case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_COUNTS_RECEIVE */ .mnW:
        {
          return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, state, {
            [action.siteId]: {
              [action.postType]: action.counts
            }
          });
        }
    }
    return state;
  });
})();
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__/* .combineReducers */ .H)({
  requesting,
  counts
}));

/***/ }),

/***/ 6636:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   G: () => (/* binding */ countsSchema)
/* harmony export */ });
const countsSchema = {
  type: 'object',
  patternProperties: {
    '^[0-9]+$': {
      type: 'object',
      patternProperties: {
        '^[\\w-]+$': {
          type: 'object',
          patternProperties: {
            '^(all|mine)$': {
              type: 'object',
              patternProperties: {
                '^\\w+$': {
                  type: 'integer'
                }
              },
              additionalProperties: false
            }
          },
          additionalProperties: false
        }
      },
      additionalProperties: false
    }
  },
  additionalProperties: false
};

/***/ }),

/***/ 37806:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(59662);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(15502);


(0,calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__/* .registerReducer */ .K)(['posts'], _reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Ay);

/***/ }),

/***/ 52698:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GN: () => (/* binding */ receiveLikes),
/* harmony export */   HQ: () => (/* binding */ addLiker),
/* harmony export */   ak: () => (/* binding */ removeLiker),
/* harmony export */   m: () => (/* binding */ receivePostLikers),
/* harmony export */   mj: () => (/* binding */ like),
/* harmony export */   z3: () => (/* binding */ unlike)
/* harmony export */ });
/* unused harmony exports requestPostLikes, requestPostLikers */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_data_layer_wpcom_sites_posts_likes__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(43404);
/* harmony import */ var calypso_state_posts_init__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(37806);




/**
 * Returns an action thunk which, when invoked, triggers a network request to
 * retrieve post likes for a post.
 * @param  {number}   siteId Site ID
 * @param  {number}   postId Post ID
 * @returns {Object}        Action
 */
function requestPostLikes(siteId, postId) {
  return {
    type: POST_LIKES_REQUEST,
    siteId,
    postId
  };
}

/**
 * Returns an action thunk which, when invoked, triggers a network request to
 * retrieve post likes for a post.
 * @param  {number}   siteId Site ID
 * @param  {number}   postId Post ID
 * @returns {import('redux').AnyAction}        Action
 */
function requestPostLikers(siteId, postId) {
  return {
    type: POST_LIKERS_REQUEST,
    siteId,
    postId
  };
}

/**
 * Create a like action for a given site and post
 * @param {number} siteId Site ID
 * @param {number} postId Post ID
 * @returns {Object} The like action
 */
const like = (siteId, postId, {
  source
} = {}) => ({
  type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_LIKE */ .z0p,
  siteId,
  postId,
  source
});

/**
 * Create an unlike action for a given site and post
 * @param {number} siteId Site ID
 * @param {number} postId Post ID
 * @returns {Object} The unlike action
 */
const unlike = (siteId, postId, {
  source
} = {}) => ({
  type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_UNLIKE */ .OWR,
  siteId,
  postId,
  source
});
const receivePostLikers = (siteId, postId, {
  likes,
  found
}) => ({
  type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_LIKERS_RECEIVE */ .ouM,
  siteId,
  postId,
  likes,
  found
});
const receiveLikes = (siteId, postId, {
  likes,
  iLike,
  found
}) => ({
  type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_LIKES_RECEIVE */ .eRR,
  siteId,
  postId,
  likes,
  iLike,
  found
});
const addLiker = (siteId, postId, likeCount, liker) => ({
  type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_LIKES_ADD_LIKER */ ._Il,
  siteId,
  postId,
  likeCount,
  liker
});
const removeLiker = (siteId, postId, likeCount, liker) => ({
  type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_LIKES_REMOVE_LIKER */ .T3Z,
  siteId,
  postId,
  likeCount,
  liker
});

/***/ }),

/***/ 90041:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports itemReducer, items */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(24601);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(18366);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(97062);




/**
 * Returns the updated items state after an action has been dispatched. The
 * state maps site ID, post ID keys to the post's likes.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const itemReducer = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A, (state = {
  likes: undefined,
  iLike: false,
  found: 0,
  lastUpdated: undefined
}, action) => {
  /*
   * NOTE: This reducer includes some subtle, non-obvious behavior.
   * The key thing to be aware of is that likes is undefined by default,
   * and we only fetch the likes data in specific situations:
   *  - when we explicitly request and then receive likes for a post, we get a `POST_LIKERS_RECEIVE` action.
   *  - when we like a post, the response handling triggers a `POST_LIKES_ADD_LIKER` action.
   *  - when we unlike a post, the response handling triggers a `POST_LIKES_REMOVE_LIKER` action.
   * However, those fetches can be laggy, so we only update the likes data for those specific actions.
   * Conversely, we only update the iLike and found values for the other actions:
   *  - `POST_LIKE`
   *  - `POST_LIKES_RECEIVE`
   *  - `POST_UNLIKE`
   */
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_LIKERS_RECEIVE */ .ouM:
      {
        const {
          likes
        } = action;
        return {
          likes: Array.isArray(likes) ? likes.map(like => {
            return {
              ID: like.ID,
              avatar_URL: like.avatar_URL,
              login: like.login,
              name: like.name,
              site_ID: like.site_ID,
              site_visible: like.site_visible
            };
          }) : undefined,
          // Make sure we're keeping any existing values.
          found: state.found,
          iLike: state.iLike,
          lastUpdated: state.lastUpdated
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_LIKES_RECEIVE */ .eRR:
      {
        const {
          iLike,
          found
        } = action;
        return {
          iLike,
          found,
          likes: state.likes,
          lastUpdated: Date.now()
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_LIKE */ .z0p:
      {
        if (state.iLike) {
          return state;
        }
        return {
          likes: state.likes,
          iLike: true,
          found: state.found + 1,
          lastUpdated: state.lastUpdated
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_UNLIKE */ .OWR:
      {
        if (!state.iLike) {
          return state;
        }
        return {
          likes: state.likes,
          iLike: false,
          found: Math.max(0, state.found - 1),
          lastUpdated: state.lastUpdated
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_LIKES_ADD_LIKER */ ._Il:
      {
        const {
          liker
        } = action;
        const existingLikes = state?.likes ?? [];
        const hasLiker = existingLikes.some(like => like.ID === liker.ID);
        if (hasLiker) {
          // if we already have this liker, no changes are needed.
          return state;
        }
        return {
          // Add the requested liker to the list of likes.
          likes: [liker, ...existingLikes],
          // Leave everything else as-is.
          iLike: state.iLike,
          found: state.found,
          lastUpdated: state.lastUpdated
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .POST_LIKES_REMOVE_LIKER */ .T3Z:
      {
        const {
          liker
        } = action;
        const existingLikes = state?.likes ?? [];
        const hasLiker = existingLikes.some(like => like.ID === liker.ID);
        if (!hasLiker) {
          // if we don't have this liker, no changes are needed.
          return state;
        }
        return {
          // Remove the requested liker from the list of likes.
          likes: existingLikes.filter(existingLike => existingLike.ID !== liker.ID),
          // Leave everything else as-is.
          iLike: state.iLike,
          found: state.found,
          lastUpdated: state.lastUpdated
        };
      }
  }
  return state;
});
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .keyedReducer */ .b)('siteId', (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .keyedReducer */ .b)('postId', itemReducer));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__/* .combineReducers */ .H)({
  items
}));

/***/ }),

/***/ 97062:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({
  type: 'object',
  additionalProperties: false,
  required: ['iLike', 'found'],
  properties: {
    likes: {
      type: 'array',
      description: 'List of post likes'
    },
    iLike: {
      type: 'boolean',
      description: 'Whether the current authenticated user likes the post or not'
    },
    found: {
      type: 'number',
      description: 'The total of post likes'
    },
    lastUpdated: {
      type: 'number',
      description: 'When we last updated the liker info'
    }
  }
});

/***/ }),

/***/ 15502:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, siteRequests, queryRequests, queries, allSitesQueries, edits */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_query_manager_post__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(81524);
/* harmony import */ var calypso_lib_query_manager_with_query_manager__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(67686);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_posts_utils__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(89585);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(88926);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(18366);
/* harmony import */ var _counts_reducer__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(71319);
/* harmony import */ var _likes_reducer__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(90041);
/* harmony import */ var _revisions_reducer__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(19711);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(59691);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(60222);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(11072);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(64692);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(39587);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(27565);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(71438);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(32594);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(34291);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(19693);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(71027);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(186);
/* eslint-disable no-case-declarations */













/**
 * Tracks all known post objects, indexed by post global ID.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_3__/* .itemsSchema */ .Aj, (state = {}, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POSTS_RECEIVE */ .SnV:
      {
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(action.posts, (memo, post) => {
          const {
            site_ID: siteId,
            ID: postId,
            global_ID: globalId
          } = post;
          if (memo[globalId]) {
            // We're making an assumption here that the site ID and post ID
            // corresponding with a global ID will never change
            return memo;
          }
          if (memo === state) {
            memo = {
              ...memo
            };
          }
          memo[globalId] = [siteId, postId];
          return memo;
        }, state);
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_DELETE_SUCCESS */ .DiK:
      {
        const globalId = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.findKey)(state, ([siteId, postId]) => {
          return siteId === action.siteId && postId === action.postId;
        });
        if (!globalId) {
          return state;
        }
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, globalId);
      }
  }
  return state;
});

/**
 * Returns the updated site post requests state after an action has been
 * dispatched. The state reflects a mapping of site ID, post ID pairing to a
 * boolean reflecting whether a request for the post is in progress.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
function siteRequests(state = {}, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_REQUEST */ .ZKv:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_REQUEST_SUCCESS */ .zjT:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_REQUEST_FAILURE */ ._cX:
      return Object.assign({}, state, {
        [action.siteId]: Object.assign({}, state[action.siteId], {
          [action.postId]: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_REQUEST */ .ZKv === action.type
        })
      });
  }
  return state;
}

/**
 * Returns the updated post query requesting state after an action has been
 * dispatched. The state reflects a mapping of serialized query to whether a
 * network request is in-progress for that query.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
function queryRequests(state = {}, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POSTS_REQUEST */ .EYb:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POSTS_REQUEST_SUCCESS */ .WFp:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POSTS_REQUEST_FAILURE */ .xBc:
      const serializedQuery = (0,_utils__WEBPACK_IMPORTED_MODULE_5__/* .getSerializedPostsQuery */ .K)(action.query, action.siteId);
      return Object.assign({}, state, {
        [serializedQuery]: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POSTS_REQUEST */ .EYb === action.type
      });
  }
  return state;
}

/**
 * Returns the updated post query state after an action has been dispatched.
 * The state reflects a mapping by site ID of serialized query key to an array
 * of post IDs for the query, if a query response was successfully received.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const queriesReducer = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POSTS_REQUEST_SUCCESS */ .WFp:
      {
        const {
          siteId,
          query,
          posts,
          found
        } = action;
        if (!siteId) {
          // Handle site-specific queries only
          return state;
        }
        const normalizedPosts = posts.map(_utils__WEBPACK_IMPORTED_MODULE_6__/* .normalizePostForState */ .Y);
        return (0,calypso_lib_query_manager_with_query_manager__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(state, siteId, m => m.receive(normalizedPosts, {
          query,
          found
        }), () => new calypso_lib_query_manager_post__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A());
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POSTS_RECEIVE */ .SnV:
      {
        const {
          posts
        } = action;
        const postsBySiteId = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(posts, (memo, post) => {
          return Object.assign(memo, {
            [post.site_ID]: [...(memo[post.site_ID] || []), (0,_utils__WEBPACK_IMPORTED_MODULE_6__/* .normalizePostForState */ .Y)(post)]
          });
        }, {});
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(postsBySiteId, (memo, sitePosts, siteId) => (0,calypso_lib_query_manager_with_query_manager__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(memo, siteId, m => m.receive(sitePosts), () => new calypso_lib_query_manager_post__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A()), state);
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_RESTORE */ .kwZ:
      {
        const {
          siteId,
          postId
        } = action;
        return (0,calypso_lib_query_manager_with_query_manager__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(state, siteId, m => m.receive({
          ID: postId,
          status: '__RESTORE_PENDING'
        }, {
          patch: true
        }));
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_RESTORE_FAILURE */ .rU$:
      {
        const {
          siteId,
          postId
        } = action;
        return (0,calypso_lib_query_manager_with_query_manager__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(state, siteId, m => m.receive({
          ID: postId,
          status: 'trash'
        }, {
          patch: true
        }));
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_SAVE */ .LpR:
      {
        const {
          siteId,
          postId,
          post
        } = action;
        return (0,calypso_lib_query_manager_with_query_manager__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(state, siteId, m => m.receive({
          ID: postId,
          ...post
        }, {
          patch: true
        }));
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_DELETE */ .JH$:
      {
        const {
          siteId,
          postId
        } = action;
        return (0,calypso_lib_query_manager_with_query_manager__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(state, siteId, m => m.receive({
          ID: postId,
          status: '__DELETE_PENDING'
        }, {
          patch: true
        }));
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_DELETE_FAILURE */ .aNL:
      {
        const {
          siteId,
          postId
        } = action;
        return (0,calypso_lib_query_manager_with_query_manager__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(state, siteId, m => m.receive({
          ID: postId,
          status: 'trash'
        }, {
          patch: true
        }));
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_DELETE_SUCCESS */ .DiK:
      {
        const {
          siteId,
          postId
        } = action;
        return (0,calypso_lib_query_manager_with_query_manager__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)(state, siteId, m => m.removeItem(postId));
      }
  }
  return state;
};
const queries = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_3__/* .queriesSchema */ .o9, (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_8__/* .withPersistence */ .O)(queriesReducer, {
  serialize: state => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.mapValues)(state, ({
    data,
    options
  }) => ({
    data,
    options
  })),
  deserialize: persisted => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.mapValues)(persisted, ({
    data,
    options
  }) => new calypso_lib_query_manager_post__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A(data, options))
}));
function findItemKey(state, siteId, postId) {
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.findKey)(state.data.items, post => {
    return post.site_ID === siteId && post.ID === postId;
  }) || null;
}

/**
 * Returns the updated post query state for queries of all sites at once after
 * an action has been dispatched.  The state reflects a mapping of serialized
 * query key to an array of post global IDs for the query, if a query response
 * was successfully received.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const allSitesQueriesReducer = (state = new calypso_lib_query_manager_post__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A({}, {
  itemKey: 'global_ID'
}), action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POSTS_REQUEST_SUCCESS */ .WFp:
      {
        const {
          siteId,
          query,
          posts,
          found
        } = action;
        if (siteId) {
          // Handle all-sites queries only.
          return state;
        }
        return state.receive(posts.map(_utils__WEBPACK_IMPORTED_MODULE_6__/* .normalizePostForState */ .Y), {
          query,
          found
        });
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POSTS_RECEIVE */ .SnV:
      {
        const {
          posts
        } = action;
        return state.receive(posts);
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_RESTORE */ .kwZ:
      {
        const {
          siteId,
          postId
        } = action;
        const globalId = findItemKey(state, siteId, postId);
        return state.receive({
          global_ID: globalId,
          status: '__RESTORE_PENDING'
        }, {
          patch: true
        });
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_RESTORE_FAILURE */ .rU$:
      {
        const {
          siteId,
          postId
        } = action;
        const globalId = findItemKey(state, siteId, postId);
        return state.receive({
          global_ID: globalId,
          status: 'trash'
        }, {
          patch: true
        });
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_SAVE */ .LpR:
      {
        const {
          siteId,
          postId,
          post
        } = action;
        const globalId = findItemKey(state, siteId, postId);
        return state.receive({
          global_ID: globalId,
          ...post
        }, {
          patch: true
        });
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_DELETE */ .JH$:
      {
        const {
          siteId,
          postId
        } = action;
        const globalId = findItemKey(state, siteId, postId);
        return state.receive({
          global_ID: globalId,
          status: '__DELETE_PENDING'
        }, {
          patch: true
        });
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_DELETE_FAILURE */ .aNL:
      {
        const {
          siteId,
          postId
        } = action;
        const globalId = findItemKey(state, siteId, postId);
        return state.receive({
          global_ID: globalId,
          status: 'trash'
        }, {
          patch: true
        });
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_DELETE_SUCCESS */ .DiK:
      {
        const {
          siteId,
          postId
        } = action;
        const globalId = findItemKey(state, siteId, postId);
        return state.removeItem(globalId);
      }
  }
  return state;
};
const allSitesQueries = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A, (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_8__/* .withPersistence */ .O)(allSitesQueriesReducer, {
  serialize: ({
    data,
    options
  }) => ({
    data,
    options
  }),
  deserialize: ({
    data,
    options
  }) => new calypso_lib_query_manager_post__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A(data, options)
}));

/**
 * Returns the updated editor posts state after an action has been dispatched.
 * The state maps site ID, post ID pairing to an object containing revisions
 * for the post.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
function edits(state = {}, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POSTS_RECEIVE */ .SnV:
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(action.posts, (memoState, post) => {
        // Receive a new version of a post object, in most cases returned in the POST
        // response after a successful save. Removes the edits that have been applied
        // and leaves only the ones that are not noops.
        let postEditsLog = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(memoState, [post.site_ID, post.ID]);
        if (!postEditsLog) {
          return memoState;
        }
        if (memoState === state) {
          memoState = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, state);
        }

        // if the action has a save marker, remove the edits before that marker
        if (action.saveMarker) {
          const markerIndex = postEditsLog.indexOf(action.saveMarker);
          if (markerIndex !== -1) {
            postEditsLog = postEditsLog.slice(markerIndex + 1);
          }
        }

        // merge the array of remaining edits into one object
        const postEdits = (0,_utils__WEBPACK_IMPORTED_MODULE_10__/* .mergePostEdits */ .A)(...postEditsLog);
        let newEditsLog = null;
        if (postEdits) {
          // remove the edits that try to set an attribute to a value it already has.
          // For most attributes, it's a simple `isEqual` deep comparison, but a few
          // properties are more complicated than that.
          const unappliedPostEdits = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omitBy)(postEdits, (value, key) => {
            switch (key) {
              case 'author':
                return (0,_utils__WEBPACK_IMPORTED_MODULE_11__/* .isAuthorEqual */ ._)(value, post[key]);
              case 'date':
                return (0,_utils__WEBPACK_IMPORTED_MODULE_12__/* .isDateEqual */ .v)(value, post[key]);
              case 'discussion':
                return (0,_utils__WEBPACK_IMPORTED_MODULE_13__/* .isDiscussionEqual */ .Z)(value, post[key]);
              case 'featured_image':
                return value === (0,calypso_state_posts_utils__WEBPACK_IMPORTED_MODULE_14__/* .getFeaturedImageId */ .R)(post);
              case 'metadata':
                // omit from unappliedPostEdits, metadata edits will be merged
                return true;
              case 'status':
                return (0,_utils__WEBPACK_IMPORTED_MODULE_15__/* .isStatusEqual */ .$)(value, post[key]);
              case 'terms':
                return (0,_utils__WEBPACK_IMPORTED_MODULE_16__/* .isTermsEqual */ .E)(value, post[key]);
            }
            return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEqual)(post[key], value);
          });

          // remove edits that are already applied in the incoming metadata values and
          // leave only the unapplied ones.
          if (postEdits.metadata) {
            const unappliedMetadataEdits = (0,_utils__WEBPACK_IMPORTED_MODULE_17__/* .getUnappliedMetadataEdits */ .z)(postEdits.metadata, post.metadata);
            if (unappliedMetadataEdits.length > 0) {
              unappliedPostEdits.metadata = unappliedMetadataEdits;
            }
          }
          if (!(0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEmpty)(unappliedPostEdits)) {
            newEditsLog = [unappliedPostEdits];
          }
        }
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.set)(memoState, [post.site_ID, post.ID], newEditsLog);
      }, state);
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_EDIT */ .uy_:
      {
        // process new edit for a post: merge it into the existing edits
        const siteId = action.siteId;
        const postId = action.postId || '';
        const postEditsLog = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(state, [siteId, postId]);
        const newEditsLog = (0,_utils__WEBPACK_IMPORTED_MODULE_18__/* .appendToPostEditsLog */ .l)(postEditsLog, action.post);
        return {
          ...state,
          [siteId]: {
            ...state[siteId],
            [postId]: newEditsLog
          }
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .EDITOR_START */ .bAA:
      return Object.assign({}, state, {
        [action.siteId]: {
          ...state[action.siteId],
          [action.postId || '']: null
        }
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .EDITOR_STOP */ .tQ4:
      if (!state.hasOwnProperty(action.siteId)) {
        break;
      }
      return Object.assign({}, state, {
        [action.siteId]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state[action.siteId], action.postId || '')
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_4__/* .POST_SAVE_SUCCESS */ .ROT:
      {
        const siteId = action.siteId;
        const postId = action.postId || '';

        // if new post (edited with a transient postId of '') has been just saved and assigned
        // a real numeric ID, rewrite the state key with the new postId.
        if (postId === '' && action.savedPost && state[siteId]) {
          const newPostId = action.savedPost.ID;
          state = {
            ...state,
            [siteId]: Object.fromEntries(Object.entries(state[siteId]).map(([key, value]) => [key === '' ? newPostId : key, value]))
          };
        }
        return state;
      }
  }
  return state;
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_19__/* .combineReducers */ .H)({
  counts: _counts_reducer__WEBPACK_IMPORTED_MODULE_20__/* ["default"] */ .Ay,
  items,
  siteRequests,
  queryRequests,
  queries,
  allSitesQueries,
  edits,
  likes: _likes_reducer__WEBPACK_IMPORTED_MODULE_21__/* ["default"] */ .Ay,
  revisions: _revisions_reducer__WEBPACK_IMPORTED_MODULE_22__/* ["default"] */ .Ay
}));

/***/ }),

/***/ 62440:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export items */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(18366);




/**
 * Tracks all known user objects, indexed by user ID.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
function items(state = {}, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_REVISION_AUTHORS_RECEIVE */ .e2S:
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(action.users, (newState, user) => {
        if (newState === state) {
          newState = {
            ...state
          };
        }
        newState[user.ID] = user;
        return newState;
      }, state);
  }
  return state;
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .combineReducers */ .H)({
  items
}));

/***/ }),

/***/ 19711:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports diffs, selection, ui */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(18366);
/* harmony import */ var _authors_reducer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(62440);




function diffs(state = {}, {
  diffs: diffsFromServer,
  postId,
  revisions,
  siteId,
  type
}) {
  if (type !== calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_REVISIONS_RECEIVE */ .ygr) {
    return state;
  }
  if (!Number.isInteger(siteId) || siteId <= 0) {
    return state;
  }
  const sitePostState = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(state, [siteId, postId], {});
  const mergedRevisions = {
    ...(0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(sitePostState, 'revisions', {}),
    ...revisions
  };
  const filteredDiffs = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.filter)(diffsFromServer, ({
    diff,
    from,
    to
  }) => {
    if (!Number.isInteger(from) || from < 0) {
      // `from` can be zero
      return false;
    }
    if (!Number.isInteger(to) || to < 1) {
      // `to` cannot be zero
      return false;
    }

    // Ensure fresh revisions were provided for `from` and `to` in the payload
    if (from !== 0 && (0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEmpty)(mergedRevisions[from])) {
      // if `from` is `0`, there won't be a revision to validate
      return false;
    }
    if ((0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEmpty)(mergedRevisions[to])) {
      return false;
    }
    return !(0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEmpty)(diff);
  });
  if ((0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEmpty)(filteredDiffs)) {
    return state;
  }
  return {
    ...state,
    [siteId]: {
      ...state[siteId],
      [postId]: {
        ...{
          ...(0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(sitePostState, 'revisions'),
          ...(0,lodash__WEBPACK_IMPORTED_MODULE_0__.keyBy)(filteredDiffs, d => `${d.from}:${d.to}`)
        },
        revisions: mergedRevisions
      }
    }
  };
}
function selection(state = {}, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_REVISIONS_SELECT */ .$CS:
      {
        return {
          ...state,
          revisionId: action.revisionId
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_EDIT */ .uy_:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .SELECTED_SITE_SET */ .r1v:
      {
        return {
          ...state,
          revisionId: null
        };
      }
    default:
      return state;
  }
}
function ui(state = {}, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_REVISIONS_DIALOG_CLOSE */ .SU4:
      return {
        ...state,
        isDialogVisible: false
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_REVISIONS_DIALOG_OPEN */ ._qL:
      return {
        ...state,
        isDialogVisible: true
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_REVISIONS_DIFF_SPLIT_VIEW */ .zdM:
      return {
        ...state,
        diffView: 'split'
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .POST_REVISIONS_DIFF_UNIFY_VIEW */ .iON:
      return {
        ...state,
        diffView: 'unified'
      };
    default:
      return state;
  }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .combineReducers */ .H)({
  diffs,
  selection,
  ui,
  authors: _authors_reducer__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A
}));

/***/ }),

/***/ 59691:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Aj: () => (/* binding */ itemsSchema),
/* harmony export */   o9: () => (/* binding */ queriesSchema)
/* harmony export */ });
/* harmony import */ var calypso_lib_query_manager_schema__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(60222);

const itemsSchema = {
  type: 'object',
  patternProperties: {
    '^\\w+$': {
      type: 'array',
      items: {
        type: 'number'
      },
      minItems: 2,
      maxItems: 2
    }
  },
  additionalProperties: false
};
const queriesSchema = {
  type: 'object',
  patternProperties: {
    // Site ID
    '^\\d+$': calypso_lib_query_manager_schema__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A
  },
  additionalProperties: false
};


/***/ }),

/***/ 186:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   l: () => (/* binding */ appendToPostEditsLog)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_posts_utils_merge_post_edits__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(39587);



/**
 * Appends a new edits object to existing edits log. If the last one is
 * an edits object, they will be merged. If the last one is a save marker,
 * the save marker will be left intact and a new edits object will be appended
 * at the end. This helps to keep the edits log as compact as possible.
 * @param {?Array<Object>} postEditsLog Existing edits log to be appended to
 * @param {Object} newPostEdits New edits to be appended to the log
 * @returns {Array<Object>} Merged edits log
 */
function appendToPostEditsLog(postEditsLog, newPostEdits) {
  if ((0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEmpty)(postEditsLog)) {
    return [newPostEdits];
  }
  const lastEdits = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.last)(postEditsLog);
  if (typeof lastEdits === 'string') {
    return [...postEditsLog, newPostEdits];
  }
  const newEditsLog = postEditsLog.slice(0, -1);
  newEditsLog.push((0,calypso_state_posts_utils_merge_post_edits__WEBPACK_IMPORTED_MODULE_1__/* .mergePostEdits */ .A)(lastEdits, newPostEdits));
  return newEditsLog;
}

/***/ }),

/***/ 89585:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   R: () => (/* binding */ getFeaturedImageId)
/* harmony export */ });
/**
 * Returns the ID of the featured image assigned to the specified post, or
 * `undefined` otherwise. A utility function is useful because the format
 * of a post varies between the retrieve and update endpoints. When
 * retrieving a post, the thumbnail ID is assigned in `post_thumbnail`, but
 * in creating a post, the thumbnail ID is assigned to `featured_image`.
 * @param  {Object} post Post object
 * @returns {undefined|number|string} featured image id or undefined
 */
function getFeaturedImageId(post) {
  if (!post) {
    return;
  }
  if ('featured_image' in post && !/^https?:\/\//.test(post.featured_image)) {
    // Return the `featured_image` property if it does not appear to be
    // formatted as a URL
    return post.featured_image;
  }
  if (post.post_thumbnail) {
    // After the initial load from the REST API, pull the numeric ID
    // from the thumbnail object if one exists
    return post.post_thumbnail.ID;
  }
}

/***/ }),

/***/ 93095:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   V: () => (/* binding */ getNormalizedPostsQuery)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_posts_constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(73043);



/**
 * Returns a normalized posts query, excluding any values which match the
 * default post query.
 * @param  {Object} query Posts query
 * @returns {Object}       Normalized posts query
 */
function getNormalizedPostsQuery(query) {
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omitBy)(query, (value, key) => calypso_state_posts_constants__WEBPACK_IMPORTED_MODULE_1__/* .DEFAULT_POST_QUERY */ .u[key] === value);
}

/***/ }),

/***/ 11072:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K: () => (/* binding */ getSerializedPostsQuery)
/* harmony export */ });
/* harmony import */ var calypso_state_posts_utils_get_normalized_posts_query__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(93095);


/**
 * Returns a serialized posts query
 * @param  {Object} query  Posts query
 * @param  {number} siteId Optional site ID
 * @returns {string}        Serialized posts query
 */
function getSerializedPostsQuery(query = {}, siteId) {
  const normalizedQuery = (0,calypso_state_posts_utils_get_normalized_posts_query__WEBPACK_IMPORTED_MODULE_0__/* .getNormalizedPostsQuery */ .V)(query);
  const serializedQuery = JSON.stringify(normalizedQuery);
  if (siteId) {
    return [siteId, serializedQuery].join(':');
  }
  return serializedQuery;
}

/***/ }),

/***/ 27565:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ isAuthorEqual)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Returns true if the locally edited author ID is equal to the saved post author's ID. Other
 * properties of the `author` object are irrelevant.
 * @param  {Object}  localAuthorEdit locally edited author object
 * @param  {Object}  savedAuthor     author property returned from API POST
 * @returns {boolean}                 are the locally edited and saved values equal?
 */
function isAuthorEqual(localAuthorEdit, savedAuthor) {
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(localAuthorEdit, 'ID') === (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(savedAuthor, 'ID');
}

/***/ }),

/***/ 71438:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ isDateEqual)
/* harmony export */ });
function isDateEqual(localDateEdit, savedDate) {
  // if the local date edit is false, it means we are asking the server to reset
  // the scheduled date to "now". In that case, we accept the date value returned
  // by the server and consider the edit saved.
  if (localDateEdit === false) {
    return true;
  }
  return localDateEdit && new Date(localDateEdit).getTime() === new Date(savedDate).getTime();
}

/***/ }),

/***/ 32594:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Z: () => (/* binding */ isDiscussionEqual)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Returns true if the modified properties in the local edit of the `discussion` object (the edited
 * properties are a subset of the full object) are equal to the values in the saved post.
 * @param  {Object}  localDiscussionEdits local state of discussion edits
 * @param  {Object}  savedDiscussion      discussion property returned from API POST
 * @returns {boolean}                      are there differences in local edits vs saved values?
 */
function isDiscussionEqual(localDiscussionEdits, savedDiscussion) {
  return Object.entries(localDiscussionEdits).every(([key, value]) => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(savedDiscussion, [key]) === value);
}

/***/ }),

/***/ 34291:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $: () => (/* binding */ isStatusEqual)
/* harmony export */ });
function isStatusEqual(localStatusEdit, savedStatus) {
  // When receiving a request to change the `status` attribute, the server
  // treats `publish` and `future` as synonyms. It's really the post's `date`
  // that determines the resulting status, not the requested value.
  // Therefore, the `status` edit is considered saved and removed from the
  // local edits even if the value returned by server is different.
  if (['publish', 'future'].includes(localStatusEdit)) {
    return ['publish', 'future'].includes(savedStatus);
  }

  // All other statuses (draft, private, pending) are 1:1. The only possible
  // exception is requesting `publish` and not having rights to publish new
  // posts. Then the server sets a `pending` status. But we check for this case
  // in the UI and request `pending` instead of `publish` if the user doesn't
  // have the rights.
  return localStatusEdit === savedStatus;
}

/***/ }),

/***/ 19693:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ isTermsEqual)
/* harmony export */ });
/**
 * Returns truthy if local terms object is the same as the API response
 * @param  {Object}  localTermEdits local state of term edits
 * @param  {Object}  savedTerms     term object returned from API POST
 * @returns {boolean}                are there differences in local edits vs saved terms
 */
function isTermsEqual(localTermEdits, savedTerms) {
  return Object.entries(localTermEdits).every(([taxonomy, terms]) => {
    const termsArray = Object.values(terms);
    const isHierarchical = typeof termsArray[0] === 'object' && termsArray[0] !== null;
    const normalizedEditedTerms = new Set(isHierarchical ? termsArray.map(term => term.ID) : termsArray);
    const normalizedKey = isHierarchical ? 'ID' : 'name';
    const savedTermsValues = savedTerms[taxonomy] ? Object.values(savedTerms[taxonomy]) : [];
    const normalizedSavedTerms = new Set(savedTermsValues.length > 0 ? savedTermsValues.map(value => value[normalizedKey]) : savedTermsValues);
    if (normalizedEditedTerms.size !== normalizedSavedTerms.size) {
      return false;
    }
    for (const term of normalizedEditedTerms) {
      if (!normalizedSavedTerms.has(term)) {
        return false;
      }
    }
    return true;
  });
}

/***/ }),

/***/ 39587:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ mergePostEdits)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);

function mergeMetadataEdits(edits, nextEdits) {
  // remove existing edits that get updated in `nextEdits`
  const newEdits = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reject)(edits, edit => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.find)(nextEdits, {
    key: edit.key
  }));
  // append the new edits at the end
  return newEdits.concat(nextEdits);
}

/**
 * Merges an array of post edits (called 'edits log') into one object. Essentially performs
 * a repeated deep merge of two objects, except:
 * - arrays are treated as atomic values and overwritten rather than merged.
 * That's important especially for term removals.
 * - metadata edits, which are also arrays, are merged with a special algorithm.
 * @param  {Array<Object>} postEditsLog Edits objects to be merged
 * @returns {Object?}                    Merged edits object with changes from all sources
 */
const mergePostEdits = (...postEditsLog) => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(postEditsLog, (mergedEdits, nextEdits) => {
  // filter out save markers
  if (typeof nextEdits === 'string') {
    return mergedEdits;
  }

  // return the input object if it's the first one to merge (optimization that avoids cloning)
  if (mergedEdits === null) {
    return nextEdits;
  }

  // proceed to do the merge
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.mergeWith)((0,lodash__WEBPACK_IMPORTED_MODULE_0__.cloneDeep)(mergedEdits), nextEdits, (objValue, srcValue, key, obj, src, stack) => {
    if (key === 'metadata' && stack.size === 0) {
      // merge metadata specially
      return mergeMetadataEdits(objValue, srcValue);
    }
    if (Array.isArray(srcValue)) {
      return srcValue;
    }
  });
}, null);

/***/ }),

/***/ 71027:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   z: () => (/* binding */ getUnappliedMetadataEdits)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);

function isUnappliedMetadataEdit(edit, savedMetadata) {
  const savedRecord = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.find)(savedMetadata, {
    key: edit.key
  });

  // is an update already performed?
  if (edit.operation === 'update') {
    return !savedRecord || savedRecord.value !== edit.value;
  }

  // is a property already deleted?
  if (edit.operation === 'delete') {
    return !!savedRecord;
  }
  return false;
}

/*
 * Returns edits that are not yet applied, i.e.:
 * - when updating, the property doesn't already have the desired value in `savedMetadata`
 * - when deleting, the property is still present in `savedMetadata`
 */
function getUnappliedMetadataEdits(edits, savedMetadata) {
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.filter)(edits, edit => isUnappliedMetadataEdit(edit, savedMetadata));
}

/***/ }),

/***/ 64692:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Y: () => (/* binding */ normalizePostForState)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Recursively unset a value in an object by its path, represented by an array.
 * Intentionally mutates `object` to mirror native `delete` operator's behavior.
 * @param {Object} object Object to remove a property from
 * @param {Array}  path   Path to the property to remove
 */
const recursiveUnset = (object, path) => {
  if (path.length > 1) {
    const [, ...remainingPath] = path;
    recursiveUnset(object[path[0]], remainingPath);
    return;
  }
  if (object && object.hasOwnProperty(path[0])) {
    delete object[path[0]];
  }
};

/**
 * Given a post object, returns a normalized post object prepared for storing
 * in the global state object.
 * @param  {Object} post Raw post object
 * @returns {Object}      Normalized post object
 */
function normalizePostForState(post) {
  const normalizedPost = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.cloneDeep)(post);
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)([[], ...(0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(post.terms, (memo, terms, taxonomy) => memo.concat((0,lodash__WEBPACK_IMPORTED_MODULE_0__.map)(terms, (term, slug) => ['terms', taxonomy, slug])), []), ...(0,lodash__WEBPACK_IMPORTED_MODULE_0__.map)(post.categories, (category, slug) => ['categories', slug]), ...(0,lodash__WEBPACK_IMPORTED_MODULE_0__.map)(post.tags, (tag, slug) => ['tags', slug]), ...(0,lodash__WEBPACK_IMPORTED_MODULE_0__.map)(post.attachments, (attachment, id) => ['attachments', id])], (memo, path) => {
    recursiveUnset(memo, path.concat('meta', 'links'));
    return memo;
  }, normalizedPost);
}

/***/ }),

/***/ 88842:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   t: () => (/* binding */ DEFAULT_PREFERENCE_VALUES)
/* harmony export */ });
/* unused harmony export USER_SETTING_KEY */
const USER_SETTING_KEY = 'calypso_preferences';
const DEFAULT_PREFERENCE_VALUES = {
  'guided-tours-history': [],
  recentSites: [],
  mediaScale: 0.157,
  colorScheme: 'default',
  homeQuickLinksToggleStatus: 'expanded'
};

/***/ }),

/***/ 7065:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(59662);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(64495);


(0,calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__/* .registerReducer */ .K)(['preferences'], _reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Ay);

/***/ }),

/***/ 64495:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports localValues, remoteValues, fetching, saving */
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(18366);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(25652);





/**
 * Returns the updated local values state after an action has been dispatched.
 * The local values state reflects preferences which are not saved to the
 * remote endpoint. If a local value is set and then later saved to the remote,
 * it will be removed from state.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const localValues = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PREFERENCES_SET */ .GVI:
      {
        const {
          key,
          value
        } = action;
        if (state[key] === value) {
          return state;
        }
        return {
          ...state,
          [key]: value
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PREFERENCES_SAVE_SUCCESS */ .tVU:
      {
        const {
          [action.key]: removed,
          ...rest
        } = state;
        return rest;
      }
  }
  return state;
};

/**
 * Returns the updated remote values state after an action has been dispatched.
 * The remote values state reflects preferences which are persisted to the REST
 * API current user settings endpoint.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const remoteValues = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_3__/* .remoteValuesSchema */ .A, (state = null, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PREFERENCES_RECEIVE */ .Zz2:
      {
        const {
          values
        } = action;
        return values;
      }
  }
  return state;
});
const fetching = (state = false, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PREFERENCES_FETCH_SUCCESS */ .Wjr:
      return false;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PREFERENCES_FETCH_FAILURE */ .rgt:
      return false;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PREFERENCES_FETCH */ .gK8:
      return true;
  }
  return state;
};
const saving = (state = false, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PREFERENCES_SET */ .GVI:
      return true;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PREFERENCES_SAVE_SUCCESS */ .tVU:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PREFERENCES_SAVE_FAILURE */ .ejo:
      return false;
  }
  return state;
};
const lastFetchedTimestamp = (state = false, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PREFERENCES_FETCH_SUCCESS */ .Wjr:
      return Date.now();
  }
  return state;
};
const combinedReducer = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__/* .combineReducers */ .H)({
  localValues,
  remoteValues,
  fetching,
  saving,
  lastFetchedTimestamp
});
const preferencesReducer = (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .withStorageKey */ .p6)('preferences', combinedReducer);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (preferencesReducer);

/***/ }),

/***/ 25652:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ remoteValuesSchema)
/* harmony export */ });
const remoteValuesSchema = {
  type: ['null', 'object'],
  patternProperties: {
    '^dismissible-card-.+$': {
      type: ['boolean', 'object']
    },
    '^time-mismatch-warning-\\d+$': {
      type: ['boolean', 'number']
    }
  },
  properties: {
    'guided-tours-history': {
      type: 'array',
      items: {
        type: 'object',
        properties: {
          tourName: {
            type: 'string'
          },
          timestamp: {
            type: 'number',
            minimum: 0
          },
          finished: {
            type: 'boolean'
          }
        },
        required: ['tourName', 'timestamp', 'finished'],
        additionalProperties: false
      }
    },
    recentSites: {
      type: 'array',
      items: {
        type: 'number'
      }
    },
    mediaScale: {
      type: 'number',
      minimum: 0,
      maximum: 1
    },
    colorScheme: {
      type: 'string',
      enum: ['aquatic', 'blue', 'classic-blue', 'classic-bright', 'classic-dark', 'coffee', 'contrast', 'ectoplasm', 'light', 'midnight', 'modern', 'nightfall', 'ocean', 'powder-snow', 'sakura', 'sunrise', 'sunset']
    },
    'upwork-dismissible-banner': {
      type: 'object',
      '^[a-z-]+$': {
        type: 'array',
        items: {
          type: 'object',
          properties: {
            dismissedAt: {
              type: 'number',
              minimum: 0
            },
            type: {
              type: 'string',
              enum: ['dismiss']
            }
          },
          required: ['dismissedAt', 'type']
        }
      }
    },
    'jetpack-review-prompt': {
      type: 'object',
      properties: {
        scan: {
          $ref: '#/definitions/dismissiblePrompt'
        },
        restore: {
          $ref: '#/definitions/dismissiblePrompt'
        }
      }
    },
    homeQuickLinksToggleStatus: {
      type: 'string',
      enum: ['collapsed', 'expanded']
    },
    'persistent-counter': {
      type: 'object',
      properties: {
        // counter-name (possibly suffixed with siteId)
        '^[a-z0-9-]+$': {
          type: 'object',
          properties: {
            count: {
              type: 'number',
              minimum: 0
            },
            lastCountDate: {
              type: ['number', 'null']
            }
          }
        }
      }
    }
  },
  definitions: {
    dismissiblePrompt: {
      type: 'object',
      properties: {
        dismissedAt: {
          type: ['number', 'null']
        },
        dismissedCount: {
          type: 'number',
          minimum: 0
        },
        reviewed: {
          type: 'number'
        },
        validFrom: {
          type: ['number', 'null']
        }
      },
      required: ['dismissedAt', 'dismissedCount', 'reviewed', 'validFrom']
    }
  }
};

/***/ }),

/***/ 37769:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ml: () => (/* binding */ getPreference)
/* harmony export */ });
/* unused harmony exports isFetchingPreferences, isSavingPreference, getAllRemotePreferences, preferencesLastFetchedTimestamp, hasReceivedRemotePreferences */
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(88842);
/* harmony import */ var calypso_state_preferences_init__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(7065);


const isFetchingPreferences = state => !!state.preferences.fetching;
const isSavingPreference = state => !!state.preferences.saving;

/**
 * Returns the preference value associated with the specified key. Attempts to
 * find in local and remote preferences, then any applicable default value,
 * otherwise returning null.
 * @param  {Object} state Global state tree
 * @param  {string} key   Preference key
 * @returns {*}            Preference value
 */
function getPreference(state, key) {
  for (const source of [state.preferences?.localValues, state.preferences?.remoteValues, _constants__WEBPACK_IMPORTED_MODULE_1__/* .DEFAULT_PREFERENCE_VALUES */ .t]) {
    if (source && source.hasOwnProperty(key)) {
      return source[key] ?? null;
    }
  }
  return null;
}

/**
 * Returns the a key value store of all current remote preferences. The keys
 * of the object are each preference key and the values are the preference
 * values.
 * @param  {Object} state Global state tree
 * @returns {Object}       Preference value
 */
function getAllRemotePreferences(state) {
  return state.preferences.remoteValues;
}
const preferencesLastFetchedTimestamp = state => state.preferences.lastFetchedTimestamp;

/**
 * Returns true if preferences have been received from the remote source, or
 * false otherwise.
 * @param  {Object}  state Global state tree
 * @returns {boolean}       Whether preferences have been received
 */
function hasReceivedRemotePreferences(state) {
  return !!state.preferences.remoteValues;
}

/***/ }),

/***/ 57930:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ge: () => (/* binding */ fetchUserPurchases)
/* harmony export */ });
/* unused harmony exports clearPurchases, fetchSitePurchases, removePurchase, resetSiteState */
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(85744);
/* harmony import */ var calypso_lib_wp__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(89406);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_purchases_init__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(38399);






const PURCHASES_FETCH_ERROR_MESSAGE = i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('There was an error retrieving purchases.');
const PURCHASE_REMOVE_ERROR_MESSAGE = i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('There was an error removing the purchase.');
const clearPurchases = () => (dispatch, getState) => {
  const siteId = getSelectedSiteId(getState());
  dispatch({
    type: PURCHASES_REMOVE
  });
  if (siteId) {
    dispatch(requestAdminMenu(siteId));
  }
};
const fetchSitePurchases = siteId => dispatch => {
  dispatch({
    type: PURCHASES_SITE_FETCH,
    siteId
  });
  return wpcom.req.get(`/sites/${siteId}/purchases`).then(data => {
    dispatch({
      type: PURCHASES_SITE_FETCH_COMPLETED,
      siteId,
      purchases: data
    });
  }).catch(() => {
    dispatch({
      type: PURCHASES_SITE_FETCH_FAILED,
      error: PURCHASES_FETCH_ERROR_MESSAGE
    });
  });
};
const fetchUserPurchases = userId => dispatch => {
  dispatch({
    type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .PURCHASES_USER_FETCH */ .qqc
  });
  return calypso_lib_wp__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.req.get('/me/purchases').then(data => {
    dispatch({
      type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .PURCHASES_USER_FETCH_COMPLETED */ .IQi,
      purchases: data,
      userId
    });
  }).catch(() => {
    dispatch({
      type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .PURCHASES_USER_FETCH_FAILED */ .qE$,
      error: PURCHASES_FETCH_ERROR_MESSAGE
    });
  });
};
const removePurchase = (purchaseId, userId) => (dispatch, getState) => {
  const siteId = getSelectedSiteId(getState());
  return new Promise((resolve, reject) => wpcom.req.post({
    path: `/purchases/${purchaseId}/delete`,
    apiNamespace: 'wpcom/v2'
  }).then(data => {
    dispatch({
      type: PURCHASE_REMOVE_COMPLETED,
      purchases: data.purchases,
      userId
    });
    if (siteId) {
      dispatch(requestAdminMenu(siteId));
    }
    resolve(data);
  }).catch(error => {
    dispatch({
      type: PURCHASE_REMOVE_FAILED,
      error: error.message || PURCHASE_REMOVE_ERROR_MESSAGE
    });
    reject(error);
  }));
};
const resetSiteState = () => dispatch => dispatch({
  type: PURCHASES_SITE_RESET_STATE
});

/***/ }),

/***/ 38399:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(59662);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(25545);


(0,calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__/* .registerReducer */ .K)(['purchases'], _reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A);

/***/ }),

/***/ 25545:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export reducer */
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);



/**
 * Constants
 */
const initialState = {
  data: [],
  error: null,
  isFetchingSitePurchases: false,
  isFetchingUserPurchases: false,
  hasLoadedSitePurchasesFromServer: false,
  hasLoadedUserPurchasesFromServer: false
};
function mergePurchase(existingPurchases, newPurchase) {
  // Update any matching existing purchase in place.
  let foundMatch = false;
  const merged = existingPurchases.map(purchase => {
    if (newPurchase.ID === purchase.ID) {
      foundMatch = true;
      return newPurchase;
    }
    return purchase;
  });
  if (foundMatch) {
    return merged;
  }
  // If there is no matching existing purchase, append the new purchase.
  return [...merged, newPurchase];
}

/**
 * Merges a new array of purchases with the existing array and updates items
 * in-place if they change.
 * @param {Array} existingPurchases - an array of purchases in the store
 * @param {Array} newPurchases - an array of purchases fetched from the API
 * @returns {Array} An array of purchases
 */
function mergePurchases(existingPurchases, newPurchases) {
  return newPurchases.reduce((merged, newPurchase) => mergePurchase(merged, newPurchase), existingPurchases);
}
function updatePurchases(existingPurchases, action) {
  // If the action is to update a user, replace all the data.
  if (action.type === calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASES_USER_FETCH_COMPLETED */ .IQi) {
    return action.purchases;
  }
  // If the action is to update a site, remove all existing purchases for that site that are not in the new purchases array.
  if (action.type === calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASES_SITE_FETCH_COMPLETED */ .UKF) {
    existingPurchases = existingPurchases.filter(purchase => {
      if (parseInt(purchase.blog_id, 10) !== parseInt(action.siteId, 10)) {
        return true;
      }
      if (action.purchases.some(newPurchase => newPurchase.ID === purchase.ID)) {
        return true;
      }
      return false;
    });
  }
  // If the action is to remove purchases, remove all existing purchases that are not in the new purchases array.
  if (action.type === calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASE_REMOVE_COMPLETED */ .fNM) {
    existingPurchases = existingPurchases.filter(purchase => {
      if (action.purchases.some(newPurchase => newPurchase.ID === purchase.ID)) {
        return true;
      }
      return false;
    });
  }
  return mergePurchases(existingPurchases, action.purchases);
}
const reducer = (state = initialState, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASES_REMOVE */ .gbd:
      return {
        ...state,
        data: [],
        hasLoadedSitePurchasesFromServer: false,
        hasLoadedUserPurchasesFromServer: false
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASES_SITE_FETCH */ .i4G:
      return {
        ...state,
        isFetchingSitePurchases: true
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASES_USER_FETCH */ .qqc:
      return {
        ...state,
        isFetchingUserPurchases: true
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASE_REMOVE_COMPLETED */ .fNM:
      return {
        ...state,
        data: updatePurchases(state.data, action),
        error: null,
        isFetchingSitePurchases: false,
        isFetchingUserPurchases: false,
        hasLoadedSitePurchasesFromServer: true,
        hasLoadedUserPurchasesFromServer: true
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASES_SITE_FETCH_COMPLETED */ .UKF:
      return {
        ...state,
        data: updatePurchases(state.data, action),
        error: null,
        isFetchingSitePurchases: false,
        hasLoadedSitePurchasesFromServer: true
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASES_USER_FETCH_COMPLETED */ .IQi:
      return {
        ...state,
        data: updatePurchases(state.data, action),
        error: null,
        isFetchingUserPurchases: false,
        hasLoadedUserPurchasesFromServer: true
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASE_REMOVE_FAILED */ .p21:
      return {
        ...state,
        error: action.error,
        hasLoadedSitePurchasesFromServer: true,
        hasLoadedUserPurchasesFromServer: true
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASES_SITE_FETCH_FAILED */ .C4:
      return {
        ...state,
        error: action.error,
        hasLoadedSitePurchasesFromServer: true,
        isFetchingSitePurchases: false
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASES_USER_FETCH_FAILED */ .qE$:
      return {
        ...state,
        error: action.error,
        hasLoadedUserPurchasesFromServer: true,
        isFetchingUserPurchases: false
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .PURCHASES_SITE_RESET_STATE */ .pWI:
      return {
        ...state,
        hasLoadedSitePurchasesFromServer: false,
        isFetchingSitePurchases: false
      };
  }
  return state;
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .withStorageKey */ .p6)('purchases', reducer));

/***/ }),

/***/ 59786:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   as: () => (/* binding */ hasLoadedUserPurchasesFromServer),
/* harmony export */   cC: () => (/* binding */ isFetchingUserPurchases)
/* harmony export */ });
/* unused harmony exports isFetchingSitePurchases, hasLoadedSitePurchasesFromServer */
/* harmony import */ var calypso_state_purchases_init__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(38399);

const isFetchingUserPurchases = state => state.purchases.isFetchingUserPurchases;
const isFetchingSitePurchases = state => state.purchases.isFetchingSitePurchases;
const hasLoadedUserPurchasesFromServer = state => state.purchases.hasLoadedUserPurchasesFromServer;
const hasLoadedSitePurchasesFromServer = state => state.purchases.hasLoadedSitePurchasesFromServer;

/***/ }),

/***/ 69193:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   P: () => (/* binding */ getPurchases)
/* harmony export */ });
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_lib_purchases_assembler__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(895);
/* harmony import */ var calypso_state_purchases_init__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(38399);




/**
 * Return the list of purchases from state object
 * @param   {Object} state - current state object
 * @returns {Array} Purchases
 */
const getPurchases = (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .createSelector */ .Mz)(state => (0,calypso_lib_purchases_assembler__WEBPACK_IMPORTED_MODULE_1__/* .createPurchasesArray */ .O)(state.purchases.data), state => [state.purchases.data]);

/***/ }),

/***/ 32703:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ getUserPurchases)
/* harmony export */ });
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(13034);
/* harmony import */ var _fetching__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(59786);
/* harmony import */ var _get_purchases__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(69193);
/* harmony import */ var calypso_state_purchases_init__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(38399);






/**
 * Returns a list of purchases associated with the current user
 * @param {Object} state Redux state
 * @returns {Array|null} array of the matching purchases or `null` if the list hasn't been loaded from server yet
 */
const getUserPurchases = (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .createSelector */ .Mz)(state => {
  if (!(0,_fetching__WEBPACK_IMPORTED_MODULE_3__/* .hasLoadedUserPurchasesFromServer */ .as)(state)) {
    return null;
  }
  const userId = (0,calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_1__/* .getCurrentUserId */ .WR)(state);
  return (0,_get_purchases__WEBPACK_IMPORTED_MODULE_4__/* .getPurchases */ .P)(state).filter(purchase => purchase.userId === userId);
}, state => [(0,_fetching__WEBPACK_IMPORTED_MODULE_3__/* .hasLoadedUserPurchasesFromServer */ .as)(state), (0,calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_1__/* .getCurrentUserId */ .WR)(state), (0,_get_purchases__WEBPACK_IMPORTED_MODULE_4__/* .getPurchases */ .P)(state)]);

/***/ }),

/***/ 2140:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ad: () => (/* binding */ READER_UNFOLLOW_TAG_RECEIVE),
/* harmony export */   B2: () => (/* binding */ READER_FOLLOWS_RECEIVE),
/* harmony export */   CB: () => (/* binding */ READER_SITE_REQUEST),
/* harmony export */   D4: () => (/* binding */ READER_THUMBNAIL_RECEIVE),
/* harmony export */   DL: () => (/* binding */ READER_STREAMS_SHOW_UPDATES),
/* harmony export */   EE: () => (/* binding */ READER_SUBSCRIBE_TO_NEW_POST_NOTIFICATIONS),
/* harmony export */   FY: () => (/* binding */ READER_RELATED_POSTS_REQUEST_FAILURE),
/* harmony export */   GA: () => (/* binding */ READER_LIST_UPDATE_FAILURE),
/* harmony export */   GE: () => (/* binding */ READER_SEEN_MARK_AS_UNSEEN_RECEIVE),
/* harmony export */   Gx: () => (/* binding */ READER_SUBSCRIBE_TO_NEW_POST_EMAIL),
/* harmony export */   JD: () => (/* binding */ READER_SEEN_MARK_AS_SEEN_RECEIVE),
/* harmony export */   JP: () => (/* binding */ READER_ORGANIZATIONS_RECEIVE),
/* harmony export */   KW: () => (/* binding */ READER_STREAMS_PAGE_REQUEST),
/* harmony export */   LG: () => (/* binding */ READER_SITE_REQUEST_FAILURE),
/* harmony export */   Lo: () => (/* binding */ READER_LIST_ITEM_DELETE_SITE),
/* harmony export */   M1: () => (/* binding */ READER_LIST_REQUEST_FAILURE),
/* harmony export */   MC: () => (/* binding */ READER_SITE_BLOCK),
/* harmony export */   MV: () => (/* binding */ READER_FEED_REQUEST_FAILURE),
/* harmony export */   Oy: () => (/* binding */ READER_RELATED_POSTS_REQUEST_SUCCESS),
/* harmony export */   QJ: () => (/* binding */ READER_LIST_UNFOLLOW_RECEIVE),
/* harmony export */   QY: () => (/* binding */ READER_LIST_ITEMS_RECEIVE),
/* harmony export */   R$: () => (/* binding */ READER_SEEN_MARK_ALL_AS_SEEN_RECEIVE),
/* harmony export */   So: () => (/* binding */ READER_STREAMS_PAGE_RECEIVE),
/* harmony export */   VS: () => (/* binding */ READER_LIST_REQUEST),
/* harmony export */   Xn: () => (/* binding */ READER_FEED_REQUEST_SUCCESS),
/* harmony export */   Xo: () => (/* binding */ READER_RECOMMENDED_SITES_RECEIVE),
/* harmony export */   Yr: () => (/* binding */ READER_FOLLOWS_SYNC_START),
/* harmony export */   ZH: () => (/* binding */ READER_STREAMS_UPDATES_RECEIVE),
/* harmony export */   _I: () => (/* binding */ READER_LIST_CREATE),
/* harmony export */   _S: () => (/* binding */ READER_RELATED_POSTS_RECEIVE),
/* harmony export */   b4: () => (/* binding */ READER_UNSUBSCRIBE_TO_NEW_POST_EMAIL),
/* harmony export */   bN: () => (/* binding */ READER_LIST_UPDATE_SUCCESS),
/* harmony export */   bR: () => (/* binding */ READER_LIST_REQUEST_SUCCESS),
/* harmony export */   c6: () => (/* binding */ READER_RECOMMENDED_SITE_DISMISSED),
/* harmony export */   cS: () => (/* binding */ READER_FOLLOW),
/* harmony export */   dG: () => (/* binding */ READER_SITE_BLOCKS_RECEIVE),
/* harmony export */   dv: () => (/* binding */ READER_STREAMS_SELECT_PREV_ITEM),
/* harmony export */   fV: () => (/* binding */ READER_LIST_UPDATE),
/* harmony export */   fm: () => (/* binding */ READER_SUBSCRIBE_TO_NEW_COMMENT_EMAIL),
/* harmony export */   gv: () => (/* binding */ READER_FOLLOWS_MARK_AS_STALE),
/* harmony export */   h2: () => (/* binding */ READER_UNFOLLOW),
/* harmony export */   iQ: () => (/* binding */ READER_CONVERSATION_FOLLOW),
/* harmony export */   jr: () => (/* binding */ READER_SITE_BLOCKS_REQUEST),
/* harmony export */   lP: () => (/* binding */ READER_ORGANIZATIONS_REQUEST),
/* harmony export */   mX: () => (/* binding */ READER_FEED_SEARCH_RECEIVE),
/* harmony export */   mZ: () => (/* binding */ READER_LISTS_REQUEST),
/* harmony export */   nL: () => (/* binding */ READER_FEED_REQUEST),
/* harmony export */   nV: () => (/* binding */ READER_POST_SEEN),
/* harmony export */   o$: () => (/* binding */ READER_LIST_ITEM_DELETE_TAG),
/* harmony export */   pB: () => (/* binding */ READER_FOLLOWS_SYNC_COMPLETE),
/* harmony export */   pD: () => (/* binding */ READER_LIST_FOLLOW_RECEIVE),
/* harmony export */   pT: () => (/* binding */ READER_LIST_DELETE),
/* harmony export */   qG: () => (/* binding */ READER_CONVERSATION_MUTE),
/* harmony export */   qT: () => (/* binding */ READER_LISTS_RECEIVE),
/* harmony export */   r: () => (/* binding */ READER_STREAMS_SELECT_NEXT_ITEM),
/* harmony export */   s1: () => (/* binding */ READER_UNSUBSCRIBE_TO_NEW_COMMENT_EMAIL),
/* harmony export */   tf: () => (/* binding */ READER_UPDATE_NEW_POST_EMAIL_SUBSCRIPTION),
/* harmony export */   tu: () => (/* binding */ READER_RECOMMENDED_SITE_FOLLOWED),
/* harmony export */   uI: () => (/* binding */ READER_RELATED_POSTS_REQUEST),
/* harmony export */   um: () => (/* binding */ READER_POSTS_RECEIVE),
/* harmony export */   vC: () => (/* binding */ READER_CONVERSATION_UPDATE_FOLLOW_STATUS),
/* harmony export */   vo: () => (/* binding */ READER_UNSUBSCRIBE_TO_NEW_POST_NOTIFICATIONS),
/* harmony export */   vt: () => (/* binding */ READER_STREAMS_SELECT_ITEM),
/* harmony export */   w6: () => (/* binding */ READER_LIST_ITEM_ADD_FEED_RECEIVE),
/* harmony export */   wL: () => (/* binding */ READER_DISMISS_POST),
/* harmony export */   wN: () => (/* binding */ READER_TAGS_RECEIVE),
/* harmony export */   wp: () => (/* binding */ READER_FOLLOW_COMPLETE),
/* harmony export */   xN: () => (/* binding */ READER_FOLLOW_ERROR),
/* harmony export */   yL: () => (/* binding */ READER_SITE_REQUEST_SUCCESS),
/* harmony export */   yg: () => (/* binding */ READER_LIST_ITEM_DELETE_FEED),
/* harmony export */   zI: () => (/* binding */ READER_SITE_UNBLOCK)
/* harmony export */ });
/* unused harmony exports READER_DISMISS_SITE, READER_EXPAND_COMMENTS, READER_FEED_SEARCH_REQUEST, READER_FOLLOW_TAG_REQUEST, READER_FOLLOWS_SYNC_PAGE, READER_LIST_FOLLOW, READER_LIST_ITEM_ADD_FEED, READER_LIST_ITEM_ADD_TAG, READER_LIST_ITEM_ADD_TAG_RECEIVE, READER_LIST_ITEMS_REQUEST, READER_LIST_UNFOLLOW, READER_RECOMMENDED_SITES_REQUEST, READER_SEEN_MARK_ALL_AS_SEEN_REQUEST, READER_SEEN_MARK_AS_SEEN_BLOG_REQUEST, READER_SEEN_MARK_AS_SEEN_REQUEST, READER_SEEN_MARK_AS_UNSEEN_BLOG_REQUEST, READER_SEEN_MARK_AS_UNSEEN_REQUEST, READER_TAGS_REQUEST, READER_UNFOLLOW_TAG_REQUEST, READER_VIEWING_FULL_POST_SET, READER_VIEWING_FULL_POST_UNSET */
/**
 * Please keep this list alphabetized!
 */
const READER_CONVERSATION_FOLLOW = 'READER_CONVERSATION_FOLLOW';
const READER_CONVERSATION_MUTE = 'READER_CONVERSATION_MUTE';
const READER_CONVERSATION_UPDATE_FOLLOW_STATUS = 'READER_CONVERSATION_UPDATE_FOLLOW_STATUS';
const READER_DISMISS_POST = 'READER_DISMISS_POST';
const READER_DISMISS_SITE = 'READER_DISMISS_SITE';
const READER_EXPAND_COMMENTS = 'READER_EXPAND_COMMENTS';
const READER_FEED_REQUEST = 'READER_FEED_REQUEST';
const READER_FEED_REQUEST_FAILURE = 'READER_FEED_REQUEST_FAILURE';
const READER_FEED_REQUEST_SUCCESS = 'READER_FEED_REQUEST_SUCCESS';
const READER_FEED_SEARCH_RECEIVE = 'READER_FEED_SEARCH_RECEIVE';
const READER_FEED_SEARCH_REQUEST = 'READER_FEED_SEARCH_REQUEST';
const READER_FOLLOW = 'READER_FOLLOW';
const READER_FOLLOW_COMPLETE = 'READER_FOLLOW_COMPLETE';
const READER_FOLLOW_ERROR = 'READER_FOLLOW_ERROR';
const READER_FOLLOWS_MARK_AS_STALE = 'READER_FOLLOWS_MARK_AS_STALE';
const READER_FOLLOW_TAG_REQUEST = 'READER_FOLLOW_TAG_REQUEST';
const READER_FOLLOWS_RECEIVE = 'READER_FOLLOWS_RECEIVE';
const READER_FOLLOWS_SYNC_COMPLETE = 'READER_FOLLOWS_SYNC_COMPLETE';
const READER_FOLLOWS_SYNC_PAGE = 'READER_FOLLOWS_SYNC_PAGE';
const READER_FOLLOWS_SYNC_START = 'READER_FOLLOWS_SYNC_START';
const READER_LIST_CREATE = 'READER_LIST_CREATE';
const READER_LIST_DELETE = 'READER_LIST_DELETE';
const READER_LIST_FOLLOW = 'READER_LIST_FOLLOW';
const READER_LIST_FOLLOW_RECEIVE = 'READER_LIST_FOLLOW_RECEIVE';
const READER_LIST_ITEM_ADD_FEED = 'READER_LIST_ITEM_ADD_FEED';
const READER_LIST_ITEM_ADD_FEED_RECEIVE = 'READER_LIST_ITEM_ADD_FEED_RECEIVE';
const READER_LIST_ITEM_ADD_TAG = 'READER_LIST_ITEM_ADD_TAG';
const READER_LIST_ITEM_ADD_TAG_RECEIVE = 'READER_LIST_ITEM_ADD_TAG_RECEIVE';
const READER_LIST_ITEM_DELETE_FEED = 'READER_LIST_ITEM_DELETE_FEED';
const READER_LIST_ITEM_DELETE_SITE = 'READER_LIST_ITEM_DELETE_SITE';
const READER_LIST_ITEM_DELETE_TAG = 'READER_LIST_ITEM_DELETE_TAG';
const READER_LIST_ITEMS_RECEIVE = 'READER_LIST_ITEMS_RECEIVE';
const READER_LIST_ITEMS_REQUEST = 'READER_LIST_ITEMS_REQUEST';
const READER_LIST_REQUEST = 'READER_LIST_REQUEST';
const READER_LIST_REQUEST_FAILURE = 'READER_LIST_REQUEST_FAILURE';
const READER_LIST_REQUEST_SUCCESS = 'READER_LIST_REQUEST_SUCCESS';
const READER_LIST_UNFOLLOW = 'READER_LIST_UNFOLLOW';
const READER_LIST_UNFOLLOW_RECEIVE = 'READER_LIST_UNFOLLOW_RECEIVE';
const READER_LIST_UPDATE = 'READER_LIST_UPDATE';
const READER_LIST_UPDATE_FAILURE = 'READER_LIST_UPDATE_FAILURE';
const READER_LIST_UPDATE_SUCCESS = 'READER_LIST_UPDATE_SUCCESS';
const READER_LISTS_RECEIVE = 'READER_LISTS_RECEIVE';
const READER_LISTS_REQUEST = 'READER_LISTS_REQUEST';
const READER_ORGANIZATIONS_RECEIVE = 'READER_ORGANIZATIONS_RECEIVE';
const READER_ORGANIZATIONS_REQUEST = 'READER_ORGANIZATIONS_REQUEST';
const READER_POST_SEEN = 'READER_POST_SEEN';
const READER_POSTS_RECEIVE = 'READER_POSTS_RECEIVE';
const READER_RECOMMENDED_SITES_RECEIVE = 'READER_RECOMMENDED_SITES_RECEIVE';
const READER_RECOMMENDED_SITES_REQUEST = 'READER_RECOMMENDED_SITES_REQUEST';
const READER_RECOMMENDED_SITE_DISMISSED = 'READER_RECOMMENDED_SITE_DISMISSED';
const READER_RECOMMENDED_SITE_FOLLOWED = 'READER_RECOMMENDED_SITE_FOLLOWED';
const READER_RELATED_POSTS_RECEIVE = 'READER_RELATED_POSTS_RECEIVE';
const READER_RELATED_POSTS_REQUEST = 'READER_RELATED_POSTS_REQUEST';
const READER_RELATED_POSTS_REQUEST_FAILURE = 'READER_RELATED_POSTS_REQUEST_FAILURE';
const READER_RELATED_POSTS_REQUEST_SUCCESS = 'READER_RELATED_POSTS_REQUEST_SUCCESS';
const READER_SEEN_MARK_ALL_AS_SEEN_RECEIVE = 'READER_SEEN_MARK_ALL_AS_SEEN_RECEIVE';
const READER_SEEN_MARK_ALL_AS_SEEN_REQUEST = 'READER_SEEN_MARK_ALL_AS_SEEN_REQUEST';
const READER_SEEN_MARK_AS_SEEN_BLOG_REQUEST = 'READER_SEEN_MARK_AS_SEEN_BLOG_REQUEST';
const READER_SEEN_MARK_AS_SEEN_RECEIVE = 'READER_SEEN_MARK_AS_SEEN_RECEIVE';
const READER_SEEN_MARK_AS_SEEN_REQUEST = 'READER_SEEN_MARK_AS_SEEN_REQUEST';
const READER_SEEN_MARK_AS_UNSEEN_BLOG_REQUEST = 'READER_SEEN_MARK_AS_UNSEEN_BLOG_REQUEST';
const READER_SEEN_MARK_AS_UNSEEN_RECEIVE = 'READER_SEEN_MARK_AS_UNSEEN_RECEIVE';
const READER_SEEN_MARK_AS_UNSEEN_REQUEST = 'READER_SEEN_MARK_AS_UNSEEN_REQUEST';
const READER_SITE_BLOCK = 'READER_SITE_BLOCK';
const READER_SITE_BLOCKS_RECEIVE = 'READER_SITE_BLOCKS_RECEIVE';
const READER_SITE_BLOCKS_REQUEST = 'READER_SITE_BLOCKS_REQUEST';
const READER_SITE_REQUEST = 'READER_SITE_REQUEST';
const READER_SITE_REQUEST_FAILURE = 'READER_SITE_REQUEST_FAILURE';
const READER_SITE_REQUEST_SUCCESS = 'READER_SITE_REQUEST_SUCCESS';
const READER_SITE_UNBLOCK = 'READER_SITE_UNBLOCK';
const READER_STREAMS_PAGE_RECEIVE = 'READER_STREAMS_PAGE_RECEIVE';
const READER_STREAMS_PAGE_REQUEST = 'READER_STREAMS_PAGE_REQUEST';
const READER_STREAMS_SELECT_ITEM = 'READER_STREAMS_SELECT_ITEM';
const READER_STREAMS_SELECT_NEXT_ITEM = 'READER_STREAMS_SELECT_NEXT_ITEM';
const READER_STREAMS_SELECT_PREV_ITEM = 'READER_STREAMS_SELECT_PREV_ITEM';
const READER_STREAMS_SHOW_UPDATES = 'READER_STREAMS_SHOW_UPDATES';
const READER_STREAMS_UPDATES_RECEIVE = 'READER_STREAMS_UPDATES_RECEIVE';
const READER_SUBSCRIBE_TO_NEW_COMMENT_EMAIL = 'READER_SUBSCRIBE_TO_NEW_COMMENT_EMAIL';
const READER_SUBSCRIBE_TO_NEW_POST_EMAIL = 'READER_SUBSCRIBE_TO_NEW_POST_EMAIL';
const READER_SUBSCRIBE_TO_NEW_POST_NOTIFICATIONS = 'READER_SUBSCRIBE_TO_NEW_POST_NOTIFICATIONS';
const READER_TAGS_RECEIVE = 'READER_TAGS_RECEIVE';
const READER_TAGS_REQUEST = 'READER_TAGS_REQUEST';
const READER_THUMBNAIL_RECEIVE = 'READER_THUMBNAIL_RECEIVE';
const READER_UNFOLLOW = 'READER_UNFOLLOW';
const READER_UNFOLLOW_TAG_RECEIVE = 'READER_UNFOLLOW_TAG_RECEIVE';
const READER_UNFOLLOW_TAG_REQUEST = 'READER_UNFOLLOW_TAG_REQUEST';
const READER_UNSUBSCRIBE_TO_NEW_COMMENT_EMAIL = 'READER_UNSUBSCRIBE_TO_NEW_COMMENT_EMAIL';
const READER_UNSUBSCRIBE_TO_NEW_POST_EMAIL = 'READER_UNSUBSCRIBE_TO_NEW_POST_EMAIL';
const READER_UNSUBSCRIBE_TO_NEW_POST_NOTIFICATIONS = 'READER_UNSUBSCRIBE_TO_NEW_POST_NOTIFICATIONS';
const READER_UPDATE_NEW_POST_EMAIL_SUBSCRIPTION = 'READER_UPDATE_NEW_POST_EMAIL_SUBSCRIPTION';
const READER_VIEWING_FULL_POST_SET = 'READER_VIEWING_FULL_POST_SET';
const READER_VIEWING_FULL_POST_UNSET = 'READER_VIEWING_FULL_POST_UNSET';

/***/ }),

/***/ 15437:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   V: () => (/* binding */ CONVERSATION_FOLLOW_STATUS)
/* harmony export */ });
/**
 * Follow status constants
 */
const CONVERSATION_FOLLOW_STATUS = Object.freeze({
  following: 'F',
  not_following: null,
  muting: 'M'
});

/***/ }),

/***/ 28371:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export items */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(18366);
/* harmony import */ var _follow_status__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(15437);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(89328);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(32542);







/**
 * Tracks all known conversation following statuses.
 */
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_2__/* .itemsSchema */ .A, (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_CONVERSATION_FOLLOW */ .iQ:
      {
        const newState = {
          ...state,
          [(0,_utils__WEBPACK_IMPORTED_MODULE_4__/* .key */ .E)(action.payload.siteId, action.payload.postId)]: _follow_status__WEBPACK_IMPORTED_MODULE_5__/* .CONVERSATION_FOLLOW_STATUS */ .V.following
        };
        return newState;
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_CONVERSATION_MUTE */ .qG:
      {
        const newState = {
          ...state,
          [(0,_utils__WEBPACK_IMPORTED_MODULE_4__/* .key */ .E)(action.payload.siteId, action.payload.postId)]: _follow_status__WEBPACK_IMPORTED_MODULE_5__/* .CONVERSATION_FOLLOW_STATUS */ .V.muting
        };
        return newState;
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_CONVERSATION_UPDATE_FOLLOW_STATUS */ .vC:
      {
        const stateKey = (0,_utils__WEBPACK_IMPORTED_MODULE_4__/* .key */ .E)(action.payload.siteId, action.payload.postId);

        // If followStatus is null, remove the key from the state map entirely
        if (action.payload.followStatus === _follow_status__WEBPACK_IMPORTED_MODULE_5__/* .CONVERSATION_FOLLOW_STATUS */ .V.not_following) {
          return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, stateKey);
        }
        const newState = {
          ...state,
          [stateKey]: action.payload.followStatus
        };
        return newState;
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_POSTS_RECEIVE */ .um:
      {
        if (!action.posts) {
          return state;
        }
        const newState = {};
        (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(action.posts, post => {
          if (post.is_following_conversation) {
            newState[(0,_utils__WEBPACK_IMPORTED_MODULE_4__/* .key */ .E)(post.site_ID, post.ID)] = _follow_status__WEBPACK_IMPORTED_MODULE_5__/* .CONVERSATION_FOLLOW_STATUS */ .V.following;
          }
        });
        if (Object.keys(newState).length === 0) {
          return state;
        }
        return {
          ...state,
          ...newState
        };
      }
  }
  return state;
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_6__/* .combineReducers */ .H)({
  items
}));

/***/ }),

/***/ 89328:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ itemsSchema)
/* harmony export */ });
/* harmony import */ var _follow_status__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(15437);


/* eslint-disable quote-props */
const itemsSchema = {
  type: 'object',
  patternProperties: {
    '^[0-9]+-[0-9]+$': {
      enum: Object.values(_follow_status__WEBPACK_IMPORTED_MODULE_0__/* .CONVERSATION_FOLLOW_STATUS */ .V)
    }
  },
  additionalProperties: false
};
/* eslint-enable quote-props */

/***/ }),

/***/ 32542:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ key)
/* harmony export */ });
function key(siteId, postId) {
  return `${siteId}-${postId}`;
}

/***/ }),

/***/ 19036:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, total */
/* harmony import */ var _automattic_js_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(42344);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(24601);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(18366);




/**
 * Tracks mappings between queries --> feed results
 *
 * A map of query to results, keyed by query key.
 * The query key is supplied by the action, making it opaque to the reducer.
 * Here is what the state tree may look like:
 * feedSearches: {
 * items: {
 * 'wordpress tavern-X': [ feed1, feed2, ],
 * ...
 * },
 * }
 * @param  {Array} state  Current state
 * @param  {Object} action Action payload
 * @returns {Array}        Updated state
 */
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .keyedReducer */ .b)('queryKey', (state = null, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FEED_SEARCH_RECEIVE */ .mX:
      return (0,_automattic_js_utils__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)((state ?? []).concat(action.payload.feeds), (a, b) => a.feed_URL === b.feed_URL);
  }
  return state;
});

/**
 * Tracks mappings between queries --> num results
 *
 * A of query counts to results, keyed by query key.
 * The query key is supplied by the action, making it opaque to the reducer.
 * Here is what the state tree may look like:
 * feedSearches: {
 * total: {
 * 'wordpress tavern-X': 4,
 * 'thingsldkjflskjfsdf-A': 0,
 * 'chickens-A': 4000,
 * ...
 * },
 * }
 * @param  {Array}  state  Current state
 * @param  {Object} action Action payload
 * @returns {Array}         Updated state
 */
const total = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .keyedReducer */ .b)('queryKey', (state = null, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FEED_SEARCH_RECEIVE */ .mX:
      return action.payload.total;
  }
  return state;
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .combineReducers */ .H)({
  items,
  total
}));

/***/ }),

/***/ 91770:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, queuedRequests, lastFetched */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(84790);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(79700);
/* harmony import */ var calypso_lib_post_normalizer_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(30403);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(88926);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(18366);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(97487);






function handleRequestFailure(state, action) {
  // new object precedes current state to prevent new errors from overwriting existing values
  return {
    [action.payload.feed_ID]: {
      feed_ID: action.payload.feed_ID,
      is_error: true
    },
    ...state
  };
}
function adaptFeed(feed) {
  return {
    feed_ID: +feed.feed_ID,
    blog_ID: +feed.blog_ID,
    name: feed.name && (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_1__/* .decodeEntities */ .S)(feed.name),
    URL: (0,calypso_lib_post_normalizer_utils__WEBPACK_IMPORTED_MODULE_2__/* .safeLink */ .o)(feed.URL),
    feed_URL: (0,calypso_lib_post_normalizer_utils__WEBPACK_IMPORTED_MODULE_2__/* .safeLink */ .o)(feed.feed_URL),
    is_following: feed.is_following,
    subscribers_count: feed.subscribers_count,
    description: feed.description && (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_1__/* .decodeEntities */ .S)((0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_3__/* .stripHTML */ ._)(feed.description)),
    last_update: feed.last_update,
    image: feed.image,
    organization_id: feed.organization_id,
    unseen_count: feed.unseen_count,
    subscription_id: feed.subscription_id
  };
}
function handleRequestSuccess(state, action) {
  const feed = adaptFeed(action.payload);
  return {
    ...state,
    [feed.feed_ID]: feed
  };
}
const itemsReducer = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_4__/* .READER_FEED_REQUEST_SUCCESS */ .Xn:
      return handleRequestSuccess(state, action);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_4__/* .READER_FEED_REQUEST_FAILURE */ .MV:
      return handleRequestFailure(state, action);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_4__/* .READER_SEEN_MARK_AS_SEEN_RECEIVE */ .JD:
      {
        const existingEntry = state[action.feedId];
        if (!existingEntry) {
          return state;
        }
        return {
          ...state,
          [action.feedId]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, existingEntry, {
            unseen_count: Math.max(existingEntry.unseen_count - action.globalIds.length, 0)
          })
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_4__/* .READER_SEEN_MARK_AS_UNSEEN_RECEIVE */ .GE:
      {
        const existingEntry = state[action.feedId];
        if (!existingEntry) {
          return state;
        }
        return {
          ...state,
          [action.feedId]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, existingEntry, {
            unseen_count: Math.max(existingEntry.unseen_count + action.globalIds.length, 0)
          })
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_4__/* .READER_SEEN_MARK_ALL_AS_SEEN_RECEIVE */ .R$:
      {
        (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(action.feedIds, feedId => {
          state[feedId] = {
            ...state[feedId],
            unseen_count: 0
          };
        });
        return {
          ...state
        };
      }
  }
  return state;
};
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_5__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_6__/* .itemsSchema */ .A, (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_7__/* .withPersistence */ .O)(itemsReducer, {
  // remove errors from the serialized state
  serialize: state => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omitBy)(state, 'is_error')
}));
function queuedRequests(state = {}, action) {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_4__/* .READER_FEED_REQUEST */ .nL:
      return {
        ...state,
        [action.payload.feed_ID]: true
      };
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_4__/* .READER_FEED_REQUEST_SUCCESS */ .Xn:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_4__/* .READER_FEED_REQUEST_FAILURE */ .MV:
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, action.payload.feed_ID);
  }
  return state;
}
const lastFetched = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_4__/* .READER_FEED_REQUEST_SUCCESS */ .Xn:
      return {
        ...state,
        [action.payload.feed_ID]: Date.now()
      };
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_8__/* .combineReducers */ .H)({
  items,
  lastFetched,
  queuedRequests
}));

/***/ }),

/***/ 97487:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ itemsSchema)
/* harmony export */ });
const itemsSchema = {
  type: 'object',
  patternProperties: {
    //be careful to escape regexes properly
    '^[0-9a-z]+$': {
      type: 'object',
      required: ['feed_ID', 'blog_ID'],
      properties: {
        feed_ID: {
          type: 'integer'
        },
        blog_ID: {
          type: 'integer'
        },
        name: {
          type: ['string', 'null']
        },
        URL: {
          type: ['string', 'null']
        },
        feed_URL: {
          type: ['string', 'null']
        },
        is_following: {
          type: ['boolean', 'null']
        },
        subscribers_count: {
          type: ['integer', 'null']
        },
        description: {
          type: ['string', 'null']
        },
        last_update: {
          type: ['string', 'null']
        },
        image: {
          type: ['string', 'null']
        },
        organization_id: {
          type: ['integer', 'null']
        },
        unseen_count: {
          type: ['integer', 'null']
        },
        subscription_id: {
          type: ['integer', 'null']
        }
      }
    }
  },
  additionalProperties: false
};

/***/ }),

/***/ 83849:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, itemsCount, lastSyncTime, followFeedLoading */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(88926);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(18366);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(40246);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(97444);





function updateEmailSubscription(state, {
  payload,
  type
}) {
  const follow = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.find)(state, {
    blog_ID: +payload.blogId
  });
  if (!follow) {
    return state;
  }
  const currentFollowState = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(follow, ['delivery_methods', 'email'], {});
  const newProps = {};
  switch (type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SUBSCRIBE_TO_NEW_POST_EMAIL */ .Gx:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UNSUBSCRIBE_TO_NEW_POST_EMAIL */ .b4:
      newProps.send_posts = !(type === calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UNSUBSCRIBE_TO_NEW_POST_EMAIL */ .b4);
      break;
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SUBSCRIBE_TO_NEW_COMMENT_EMAIL */ .fm:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UNSUBSCRIBE_TO_NEW_COMMENT_EMAIL */ .s1:
      newProps.send_comments = !(type === calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UNSUBSCRIBE_TO_NEW_COMMENT_EMAIL */ .s1);
      break;
  }
  if (payload.deliveryFrequency) {
    newProps.post_delivery_frequency = payload.deliveryFrequency;
  }
  const newFollowState = {
    ...currentFollowState,
    ...newProps
  };
  if ((0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEqual)(currentFollowState, newFollowState)) {
    return state;
  }
  return {
    ...state,
    [(0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(follow.URL)]: {
      ...follow,
      delivery_methods: {
        email: newFollowState,
        notification: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(follow, ['delivery_methods', 'notification'], {})
      }
    }
  };
}
function updateNotificationSubscription(state, {
  payload,
  type
}) {
  const follow = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.find)(state, {
    blog_ID: +payload.blogId
  });
  if (!follow) {
    return state;
  }
  const currentFollowState = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(follow, ['delivery_methods', 'notification', 'send_posts'], false);
  const newFollowState = !(type === calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UNSUBSCRIBE_TO_NEW_POST_NOTIFICATIONS */ .vo);
  if (currentFollowState === newFollowState) {
    return state;
  }
  return {
    ...state,
    [(0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(follow.URL)]: {
      ...follow,
      delivery_methods: {
        email: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(follow, ['delivery_methods', 'email'], {}),
        notification: {
          send_posts: newFollowState
        }
      }
    }
  };
}
const itemsReducer = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FOLLOW_ERROR */ .xN:
      {
        const urlKey = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(action.payload.feedUrl);
        return {
          ...state,
          [urlKey]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, state[urlKey], {
            error: action.payload.error
          })
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FOLLOW */ .cS:
      {
        let urlKey = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(action.payload.feedUrl);
        const newValues = {
          is_following: true
        };
        const actualFeedUrl = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(action.payload, ['follow', 'feed_URL'], action.payload.feedUrl);
        const newState = {
          ...state
        };
        // for the case where a user entered an exact url to follow something, sometimes the
        // correct feed_URL is slightly different from what they typed in.
        // e.g. example.com --> example.com/rss.
        // Since we are keying this reducer by url,
        // we need delete the old key and move it to the new one.
        // also keep what was typed in as an alias.  pretty edge casey but ideally we should retain aliases to
        // display correct followByUrl follow button status
        if (actualFeedUrl !== action.payload.feedUrl) {
          newValues.alias_feed_URLs = [...(state[urlKey].alias_feed_URLs || []), (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(action.payload.feedUrl)];
          delete newState[urlKey];
          urlKey = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(actualFeedUrl);
        } else if (state[urlKey] && state[urlKey].error) {
          // Reset follow error state
          newValues.error = null;
        }

        // Respect the existing state of the new post notification toggle.
        // User may have toggled it on immediately after subscribing and
        // action.payload.follow may overwrite it with the old value
        const existingNotificationState = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(state[urlKey], ['delivery_methods', 'notification']);
        if (existingNotificationState) {
          newValues.delivery_methods = {
            notification: existingNotificationState
          };
        }
        return Object.assign(newState, {
          [urlKey]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({
            feed_URL: actualFeedUrl
          }, state[urlKey], action.payload.follow, newValues)
        });
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UNFOLLOW */ .h2:
      {
        const urlKey = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(action.payload.feedUrl);
        let currentFollow = state[urlKey];
        // Some posts do not have feed_URL's available, in this case the `READER_FOLLOW` action will be called
        // with the response from the `/following/mine/new` API call, which contains a full `feed_URL`.
        // Since we don't get the correct feed_URL from the post object, we must make a guess that
        // it will follow the `${site_URL}/feed` pattern
        if (currentFollow === undefined) {
          currentFollow = state[urlKey + '/feed'];
        }
        if (!(currentFollow && currentFollow.is_following)) {
          return state;
        }
        return {
          ...state,
          [urlKey]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, currentFollow, {
            is_following: false,
            delivery_methods: {
              notification: {
                send_posts: false
              }
            }
          })
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FOLLOWS_RECEIVE */ .B2:
      {
        const follows = action.payload.follows;
        const keyedNewFollows = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(follows, (hash, follow) => {
          const urlKey = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(follow.URL);
          const newFollow = {
            ...follow,
            is_following: true
          };
          hash[urlKey] = newFollow;
          return hash;
        }, {});
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, state, keyedNewFollows);
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SITE_REQUEST_SUCCESS */ .yL:
      {
        const incomingSite = action.payload;
        if (!incomingSite || !incomingSite.feed_URL || !incomingSite.is_following) {
          return state;
        }
        const urlKey = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(incomingSite.feed_URL);
        const currentFollow = state[urlKey];
        const newFollow = {
          delivery_methods: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(incomingSite, 'subscription.delivery_methods'),
          is_following: true,
          URL: incomingSite.URL,
          feed_URL: incomingSite.feed_URL,
          blog_ID: incomingSite.ID
        };
        return {
          ...state,
          [urlKey]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, currentFollow, newFollow)
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SUBSCRIBE_TO_NEW_POST_EMAIL */ .Gx:
      return updateEmailSubscription(state, action);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UPDATE_NEW_POST_EMAIL_SUBSCRIPTION */ .tf:
      return updateEmailSubscription(state, action);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UNSUBSCRIBE_TO_NEW_POST_EMAIL */ .b4:
      return updateEmailSubscription(state, action);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SUBSCRIBE_TO_NEW_COMMENT_EMAIL */ .fm:
      return updateEmailSubscription(state, action);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UNSUBSCRIBE_TO_NEW_COMMENT_EMAIL */ .s1:
      return updateEmailSubscription(state, action);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SUBSCRIBE_TO_NEW_POST_NOTIFICATIONS */ .EE:
      return updateNotificationSubscription(state, action);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UNSUBSCRIBE_TO_NEW_POST_NOTIFICATIONS */ .vo:
      return updateNotificationSubscription(state, action);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FOLLOWS_SYNC_COMPLETE */ .pB:
      {
        const seenSubscriptions = new Set(action.payload);

        // diff what we saw vs. what's in state and remove anything extra
        // extra would be active subscriptions that were not seen in the sync
        //
        // Only check items with an ID (the subscription ID) because those are what
        // we show on the manage listing. Items without an ID are either inflight follows
        // or follows that we picked up from a feed, site, or post object.
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omitBy)(state, follow => follow.ID && !seenSubscriptions.has(follow.feed_URL));
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SEEN_MARK_AS_SEEN_RECEIVE */ .JD:
      {
        const urlKey = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(action.feedUrl);
        const existingEntry = state[urlKey];
        if (!existingEntry) {
          return state;
        }
        return {
          ...state,
          [urlKey]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, existingEntry, {
            unseen_count: existingEntry.unseen_count - action.globalIds.length
          })
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SEEN_MARK_AS_UNSEEN_RECEIVE */ .GE:
      {
        const urlKey = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(action.feedUrl);
        const existingEntry = state[urlKey];
        if (!existingEntry) {
          return state;
        }
        return {
          ...state,
          [urlKey]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, existingEntry, {
            unseen_count: existingEntry.unseen_count + action.globalIds.length
          })
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SEEN_MARK_ALL_AS_SEEN_RECEIVE */ .R$:
      {
        (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(action.feedUrls, feedUrl => {
          const urlKey = (0,_utils__WEBPACK_IMPORTED_MODULE_2__/* .prepareComparableUrl */ .R)(feedUrl);
          state[urlKey] = {
            ...state[urlKey],
            unseen_count: 0
          };
        });
        return {
          ...state
        };
      }
  }
  return state;
};
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_4__/* .items */ .l, (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_5__/* .withPersistence */ .O)(itemsReducer, {
  serialize: state => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.pickBy)(state, item => item.ID && item.is_following)
}));
const itemsCount = (state = 0, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FOLLOWS_RECEIVE */ .B2:
      {
        return action.payload.totalCount ? action.payload.totalCount : state;
      }
  }
  return state;
};
const lastSyncTime = (state = null, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FOLLOWS_SYNC_START */ .Yr:
      {
        return Date.now();
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FOLLOWS_MARK_AS_STALE */ .gv:
      {
        return null;
      }
  }
  return state;
};
const followFeedLoading = (state = [], action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FOLLOW */ .cS:
      if (state.includes(action.payload.feedUrl)) {
        return state;
      }
      return [...state, action.payload.feedUrl];
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_FOLLOW_COMPLETE */ .wp:
      return state.filter(feedUrl => feedUrl !== action.payload.feedUrl);
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_6__/* .combineReducers */ .H)({
  items,
  itemsCount,
  lastSyncTime,
  followFeedLoading
}));

/***/ }),

/***/ 40246:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   l: () => (/* binding */ items)
/* harmony export */ });
const items = {
  type: 'object',
  patternProperties: {
    //be careful to escape regexes properly
    '.+': {
      type: 'object',
      required: ['feed_URL', 'URL', 'is_following'],
      properties: {
        URL: {
          type: 'string'
        },
        feed_URL: {
          type: 'string'
        },
        is_following: {
          type: 'boolean'
        },
        ID: {
          type: ['integer', 'null']
        },
        blog_ID: {
          type: ['integer', 'null']
        },
        feed_ID: {
          type: ['integer', 'null']
        },
        date_subscribed: {
          type: ['integer', 'null']
        },
        last_updated: {
          type: ['integer', 'null']
        },
        delivery_methods: {
          type: ['object', 'null']
        },
        is_owner: {
          type: ['boolean', 'null']
        },
        organization_id: {
          type: ['integer', 'null']
        },
        name: {
          type: ['string', 'null']
        },
        unseen_count: {
          type: ['integer', 'null']
        },
        site_icon: {
          type: ['string', 'null']
        }
      }
    }
  },
  additionalProperties: false
};

/***/ }),

/***/ 97444:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   R: () => (/* binding */ prepareComparableUrl)
/* harmony export */ });
/* harmony import */ var calypso_lib_route__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(68305);

function prepareComparableUrl(url) {
  const preparedUrl = url && (0,calypso_lib_route__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(url);
  return preparedUrl && preparedUrl.replace(/^https?:\/\//, '').toLowerCase();
}

/***/ }),

/***/ 99544:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(59662);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(40036);


(0,calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__/* .registerReducer */ .K)(['reader'], _reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A);

/***/ }),

/***/ 16510:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, listItems, subscribedLists, isRequestingList, isCreatingList, isUpdatingList, isRequestingLists */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(18366);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(32827);
/* eslint-disable no-case-declarations */






/**
 * Tracks all known list objects, indexed by list ID.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_2__/* .itemsSchema */ .A, (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LISTS_RECEIVE */ .qT:
      return Object.assign({}, state, (0,lodash__WEBPACK_IMPORTED_MODULE_0__.keyBy)(action.lists, 'ID'));
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_REQUEST_SUCCESS */ .bR:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_UPDATE_SUCCESS */ .bN:
      return Object.assign({}, state, (0,lodash__WEBPACK_IMPORTED_MODULE_0__.keyBy)([action.data.list], 'ID'));
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_DELETE */ .pT:
      if (!(action.listId in state)) {
        return state;
      }
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, action.listId);
  }
  return state;
});
function removeItemBy(state, action, predicate) {
  if (!(action.listId in state)) {
    return state;
  }
  const list = state[action.listId];
  const newList = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reject)(list, predicate);
  return {
    ...state,
    [action.listId]: newList
  };
}
const listItems = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_ITEMS_RECEIVE */ .QY:
      return {
        ...state,
        [action.listId]: action.listItems
      };
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_ITEM_ADD_FEED_RECEIVE */ .w6:
      {
        const currentItems = state[action.listId] || [];
        if ((0,lodash__WEBPACK_IMPORTED_MODULE_0__.some)(currentItems, {
          feed_ID: action.feedId
        })) {
          return state;
        }
        return {
          ...state,
          [action.listId]: [...currentItems, {
            feed_ID: action.feedId
          }]
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_ITEM_DELETE_FEED */ .yg:
      return removeItemBy(state, action, item => item.feed_ID === action.feedId);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_ITEM_DELETE_TAG */ .o$:
      return removeItemBy(state, action, item => item.tag_ID === action.tagId);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_ITEM_DELETE_SITE */ .Lo:
      return removeItemBy(state, action, item => item.site_ID === action.siteId);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_DELETE */ .pT:
      if (!(action.listId in state)) {
        return state;
      }
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, action.listId);
  }
  return state;
};

/**
 * Tracks which list IDs the current user is subscribed to.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const subscribedLists = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_2__/* .subscriptionsSchema */ .K, (state = [], action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LISTS_RECEIVE */ .qT:
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.map)(action.lists, 'ID');
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_FOLLOW_RECEIVE */ .pD:
      const followedListId = action.list?.ID;
      if (!followedListId || (0,lodash__WEBPACK_IMPORTED_MODULE_0__.includes)(state, followedListId)) {
        return state;
      }
      return [...state, followedListId];
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_UNFOLLOW_RECEIVE */ .QJ:
      // Remove the unfollowed list ID from subscribedLists
      const unfollowedListId = action.list?.ID;
      if (!unfollowedListId) {
        return state;
      }
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.filter)(state, listId => {
        return listId !== unfollowedListId;
      });
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_DELETE */ .pT:
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.filter)(state, listId => {
        return listId !== action.listId;
      });
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_REQUEST_SUCCESS */ .bR:
      if (!state.includes(action.data.list.ID)) {
        return [...state, action.data.list.ID];
      }
      return state;
  }
  return state;
});

/**
 * Returns the updated requests state after an action has been dispatched.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
function isRequestingList(state = false, action) {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_REQUEST */ .VS:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_REQUEST_SUCCESS */ .bR:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_REQUEST_FAILURE */ .M1:
      return calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_REQUEST */ .VS === action.type;
  }
  return state;
}

/**
 * Records if there is a pending list creation request.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
function isCreatingList(state = false, action) {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_CREATE */ ._I:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_REQUEST_SUCCESS */ .bR:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_REQUEST_FAILURE */ .M1:
      return calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_CREATE */ ._I === action.type;
  }
  return state;
}

/**
 * Records if there is a pending list update request.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
function isUpdatingList(state = false, action) {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_UPDATE */ .fV:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_UPDATE_SUCCESS */ .bN:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_UPDATE_FAILURE */ .GA:
      return calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LIST_UPDATE */ .fV === action.type;
  }
  return state;
}

/**
 * Returns the updated requests state after an action has been dispatched.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
function isRequestingLists(state = false, action) {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LISTS_REQUEST */ .mZ:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LISTS_RECEIVE */ .qT:
      return calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_LISTS_REQUEST */ .mZ === action.type;
  }
  return state;
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__/* .combineReducers */ .H)({
  items,
  listItems,
  subscribedLists,
  isCreatingList,
  isRequestingList,
  isRequestingLists,
  isUpdatingList
}));

/***/ }),

/***/ 32827:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ itemsSchema),
/* harmony export */   K: () => (/* binding */ subscriptionsSchema)
/* harmony export */ });
const itemsSchema = {
  type: 'object',
  patternProperties: {
    //be careful to escape regexes properly
    '^[0-9]+$': {
      type: 'object',
      required: ['ID'],
      properties: {
        ID: {
          type: 'integer'
        },
        title: {
          type: 'string'
        },
        slug: {
          type: 'string'
        },
        description: {
          type: 'string'
        },
        owner: {
          type: 'string'
        },
        is_owner: {
          type: 'boolean'
        },
        is_public: {
          type: 'boolean'
        }
      }
    }
  },
  additionalProperties: false
};
const subscriptionsSchema = {
  type: 'array'
};

/***/ }),

/***/ 31143:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, isRequesting */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(18366);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(25948);




const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_2__/* .itemsSchema */ .A, (state = [], action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_ORGANIZATIONS_RECEIVE */ .JP:
      {
        if (action.error) {
          return state;
        }
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(action, ['payload', 'organizations'], state);
      }
  }
  return state;
});
const isRequesting = (state = false, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_ORGANIZATIONS_REQUEST */ .lP:
      return true;
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_ORGANIZATIONS_RECEIVE */ .JP:
      return false;
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__/* .combineReducers */ .H)({
  items,
  isRequesting
}));

/***/ }),

/***/ 25948:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ itemsSchema)
/* harmony export */ });
const itemsSchema = {
  type: 'array',
  items: {
    type: 'object',
    properties: {
      id: {
        type: 'integer'
      },
      title: {
        type: 'string'
      },
      slug: {
        type: 'string'
      },
      sites_count: {
        type: 'integer'
      }
    }
  }
};

/***/ }),

/***/ 75263:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   tQ: () => (/* binding */ fetchPost)
/* harmony export */ });
/* unused harmony exports receivePosts, reloadPost, markPostSeen */
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(77981);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(41445);
/* harmony import */ var calypso_lib_analytics_mc__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(45935);
/* harmony import */ var calypso_lib_wp__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(89406);
/* harmony import */ var calypso_reader_lib_content_width__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(95373);
/* harmony import */ var calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(60904);
/* harmony import */ var calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(52698);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(2140);
/* harmony import */ var _normalization_rules__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(4323);
/* harmony import */ var calypso_state_reader_init__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(99544);














// TODO: make underlying lib/analytics/tracks and reader/stats capable of existing in test code without mocks
// OR switch to analytics middleware
let tracks = {
  recordEvent: () => {}
};
let pageViewForPost = () => {};
if (true) {
  pageViewForPost = (__webpack_require__(2205)/* .pageViewForPost */ .Og);
  tracks = __webpack_require__(39279);
}
function trackRailcarRender(post) {
  tracks.recordTracksEvent('calypso_traintracks_render', post.railcar);
}
function fetchForKey(postKey, isHelpCenter = false) {
  const query = {};
  const contentWidth = (0,calypso_reader_lib_content_width__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)();
  if (contentWidth) {
    query.content_width = contentWidth;
  }
  if (postKey.blogId) {
    if (isHelpCenter) {
      return (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_6__/* .canAccessWpcomApis */ .IH)() ? (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Ay)({
        path: `help/article/${encodeURIComponent(postKey.blogId)}/${encodeURIComponent(postKey.postId)}`,
        apiNamespace: 'wpcom/v2/',
        apiVersion: '2'
      }) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
        global: true,
        path: `/help-center/fetch-post?post_id=${encodeURIComponent(postKey.postId)}&blog_id=${encodeURIComponent(postKey.blogId)}`
      });
    }
    return calypso_lib_wp__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A.req.get(`/read/sites/${encodeURIComponent(postKey.blogId)}/posts/${encodeURIComponent(postKey.postId)}`, query);
  }
  const {
    postId,
    feedId,
    ...params
  } = postKey;
  return calypso_lib_wp__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A.req.get(`/read/feed/${encodeURIComponent(feedId)}/posts/${encodeURIComponent(postId)}`, {
    apiVersion: '1.2',
    ...params,
    ...query
  });
}

// helper that hides promise rejections so they return successfully with null instead of rejecting
// this is so that a failure within a slow run of normalization doesn't stop successful posts
// from being dispatched
const hideRejections = promise => promise.catch(() => null);

/**
 * Returns an action object to signal that post objects have been received.
 * @param  {Array}  posts Posts received
 * @returns {Object} Action object
 */
const receivePosts = posts => dispatch => {
  if (!posts) {
    return Promise.resolve([]);
  }
  const [toReload, toProcess] = (0,lodash__WEBPACK_IMPORTED_MODULE_1__.partition)(posts, '_should_reload');
  toReload.forEach(post => dispatch(reloadPost(post)));
  const normalizedPosts = toProcess.filter(Boolean).map(_normalization_rules__WEBPACK_IMPORTED_MODULE_7__/* .runFastRules */ .rM);

  // dispatch post like additions before the posts. Cuts down on rerenders a bit.
  (0,lodash__WEBPACK_IMPORTED_MODULE_1__.forEach)(normalizedPosts, post => {
    if (!post.is_external) {
      dispatch((0,calypso_state_posts_likes_actions__WEBPACK_IMPORTED_MODULE_8__/* .receiveLikes */ .GN)(post.site_ID, post.ID, {
        iLike: Boolean(post.i_like),
        found: +post.like_count
      }));
    }
  });

  // save the posts after running the fast rules
  dispatch({
    type: calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_9__/* .READER_POSTS_RECEIVE */ .um,
    posts: normalizedPosts
  });

  // also save them after running the slow rules
  Promise.all(normalizedPosts.map(_normalization_rules__WEBPACK_IMPORTED_MODULE_7__/* .runSlowRules */ .K7).map(hideRejections)).then(processedPosts => dispatch({
    type: calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_9__/* .READER_POSTS_RECEIVE */ .um,
    posts: processedPosts.filter(Boolean) // prune out the "null" rejections
  }));
  (0,lodash__WEBPACK_IMPORTED_MODULE_1__.forEach)((0,lodash__WEBPACK_IMPORTED_MODULE_1__.filter)(normalizedPosts, 'railcar'), trackRailcarRender);

  // TODO: resolve weird dependency between related-posts and the return here
  return Promise.resolve(normalizedPosts);
};
const requestsInFlight = new Set();
const fetchPost = (postKey, isHelpCenter = false) => dispatch => {
  const requestKey = (0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_10__/* .keyToString */ .ii)(postKey);
  if (requestsInFlight.has(requestKey)) {
    return;
  }
  requestsInFlight.add(requestKey);
  function removeKey() {
    requestsInFlight.delete(requestKey);
  }
  return fetchForKey(postKey, isHelpCenter).then(data => {
    removeKey();
    return dispatch(receivePosts([data]));
  }).catch(error => {
    removeKey();
    return dispatch(receiveErrorForPostKey(error, postKey));
  });
};
function receiveErrorForPostKey(error, postKey) {
  return {
    type: calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_9__/* .READER_POSTS_RECEIVE */ .um,
    posts: [{
      feed_ID: postKey.feedId,
      ID: postKey.postId,
      site_ID: postKey.blogId,
      is_external: !postKey.blogId,
      global_ID: (0,uuid__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A)(),
      is_error: true,
      error
    }]
  };
}
function reloadPost(post) {
  return function (dispatch) {
    // keep track of any railcars we might have
    const railcar = post.railcar;
    const postKey = (0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_10__/* .keyForPost */ .bf)(post);
    fetchForKey(postKey).then(data => {
      data.railcar = railcar;
      dispatch(receivePosts([data]));
    });
  };
}
const markPostSeen = (post, site) => (dispatch, getState) => {
  if (!post || hasPostBeenSeen(getState(), post.global_ID)) {
    return;
  }
  dispatch({
    type: READER_POST_SEEN,
    payload: {
      post,
      site
    }
  });
  if (post.site_ID) {
    // they have a site ID, let's try to push a page view
    const isAdmin = !!get(site, 'capabilities.manage_options', false);
    if (site && site.ID) {
      if (site.is_private || !isAdmin) {
        pageViewForPost(site.ID, site.URL, post.ID, site.is_private);
        bumpStat('reader_pageviews', site.is_private ? 'private_view' : 'public_view');
      }
    }
  }
};

/***/ }),

/***/ 20502:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/**
 * Feed post display types
 * @type {Object} Types of post for display
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({
  UNCLASSIFIED: 0,
  PHOTO_ONLY: 1,
  LARGE_BANNER: 2,
  ONE_LINER: 4,
  LANDSCAPE_BANNER: 8,
  PORTRAIT_BANNER: 16,
  GALLERY: 32,
  VIDEO: 64,
  THUMBNAIL: 128,
  CANONICAL_IN_CONTENT: 256,
  FEATURED_VIDEO: 512,
  X_POST: 1024
});

/***/ }),

/***/ 4323:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K7: () => (/* binding */ runSlowRules),
/* harmony export */   rM: () => (/* binding */ runFastRules)
/* harmony export */ });
/* unused harmony exports imageIsBigEnoughForGallery, imageWithCorrectRatio, getImagesFromPostToDisplay, classifyPost */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_post_normalizer_rule_add_image_wrapper_element__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(44934);
/* harmony import */ var calypso_lib_post_normalizer_rule_content_detect_media__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(15202);
/* harmony import */ var calypso_lib_post_normalizer_rule_content_detect_polls__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(52612);
/* harmony import */ var calypso_lib_post_normalizer_rule_content_detect_surveys__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(31085);
/* harmony import */ var calypso_lib_post_normalizer_rule_content_disable_autoplay__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(63730);
/* harmony import */ var calypso_lib_post_normalizer_rule_content_link_jetpack_carousels__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(40697);
/* harmony import */ var calypso_lib_post_normalizer_rule_content_make_embeds_safe__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(27319);
/* harmony import */ var calypso_lib_post_normalizer_rule_content_make_images_safe__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(78591);
/* harmony import */ var calypso_lib_post_normalizer_rule_content_make_links_safe__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(87898);
/* harmony import */ var calypso_lib_post_normalizer_rule_content_remove_elements_by_selector__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(33892);
/* harmony import */ var calypso_lib_post_normalizer_rule_content_remove_styles__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(72971);
/* harmony import */ var calypso_lib_post_normalizer_rule_create_better_excerpt__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(87899);
/* harmony import */ var calypso_lib_post_normalizer_rule_decode_entities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(11060);
/* harmony import */ var calypso_lib_post_normalizer_rule_keep_valid_images__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(47605);
/* harmony import */ var calypso_lib_post_normalizer_rule_make_links_safe__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(84706);
/* harmony import */ var calypso_lib_post_normalizer_rule_make_site_id_safe_for_api__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8651);
/* harmony import */ var calypso_lib_post_normalizer_rule_pick_canonical_image__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(43278);
/* harmony import */ var calypso_lib_post_normalizer_rule_pick_canonical_media__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(9051);
/* harmony import */ var calypso_lib_post_normalizer_rule_pick_primary_tag__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(32803);
/* harmony import */ var calypso_lib_post_normalizer_rule_prevent_widows__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(28686);
/* harmony import */ var calypso_lib_post_normalizer_rule_safe_image_properties__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(66347);
/* harmony import */ var calypso_lib_post_normalizer_rule_strip_html__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(26920);
/* harmony import */ var calypso_lib_post_normalizer_rule_wait_for_images_to_load__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(87019);
/* harmony import */ var calypso_lib_post_normalizer_rule_with_content_dom__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(45445);
/* harmony import */ var _display_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(20502);
/* harmony import */ var _sizes__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(37858);



























function getCharacterCount(post) {
  if (!post || !post.content_no_html) {
    return 0;
  }
  return post.content_no_html.length;
}
function imageIsBigEnoughForGallery(image) {
  return image.width >= _sizes__WEBPACK_IMPORTED_MODULE_1__/* .GALLERY_MIN_IMAGE_WIDTH */ .xR && image.height >= _sizes__WEBPACK_IMPORTED_MODULE_1__/* .MIN_IMAGE_HEIGHT */ .jP;
}
function imageWithCorrectRatio(image) {
  const imageRatio = image.height / image.width;
  const minRatio = 1 / 3;
  const maxRatio = 3;
  return imageRatio >= minRatio && imageRatio <= maxRatio;
}
function getImagesFromPostToDisplay(post, numberOfImagesToDisplay) {
  const images = post.images && [...post.images] || [];

  // Remove duplicates, small images and images that are outside ideal aspect ratio
  return images.filter((element, index) => index === images.findIndex(elem => elem.src === element.src)).filter(imageIsBigEnoughForGallery).filter(imageWithCorrectRatio).slice(0, numberOfImagesToDisplay);
}
const hasShortContent = post => getCharacterCount(post) <= _sizes__WEBPACK_IMPORTED_MODULE_1__/* .PHOTO_ONLY_MAX_CHARACTER_COUNT */ .ju;

/**
 * Attempt to classify the post into a display type
 * @param  {Object}   post     A post to classify
 * @returns {Object}            The classified post
 */
function classifyPost(post) {
  const imagesForGallery = getImagesFromPostToDisplay(post, _sizes__WEBPACK_IMPORTED_MODULE_1__/* .GALLERY_MAX_IMAGES */ .j0);
  let displayType = _display_types__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A.UNCLASSIFIED;
  if (imagesForGallery.length >= _sizes__WEBPACK_IMPORTED_MODULE_1__/* .GALLERY_MIN_IMAGES */ .DV) {
    displayType ^= _display_types__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A.GALLERY;
  } else if (post.canonical_media && post.canonical_media.mediaType === 'image' && post.canonical_media.width >= _sizes__WEBPACK_IMPORTED_MODULE_1__/* .PHOTO_ONLY_MIN_WIDTH */ .ge && hasShortContent(post)) {
    displayType ^= _display_types__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A.PHOTO_ONLY;
  }
  if (post.canonical_media && post.canonical_media.mediaType === 'video') {
    displayType ^= _display_types__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A.FEATURED_VIDEO;
  }
  if (post.tags && post.tags['p2-xpost']) {
    displayType ^= _display_types__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A.X_POST;
  }
  post.display_type = displayType;
  return post;
}
const fastPostNormalizationRules = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.flow)([calypso_lib_post_normalizer_rule_decode_entities__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_strip_html__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_prevent_widows__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_make_site_id_safe_for_api__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_pick_primary_tag__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A, (0,calypso_lib_post_normalizer_rule_safe_image_properties__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)(_sizes__WEBPACK_IMPORTED_MODULE_1__/* .READER_CONTENT_WIDTH */ .f2), calypso_lib_post_normalizer_rule_make_links_safe__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A, (0,calypso_lib_post_normalizer_rule_with_content_dom__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A)([calypso_lib_post_normalizer_rule_content_remove_styles__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_content_remove_elements_by_selector__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, (0,calypso_lib_post_normalizer_rule_content_make_images_safe__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A)(), calypso_lib_post_normalizer_rule_content_make_embeds_safe__WEBPACK_IMPORTED_MODULE_14__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_content_make_links_safe__WEBPACK_IMPORTED_MODULE_15__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_content_disable_autoplay__WEBPACK_IMPORTED_MODULE_16__/* .disableAutoPlayOnEmbeds */ .p, calypso_lib_post_normalizer_rule_content_disable_autoplay__WEBPACK_IMPORTED_MODULE_16__/* .disableAutoPlayOnMedia */ .d, calypso_lib_post_normalizer_rule_content_detect_media__WEBPACK_IMPORTED_MODULE_17__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_content_detect_polls__WEBPACK_IMPORTED_MODULE_18__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_content_detect_surveys__WEBPACK_IMPORTED_MODULE_19__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_content_link_jetpack_carousels__WEBPACK_IMPORTED_MODULE_20__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_add_image_wrapper_element__WEBPACK_IMPORTED_MODULE_21__/* ["default"] */ .A]), calypso_lib_post_normalizer_rule_create_better_excerpt__WEBPACK_IMPORTED_MODULE_22__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_pick_canonical_image__WEBPACK_IMPORTED_MODULE_23__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_pick_canonical_media__WEBPACK_IMPORTED_MODULE_24__/* ["default"] */ .A, classifyPost]);
function runFastRules(post) {
  if (!post) {
    return post;
  }
  post = Object.assign({}, post);
  fastPostNormalizationRules(post);
  return post;
}
const slowSyncRules = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.flow)([(0,calypso_lib_post_normalizer_rule_keep_valid_images__WEBPACK_IMPORTED_MODULE_25__/* ["default"] */ .A)(_sizes__WEBPACK_IMPORTED_MODULE_1__/* .MIN_IMAGE_WIDTH */ .af, _sizes__WEBPACK_IMPORTED_MODULE_1__/* .MIN_IMAGE_HEIGHT */ .jP), calypso_lib_post_normalizer_rule_pick_canonical_image__WEBPACK_IMPORTED_MODULE_23__/* ["default"] */ .A, calypso_lib_post_normalizer_rule_pick_canonical_media__WEBPACK_IMPORTED_MODULE_24__/* ["default"] */ .A, classifyPost]);
function runSlowRules(post) {
  post = Object.assign({}, post);
  return (0,calypso_lib_post_normalizer_rule_wait_for_images_to_load__WEBPACK_IMPORTED_MODULE_26__/* ["default"] */ .A)(post).then(slowSyncRules);
}

/***/ }),

/***/ 95600:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, seen */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(18366);
/* eslint-disable no-case-declarations */





/**
 * Tracks all known post objects, indexed by post ID.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
function items(state = {}, action) {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_POSTS_RECEIVE */ .um:
      const posts = action.posts || action.payload.posts;
      const postsByKey = {};

      // Keep track of all the feed_item_ID that have the same global_ID.
      // See: https://github.com/Automattic/wp-calypso/pull/88408
      posts.forEach(post => {
        const {
          feed_item_IDs = []
        } = state[post.global_ID] ?? {};
        const {
          feed_item_ID,
          global_ID
        } = post;
        postsByKey[global_ID] = {
          ...post,
          ...(feed_item_ID && {
            feed_item_IDs: feed_item_IDs.length ? [...new Set([...feed_item_IDs, feed_item_ID])] : [feed_item_ID]
          })
        };
      });
      return {
        ...state,
        ...postsByKey
      };
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SEEN_MARK_AS_SEEN_RECEIVE */ .JD:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SEEN_MARK_ALL_AS_SEEN_RECEIVE */ .R$:
      (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(action.globalIds, globalId => {
        state[globalId] = {
          ...state[globalId],
          is_seen: true
        };
      });
      return {
        ...state
      };
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SEEN_MARK_AS_UNSEEN_RECEIVE */ .GE:
      (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(action.globalIds, globalId => {
        state[globalId] = {
          ...state[globalId],
          is_seen: false
        };
      });
      return {
        ...state
      };
  }
  return state;
}
function seen(state = {}, action) {
  const id = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(action, 'payload.post.global_ID');
  if (action.type === calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_POST_SEEN */ .nV && id) {
    return {
      ...state,
      [id]: true
    };
  }
  return state;
}
// @TODO: evaluate serialization later
// import { itemsSchema } from './schema';
// export const items = withSchemaValidation( itemsSchema, itemsReducer );

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .combineReducers */ .H)({
  items,
  seen
}));

/***/ }),

/***/ 39970:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X_: () => (/* binding */ getPostByKey)
/* harmony export */ });
/* unused harmony exports getPostById, getPostsByKeys, hasPostBeenSeen */
/* harmony import */ var _automattic_tree_select__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(24057);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(60904);
/* harmony import */ var calypso_state_reader_init__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99544);





/**
 * Returns a single post.
 * @param  {Object}  state  Global state tree
 * @param  {string}  postGlobalId Post global ID
 * @returns {Object} Post
 */
function getPostById(state, postGlobalId) {
  return state.reader.posts.items[postGlobalId];
}
const getPostMapByPostKey = (0,_automattic_tree_select__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state => [state.reader.posts.items], ([posts]) => {
  const postMap = {};
  Object.values(posts).forEach(post => {
    const {
      feed_item_IDs = []
    } = post ?? {};

    // Default case when the post matches only one feed_item_ID, if available.
    if (feed_item_IDs.length <= 1) {
      postMap[(0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__/* .keyToString */ .ii)((0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__/* .keyForPost */ .bf)(post))] = post;
      return;
    }

    // Edge case when the post matches multiple feed_item_IDs.
    // Insert one entry per feed_item_ID to the post map.
    // See: https://github.com/Automattic/wp-calypso/pull/88408
    feed_item_IDs.forEach(feed_item_ID => {
      const postKey = (0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__/* .keyForPost */ .bf)({
        feed_ID: post.feed_ID,
        feed_item_ID
      });
      postMap[(0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__/* .keyToString */ .ii)(postKey)] = post;
    });
  });
  return postMap;
});
const getPostByKey = (state, postKey) => {
  if (!postKey || !(0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__/* .keyToString */ .ii)(postKey)) {
    return null;
  }
  const postMap = getPostMapByPostKey(state);
  return postMap[(0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__/* .keyToString */ .ii)(postKey)];
};
const getPostsByKeys = (0,_automattic_tree_select__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state => [getPostMapByPostKey(state)], ([postMap], postKeys) => {
  if (!postKeys || (0,lodash__WEBPACK_IMPORTED_MODULE_0__.some)(postKeys, postKey => !(0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__/* .keyToString */ .ii)(postKey))) {
    return null;
  }
  return postKeys.map(calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__/* .keyToString */ .ii).map(key => postMap[key]);
}, {
  getCacheKey: postKeys => postKeys.map(calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_3__/* .keyToString */ .ii).join()
});
const hasPostBeenSeen = (state, globalId) => !!get(state, ['reader', 'posts', 'seen', globalId]);

/***/ }),

/***/ 37858:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DV: () => (/* binding */ GALLERY_MIN_IMAGES),
/* harmony export */   af: () => (/* binding */ MIN_IMAGE_WIDTH),
/* harmony export */   f2: () => (/* binding */ READER_CONTENT_WIDTH),
/* harmony export */   ge: () => (/* binding */ PHOTO_ONLY_MIN_WIDTH),
/* harmony export */   j0: () => (/* binding */ GALLERY_MAX_IMAGES),
/* harmony export */   jP: () => (/* binding */ MIN_IMAGE_HEIGHT),
/* harmony export */   ju: () => (/* binding */ PHOTO_ONLY_MAX_CHARACTER_COUNT),
/* harmony export */   xR: () => (/* binding */ GALLERY_MIN_IMAGE_WIDTH)
/* harmony export */ });
/* unused harmony exports READER_FEATURED_MAX_IMAGE_HEIGHT, READER_COMPACT_POST_FEATURED_MAX_IMAGE_WIDTH, READER_COMPACT_POST_FEATURED_MAX_IMAGE_HEIGHT, READER_COMPACT_POST_NO_EXCERPT_FEATURED_MAX_IMAGE_WIDTH, READER_RELATED_IMAGE_WIDTH */
/**
 * Module vars
 */
const READER_CONTENT_WIDTH = 600;
const READER_FEATURED_MAX_IMAGE_HEIGHT = 300;
const READER_COMPACT_POST_FEATURED_MAX_IMAGE_WIDTH = 200;
const READER_COMPACT_POST_FEATURED_MAX_IMAGE_HEIGHT = 140;
const READER_COMPACT_POST_NO_EXCERPT_FEATURED_MAX_IMAGE_WIDTH = 516;
const READER_RELATED_IMAGE_WIDTH = 348;
const PHOTO_ONLY_MIN_WIDTH = 440;
const PHOTO_ONLY_MAX_CHARACTER_COUNT = 85;
const GALLERY_MIN_IMAGES = 5;
const GALLERY_MAX_IMAGES = 10;
const GALLERY_MIN_IMAGE_WIDTH = 300;
const MIN_IMAGE_WIDTH = 144;
const MIN_IMAGE_HEIGHT = 72;

/***/ }),

/***/ 82491:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, pagingOffset */
/* harmony import */ var _automattic_js_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(42344);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(24601);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(18366);



/**
 * Tracks mappings between randomization seeds and site recs.
 * Sites get stored in a flat list. Just the basics like title/feedId,blogId.
 */
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .keyedReducer */ .b)('seed', (state = [], action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_RECOMMENDED_SITES_RECEIVE */ .Xo:
      return (0,_automattic_js_utils__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state.concat(action.payload.sites), (a, b) => a.feedId === b.feedId);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_RECOMMENDED_SITE_FOLLOWED */ .tu:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_RECOMMENDED_SITE_DISMISSED */ .c6:
      return state.filter(({
        blogId
      }) => blogId !== action.payload.siteId);
  }
  return state;
});

/**
 * Tracks mappings between randomization seeds and current offset in the that seed's stream.
 * this is for used when requesting the next page of site recs
 */
const pagingOffset = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .keyedReducer */ .b)('seed', (state = 0, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_RECOMMENDED_SITES_RECEIVE */ .Xo:
      return Math.max(action.payload.offset, state);
  }
  return state;
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .combineReducers */ .H)({
  items,
  pagingOffset
}));

/***/ }),

/***/ 40036:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18366);
/* harmony import */ var _conversations_reducer__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(28371);
/* harmony import */ var _feed_searches_reducer__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(19036);
/* harmony import */ var _feeds_reducer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(91770);
/* harmony import */ var _follows_reducer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(83849);
/* harmony import */ var _lists_reducer__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(16510);
/* harmony import */ var _organizations_reducer__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(31143);
/* harmony import */ var _posts_reducer__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(95600);
/* harmony import */ var _recommended_sites_reducer__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(82491);
/* harmony import */ var _related_posts_reducer__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(17422);
/* harmony import */ var _site_blocks_reducer__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(89851);
/* harmony import */ var _sites_reducer__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(45251);
/* harmony import */ var _streams_reducer__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(73746);
/* harmony import */ var _tags_reducer__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(53964);
/* harmony import */ var _thumbnails_reducer__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(32896);
















const combinedReducer = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .combineReducers */ .H)({
  conversations: _conversations_reducer__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A,
  feeds: _feeds_reducer__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .Ay,
  feedSearches: _feed_searches_reducer__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Ay,
  follows: _follows_reducer__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Ay,
  lists: _lists_reducer__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Ay,
  posts: _posts_reducer__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .Ay,
  recommendedSites: _recommended_sites_reducer__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .Ay,
  relatedPosts: _related_posts_reducer__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Ay,
  siteBlocks: _site_blocks_reducer__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .Ay,
  sites: _sites_reducer__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .Ay,
  streams: _streams_reducer__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .Ay,
  tags: _tags_reducer__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A,
  thumbnails: _thumbnails_reducer__WEBPACK_IMPORTED_MODULE_14__/* ["default"] */ .A,
  organizations: _organizations_reducer__WEBPACK_IMPORTED_MODULE_15__/* ["default"] */ .Ay
});
const readerReducer = (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .withStorageKey */ .p6)('reader', combinedReducer);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (readerReducer);

/***/ }),

/***/ 17422:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, queuedRequests */
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(18366);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(23619);



function setStateForKey(state, action, val) {
  const {
    siteId,
    postId,
    scope,
    size
  } = action.payload;
  return {
    ...state,
    [(0,_utils__WEBPACK_IMPORTED_MODULE_0__/* .key */ .Eb)(siteId, postId, scope, size)]: val
  };
}
const items = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_RELATED_POSTS_RECEIVE */ ._S:
      return setStateForKey(state, action, action.payload.posts.map(p => p.global_ID));
  }
  return state;
};
const queuedRequests = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_RELATED_POSTS_REQUEST */ .uI:
      return setStateForKey(state, action, true);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_RELATED_POSTS_REQUEST_SUCCESS */ .Oy:
      return setStateForKey(state, action, false);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_RELATED_POSTS_REQUEST_FAILURE */ .FY:
      return setStateForKey(state, action, false);
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .combineReducers */ .H)({
  items,
  queuedRequests
}));

/***/ }),

/***/ 23619:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Eb: () => (/* binding */ key)
/* harmony export */ });
/* unused harmony exports SCOPE_ALL, SCOPE_SAME, SCOPE_OTHER */
const SCOPE_ALL = 'all';
const SCOPE_SAME = 'same';
const SCOPE_OTHER = 'other';
function key(siteId, postId, scope = SCOPE_ALL, size = 2) {
  return `${siteId}-${postId}-${scope}-${size}`;
}

/***/ }),

/***/ 89851:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, currentPage, lastPage, inflightPages */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(18366);



const items = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SITE_BLOCK */ .MC:
      {
        return {
          ...state,
          [action.payload.siteId]: true
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SITE_UNBLOCK */ .zI:
      {
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, action.payload.siteId);
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SITE_REQUEST_SUCCESS */ .yL:
      {
        if (!action.payload.is_blocked) {
          if (!state[action.payload.ID]) {
            return state;
          }
          return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, action.payload.ID);
        }
        return {
          ...state,
          [action.payload.ID]: true
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SITE_BLOCKS_RECEIVE */ .dG:
      {
        if (!action.payload || !action.payload.sites) {
          return state;
        }
        const newBlocks = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(action.payload.sites, (obj, site) => {
          obj[site.ID] = true;
          return obj;
        }, {});
        return {
          ...state,
          ...newBlocks
        };
      }
  }
  return state;
};
const currentPage = (state = 1, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SITE_BLOCKS_RECEIVE */ .dG:
      {
        if (!action.payload || !action.payload.page) {
          return state;
        }
        return action.payload.page;
      }
  }
  return state;
};
const lastPage = (state = null, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SITE_BLOCKS_RECEIVE */ .dG:
      {
        if (!action.payload || !action.payload.page || action.payload.count > 0) {
          return state;
        }
        return action.payload.page;
      }
  }
  return state;
};
const inflightPages = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SITE_BLOCKS_REQUEST */ .jr:
      {
        if (!action.payload || !action.payload.page) {
          return state;
        }
        return {
          ...state,
          [action.payload.page]: true
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_SITE_BLOCKS_RECEIVE */ .dG:
      {
        if (!action.payload || !action.payload.page) {
          return state;
        }
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, action.payload.page);
      }
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .combineReducers */ .H)({
  items,
  currentPage,
  lastPage,
  inflightPages
}));

/***/ }),

/***/ 21104:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Bb: () => (/* binding */ receiveReaderSiteRequestFailure),
/* harmony export */   Sb: () => (/* binding */ receiveReaderSiteRequestSuccess),
/* harmony export */   lC: () => (/* binding */ requestSite)
/* harmony export */ });
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_data_layer_wpcom_read_sites__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(23894);
/* harmony import */ var calypso_state_reader_init__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99544);



function requestSite(blogId) {
  return {
    type: calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_2__/* .READER_SITE_REQUEST */ .CB,
    payload: {
      ID: blogId
    }
  };
}
function receiveReaderSiteRequestSuccess(data) {
  return {
    type: calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_2__/* .READER_SITE_REQUEST_SUCCESS */ .yL,
    payload: data
  };
}
function receiveReaderSiteRequestFailure(action, error) {
  return {
    type: calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_2__/* .READER_SITE_REQUEST_FAILURE */ .LG,
    payload: action.payload,
    error
  };
}

/***/ }),

/***/ 99982:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ fields)
/* harmony export */ });
const fields = ['ID', 'name', 'title', 'URL', 'icon', 'is_following', 'is_jetpack', 'description', 'is_private', 'feed_ID', 'feed_URL', 'capabilities', 'prefer_feed', 'subscribers_count', 'options',
// have to include this to get options at all
'subscription', 'is_blocked', 'unseen_count'];

/***/ }),

/***/ 45251:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, queuedRequests, lastFetched */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(84790);
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(61402);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(88926);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(18366);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(65664);






function handleRequestFailure(state, action) {
  // 410 means site moved - site used to be on wpcom but is no longer
  const handledStatusCodes = [403, 404, 410];
  if (action.error && !(0,lodash__WEBPACK_IMPORTED_MODULE_0__.includes)(handledStatusCodes, action.error.statusCode)) {
    return state;
  }
  return {
    ...state,
    [action.payload.ID]: {
      ID: action.payload.ID,
      is_error: true,
      error: action.error
    }
  };
}
function adaptSite(attributes) {
  // this also ends up cloning attributes, which is important since we mutate it
  attributes = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(attributes, ['meta', 'subscription']);
  if (attributes.URL) {
    attributes.domain = (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_1__/* .withoutHttp */ .Lo)(attributes.URL);
    attributes.slug = attributes.domain.replace(/\//g, '::');
  }
  attributes.title = typeof attributes.name === 'string' && attributes.name.trim() || attributes.domain;
  if (attributes.description) {
    attributes.description = (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_2__/* .decodeEntities */ .S)(attributes.description);
  }

  // If a WordPress.com site has a mapped domain create a `wpcom_url`
  // attribute to allow site selection with either domain.
  if (attributes.options && attributes.options.is_mapped_domain && !attributes.is_jetpack) {
    attributes.wpcom_url = (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_1__/* .withoutHttp */ .Lo)(attributes.options.unmapped_url);
  }

  // If a site has an `is_redirect` property use the `unmapped_url`
  // for the slug and domain to match the wordpress.com original site.
  if (attributes.options && attributes.options.is_redirect) {
    attributes.slug = (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_1__/* .withoutHttp */ .Lo)(attributes.options.unmapped_url);
    attributes.domain = attributes.slug;
  }
  return attributes;
}
function handleRequestSuccess(state, action) {
  const site = adaptSite(action.payload);
  // TODO do we need to normalize site entries somehow?
  return {
    ...state,
    [action.payload.ID]: site
  };
}
const itemsReducer = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_SITE_BLOCKS_RECEIVE */ .dG:
      {
        if (!action.payload || !action.payload.sites) {
          return state;
        }
        const newBlocks = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.keyBy)(action.payload.sites, 'ID');

        // Prefer existing state if we have it - site details provided by blocks are limited (only name, URL)
        return {
          ...newBlocks,
          ...state
        };
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_SITE_REQUEST_SUCCESS */ .yL:
      return handleRequestSuccess(state, action);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_SITE_REQUEST_FAILURE */ .LG:
      return handleRequestFailure(state, action);
  }
  return state;
};
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_5__/* .readerSitesSchema */ .P, (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_6__/* .withPersistence */ .O)(itemsReducer, {
  // remove errors from the serialized state
  serialize: state => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omitBy)(state, 'is_error')
}));
function queuedRequests(state = {}, action) {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_SITE_REQUEST */ .CB:
      return {
        ...state,
        [action.payload.ID]: true
      };
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_SITE_REQUEST_SUCCESS */ .yL:
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_SITE_REQUEST_FAILURE */ .LG:
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, action.payload.ID);
  }
  return state;
}
const lastFetched = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_3__/* .READER_SITE_REQUEST_SUCCESS */ .yL:
      return {
        ...state,
        [action.payload.ID]: Date.now()
      };
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_7__/* .combineReducers */ .H)({
  items,
  queuedRequests,
  lastFetched
}));

/***/ }),

/***/ 65664:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   P: () => (/* binding */ readerSitesSchema)
/* harmony export */ });
/* harmony import */ var calypso_state_sites_schema__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66970);


// based on the normal site endpoint schema with a few extra properties
const readerSitesSchema = {
  ...calypso_state_sites_schema__WEBPACK_IMPORTED_MODULE_0__/* .sitesSchema */ .c,
  patternProperties: {
    ...calypso_state_sites_schema__WEBPACK_IMPORTED_MODULE_0__/* .sitesSchema */ .c.patternProperties,
    ['^\\d+$']: {
      ...calypso_state_sites_schema__WEBPACK_IMPORTED_MODULE_0__/* .sitesSchema */ .c.patternProperties['^\\d+$'],
      properties: {
        ...calypso_state_sites_schema__WEBPACK_IMPORTED_MODULE_0__/* .sitesSchema */ .c.patternProperties['^\\d+$'].properties,
        feed_ID: {
          type: 'number'
        },
        subscription: {
          type: 'object'
        },
        is_blocked: {
          type: 'boolean'
        },
        organization_id: {
          type: 'number'
        },
        unseen_count: {
          type: 'number'
        }
      }
    }
  }
};

/***/ }),

/***/ 31317:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X1: () => (/* binding */ shouldSiteBeFetched)
/* harmony export */ });
/* unused harmony exports getSite, getSiteByFeedUrl */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_reader_init__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99544);


const DAY_IN_MILLIS = 24 * 60 * 1000 * 1000;

/**
 * Returns true if we should fetch the site
 * @param  {Object}  state  Global state tree
 * @param  {number}  siteId The site ID
 * @returns {boolean}        Whether site should be fetched
 */

function shouldSiteBeFetched(state, siteId) {
  const isNotQueued = !state.reader.sites.queuedRequests[siteId];
  const isMissing = !getSite(state, siteId);
  const staleWithoutError = isStale(state, siteId) && !isError(state, siteId);
  return isNotQueued && (isMissing || staleWithoutError);
}
function isStale(state, siteId) {
  const lastFetched = state.reader.sites.lastFetched[siteId];
  if (!lastFetched) {
    return true;
  }
  return lastFetched <= Date.now() - DAY_IN_MILLIS;
}
function isError(state, siteId) {
  const site = getSite(state, siteId);
  return site && site.is_error;
}

/**
 * Returns a site object
 * @param  {Object}  state  Global state tree
 * @param  {number}  siteId The site ID
 * @returns {Object}        Site
 */

function getSite(state, siteId) {
  return state.reader.sites.items[siteId];
}
function getSiteByFeedUrl(state, feedUrl) {
  return find(state.reader.sites.items, {
    feed_URL: feedUrl
  });
}

/***/ }),

/***/ 73746:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, PENDING_ITEMS_DEFAULT, pendingItems, selected, isRequesting, lastPage, pageHandle */
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(76154);
/* harmony import */ var moment__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(moment__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(60904);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(18366);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(24601);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(29919);





const takeWhile = (array, predicate) => {
  const [x, ...xs] = array;
  if (array.length > 0 && predicate(x)) {
    return [x, ...takeWhile(xs, predicate)];
  }
  return [];
};
const takeRightWhile = (array, predicate) => {
  return takeWhile([...array].reverse(), predicate);
};

/*
 * Contains a list of post-keys representing the items of a stream.
 */
const items = (state = [], action) => {
  let streamItems;
  let gap;
  let newState;
  let newXPosts;
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_PAGE_RECEIVE */ .So:
      gap = action.payload.gap;
      streamItems = action.payload.streamItems;
      if (!Array.isArray(streamItems)) {
        return state;
      }
      if (gap) {
        const beforeGap = takeWhile(state, postKey => !(0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_2__/* .keysAreEqual */ .f8)(postKey, gap));
        const afterGap = takeRightWhile(state, postKey => !(0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_2__/* .keysAreEqual */ .f8)(postKey, gap));

        // after query param is inclusive, so we need to drop duplicate post
        if ((0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_2__/* .keysAreEqual */ .f8)(streamItems[streamItems.length - 1], afterGap[0])) {
          streamItems.pop();
        }

        // gap was empty
        if (streamItems.length === 0) {
          return [...beforeGap, ...afterGap];
        }

        // create a new gap if we still need one
        let nextGap = [];
        const from = gap.from;
        const to = moment__WEBPACK_IMPORTED_MODULE_0___default()(streamItems[streamItems.length - 1]?.date);
        if (!from.isSame(to)) {
          nextGap = [{
            isGap: true,
            from,
            to
          }];
        }
        return (0,_utils__WEBPACK_IMPORTED_MODULE_3__/* .combineXPosts */ .H)([...beforeGap, ...streamItems, ...nextGap, ...afterGap]);
      }

      // add the `streamItems` to state, but only ones that aren't already there
      newState = streamItems.reduce((accuState, streamItem) => {
        const isNew = !accuState.some(accuItem => (0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_2__/* .keysAreEqual */ .f8)(accuItem, streamItem));
        return isNew ? [...accuState, streamItem] : accuState;
      }, state);

      // Find any x-posts
      newXPosts = streamItems.filter(postKey => postKey.xPostMetadata);
      if (!newXPosts) {
        return newState;
      }

      // Filter out duplicate x-posts
      return (0,_utils__WEBPACK_IMPORTED_MODULE_3__/* .combineXPosts */ .H)(newState);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_SHOW_UPDATES */ .DL:
      return (0,_utils__WEBPACK_IMPORTED_MODULE_3__/* .combineXPosts */ .H)([...action.payload.items, ...state]);
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_DISMISS_POST */ .wL:
      {
        const postKey = action.payload.postKey;
        const indexToRemove = state.findIndex(item => (0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_2__/* .keysAreEqual */ .f8)(item, postKey));
        if (indexToRemove === -1) {
          return state;
        }
        const updatedState = [...state];
        updatedState[indexToRemove] = updatedState.pop(); // set the dismissed post location to the last item from the recs stream
        return updatedState;
      }
  }
  return state;
};
const PENDING_ITEMS_DEFAULT = {
  lastUpdated: null,
  items: []
};
/*
 * Contains new items in the stream that we've learned about since initial render
 * but don't want to display just yet.
 * This is the data backing the orange "${number} new posts" pill.
 */
const pendingItems = (state = PENDING_ITEMS_DEFAULT, action) => {
  let streamItems;
  let maxDate;
  let minDate;
  let newItems;
  let newXPosts;
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_PAGE_RECEIVE */ .So:
      streamItems = action.payload.streamItems;
      if (streamItems.length === 0) {
        return state;
      }
      maxDate = moment__WEBPACK_IMPORTED_MODULE_0___default()(streamItems[0].date);
      if (state.lastUpdated && maxDate.isSameOrBefore(state.lastUpdated)) {
        return state;
      }
      return {
        ...state,
        lastUpdated: maxDate
      };
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_UPDATES_RECEIVE */ .ZH:
      streamItems = action.payload.streamItems;
      if (streamItems.length === 0) {
        return state;
      }
      maxDate = moment__WEBPACK_IMPORTED_MODULE_0___default()(streamItems[0].date);
      minDate = moment__WEBPACK_IMPORTED_MODULE_0___default()(streamItems[streamItems.length - 1].date);

      // only retain posts that are newer than ones we already have
      if (state.lastUpdated) {
        streamItems = streamItems.filter(item => moment__WEBPACK_IMPORTED_MODULE_0___default()(item.date).isAfter(state.lastUpdated));
      }
      if (streamItems.length === 0) {
        return state;
      }
      newItems = [...streamItems];

      // Find any x-posts and filter out duplicates
      newXPosts = newItems.filter(postKey => postKey.xPostMetadata);
      if (newXPosts) {
        newItems = (0,_utils__WEBPACK_IMPORTED_MODULE_3__/* .combineXPosts */ .H)(newItems);
      }

      // there is a gap if the oldest item in the poll is newer than last update time
      if (state.lastUpdated && minDate.isAfter(state.lastUpdated)) {
        newItems.push({
          isGap: true,
          from: state.lastUpdated,
          to: minDate
        });
      }
      return {
        lastUpdated: maxDate,
        items: newItems
      };
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_SHOW_UPDATES */ .DL:
      return {
        ...state,
        items: []
      };
  }
  return state;
};

/*
 * Contains which postKey is currently selected.
 * This is relevant for keyboard navigation
 */
const selected = (state = null, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_SELECT_ITEM */ .vt:
      {
        return action.payload.postKey;
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_SELECT_NEXT_ITEM */ .r:
      {
        const idx = action.payload.items?.findIndex(item => (0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_2__/* .keysAreEqual */ .f8)(item, state)) ?? -1;
        return idx === action.payload.items.length - 1 ? state : action.payload.items[idx + 1];
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_SELECT_PREV_ITEM */ .dv:
      {
        const idx = action.payload.items?.findIndex(item => (0,calypso_reader_post_key__WEBPACK_IMPORTED_MODULE_2__/* .keysAreEqual */ .f8)(item, state)) ?? -1;
        return idx === 0 ? state : action.payload.items[idx - 1];
      }
  }
  return state;
};

/*
 * Contains whether or not a request for a new page is in flight.
 * Most parts of Calypso don't need this data, but streams still do since we can't infer the status
 * from current state. Its possible to have a list of post-keys as the state, and yet be fetching another page.
 *
 * isRequesting data is mostly used for whether or not to render placeholders
 */
const isRequesting = (state = false, action) => {
  // this has become a lie! its not really whether we are requesting, just if we need to show
  // placeholders at the bottom of the stream
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_PAGE_REQUEST */ .KW:
      return state || !action.payload.isPoll && !action.payload.isGap;
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_PAGE_RECEIVE */ .So:
      return false;
  }
  return state;
};

/*
 * Contains whether or not a stream is at its end.
 * This data is used to tell our infinite-list components
 * to render its 'end-of-stream' and stop making requests for more data.
 */
const lastPage = (state = false, action) => {
  if (action.type === calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_PAGE_RECEIVE */ .So) {
    return action.payload.streamItems.length === 0;
  }
  return state;
};

/*
 * Contains the query params needed to be able to fetch the next page.
 * This usually gets handed to the request for more stream items
 */
const pageHandle = (state = null, action) => {
  if (action.type === calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_STREAMS_PAGE_RECEIVE */ .So && action.payload.pageHandle && !action.payload.isPoll && !action.payload.gap) {
    return action.payload.pageHandle;
  }
  return state;
};
const streamReducer = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__/* .combineReducers */ .H)({
  items,
  pendingItems,
  selected,
  lastPage,
  isRequesting,
  pageHandle
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_5__/* .keyedReducer */ .b)('payload.streamKey', streamReducer));

/***/ }),

/***/ 29919:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   H: () => (/* binding */ combineXPosts)
/* harmony export */ });
/* unused harmony export addDuplicateXPostToPostKey */
/* harmony import */ var calypso_reader_stream_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(65622);


/**
 * Add the post URL from a duplicate x-post to an existing post key
 * @param {Object} postKey1 First post key
 * @param {Object} postKey2 Second (duplicate) post key
 * @returns {Object} Post key
 */
const addDuplicateXPostToPostKey = (postKey1, postKey2) => {
  return {
    ...postKey1,
    // Add the URL from the second post key
    xPostUrls: Array.isArray(postKey1.xPostUrls) ? [...postKey1.xPostUrls, postKey2.url] : [postKey2.url]
  };
};

/**
 * Combine adjacent x-posts that refer to the same original post
 * @param {Array} postKeys Array of post key objects
 * @returns {Array} Array of post key objects
 */
const combineXPosts = postKeys => postKeys.reduce((accumulator, postKey) => {
  const lastPostKey = accumulator[accumulator.length - 1];
  if ((0,calypso_reader_stream_utils__WEBPACK_IMPORTED_MODULE_0__/* .sameXPost */ .dv)(lastPostKey, postKey)) {
    accumulator[accumulator.length - 1] = addDuplicateXPostToPostKey(lastPostKey, postKey);
  } else {
    accumulator.push(postKey);
  }
  return accumulator;
}, []);

/***/ }),

/***/ 72731:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2140);



/*
 * since the api always returns the whole list of followed tags unpaginated, both read/tags*,
 * we can do a full replace instead of merge
 *
 * the shape of a tag is { id, url, title, displayName, isFollowing }.
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((state = null, action) => {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_TAGS_RECEIVE */ .wN:
      {
        const tags = action.payload;
        const resetFollowingData = action.meta.resetFollowingData;
        if (!resetFollowingData) {
          return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, state, (0,lodash__WEBPACK_IMPORTED_MODULE_0__.keyBy)(tags, 'id'));
        }
        const allTagsUnfollowed = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.mapValues)(state, tag => ({
          ...tag,
          isFollowing: false
        }));
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, allTagsUnfollowed, (0,lodash__WEBPACK_IMPORTED_MODULE_0__.keyBy)(tags, 'id'));
      }
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_1__/* .READER_UNFOLLOW_TAG_RECEIVE */ .Ad:
      {
        const removedTag = action.payload;
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, state, {
          [removedTag]: {
            isFollowing: false
          }
        });
      }
  }
  return state;
});

/***/ }),

/***/ 53964:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(18366);
/* harmony import */ var _items_reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(72731);


/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .combineReducers */ .H)({
  items: _items_reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A
}));

/***/ }),

/***/ 32896:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export items */
/* harmony import */ var calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2140);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18366);



/**
 * Tracks mappings between embedUrls (iframe.src) --> thumbnails
 * Here is what the state tree may look like:
 *
 * thumbnails: {
 * items: {
 * 'https://www.youtube.com/watch?v=syWk7P3SPMQ': https://img.youtube.com/vi/syWk7P3SPMQ/mqdefault.jpg,
 * ...
 * },
 * requesting: {
 * 'https://www.youtube.com/watch?v=syWk7P3SPMQ': false,
 * ...
 * }
 * }
 * @param  {Array} state  Current state
 * @param  {Object} action Action payload
 * @returns {Array}        Updated state
 */
function items(state = {}, action) {
  switch (action.type) {
    case calypso_state_reader_action_types__WEBPACK_IMPORTED_MODULE_0__/* .READER_THUMBNAIL_RECEIVE */ .D4:
      return {
        ...state,
        [action.embedUrl]: action.thumbnailUrl
      };
  }
  return state;
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .combineReducers */ .H)({
  items
}));

/***/ }),

/***/ 16010:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(18366);
/* harmony import */ var _current_user_reducer__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(79672);
/* harmony import */ var _data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(23046);
/* harmony import */ var _sites_reducer__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(45253);
// The eslint configuration below helps prevent new legacy reducers from being added.
// See `docs/modularized-state.md` to learn more about modularized state.

/*eslint no-restricted-imports: ["error", {
    "patterns": ["./*\/reducer*", "state/*\/reducer*"]
}]*/


 // eslint-disable-line no-restricted-imports

 // eslint-disable-line no-restricted-imports

// Legacy reducers
// The reducers in this list are not modularized, and are always loaded on boot.
// Please do not add to this list. See #39261 and p4TIVU-9lM-p2 for more details.
const reducers = {
  currentUser: _current_user_reducer__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay,
  dataRequests: _data_layer_wpcom_http_utils__WEBPACK_IMPORTED_MODULE_1__/* .reducer */ .Ff,
  sites: _sites_reducer__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay
};
/* unused harmony default export */ var __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .combineReducers */ .H)(reducers));

/***/ }),

/***/ 59662:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K: () => (/* binding */ registerReducer),
/* harmony export */   k: () => (/* binding */ setStore)
/* harmony export */ });
/* harmony import */ var _add_reducer__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(96882);

let currentAddReducer;
const reducerRegistrationQueue = [];
function setStore(store, getStoredState) {
  // Clear any previously added reducers when replacing an existing store.
  if (currentAddReducer) {
    (0,_add_reducer__WEBPACK_IMPORTED_MODULE_0__/* .clear */ .I)();
  }
  currentAddReducer = (0,_add_reducer__WEBPACK_IMPORTED_MODULE_0__/* .addReducerToStore */ .c)(store, getStoredState);

  // Synchronously add all pending reducers.
  // These include reducers registered to previous stores, since their code has
  // already been loaded.
  for (const [key, reducer] of reducerRegistrationQueue) {
    currentAddReducer(key, reducer);
  }
}
function registerReducer(key, reducer) {
  if (currentAddReducer) {
    // Register immediately.
    currentAddReducer(key, reducer);
  }

  // Add to queue, for future stores.
  reducerRegistrationQueue.push([key, reducer]);
}

/***/ }),

/***/ 34420:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(59662);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7320);


(0,calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__/* .registerReducer */ .K)(['route'], _reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A);

/***/ }),

/***/ 9375:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export lastNonEditorRouteReducer */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);


/**
 * Include paths which start in the classic editor because it is common
 * to redirect from classic to block editor. For example, to create a new
 * page, you go to `/page`, which then redirects to `/block-editor/page`.
 * Matching page or post handles that case.
 */
const editorPattern = /^\/(block-editor|site-editor|page[^s]|post[^s])/;
const lastNonEditorRouteReducer = (state = '', action) => {
  const {
    path,
    type
  } = action;
  switch (type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .ROUTE_SET */ .hsX:
      if (path && !editorPattern.test(path)) {
        return path;
      }
      return state;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .ROUTE_CLEAR_LAST_NON_EDITOR */ .BPb:
      return '';
    default:
      return state;
  }
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (lastNonEditorRouteReducer);

/***/ }),

/***/ 42308:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
const schema = {
  type: 'string'
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (schema);

/***/ }),

/***/ 88778:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export pathReducer */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

const initialState = {
  initial: '',
  current: '',
  previous: ''
};
const pathReducer = (state = initialState, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .ROUTE_SET */ .hsX:
      return {
        initial: state.initial === '' ? action.path : state.initial,
        current: action.path,
        previous: state.current
      };
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (pathReducer);

/***/ }),

/***/ 4571:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export queryReducer */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

const initialState = {
  initial: false,
  current: false,
  previous: false
};
const queryReducer = (state = initialState, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .ROUTE_SET */ .hsX:
      return {
        initial: state.initial === false ? action.query : state.initial,
        current: action.query,
        previous: state.current
      };
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (queryReducer);

/***/ }),

/***/ 7320:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(18366);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(78941);
/* harmony import */ var _last_non_editor_route_reducer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(9375);
/* harmony import */ var _last_non_editor_route_schema__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(42308);
/* harmony import */ var _path_reducer__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(88778);
/* harmony import */ var _query_reducer__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(4571);







function timestamp(state = null, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .ROUTE_SET */ .hsX:
      return Date.now();
    default:
      return state;
  }
}
const combinedReducer = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .combineReducers */ .H)({
  lastNonEditorRoute: (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .withSchemaValidation */ .N)(_last_non_editor_route_schema__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, _last_non_editor_route_reducer__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A),
  path: _path_reducer__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A,
  query: _query_reducer__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A,
  timestamp
});
const routeReducer = (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .withStorageKey */ .p6)('route', combinedReducer);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (routeReducer);

/***/ }),

/***/ 35014:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_blocks_inline_help_admin_sections__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(53253);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(62542);




/**
 * Returns a filtered site admin collection using the memoized getAdminSections.
 *
 * Note that the first argument `state` is not used,
 * because the admin sections are store in the admin-sections.js,
 * in the inline-block component.
 * @param   {Object} state      Global state tree
 * @param   {string} searchTerm The search term
 * @param   {number} limit      The maximum number of results to show
 * @returns {Array}             A filtered (or empty) array
 */
const getAdminHelpResults = (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .createSelector */ .Mz)((state, searchTerm = '', limit) => {
  if (!searchTerm) {
    return [];
  }
  const siteId = (0,calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state);
  return (0,calypso_blocks_inline_help_admin_sections__WEBPACK_IMPORTED_MODULE_1__/* .filterListBySearchTerm */ ._)(searchTerm, (0,calypso_blocks_inline_help_admin_sections__WEBPACK_IMPORTED_MODULE_1__/* .getAdminSections */ .u)(state, siteId), limit);
}, state => [(0,calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state)]);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (getAdminHelpResults);

/***/ }),

/***/ 38431:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export getCurrentRoute */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_route_init__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(34420);



/**
 * Gets the last route set by a ROUTE_SET action
 * @param {Object} state - global redux state
 * @returns {string} current route value
 */
const getCurrentRoute = state => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(state, 'route.path.current', null);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (getCurrentRoute);

/***/ }),

/***/ 79999:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* unused harmony export default */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_selectors_is_site_wpforteams__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31728);



/**
 * Returns the P2 hub blog id for the site. If the site is a hub the id will be
 * the same as the site id.
 * @param {Object} state Global state tree
 * @param {number} siteId the site ID
 * @returns {?number} Blog ID of the site's hub if it is a P2 – otherwise null.
 */
function getP2HubBlogId(state, siteId) {
  if (!isSiteWPForTeams(state, siteId)) {
    return null;
  }
  return get(state, ['sites', 'items', siteId, 'options', 'p2_hub_blog_id'], null);
}

/***/ }),

/***/ 74226:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getPrimarySiteId)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(13034);



/**
 * Returns the current user's primary site's ID.
 * @param  {Object}  state Global state tree
 * @returns {?number}       The current user's primary site's ID
 */
function getPrimarySiteId(state) {
  const currentUser = (0,calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_1__/* .getCurrentUser */ .HW)(state);
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(currentUser, 'primary_blog', null);
}

/***/ }),

/***/ 14092:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getRawSite)
/* harmony export */ });
/* harmony import */ var calypso_state_selectors_get_sites_items__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(55629);

/**
 * Returns a raw site object by its ID.
 */
function getRawSite(state, siteId) {
  return (0,calypso_state_selectors_get_sites_items__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state)[siteId] || null;
}

/***/ }),

/***/ 21983:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* unused harmony export default */
/* harmony import */ var calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14092);


/**
 * Returns a site's URL or null if the site doesn't exist or the URL is unknown
 * @param  {Object}  state  Global state tree
 * @param  {number}  siteId Site ID
 * @returns {?string}        URL of site if known
 */
function getSiteUrl(state, siteId) {
  const site = getRawSite(state, siteId);
  return site?.URL ?? null;
}

/***/ }),

/***/ 55629:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSitesItems)
/* harmony export */ });
const EMPTY_SITES = Object.freeze({});

/**
 * Returns site items object or empty object.
 */
function getSitesItems(state) {
  return state.sites.items || EMPTY_SITES;
}

/***/ }),

/***/ 35381:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export hasCancelableUserPurchases */
/* harmony import */ var calypso_state_purchases_selectors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(32703);
/* harmony import */ var calypso_state_purchases_init__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(38399);



/**
 * Does the user have any current purchases that can be canceled (i.e. purchases other than legacy premium theme purchases)?
 *
 * Note: there is an is_cancelable flag on the purchase object, but it returns true for legacy premium theme purchases.
 * @param  {Object}  state       global state
 * @returns {boolean} if the user currently has any purchases that can be canceled.
 */
const hasCancelableUserPurchases = state => {
  const purchases = (0,calypso_state_purchases_selectors__WEBPACK_IMPORTED_MODULE_1__/* .getUserPurchases */ ._)(state);
  return purchases && purchases.some(purchase => purchase.isRefundable || purchase.productSlug !== 'premium_theme');
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (hasCancelableUserPurchases);

/***/ }),

/***/ 31728:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* unused harmony export default */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);

/**
 * Returns true if site is a WP for Teams site, false if not and null if unknown
 * @param  {Object|unknown}   state  Global state tree
 * @param  {number|null}   siteId Site ID
 * @returns {?boolean}        Whether site is a WP for Teams site
 */
function isSiteWPForTeams(state, siteId) {
  return get(state, ['sites', 'items', siteId, 'options', 'is_wpforteams_site'], null);
}

/***/ }),

/***/ 96088:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ SerializationResult)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(24586);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Helper class for holding results of state serialization
 * Accumulates the state tree for "root" and any number of custom "storage keys"
 * Each storage key is then saved as a separate record in IndexedDB
 */
class SerializationResult {
  constructor(results = {}) {
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(this, "results", void 0);
    this.results = results;
  }
  get() {
    return this.results;
  }
  root() {
    return this.results.root;
  }
  addRootResult(reducerKey, result) {
    return this.addResult('root', reducerKey, result);
  }
  addKeyResult(storageKey, result) {
    return this.addResult(storageKey, null, result);
  }
  addResult(storageKey, reducerKey, result) {
    if (result instanceof SerializationResult) {
      (0,lodash__WEBPACK_IMPORTED_MODULE_0__.forEach)(result.results, (resultState, resultKey) => {
        if (resultKey === 'root') {
          this.addResult(storageKey, reducerKey, resultState);
        } else {
          this.addResult(resultKey, null, resultState);
        }
      });
    } else if (reducerKey) {
      if (!this.results[storageKey]) {
        this.results[storageKey] = {};
      }
      this.results[storageKey][reducerKey] = result;
    } else {
      this.results[storageKey] = result;
    }
  }
}

/***/ }),

/***/ 73086:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Gd: () => (/* binding */ requestSites),
/* harmony export */   lC: () => (/* binding */ requestSite)
/* harmony export */ });
/* unused harmony exports receiveDeletedSite, receiveSite, receiveSites, deleteSite, sitePluginUpdated, updateSiteFrontPage, receiveSiteFrontPage, updateSiteMigrationMeta */
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var calypso_lib_wp__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(89406);
/* harmony import */ var calypso_me_purchases_paths__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(95472);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_current_user_actions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(71639);
/* harmony import */ var calypso_state_selectors_get_p2_hub_blog_id__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(79999);
/* harmony import */ var calypso_state_selectors_get_site_url__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(21983);
/* harmony import */ var calypso_state_sites_constants__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(38724);













/**
 * Returns a thunk that dispatches an action object to be used in signalling that a site has been
 * deleted. It also re-fetches the current user.
 * @param  {number} siteId  ID of deleted site
 * @returns {Function}        Action thunk
 */
function receiveDeletedSite(siteId) {
  return dispatch => {
    dispatch({
      type: SITE_DELETE_RECEIVE,
      siteId
    });
    dispatch(fetchCurrentUser());
  };
}

/**
 * Returns an action object to be used in signalling that a site object has
 * been received.
 * @param  {Object} site Site received
 * @returns {Object}      Action object
 */
function receiveSite(site) {
  return {
    type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_RECEIVE */ .InQ,
    site
  };
}

/**
 * Returns an action object to be used in signalling that site objects have
 * been received.
 * @param  {Object[]} sites Sites received
 * @returns {Object}         Action object
 */
function receiveSites(sites) {
  return {
    type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_RECEIVE */ .PzS,
    sites
  };
}

/**
 * Triggers a network request to request all visible sites
 * @returns {Function}        Action thunk
 */
function requestSites() {
  return dispatch => {
    dispatch({
      type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_REQUEST */ .hwQ
    });
    const siteFilter = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('site_filter');
    return calypso_lib_wp__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A.me().sites({
      apiVersion: '1.2',
      site_visibility: 'all',
      include_domain_only: true,
      site_activity: 'active',
      fields: calypso_state_sites_constants__WEBPACK_IMPORTED_MODULE_7__/* .SITE_REQUEST_FIELDS */ .Q,
      options: calypso_state_sites_constants__WEBPACK_IMPORTED_MODULE_7__/* .SITE_REQUEST_OPTIONS */ .d,
      filters: siteFilter.length > 0 ? siteFilter.join(',') : undefined
    }).then(response => {
      dispatch(receiveSites(response.sites));
      dispatch({
        type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_REQUEST_SUCCESS */ .$pi
      });
    }).catch(error => {
      dispatch({
        type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_REQUEST_FAILURE */ .cT_,
        error
      });
    });
  };
}

/**
 * Returns a function which, when invoked, triggers a network request to fetch
 * a site.
 * @param {number|string} siteFragment Site ID or slug
 * @returns {Function}              Action thunk
 */
function requestSite(siteFragment) {
  function doRequest(forceWpcom) {
    const query = {
      apiVersion: '1.2'
    };
    if (forceWpcom) {
      query.force = 'wpcom';
    }
    const siteFilter = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('site_filter');
    if (siteFilter.length > 0) {
      query.filters = siteFilter.join(',');
    }
    return calypso_lib_wp__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A.site(siteFragment).get(query);
  }
  return dispatch => {
    dispatch({
      type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_REQUEST */ .ctU,
      siteId: siteFragment
    });
    const result = doRequest(false).catch(error => {
      // if there is Jetpack JSON API module error, retry with force: 'wpcom'
      if (error?.status === 403 && error?.message === 'API calls to this blog have been disabled.' || error?.status === 400 && error?.name === 'ApiNotFoundError') {
        return doRequest(true);
      }
      return Promise.reject(error);
    });
    result.then(site => {
      // If we can't manage the site, don't add it to state.
      if (site && site.capabilities) {
        dispatch(receiveSite((0,lodash__WEBPACK_IMPORTED_MODULE_1__.omit)(site, '_headers')));
      }
      dispatch({
        type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_REQUEST_SUCCESS */ .OYC,
        siteId: siteFragment
      });
    }).catch(() => {
      dispatch({
        type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_REQUEST_FAILURE */ .NOg,
        siteId: siteFragment
      });
    });
    return result;
  };
}
const siteDeletionNoticeId = 'site-delete';
const siteDeletionNoticeOptions = {
  duration: 5000,
  id: siteDeletionNoticeId
};

/**
 * Returns a function which, when invoked, triggers a network request to delete
 * a site.
 * @param  {number}   siteId Site ID
 * @returns {Function}        Action thunk
 */
function deleteSite(siteId) {
  return (dispatch, getState) => {
    const siteDomain = getSiteDomain(getState(), siteId);
    dispatch(successNotice(translate('%(siteDomain)s is being deleted.', {
      args: {
        siteDomain
      }
    }), siteDeletionNoticeOptions));
    return wpcom.req.post(`/sites/${siteId}/delete`).then(() => {
      dispatch(receiveDeletedSite(siteId));
      dispatch(successNotice(translate('%(siteDomain)s has been deleted.', {
        args: {
          siteDomain
        }
      }), siteDeletionNoticeOptions));
    }).catch(error => {
      if (error.error === 'active-subscriptions') {
        dispatch(errorNotice(translate('You must cancel any active subscriptions prior to deleting your site.'), {
          id: siteDeletionNoticeId,
          showDismiss: false,
          button: translate('Manage Purchases'),
          href: purchasesRoot
        }));
        return;
      }
      if (error.error === 'p2-hub-has-spaces') {
        const hubId = getP2HubBlogId(getState(), siteId);
        const hubUrl = getSiteUrl(getState(), hubId);
        dispatch(errorNotice(translate('Your P2 Workspace has P2s. You must delete all P2s in this workspace before you can delete it.'), {
          id: siteDeletionNoticeId,
          showDismiss: false,
          button: translate('Manage P2s'),
          href: hubUrl
        }));
        return;
      }
      dispatch(errorNotice(error.message, siteDeletionNoticeOptions));
    });
  };
}
const sitePluginUpdated = siteId => ({
  type: SITE_PLUGIN_UPDATED,
  siteId
});

/**
 * Returns an action object to be used to update the site front page options.
 * @param  {number} siteId Site ID
 * @param  {Object} frontPageOptions Object containing the three optional front page options.
 * @param  {string} [frontPageOptions.show_on_front] What to show in homepage. Can be 'page' or 'posts'.
 * @param  {number} [frontPageOptions.page_on_front] If `show_on_front = 'page'`, the front page ID.
 * @param  {number} [frontPageOptions.page_for_posts] If `show_on_front = 'page'`, the posts page ID.
 * @returns {Object} Action object
 */
const updateSiteFrontPage = (siteId, frontPageOptions) => async dispatch => {
  try {
    const response = await wpcom.req.post(`/sites/${siteId}/homepage`, {
      is_page_on_front: isPageOnFront(frontPageOptions.show_on_front),
      page_on_front_id: frontPageOptions.page_on_front,
      page_for_posts_id: frontPageOptions.page_for_posts
    });
    dispatch(receiveSiteFrontPage(siteId, {
      show_on_front: response.is_page_on_front ? 'page' : 'posts',
      page_on_front: response.page_on_front_id,
      page_for_posts: response.page_for_posts_id
    }));
  } catch {}
};
function isPageOnFront(showOnFront) {
  switch (showOnFront) {
    case 'page':
      return true;
    case 'posts':
      return false;
    default:
      return undefined;
  }
}
function receiveSiteFrontPage(siteId, {
  show_on_front,
  page_on_front,
  page_for_posts
}) {
  return {
    type: SITE_FRONT_PAGE_UPDATE,
    siteId,
    frontPageOptions: {
      show_on_front,
      page_on_front: parseInt(page_on_front, 10),
      page_for_posts: parseInt(page_for_posts, 10)
    }
  };
}

/**
 * Returns an action object to be used to update the site migration status.
 * @param {number} siteId Site ID
 * @param {string} migrationStatus The status of the migration.
 * @param {string} migrationErrorStatus The status error of the migration.
 * @param {string} lastModified Optional timestamp from the migration DB record
 * @returns {Object} Action object
 */
const updateSiteMigrationMeta = (siteId, migrationStatus, migrationErrorStatus, lastModified = null) => ({
  siteId,
  type: SITE_MIGRATION_STATUS_UPDATE,
  migrationStatus,
  migrationErrorStatus,
  lastModified
});

/***/ }),

/***/ 38724:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ SITE_REQUEST_FIELDS),
/* harmony export */   d: () => (/* binding */ SITE_REQUEST_OPTIONS)
/* harmony export */ });
const SITE_REQUEST_FIELDS = ['ID', 'URL', 'capabilities', 'icon', 'is_multisite', 'is_private', 'is_coming_soon', 'is_vip', 'jetpack', 'jetpack_modules', 'name', 'options', 'plan', 'products', 'single_user_site', 'visible', 'lang', 'launch_status', 'site_migration', 'site_owner', 'is_core_site_editor_enabled', 'is_wpcom_atomic', 'is_wpcom_staging_site', 'was_ecommerce_trial', 'was_migration_trial', 'was_upgraded_from_trial', 'was_hosting_trial', 'description', 'user_interactions'].join();
const SITE_REQUEST_OPTIONS = ['admin_url', 'advanced_seo_front_page_description', 'advanced_seo_title_formats', 'allowed_file_types', 'anchor_podcast', 'created_at', 'default_comment_status', 'default_ping_status', 'default_post_format', 'design_type', 'editing_toolkit_is_active', 'frame_nonce', 'gmt_offset', 'has_pending_automated_transfer', 'is_automated_transfer', 'is_cloud_eligible', 'is_domain_only', 'is_mapped_domain', 'is_redirect', 'is_wpcom_atomic', 'is_wpcom_store', 'is_wpforteams_site', 'p2_hub_blog_id', 'jetpack_frame_nonce', 'jetpack_version', 'main_network_site', 'page_on_front', 'page_for_posts', 'podcasting_archive', 'podcasting_category_id', 'publicize_permanently_disabled', 'restricted_tld', 'show_on_front', 'site_segment', 'software_version', 'timezone', 'updated_at', 'upgraded_filetypes_enabled', 'unmapped_url', 'verification_services_codes', 'videopress_enabled', 'woocommerce_is_active', 'wordads', 'site_creation_flow', 'site_source_slug', 'is_difm_lite_in_progress', 'site_intent', 'launchpad_screen', 'launchpad_checklist_tasks_statuses', 'wpcom_production_blog_id', 'wpcom_staging_blog_ids', 'can_blaze', 'is_commercial', 'is_commercial_reasons', 'wpcom_admin_interface', 'wpcom_classic_early_release'].join();

/***/ }),

/***/ 29671:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, updatingPrivacy, requesting, errors */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(18366);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(37852);
/* eslint-disable no-case-declarations */






/**
 * Returns a copy of the domains state object with some modifications
 * @param {Object} state - current state
 * @param {number} siteId - site ID
 * @param {string} domain - domain name
 * @param {Object} modifyDomainProperties - object with modified site domain properties
 * @returns {any} - new copy of the state
 */
const modifySiteDomainObjectImmutable = (state, siteId, domain, modifyDomainProperties) => {
  // Find the domain we want to update
  const targetDomain = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.find)(state[siteId], {
    domain: domain
  });
  const domainIndex = state[siteId].indexOf(targetDomain);
  // Copy as we shouldn't mutate original state
  const newDomains = [...state[siteId]];
  // Update privacy
  newDomains.splice(domainIndex, 1, Object.assign({}, targetDomain, modifyDomainProperties));
  return Object.assign({}, state, {
    [siteId]: newDomains
  });
};

/**
 * Domains `Reducer` function
 * @param {Object} state - current state
 * @param {Object} action - domains action
 * @returns {Object} updated state
 */
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_1__/* .itemsSchema */ .A, (state = {}, action) => {
  const {
    siteId
  } = action;
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .SITE_DOMAINS_RECEIVE */ .SLn:
      return Object.assign({}, state, {
        [siteId]: action.domains
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_PRIVACY_ENABLE_SUCCESS */ .gd7:
      return modifySiteDomainObjectImmutable(state, siteId, action.domain, {
        privateDomain: true,
        contactInfoDisclosed: false
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_PRIVACY_DISABLE_SUCCESS */ .T7i:
      return modifySiteDomainObjectImmutable(state, siteId, action.domain, {
        privateDomain: false,
        contactInfoDisclosed: false
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_CONTACT_INFO_DISCLOSE_SUCCESS */ .AVb:
      return modifySiteDomainObjectImmutable(state, siteId, action.domain, {
        privateDomain: false,
        contactInfoDisclosed: true
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_CONTACT_INFO_REDACT_SUCCESS */ .Rc$:
      return modifySiteDomainObjectImmutable(state, siteId, action.domain, {
        privateDomain: false,
        contactInfoDisclosed: false
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_MARK_AS_PENDING_MOVE */ .w5r:
      return modifySiteDomainObjectImmutable(state, siteId, action.domain, {
        isMoveToNewSitePending: true
      });
  }
  return state;
});

/**
 * Updating privacy reducer
 *
 * Figure out if we're in the middle of privacy modification command
 * @param {Object} state - current state
 * @param {Object} action - action
 * @returns {any} - new state
 */
const updatingPrivacy = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_PRIVACY_ENABLE */ .whV:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_PRIVACY_ENABLE_SUCCESS */ .gd7:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_PRIVACY_ENABLE_FAILURE */ .$Pq:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_PRIVACY_DISABLE */ .teO:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_PRIVACY_DISABLE_SUCCESS */ .T7i:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_PRIVACY_DISABLE_FAILURE */ .Edg:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_CONTACT_INFO_DISCLOSE */ .G_9:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_CONTACT_INFO_DISCLOSE_SUCCESS */ .AVb:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_CONTACT_INFO_DISCLOSE_FAILURE */ .Zon:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_CONTACT_INFO_REDACT */ .DHH:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_CONTACT_INFO_REDACT_SUCCESS */ .Rc$:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_CONTACT_INFO_REDACT_FAILURE */ .ug1:
      return Object.assign({}, state, {
        [action.siteId]: {
          [action.domain]: [calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_PRIVACY_ENABLE */ .whV, calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_PRIVACY_DISABLE */ .teO, calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_CONTACT_INFO_DISCLOSE */ .G_9, calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .DOMAIN_CONTACT_INFO_REDACT */ .DHH].indexOf(action.type) !== -1
        }
      });
  }
  return state;
};

/**
 * `Reducer` function which handles request/response actions
 * to/from WP REST-API
 * @param {Object} state - current state
 * @param {Object} action - domains action
 * @returns {Object} updated state
 */
const requesting = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .SITE_DOMAINS_REQUEST */ .ceS:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .SITE_DOMAINS_REQUEST_SUCCESS */ .wUb:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .SITE_DOMAINS_REQUEST_FAILURE */ .pFm:
      return Object.assign({}, state, {
        [action.siteId]: action.type === calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .SITE_DOMAINS_REQUEST */ .ceS
      });
  }
  return state;
};

/**
 * `Reducer` function which handles ERRORs REST-API response actions
 * @param {Object} state - current state
 * @param {Object} action - domains action
 * @returns {Object} updated state
 */
const errors = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .SITE_DOMAINS_REQUEST */ .ceS:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .SITE_DOMAINS_REQUEST_SUCCESS */ .wUb:
      return Object.assign({}, state, {
        [action.siteId]: null
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .SITE_DOMAINS_REQUEST_FAILURE */ .pFm:
      return Object.assign({}, state, {
        [action.siteId]: action.error
      });
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_4__/* .combineReducers */ .H)({
  errors,
  items,
  requesting,
  updatingPrivacy
}));

/***/ }),

/***/ 37852:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ itemsSchema)
/* harmony export */ });
const itemsSchema = {
  type: 'object',
  additionalProperties: false,
  patternProperties: {
    '^\\d+$': {
      type: 'array',
      items: {
        type: 'object',
        required: ['domain'],
        properties: {
          aftermarketAuction: {
            type: 'boolean'
          },
          autoRenewalDate: {
            type: 'string'
          },
          autoRenewing: {
            type: 'boolean'
          },
          blogId: {
            type: 'number'
          },
          canSetAsPrimary: {
            type: 'boolean'
          },
          currentUserCanManage: {
            type: 'boolean'
          },
          canManageDnsRecords: {
            type: 'boolean'
          },
          canManageNameServers: {
            type: 'boolean'
          },
          canUpdateContactInfo: {
            type: 'boolean'
          },
          cannotManageDnsRecordsReason: {
            type: ['null', 'string']
          },
          cannotManageNameServersReason: {
            type: ['null', 'string']
          },
          cannotUpdateContactInfoReason: {
            type: ['null', 'string']
          },
          domain: {
            type: 'string'
          },
          expired: {
            type: 'boolean'
          },
          expiry: {
            type: ['null', 'string']
          },
          expirySoon: {
            type: 'boolean'
          },
          googleAppsSubscription: {
            type: 'object'
          },
          titanMailSubscription: {
            type: 'object'
          },
          hasRegistration: {
            type: 'boolean'
          },
          hasWpcomNameservers: {
            type: 'boolean'
          },
          hasZone: {
            type: 'boolean'
          },
          isPendingIcannVerification: {
            type: 'boolean'
          },
          isPendingRenewal: {
            type: 'boolean'
          },
          isPremium: {
            type: 'boolean'
          },
          isPrimary: {
            type: 'boolean'
          },
          isSubdomain: {
            type: 'boolean'
          },
          isWPCOMDomain: {
            type: 'boolean'
          },
          manualTransferRequired: {
            type: 'boolean'
          },
          name: {
            type: 'string'
          },
          nominetDomainSuspended: {
            type: 'boolean'
          },
          nominetPendingContactVerificationRequest: {
            type: 'boolean'
          },
          owner: {
            type: 'string',
            optional: true
          },
          partnerDomain: {
            type: 'boolean'
          },
          pendingRegistration: {
            type: 'boolean'
          },
          pendingRegistrationTime: {
            type: 'string'
          },
          pointsToWpcom: {
            type: 'boolean'
          },
          registrar: {
            type: 'string'
          },
          registrationDate: {
            type: 'string'
          },
          siteSlug: {
            type: ['null', 'string']
          },
          siteTitle: {
            type: ['null', 'string']
          },
          subscriptionId: {
            type: ['null', 'string']
          },
          supportsDomainConnect: {
            type: 'boolean',
            optional: true
          },
          supportsGdprConsentManagement: {
            type: 'boolean',
            optional: true
          },
          type: {
            type: 'string'
          },
          transferStartDate: {
            type: ['null', 'string']
          },
          transferEndDate: {
            type: ['null', 'string']
          }
        }
      }
    }
  }
};

/***/ }),

/***/ 45473:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ featuresReducer)
/* harmony export */ });
/* unused harmony export initialSiteState */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

const initialSiteState = {
  data: null,
  error: null,
  hasLoadedFromServer: false,
  isRequesting: false
};

/**
 * Returns a new state with the given attributes updated for the specified site.
 * @param {Object} state current state
 * @param {number} siteId identifier of the site
 * @param {Object} attributes list of attributes and their values
 * @returns {Object} the new state
 */
function updateSiteState(state, siteId, attributes) {
  return Object.assign({}, state, {
    [siteId]: Object.assign({}, initialSiteState, state[siteId], attributes)
  });
}

/**
 * Given an object of features keyed by siteId, updates all features at once.
 * @param {Object} state The current features state
 * @param {Object} features An object containing feature arrays keyed by siteId
 * @returns The new state
 */
function updateBulkFeatures(state, features) {
  const newState = {};
  for (const siteId in features) {
    newState[siteId] = {
      ...initialSiteState,
      hasLoadedFromServer: true,
      data: features
    };
  }
  return {
    ...state,
    ...newState
  };
}
function featuresReducer(state = {}, {
  type,
  siteId,
  features,
  error
}) {
  switch (type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .SITE_FEATURES_FETCH */ .vyR:
      return updateSiteState(state, siteId, {
        error: null,
        isRequesting: true
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .SITE_FEATURES_FETCH_COMPLETED */ .rBU:
      return updateSiteState(state, siteId, {
        error: null,
        hasLoadedFromServer: true,
        isRequesting: false,
        data: features
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .SITE_FEATURES_FETCH_FAILED */ .tUf:
      return updateSiteState(state, siteId, {
        error: error,
        isRequesting: false
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .JETPACK_SITES_FEATURES_RECEIVE */ .UWq:
      return updateBulkFeatures(state, features);
  }
  return state;
}

/***/ }),

/***/ 93746:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   g: () => (/* reexport safe */ _use_site_option__WEBPACK_IMPORTED_MODULE_1__.A)
/* harmony export */ });
/* harmony import */ var _use_selected_site_selector__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(48683);
/* harmony import */ var _use_site_option__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(37061);



/***/ }),

/***/ 48683:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* unused harmony export default */
/* harmony import */ var calypso_state__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(78219);


/**
 * Wraps useSelector and closes over the getSelectedSiteId step when using selected site selectors.
 *
 * Usage:
 *   useSelectedSiteSelector( isJetpackSite );
 *   useSelectedSiteSelector( getPlansForFeature, FEATURE_WP_SUBDOMAIN );
 * @param selector A selector that takes state, a site id and any additional params.
 * @returns The result of the selector applied to application state.
 */
function useSelectedSiteSelector(selector, ...args) {
  return useSelector(state => selector(state, getSelectedSiteId(state), ...args));
}

/***/ }),

/***/ 37061:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var calypso_state__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(78219);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(62542);
/* harmony import */ var _selectors_get_site_option__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(87652);




/**
 * Returns a site option for a site
 * @param optionName The option you want to query
 * @returns The value of that option or null
 */
const useSiteOption = optionName => {
  const selectedSiteId = (0,calypso_state__WEBPACK_IMPORTED_MODULE_0__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A);
  const siteOption = (0,calypso_state__WEBPACK_IMPORTED_MODULE_0__/* .useSelector */ .d4)(state => (0,_selectors_get_site_option__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, selectedSiteId || 0, optionName));
  return siteOption;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useSiteOption);

/***/ }),

/***/ 20450:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports requestStatus, items */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(24601);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(18366);
/* harmony import */ var _types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2767);



const mapResponseObject = ({
  currency_code,
  discount_percentage,
  formatted_price,
  ineligible_reason,
  product_id,
  product_slug,
  raw_price
}) => ({
  currencyCode: currency_code,
  discountPercentage: discount_percentage,
  formattedPrice: formatted_price,
  ineligibleReason: ineligible_reason,
  productId: product_id,
  productSlug: product_slug,
  rawPrice: raw_price
});
const createIntroOfferMap = payload => {
  const map = {};
  payload.forEach(payloadIntroOffer => {
    map[payloadIntroOffer.product_id] = mapResponseObject(payloadIntroOffer);
  });
  return map;
};
const requestStatus = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .keyedReducer */ .b)('siteId', (state, {
  type
}) => {
  switch (type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .SITE_INTRO_OFFER_REQUEST */ .INM:
      return _types__WEBPACK_IMPORTED_MODULE_0__/* .RequestStatus */ .I.Pending;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .SITE_INTRO_OFFER_REQUEST_SUCCESS */ .Ypv:
      return _types__WEBPACK_IMPORTED_MODULE_0__/* .RequestStatus */ .I.Success;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .SITE_INTRO_OFFER_REQUEST_FAILURE */ .xmf:
      return _types__WEBPACK_IMPORTED_MODULE_0__/* .RequestStatus */ .I.Failed;
  }
  return state;
});
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .keyedReducer */ .b)('siteId', (state, {
  type,
  payload
}) => {
  switch (type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .SITE_INTRO_OFFER_RECEIVE */ .uEU:
      return payload ? createIntroOfferMap(payload) : undefined;
  }
  return state;
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .combineReducers */ .H)({
  requestStatus,
  items
}));

/***/ }),

/***/ 2767:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   I: () => (/* binding */ RequestStatus)
/* harmony export */ });
let RequestStatus = /*#__PURE__*/function (RequestStatus) {
  RequestStatus["Pending"] = "pending";
  RequestStatus["Success"] = "success";
  RequestStatus["Failed"] = "failed";
  return RequestStatus;
}({});

/***/ }),

/***/ 594:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ plans)
/* harmony export */ });
/* unused harmony export initialSiteState */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);


const initialSiteState = {
  data: null,
  error: null,
  hasLoadedFromServer: false,
  isRequesting: false
};

/**
 * Returns a new state with the given attributes updated for the specified site.
 * @param {Object} state current state
 * @param {number} siteId identifier of the site
 * @param {Object} attributes list of attributes and their values
 * @returns {Object} the new state
 */
function updateSiteState(state, siteId, attributes) {
  return Object.assign({}, state, {
    [siteId]: Object.assign({}, initialSiteState, state[siteId], attributes)
  });
}
function plans(state = {}, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .SITE_PLANS_FETCH */ .g0q:
      return updateSiteState(state, action.siteId, {
        error: null,
        isRequesting: true
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .SITE_PLANS_FETCH_COMPLETED */ .A9R:
      return updateSiteState(state, action.siteId, {
        error: null,
        hasLoadedFromServer: true,
        isRequesting: false,
        data: action.plans
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .SITE_PLANS_FETCH_FAILED */ .KFm:
      return updateSiteState(state, action.siteId, {
        error: action.error,
        isRequesting: false
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .SITE_PLANS_REMOVE */ .mpd:
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, action.siteId);
  }
  return state;
}

/***/ }),

/***/ 64298:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Z: () => (/* binding */ products)
/* harmony export */ });
/* unused harmony export initialSiteState */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

const initialSiteState = {
  data: null,
  error: null,
  hasLoadedFromServer: false,
  isRequesting: false
};

/**
 * Returns a new state with the given attributes updated for the specified site.
 * @param {Object} state current state
 * @param {number} siteId identifier of the site
 * @param {Object} attributes list of attributes and their values
 * @returns {Object} the new state
 */
function updateSiteState(state, siteId, attributes) {
  return Object.assign({}, state, {
    [siteId]: Object.assign({}, initialSiteState, state[siteId], attributes)
  });
}
function products(state = {}, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .SITE_PRODUCTS_FETCH */ .qAt:
      return updateSiteState(state, action.siteId, {
        error: null,
        isRequesting: true
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .SITE_PRODUCTS_FETCH_COMPLETED */ .UQB:
      return updateSiteState(state, action.siteId, {
        error: null,
        hasLoadedFromServer: true,
        isRequesting: false,
        data: action.products
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .SITE_PRODUCTS_FETCH_FAILED */ .EJT:
      return updateSiteState(state, action.siteId, {
        error: action.error,
        isRequesting: false
      });
  }
  return state;
}

/***/ }),

/***/ 45253:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports items, requestingAll, requesting, hasAllSitesList, jetpackSiteDisconnected, isRequestingJetpackSitesFeatures */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_themes_action_types__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(87835);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(18366);
/* harmony import */ var _domains_reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(29671);
/* harmony import */ var _features_reducer__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(45473);
/* harmony import */ var _intro_offers_reducer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(20450);
/* harmony import */ var _plans_reducer__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(594);
/* harmony import */ var _products_reducer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(64298);
/* harmony import */ var _schema__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(66970);











/**
 * Tracks all known site objects, indexed by site ID.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const items = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_7__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_6__/* .sitesSchema */ .c, (state = null, action) => {
  if (state === null && action.type !== calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_RECEIVE */ .InQ && action.type !== calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_RECEIVE */ .PzS && action.type !== calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .ODYSSEY_SITE_RECEIVE */ .nek) {
    return null;
  }
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .WORDADS_SITE_APPROVE_REQUEST_SUCCESS */ .Bub:
      {
        const prevSite = state[action.siteId];
        if (prevSite) {
          return Object.assign({}, state, {
            [action.siteId]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, prevSite, {
              options: {
                wordads: true
              }
            })
          });
        }
        return state;
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_RECEIVE */ .InQ:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_RECEIVE */ .PzS:
      {
        // Normalize incoming site(s) to array

        const sites = action.site ? [action.site] : action.sites;

        // SITES_RECEIVE occurs when we receive the entire set of user
        // sites (replace existing state). Otherwise merge into state.

        const initialNextState = calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_RECEIVE */ .PzS === action.type ? {} : state;
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(sites, (memo, site) => {
          // Bypass if site object hasn't changed
          if ((0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEqual)(memo[site.ID], site)) {
            return memo;
          }

          // Avoid mutating state
          if (memo === state) {
            memo = {
              ...state
            };
          }
          memo[site.ID] = site;
          return memo;
        }, initialNextState || {});
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .ODYSSEY_SITE_RECEIVE */ .nek:
      {
        // Treat the site info from WPCOM as default values for the site, and the info from Odyssey as the source of truth.
        // This is because the site info from WPCOM is more complete, but the info from Odyssey is more up-to-date.
        // For example, `options.is_commercial` is not present in the Odyssey site info, but is a remote option value stored in WPCOM.
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)([action.site], (memo, site) => {
          // Bypass if site object hasn't changed
          if ((0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEqual)(memo[site.ID], site)) {
            return memo;
          }

          // Avoid mutating state
          if (memo === state) {
            memo = {
              ...state
            };
          }
          memo[site.ID] = {
            ...site,
            ...memo[site.ID],
            options: {
              ...site?.options,
              ...memo[site.ID]?.options
            },
            capabilities: {
              ...site?.capabilities,
              ...memo[site.ID]?.capabilities
            }
          };
          return memo;
        }, state);
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_DELETE_RECEIVE */ .izr:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .JETPACK_DISCONNECT_RECEIVE */ .W9i:
      return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, action.siteId);
    case calypso_state_themes_action_types__WEBPACK_IMPORTED_MODULE_9__/* .THEME_ACTIVATE_SUCCESS */ .EW:
      {
        const {
          siteId,
          themeStylesheet
        } = action;
        const site = state[siteId];
        if (!site) {
          break;
        }
        return {
          ...state,
          [siteId]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, site, {
            options: {
              theme_slug: themeStylesheet
            }
          })
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_SETTINGS_UPDATE */ .QIt:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_SETTINGS_RECEIVE */ .c9v:
      {
        const {
          siteId,
          settings
        } = action;
        const site = state[siteId];
        if (!site) {
          return state;
        }
        let nextSite = site;
        return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(['blog_public', 'wpcom_public_coming_soon', 'wpcom_coming_soon', 'site_icon'], (memo, key) => {
          // A site settings update may or may not include the icon or blog_public property.
          // If not, we should simply return state unchanged.
          if (!settings.hasOwnProperty(key)) {
            return memo;
          }
          switch (key) {
            case 'blog_public':
              {
                const isPrivate = parseInt(settings.blog_public, 10) === -1;
                if (site.is_private === isPrivate) {
                  return memo;
                }
                nextSite = {
                  ...nextSite,
                  is_private: isPrivate
                };
                break;
              }
            case 'wpcom_coming_soon':
            case 'wpcom_public_coming_soon':
              {
                const isComingSoon = parseInt(settings.wpcom_public_coming_soon, 10) === 1 || parseInt(settings.wpcom_coming_soon, 10) === 1;
                if (site.is_coming_soon === isComingSoon) {
                  return memo;
                }
                nextSite = {
                  ...nextSite,
                  is_coming_soon: isComingSoon
                };
                break;
              }
            case 'site_icon':
              {
                const mediaId = settings.site_icon;
                // Return unchanged if next icon matches current value,
                // accounting for the fact that a non-existent icon property is
                // equivalent to setting the media icon as null
                if (!site.icon && null === mediaId || site.icon && site.icon.media_id === mediaId) {
                  return memo;
                }
                if (null === mediaId) {
                  // Unset icon
                  nextSite = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(nextSite, 'icon');
                } else {
                  // Update icon, intentionally removing reference to the URL,
                  // shifting burden of URL lookup to selector
                  nextSite = {
                    ...nextSite,
                    icon: {
                      media_id: mediaId
                    }
                  };
                }
                break;
              }
          }
          if (memo === state) {
            memo = {
              ...state
            };
          }
          memo[siteId] = nextSite;
          return memo;
        }, state);
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .MEDIA_DELETE */ .lRE:
      {
        const {
          siteId,
          mediaIds
        } = action;
        const siteIconId = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(state[siteId], 'icon.media_id');
        if (siteIconId && (0,lodash__WEBPACK_IMPORTED_MODULE_0__.includes)(mediaIds, siteIconId)) {
          return {
            ...state,
            [siteId]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state[siteId], 'icon')
          };
        }
        return state;
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_PLUGIN_UPDATED */ .Qj1:
      {
        const {
          siteId
        } = action;
        const siteUpdates = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(state[siteId], 'updates');
        if (!siteUpdates) {
          return state;
        }
        return {
          ...state,
          [siteId]: {
            ...state[siteId],
            updates: {
              ...siteUpdates,
              plugins: siteUpdates.plugins - 1,
              total: siteUpdates.total - 1
            }
          }
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_FRONT_PAGE_UPDATE */ .GuZ:
      {
        const {
          siteId,
          frontPageOptions
        } = action;
        const site = state[siteId];
        if (!site) {
          break;
        }
        return {
          ...state,
          [siteId]: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, site, {
            options: {
              ...frontPageOptions
            }
          })
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_MIGRATION_STATUS_UPDATE */ .QpE:
      {
        const {
          siteId,
          migrationStatus,
          lastModified
        } = action;
        const site = state[siteId];
        if (!site) {
          return state;
        }
        const siteMigrationMeta = state[siteId].site_migration || {};
        const newMeta = {
          status: migrationStatus
        };
        if (lastModified) {
          newMeta.last_modified = lastModified;
        }
        return {
          ...state,
          [siteId]: {
            ...state[siteId],
            site_migration: (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, siteMigrationMeta, newMeta)
          }
        };
      }

    // Partial updates for purchases of the site as `site.products`.
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_PURCHASES_UPDATE */ .LaM:
      {
        const {
          siteId,
          purchases
        } = action;
        return {
          ...state,
          [siteId]: {
            ...state[siteId],
            products: purchases
          }
        };
      }
  }
  return state;
});

/**
 * Returns the updated requesting state after an action has been dispatched.
 * Requesting state tracks whether a network request is in progress for all
 * sites.
 * @param  {Object} state  Current state
 * @param  {Object} action Action object
 * @returns {Object}        Updated state
 */
const requestingAll = (state = false, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_REQUEST */ .hwQ:
      return true;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_REQUEST_FAILURE */ .cT_:
      return false;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_REQUEST_SUCCESS */ .$pi:
      return false;
  }
  return state;
};

/**
 * Returns the updated requesting state after an action has been dispatched.
 * Requesting state tracks whether a network request is in progress for a site.
 * @param  {Object} state  Current state
 * @param  {Object} action Action object
 * @returns {Object}        Updated state
 */
const requesting = (state = {}, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_REQUEST */ .ctU:
      {
        const {
          siteId
        } = action;
        return {
          ...state,
          [siteId]: true
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_REQUEST_FAILURE */ .NOg:
      {
        const {
          siteId
        } = action;
        return {
          ...state,
          [siteId]: false
        };
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITE_REQUEST_SUCCESS */ .OYC:
      {
        const {
          siteId
        } = action;
        return {
          ...state,
          [siteId]: false
        };
      }
  }
  return state;
};

/**
 * Tracks whether all sites have been fetched.
 * @param  {Object} state  Current state
 * @param  {Object} action Action object
 * @returns {Object}        Updated state
 */
const hasAllSitesList = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_7__/* .withSchemaValidation */ .N)(_schema__WEBPACK_IMPORTED_MODULE_6__/* .hasAllSitesListSchema */ .d, (state = false, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .SITES_RECEIVE */ .PzS:
      return true;
  }
  return state;
});

/**
 * Returns the updated disconnected state after an action has been dispatched.
 * Tracks whether a network request is completed or not.
 * @param  {Object} state  Current state
 * @param  {Object} action Action object
 * @returns {Object}        Updated state
 */
const jetpackSiteDisconnected = (state = false, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .JETPACK_SITE_DISCONNECT_REQUEST */ .arW:
      {
        return false;
      }
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .JETPACK_DISCONNECT_RECEIVE */ .W9i:
      {
        return true;
      }
  }
  return state;
};
const isRequestingJetpackSitesFeatures = (state = false, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .JETPACK_SITES_FEATURES_FETCH */ .VRW:
      return true;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .JETPACK_SITES_FEATURES_FETCH_SUCCESS */ .xff:
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_8__/* .JETPACK_SITES_FEATURES_FETCH_FAILURE */ .Kv0:
      return false;
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_10__/* .combineReducers */ .H)({
  domains: _domains_reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Ay,
  requestingAll,
  introOffers: _intro_offers_reducer__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .Ay,
  items,
  plans: _plans_reducer__WEBPACK_IMPORTED_MODULE_4__/* .plans */ .v,
  products: _products_reducer__WEBPACK_IMPORTED_MODULE_5__/* .products */ .Z,
  features: _features_reducer__WEBPACK_IMPORTED_MODULE_2__/* .featuresReducer */ .Q,
  requesting,
  hasAllSitesList,
  jetpackSiteDisconnected,
  isRequestingJetpackSitesFeatures
}));

/***/ }),

/***/ 66970:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   c: () => (/* binding */ sitesSchema),
/* harmony export */   d: () => (/* binding */ hasAllSitesListSchema)
/* harmony export */ });
const sitesSchema = {
  type: 'object',
  patternProperties: {
    //be careful to escape regexes properly
    '^\\d+$': {
      type: 'object',
      required: ['ID', 'name'],
      properties: {
        ID: {
          type: 'number'
        },
        name: {
          type: 'string'
        },
        URL: {
          type: 'string'
        },
        jetpack: {
          type: 'boolean'
        },
        icon: {
          type: 'object',
          properties: {
            img: {
              type: 'string'
            },
            ico: {
              type: 'string'
            },
            media_id: {
              type: 'number'
            }
          }
        },
        visible: {
          type: 'boolean'
        },
        is_private: {
          type: 'boolean'
        },
        is_vip: {
          type: 'boolean'
        },
        options: {
          type: 'object'
        },
        meta: {
          type: 'object'
        },
        is_multisite: {
          type: 'boolean'
        },
        capabilities: {
          type: 'object',
          patternProperties: {
            '^[a-z_]+$': {
              type: 'boolean'
            }
          }
        },
        plan: {
          type: 'object',
          required: ['product_id', 'product_slug'],
          properties: {
            product_id: {
              type: ['number', 'string']
            },
            product_slug: {
              type: 'string'
            },
            product_name_short: {
              type: ['string', 'null']
            },
            expired: {
              type: 'boolean'
            },
            user_is_owner: {
              type: 'boolean'
            },
            is_free: {
              type: 'boolean'
            }
          }
        },
        single_user_site: {
          type: 'boolean'
        },
        updates: {
          type: 'object',
          properties: {
            jp_version: {
              type: 'string'
            },
            plugins: {
              type: 'number'
            },
            themes: {
              type: 'number'
            },
            total: {
              type: 'number'
            },
            translations: {
              type: 'number'
            },
            wordpress: {
              type: 'number'
            },
            wp_version: {
              type: 'string'
            }
          }
        },
        lang: {
          type: 'string'
        }
      }
    }
  },
  additionalProperties: false
};
const hasAllSitesListSchema = {
  type: ['boolean', 'null']
};

/***/ }),

/***/ 4813:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ canJetpackSiteAutoUpdateFiles)
/* harmony export */ });
/* harmony import */ var _can_jetpack_site_update_files__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(22841);
/* harmony import */ var _get_site_option__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(87652);
/* harmony import */ var _is_jetpack_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(39659);




/**
 * Determines if a Jetpack site can auto update its files.
 * This function checks if the given Jetpack site can update its files and if the automatic updater is enabled.
 * Returns null if the site is not known or is not a Jetpack site.
 * @param {Object} state Global state tree
 * @param {number} siteId Site ID
 * @returns {?boolean} true if the site can auto update
 */
function canJetpackSiteAutoUpdateFiles(state, siteId) {
  if (!(0,_is_jetpack_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId)) {
    return null;
  }
  if (!(0,_can_jetpack_site_update_files__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId)) {
    return false;
  }
  const fileModDisabled = (0,_get_site_option__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId, 'file_mod_disabled');
  if (fileModDisabled && fileModDisabled.includes('automatic_updater_disabled')) {
    return false;
  }
  return true;
}

/***/ }),

/***/ 22841:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ canJetpackSiteUpdateFiles)
/* harmony export */ });
/* harmony import */ var _get_site_option__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(87652);
/* harmony import */ var _is_jetpack_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(39659);
/* harmony import */ var _is_jetpack_site_secondary_network_site__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(16173);




/**
 * Determines if a Jetpack site can update its files.
 * Returns null if the site is not known or is not a Jetpack site.
 * @param   {Object}   state  Global state tree
 * @param   {number}   siteId Site ID
 * @returns {?boolean}        True if the site can update its file
 */
function canJetpackSiteUpdateFiles(state, siteId) {
  if (!(0,_is_jetpack_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId)) {
    return null;
  }
  const isMultiNetwork = (0,_get_site_option__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId, 'is_multi_network');
  if (isMultiNetwork) {
    return false;
  }
  if ((0,_is_jetpack_site_secondary_network_site__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId)) {
    return false;
  }
  const fileModDisabled = (0,_get_site_option__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId, 'file_mod_disabled');
  if (!fileModDisabled) {
    return true;
  }
  return !fileModDisabled.includes('disallow_file_mods') && !fileModDisabled.includes('has_no_file_system_write_access');
}

/***/ }),

/***/ 24188:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getCustomizerUrl)
/* harmony export */ });
/* harmony import */ var _automattic_wpcom_checkout__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(62332);
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(26002);
/* harmony import */ var calypso_my_sites_customize_panels__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(88485);
/* harmony import */ var _get_site_admin_url__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2290);
/* harmony import */ var _get_site_slug__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(82544);
/* harmony import */ var _is_jetpack_site__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(39659);







/**
 * Returns the customizer URL for a site, or null if it cannot be determined.
 * @param   {Object}  state        Global state tree
 * @param   {?number} siteId       Site ID
 * @param   {?string} [panel]        Optional panel to autofocus
 * @param   {?string} [returnUrl]    Optional return url for when the user closes the customizer
 * @param   {?string} [guide]        Optional parameter to show a help guide in the customizer. possible values:
 *                                 'add-menu' and 'social-media' show custom guides, any other value shows the default guide
 * @returns {string}               Customizer URL
 */
function getCustomizerUrl(state, siteId, panel, returnUrl, guide) {
  if (!(0,_is_jetpack_site__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId)) {
    const siteSlug = (0,_get_site_slug__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId);
    const url = [''].concat(['customize', panel, siteSlug].filter(_automattic_wpcom_checkout__WEBPACK_IMPORTED_MODULE_3__/* .isValueTruthy */ .K)).join('/');
    return (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)({
      return: returnUrl,
      guide
    }, url);
  }
  const adminUrl = (0,_get_site_admin_url__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(state, siteId, 'customize.php');
  if (!adminUrl) {
    return null;
  }
  if (!returnUrl && 'undefined' !== "object") {
    returnUrl = window.location.href;
  }
  return (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)({
    return: returnUrl,
    ...(panel ? (0,calypso_my_sites_customize_panels__WEBPACK_IMPORTED_MODULE_0__/* .getCustomizerFocus */ .y)(panel) : {}),
    guide
  }, adminUrl);
}

/***/ }),

/***/ 3081:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getJetpackComputedAttributes)
/* harmony export */ });
/* harmony import */ var _can_jetpack_site_auto_update_files__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4813);
/* harmony import */ var _can_jetpack_site_update_files__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(22841);
/* harmony import */ var _is_jetpack_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(39659);
/* harmony import */ var _is_jetpack_site_main_network_site__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(64498);
/* harmony import */ var _is_jetpack_site_secondary_network_site__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(16173);





function getJetpackComputedAttributes(state, siteId) {
  if (!(0,_is_jetpack_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId)) {
    return {};
  }
  return {
    canAutoupdateFiles: (0,_can_jetpack_site_auto_update_files__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId),
    canUpdateFiles: (0,_can_jetpack_site_update_files__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId),
    isMainNetworkSite: (0,_is_jetpack_site_main_network_site__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(state, siteId),
    isSecondaryNetworkSite: (0,_is_jetpack_site_secondary_network_site__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(state, siteId)
  };
}

/***/ }),

/***/ 2290:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSiteAdminUrl)
/* harmony export */ });
/* harmony import */ var _get_site_option__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(87652);


/**
 * Returns the url to the wp-admin area for a site, or null if the admin URL
 * for the site cannot be determined.
 * @see https://developer.wordpress.org/reference/functions/get_admin_url/
 * @param  {Object}  state  Global state tree
 * @param  {?number}  siteId Site ID
 * @param  {?string} path   Admin screen path
 * @returns {?string}        Admin URL
 */
function getSiteAdminUrl(state, siteId, path = '') {
  const adminUrl = (0,_get_site_option__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId, 'admin_url');
  if (!adminUrl) {
    return null;
  }
  return adminUrl + path.replace(/^\//, '');
}

/***/ }),

/***/ 51840:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_state_selectors_get_sites_items__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(55629);
/* harmony import */ var _get_site_slug__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(82544);




/**
 * Returns a site object by its slug.
 * @param  {Object}  state     Global state tree
 * @param  {string}  siteSlug  Site URL
 * @returns {?Object}           Site object
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .createSelector */ .Mz)((state, siteSlug) => {
  const sites = Object.values((0,calypso_state_selectors_get_sites_items__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state));
  return sites.find(site => (0,_get_site_slug__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, site.ID) === siteSlug) ?? null;
}, state => [(0,calypso_state_selectors_get_sites_items__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state)]));

/***/ }),

/***/ 18426:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_lib_site_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(29723);
/* harmony import */ var calypso_state_selectors_get_sites_items__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(55629);




/**
 * Returns a filtered array of WordPress.com site IDs where a Jetpack site
 * exists in the set of sites with the same URL.
 * @param  {Object}   state Global state tree
 * @returns {number[]}       WordPress.com site IDs with collisions
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .createSelector */ .Mz)(state => {
  const sitesItems = Object.values((0,calypso_state_selectors_get_sites_items__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state));
  return (0,calypso_lib_site_utils__WEBPACK_IMPORTED_MODULE_1__/* .getJetpackSiteCollisions */ .Zg)(sitesItems);
}, calypso_state_selectors_get_sites_items__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A));

/***/ }),

/***/ 16592:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSiteComputedAttributes)
/* harmony export */ });
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(61402);
/* harmony import */ var calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14092);
/* harmony import */ var _get_site_domain__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(90363);
/* harmony import */ var _get_site_option__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(87652);
/* harmony import */ var _get_site_options__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(93123);
/* harmony import */ var _get_site_slug__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(82544);
/* harmony import */ var _get_site_title__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(79889);
/* harmony import */ var _is_jetpack_site__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(39659);
/* harmony import */ var _is_site_conflicting__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(29655);










/**
 * Returns computed properties of the site object.
 * @param    {Object}      state    Global state tree
 * @param    {number}      siteId   Site ID
 * @returns  {?Object}              Site computed properties or null
 */
function getSiteComputedAttributes(state, siteId) {
  const site = (0,calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId);
  if (!site) {
    return null;
  }
  const computedAttributes = {
    domain: (0,_get_site_domain__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId),
    options: (0,_get_site_options__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId),
    slug: (0,_get_site_slug__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(state, siteId),
    title: (0,_get_site_title__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(state, siteId)
  };

  // If a WordPress.com site has a mapped domain create a `wpcom_url`
  // attribute to allow site selection with either domain.
  if ((0,_get_site_option__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(state, siteId, 'is_mapped_domain') && !(0,_is_jetpack_site__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(state, siteId)) {
    computedAttributes.wpcom_url = (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_7__/* .withoutHttp */ .Lo)((0,_get_site_option__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(state, siteId, 'unmapped_url'));
  }

  // we only need to use the unmapped URL for conflicting sites
  if ((0,_is_site_conflicting__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)(state, siteId)) {
    computedAttributes.URL = (0,_get_site_option__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(state, siteId, 'unmapped_url');
  }
  return computedAttributes;
}

/***/ }),

/***/ 90363:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSiteDomain)
/* harmony export */ });
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(61402);
/* harmony import */ var calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14092);
/* harmony import */ var _get_site_option__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(87652);
/* harmony import */ var _get_site_slug__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(82544);
/* harmony import */ var _is_site_conflicting__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(29655);






/**
 * Returns the domain for a site, or null if the site is unknown.
 * @param  {Object}  state  Global state tree
 * @param  {number}  siteId Site ID
 * @returns {?string}        Site domain
 */
function getSiteDomain(state, siteId) {
  if ((0,_get_site_option__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId, 'is_redirect') || (0,_is_site_conflicting__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId)) {
    return (0,_get_site_slug__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(state, siteId);
  }
  const site = (0,calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId);
  if (!site) {
    return null;
  }
  return (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_4__/* .withoutHttp */ .Lo)(site.URL);
}

/***/ }),

/***/ 87652:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSiteOption)
/* harmony export */ });
/* harmony import */ var _get_site_options__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(93123);

/**
 * Returns a site option for a site
 */
function getSiteOption(state, siteId, optionName) {
  if (!siteId) {
    return null;
  }
  const options = (0,_get_site_options__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId);
  return options?.[optionName] ?? null;
}

/***/ }),

/***/ 93123:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14092);

const EMPTY_OPTIONS = Object.freeze({});

/**
 * Returns the site options
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((state, siteId) => {
  const site = (0,calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId);
  if (!site) {
    return null;
  }
  return site.options || EMPTY_OPTIONS;
});

/***/ }),

/***/ 82544:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(61402);
/* harmony import */ var calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(14092);
/* harmony import */ var calypso_state_selectors_get_sites_items__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(55629);
/* harmony import */ var _get_site_option__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(87652);
/* harmony import */ var _get_site_options__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(93123);
/* harmony import */ var _is_site_conflicting__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(29655);








/**
 * Returns the slug for a site, or null if the site is unknown.
 * @param  {Object}  state  Global state tree
 * @param  {number}  siteId Site ID
 * @returns {?string}        Site slug
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .createSelector */ .Mz)((state, siteId) => {
  const site = (0,calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId);
  if (!site) {
    return null;
  }
  if ((0,_get_site_option__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(state, siteId, 'is_redirect') || (0,_is_site_conflicting__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(state, siteId)) {
    return (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_5__/* .withoutHttp */ .Lo)((0,_get_site_option__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(state, siteId, 'unmapped_url'));
  }
  return (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_5__/* .urlToSlug */ .q_)(site.URL);
}, (state, siteId) => [(0,calypso_state_selectors_get_sites_items__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state), (0,_get_site_options__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(state, siteId)]));

/***/ }),

/***/ 79889:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSiteTitle)
/* harmony export */ });
/* harmony import */ var calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14092);
/* harmony import */ var _get_site_domain__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(90363);



/**
 * Returns a title by which the site can be canonically referenced. Uses the
 * site's name if available, falling back to its domain. Returns null if the
 * site is not known.
 * @param  {Object}  state  Global state tree
 * @param  {?number}  siteId Site ID
 * @returns {?string}        Site title
 */
function getSiteTitle(state, siteId) {
  const site = (0,calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId);
  if (!site) {
    return null;
  }
  if (site.name) {
    return site.name.trim();
  }
  return (0,_get_site_domain__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId);
}

/***/ }),

/***/ 89046:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSite)
/* harmony export */ });
/* harmony import */ var calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14092);
/* harmony import */ var _get_jetpack_computed_attributes__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3081);
/* harmony import */ var _get_site_by_slug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51840);
/* harmony import */ var _get_site_computed_attributes__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(16592);





/**
 * Memoization cache for the `getSite` selector
 */
let getSiteCache = new WeakMap();

/**
 * Returns a normalized site object by its ID or site slug.
 * @param  {Object}  state  Global state tree
 * @param  {number|string|undefined}  siteIdOrSlug Site ID or site slug
 * @returns {import('@automattic/data-stores').SiteDetails|null|undefined}        Site object
 */
function getSite(state, siteIdOrSlug) {
  if (!siteIdOrSlug) {
    return null;
  }
  const rawSite = (0,calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteIdOrSlug) || (0,_get_site_by_slug__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteIdOrSlug);
  if (!rawSite) {
    return null;
  }

  // Use the rawSite object itself as a WeakMap key
  const cachedSite = getSiteCache.get(rawSite);
  if (cachedSite) {
    return cachedSite;
  }
  const site = {
    ...rawSite,
    ...(0,_get_site_computed_attributes__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, rawSite.ID),
    ...(0,_get_jetpack_computed_attributes__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(state, rawSite.ID)
  };

  // Once the `rawSite` object becomes outdated, i.e., state gets updated with a newer version
  // and no more references are held, the key will be automatically removed from the WeakMap.
  getSiteCache.set(rawSite, site);
  return site;
}
getSite.clearCache = () => {
  getSiteCache = new WeakMap();
};

/***/ }),

/***/ 93096:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ hasAllSitesList)
/* harmony export */ });
/**
 * Returns whether all sites have been fetched.
 * @param {Object}    state  Global state tree
 * @returns {boolean}        Request State
 */
function hasAllSitesList(state) {
  return !!state.sites.hasAllSitesList;
}

/***/ }),

/***/ 64498:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isJetpackSiteMainNetworkSite)
/* harmony export */ });
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(61402);
/* harmony import */ var calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14092);
/* harmony import */ var _get_site_option__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(87652);
/* harmony import */ var _is_jetpack_site__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(39659);





/**
 * Determines if a site is the main site in a Network
 * True if it is either in a non multi-site configuration
 * or if its url matches the `main_network_site` url option.
 * Returns null if the site is not known or is not a Jetpack site.
 * @param {Object} state Global state tree
 * @param {number} siteId Site ID
 * @returns {?boolean} true if the site is the main site
 */
function isJetpackSiteMainNetworkSite(state, siteId) {
  const site = (0,calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId);
  if (!site || !(0,_is_jetpack_site__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId)) {
    return null;
  }
  if (!site.is_multisite) {
    return false;
  }
  const unmappedUrl = (0,_get_site_option__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId, 'unmapped_url');
  const mainNetworkSite = (0,_get_site_option__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId, 'main_network_site');
  if (!unmappedUrl || !mainNetworkSite) {
    return false;
  }

  // Compare unmapped_url with the main_network_site to see if is the main network site.
  return (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_3__/* .withoutHttp */ .Lo)(unmappedUrl) === (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_3__/* .withoutHttp */ .Lo)(mainNetworkSite);
}

/***/ }),

/***/ 63367:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isJetpackSitePred)
/* harmony export */ });
const DEFAULT_OPTIONS = {
  considerStandaloneProducts: true,
  treatAtomicAsJetpackSite: true
};

/**
 * A function that returns a predicate which when passed a site
 * returns true if site is a Jetpack site, false if the site is hosted on
 * WordPress.com, or null if the site is unknown.
 *
 * When options.considerStandaloneProducts is true (the default), sites with
 * Jetpack standalone plugins will also be considered Jetpack sites for the
 * purposes of this function.
 *
 * When options.treatAtomicAsJetpackSite is true (the default), Atomic sites with
 * Jetpack will also be considered Jetpack sites for the purposes of this function.
 */
function isJetpackSitePred(options) {
  return function isJetpackSite(site) {
    if (!site) {
      return null;
    }

    // Merge default options with options.
    const mergedOptions = options ? {
      ...DEFAULT_OPTIONS,
      ...options
    } : DEFAULT_OPTIONS;

    // If the site is an Atomic site, but we should not treat it as Jetpack site, return false.
    if (!mergedOptions.treatAtomicAsJetpackSite && site.options?.is_wpcom_atomic) {
      return false;
    }

    // Sites with full Jetpack plugin have a boolean `jetpack` property.
    if (site.jetpack) {
      return true;
    }

    // If we should not consider standalone products
    if (!mergedOptions.considerStandaloneProducts) {
      return false;
    }
    return Boolean(site.options?.jetpack_connection_active_plugins?.length);
  };
}

/***/ }),

/***/ 16173:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isJetpackSiteSecondaryNetworkSite)
/* harmony export */ });
/* harmony import */ var calypso_lib_url__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(61402);
/* harmony import */ var calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14092);
/* harmony import */ var _get_site_option__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(87652);
/* harmony import */ var _is_jetpack_site__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(39659);





/**
 * Determines if a Jetpack site is a secondary network site.
 * Returns null if the site is not known or is not a Jetpack site.
 * @param {Object} state Global state tree
 * @param {number} siteId Site ID
 * @returns {?boolean} true if the site is a secondary network site
 */
function isJetpackSiteSecondaryNetworkSite(state, siteId) {
  const site = (0,calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId);
  if (!site || !(0,_is_jetpack_site__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId)) {
    return null;
  }
  if (!site.is_multisite) {
    return false;
  }
  const unmappedUrl = (0,_get_site_option__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId, 'unmapped_url');
  const mainNetworkSite = (0,_get_site_option__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(state, siteId, 'main_network_site');
  if (!unmappedUrl || !mainNetworkSite) {
    return false;
  }

  // Compare unmapped_url with the main_network_site to see if is not the main network site.
  return (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_3__/* .withoutHttp */ .Lo)(unmappedUrl) !== (0,calypso_lib_url__WEBPACK_IMPORTED_MODULE_3__/* .withoutHttp */ .Lo)(mainNetworkSite);
}

/***/ }),

/***/ 39659:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isJetpackSite)
/* harmony export */ });
/* harmony import */ var calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14092);
/* harmony import */ var _is_jetpack_site_pred__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(63367);


/**
 * Returns true if site is a Jetpack site, false if the site is hosted on
 * WordPress.com, or null if the site is unknown.
 *
 * When options.considerStandaloneProducts is true (the default), sites with
 * Jetpack standalone plugins will also be considered Jetpack sites for the
 * purposes of this function.
 *
 * When options.treatAtomicAsJetpackSite is true (the default), Atomic sites with
 * Jetpack will also be considered Jetpack sites for the purposes of this function.
 */
function isJetpackSite(state, siteId, options) {
  if (!siteId) {
    return null;
  }
  const site = (0,calypso_state_selectors_get_raw_site__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state, siteId);
  return (0,_is_jetpack_site_pred__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(options)(site);
}

/***/ }),

/***/ 97910:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isRequestingSite)
/* harmony export */ });
/**
 * Returns true if a network request is in progress to fetch the specified, or
 * false otherwise.
 * @param  {Object}           state  Global state tree
 * @param  {(number|string)}  siteId Site ID or slug
 * @returns {boolean}          Whether request is in progress
 */
function isRequestingSite(state, siteId) {
  return !!state.sites.requesting[siteId];
}

/***/ }),

/***/ 60477:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isRequestingSites)
/* harmony export */ });
/**
 * Returns true if we are requesting all sites.
 * @param {Object}    state  Global state tree
 * @returns {boolean}        Request State
 */
function isRequestingSites(state) {
  return !!state.sites.requestingAll;
}

/***/ }),

/***/ 29655:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isSiteConflicting)
/* harmony export */ });
/* harmony import */ var _get_site_collisions__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(18426);


/**
 * Returns true if a collision exists for the specified WordPress.com site ID.
 * @param  {Object}  state  Global state tree
 * @param  {number}  siteId Site ID
 * @returns {boolean}        Whether collision exists
 */
function isSiteConflicting(state, siteId) {
  return (0,_get_site_collisions__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state).includes(siteId);
}

/***/ }),

/***/ 87835:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EW: () => (/* binding */ THEME_ACTIVATE_SUCCESS),
/* harmony export */   b7: () => (/* binding */ THEMES_REQUEST_SUCCESS)
/* harmony export */ });
/* unused harmony exports ACTIVE_THEME_REQUEST, ACTIVE_THEME_REQUEST_FAILURE, ACTIVE_THEME_REQUEST_SUCCESS, LIVE_PREVIEW_START, LIVE_PREVIEW_END, RECOMMENDED_THEMES_FAIL, RECOMMENDED_THEMES_FETCH, RECOMMENDED_THEMES_SUCCESS, THEME_ACTIVATE, THEME_ACTIVATE_FAILURE, THEME_ACTIVATION_MODAL_SHOW, THEME_ACTIVATION_MODAL_ACCEPT, THEME_ACTIVATION_MODAL_DISMISS, THEMES_UPDATE, THEMES_UPDATE_FAILURE, THEMES_UPDATE_SUCCESS, THEME_BACK_PATH_SET, THEME_CLEAR_ACTIVATED, THEME_DELETE, THEME_DELETE_FAILURE, THEME_DELETE_SUCCESS, THEME_FILTERS_ADD, THEME_FILTERS_REQUEST, THEME_FILTERS_REQUEST_FAILURE, THEME_INSTALL, THEME_INSTALL_FAILURE, THEME_INSTALL_SUCCESS, THEMES_LOADING_CART, THEME_PREVIEW_OPTIONS, THEME_PREVIEW_STATE, THEME_REQUEST, THEME_REQUEST_FAILURE, THEME_REQUEST_SUCCESS, THEME_START_ACTIVATION_SYNC, THEME_STOP_ACTIVATION_SYNC, THEME_SHOW_ATOMIC_TRANSFER_DIALOG, THEME_ACCEPT_ATOMIC_TRANSFER_DIALOG, THEME_DISMISS_ATOMIC_TRANSFER_DIALOG, THEME_TIERS_UPDATE, THEME_TRANSFER_INITIATE_FAILURE, THEME_TRANSFER_INITIATE_PROGRESS, THEME_TRANSFER_INITIATE_REQUEST, THEME_TRANSFER_INITIATE_SUCCESS, THEME_TRANSFER_STATUS_FAILURE, THEME_TRANSFER_STATUS_RECEIVE, THEME_UPLOAD_CLEAR, THEME_UPLOAD_FAILURE, THEME_UPLOAD_PROGRESS, THEME_UPLOAD_START, THEME_UPLOAD_SUCCESS, THEMES_BOOKMARK_SET, THEMES_REQUEST, THEMES_REQUEST_FAILURE, TRENDING_THEMES_FAIL, TRENDING_THEMES_FETCH, TRENDING_THEMES_SUCCESS, UPSELL_CARD_DISPLAYED */
/**
 * Please keep this list alphabetized!
 */
const ACTIVE_THEME_REQUEST = 'ACTIVE_THEME_REQUEST';
const ACTIVE_THEME_REQUEST_FAILURE = 'ACTIVE_THEME_REQUEST_FAILURE';
const ACTIVE_THEME_REQUEST_SUCCESS = 'ACTIVE_THEME_REQUEST_SUCCESS';
const LIVE_PREVIEW_START = 'LIVE_PREVIEW_START';
const LIVE_PREVIEW_END = 'LIVE_PREVIEW_END';
const RECOMMENDED_THEMES_FAIL = 'RECOMMENDED_THEMES_FAIL';
const RECOMMENDED_THEMES_FETCH = 'RECOMMENDED_THEMES_FETCH';
const RECOMMENDED_THEMES_SUCCESS = 'RECOMMENDED_THEMES_SUCCESS';
const THEME_ACTIVATE = 'THEME_ACTIVATE';
const THEME_ACTIVATE_FAILURE = 'THEME_ACTIVATE_FAILURE';
const THEME_ACTIVATE_SUCCESS = 'THEME_ACTIVATE_SUCCESS';
const THEME_ACTIVATION_MODAL_SHOW = 'THEME_ACTIVATION_MODAL_SHOW';
const THEME_ACTIVATION_MODAL_ACCEPT = 'THEME_ACTIVATION_MODAL_ACCEPT';
const THEME_ACTIVATION_MODAL_DISMISS = 'THEME_ACTIVATION_MODAL_DISMISS';
const THEMES_UPDATE = 'THEMES_UPDATE';
const THEMES_UPDATE_FAILURE = 'THEMES_UPDATE_FAILURE';
const THEMES_UPDATE_SUCCESS = 'THEMES_UPDATE_SUCCESS';
const THEME_BACK_PATH_SET = 'THEME_BACK_PATH_SET';
const THEME_CLEAR_ACTIVATED = 'THEME_CLEAR_ACTIVATED';
const THEME_DELETE = 'THEME_DELETE';
const THEME_DELETE_FAILURE = 'THEME_DELETE_FAILURE';
const THEME_DELETE_SUCCESS = 'THEME_DELETE_SUCCESS';
const THEME_FILTERS_ADD = 'THEME_FILTERS_ADD';
const THEME_FILTERS_REQUEST = 'THEME_FILTERS_REQUEST';
const THEME_FILTERS_REQUEST_FAILURE = 'THEME_FILTERS_REQUEST_FAILURE';
const THEME_INSTALL = 'THEME_INSTALL';
const THEME_INSTALL_FAILURE = 'THEME_INSTALL_FAILURE';
const THEME_INSTALL_SUCCESS = 'THEME_INSTALL_SUCCESS';
const THEMES_LOADING_CART = 'THEMES_LOADING_CART';
const THEME_PREVIEW_OPTIONS = 'THEME_PREVIEW_OPTIONS';
const THEME_PREVIEW_STATE = 'THEME_PREVIEW_STATE';
const THEME_REQUEST = 'THEME_REQUEST';
const THEME_REQUEST_FAILURE = 'THEME_REQUEST_FAILURE';
const THEME_REQUEST_SUCCESS = 'THEME_REQUEST_SUCCESS';
const THEME_START_ACTIVATION_SYNC = 'THEME_START_ACTIVATION_SYNC';
const THEME_STOP_ACTIVATION_SYNC = 'THEME_STOP_ACTIVATION_SYNC';
const THEME_SHOW_ATOMIC_TRANSFER_DIALOG = 'THEME_SHOW_ATOMIC_TRANSFER_DIALOG';
const THEME_ACCEPT_ATOMIC_TRANSFER_DIALOG = 'THEME_ACCEPT_ATOMIC_TRANSFER_DIALOG';
const THEME_DISMISS_ATOMIC_TRANSFER_DIALOG = 'THEME_DISMISS_ATOMIC_TRANSFER_DIALOG';
const THEME_TIERS_UPDATE = 'THEME_TIERS_UPDATE';
const THEME_TRANSFER_INITIATE_FAILURE = 'THEME_TRANSFER_INITIATE_FAILURE';
const THEME_TRANSFER_INITIATE_PROGRESS = 'THEME_TRANSFER_INITIATE_PROGRESS';
const THEME_TRANSFER_INITIATE_REQUEST = 'THEME_TRANSFER_INITIATE_REQUEST';
const THEME_TRANSFER_INITIATE_SUCCESS = 'THEME_TRANSFER_INITIATE_SUCCESS';
const THEME_TRANSFER_STATUS_FAILURE = 'THEME_TRANSFER_STATUS_FAILURE';
const THEME_TRANSFER_STATUS_RECEIVE = 'THEME_TRANSFER_STATUS_RECEIVE';
const THEME_UPLOAD_CLEAR = 'THEME_UPLOAD_CLEAR';
const THEME_UPLOAD_FAILURE = 'THEME_UPLOAD_FAILURE';
const THEME_UPLOAD_PROGRESS = 'THEME_UPLOAD_PROGRESS';
const THEME_UPLOAD_START = 'THEME_UPLOAD_START';
const THEME_UPLOAD_SUCCESS = 'THEME_UPLOAD_SUCCESS';
const THEMES_BOOKMARK_SET = 'THEMES_BOOKMARK_SET';
const THEMES_REQUEST = 'THEMES_REQUEST';
const THEMES_REQUEST_FAILURE = 'THEMES_REQUEST_FAILURE';
const THEMES_REQUEST_SUCCESS = 'THEMES_REQUEST_SUCCESS';
const TRENDING_THEMES_FAIL = 'TRENDING_THEMES_FAIL';
const TRENDING_THEMES_FETCH = 'TRENDING_THEMES_FETCH';
const TRENDING_THEMES_SUCCESS = 'TRENDING_THEMES_SUCCESS';
const UPSELL_CARD_DISPLAYED = 'UPSELL_CARD_DISPLAYED';

/***/ }),

/***/ 29519:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_themes_action_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(87835);



const relevantAnalyticsEvents = ['calypso_themeshowcase_theme_click'];
const relevantTypes = {
  // to catch all actions of a type:
  // ACTION_TYPE,
  // to catch actions of a type that match some criterion:
  // ACTION_TYPE: ( action ) => isValid( action.data )
  GUIDED_TOUR_UPDATE: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .GUIDED_TOUR_UPDATE */ .kRb,
  THEMES_REQUEST_SUCCESS: calypso_state_themes_action_types__WEBPACK_IMPORTED_MODULE_2__/* .THEMES_REQUEST_SUCCESS */ .b7,
  ROUTE_SET: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .ROUTE_SET */ .hsX,
  SITE_SETTINGS_RECEIVE: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .SITE_SETTINGS_RECEIVE */ .c9v
};
const hasRelevantAnalytics = action => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(action, 'meta.analytics', []).some(record => relevantAnalyticsEvents.includes(record.payload.name));
const isRelevantActionType = action => relevantTypes.hasOwnProperty(action.type) && (typeof relevantTypes[action.type] !== 'function' || relevantTypes[action.type](action));
const overSome = checks => item => checks.some(check => check(item));
const isRelevantAction = overSome([isRelevantActionType, hasRelevantAnalytics]);
const newAction = action => ({
  ...action,
  timestamp: Date.now()
});
const maybeAdd = (state, action) => action ? [...state, action].slice(-50) : state;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((state = [], action) => isRelevantAction(action) ? maybeAdd(state, newAction(action)) : state);

/***/ }),

/***/ 13368:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ setSelectedSiteId)
/* harmony export */ });
/* unused harmony export setAllSitesSelected */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_ui_init__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(12675);



/**
 * Returns an action object to be used in signalling that a site has been set
 * as selected.
 * @param {number | null} siteId Site ID
 * @returns {{type: string, siteId: number}} Action object
 */
function setSelectedSiteId(siteId) {
  return {
    type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .SELECTED_SITE_SET */ .r1v,
    siteId
  };
}

/**
 * Returns an action object to be used in signalling that all sites have been
 * set as selected.
 * @returns {Object} Action object
 */
function setAllSitesSelected() {
  return {
    type: SELECTED_SITE_SET,
    siteId: null
  };
}

/***/ }),

/***/ 28214:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((state = null, {
  type
}) => type === calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .APP_BANNER_DISMISSED */ .nfw ? true : state);

/***/ }),

/***/ 43009:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((state = true, {
  type,
  isVisible
}) => type === calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .APP_BANNER_TOGGLE_VISIBILITY */ .RUR ? isVisible : state);

/***/ }),

/***/ 10762:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export upgradeIntent */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(18366);


const upgradeIntent = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .withSchemaValidation */ .N)({
  type: 'string'
}, (state = '', action) => {
  if (action.type !== calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .SECTION_SET */ .BZg) {
    return state;
  }
  if (action.isLoading || !action.section?.name) {
    // Leave the intent alone until the new section is fully loaded
    return state;
  }
  if (['checkout', 'checkout-pending', 'checkout-thank-you', 'plans'].includes(action.section.name)) {
    // Leave the intent alone for sections that should not clear it
    return state;
  }
  if (['plugins', 'themes', 'hosting'].includes(action.section.name)) {
    return action.section.name;
  }

  // Clear the intent when any other section is loaded
  return '';
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_2__/* .combineReducers */ .H)({
  upgradeIntent
}));

/***/ }),

/***/ 12675:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(59662);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(14725);


(0,calypso_state_redux_store__WEBPACK_IMPORTED_MODULE_0__/* .registerReducer */ .K)(['ui'], _reducer__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Ay);

/***/ }),

/***/ 8048:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ language)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);


const initialState = {
  localeSlug: (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('i18n_default_locale_slug'),
  localeVariant: null
};

/**
 * Tracks the state of the ui locale
 * @param {Object} state  Current state
 * @param {Object} action Action payload
 * @returns {Object} Updated state
 */
function language(state = initialState, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .LOCALE_SET */ .i4L:
      return {
        localeSlug: action.localeSlug,
        localeVariant: action.localeVariant
      };
    default:
      return state;
  }
}

/***/ }),

/***/ 1537:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ layoutFocus)
/* harmony export */ });
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

const initialState = {
  current: 'content',
  next: null
};
function layoutFocus(state = initialState, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .LAYOUT_FOCUS_SET */ .B1m:
      if (action.area === state.current) {
        return state;
      }
      return Object.assign({}, state, {
        current: action.area
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .LAYOUT_NEXT_FOCUS_SET */ .XtV:
      if (action.area === state.next) {
        return state;
      }
      return Object.assign({}, state, {
        next: action.area
      });
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .LAYOUT_NEXT_FOCUS_ACTIVATE */ .Ymh:
      {
        // If we don't have a change queued, set it to `content`. This avoids
        // having to set the focus to content on all navigation links because it
        // becomes the default after focus has shifted.
        let next = state.next;
        if (!next && state.current !== 'content') {
          next = 'content';
        }
        if (!next) {
          return state;
        }
        return Object.assign({}, state, {
          current: next,
          next: null
        });
      }
  }
  return state;
}

/***/ }),

/***/ 40388:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((state = true, {
  type,
  isVisible
}) => type === calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .MASTERBAR_TOGGLE_VISIBILITY */ .sYZ ? isVisible : state);

/***/ }),

/***/ 52874:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export view */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18366);


const view = (state = null, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .MEDIA_MODAL_VIEW_SET */ .qWG:
      return action.view;
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .combineReducers */ .H)({
  view
}));

/***/ }),

/***/ 17258:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export postTypeList */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);

const initialState = {
  postIdWithActiveSharePanel: null
};
const postTypeList = (state = initialState, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .POST_TYPE_LIST_SHARE_PANEL_HIDE */ .$N:
      return {
        ...state,
        postIdWithActiveSharePanel: null
      };
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .POST_TYPE_LIST_SHARE_PANEL_TOGGLE */ .Z2$:
      if (state.postIdWithActiveSharePanel === action.postGlobalId) {
        return {
          ...state,
          postIdWithActiveSharePanel: null
        };
      }
      return {
        ...state,
        postIdWithActiveSharePanel: action.postGlobalId
      };
  }
  return state;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (postTypeList);

/***/ }),

/***/ 79714:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports currentPreviewSiteId, currentPreviewUrl */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18366);


function currentPreviewSiteId(state = null, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .PREVIEW_URL_SET */ .kA4:
      return action.siteId ?? null;
  }
  return state;
}
function currentPreviewUrl(state = null, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .PREVIEW_URL_SET */ .kA4:
      return action.url;
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .PREVIEW_URL_CLEAR */ .nUQ:
      return null;
  }
  return state;
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .combineReducers */ .H)({
  currentPreviewSiteId,
  currentPreviewUrl
}));

/***/ }),

/***/ 14725:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports selectedSiteId, siteSelectionInitialized, isSectionLoading, isNotificationsOpen, reducer */
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(78941);
/* harmony import */ var calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(18366);
/* harmony import */ var _action_log_reducer__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(29519);
/* harmony import */ var _app_banner_dismissed_reducer__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(28214);
/* harmony import */ var _app_banner_visibility_reducer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(43009);
/* harmony import */ var _checkout_reducer__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(10762);
/* harmony import */ var _language_reducer__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(8048);
/* harmony import */ var _layout_focus_reducer__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(1537);
/* harmony import */ var _masterbar_visibility_reducer__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(40388);
/* harmony import */ var _media_modal_reducer__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(52874);
/* harmony import */ var _post_type_list_reducer__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(17258);
/* harmony import */ var _preview_reducer__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(79714);
/* harmony import */ var _section_reducer__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(33065);















/**
 * Tracks the currently selected site ID.
 * @param  {Object} state  Current state
 * @param  {Object} action Action payload
 * @returns {Object}        Updated state
 */
const selectedSiteId = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .withSchemaValidation */ .N)({
  type: ['number', 'null']
}, (state = null, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .SELECTED_SITE_SET */ .r1v:
      return action.siteId || null;
  }
  return state;
});
const siteSelectionInitialized = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_1__/* .withSchemaValidation */ .N)({
  type: 'boolean'
}, (state = false, action) => {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .SELECTED_SITE_SET */ .r1v:
      return true;
  }
  return state;
});
function isSectionLoading(state = false, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .SECTION_LOADING_SET */ .K0t:
      return action.isSectionLoading;
  }
  return state;
}

/**
 * Tracks if the notifications panel is open
 * @param   {Object} state       Current state
 * @param   {Object} action      Action payload
 * @param   {string} action.type The action type identifier. In this case it's looking for NOTIFICATIONS_PANEL_TOGGLE
 * @returns {Object}             Updated state
 */
function isNotificationsOpen(state = false, {
  type
}) {
  if (type === calypso_state_action_types__WEBPACK_IMPORTED_MODULE_2__/* .NOTIFICATIONS_PANEL_TOGGLE */ .Dmg) {
    return !state;
  }
  return state;
}
const reducer = (0,calypso_state_utils__WEBPACK_IMPORTED_MODULE_3__/* .combineReducers */ .H)({
  actionLog: _action_log_reducer__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A,
  appBannerVisibility: _app_banner_visibility_reducer__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A,
  appBannerDismissed: _app_banner_dismissed_reducer__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A,
  checkout: _checkout_reducer__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A,
  isSectionLoading,
  isNotificationsOpen,
  language: _language_reducer__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A,
  layoutFocus: _layout_focus_reducer__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A,
  masterbarVisibility: _masterbar_visibility_reducer__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A,
  mediaModal: _media_modal_reducer__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A,
  postTypeList: _post_type_list_reducer__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A,
  preview: _preview_reducer__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .Ay,
  section: _section_reducer__WEBPACK_IMPORTED_MODULE_14__/* ["default"] */ .A,
  selectedSiteId,
  siteSelectionInitialized
});

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ((0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .withStorageKey */ .p6)('ui', reducer));

/***/ }),

/***/ 7882:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   c: () => (/* binding */ setSection)
/* harmony export */ });
/* unused harmony export setSectionLoading */
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_ui_init__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(12675);


function setSection(section, options = {}) {
  const action = {
    ...options,
    type: calypso_state_action_types__WEBPACK_IMPORTED_MODULE_1__/* .SECTION_SET */ .BZg
  };
  if (section) {
    action.section = section;
  }
  return action;
}
function setSectionLoading(isSectionLoading) {
  return {
    type: SECTION_LOADING_SET,
    isSectionLoading
  };
}

/***/ }),

/***/ 33065:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ section)
/* harmony export */ });
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(31260);


//TODO: do we really want to mix strings and booleans?
function section(state = false, action) {
  switch (action.type) {
    case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_0__/* .SECTION_SET */ .BZg:
      return action.section !== undefined ? action.section : state;
  }
  return state;
}

/***/ }),

/***/ 65284:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSectionName)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _get_section__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(59834);



/**
 * Returns the current section name.
 * @param  {Object}  state Global state tree
 * @returns {?string}       Current section name
 */
function getSectionName(state) {
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)((0,_get_section__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state), 'name', null);
}

/***/ }),

/***/ 59834:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSection)
/* harmony export */ });
/* harmony import */ var calypso_state_ui_init__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(12675);


/**
 * Returns the current section.
 * @param  {Object}  state Global state tree
 * @returns {Object}        Current section
 */
function getSection(state) {
  return state.ui.section || false;
}

/***/ }),

/***/ 62542:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSelectedSiteId)
/* harmony export */ });
/* harmony import */ var calypso_state_ui_init__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(12675);


/**
 * Returns the currently selected site ID.
 * @returns {?number}       Selected site ID
 */
function getSelectedSiteId(state) {
  return state.ui.selectedSiteId;
}

/***/ }),

/***/ 96136:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getSelectedSite)
/* harmony export */ });
/* harmony import */ var calypso_state_sites_selectors_get_site__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(89046);
/* harmony import */ var _get_selected_site_id__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(62542);


/**
 * Returns the site object for the currently selected site.
 */
function getSelectedSite(state) {
  const siteId = (0,_get_selected_site_id__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(state);
  if (!siteId) {
    return null;
  }
  return (0,calypso_state_sites_selectors_get_site__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(state, siteId);
}

/***/ }),

/***/ 21415:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s: () => (/* binding */ addReducerEnhancer)
/* harmony export */ });
const addReducerEnhancer = nextCreator => (reducer, initialState) => {
  const nextStore = nextCreator(reducer, initialState);
  let currentReducer = reducer;
  function addReducer(keys, subReducer) {
    currentReducer = currentReducer.addReducer(keys, subReducer);
    this.replaceReducer(currentReducer);
  }
  function getCurrentReducer() {
    return currentReducer;
  }
  return {
    ...nextStore,
    addReducer,
    getCurrentReducer
  };
};

/***/ }),

/***/ 24601:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   b: () => (/* binding */ keyedReducer)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_state_serialization_result__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(96088);
/* harmony import */ var _serialize__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(17140);
/* harmony import */ var _with_persistence__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(88926);




/**
 * Creates a super-reducer as a map of reducers over keyed objects
 *
 * Use this when wanting to write reducers that operate
 * on a single object as if it lived in isolation when
 * really it lives in a map of similar objects referenced
 * by some predesignated key or id. This could be used
 * for example when reducing properties on a site object
 * wherein we have many sites keyed by site id.
 *
 * Note! This will only apply the supplied reducer to
 * the item referenced by the supplied key in the action.
 *
 * If no key exists whose name matches the given lodash style keyPath
 * then this super-reducer will abort and return the
 * previous state.
 *
 * The keyed reducer implements the `serialize` and `deserialize` methods and makes sure
 * that Calypso state persistence works as expected (ignoring empty and initial state,
 * serialization into multiple storage keys etc.)
 * @example
 * const age = ( state = 0, action ) =>
 *     GROW === action.type
 *         ? state + 1
 *         : state
 *
 * const title = ( state = 'grunt', action ) =>
 *     PROMOTION === action.type
 *         ? action.title
 *         : state
 *
 * const userReducer = combineReducers( {
 *     age,
 *     title,
 * } )
 *
 * export default keyedReducer( 'username', userReducer )
 *
 * dispatch( { type: GROW, username: 'hunter02' } )
 *
 * state.users === {
 *     hunter02: {
 *         age: 1,
 *         title: 'grunt',
 *     }
 * }
 * @param {string} keyPath lodash-style path to the key in action referencing item in state map
 * @param {Function} reducer applied to referenced item in state map
 * @returns {Function} super-reducer applying reducer over map of keyed items
 */
const keyedReducer = (keyPath, reducer) => {
  // some keys are invalid
  if ('string' !== typeof keyPath) {
    throw new TypeError(`Key name passed into \`keyedReducer\` must be a string but I detected a ${typeof keyPath}`);
  }
  if (!keyPath.length) {
    throw new TypeError('Key name passed into `keyedReducer` must have a non-zero length but I detected an empty string');
  }
  if ('function' !== typeof reducer) {
    throw new TypeError(`Reducer passed into \`keyedReducer\` must be a function but I detected a ${typeof reducer}`);
  }
  const initialState = reducer(undefined, {
    type: '@@calypso/INIT'
  });
  const combinedReducer = (state = {}, action) => {
    // don't allow coercion of key name: null => 0
    const itemKey = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(action, keyPath, undefined);

    // if the action doesn't contain a valid reference
    // then return without any updates
    if (null === itemKey || undefined === itemKey) {
      return state;
    }

    // pass the old sub-state from that item into the reducer
    // we need this to update state and also to compare if
    // we had any changes, thus the initialState
    const oldItemState = state[itemKey];
    const newItemState = reducer(oldItemState, action);

    // and do nothing if the new sub-state matches the old sub-state
    if (newItemState === oldItemState) {
      return state;
    }

    // remove key from state if setting to undefined or back to initial state
    // if it didn't exist anyway, then do nothing.
    if (undefined === newItemState || (0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEqual)(newItemState, initialState)) {
      return state.hasOwnProperty(itemKey) ? (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omit)(state, itemKey) : state;
    }

    // otherwise immutably update the super-state
    return {
      ...state,
      [itemKey]: newItemState
    };
  };
  return (0,_with_persistence__WEBPACK_IMPORTED_MODULE_2__/* .withPersistence */ .O)(combinedReducer, {
    serialize: state => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(state, (result, itemValue, itemKey) => {
      const serializedValue = (0,_serialize__WEBPACK_IMPORTED_MODULE_3__/* .serialize */ .l)(reducer, itemValue);
      if (serializedValue !== undefined && !(0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEqual)(serializedValue, initialState)) {
        if (!result) {
          // instantiate the result object only when it's going to have at least one property
          result = new calypso_state_serialization_result__WEBPACK_IMPORTED_MODULE_1__/* .SerializationResult */ .u();
        }
        result.addRootResult(itemKey, serializedValue);
      }
      return result;
    }, undefined),
    deserialize: persisted => (0,lodash__WEBPACK_IMPORTED_MODULE_0__.omitBy)((0,lodash__WEBPACK_IMPORTED_MODULE_0__.mapValues)(persisted, item => (0,_serialize__WEBPACK_IMPORTED_MODULE_3__/* .deserialize */ .i)(reducer, item)), a => a === undefined || (0,lodash__WEBPACK_IMPORTED_MODULE_0__.isEqual)(a, initialState))
  });
};

/***/ }),

/***/ 18366:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   H: () => (/* binding */ combineReducers)
/* harmony export */ });
/* unused harmony export addReducer */
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(82419);
/* harmony import */ var calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(31260);
/* harmony import */ var calypso_state_serialization_result__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(96088);
/* harmony import */ var _serialize__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(17140);

 // eslint-disable-line no-restricted-imports



/**
 * Create a new reducer from original `reducers` by adding a new `reducer` at `keyPath`
 * @param origReducer Original reducer to copy `storageKey` and other flags from
 * @param reducers Object with reducer names as keys and reducer functions as values that
 *   is used as parameter to `combineReducers` (the original Redux one and our extension, too).
 * @returns The function to be attached as `addReducer` method to the
 *   result of `combineReducers`.
 */
function addReducer(origReducer, reducers) {
  return (keyPath, reducer) => {
    // extract the first key from keyPath and dive recursively into the reducer tree
    const [key, ...restKeys] = keyPath;
    const existingReducer = reducers[key];
    let newReducer;

    // if there is an existing reducer at this path, we'll recursively call `addReducer`
    // until we reach the final destination in the tree.
    if (existingReducer) {
      // we reached the final destination in the tree and another reducer already lives there!
      if (restKeys.length === 0) {
        throw new Error(`Reducer with key '${key}' is already registered`);
      }
      if (!existingReducer.addReducer) {
        throw new Error("New reducer can be added only into a reducer created with 'combineReducers'");
      }
      newReducer = existingReducer.addReducer(restKeys, reducer);
    } else {
      // for the remaining keys in the keyPath, create a nested reducer:
      // if `restKeys` is `[ 'a', 'b', 'c']`, then the result of this `reduceRight` is:
      // ```js
      // combineReducers( {
      //   a: combineReducers ( {
      //     b: combineReducers( {
      //       c: reducer
      //     } )
      //   })
      // })
      // ```
      newReducer = restKeys.reduceRight((subreducer, subkey) => combineReducers({
        [subkey]: subreducer
      }), reducer);
    }
    const newCombinedReducer = combineReducers({
      ...reducers,
      [key]: newReducer
    });

    // Preserve the storageKey of the updated reducer
    newCombinedReducer.storageKey = origReducer.storageKey;
    return newCombinedReducer;
  };
}

/**
 * Returns a single reducer function that ensures that persistence is opt-in and that
 * has support for adding reducers dynamically.
 * @example
 * ```js
 * const age = ( state = 0, action ) =>
 *     GROW === action.type
 *         ? state + 1
 *         : state
 * const height = ( state = 150, action ) =>
 *     GROW === action.type
 *         ? state + 1
 *         : state
 *
 * const combinedReducer = combineReducers( {
 *     age,
 *     height
 * } );
 *
 * // returns `{ age: 0, height: 150 }`, the initial state
 * deserialize( combinedReducer, { age: 6, height: 123 } );
 * // returns `undefined`, no serialization
 * serialize( combinedReducer, { age: 6, height: 123 } );
 * // returns `{ age: 7, height: 124 }`, handling a normal action
 * combinedReducer( { age:  6, height: 123 } ), { type: GROW } );
 * ```
 *
 * Persistence must be enabled explicitly with the `withPersistence` helper.
 * @example
 * ```js
 * const date = withPersistence(
 *   ( state = new Date( 0 ), action ) => {
 *     switch ( action.type ) {
 *       case 'GROW':
 *         return new Date( state.getTime() + 1 );
 *       default:
 *         return state;
 *   },
 *   {
 *     serialize: state => state.getTime(),
 *     deserialize: persisted => {
 *       if ( isValidStateWithSchema( persisted, schema ) ) {
 *         return new Date( persisted );
 *       }
 *       return new Date( 0 );
 *     },
 *   }
 * );
 *
 * const combinedReducer = combineReducers( {
 *     date,
 *     height
 * } );
 *
 * deserialize( combinedReducer, { date: -5, height: -5 } ); // { date: new Date( 0 ), height: 150 };
 * deserialize( combinedReducer, { date: -5, height: 123 } ); // { date: new Date( 0 ), height: 150 };
 * deserialize( combinedReducer, { date:  6, height: 123 } ); // { date: new Date( 6 ), height: 150 };
 * serialize( combinedReducer, { date: new Date( 6 ), height: 123 } ); // { date: 6 };
 * combinedReducer( { date: new Date( 6 ), height: 123 } ), { type: GROW } ); // { date: new Date( 7 ), height: 124 };
 * ```
 * @param reducers - object containing the reducers to merge
 * @returns - Returns the combined reducer function
 */
function combineReducers(reducers) {
  const combined = (0,redux__WEBPACK_IMPORTED_MODULE_2__.combineReducers)(reducers);
  const combinedReducer = (state, action) => {
    switch (action.type) {
      case calypso_state_action_types__WEBPACK_IMPORTED_MODULE_3__/* .APPLY_STORED_STATE */ .ZqR:
        return applyStoredState(reducers, state, action);
      default:
        return combined(state, action);
    }
  };
  combinedReducer.serialize = state => serializeState(reducers, state);
  combinedReducer.deserialize = persisted => deserializeState(reducers, persisted);
  combinedReducer.addReducer = addReducer(combinedReducer, reducers);
  combinedReducer.getStorageKeys = getStorageKeys(reducers);
  return combinedReducer;
}
function applyStoredState(reducers, state, action) {
  let hasChanged = false;
  const nextState = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.mapValues)(reducers, (reducer, key) => {
    // Replace the value for the key we want to init with action.storedState.
    if (reducer.storageKey === action.storageKey) {
      hasChanged = true;
      return action.storedState;
    }

    // Descend into nested state levels, possibly the storageKey will be found there?
    const prevStateForKey = (0,lodash__WEBPACK_IMPORTED_MODULE_0__.get)(state, key);
    const nextStateForKey = reducer(prevStateForKey, action);
    hasChanged = hasChanged || nextStateForKey !== prevStateForKey;
    return nextStateForKey;
  });

  // return identical state if the stored state didn't get applied in this reducer
  return hasChanged ? nextState : state;
}
function getStorageKeys(reducers) {
  return function* () {
    for (const reducer of Object.values(reducers)) {
      if (reducer.storageKey) {
        yield {
          storageKey: reducer.storageKey,
          reducer
        };
      }
      if (reducer.getStorageKeys) {
        yield* reducer.getStorageKeys();
      }
    }
  };
}

// State serialization is very similar to running a reducer on the state, except some behaviors
// that are slightly different from `combineReducers` from Redux:
// - `undefined` is a valid value returned from `serialize()`, but `combineReducers`
//   would throw an exception when seeing it.
// - if a particular subreducer serializes to `undefined`, then that property won't be included
//   in the result object at all.
// - if none of the subreducers produced anything to persist, the combined result will be
//   `undefined` rather than an empty object.
// - if the state to serialize is `undefined` (happens when some key in state is missing)
//   the serialized value is `undefined` and there's no need to reduce anything.
function serializeState(reducers, state) {
  if (state === undefined) {
    return undefined;
  }
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.reduce)(reducers, (result, reducer, reducerKey) => {
    const serialized = (0,_serialize__WEBPACK_IMPORTED_MODULE_4__/* .serialize */ .l)(reducer, state[reducerKey]);
    if (serialized !== undefined) {
      if (!result) {
        // instantiate the result object only when it's going to have at least one property
        result = new calypso_state_serialization_result__WEBPACK_IMPORTED_MODULE_1__/* .SerializationResult */ .u();
      }
      if (reducer.storageKey) {
        result.addKeyResult(reducer.storageKey, serialized);
      } else {
        result.addRootResult(reducerKey, serialized);
      }
    }
    return result;
  }, undefined);
}
function deserializeState(reducers, persisted) {
  return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.mapValues)(reducers, (reducer, reducerKey) => (0,_serialize__WEBPACK_IMPORTED_MODULE_4__/* .deserialize */ .i)(reducer, persisted?.[reducerKey]));
}

/***/ }),

/***/ 78941:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ withSchemaValidation)
/* harmony export */ });
/* unused harmony export isValidStateWithSchema */
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);
/* harmony import */ var _wordpress_warning__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(10979);
/* harmony import */ var _wordpress_warning__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_warning__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var is_my_json_valid__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(83219);
/* harmony import */ var is_my_json_valid__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(is_my_json_valid__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _serialize__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(17140);
/* harmony import */ var _with_persistence__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(88926);






function isValidStateWithSchema(state, schema, debugInfo) {
  const validate = is_my_json_valid__WEBPACK_IMPORTED_MODULE_2___default()(schema, {
    greedy: "production" !== 'production',
    verbose: "production" !== 'production'
  });
  const valid = validate(state);
  if (!valid && "production" !== 'production') {}
  return valid;
}
function isValidSerializedState(schema, reducer, state) {
  // The stored state is often equal to initial state of the reducer. Because initial state
  // is always valid, we can validate much faster by just comparing the two states. The full
  // JSON schema check is much slower and we do it only on nontrivial states.
  // Note that we need to serialize the initial state to make a correct check. For reducers
  // with custom persistence, the initial state can be arbitrary non-serializable object. We
  // need to compare two serialized objects.
  const serializedInitialState = (0,_serialize__WEBPACK_IMPORTED_MODULE_4__/* .serialize */ .l)(reducer, (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .getInitialState */ .Cj)(reducer));
  if ((0,lodash__WEBPACK_IMPORTED_MODULE_3__.isEqual)(state, serializedInitialState)) {
    return true;
  }
  return isValidStateWithSchema(state, schema);
}

/**
 * Creates a schema-validating reducer
 *
 * Use this to wrap simple reducers with a schema-based validation check when loading
 * the initial state from persistent storage.
 *
 * The wrapped reducer implements the `deserialize` method and checks if the persisted state
 * is a valid state. If yes, it returns the persisted state (and calls the inner reducer's
 * `deserialize` method if defined). Otherwise it returns the initial state of the inner reducer.
 * @example
 * ```js
 * const ageReducer = ( state = 0, action ) => GROW === action.type ? state + 1 : state
 *
 * const schema = { type: 'number', minimum: 0 }
 *
 * export const age = withSchemaValidation( schema, ageReducer );
 *
 * expect( deserialize( ageReducer, -5 ) ).toBe( -5 ); // no schema check
 * expect( deserialize( age, -5 ) ).toBe( 0 ); // schema check failed, return initial state
 * expect( deserialize( age,  23 ) ).toBe( 23 ); // schema check passed
 * ```
 * @param {Object} schema JSON-schema description of state
 * @param {Function} reducer normal reducer from ( state, action ) to new state
 * @returns {import('redux').Reducer} wrapped reducer handling validation on `.deserialize()`
 */
const withSchemaValidation = (schema, reducer) => {
  if (false) {}

  // Add default identity-mapping persistence to the wrapped reducer. Prevent
  // it to default to no-persistence.
  const persistingReducer = (0,_with_persistence__WEBPACK_IMPORTED_MODULE_5__/* .withPersistence */ .O)(reducer);
  return (0,_with_persistence__WEBPACK_IMPORTED_MODULE_5__/* .withPersistence */ .O)(persistingReducer, {
    deserialize(persisted) {
      if (persisted === undefined) {
        // If the state is not present in the stored data, initialize it with the
        // initial state.
        return (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .getInitialState */ .Cj)(persistingReducer);
      }

      // If the stored state fails JSON schema validation, treat it as if it was
      // `undefined`, i.e., ignore it and replace with initial state.
      if (!isValidSerializedState(schema, persistingReducer, persisted)) {
        return (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .getInitialState */ .Cj)(persistingReducer);
      }

      // Otherwise, if the state is valid, deserialize it with the inner reducer.
      return (0,_serialize__WEBPACK_IMPORTED_MODULE_4__/* .deserialize */ .i)(persistingReducer, persisted);
    }
  });
};

/***/ }),

/***/ 17140:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   i: () => (/* binding */ deserialize),
/* harmony export */   l: () => (/* binding */ serialize)
/* harmony export */ });
/* harmony import */ var _automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(64583);

function serialize(reducer, state) {
  if (!reducer.serialize) {
    return undefined;
  }
  return reducer.serialize(state);
}
function deserialize(reducer, persisted) {
  if (!reducer.deserialize) {
    return (0,_automattic_state_utils__WEBPACK_IMPORTED_MODULE_0__/* .getInitialState */ .Cj)(reducer);
  }
  return reducer.deserialize(persisted);
}

/***/ }),

/***/ 88926:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ withPersistence)
/* harmony export */ });
/**
 * Add persistence support to a reducer, with optional custom serialization methods
 * @param reducer Reducer to add persistence to
 * @param options Object with optional custom serialization methods
 * @param options.serialize Custom serialization method
 * @param options.deserialize Custom deserialization method
 */
function withPersistence(reducer, {
  serialize,
  deserialize
} = {}) {
  const wrappedReducer = reducer.bind(null);
  wrappedReducer.serialize = serialize || reducer.serialize || (state => state);
  wrappedReducer.deserialize = deserialize || reducer.deserialize || (persisted => persisted);
  return wrappedReducer;
}

/***/ }),

/***/ 98948:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Fr: () => (/* reexport safe */ _tracks__WEBPACK_IMPORTED_MODULE_8__.Fr),
/* harmony export */   HW: () => (/* reexport safe */ _utils_current_user__WEBPACK_IMPORTED_MODULE_1__.H),
/* harmony export */   JQ: () => (/* reexport safe */ _utils_is_region_in_ccpa_zone__WEBPACK_IMPORTED_MODULE_6__.A),
/* harmony export */   Oy: () => (/* reexport safe */ _tracks__WEBPACK_IMPORTED_MODULE_8__.Oy),
/* harmony export */   _T: () => (/* reexport safe */ _tracks__WEBPACK_IMPORTED_MODULE_8__._T),
/* harmony export */   bd: () => (/* reexport safe */ _tracks__WEBPACK_IMPORTED_MODULE_8__.bd),
/* harmony export */   cm: () => (/* reexport safe */ _utils_do_not_track__WEBPACK_IMPORTED_MODULE_0__.A),
/* harmony export */   fz: () => (/* reexport safe */ _tracks__WEBPACK_IMPORTED_MODULE_8__.fz),
/* harmony export */   k1: () => (/* reexport safe */ _utils_is_region_in_sts_zone__WEBPACK_IMPORTED_MODULE_7__.A),
/* harmony export */   os: () => (/* reexport safe */ _tracks__WEBPACK_IMPORTED_MODULE_8__.os),
/* harmony export */   sK: () => (/* reexport safe */ _tracks__WEBPACK_IMPORTED_MODULE_8__.sK),
/* harmony export */   yM: () => (/* reexport safe */ _utils_get_tracking_prefs__WEBPACK_IMPORTED_MODULE_3__.Ay)
/* harmony export */ });
/* harmony import */ var _utils_do_not_track__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(20595);
/* harmony import */ var _utils_current_user__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(71379);
/* harmony import */ var _page_view_params__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(98910);
/* harmony import */ var _utils_get_tracking_prefs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(52189);
/* harmony import */ var _utils_set_tracking_prefs__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(94121);
/* harmony import */ var _utils_is_country_in_gdpr_zone__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(96472);
/* harmony import */ var _utils_is_region_in_ccpa_zone__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(20750);
/* harmony import */ var _utils_is_region_in_sts_zone__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(68739);
/* harmony import */ var _tracks__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(44342);
/* harmony import */ var _train_tracks__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(27067);
/**
 * Re-export
 */











/***/ }),

/***/ 98910:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   n: () => (/* binding */ getPageViewParams)
/* harmony export */ });
/* unused harmony export getMostRecentUrlPath */
// We use this module state to track url paths submitted to recordTracksPageView
// `lib/analytics/index.js` also reuses it for timing.record
let mostRecentUrlPath = null;

// pathCounter is used to keep track of the order of calypso_page_view Tracks events.
let pathCounter = 0;
if (true) {
  window.addEventListener('popstate', function () {
    // throw away our URL value if the user used the back/forward buttons
    mostRecentUrlPath = null;
  });
}
function getPageViewParams(urlPath) {
  const params = {
    last_pageview_path_with_count: `${mostRecentUrlPath}(${pathCounter.toString()})`,
    this_pageview_path_with_count: `${urlPath}(${pathCounter + 1})`
  };
  // Record this path.
  mostRecentUrlPath = urlPath;
  pathCounter++;
  return params;
}

/**
 * Gets the url path which was set on the last call to getPageViewParams() and stored in module state
 * mostRecentUrlPath will be null if the page was refreshed or getPageViewParams() has not been called
 */
function getMostRecentUrlPath() {
  return mostRecentUrlPath;
}

/***/ }),

/***/ 44342:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Fr: () => (/* binding */ recordTracksPageViewWithPageParams),
/* harmony export */   Oy: () => (/* binding */ recordTracksEvent),
/* harmony export */   _T: () => (/* binding */ getTracksAnonymousUserId),
/* harmony export */   bd: () => (/* binding */ pushEventToTracksQueue),
/* harmony export */   fz: () => (/* binding */ initializeAnalytics),
/* harmony export */   os: () => (/* binding */ recordTracksPageView),
/* harmony export */   sK: () => (/* binding */ analyticsEvents)
/* harmony export */ });
/* unused harmony exports getTracksLoadPromise, identifyUser, signalUserFromAnotherProduct, getGenericSuperPropsGetter */
/* harmony import */ var events__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(50046);
/* harmony import */ var events__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(events__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_load_script__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7944);
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(83284);
/* harmony import */ var _page_view_params__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(98910);
/* harmony import */ var _utils_current_user__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(71379);
/* harmony import */ var _utils_debug__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(72193);
/* harmony import */ var _utils_do_not_track__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(20595);
/* harmony import */ var _utils_get_tracking_prefs__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(52189);
/* eslint-disable @typescript-eslint/no-explicit-any */









/**
 * Tracks uses a bunch of special query params that should not be used as property name
 * See internal Nosara repo?
 */
const TRACKS_SPECIAL_PROPS_NAMES = (/* unused pure expression or super */ null && (['geo', 'message', 'request', 'geocity', 'ip']));
const EVENT_NAME_EXCEPTIONS = ['a8c_cookie_banner_ok', 'a8c_cookie_banner_view', 'a8c_ccpa_optout',
// WooCommerce Onboarding / Connection Flow.
'wcadmin_storeprofiler_create_jetpack_account', 'wcadmin_storeprofiler_connect_store', 'wcadmin_storeprofiler_login_jetpack_account', 'wcadmin_storeprofiler_payment_login', 'wcadmin_storeprofiler_payment_create_account',
// Checkout
'calypso_checkout_switch_to_p_24', 'calypso_checkout_composite_p24_submit_clicked',
// Launch Bar
'wpcom_launchbar_button_click'];
let _superProps; // Added to all Tracks events.
let _loadTracksResult = Promise.resolve(); // default value for non-BOM environments.

if (typeof document !== 'undefined') {
  _loadTracksResult = (0,_automattic_load_script__WEBPACK_IMPORTED_MODULE_1__/* .loadScript */ .k0)('//stats.wp.com/w.js?67');
}
function createRandomId(randomBytesLength = 9) {
  if (false) {}
  // 9 * 4/3 = 12
  // this is to avoid getting padding of a random byte string when it is base64 encoded
  let randomBytes;
  if (window.crypto && window.crypto.getRandomValues) {
    randomBytes = new Uint8Array(randomBytesLength);
    window.crypto.getRandomValues(randomBytes);
  } else {
    randomBytes = Array(randomBytesLength).fill(0).map(() => Math.floor(Math.random() * 256));
  }
  return window.btoa(String.fromCharCode(...randomBytes));
}
function getUrlParameter(name) {
  if (false) {}
  name = name.replace(/[[]/g, '\\[').replace(/[\]]/g, '\\]');
  const regex = new RegExp('[\\?&]' + name + '=([^&#]*)');
  const results = regex.exec(window.location.search);
  return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
}
function checkForBlockedTracks() {
  // Proceed only after the tracks script load finished and failed.
  // Calling this function from `initialize` ensures current user is set.
  // This detects stats blocking, and identifies by `getCurrentUser()`, URL, or cookie.
  return _loadTracksResult.catch(() => {
    let _ut;
    let _ui;
    const currentUser = (0,_utils_current_user__WEBPACK_IMPORTED_MODULE_4__/* .getCurrentUser */ .H)();
    if (currentUser && currentUser.ID) {
      _ut = 'wpcom:user_id';
      _ui = currentUser.ID;
    } else {
      _ut = getUrlParameter('_ut') || 'anon';
      _ui = getUrlParameter('_ui');
      if (!_ui) {
        const cookies = cookie__WEBPACK_IMPORTED_MODULE_2__.parse(document.cookie);
        if (cookies.tk_ai) {
          _ui = cookies.tk_ai;
        } else {
          const randomIdLength = 18; // 18 * 4/3 = 24 (base64 encoded chars).
          _ui = createRandomId(randomIdLength);
          document.cookie = cookie__WEBPACK_IMPORTED_MODULE_2__.serialize('tk_ai', _ui);
        }
      }
    }
    (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('Loading /nostats.js', {
      _ut,
      _ui
    });
    return (0,_automattic_load_script__WEBPACK_IMPORTED_MODULE_1__/* .loadScript */ .k0)('/nostats.js?_ut=' + encodeURIComponent(_ut) + '&_ui=' + encodeURIComponent(_ui));
  });
}

/**
 * Returns a promise that marks whether and when the external Tracks script loads.
 */
function getTracksLoadPromise() {
  return _loadTracksResult;
}
function pushEventToTracksQueue(args) {
  if (true) {
    window._tkq = window._tkq || [];
    window._tkq.push(args);
  }
}
const analyticsEvents = new events__WEBPACK_IMPORTED_MODULE_0__.EventEmitter();

/**
 * Returns the anoymous id stored in the `tk_ai` cookie
 * @returns The Tracks anonymous user id
 */
function getTracksAnonymousUserId() {
  const cookies = cookie__WEBPACK_IMPORTED_MODULE_2__.parse(document.cookie);
  return cookies.tk_ai;
}
function initializeAnalytics(currentUser, superProps) {
  // Update super props.
  if ('function' === typeof superProps) {
    (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('superProps', superProps);
    _superProps = superProps;
  }

  // Identify current user.
  if ('object' === typeof currentUser) {
    (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('identifyUser', currentUser);
    identifyUser(currentUser);
  }

  // Tracks blocked?
  (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('checkForBlockedTracks');
  return checkForBlockedTracks();
}
function identifyUser(userData) {
  // Ensure object.
  if ('object' !== typeof userData) {
    (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('Invalid userData.', userData);
    return; // Not possible.
  }

  // Set current user.
  const currentUser = (0,_utils_current_user__WEBPACK_IMPORTED_MODULE_4__/* .setCurrentUser */ .l)(userData);
  if (!currentUser) {
    (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('Insufficient userData.', userData);
    return; // Not possible.
  }

  // Tracks user identification.
  (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('Tracks identifyUser.', currentUser);
  pushEventToTracksQueue(['identifyUser', currentUser.ID, currentUser.username]);
}

/**
 * For tracking users between our products, generally passing the id via a request parameter.
 *
 * Use 'anon' for userIdType for anonymous users.
 */
function signalUserFromAnotherProduct(userId, userIdType) {
  debug('Tracks signalUserFromAnotherProduct.', userId, userIdType);
  pushEventToTracksQueue(['signalAliasUserGeneral', userId, userIdType]);
}
function recordTracksEvent(eventName, eventProperties) {
  eventProperties = eventProperties || {};
  const trackingPrefs = (0,_utils_get_tracking_prefs__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .Ay)();
  if (!trackingPrefs?.buckets.analytics) {
    (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('Analytics has been disabled - Ignoring event "%s" with actual props %o', eventName, eventProperties);
    return;
  }
  if (false) {}
  (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('Record event "%s" called with props %o', eventName, eventProperties);
  if (!eventName.startsWith('calypso_') && !eventName.startsWith('jetpack_') && !eventName.startsWith('wpcom_dsp_widget_') && !EVENT_NAME_EXCEPTIONS.includes(eventName)) {
    (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('- Event name must be prefixed by "calypso_", "jetpack_", or added to `EVENT_NAME_EXCEPTIONS`');
    return;
  }
  if (_superProps) {
    const superProperties = _superProps(eventProperties);
    eventProperties = {
      ...eventProperties,
      ...superProperties
    }; // assign to a new object so we don't modify the argument
  }

  // Remove properties that have an undefined value
  // This allows a caller to easily remove properties from the recorded set by setting them to undefined
  eventProperties = Object.fromEntries(Object.entries(eventProperties).filter(([, val]) => typeof val !== 'undefined'));
  (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('Recording event "%s" with actual props %o', eventName, eventProperties);
  pushEventToTracksQueue(['recordEvent', eventName, eventProperties]);
  analyticsEvents.emit('record-event', eventName, eventProperties);
}
function recordTracksPageView(urlPath, params) {
  (0,_utils_debug__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)('Recording pageview in tracks.', urlPath, params);
  let eventProperties = {
    do_not_track: (0,_utils_do_not_track__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)() ? 1 : 0,
    path: urlPath
  };

  // Add calypso build timestamp if set
  const build_timestamp =  true && window.BUILD_TIMESTAMP;
  if (build_timestamp) {
    eventProperties = Object.assign(eventProperties, {
      build_timestamp
    });
  }

  // add optional path params
  if (params) {
    eventProperties = Object.assign(eventProperties, params);
  }

  // Record all `utm` marketing parameters as event properties on the page view event
  // so we can analyze their performance with our analytics tools
  if ( true && window.location) {
    const urlParams = new URL(window.location.href).searchParams;
    const utmParamEntries = urlParams && Array.from(urlParams.entries()).filter(([key]) => key.startsWith('utm_'));
    const utmParams = utmParamEntries ? Object.fromEntries(utmParamEntries) : {};
    eventProperties = Object.assign(eventProperties, utmParams);
  }
  recordTracksEvent('calypso_page_view', eventProperties);
}
function recordTracksPageViewWithPageParams(urlPath, params) {
  const pageViewParams = (0,_page_view_params__WEBPACK_IMPORTED_MODULE_3__/* .getPageViewParams */ .n)(urlPath);
  recordTracksPageView(urlPath, Object.assign(params || {}, pageViewParams));
}
function getGenericSuperPropsGetter(config) {
  return () => {
    const superProps = {
      environment: "production",
      environment_id: config('env_id'),
      site_id_label: 'wpcom',
      client: config('client_slug')
    };
    if (true) {
      Object.assign(superProps, {
        vph: window.innerHeight,
        vpw: window.innerWidth
      });
    }
    return superProps;
  };
}

/***/ }),

/***/ 27067:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* unused harmony exports recordTrainTracksRender, recordTrainTracksInteract, getNewRailcarId */
/* harmony import */ var _tracks__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(44342);


function recordTrainTracksRender({
  railcarId,
  uiAlgo,
  uiPosition,
  fetchAlgo,
  fetchPosition,
  query,
  result,
  recBlogId,
  recPostId,
  recFeedId,
  recFeedItemId
}) {
  const props = {};

  // Remap and filter undefined props
  Object.entries({
    railcar: railcarId,
    ui_algo: uiAlgo,
    ui_position: uiPosition,
    fetch_algo: fetchAlgo,
    fetch_query: query,
    fetch_position: fetchPosition,
    rec_result: result,
    rec_blog_id: recBlogId,
    rec_post_id: recPostId,
    rec_feed_id: recFeedId,
    rec_feed_item_id: recFeedItemId
  }).forEach(([key, val]) => val !== undefined && (props[key] = val));
  recordTracksEvent('calypso_traintracks_render', props);
}
function recordTrainTracksInteract({
  railcarId,
  action
}) {
  recordTracksEvent('calypso_traintracks_interact', {
    railcar: railcarId,
    action
  });
}
function getNewRailcarId(suffix = 'recommendation') {
  return `${uuid().replace(/-/g, '')}-${suffix}`;
}

/***/ }),

/***/ 71379:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   H: () => (/* binding */ getCurrentUser),
/* harmony export */   l: () => (/* binding */ setCurrentUser)
/* harmony export */ });
/* harmony import */ var _hash_pii__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47523);


/**
 * Module variables
 */
let _currentUser;
/**
 * Gets current user.
 * @returns Current user.
 */
function getCurrentUser() {
  return _currentUser;
}

/**
 * Sets current user, (stored in javascript memory).
 * @param currentUser the user data for the current user
 * @returns Current user.
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function setCurrentUser(currentUser) {
  if (!currentUser.ID || isNaN(parseInt(currentUser.ID, 10)) || !currentUser.username || !currentUser.email) {
    return; // Invalid user data.
  }
  _currentUser = {
    ID: parseInt(currentUser.ID, 10),
    username: currentUser.username,
    email: currentUser.email,
    hashedPii: {
      ID: (0,_hash_pii__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(currentUser.ID),
      username: (0,_hash_pii__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(currentUser.username.toLowerCase().replace(/\s/g, '')),
      email: (0,_hash_pii__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(currentUser.email.toLowerCase().replace(/\s/g, ''))
    }
  };
  return _currentUser;
}

/***/ }),

/***/ 72193:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Module variables
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (debug__WEBPACK_IMPORTED_MODULE_0___default()('calypso:analytics'));

/***/ }),

/***/ 20595:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getDoNotTrack)
/* harmony export */ });
/* harmony import */ var _debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(72193);


/**
 * Whether Do Not Track is enabled in the user's browser.
 * @returns true if Do Not Track is enabled in the user's browser.
 */
function getDoNotTrack() {
  const result = Boolean( true && (
  // Internet Explorer 11 uses window.doNotTrack rather than navigator.doNotTrack.
  // Safari 7.1.3+ uses window.doNotTrack rather than navigator.doNotTrack.
  // MDN ref: https://developer.mozilla.org/en-US/docs/Web/API/navigator/doNotTrack#Browser_compatibility
  window.doNotTrack === '1' || window.navigator && window.navigator.doNotTrack === '1'));
  (0,_debug__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(`Do Not Track: ${result}`);
  return result;
}

/***/ }),

/***/ 52189:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (/* binding */ getTrackingPrefs)
/* harmony export */ });
/* unused harmony exports TRACKING_PREFS_COOKIE_V1, TRACKING_PREFS_COOKIE_V2, parseTrackingPrefs */
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(83284);
/* harmony import */ var _is_country_in_gdpr_zone__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(96472);
/* harmony import */ var _is_region_in_ccpa_zone__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(20750);



const TRACKING_PREFS_COOKIE_V1 = 'sensitive_pixel_option';
const TRACKING_PREFS_COOKIE_V2 = 'sensitive_pixel_options';
const prefsDisallowAll = {
  ok: false,
  buckets: {
    essential: true,
    // essential bucket is always allowed
    analytics: false,
    advertising: false
  }
};
const prefsAllowAnalyticsGdpr = {
  ok: false,
  // false is important so the cookie banner is shown
  buckets: {
    essential: true,
    analytics: true,
    // in GDPR zone, analytics is opt-out
    advertising: false // in GDPR zone, advertising is opt-in
  }
};
const prefsAllowAll = {
  ok: true,
  buckets: {
    essential: true,
    analytics: true,
    advertising: true
  }
};
const parseTrackingPrefs = (cookieV2, cookieV1, defaultPrefs = prefsDisallowAll) => {
  const {
    ok,
    buckets
  } = cookieV2 ? JSON.parse(cookieV2) : {};
  if (typeof ok === 'boolean') {
    return {
      ok,
      buckets: {
        ...defaultPrefs.buckets,
        ...buckets
      }
    };
  } else if (cookieV1 && ['yes', 'no'].includes(cookieV1)) {
    return {
      ok: cookieV1 === 'yes',
      buckets: prefsAllowAll.buckets
    };
  }
  return defaultPrefs;
};

/**
 * Returns consents for every Cookie Jar bucket based on privacy driven approach
 *
 * WARNING: this function is meant to work on the client side. If not called
 *          from the client side then it defaults to allow all
 * @returns Whether we may track the current user
 */
function getTrackingPrefs() {
  if (typeof document === 'undefined') {
    //throw new Error( 'getTrackingPrefs() can only be called on the client side' );
    return prefsAllowAll;
  }
  const cookies = cookie__WEBPACK_IMPORTED_MODULE_0__.parse(document.cookie);
  const isCountryGdpr = (0,_is_country_in_gdpr_zone__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(cookies.country_code);
  const isCountryCcpa = (0,_is_region_in_ccpa_zone__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(cookies.country_code, cookies.region);
  if (!isCountryGdpr && !isCountryCcpa) {
    return prefsAllowAll;
  }

  // default tracking mechanism for GDPR is opt-in for marketing and opt-out for anaytics, for CCPA is opt-out:
  const defaultPrefs = isCountryGdpr ? prefsAllowAnalyticsGdpr : prefsAllowAll;
  const {
    ok,
    buckets
  } = parseTrackingPrefs(cookies[TRACKING_PREFS_COOKIE_V2], cookies[TRACKING_PREFS_COOKIE_V1], defaultPrefs);
  if (isCountryCcpa) {
    // For CCPA, only the advertising bucket is relevant, the rest are always true
    return {
      ok,
      buckets: {
        ...prefsAllowAll.buckets,
        advertising: buckets.advertising
      }
    };
  }

  // For CCPA, only the advertising bucket is relevant, the rest are always true
  return {
    ok,
    buckets
  };
}

/***/ }),

/***/ 47523:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ hashPii)
/* harmony export */ });
/* harmony import */ var hash_js_lib_hash_sha_256__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(50536);
/* harmony import */ var hash_js_lib_hash_sha_256__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(hash_js_lib_hash_sha_256__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Hashes users' Personally Identifiable Information using SHA256
 * @param data Data to be hashed
 * @returns SHA256 in hex string format
 */
function hashPii(data) {
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  return hash_js_lib_hash_sha_256__WEBPACK_IMPORTED_MODULE_0___default()().update(data.toString()).digest('hex');
}

/***/ }),

/***/ 96472:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isCountryInGdprZone)
/* harmony export */ });
const GDPR_COUNTRIES = [
// European Member countries
'AT',
// Austria
'BE',
// Belgium
'BG',
// Bulgaria
'CY',
// Cyprus
'CZ',
// Czech Republic
'DE',
// Germany
'DK',
// Denmark
'EE',
// Estonia
'ES',
// Spain
'FI',
// Finland
'FR',
// France
'GR',
// Greece
'HR',
// Croatia
'HU',
// Hungary
'IE',
// Ireland
'IT',
// Italy
'LT',
// Lithuania
'LU',
// Luxembourg
'LV',
// Latvia
'MT',
// Malta
'NL',
// Netherlands
'PL',
// Poland
'PT',
// Portugal
'RO',
// Romania
'SE',
// Sweden
'SI',
// Slovenia
'SK',
// Slovakia
'GB',
// United Kingdom
// Single Market Countries that GDPR applies to
'CH',
// Switzerland
'IS',
// Iceland
'LI',
// Liechtenstein
'NO' // Norway
];

/**
 * Returns a boolean telling whether a country is in the GDPR zone.
 * @param countryCode The country code to look for.
 * @returns Whether the country is in the GDPR zone
 */
function isCountryInGdprZone(countryCode) {
  if ('unknown' === countryCode) {
    // Fail safe: if we don't know the countryCode, assume it's in the Gdpr zone.
    return true;
  }
  return countryCode !== undefined && GDPR_COUNTRIES.includes(countryCode);
}

/***/ }),

/***/ 20750:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isRegionInCcpaZone)
/* harmony export */ });
const CCPA_US_REGIONS = ['california',
// CA
'colorado',
// CO
'connecticut',
// CT
'utah',
// UT
'virginia',
// VA
'texas',
// TX
'tennessee',
// TN
'oregon',
// OR
'new jersey',
// NJ
'montana',
// MT
'iowa',
// IA
'indiana',
// IN
'delaware' // DE
];

/**
 * Returns a boolean telling whether a region is in the CCPA zone.
 * @param countryCode The country code to check (it needs to be 'US' for CCPA to apply)
 * @param region The region to look for.
 * @returns Whether the region is in the GDPR zone
 */
function isRegionInCcpaZone(countryCode, region) {
  if ('US' !== countryCode) {
    return false;
  }
  if ('unknown' === region) {
    // Fail safe: if we don't know the region, assume it's in the CCPA zone.
    return true;
  }
  return region !== undefined && CCPA_US_REGIONS.includes(region.toLowerCase());
}

/***/ }),

/***/ 68739:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ isRegionInStsZone)
/* harmony export */ });
const STS_US_REGIONS = ['california',
// CA
'florida',
// FL
'maryland',
// MD
'massachusetts',
// MA
'new hampshire',
// NH
'nevada',
// NV
'pennsylvania',
// PA
'washington' // WA
];

/**
 * Returns a boolean telling whether a region is in an STS (session tracking sensitive) zone.
 * @param countryCode The country code to check (it needs to be 'US' for STS to apply)
 * @param region The region to look for.
 * @returns Whether the region is in the STS zone
 */

function isRegionInStsZone(countryCode, region) {
  if ('US' !== countryCode) {
    return false;
  }
  if ('unknown' === region) {
    // If we don't know the region, assume it's not in an STS zone.
    return true;
  }
  return region !== undefined && STS_US_REGIONS.includes(region.toLowerCase());
}

/***/ }),

/***/ 94121:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(83284);
/* harmony import */ var _get_tracking_prefs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(52189);


const COOKIE_MAX_AGE = (/* unused pure expression or super */ null && (60 * 60 * 24 * (365.25 / 2))); /* six months; 365.25 -> avg days in year */

const setTrackingPrefs = newPrefs => {
  const {
    ok,
    buckets
  } = getTrackingPrefs();
  const newOptions = {
    ok: typeof newPrefs.ok === 'boolean' ? newPrefs.ok : ok,
    buckets: {
      ...buckets,
      ...newPrefs.buckets
    }
  };
  document.cookie = cookie.serialize(TRACKING_PREFS_COOKIE_V2, JSON.stringify(newOptions), {
    path: '/',
    maxAge: COOKIE_MAX_AGE
  });
  return newOptions;
};
/* unused harmony default export */ var __WEBPACK_DEFAULT_EXPORT__ = ((/* unused pure expression or super */ null && (setTrackingPrefs)));

/***/ }),

/***/ 736:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// TODO: Revisit whether it is useful for the Desktop app to override the following properties:
// signup_url, login_url, logout_url and discover_logged_out_redirect_url

const config = {
  env: 'production',
  env_id: 'desktop',
  client_slug: 'desktop',
  readerFollowingSource: 'desktop',
  boom_analytics_key: 'desktop',
  google_recaptcha_site_key: '6LdoXcAUAAAAAM61KvdgP8xwnC19YuzAiOWn5Wtn'
};
const features = {
  desktop: true,
  'desktop-promo': false,
  'login/social-first': false,
  'sign-in-with-apple': false,
  // Note: there is also a sign-in-with-apple/redirect flag
  // that may/may not be relevant to override for the Desktop app.
  'signup/social': false,
  'signup/social-first': false,
  'login/magic-login': false,
  'bilmur-script': false
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (data => {
  data = Object.assign(data, config);
  if (data.features) {
    data.features = Object.assign(data.features, features);
  }
  if (window.electron && window.electron.features) {
    data.features = Object.assign(data.features ?? {}, window.electron.features);
  }
  return data;
});

/***/ }),

/***/ 70696:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   Ol: () => (/* binding */ isEnabled)
/* harmony export */ });
/* unused harmony exports isCalypsoLive, enabledFeatures, enable, disable */
/* harmony import */ var _automattic_create_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5813);
/* harmony import */ var cookie__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(83284);
/* harmony import */ var _desktop__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(736);



/**
 * Manages config flags for various deployment builds
 * @module config/index
 */
if (false) {}
if (!window.configData) {
  if (false) {}
  window.configData = {};
}
const isDesktop = window.electron !== undefined;
let configData;
if (isDesktop) {
  configData = (0,_desktop__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(window.configData);
} else {
  configData = window.configData;
}

// calypso.live matches
// hash-abcd1234.calypso.live matches
// calypso.live.com doesn't match
const CALYPSO_LIVE_REGEX = /^([a-zA-Z0-9-]+\.)?calypso\.live$/;

// check if the current browser location is *.calypso.live
function isCalypsoLive() {
  return  true && CALYPSO_LIVE_REGEX.test(window.location.host);
}
function applyFlags(flagsString, modificationMethod) {
  const flags = flagsString.split(',');
  flags.forEach(flagRaw => {
    const flag = flagRaw.replace(/^[-+]/, '');
    const enabled = !/^-/.test(flagRaw);
    if (configData.features) {
      configData.features[flag] = enabled;
      // eslint-disable-next-line no-console
      console.log('%cConfig flag %s via %s: %s', 'font-weight: bold;', enabled ? 'enabled' : 'disabled', modificationMethod, flag);
    }
  });
}
const flagEnvironments = ['wpcalypso', 'horizon', 'stage', 'jetpack-cloud-stage', 'a8c-for-agencies-stage'];
if ( false || flagEnvironments.includes(configData.env_id) || isCalypsoLive()) {
  const cookies = cookie__WEBPACK_IMPORTED_MODULE_1__.parse(document.cookie);
  if (cookies.flags) {
    applyFlags(cookies.flags, 'cookie');
  }
  try {
    const session = window.sessionStorage.getItem('flags');
    if (session) {
      applyFlags(session, 'sessionStorage');
    }
  } catch (e) {
    // in private context, accessing session storage can throw
  }
  const match = document.location.search && document.location.search.match(/[?&]flags=([^&]+)(&|$)/);
  if (match) {
    applyFlags(decodeURIComponent(match[1]), 'URL');
  }
}
const configApi = (0,_automattic_create_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(configData);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (configApi);
const isEnabled = configApi.isEnabled;
const enabledFeatures = configApi.enabledFeatures;
const enable = configApi.enable;
const disable = configApi.disable;

/***/ }),

/***/ 58131:
/***/ ((__unused_webpack_module, __unused_webpack___webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony import */ var core_js_modules_es_regexp_flags_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9223);
/* harmony import */ var core_js_modules_es_regexp_flags_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_es_regexp_flags_js__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var core_js_modules_web_immediate_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(11304);
/* harmony import */ var core_js_modules_web_immediate_js__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(core_js_modules_web_immediate_js__WEBPACK_IMPORTED_MODULE_1__);

 // Polyfills required for the browser build of Calypso.
// Note that these polyfills will not necessarily be included in the build,
// since Calypso makes use of @babel/preset-env and browserslist configs to
// avoid including polyfills for features that are supported across all target
// browsers.

/***/ }),

/***/ 49941:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   j: () => (/* binding */ camelOrSnakeSlug)
/* harmony export */ });
function camelOrSnakeSlug(product) {
  return 'product_slug' in product ? product.product_slug : product.productSlug;
}

/***/ }),

/***/ 11421:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $5r: () => (/* binding */ FEATURE_WAF_V2),
/* harmony export */   $By: () => (/* binding */ FEATURE_ONE_CLICK_THREAT_RESOLUTION),
/* harmony export */   $lI: () => (/* binding */ FEATURE_ADVANCED_DESIGN_CUSTOMIZATION),
/* harmony export */   A6: () => (/* binding */ FEATURE_SENSEI_JETPACK),
/* harmony export */   AOP: () => (/* binding */ FEATURE_GOOGLE_ANALYTICS),
/* harmony export */   AR4: () => (/* binding */ FEATURE_EXTENSIONS),
/* harmony export */   BAE: () => (/* binding */ FEATURE_FREE_DOMAIN),
/* harmony export */   BFp: () => (/* binding */ FEATURE_SENSEI_UNLIMITED),
/* harmony export */   BGp: () => (/* binding */ FEATURE_PROMOTE_ON_TIKTOK),
/* harmony export */   Bb_: () => (/* binding */ FEATURE_FREE_WORDPRESS_THEMES),
/* harmony export */   BfV: () => (/* binding */ FEATURE_JETPACK_ESSENTIAL),
/* harmony export */   BoU: () => (/* binding */ FEATURE_PREMIUM_CUSTOMIZABE_THEMES),
/* harmony export */   Bof: () => (/* binding */ FEATURE_JETPACK_SOCIAL_BASIC_MONTHLY),
/* harmony export */   CD8: () => (/* binding */ FEATURE_ACTIVITY_LOG),
/* harmony export */   CFg: () => (/* binding */ FEATURE_PREMIUM_THEMES),
/* harmony export */   CN1: () => (/* binding */ FEATURE_UNLIMITED_PRODUCTS),
/* harmony export */   COw: () => (/* binding */ FEATURE_FREE_THEMES_SIGNUP),
/* harmony export */   CQZ: () => (/* binding */ FEATURE_50GB_STORAGE_ADD_ON),
/* harmony export */   CR9: () => (/* binding */ FEATURE_MANAGED_HOSTING),
/* harmony export */   CTo: () => (/* binding */ FEATURE_STORE_DESIGN),
/* harmony export */   Ckc: () => (/* binding */ FEATURE_INTERNATIONAL_PAYMENTS),
/* harmony export */   Czl: () => (/* binding */ FEATURE_DYNAMIC_UPSELLS),
/* harmony export */   D6q: () => (/* binding */ FEATURE_JETPACK_PRODUCT_BACKUP),
/* harmony export */   D9A: () => (/* binding */ FEATURE_STREAMLINED_CHECKOUT),
/* harmony export */   DA$: () => (/* binding */ FEATURE_P2_UNLIMITED_USERS),
/* harmony export */   DF1: () => (/* binding */ WPCOM_FEATURES_ATOMIC),
/* harmony export */   DGp: () => (/* binding */ FEATURE_JETPACK_CRM),
/* harmony export */   DZs: () => (/* binding */ FEATURE_BACKUP_ARCHIVE_UNLIMITED),
/* harmony export */   Dml: () => (/* binding */ FEATURE_LIVE_CHAT_SUPPORT),
/* harmony export */   Doi: () => (/* binding */ FEATURE_LIST_PRODUCTS_BY_BRAND),
/* harmony export */   DtW: () => (/* binding */ FEATURE_MANAGE),
/* harmony export */   Dw1: () => (/* binding */ FEATURE_JETPACK_SEARCH_MONTHLY),
/* harmony export */   DyV: () => (/* binding */ FEATURE_PAYMENT_BLOCKS),
/* harmony export */   EOS: () => (/* binding */ FEATURE_SUPPORT_EMAIL),
/* harmony export */   EPC: () => (/* binding */ FEATURE_BEAUTIFUL_THEMES),
/* harmony export */   EVF: () => (/* binding */ FEATURE_EMAIL_LIVE_CHAT_SUPPORT),
/* harmony export */   F2P: () => (/* binding */ FEATURE_OFFSITE_BACKUP_VAULTPRESS_REALTIME),
/* harmony export */   FHf: () => (/* binding */ FEATURE_P2_VIDEO_SHARING),
/* harmony export */   Faw: () => (/* binding */ FEATURE_GROUP_PAYMENT_TRANSACTION_FEES),
/* harmony export */   Fig: () => (/* binding */ FEATURE_WP_SUBDOMAIN_SIGNUP),
/* harmony export */   Fim: () => (/* binding */ FEATURE_REAL_TIME_ANALYTICS),
/* harmony export */   Fv5: () => (/* binding */ FEATURE_EMAIL_LIVE_CHAT_SUPPORT_BUSINESS_DAYS),
/* harmony export */   GNY: () => (/* binding */ FEATURE_SALES_REPORTS),
/* harmony export */   GRF: () => (/* binding */ FEATURE_NEWSLETTER_IMPORT_SUBSCRIBERS_FREE),
/* harmony export */   GlD: () => (/* binding */ FEATURE_ES_SEARCH_JP),
/* harmony export */   H$K: () => (/* binding */ FEATURE_UNLIMITED_SUBSCRIBERS),
/* harmony export */   H7I: () => (/* binding */ FEATURE_AUTOMATED_SALES_TAXES),
/* harmony export */   HIJ: () => (/* binding */ FEATURE_JETPACK_BACKUP_REALTIME_MONTHLY),
/* harmony export */   HKK: () => (/* binding */ FEATURE_VIDEOPRESS_JP),
/* harmony export */   HU_: () => (/* binding */ FEATURE_SECURITY_DDOS),
/* harmony export */   H_g: () => (/* binding */ FEATURE_JETPACK_PRODUCT_VIDEOPRESS),
/* harmony export */   Hc$: () => (/* binding */ FEATURE_SENSEI_SUPPORT),
/* harmony export */   HeJ: () => (/* binding */ FEATURE_JETPACK_BACKUP_DAILY_MONTHLY),
/* harmony export */   Isg: () => (/* binding */ FEATURE_PRODUCT_SCAN_REALTIME_V2),
/* harmony export */   Isz: () => (/* binding */ FEATURE_100GB_STORAGE_ADD_ON),
/* harmony export */   ItL: () => (/* binding */ FEATURE_ALL_PERSONAL_FEATURES),
/* harmony export */   J2p: () => (/* binding */ FEATURE_JETPACK_CRM_MONTHLY),
/* harmony export */   JEu: () => (/* binding */ FEATURE_BACKUP_ARCHIVE_30),
/* harmony export */   JLP: () => (/* binding */ FEATURE_MEMBERSHIPS),
/* harmony export */   JUp: () => (/* binding */ FEATURE_CLOUD_CRITICAL_CSS),
/* harmony export */   JYj: () => (/* binding */ FEATURE_OFFSITE_BACKUP_VAULTPRESS_DAILY),
/* harmony export */   JZR: () => (/* binding */ FEATURE_200GB_STORAGE),
/* harmony export */   J_n: () => (/* binding */ FEATURE_JETPACK_BACKUP_T1_MONTHLY),
/* harmony export */   Jgn: () => (/* binding */ WPCOM_FEATURES_SCAN),
/* harmony export */   Jmr: () => (/* binding */ FEATURE_SELL_SHIP),
/* harmony export */   Jr$: () => (/* binding */ FEATURE_MALWARE_SCANNING_DAILY_AND_ON_DEMAND),
/* harmony export */   K5c: () => (/* binding */ FEATURE_SHARES_SOCIAL_MEDIA_JP),
/* harmony export */   KAl: () => (/* binding */ FEATURE_GIFT_CARDS),
/* harmony export */   KGH: () => (/* binding */ FEATURE_50GB_STORAGE),
/* harmony export */   KUL: () => (/* binding */ FEATURE_MARKETING_AUTOMATION),
/* harmony export */   KmN: () => (/* binding */ FEATURE_SITE_STAGING_SITES),
/* harmony export */   LHc: () => (/* binding */ FEATURE_SENSEI_STORAGE),
/* harmony export */   LHt: () => (/* binding */ FEATURE_SITE_ACTIVITY_LOG_JP),
/* harmony export */   LKS: () => (/* binding */ FEATURE_SECURITY_BRUTE_FORCE),
/* harmony export */   LUJ: () => (/* binding */ FEATURE_BACK_IN_STOCK_NOTIFICATIONS),
/* harmony export */   LVB: () => (/* binding */ FEATURE_ACCEPT_PAYMENTS_V2),
/* harmony export */   LhS: () => (/* binding */ FEATURE_EMAIL_MARKETING),
/* harmony export */   Lpb: () => (/* binding */ FEATURE_SITE_STATS),
/* harmony export */   M$n: () => (/* binding */ FEATURE_VIDEO_UPLOADS),
/* harmony export */   M7I: () => (/* binding */ FEATURE_ACCEPT_LOCAL_PAYMENTS),
/* harmony export */   MVP: () => (/* binding */ FEATURE_JETPACK_SCAN_DAILY_MONTHLY),
/* harmony export */   MZU: () => (/* binding */ FEATURE_NO_ADS),
/* harmony export */   MaF: () => (/* binding */ FEATURE_INVENTORY_MGMT),
/* harmony export */   MaQ: () => (/* binding */ FEATURE_FREE_BLOG_DOMAIN),
/* harmony export */   Mo5: () => (/* binding */ FEATURE_UPLOAD_THEMES),
/* harmony export */   Moq: () => (/* binding */ FEATURE_EMAIL_LIVE_CHAT_SUPPORT_ALL_DAYS),
/* harmony export */   MtP: () => (/* binding */ FEATURE_P2_ADVANCED_SEARCH),
/* harmony export */   N3t: () => (/* binding */ FEATURE_PAID_SUBSCRIBERS_JP),
/* harmony export */   NAz: () => (/* binding */ FEATURE_JETPACK_ANTI_SPAM_MONTHLY),
/* harmony export */   NBm: () => (/* binding */ FEATURE_PLUGIN_AUTOUPDATE_JP),
/* harmony export */   Ncs: () => (/* binding */ FEATURE_ADVERTISE_ON_GOOGLE),
/* harmony export */   Nno: () => (/* binding */ FEATURE_LIST_UNLIMITED_PRODUCTS),
/* harmony export */   NrG: () => (/* binding */ FEATURE_ALL_PREMIUM_FEATURES),
/* harmony export */   O6g: () => (/* binding */ FEATURE_PAYPAL_JP),
/* harmony export */   OPf: () => (/* binding */ FEATURE_ALL_PREMIUM_FEATURES_JETPACK),
/* harmony export */   Ohd: () => (/* binding */ FEATURE_PRODUCT_SCAN_DAILY_V2),
/* harmony export */   Onf: () => (/* binding */ FEATURE_JETPACK_BOOST_MONTHLY),
/* harmony export */   P25: () => (/* binding */ FEATURE_ALWAYS_ONLINE),
/* harmony export */   P2_: () => (/* binding */ FEATURE_PRODUCT_BACKUP_DAILY_V2),
/* harmony export */   P44: () => (/* binding */ FEATURE_JETPACK_REAL_TIME_MALWARE_SCANNING),
/* harmony export */   QMR: () => (/* binding */ FEATURE_STANDARD_SECURITY_TOOLS),
/* harmony export */   QXs: () => (/* binding */ FEATURE_SECURITY_MALWARE),
/* harmony export */   Qcp: () => (/* binding */ FEATURE_UPTIME_MONITOR_JP),
/* harmony export */   Qqh: () => (/* binding */ WPCOM_FEATURES_INSTALL_PURCHASED_PLUGINS),
/* harmony export */   QuL: () => (/* binding */ FEATURE_COMMISSION_FEE_WOO_FEATURES),
/* harmony export */   QvK: () => (/* binding */ FEATURE_MIN_MAX_ORDER_QUANTITY),
/* harmony export */   R7Q: () => (/* binding */ FEATURE_COLLECT_PAYMENTS_V2),
/* harmony export */   RAq: () => (/* binding */ FEATURE_ONE_CLICK_RESTORE_V2),
/* harmony export */   RZD: () => (/* binding */ FEATURE_EMAIL_SUPPORT_SIGNUP),
/* harmony export */   R_9: () => (/* binding */ FEATURE_AUDIO_UPLOADS),
/* harmony export */   RkI: () => (/* binding */ FEATURE_STYLE_CUSTOMIZATION),
/* harmony export */   Rs_: () => (/* binding */ WPCOM_FEATURES_ANTISPAM),
/* harmony export */   S4e: () => (/* binding */ FEATURE_GOOGLE_ANALYTICS_V3),
/* harmony export */   SIm: () => (/* binding */ FEATURE_WP_UPDATES),
/* harmony export */   SQX: () => (/* binding */ FEATURE_PREMIUM_STORE_THEMES),
/* harmony export */   SyJ: () => (/* binding */ FEATURE_BLANK),
/* harmony export */   TEv: () => (/* binding */ FEATURE_6GB_STORAGE),
/* harmony export */   Tgp: () => (/* binding */ FEATURE_PREMIUM_CONTENT_BLOCK),
/* harmony export */   Tjc: () => (/* binding */ FEATURE_P2_3GB_STORAGE),
/* harmony export */   Tuf: () => (/* binding */ FEATURE_BANDWIDTH),
/* harmony export */   UjR: () => (/* binding */ FEATURE_JETPACK_BACKUP_T2_MONTHLY),
/* harmony export */   Uqd: () => (/* binding */ FEATURE_COMMISSION_FEE_STANDARD_FEATURES),
/* harmony export */   Uvw: () => (/* binding */ FEATURE_SENSEI_INTERACTIVE),
/* harmony export */   V82: () => (/* binding */ FEATURE_SENSEI_SELL_COURSES),
/* harmony export */   VX3: () => (/* binding */ FEATURE_ACTIVITY_LOG_1_YEAR_V2),
/* harmony export */   Vrh: () => (/* binding */ FEATURE_PREMIUM_SUPPORT),
/* harmony export */   Vy9: () => (/* binding */ FEATURE_EASY_SITE_MIGRATION),
/* harmony export */   W5X: () => (/* binding */ FEATURE_ADVANCED_SEO),
/* harmony export */   WI4: () => (/* binding */ FEATURE_WOOCOMMERCE_STORE),
/* harmony export */   WO2: () => (/* binding */ FEATURE_3GB_STORAGE),
/* harmony export */   WT$: () => (/* binding */ FEATURE_PAYMENT_TRANSACTION_FEES_0_WOO),
/* harmony export */   WcS: () => (/* binding */ FEATURE_JETPACK_BOOST),
/* harmony export */   WoS: () => (/* binding */ FEATURE_STATS_JP),
/* harmony export */   WtV: () => (/* binding */ FEATURE_COLLECT_PAYMENTS_LINK_IN_BIO),
/* harmony export */   XAi: () => (/* binding */ FEATURE_LIVE_CHAT_SUPPORT_ALL_DAYS),
/* harmony export */   Xil: () => (/* binding */ FEATURE_SELL_EGIFTS_AND_VOUCHERS),
/* harmony export */   Xlo: () => (/* binding */ FEATURE_BULK_DISCOUNTS),
/* harmony export */   Xsf: () => (/* binding */ FEATURE_JETPACK_BACKUP_T0_YEARLY),
/* harmony export */   XuE: () => (/* binding */ FEATURE_DISCOUNTED_SHIPPING),
/* harmony export */   Xx6: () => (/* binding */ FEATURE_JETPACK_VIDEOPRESS_MONTHLY),
/* harmony export */   YQh: () => (/* binding */ FEATURE_INTEGRATED_SHIPMENT_TRACKING),
/* harmony export */   Y_U: () => (/* binding */ FEATURE_INVENTORY),
/* harmony export */   YgQ: () => (/* binding */ FEATURE_P2_13GB_STORAGE),
/* harmony export */   Ymf: () => (/* binding */ FEATURE_PAYMENT_TRANSACTION_FEES_8),
/* harmony export */   Ywz: () => (/* binding */ FEATURE_SOCIAL_MEDIA_TOOLS),
/* harmony export */   Z1x: () => (/* binding */ FEATURE_P2_PRIORITY_CHAT_EMAIL_SUPPORT),
/* harmony export */   ZIK: () => (/* binding */ FEATURE_DONATIONS_AND_TIPS_JP),
/* harmony export */   ZNU: () => (/* binding */ FEATURE_BACKUP_STORAGE_SPACE_UNLIMITED),
/* harmony export */   Zvm: () => (/* binding */ FEATURE_UNLIMITED_EMAILS),
/* harmony export */   ZxR: () => (/* binding */ FEATURE_TITAN_EMAIL),
/* harmony export */   ZzH: () => (/* binding */ WPCOM_FEATURES_BACKUPS),
/* harmony export */   _22: () => (/* binding */ FEATURE_HOSTING),
/* harmony export */   _5J: () => (/* binding */ FEATURE_JETPACK_1_YEAR_ARCHIVE_ACTIVITY_LOG),
/* harmony export */   _5w: () => (/* binding */ FEATURE_PLAN_SECURITY_DAILY),
/* harmony export */   _Qs: () => (/* binding */ FEATURE_WAF),
/* harmony export */   _c8: () => (/* binding */ FEATURE_LIVE_CHAT_SUPPORT_BUSINESS_DAYS),
/* harmony export */   _nr: () => (/* binding */ FEATURE_JETPACK_SOCIAL_ADVANCED_BI_YEARLY),
/* harmony export */   _pA: () => (/* binding */ FEATURE_JETPACK_BACKUP_T0_MONTHLY),
/* harmony export */   _vw: () => (/* binding */ FEATURE_SITE_BACKUPS_AND_RESTORE),
/* harmony export */   a2z: () => (/* binding */ FEATURE_SCAN_V2),
/* harmony export */   aC2: () => (/* binding */ FEATURE_MONETISE),
/* harmony export */   aER: () => (/* binding */ FEATURE_WP_SUBDOMAIN),
/* harmony export */   aFM: () => (/* binding */ FEATURE_AUTOMATED_RESTORES),
/* harmony export */   aNF: () => (/* binding */ FEATURE_PAYMENT_TRANSACTION_FEES_0_ALL),
/* harmony export */   adL: () => (/* binding */ FEATURE_ALL_BUSINESS_FEATURES),
/* harmony export */   akF: () => (/* binding */ FEATURE_JETPACK_BACKUP_T1_BI_YEARLY),
/* harmony export */   b1C: () => (/* binding */ FEATURE_PAYMENT_BUTTONS_JP),
/* harmony export */   b9l: () => (/* binding */ FEATURE_POST_EDITS_HISTORY),
/* harmony export */   bA6: () => (/* binding */ FEATURE_DISPLAY_PRODUCTS_BRAND),
/* harmony export */   bUN: () => (/* binding */ FEATURE_MARKETPLACE_SYNC_SOCIAL_MEDIA_INTEGRATION),
/* harmony export */   bW1: () => (/* binding */ FEATURE_MULTI_SITE),
/* harmony export */   ba_: () => (/* binding */ FEATURE_P2_UNLIMITED_POSTS_PAGES),
/* harmony export */   bnw: () => (/* binding */ FEATURE_SFTP_DATABASE),
/* harmony export */   boO: () => (/* binding */ FEATURE_CRM_V2),
/* harmony export */   bw5: () => (/* binding */ FEATURE_JETPACK_1TB_BACKUP_STORAGE),
/* harmony export */   ceT: () => (/* binding */ FEATURE_PRODUCT_RECOMMENDATIONS),
/* harmony export */   ch3: () => (/* binding */ FEATURE_PREMIUM_CONTENT_JP),
/* harmony export */   d4e: () => (/* binding */ FEATURE_ECOMMERCE_MARKETING),
/* harmony export */   dBh: () => (/* binding */ FEATURE_AD_FREE_EXPERIENCE),
/* harmony export */   dIT: () => (/* binding */ FEATURE_PRODUCT_BACKUP_REALTIME_V2),
/* harmony export */   dZJ: () => (/* binding */ FEATURE_P2_CUSTOMIZATION_OPTIONS),
/* harmony export */   dut: () => (/* binding */ FEATURE_JETPACK_BACKUP_T2_YEARLY),
/* harmony export */   e00: () => (/* binding */ FEATURE_UPLOAD_PLUGINS),
/* harmony export */   e5F: () => (/* binding */ FEATURE_USERS),
/* harmony export */   e7t: () => (/* binding */ FEATURE_REALTIME_BACKUPS_JP),
/* harmony export */   e7z: () => (/* binding */ FEATURE_CONNECT_WITH_FACEBOOK),
/* harmony export */   eAf: () => (/* binding */ FEATURE_EMAIL_FORWARDING_EXTENDED_LIMIT),
/* harmony export */   eCG: () => (/* binding */ FEATURE_BURST),
/* harmony export */   eYY: () => (/* binding */ FEATURE_EARN_AD),
/* harmony export */   ee8: () => (/* binding */ FEATURE_MIN_MAX_QTY),
/* harmony export */   emy: () => (/* binding */ FEATURE_SEO_PREVIEW_TOOLS),
/* harmony export */   fPv: () => (/* binding */ FEATURE_ABANDONED_CART_RECOVERY),
/* harmony export */   fZL: () => (/* binding */ FEATURE_WOOCOMMERCE_MOBILE_APP),
/* harmony export */   fcV: () => (/* binding */ FEATURE_COMMUNITY_SUPPORT),
/* harmony export */   fgV: () => (/* binding */ FEATURE_LIVE_SHIPPING_RATES),
/* harmony export */   fls: () => (/* binding */ FEATURE_P2_MORE_FILE_TYPES),
/* harmony export */   fv4: () => (/* binding */ FEATURE_JETPACK_SOCIAL_ADVANCED),
/* harmony export */   g9: () => (/* binding */ FEATURE_JETPACK_SOCIAL_BASIC_BI_YEARLY),
/* harmony export */   gH7: () => (/* binding */ FEATURE_ACCEPT_PAYMENTS),
/* harmony export */   gOt: () => (/* binding */ FEATURE_JETPACK_BACKUP_T1_YEARLY),
/* harmony export */   gQ2: () => (/* binding */ FEATURE_ADVANCED_SEO_TOOLS),
/* harmony export */   gbu: () => (/* binding */ FEATURE_AUTOMATIC_SALES_TAX),
/* harmony export */   gmv: () => (/* binding */ FEATURE_PRINT_SHIPPING_LABELS),
/* harmony export */   hQm: () => (/* binding */ FEATURE_UPLOAD_THEMES_PLUGINS),
/* harmony export */   hS1: () => (/* binding */ FEATURE_BACKUP_REALTIME_V2),
/* harmony export */   hVU: () => (/* binding */ FEATURE_GOOGLE_MY_BUSINESS),
/* harmony export */   hXr: () => (/* binding */ FEATURE_INTEGRATED_PAYMENTS),
/* harmony export */   hjj: () => (/* binding */ FEATURE_BACKUP_DAILY_V2),
/* harmony export */   iAz: () => (/* binding */ FEATURE_ISOLATED_INFRA),
/* harmony export */   iNP: () => (/* binding */ FEATURE_SENSEI_HOSTING),
/* harmony export */   iPI: () => (/* binding */ FEATURE_CHECKOUT),
/* harmony export */   iQ_: () => (/* binding */ FEATURE_STATS_PAID),
/* harmony export */   irI: () => (/* binding */ FEATURE_SIMPLE_PAYMENTS),
/* harmony export */   ix8: () => (/* binding */ FEATURE_JETPACK_SCAN_DAILY),
/* harmony export */   j58: () => (/* binding */ FEATURE_PLUGINS_THEMES),
/* harmony export */   j6z: () => (/* binding */ FEATURE_CUSTOM_STORE),
/* harmony export */   jM: () => (/* binding */ FEATURE_PAYMENT_TRANSACTION_FEES_2_REGULAR),
/* harmony export */   jO_: () => (/* binding */ FEATURE_JETPACK_BOOST_BI_YEARLY),
/* harmony export */   jPE: () => (/* binding */ FEATURE_NO_BRANDING),
/* harmony export */   jdY: () => (/* binding */ FEATURE_NEWSLETTERS_RSS),
/* harmony export */   jiF: () => (/* binding */ FEATURE_UNLTD_SOCIAL_MEDIA_JP),
/* harmony export */   jwP: () => (/* binding */ FEATURE_PRODUCT_BUNDLES),
/* harmony export */   k4q: () => (/* binding */ FEATURE_OFFER_BULK_DISCOUNTS),
/* harmony export */   kPp: () => (/* binding */ FEATURE_ADVANCED_SEO_EXPANDED_ABBR),
/* harmony export */   kSO: () => (/* binding */ FEATURE_PAYMENT_TRANSACTION_FEES_0),
/* harmony export */   kYS: () => (/* binding */ FEATURE_PAYMENT_TRANSACTION_FEES_4),
/* harmony export */   kb1: () => (/* binding */ FEATURE_PAYMENT_TRANSACTION_FEES_2),
/* harmony export */   kbH: () => (/* binding */ PREMIUM_DESIGN_FOR_STORES),
/* harmony export */   kbI: () => (/* binding */ FEATURE_SELL_60_COUNTRIES),
/* harmony export */   kgl: () => (/* binding */ FEATURE_CUSTOM_DOMAIN),
/* harmony export */   ko5: () => (/* binding */ FEATURE_PAGES),
/* harmony export */   kzF: () => (/* binding */ FEATURE_JETPACK_VIDEOPRESS_BI_YEARLY),
/* harmony export */   l1X: () => (/* binding */ FEATURE_JETPACK_ANTI_SPAM),
/* harmony export */   l58: () => (/* binding */ FEATURE_SYNC_WITH_PINTEREST),
/* harmony export */   l5Q: () => (/* binding */ FEATURE_UNLIMITED_TRAFFIC),
/* harmony export */   lIm: () => (/* binding */ FEATURE_SMART_REDIRECTS),
/* harmony export */   lS7: () => (/* binding */ FEATURE_CPUS),
/* harmony export */   lW1: () => (/* binding */ FEATURE_DEV_TOOLS),
/* harmony export */   lu6: () => (/* binding */ FEATURE_AUTOMATED_BACKUPS_SECURITY_SCAN),
/* harmony export */   lwq: () => (/* binding */ FEATURE_JETPACK_BACKUP_REALTIME),
/* harmony export */   m38: () => (/* binding */ FEATURE_STOCK_NOTIFS),
/* harmony export */   m51: () => (/* binding */ FEATURE_INSTALL_PLUGINS),
/* harmony export */   mEY: () => (/* binding */ FEATURE_SHIPPING_CARRIERS),
/* harmony export */   mT$: () => (/* binding */ FEATURE_SHIPPING_INTEGRATIONS),
/* harmony export */   nYV: () => (/* binding */ FEATURE_WORDPRESS_CMS),
/* harmony export */   ndR: () => (/* binding */ FEATURE_SENSEI_QUIZZES),
/* harmony export */   nh1: () => (/* binding */ FEATURE_AUTOMATED_EMAIL_TRIGGERS),
/* harmony export */   njy: () => (/* binding */ FEATURE_RECOMMEND_ADD_ONS),
/* harmony export */   oIC: () => (/* binding */ FEATURE_WORDADS_INSTANT),
/* harmony export */   ow: () => (/* binding */ FEATURE_P2_ACTIVITY_OVERVIEW),
/* harmony export */   ozR: () => (/* binding */ FEATURE_PRODUCT_ADD_ONS),
/* harmony export */   p0N: () => (/* binding */ FEATURE_FREE_SSL_CERTIFICATE),
/* harmony export */   pJg: () => (/* binding */ FEATURE_JETPACK_SOCIAL_ADVANCED_MONTHLY),
/* harmony export */   pX_: () => (/* binding */ FEATURE_TRAFFIC_TOOLS),
/* harmony export */   pbK: () => (/* binding */ FEATURE_BLOG_DOMAIN),
/* harmony export */   pt9: () => (/* binding */ FEATURE_SPAM_AKISMET_PLUS),
/* harmony export */   q6q: () => (/* binding */ FEATURE_P2_SIMPLE_SEARCH),
/* harmony export */   qCK: () => (/* binding */ FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY),
/* harmony export */   qCV: () => (/* binding */ FEATURE_CONTACT_FORM_JP),
/* harmony export */   qRK: () => (/* binding */ FEATURE_CUSTOM_ORDER_EMAILS),
/* harmony export */   qot: () => (/* binding */ FEATURE_DATACENTRE_FAILOVER),
/* harmony export */   r_P: () => (/* binding */ FEATURE_ADD_UNLIMITED_LINKS),
/* harmony export */   rag: () => (/* binding */ FEATURE_JETPACK_VIDEOPRESS),
/* harmony export */   rxl: () => (/* binding */ FEATURE_LOYALTY_PROG),
/* harmony export */   sPj: () => (/* binding */ FEATURE_AUTOMATIC_SECURITY_FIXES),
/* harmony export */   sWw: () => (/* binding */ FEATURE_WOOCOMMERCE),
/* harmony export */   sgf: () => (/* binding */ FEATURE_1GB_STORAGE),
/* harmony export */   siL: () => (/* binding */ FEATURE_JETPACK_SEARCH_BI_YEARLY),
/* harmony export */   snK: () => (/* binding */ FEATURE_ANTISPAM_V2),
/* harmony export */   swD: () => (/* binding */ FEATURE_CLOUDFLARE_ANALYTICS),
/* harmony export */   tDt: () => (/* binding */ FEATURE_ALL_FREE_FEATURES_JETPACK),
/* harmony export */   tdE: () => (/* binding */ FEATURE_JETPACK_SOCIAL_BASIC),
/* harmony export */   tx2: () => (/* binding */ FEATURE_JETPACK_30_DAY_ARCHIVE_ACTIVITY_LOG),
/* harmony export */   u7c: () => (/* binding */ FEATURE_EMAIL_SUPPORT),
/* harmony export */   uFG: () => (/* binding */ FEATURE_CART_ABANDONMENT_EMAILS),
/* harmony export */   uGw: () => (/* binding */ WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED),
/* harmony export */   uVr: () => (/* binding */ FEATURE_UNLIMITED_ADMINS),
/* harmony export */   uXB: () => (/* binding */ FEATURE_ASSEMBLED_KITS),
/* harmony export */   u_9: () => (/* binding */ FEATURE_WORDPRESS_MOBILE_APP),
/* harmony export */   uoN: () => (/* binding */ FEATURE_FAST_DNS),
/* harmony export */   ur7: () => (/* binding */ FEATURE_SEO_JP),
/* harmony export */   vCo: () => (/* binding */ FEATURE_FREE_THEMES),
/* harmony export */   vQx: () => (/* binding */ FEATURE_PAYMENT_TRANSACTION_FEES_10),
/* harmony export */   vbh: () => (/* binding */ FEATURE_THE_READER),
/* harmony export */   vkJ: () => (/* binding */ FEATURE_UNLIMITED_PRODUCTS_SERVICES),
/* harmony export */   vrw: () => (/* binding */ FEATURE_JETPACK_BACKUP_DAILY),
/* harmony export */   vz3: () => (/* binding */ FEATURE_GLOBAL_EDGE_CACHING),
/* harmony export */   wIu: () => (/* binding */ FEATURE_ALL_FREE_FEATURES),
/* harmony export */   whx: () => (/* binding */ FEATURE_REPUBLICIZE),
/* harmony export */   xEy: () => (/* binding */ FEATURE_RECURRING_PAYMENTS),
/* harmony export */   xj: () => (/* binding */ FEATURE_PRODUCT_SEARCH_V2),
/* harmony export */   xoQ: () => (/* binding */ FEATURE_13GB_STORAGE),
/* harmony export */   xpj: () => (/* binding */ FEATURE_MALWARE_SCANNING_DAILY),
/* harmony export */   xq9: () => (/* binding */ FEATURE_CDN),
/* harmony export */   xsQ: () => (/* binding */ FEATURE_JETPACK_SEARCH),
/* harmony export */   xt: () => (/* binding */ FEATURE_JETPACK_ADVANCED),
/* harmony export */   y$v: () => (/* binding */ FEATURE_AI_ASSISTED_PRODUCT_DESCRIPTION),
/* harmony export */   y33: () => (/* binding */ FEATURE_SPAM_JP),
/* harmony export */   yCc: () => (/* binding */ FEATURE_JETPACK_ALL_BACKUP_SECURITY_FEATURES),
/* harmony export */   yD$: () => (/* binding */ FEATURE_LTD_SOCIAL_MEDIA_JP),
/* harmony export */   yT6: () => (/* binding */ FEATURE_SELL_INTERNATIONALLY),
/* harmony export */   yks: () => (/* binding */ FEATURE_WORDADS),
/* harmony export */   yqq: () => (/* binding */ FEATURE_CUSTOM_MARKETING_AUTOMATION),
/* harmony export */   zTG: () => (/* binding */ FEATURE_VIDEO_UPLOADS_JETPACK_PRO)
/* harmony export */ });
/* unused harmony exports FEATURE_SET_PRIMARY_CUSTOM_DOMAIN, FEATURE_LEGACY_STORAGE_200GB, FEATURE_UNLIMITED_STORAGE, FEATURE_SFTP, FEATURE_SSH, FEATURE_VIDEO_UPLOADS_JETPACK_PREMIUM, FEATURE_INSTALL_THEMES, FEATURE_PERFORMANCE, FEATURE_ALL_PERSONAL_FEATURES_JETPACK, FEATURE_DONATIONS, FEATURE_PREMIUM_CONTENT_CONTAINER, FEATURE_SECURITY_SETTINGS, FEATURE_WOOP, FEATURE_STATS_FREE, FEATURE_SEARCH, FEATURE_SEARCH_V2, FEATURE_VIDEO_HOSTING_V2, FEATURE_CRM_INTEGRATED_WITH_WORDPRESS, FEATURE_CRM_LEADS_AND_FUNNEL, FEATURE_CRM_PROPOSALS_AND_INVOICES, FEATURE_CRM_TRACK_TRANSACTIONS, FEATURE_CRM_NO_CONTACT_LIMITS, FEATURE_SECURE_STORAGE_V2, FEATURE_ONE_CLICK_FIX_V2, FEATURE_INSTANT_EMAIL_V2, FEATURE_AKISMET_V2, FEATURE_SPAM_BLOCK_V2, FEATURE_SPAM_10K_PER_MONTH, FEATURE_FILTERING_V2, FEATURE_LANGUAGE_SUPPORT_V2, FEATURE_SPELLING_CORRECTION_V2, FEATURE_SUPPORTS_WOOCOMMERCE_V2, FEATURE_JETPACK_SCAN_BI_YEARLY, FEATURE_JETPACK_VIDEOPRESS_EDITOR, FEATURE_JETPACK_VIDEOPRESS_STORAGE, FEATURE_JETPACK_VIDEOPRESS_UNBRANDED, FEATURE_SOCIAL_SHARES_1000, FEATURE_SOCIAL_ENHANCED_PUBLISHING, FEATURE_SOCIAL_MASTODON_CONNECTION, FEATURE_SOCIAL_INSTAGRAM_CONNECTION, FEATURE_SOCIAL_NEXTDOOR_CONNECTION, FEATURE_JETPACK_MONITOR_MONTHLY, FEATURE_JETPACK_MONITOR_YEARLY, FEATURE_MONITOR_1_MINUTE_CHECK_INTERVAL, FEATURE_MONITOR_MULTIPLE_EMAIL_RECIPIENTS, FEATURE_MONITOR_SMS_NOTIFICATIONS, FEATURE_JETPACK_1GB_BACKUP_STORAGE, FEATURE_JETPACK_10GB_BACKUP_STORAGE, FEATURE_JETPACK_REAL_TIME_CLOUD_BACKUPS, FEATURE_UNLIMITED_USERS, FEATURE_UNLIMITED_POSTS_PAGES, FEATURE_ADDITIONAL_SITES, WPCOM_FEATURES_AI_ASSISTANT, WPCOM_FEATURES_AKISMET, WPCOM_FEATURES_BACKUPS_RESTORE, WPCOM_FEATURES_CDN, WPCOM_FEATURES_CLASSIC_SEARCH, WPCOM_FEATURES_CLOUDFLARE_CDN, WPCOM_FEATURES_COPY_SITE, WPCOM_FEATURES_FULL_ACTIVITY_LOG, WPCOM_FEATURES_INSTALL_PLUGINS, WPCOM_FEATURES_INSTANT_SEARCH, WPCOM_FEATURES_LIVE_SUPPORT, WPCOM_FEATURES_MANAGE_PLUGINS, WPCOM_FEATURES_NO_ADVERTS, WPCOM_FEATURES_NO_WPCOM_BRANDING, WPCOM_FEATURES_PREMIUM_THEMES_LIMITED, WPCOM_FEATURES_PRIORITY_SUPPORT, WPCOM_FEATURES_REAL_TIME_BACKUPS, WPCOM_FEATURES_SCHEDULED_UPDATES, WPCOM_FEATURES_SEO_PREVIEW_TOOLS, WPCOM_FEATURES_SUBSCRIPTION_GIFTING, WPCOM_FEATURES_LOCKED_MODE, WPCOM_FEATURES_LEGACY_CONTACT, WPCOM_FEATURES_UPLOAD_AUDIO_FILES, WPCOM_FEATURES_UPLOAD_PLUGINS, WPCOM_FEATURES_UPLOAD_VIDEO_FILES, WPCOM_FEATURES_VAULTPRESS_BACKUPS, WPCOM_FEATURES_VIDEOPRESS, WPCOM_FEATURES_VIDEOPRESS_UNLIMITED_STORAGE, WPCOM_FEATURES_VIDEO_HOSTING, WPCOM_FEATURES_WORDADS, WPCOM_FEATURES_CUSTOM_DESIGN, WPCOM_FEATURES_GLOBAL_STYLES, WPCOM_FEATURES_SITE_PREVIEW_LINKS, FEATURE_IMPORT_SUBSCRIBERS, FEATURE_ADD_MULTIPLE_PAGES_NEWSLETTER, FEATURE_COLLECT_PAYMENTS_NEWSLETTER, FEATURE_POST_BY_EMAIL, FEATURE_GOOGLE_ANALYTICS_V2, FEATURE_CUSTOMIZE_THEMES_BUTTONS_COLORS, FEATURE_TRACK_VIEWS_CLICKS, FEATURE_DESIGN_TOOLS, FEATURE_REFERRAL_PROGRAMS, FEATURE_CUSTOMER_BIRTHDAY_EMAILS, FEATURE_LOYALTY_POINTS_PROGRAMS, FEATURE_ASSEMBLED_PRODUCTS_AND_KITS, FEATURE_BRUTE_PROTECT_JP, FEATURE_AUTOMATTIC_DATACENTER_FAILOVER, FEATURE_CUSTOM_PRODUCT_KITS, FEATURE_TYPE_JETPACK_ANTI_SPAM, FEATURE_TYPE_JETPACK_ACTIVITY_LOG, FEATURE_TYPE_JETPACK_BACKUP, FEATURE_TYPE_JETPACK_BOOST, FEATURE_TYPE_JETPACK_SCAN, FEATURE_TYPE_JETPACK_SEARCH, FEATURE_TYPE_JETPACK_STATS, FEATURE_TYPE_JETPACK_VIDEOPRESS */
/* harmony import */ var _jetpack__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(46090);

const FEATURE_WP_SUBDOMAIN = 'wordpress-subdomain';
const FEATURE_BLOG_DOMAIN = 'blog-domain';
const FEATURE_CUSTOM_DOMAIN = 'custom-domain';
const FEATURE_SET_PRIMARY_CUSTOM_DOMAIN = 'set-primary-custom-domain';
const FEATURE_JETPACK_ESSENTIAL = 'jetpack-essential';
const FEATURE_JETPACK_ADVANCED = 'jetpack-advanced';
const FEATURE_FREE_THEMES = 'free-themes';
const FEATURE_1GB_STORAGE = '1gb-storage';
const FEATURE_3GB_STORAGE = '3gb-storage';
const FEATURE_6GB_STORAGE = '6gb-storage';
const FEATURE_13GB_STORAGE = '13gb-storage';
const FEATURE_50GB_STORAGE = '50gb-storage';
const FEATURE_200GB_STORAGE = '200gb-storage';
const FEATURE_LEGACY_STORAGE_200GB = 'upload-space-200gb';
const FEATURE_UNLIMITED_STORAGE = 'unlimited-storage';
const FEATURE_COMMUNITY_SUPPORT = 'community-support';
const FEATURE_EMAIL_SUPPORT = 'email-support';
const FEATURE_EMAIL_LIVE_CHAT_SUPPORT = 'email-live-chat-support';
const FEATURE_EMAIL_LIVE_CHAT_SUPPORT_BUSINESS_DAYS = 'email-live-chat-support-business-days';
const FEATURE_EMAIL_LIVE_CHAT_SUPPORT_ALL_DAYS = 'email-live-chat-support-all-days';
const FEATURE_LIVE_CHAT_SUPPORT_ALL_DAYS = 'live-chat-support-all-days';
const FEATURE_LIVE_CHAT_SUPPORT_BUSINESS_DAYS = 'live-chat-support-business-days';
const FEATURE_EMAIL_FORWARDING_EXTENDED_LIMIT = 'email-forwarding-extended-limit';
const FEATURE_PREMIUM_SUPPORT = 'priority-support';
const FEATURE_GOOGLE_ANALYTICS = 'google-analytics';
const FEATURE_CLOUDFLARE_ANALYTICS = 'cloudflare-analytics';
const FEATURE_GOOGLE_MY_BUSINESS = 'google-my-business';
const FEATURE_SFTP = 'sftp';
const FEATURE_SSH = 'ssh';
const FEATURE_SITE_STAGING_SITES = 'staging-sites';
const FEATURE_LIVE_CHAT_SUPPORT = 'live-chat-support';
const FEATURE_NO_ADS = 'no-adverts';
const FEATURE_VIDEO_UPLOADS = 'video-upload';
const FEATURE_VIDEO_UPLOADS_JETPACK_PREMIUM = 'video-upload-jetpack-premium';
const FEATURE_VIDEO_UPLOADS_JETPACK_PRO = 'video-upload-jetpack-pro';
const FEATURE_AUDIO_UPLOADS = 'audio-upload';
const FEATURE_WORDADS_INSTANT = 'wordads-instant';
const FEATURE_NO_BRANDING = 'no-wp-branding';
const FEATURE_ADVANCED_SEO = 'advanced-seo';
const FEATURE_UPLOAD_PLUGINS = 'upload-plugins';
const FEATURE_INSTALL_PLUGINS = 'install-plugins';
const FEATURE_INSTALL_THEMES = 'install-themes';
const FEATURE_UPLOAD_THEMES = 'upload-themes';
const FEATURE_PERFORMANCE = 'performance';
const FEATURE_REPUBLICIZE = 'republicize';
const FEATURE_SIMPLE_PAYMENTS = 'simple-payments';
const FEATURE_ALL_FREE_FEATURES = 'all-free-features';
const FEATURE_ALL_FREE_FEATURES_JETPACK = 'all-free-features-jetpack';
const FEATURE_ALL_PERSONAL_FEATURES = 'all-personal-features';
const FEATURE_ALL_PERSONAL_FEATURES_JETPACK = 'all-personal-features-jetpack';
const FEATURE_ALL_PREMIUM_FEATURES = 'all-premium-features';
const FEATURE_ALL_PREMIUM_FEATURES_JETPACK = 'all-premium-features-jetpack';
const FEATURE_ADVANCED_DESIGN_CUSTOMIZATION = 'advanced-design-customization';
const FEATURE_UPLOAD_THEMES_PLUGINS = 'upload-themes-and-plugins';
const FEATURE_FREE_DOMAIN = 'free-custom-domain';
const FEATURE_FREE_BLOG_DOMAIN = 'free-blog-domain';
const FEATURE_EMAIL_SUPPORT_SIGNUP = 'email-support-signup';
const FEATURE_MONETISE = 'monetise-your-site';
const FEATURE_EARN_AD = 'earn-ad-revenue';
const FEATURE_WP_SUBDOMAIN_SIGNUP = 'wordpress-subdomain-signup';
const FEATURE_ADVANCED_SEO_TOOLS = 'advanced-seo-tools';
const FEATURE_ADVANCED_SEO_EXPANDED_ABBR = 'advanced-seo-expanded-abbreviation';
const FEATURE_FREE_THEMES_SIGNUP = 'free-themes-signup';
const FEATURE_MEMBERSHIPS = 'memberships';
const FEATURE_DONATIONS = 'donations';
const FEATURE_RECURRING_PAYMENTS = 'recurring-payments';
// This is a legacy alias, FEATURE_PREMIUM_CONTENT_CONTAINER should be used instead.
const FEATURE_PREMIUM_CONTENT_BLOCK = 'premium-content-block';
const FEATURE_PREMIUM_CONTENT_CONTAINER = 'premium-content/container';
const FEATURE_HOSTING = 'hosting';
const PREMIUM_DESIGN_FOR_STORES = 'premium-design-for-stores';
const FEATURE_SFTP_DATABASE = 'sftp-and-database-access';
const FEATURE_SITE_BACKUPS_AND_RESTORE = 'site-backups-and-restore';
const FEATURE_SECURITY_SETTINGS = 'security-settings';
const FEATURE_WOOP = 'woop';
/*
 * TODO: To avoid confusion, this constant value should be renamed to `premium-themes` after
 * `WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED` has been renamed to `premium-themes-unlimited`
 * (see comment below).
 */
const FEATURE_PREMIUM_THEMES = 'premium-themes-v3';
const FEATURE_STATS_PAID = 'stats-paid';
const FEATURE_STATS_FREE = 'stats-free';

// Jetpack features constants
const FEATURE_BLANK = 'blank-feature';
const FEATURE_STANDARD_SECURITY_TOOLS = 'standard-security-tools';
const FEATURE_SITE_STATS = 'site-stats';
const FEATURE_TRAFFIC_TOOLS = 'traffic-tools';
const FEATURE_MANAGE = 'jetpack-manage';
const FEATURE_SPAM_AKISMET_PLUS = 'spam-akismet-plus';
const FEATURE_OFFSITE_BACKUP_VAULTPRESS_DAILY = 'offsite-backup-vaultpress-daily';
const FEATURE_OFFSITE_BACKUP_VAULTPRESS_REALTIME = 'offsite-backup-vaultpress-realtime';
const FEATURE_BACKUP_ARCHIVE_30 = 'backup-archive-30';
const FEATURE_BACKUP_ARCHIVE_UNLIMITED = 'backup-archive-unlimited';
const FEATURE_BACKUP_STORAGE_SPACE_UNLIMITED = 'backup-storage-space-unlimited';
const FEATURE_AUTOMATED_RESTORES = 'automated-restores';
const FEATURE_EASY_SITE_MIGRATION = 'easy-site-migration';
const FEATURE_MALWARE_SCANNING_DAILY = 'malware-scanning-daily';
const FEATURE_MALWARE_SCANNING_DAILY_AND_ON_DEMAND = 'malware-scanning-daily-and-on-demand';
const FEATURE_ONE_CLICK_THREAT_RESOLUTION = 'one-click-threat-resolution';
const FEATURE_AUTOMATIC_SECURITY_FIXES = 'automatic-security-fixes';
const FEATURE_ACTIVITY_LOG = 'site-activity-log';
const FEATURE_FREE_WORDPRESS_THEMES = 'free-wordpress-themes';
const FEATURE_SEO_PREVIEW_TOOLS = 'seo-preview-tools';
const FEATURE_SEARCH = 'search';
const FEATURE_ACCEPT_PAYMENTS = 'accept-payments';
const FEATURE_SHIPPING_CARRIERS = 'shipping-carriers';
const FEATURE_UNLIMITED_PRODUCTS_SERVICES = 'unlimited-products-service';
const FEATURE_ECOMMERCE_MARKETING = 'ecommerce-marketing';
const FEATURE_PREMIUM_CUSTOMIZABE_THEMES = 'premium-customizable-themes';
const FEATURE_ALL_BUSINESS_FEATURES = 'all-business-features';
const FEATURE_BACKUP_DAILY_V2 = 'backup-daily-v2';
const FEATURE_BACKUP_REALTIME_V2 = 'backup-realtime-v2';
const FEATURE_PRODUCT_BACKUP_DAILY_V2 = 'product-backup-daily-v2';
const FEATURE_PRODUCT_BACKUP_REALTIME_V2 = 'product-backup-realtime-v2';
const FEATURE_SCAN_V2 = 'scan-v2';
const FEATURE_PRODUCT_SCAN_DAILY_V2 = 'product-scan-daily-v2';
const FEATURE_PRODUCT_SCAN_REALTIME_V2 = 'product-scan-realtime-v2';
const FEATURE_ANTISPAM_V2 = 'antispam-v2';
const FEATURE_WAF = 'waf';
const FEATURE_ACTIVITY_LOG_1_YEAR_V2 = 'activity-log-1-year-v2';
const FEATURE_SEARCH_V2 = 'search-v2';
const FEATURE_PRODUCT_SEARCH_V2 = 'product-search-v2';
const FEATURE_PLAN_SECURITY_DAILY = 'security-daily';
const FEATURE_VIDEO_HOSTING_V2 = 'video-hosting-v2';
const FEATURE_CRM_V2 = 'crm-v2';
const FEATURE_CRM_INTEGRATED_WITH_WORDPRESS = 'crm-integrated-with-wordpress';
const FEATURE_CRM_LEADS_AND_FUNNEL = 'crm-leads-and-funnel';
const FEATURE_CRM_PROPOSALS_AND_INVOICES = 'crm-proposals-and-invoices';
const FEATURE_CRM_TRACK_TRANSACTIONS = 'crm-track-transactions';
const FEATURE_CRM_NO_CONTACT_LIMITS = 'crm-no-contact-limits';
const FEATURE_COLLECT_PAYMENTS_V2 = 'collect-payments-v2';
const FEATURE_SECURE_STORAGE_V2 = 'secure-storage-v2';
const FEATURE_ONE_CLICK_RESTORE_V2 = 'one-click-restore-v2';
const FEATURE_ONE_CLICK_FIX_V2 = 'one-click-fix-v2';
const FEATURE_INSTANT_EMAIL_V2 = 'instant-email-v2';
const FEATURE_AKISMET_V2 = 'akismet-v2';
const FEATURE_SPAM_BLOCK_V2 = 'spam-block-v2';
const FEATURE_SPAM_10K_PER_MONTH = 'spam-block-10k';
const FEATURE_FILTERING_V2 = 'filtering-v2';
const FEATURE_LANGUAGE_SUPPORT_V2 = 'language-support-v2';
const FEATURE_SPELLING_CORRECTION_V2 = 'spelling-correction-v2';
const FEATURE_SUPPORTS_WOOCOMMERCE_V2 = 'supports-woocommerce-v2';
const FEATURE_JETPACK_BACKUP_DAILY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_DAILY */ .Qw;
const FEATURE_JETPACK_BACKUP_DAILY_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_DAILY_MONTHLY */ .Si;
const FEATURE_JETPACK_BACKUP_REALTIME = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_REALTIME */ .Gm;
const FEATURE_JETPACK_BACKUP_REALTIME_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_REALTIME_MONTHLY */ .Gt;
const FEATURE_JETPACK_BACKUP_T0_YEARLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_T0_YEARLY */ .Q$;
const FEATURE_JETPACK_BACKUP_T0_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_T0_MONTHLY */ .Hs;
const FEATURE_JETPACK_BACKUP_T1_YEARLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_T1_YEARLY */ .FI;
const FEATURE_JETPACK_BACKUP_T1_BI_YEARLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_T1_BI_YEARLY */ .$r;
const FEATURE_JETPACK_BACKUP_T1_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_T1_MONTHLY */ .CS;
const FEATURE_JETPACK_BACKUP_T2_YEARLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_T2_YEARLY */ .KJ;
const FEATURE_JETPACK_BACKUP_T2_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BACKUP_T2_MONTHLY */ .VK;
const FEATURE_JETPACK_SCAN_BI_YEARLY = (/* unused pure expression or super */ null && (PRODUCT_JETPACK_SCAN_BI_YEARLY));
const FEATURE_JETPACK_SCAN_DAILY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SCAN */ .lB;
const FEATURE_JETPACK_SCAN_DAILY_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SCAN_MONTHLY */ .Pn;
const FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_ANTI_SPAM_BI_YEARLY */ .z7;
const FEATURE_JETPACK_ANTI_SPAM = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_ANTI_SPAM */ .Ac;
const FEATURE_JETPACK_ANTI_SPAM_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_ANTI_SPAM_MONTHLY */ .mK;
const FEATURE_JETPACK_SEARCH_BI_YEARLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SEARCH_BI_YEARLY */ .Je;
const FEATURE_JETPACK_SEARCH = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SEARCH */ .AA;
const FEATURE_JETPACK_SEARCH_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SEARCH_MONTHLY */ .uG;
const FEATURE_JETPACK_VIDEOPRESS_BI_YEARLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_VIDEOPRESS_BI_YEARLY */ .PE;
const FEATURE_JETPACK_VIDEOPRESS = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_VIDEOPRESS */ .Qj;
const FEATURE_JETPACK_VIDEOPRESS_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_VIDEOPRESS_MONTHLY */ .yd;
const FEATURE_JETPACK_VIDEOPRESS_EDITOR = 'jetpack-videopress-editor';
const FEATURE_JETPACK_VIDEOPRESS_STORAGE = 'jetpack-videopress-storage';
const FEATURE_JETPACK_VIDEOPRESS_UNBRANDED = 'jetpack-videopress-unbranded';
const FEATURE_JETPACK_CRM = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_CRM */ .yn;
const FEATURE_JETPACK_CRM_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_CRM_MONTHLY */ .u;
const FEATURE_JETPACK_BOOST_BI_YEARLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BOOST_BI_YEARLY */ .Dy;
const FEATURE_JETPACK_BOOST = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BOOST */ .F6;
const FEATURE_JETPACK_BOOST_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_BOOST_MONTHLY */ .Nd;
const FEATURE_CLOUD_CRITICAL_CSS = 'cloud-critical-css';
const FEATURE_JETPACK_SOCIAL_ADVANCED_BI_YEARLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SOCIAL_ADVANCED_BI_YEARLY */ .Xc;
const FEATURE_JETPACK_SOCIAL_ADVANCED = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SOCIAL_ADVANCED */ .eI;
const FEATURE_JETPACK_SOCIAL_ADVANCED_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY */ .ax;
const FEATURE_JETPACK_SOCIAL_BASIC_BI_YEARLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SOCIAL_BASIC_BI_YEARLY */ .VT;
const FEATURE_JETPACK_SOCIAL_BASIC = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SOCIAL_BASIC */ .aW;
const FEATURE_JETPACK_SOCIAL_BASIC_MONTHLY = _jetpack__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_JETPACK_SOCIAL_BASIC_MONTHLY */ .GF;
const FEATURE_SOCIAL_SHARES_1000 = 'social-shares-1000';
const FEATURE_SOCIAL_ENHANCED_PUBLISHING = 'social-enhanced-publishing';
const FEATURE_SOCIAL_MASTODON_CONNECTION = 'social-mastodon-connection';
const FEATURE_SOCIAL_INSTAGRAM_CONNECTION = 'social-instagram-connection';
const FEATURE_SOCIAL_NEXTDOOR_CONNECTION = 'social-nextdoor-connection';
const FEATURE_JETPACK_MONITOR_MONTHLY = (/* unused pure expression or super */ null && (PRODUCT_JETPACK_MONITOR_MONTHLY));
const FEATURE_JETPACK_MONITOR_YEARLY = (/* unused pure expression or super */ null && (PRODUCT_JETPACK_MONITOR_YEARLY));
const FEATURE_MONITOR_1_MINUTE_CHECK_INTERVAL = 'monitor-1-minute-check-interval';
const FEATURE_MONITOR_MULTIPLE_EMAIL_RECIPIENTS = 'monitor-multiple-email-recipients';
const FEATURE_MONITOR_SMS_NOTIFICATIONS = 'monitor-sms-notifications';

// Jetpack tiered product features
const FEATURE_JETPACK_1GB_BACKUP_STORAGE = 'jetpack-1gb-backup-storage';
const FEATURE_JETPACK_10GB_BACKUP_STORAGE = 'jetpack-10gb-backup-storage';
const FEATURE_JETPACK_1TB_BACKUP_STORAGE = 'jetpack-1tb-backup-storage';
const FEATURE_JETPACK_1_YEAR_ARCHIVE_ACTIVITY_LOG = 'jetpack-1-year-archive-activity-log';
const FEATURE_JETPACK_30_DAY_ARCHIVE_ACTIVITY_LOG = 'jetpack-30-day-archive-activity-log';
const FEATURE_JETPACK_REAL_TIME_CLOUD_BACKUPS = 'jetpack-real-time-cloud-backups';
const FEATURE_JETPACK_REAL_TIME_MALWARE_SCANNING = 'jetpack-real-time-malware-scanning';
const FEATURE_JETPACK_PRODUCT_BACKUP = 'jetpack-product-backup';
const FEATURE_JETPACK_PRODUCT_VIDEOPRESS = 'jetpack-product-videopress';
const FEATURE_JETPACK_ALL_BACKUP_SECURITY_FEATURES = 'jetpack-all-backup-security-features';

// P2 project features
const FEATURE_P2_3GB_STORAGE = 'p2-3gb-storage';
const FEATURE_P2_UNLIMITED_USERS = 'p2-unlimited-users';
const FEATURE_P2_UNLIMITED_POSTS_PAGES = 'p2-unlimited-posts-pages';
const FEATURE_P2_SIMPLE_SEARCH = 'p2-simple-search';
const FEATURE_P2_CUSTOMIZATION_OPTIONS = 'p2-customization-options';
const FEATURE_P2_13GB_STORAGE = 'p2-13gb-storage';
const FEATURE_P2_ADVANCED_SEARCH = 'p2-advanced-search';
const FEATURE_P2_VIDEO_SHARING = 'p2-video-sharing';
const FEATURE_P2_MORE_FILE_TYPES = 'p2-more-file-types';
const FEATURE_P2_PRIORITY_CHAT_EMAIL_SUPPORT = 'p2-priority-chat-email-support';
const FEATURE_P2_ACTIVITY_OVERVIEW = 'p2-activity-overview';

// New features Flexible and Pro plans introduced.
const FEATURE_MANAGED_HOSTING = 'managed-hosting';
const FEATURE_UNLIMITED_TRAFFIC = 'unlimited-traffic';
const FEATURE_UNLIMITED_USERS = 'unlimited-users';
const FEATURE_UNLIMITED_POSTS_PAGES = 'unlimited-posts-pages';
const FEATURE_PAYMENT_BLOCKS = 'payment-blocks';
const FEATURE_TITAN_EMAIL = 'titan-email';
const FEATURE_UNLIMITED_ADMINS = 'unlimited-admins';
const FEATURE_ADDITIONAL_SITES = 'additional-sites';
const FEATURE_WOOCOMMERCE = 'woocommerce';
const FEATURE_SOCIAL_MEDIA_TOOLS = 'social-media-tools';

// From class-wpcom-features.php in WPCOM
const WPCOM_FEATURES_AI_ASSISTANT = 'ai-assistant';
const WPCOM_FEATURES_AKISMET = 'akismet';
const WPCOM_FEATURES_ANTISPAM = 'antispam';
const WPCOM_FEATURES_ATOMIC = 'atomic';
const WPCOM_FEATURES_BACKUPS = 'backups';
const WPCOM_FEATURES_BACKUPS_RESTORE = 'restore';
const WPCOM_FEATURES_CDN = 'cdn';
const WPCOM_FEATURES_CLASSIC_SEARCH = 'search';
const WPCOM_FEATURES_CLOUDFLARE_CDN = 'cloudflare-cdn';
const WPCOM_FEATURES_COPY_SITE = 'copy-site';
const WPCOM_FEATURES_FULL_ACTIVITY_LOG = 'full-activity-log';
const WPCOM_FEATURES_INSTALL_PLUGINS = 'install-plugins';
const WPCOM_FEATURES_INSTALL_PURCHASED_PLUGINS = 'install-purchased-plugins';
const WPCOM_FEATURES_INSTANT_SEARCH = 'instant-search';
const WPCOM_FEATURES_LIVE_SUPPORT = 'live_support';
const WPCOM_FEATURES_MANAGE_PLUGINS = 'manage-plugins';
const WPCOM_FEATURES_NO_ADVERTS = 'no-adverts/no-adverts.php';
const WPCOM_FEATURES_NO_WPCOM_BRANDING = 'no-wpcom-branding';
/*
 * TODO: This constant value should be renamed (here and in `class-wpcom-features.php` in
 * WPCOM) to `premium-themes-unlimited` so it's not confused with `FEATURE_PREMIUM_THEMES`.
 */
const WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED = 'premium-themes';
/*
 * TODO: This constant value should be renamed (here and in `class-wpcom-features.php` in
 * WPCOM) to `premium-themes-limited` so it better reflects the actual feature.
 */
const WPCOM_FEATURES_PREMIUM_THEMES_LIMITED = 'personal-themes';
const WPCOM_FEATURES_PRIORITY_SUPPORT = 'priority_support';
const WPCOM_FEATURES_REAL_TIME_BACKUPS = 'real-time-backups';
const WPCOM_FEATURES_SCAN = 'scan';
const WPCOM_FEATURES_SCHEDULED_UPDATES = 'scheduled-updates';
const WPCOM_FEATURES_SEO_PREVIEW_TOOLS = 'seo-preview-tools';
const WPCOM_FEATURES_SUBSCRIPTION_GIFTING = 'subscription-gifting';
const WPCOM_FEATURES_LOCKED_MODE = 'locked-mode';
const WPCOM_FEATURES_LEGACY_CONTACT = 'legacy-contact';
const WPCOM_FEATURES_UPLOAD_AUDIO_FILES = 'upload-audio-files';
const WPCOM_FEATURES_UPLOAD_PLUGINS = 'upload-plugins';
const WPCOM_FEATURES_UPLOAD_VIDEO_FILES = 'upload-video-files';
const WPCOM_FEATURES_VAULTPRESS_BACKUPS = 'vaultpress-backups';
const WPCOM_FEATURES_VIDEOPRESS = 'videopress';
const WPCOM_FEATURES_VIDEOPRESS_UNLIMITED_STORAGE = 'videopress-unlimited-storage';
const WPCOM_FEATURES_VIDEO_HOSTING = 'video-hosting';
const WPCOM_FEATURES_WORDADS = 'wordads';
const WPCOM_FEATURES_CUSTOM_DESIGN = 'custom-design';
const WPCOM_FEATURES_GLOBAL_STYLES = 'global-styles';
const WPCOM_FEATURES_SITE_PREVIEW_LINKS = 'site-preview-links';

// Signup flow related features
const FEATURE_UNLIMITED_EMAILS = 'unlimited-emails';
const FEATURE_UNLIMITED_SUBSCRIBERS = 'unlimited-subscribers';
const FEATURE_IMPORT_SUBSCRIBERS = 'import-subscribers';
const FEATURE_ADD_MULTIPLE_PAGES_NEWSLETTER = 'add-multiple-pages-newsletter';
const FEATURE_AD_FREE_EXPERIENCE = 'ad-free-experience';
const FEATURE_COLLECT_PAYMENTS_NEWSLETTER = 'collect-payments-newsletter';
const FEATURE_POST_BY_EMAIL = 'post-by-email';
const FEATURE_REAL_TIME_ANALYTICS = 'real-time-analytics';
const FEATURE_GOOGLE_ANALYTICS_V2 = 'google-analytics-v2';
const FEATURE_ADD_UNLIMITED_LINKS = 'add-unlimited-links';
const FEATURE_CUSTOMIZE_THEMES_BUTTONS_COLORS = 'customize-themes-buttons-colors';
const FEATURE_TRACK_VIEWS_CLICKS = 'track-views-clicks';
const FEATURE_COLLECT_PAYMENTS_LINK_IN_BIO = 'collect-payments-link-in-bio';
const FEATURE_NEWSLETTER_IMPORT_SUBSCRIBERS_FREE = 'newsletter-import-subscribers-free';
const FEATURE_PAYMENT_TRANSACTION_FEES_10 = 'payment-transaction-fees-10';
const FEATURE_PAYMENT_TRANSACTION_FEES_8 = 'payment-transaction-fees-8';
const FEATURE_PAYMENT_TRANSACTION_FEES_4 = 'payment-transaction-fees-4';
const FEATURE_PAYMENT_TRANSACTION_FEES_2 = 'payment-transaction-fees-2';
const FEATURE_PAYMENT_TRANSACTION_FEES_0 = 'payment-transaction-fees-0';
const FEATURE_PAYMENT_TRANSACTION_FEES_0_WOO = 'payment-transaction-fees-0-woo';
const FEATURE_PAYMENT_TRANSACTION_FEES_0_ALL = 'payment-transaction-fees-0-all';
const FEATURE_PAYMENT_TRANSACTION_FEES_2_REGULAR = 'payment-transaction-fees-2-regular';
const FEATURE_GROUP_PAYMENT_TRANSACTION_FEES = 'payment-transaction-fees-group';
const FEATURE_COMMISSION_FEE_STANDARD_FEATURES = 'payment-commission-fee-standard';
const FEATURE_COMMISSION_FEE_WOO_FEATURES = 'payment-commission-fee-woo';
const FEATURE_THE_READER = 'the-reader';

// Pricing Grid 2023 Features
const FEATURE_BEAUTIFUL_THEMES = 'beautiful-themes';
const FEATURE_PAGES = 'pages-v1';
const FEATURE_USERS = 'users-v1';
const FEATURE_NEWSLETTERS_RSS = 'newsletter-rss';
const FEATURE_POST_EDITS_HISTORY = 'post-edits-history';
const FEATURE_SECURITY_BRUTE_FORCE = 'security-brute-force';
const FEATURE_SMART_REDIRECTS = 'smart-redirects';
const FEATURE_ALWAYS_ONLINE = 'always-online';
const FEATURE_FAST_DNS = 'fast-dns';
const FEATURE_STYLE_CUSTOMIZATION = 'style-customization';
const FEATURE_SUPPORT_EMAIL = 'support-email-v1';
const FEATURE_DESIGN_TOOLS = 'design-tools';
const FEATURE_WORDADS = 'wordads-v2';
const FEATURE_PLUGINS_THEMES = 'plugins-themes-v1';
const FEATURE_BANDWIDTH = 'bandwidth-v1';
const FEATURE_BURST = 'burst-v1';
const FEATURE_WAF_V2 = 'waf-v2';
const FEATURE_CDN = 'cdn-v1';
const FEATURE_CPUS = 'cpus-v1';
const FEATURE_DATACENTRE_FAILOVER = 'datacentre-failover';
const FEATURE_ISOLATED_INFRA = 'isolated-infra';
const FEATURE_SECURITY_MALWARE = 'security-malware';
const FEATURE_SECURITY_DDOS = 'security-ddos';
const FEATURE_DEV_TOOLS = 'dev-tools';
const FEATURE_WP_UPDATES = 'wp-updates';
const FEATURE_MULTI_SITE = 'multi-site';
const FEATURE_SELL_SHIP = 'sell-ship';
const FEATURE_SELL_INTERNATIONALLY = 'sell-internationally';
const FEATURE_AUTOMATIC_SALES_TAX = 'automatic-sales-tax';
const FEATURE_AUTOMATED_BACKUPS_SECURITY_SCAN = 'automated-backups-security-scan';
const FEATURE_INTEGRATED_SHIPMENT_TRACKING = 'integrated-shipment-tracking';
const FEATURE_SELL_EGIFTS_AND_VOUCHERS = 'sell-e-gifts-and-vouchers';
const FEATURE_EMAIL_MARKETING = 'email-marketing';
const FEATURE_MARKETPLACE_SYNC_SOCIAL_MEDIA_INTEGRATION = 'marketplace-sync-social-media-integration';
const FEATURE_BACK_IN_STOCK_NOTIFICATIONS = 'back-in-stock-notifications';
const FEATURE_MARKETING_AUTOMATION = 'marketing-automation';
const FEATURE_AUTOMATED_EMAIL_TRIGGERS = 'automated-email-triggers';
const FEATURE_CART_ABANDONMENT_EMAILS = 'cart-abandonment-emails';
const FEATURE_REFERRAL_PROGRAMS = 'referral-programs';
const FEATURE_CUSTOMER_BIRTHDAY_EMAILS = 'customer-birthday-emails';
const FEATURE_LOYALTY_POINTS_PROGRAMS = 'loyalty-points-programs';
const FEATURE_OFFER_BULK_DISCOUNTS = 'offer-bulk-discounts';
const FEATURE_RECOMMEND_ADD_ONS = 'recommend-add-ons';
const FEATURE_ASSEMBLED_PRODUCTS_AND_KITS = 'assembled-products-and-kits';
const FEATURE_MIN_MAX_ORDER_QUANTITY = 'min-max-order-quantity';
const FEATURE_CUSTOM_STORE = 'custom-store';
const FEATURE_INVENTORY = 'inventory';
const FEATURE_CHECKOUT = 'checkout-v1';
const FEATURE_ACCEPT_PAYMENTS_V2 = 'accept-payments-v2';
const FEATURE_SALES_REPORTS = 'sales-reports';
const FEATURE_EXTENSIONS = 'extensions-v1';
const FEATURE_STATS_JP = 'stats-jp';
const FEATURE_SPAM_JP = 'spam-jp';
const FEATURE_LTD_SOCIAL_MEDIA_JP = 'ltd-social-media-jp';
const FEATURE_SHARES_SOCIAL_MEDIA_JP = 'shares-social-media-jp';
const FEATURE_CONTACT_FORM_JP = 'contact-form-jp';
const FEATURE_PAID_SUBSCRIBERS_JP = 'paid-subscribers-jp';
const FEATURE_VIDEOPRESS_JP = 'videopress-jp';
const FEATURE_UNLTD_SOCIAL_MEDIA_JP = 'unltd-social-media-jp';
const FEATURE_SEO_JP = 'seo-jp';
const FEATURE_BRUTE_PROTECT_JP = 'brute-protect-jp';
const FEATURE_REALTIME_BACKUPS_JP = 'realtime-backups-jp';
const FEATURE_UPTIME_MONITOR_JP = 'uptime-monitor-jp';
const FEATURE_GLOBAL_EDGE_CACHING = 'global-edge-caching';
const FEATURE_ES_SEARCH_JP = 'es-search-jp';
const FEATURE_PLUGIN_AUTOUPDATE_JP = 'plugin-autoupdate-jp';
const FEATURE_PREMIUM_CONTENT_JP = 'premium-content-jp';
const FEATURE_SITE_ACTIVITY_LOG_JP = 'site-activity-log-jp';
const FEATURE_DONATIONS_AND_TIPS_JP = 'donations-and-tips-jp';
const FEATURE_PAYPAL_JP = 'payments-paypal-jp';
const FEATURE_PAYMENT_BUTTONS_JP = 'payment-buttons-jp';
const FEATURE_AUTOMATTIC_DATACENTER_FAILOVER = 'automattic-datacenter-fail-over';
const FEATURE_PREMIUM_STORE_THEMES = 'premium-store-themes';
const FEATURE_STORE_DESIGN = 'store-design';
const FEATURE_UNLIMITED_PRODUCTS = 'unlimited-products';
const FEATURE_DISPLAY_PRODUCTS_BRAND = 'display-products-brand';
const FEATURE_PRODUCT_ADD_ONS = 'product-add-ons';
const FEATURE_ASSEMBLED_KITS = 'assembled-kits';
const FEATURE_MIN_MAX_QTY = 'min-max-qty';
const FEATURE_STOCK_NOTIFS = 'stock-notifs';
const FEATURE_DYNAMIC_UPSELLS = 'dynamic-upsells';
const FEATURE_LOYALTY_PROG = 'loyalty-prog';
const FEATURE_CUSTOM_MARKETING_AUTOMATION = 'custom-marketing-automation';
const FEATURE_BULK_DISCOUNTS = 'bulk-discounts';
const FEATURE_INVENTORY_MGMT = 'inventory-mgmt';
const FEATURE_STREAMLINED_CHECKOUT = 'streamlined-checkout';
const FEATURE_SELL_60_COUNTRIES = 'sell-60-countries';
const FEATURE_SHIPPING_INTEGRATIONS = 'shipping-integrations';
const FEATURE_50GB_STORAGE_ADD_ON = '50gb-storage-add-on';
const FEATURE_100GB_STORAGE_ADD_ON = '100gb-storage-add-on';

// Woo Express Features
const FEATURE_WOOCOMMERCE_STORE = 'woocommerce-store'; // WooCommerce store
const FEATURE_WOOCOMMERCE_MOBILE_APP = 'woocommerce-mobile-app'; // WooCommerce mobile app
const FEATURE_WORDPRESS_CMS = 'wordpress-cms'; // WordPress CMS
const FEATURE_WORDPRESS_MOBILE_APP = 'wordpress-mobile-app'; // WordPress mobile app
const FEATURE_FREE_SSL_CERTIFICATE = 'free-ssl-certificate'; // Free SSL certificate
const FEATURE_GOOGLE_ANALYTICS_V3 = 'google-analytics-v3'; // Google Analytics
const FEATURE_LIST_UNLIMITED_PRODUCTS = 'list-unlimited-products'; // List unlimited products
const FEATURE_GIFT_CARDS = 'gift-cards'; // Gift cards
const FEATURE_PRODUCT_BUNDLES = 'product-bundles'; // Product bundles
const FEATURE_CUSTOM_PRODUCT_KITS = 'custom-product-kits'; // Custom product kits
const FEATURE_LIST_PRODUCTS_BY_BRAND = 'list-products-by-brand'; // List products by brand
const FEATURE_PRODUCT_RECOMMENDATIONS = 'product-recommendations'; // Product recommendations
const FEATURE_INTEGRATED_PAYMENTS = 'integrated-payments'; // Integrated payments
const FEATURE_INTERNATIONAL_PAYMENTS = 'international-payments'; // International payments
const FEATURE_AUTOMATED_SALES_TAXES = 'automated-sales-taxes'; // Automated sales taxes
const FEATURE_ACCEPT_LOCAL_PAYMENTS = 'accept-local-payments'; // Accept local payments
const FEATURE_PROMOTE_ON_TIKTOK = 'promote-on-tiktok'; // Promote on TikTok
const FEATURE_SYNC_WITH_PINTEREST = 'sync-with-pinterest'; // Sync with Pinterest
const FEATURE_CONNECT_WITH_FACEBOOK = 'connect-with-facebook'; // Connect with Facebook
const FEATURE_ABANDONED_CART_RECOVERY = 'abandoned-cart-recovery'; // Abandoned cart recovery
const FEATURE_ADVERTISE_ON_GOOGLE = 'advertise-on-google'; // Advertise on Google
const FEATURE_CUSTOM_ORDER_EMAILS = 'custom-order-emails'; // Custom order emails
const FEATURE_LIVE_SHIPPING_RATES = 'live-shipping-rates'; // Live shipping rates
const FEATURE_DISCOUNTED_SHIPPING = 'discounted-shipping'; // Discounted shipping
const FEATURE_PRINT_SHIPPING_LABELS = 'print-shipping-labels'; // Print shipping labels
const FEATURE_AI_ASSISTED_PRODUCT_DESCRIPTION = 'ai-assisted-product-descriptions'; // AI-assisted product descriptions

// Sensei Features
const FEATURE_SENSEI_SUPPORT = 'sensei-support';
const FEATURE_SENSEI_UNLIMITED = 'sensei-unlimited';
const FEATURE_SENSEI_INTERACTIVE = 'sensei-interactive';
const FEATURE_SENSEI_QUIZZES = 'sensei-quizzes';
const FEATURE_SENSEI_SELL_COURSES = 'sensei-sell-courses';
const FEATURE_SENSEI_STORAGE = 'sensei-storage';
const FEATURE_SENSEI_HOSTING = 'sensei-hosting';
const FEATURE_SENSEI_JETPACK = 'sensei-jetpack';

// Feature types
const FEATURE_TYPE_JETPACK_ANTI_SPAM = 'jetpack_anti_spam';
const FEATURE_TYPE_JETPACK_ACTIVITY_LOG = 'jetpack_activity_log';
const FEATURE_TYPE_JETPACK_BACKUP = 'jetpack_backup';
const FEATURE_TYPE_JETPACK_BOOST = 'jetpack_boost';
const FEATURE_TYPE_JETPACK_SCAN = 'jetpack_scan';
const FEATURE_TYPE_JETPACK_SEARCH = 'jetpack_search';
const FEATURE_TYPE_JETPACK_STATS = 'jetpack_stats';
const FEATURE_TYPE_JETPACK_VIDEOPRESS = 'jetpack_videopress';

/***/ }),

/***/ 45141:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Bg: () => (/* binding */ GSUITE_BUSINESS_SLUG),
/* harmony export */   r4: () => (/* binding */ GSUITE_BASIC_SLUG)
/* harmony export */ });
/* unused harmony exports GOOGLE_WORKSPACE_BUSINESS_STARTER_MONTHLY, GOOGLE_WORKSPACE_BUSINESS_STARTER_YEARLY, GSUITE_EXTRA_LICENSE_SLUG */
const GOOGLE_WORKSPACE_BUSINESS_STARTER_MONTHLY = 'wp_google_workspace_business_starter_monthly';
const GOOGLE_WORKSPACE_BUSINESS_STARTER_YEARLY = 'wp_google_workspace_business_starter_yearly';
const GSUITE_BASIC_SLUG = 'gapps';
const GSUITE_BUSINESS_SLUG = 'gapps_unlimited';
const GSUITE_EXTRA_LICENSE_SLUG = 'gapps_extra_license';

/***/ }),

/***/ 46090:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $b: () => (/* binding */ PLAN_JETPACK_STARTER_MONTHLY),
/* harmony export */   $r: () => (/* binding */ PRODUCT_JETPACK_BACKUP_T1_BI_YEARLY),
/* harmony export */   AA: () => (/* binding */ PRODUCT_JETPACK_SEARCH),
/* harmony export */   Ac: () => (/* binding */ PRODUCT_JETPACK_ANTI_SPAM),
/* harmony export */   Bf: () => (/* binding */ PLAN_JETPACK_PREMIUM_MONTHLY),
/* harmony export */   CA: () => (/* binding */ JETPACK_TAG_FOR_BLOGS),
/* harmony export */   CS: () => (/* binding */ PRODUCT_JETPACK_BACKUP_T1_MONTHLY),
/* harmony export */   Ci: () => (/* binding */ JETPACK_TAG_FOR_MEMBERSHIP_SITES),
/* harmony export */   Ct: () => (/* binding */ JETPACK_LEGACY_PLANS),
/* harmony export */   Cw: () => (/* binding */ PRODUCT_JETPACK_CREATOR_MONTHLY),
/* harmony export */   Dy: () => (/* binding */ PRODUCT_JETPACK_BOOST_BI_YEARLY),
/* harmony export */   Es: () => (/* binding */ PLAN_JETPACK_PERSONAL_MONTHLY),
/* harmony export */   F6: () => (/* binding */ PRODUCT_JETPACK_BOOST),
/* harmony export */   FI: () => (/* binding */ PRODUCT_JETPACK_BACKUP_T1_YEARLY),
/* harmony export */   GF: () => (/* binding */ PRODUCT_JETPACK_SOCIAL_BASIC_MONTHLY),
/* harmony export */   Gm: () => (/* binding */ PRODUCT_JETPACK_BACKUP_REALTIME),
/* harmony export */   Gt: () => (/* binding */ PRODUCT_JETPACK_BACKUP_REALTIME_MONTHLY),
/* harmony export */   Hs: () => (/* binding */ PRODUCT_JETPACK_BACKUP_T0_MONTHLY),
/* harmony export */   I5: () => (/* binding */ PLAN_JETPACK_SECURITY_DAILY),
/* harmony export */   Je: () => (/* binding */ PRODUCT_JETPACK_SEARCH_BI_YEARLY),
/* harmony export */   KJ: () => (/* binding */ PRODUCT_JETPACK_BACKUP_T2_YEARLY),
/* harmony export */   Ld: () => (/* binding */ PRODUCT_JETPACK_CREATOR_BI_YEARLY),
/* harmony export */   MM: () => (/* binding */ PLAN_JETPACK_FREE),
/* harmony export */   Nd: () => (/* binding */ PRODUCT_JETPACK_BOOST_MONTHLY),
/* harmony export */   Ok: () => (/* binding */ JETPACK_TAG_FOR_NEWS_ORGANISATIONS),
/* harmony export */   PE: () => (/* binding */ PRODUCT_JETPACK_VIDEOPRESS_BI_YEARLY),
/* harmony export */   Pn: () => (/* binding */ PRODUCT_JETPACK_SCAN_MONTHLY),
/* harmony export */   Q$: () => (/* binding */ PRODUCT_JETPACK_BACKUP_T0_YEARLY),
/* harmony export */   Qj: () => (/* binding */ PRODUCT_JETPACK_VIDEOPRESS),
/* harmony export */   Qw: () => (/* binding */ PRODUCT_JETPACK_BACKUP_DAILY),
/* harmony export */   Ry: () => (/* binding */ PLAN_JETPACK_PREMIUM),
/* harmony export */   Si: () => (/* binding */ PRODUCT_JETPACK_BACKUP_DAILY_MONTHLY),
/* harmony export */   UB: () => (/* binding */ PLAN_JETPACK_SECURITY_REALTIME_MONTHLY),
/* harmony export */   VK: () => (/* binding */ PRODUCT_JETPACK_BACKUP_T2_MONTHLY),
/* harmony export */   VT: () => (/* binding */ PRODUCT_JETPACK_SOCIAL_BASIC_BI_YEARLY),
/* harmony export */   Vl: () => (/* binding */ PLAN_JETPACK_GOLDEN_TOKEN),
/* harmony export */   Vt: () => (/* binding */ JETPACK_SECURITY_PLANS),
/* harmony export */   Xc: () => (/* binding */ PRODUCT_JETPACK_SOCIAL_ADVANCED_BI_YEARLY),
/* harmony export */   Xo: () => (/* binding */ PLAN_JETPACK_SECURITY_T2_MONTHLY),
/* harmony export */   Y1: () => (/* binding */ PLAN_JETPACK_PERSONAL),
/* harmony export */   Yh: () => (/* binding */ PLAN_JETPACK_BUSINESS_MONTHLY),
/* harmony export */   _4: () => (/* binding */ PLAN_JETPACK_COMPLETE_BI_YEARLY),
/* harmony export */   aW: () => (/* binding */ PRODUCT_JETPACK_SOCIAL_BASIC),
/* harmony export */   as: () => (/* binding */ PLAN_JETPACK_SECURITY_T2_YEARLY),
/* harmony export */   ax: () => (/* binding */ PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY),
/* harmony export */   b2: () => (/* binding */ PLAN_JETPACK_SECURITY_T1_YEARLY),
/* harmony export */   cC: () => (/* binding */ PLAN_JETPACK_STARTER_YEARLY),
/* harmony export */   dO: () => (/* binding */ GROUP_JETPACK),
/* harmony export */   eI: () => (/* binding */ PRODUCT_JETPACK_SOCIAL_ADVANCED),
/* harmony export */   eJ: () => (/* binding */ PLAN_JETPACK_SECURITY_T1_MONTHLY),
/* harmony export */   fl: () => (/* binding */ PRODUCT_JETPACK_CREATOR_YEARLY),
/* harmony export */   iY: () => (/* binding */ JETPACK_TAG_FOR_WOOCOMMERCE_STORES),
/* harmony export */   kU: () => (/* binding */ PLAN_JETPACK_BUSINESS),
/* harmony export */   kZ: () => (/* binding */ PRODUCT_JETPACK_SCAN_BI_YEARLY),
/* harmony export */   lB: () => (/* binding */ PRODUCT_JETPACK_SCAN),
/* harmony export */   mK: () => (/* binding */ PRODUCT_JETPACK_ANTI_SPAM_MONTHLY),
/* harmony export */   nc: () => (/* binding */ PLAN_JETPACK_SECURITY_T1_BI_YEARLY),
/* harmony export */   oI: () => (/* binding */ PRODUCT_JETPACK_STATS_BI_YEARLY),
/* harmony export */   pz: () => (/* binding */ PLAN_JETPACK_COMPLETE),
/* harmony export */   rD: () => (/* binding */ PLAN_JETPACK_COMPLETE_MONTHLY),
/* harmony export */   sG: () => (/* binding */ PLAN_JETPACK_SECURITY_REALTIME),
/* harmony export */   sL: () => (/* binding */ PRODUCT_JETPACK_STATS_YEARLY),
/* harmony export */   u: () => (/* binding */ PRODUCT_JETPACK_CRM_MONTHLY),
/* harmony export */   uG: () => (/* binding */ PRODUCT_JETPACK_SEARCH_MONTHLY),
/* harmony export */   uf: () => (/* binding */ PLAN_JETPACK_SECURITY_DAILY_MONTHLY),
/* harmony export */   xS: () => (/* binding */ JETPACK_TAG_FOR_SMALL_SITES),
/* harmony export */   yd: () => (/* binding */ PRODUCT_JETPACK_VIDEOPRESS_MONTHLY),
/* harmony export */   yn: () => (/* binding */ PRODUCT_JETPACK_CRM),
/* harmony export */   z4: () => (/* binding */ PRODUCT_JETPACK_STATS_MONTHLY),
/* harmony export */   z7: () => (/* binding */ PRODUCT_JETPACK_ANTI_SPAM_BI_YEARLY)
/* harmony export */ });
/* unused harmony exports PRODUCT_JETPACK_AI_BI_YEARLY, PRODUCT_JETPACK_AI_MONTHLY, PRODUCT_JETPACK_AI_YEARLY, PRODUCT_JETPACK_BACKUP, PRODUCT_JETPACK_SCAN_REALTIME, PRODUCT_JETPACK_SCAN_REALTIME_MONTHLY, PRODUCT_JETPACK_SEARCH_FREE, PRODUCT_JETPACK_CRM_FREE, PRODUCT_JETPACK_CRM_FREE_MONTHLY, PRODUCT_JETPACK_STATS_PWYW_YEARLY, PRODUCT_JETPACK_STATS_FREE, PRODUCT_JETPACK_MONITOR_YEARLY, PRODUCT_JETPACK_MONITOR_MONTHLY, PRODUCT_JETPACK_MONITOR, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_10GB_MONTHLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_100GB_MONTHLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_1TB_MONTHLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_3TB_MONTHLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_5TB_MONTHLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_10GB_YEARLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_100GB_YEARLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_1TB_YEARLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_3TB_YEARLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_5TB_YEARLY, PRODUCT_WOOCOMMERCE_BOOKINGS, PRODUCT_WOOCOMMERCE_SUBSCRIPTIONS, PRODUCT_WOOCOMMERCE_PRODUCT_BUNDLES, PRODUCT_WOOCOMMERCE_PRODUCT_ADD_ONS, PRODUCT_WOOCOMMERCE_MINMAX_QUANTITIES, PRODUCT_WOOCOMMERCE_AUTOMATEWOO, JETPACK_BACKUP_PRODUCTS_YEARLY, JETPACK_BACKUP_PRODUCTS_MONTHLY, JETPACK_BACKUP_PRODUCTS, JETPACK_BACKUP_ADDON_MONTHLY, JETPACK_BACKUP_ADDON_YEARLY, JETPACK_BACKUP_ADDON_PRODUCTS, JETPACK_BACKUP_T0_PRODUCTS, JETPACK_BACKUP_T1_PRODUCTS, JETPACK_BACKUP_T2_PRODUCTS, JETPACK_BOOST_PRODUCTS, JETPACK_SCAN_PRODUCTS, JETPACK_SOCIAL_BASIC_PRODUCTS, JETPACK_SOCIAL_ADVANCED_PRODUCTS, JETPACK_SOCIAL_PRODUCTS, JETPACK_STATS_PRODUCTS, JETPACK_ANTI_SPAM_PRODUCTS, JETPACK_SEARCH_PRODUCTS, JETPACK_CRM_PRODUCTS, JETPACK_CRM_FREE_PRODUCTS, JETPACK_VIDEOPRESS_PRODUCTS, JETPACK_MONITOR_PRODUCTS, JETPACK_AI_PRODUCTS, JETPACK_CREATOR_PRODUCTS, WOOCOMMERCE_PRODUCTS, JETPACK_PRODUCTS_LIST, JETPACK_PRODUCTS_BY_TERM, JETPACK_PRODUCT_PRICE_MATRIX, JETPACK_PRODUCT_UPGRADE_MAP, JETPACK_MONTHLY_LEGACY_PLANS, JETPACK_YEARLY_LEGACY_PLANS, JETPACK_LEGACY_PLANS_MAX_PLUGIN_VERSION, JETPACK_SECURITY_T1_PLANS, JETPACK_SECURITY_T2_PLANS, JETPACK_COMPLETE_PLANS, JETPACK_STARTER_PLANS, JETPACK_MONTHLY_PLANS, JETPACK_RESET_PLANS, JETPACK_RESET_PLANS_BY_TERM, JETPACK_PLANS, JETPACK_PLANS_BY_TERM, BEST_VALUE_PLANS, JETPACK_PLAN_UPGRADE_MAP, JETPACK_STARTER_UPGRADE_MAP, JETPACK_SECURITY_CATEGORY, JETPACK_PERFORMANCE_CATEGORY, JETPACK_GROWTH_CATEGORY, JETPACK_PRODUCT_CATEGORIES, JETPACK_BACKUP_PRODUCT_LANDING_PAGE_URL, JETPACK_SEARCH_PRODUCT_LANDING_PAGE_URL, JETPACK_STATS_PRODUCT_LANDING_PAGE_URL, JETPACK_SCAN_PRODUCT_LANDING_PAGE_URL, JETPACK_ANTI_SPAM_PRODUCT_LANDING_PAGE_URL, JETPACK_BOOST_PRODUCT_LANDING_PAGE_URL, JETPACK_SOCIAL_PRODUCT_LANDING_PAGE_URL, JETPACK_VIDEOPRESS_PRODUCT_LANDING_PAGE_URL, JETPACK_CRM_PRODUCT_LANDING_PAGE_URL, JETPACK_REDIRECT_CHECKOUT_TO_WPADMIN, JETPACK_REDIRECT_URL, JETPACK_RELATED_PRODUCTS_MAP, JETPACK_TAG_FOR_ONLINE_FORUMS, JETPACK_TAG_FOR_VIDEOGRAPHERS, JETPACK_TAG_FOR_EDUCATORS, JETPACK_TAG_FOR_BLOGGERS, JETPACK_TAG_FOR_ALL_SITES, JETPACK_PRODUCT_RECCOMENDATION_MAP */
/* harmony import */ var _wpcom__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(52400);

const GROUP_JETPACK = 'GROUP_JETPACK';

// Products
const PRODUCT_JETPACK_AI_BI_YEARLY = 'jetpack_ai_bi_yearly';
const PRODUCT_JETPACK_AI_MONTHLY = 'jetpack_ai_monthly';
const PRODUCT_JETPACK_AI_YEARLY = 'jetpack_ai_yearly';
const PRODUCT_JETPACK_BOOST_BI_YEARLY = 'jetpack_boost_bi_yearly';
const PRODUCT_JETPACK_BOOST = 'jetpack_boost_yearly';
const PRODUCT_JETPACK_BOOST_MONTHLY = 'jetpack_boost_monthly';
const PRODUCT_JETPACK_BACKUP = 'jetpack_backup';
const PRODUCT_JETPACK_BACKUP_T0_YEARLY = 'jetpack_backup_t0_yearly';
const PRODUCT_JETPACK_BACKUP_T0_MONTHLY = 'jetpack_backup_t0_monthly';
const PRODUCT_JETPACK_BACKUP_T1_YEARLY = 'jetpack_backup_t1_yearly';
const PRODUCT_JETPACK_BACKUP_T1_BI_YEARLY = 'jetpack_backup_t1_bi_yearly';
const PRODUCT_JETPACK_BACKUP_T1_MONTHLY = 'jetpack_backup_t1_monthly';
const PRODUCT_JETPACK_BACKUP_T2_YEARLY = 'jetpack_backup_t2_yearly';
const PRODUCT_JETPACK_BACKUP_T2_MONTHLY = 'jetpack_backup_t2_monthly';
const PRODUCT_JETPACK_SCAN_BI_YEARLY = 'jetpack_scan_bi_yearly';
const PRODUCT_JETPACK_SCAN = 'jetpack_scan';
const PRODUCT_JETPACK_SCAN_MONTHLY = 'jetpack_scan_monthly';
const PRODUCT_JETPACK_SCAN_REALTIME = 'jetpack_scan_realtime';
const PRODUCT_JETPACK_SCAN_REALTIME_MONTHLY = 'jetpack_scan_realtime_monthly';
const PRODUCT_JETPACK_ANTI_SPAM_BI_YEARLY = 'jetpack_anti_spam_bi_yearly';
const PRODUCT_JETPACK_ANTI_SPAM = 'jetpack_anti_spam';
const PRODUCT_JETPACK_ANTI_SPAM_MONTHLY = 'jetpack_anti_spam_monthly';
const PRODUCT_JETPACK_SEARCH_BI_YEARLY = 'jetpack_search_bi_yearly';
const PRODUCT_JETPACK_SEARCH = 'jetpack_search';
const PRODUCT_JETPACK_SEARCH_FREE = 'jetpack_search_free';
const PRODUCT_JETPACK_SEARCH_MONTHLY = 'jetpack_search_monthly';
const PRODUCT_JETPACK_CRM = 'jetpack_crm';
const PRODUCT_JETPACK_CRM_MONTHLY = 'jetpack_crm_monthly';
const PRODUCT_JETPACK_CRM_FREE = 'jetpack_crm_free';
const PRODUCT_JETPACK_CRM_FREE_MONTHLY = 'jetpack_crm_free_monthly';
const PRODUCT_JETPACK_VIDEOPRESS_BI_YEARLY = 'jetpack_videopress_bi_yearly';
const PRODUCT_JETPACK_VIDEOPRESS = 'jetpack_videopress';
const PRODUCT_JETPACK_VIDEOPRESS_MONTHLY = 'jetpack_videopress_monthly';
const PRODUCT_JETPACK_SOCIAL_BASIC_BI_YEARLY = 'jetpack_social_basic_bi_yearly';
const PRODUCT_JETPACK_SOCIAL_BASIC = 'jetpack_social_basic_yearly';
const PRODUCT_JETPACK_SOCIAL_BASIC_MONTHLY = 'jetpack_social_basic_monthly';
const PRODUCT_JETPACK_SOCIAL_ADVANCED_BI_YEARLY = 'jetpack_social_advanced_bi_yearly';
const PRODUCT_JETPACK_SOCIAL_ADVANCED = 'jetpack_social_advanced_yearly';
const PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY = 'jetpack_social_advanced_monthly';
const PRODUCT_JETPACK_STATS_MONTHLY = 'jetpack_stats_monthly';
const PRODUCT_JETPACK_STATS_YEARLY = 'jetpack_stats_yearly';
const PRODUCT_JETPACK_STATS_BI_YEARLY = 'jetpack_stats_bi_yearly';
const PRODUCT_JETPACK_STATS_PWYW_YEARLY = 'jetpack_stats_pwyw_yearly';
const PRODUCT_JETPACK_STATS_FREE = 'jetpack_stats_free_yearly';
const PRODUCT_JETPACK_MONITOR_YEARLY = 'jetpack_monitor_yearly';
const PRODUCT_JETPACK_MONITOR_MONTHLY = 'jetpack_monitor_monthly';
const PRODUCT_JETPACK_MONITOR = (/* unused pure expression or super */ null && (PRODUCT_JETPACK_MONITOR_YEARLY));
const PRODUCT_JETPACK_CREATOR_BI_YEARLY = 'jetpack_creator_bi_yearly';
const PRODUCT_JETPACK_CREATOR_YEARLY = 'jetpack_creator_yearly';
const PRODUCT_JETPACK_CREATOR_MONTHLY = 'jetpack_creator_monthly';

//add-on products
const PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_10GB_MONTHLY = 'jetpack_backup_addon_storage_10gb_monthly';
const PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_100GB_MONTHLY = 'jetpack_backup_addon_storage_100gb_monthly';
const PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_1TB_MONTHLY = 'jetpack_backup_addon_storage_1tb_monthly';
const PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_3TB_MONTHLY = 'jetpack_backup_addon_storage_3tb_monthly';
const PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_5TB_MONTHLY = 'jetpack_backup_addon_storage_5tb_monthly';
const PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_10GB_YEARLY = 'jetpack_backup_addon_storage_10gb_yearly';
const PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_100GB_YEARLY = 'jetpack_backup_addon_storage_100gb_yearly';
const PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_1TB_YEARLY = 'jetpack_backup_addon_storage_1tb_yearly';
const PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_3TB_YEARLY = 'jetpack_backup_addon_storage_3tb_yearly';
const PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_5TB_YEARLY = 'jetpack_backup_addon_storage_5tb_yearly';

// Legacy Products
const PRODUCT_JETPACK_BACKUP_DAILY = 'jetpack_backup_daily';
const PRODUCT_JETPACK_BACKUP_REALTIME = 'jetpack_backup_realtime';
const PRODUCT_JETPACK_BACKUP_DAILY_MONTHLY = 'jetpack_backup_daily_monthly';
const PRODUCT_JETPACK_BACKUP_REALTIME_MONTHLY = 'jetpack_backup_realtime_monthly';

// Woo Extensions
const PRODUCT_WOOCOMMERCE_BOOKINGS = 'woocommerce_bookings_yearly';
const PRODUCT_WOOCOMMERCE_SUBSCRIPTIONS = 'woocommerce_subscriptions_yearly';
const PRODUCT_WOOCOMMERCE_PRODUCT_BUNDLES = 'woocommerce_product_bundles_yearly';
const PRODUCT_WOOCOMMERCE_PRODUCT_ADD_ONS = 'woocommerce_product_add_ons_yearly';
const PRODUCT_WOOCOMMERCE_MINMAX_QUANTITIES = 'woocommerce_minmax_quantities_yearly';
const PRODUCT_WOOCOMMERCE_AUTOMATEWOO = 'woocommerce_automatewoo_yearly';

// Backup
const JETPACK_BACKUP_PRODUCTS_YEARLY = [PRODUCT_JETPACK_BACKUP_DAILY, PRODUCT_JETPACK_BACKUP_REALTIME, PRODUCT_JETPACK_BACKUP_T0_YEARLY, PRODUCT_JETPACK_BACKUP_T1_YEARLY, PRODUCT_JETPACK_BACKUP_T2_YEARLY];
const JETPACK_BACKUP_PRODUCTS_MONTHLY = [PRODUCT_JETPACK_BACKUP_DAILY_MONTHLY, PRODUCT_JETPACK_BACKUP_REALTIME_MONTHLY, PRODUCT_JETPACK_BACKUP_T0_MONTHLY, PRODUCT_JETPACK_BACKUP_T1_MONTHLY, PRODUCT_JETPACK_BACKUP_T2_MONTHLY];
const JETPACK_BACKUP_PRODUCTS = [PRODUCT_JETPACK_BACKUP_T1_BI_YEARLY, ...JETPACK_BACKUP_PRODUCTS_YEARLY, ...JETPACK_BACKUP_PRODUCTS_MONTHLY];
const JETPACK_BACKUP_ADDON_MONTHLY = [PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_10GB_MONTHLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_100GB_MONTHLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_1TB_MONTHLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_3TB_MONTHLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_5TB_MONTHLY];
const JETPACK_BACKUP_ADDON_YEARLY = [PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_10GB_YEARLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_100GB_YEARLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_1TB_YEARLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_3TB_YEARLY, PRODUCT_JETPACK_BACKUP_ADDON_STORAGE_5TB_YEARLY];
const JETPACK_BACKUP_ADDON_PRODUCTS = [...JETPACK_BACKUP_ADDON_MONTHLY, ...JETPACK_BACKUP_ADDON_YEARLY];
const JETPACK_BACKUP_T0_PRODUCTS = [PRODUCT_JETPACK_BACKUP_T0_MONTHLY, PRODUCT_JETPACK_BACKUP_T0_YEARLY];
const JETPACK_BACKUP_T1_PRODUCTS = [PRODUCT_JETPACK_BACKUP_T1_BI_YEARLY, PRODUCT_JETPACK_BACKUP_T1_MONTHLY, PRODUCT_JETPACK_BACKUP_T1_YEARLY];
const JETPACK_BACKUP_T2_PRODUCTS = [PRODUCT_JETPACK_BACKUP_T2_MONTHLY, PRODUCT_JETPACK_BACKUP_T2_YEARLY];
// Boost
const JETPACK_BOOST_PRODUCTS = [PRODUCT_JETPACK_BOOST_BI_YEARLY, PRODUCT_JETPACK_BOOST, PRODUCT_JETPACK_BOOST_MONTHLY];

// Scan
const JETPACK_SCAN_PRODUCTS = [PRODUCT_JETPACK_SCAN_BI_YEARLY, PRODUCT_JETPACK_SCAN, PRODUCT_JETPACK_SCAN_MONTHLY, PRODUCT_JETPACK_SCAN_REALTIME, PRODUCT_JETPACK_SCAN_REALTIME_MONTHLY];

// Social Basic
const JETPACK_SOCIAL_BASIC_PRODUCTS = [PRODUCT_JETPACK_SOCIAL_BASIC_BI_YEARLY, PRODUCT_JETPACK_SOCIAL_BASIC, PRODUCT_JETPACK_SOCIAL_BASIC_MONTHLY];

// Social Advanced
const JETPACK_SOCIAL_ADVANCED_PRODUCTS = [PRODUCT_JETPACK_SOCIAL_ADVANCED_BI_YEARLY, PRODUCT_JETPACK_SOCIAL_ADVANCED, PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY];

// Social
const JETPACK_SOCIAL_PRODUCTS = [...JETPACK_SOCIAL_BASIC_PRODUCTS, ...JETPACK_SOCIAL_ADVANCED_PRODUCTS];

// Stats
const JETPACK_STATS_PRODUCTS = [PRODUCT_JETPACK_STATS_BI_YEARLY, PRODUCT_JETPACK_STATS_YEARLY, PRODUCT_JETPACK_STATS_MONTHLY, PRODUCT_JETPACK_STATS_PWYW_YEARLY, PRODUCT_JETPACK_STATS_FREE];

// Anti-spam
const JETPACK_ANTI_SPAM_PRODUCTS = [PRODUCT_JETPACK_ANTI_SPAM_BI_YEARLY, PRODUCT_JETPACK_ANTI_SPAM, PRODUCT_JETPACK_ANTI_SPAM_MONTHLY];

// Search
const JETPACK_SEARCH_PRODUCTS = [PRODUCT_JETPACK_SEARCH_BI_YEARLY, PRODUCT_JETPACK_SEARCH, PRODUCT_JETPACK_SEARCH_MONTHLY, PRODUCT_JETPACK_SEARCH_FREE, _wpcom__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_WPCOM_SEARCH */ .o5, _wpcom__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_WPCOM_SEARCH_MONTHLY */ .k2];

// CRM
const JETPACK_CRM_PRODUCTS = [PRODUCT_JETPACK_CRM, PRODUCT_JETPACK_CRM_MONTHLY];
const JETPACK_CRM_FREE_PRODUCTS = [PRODUCT_JETPACK_CRM_FREE, PRODUCT_JETPACK_CRM_FREE_MONTHLY];

// VideoPress
const JETPACK_VIDEOPRESS_PRODUCTS = [PRODUCT_JETPACK_VIDEOPRESS_BI_YEARLY, PRODUCT_JETPACK_VIDEOPRESS, PRODUCT_JETPACK_VIDEOPRESS_MONTHLY];

// Monitor
const JETPACK_MONITOR_PRODUCTS = [PRODUCT_JETPACK_MONITOR_YEARLY, PRODUCT_JETPACK_MONITOR_MONTHLY];
const JETPACK_AI_PRODUCTS = [PRODUCT_JETPACK_AI_BI_YEARLY, PRODUCT_JETPACK_AI_MONTHLY, PRODUCT_JETPACK_AI_YEARLY];

// Creator
const JETPACK_CREATOR_PRODUCTS = [PRODUCT_JETPACK_CREATOR_BI_YEARLY, PRODUCT_JETPACK_CREATOR_YEARLY, PRODUCT_JETPACK_CREATOR_MONTHLY];

// WooCommerce Products
const WOOCOMMERCE_PRODUCTS = [PRODUCT_WOOCOMMERCE_BOOKINGS, PRODUCT_WOOCOMMERCE_SUBSCRIPTIONS, PRODUCT_WOOCOMMERCE_PRODUCT_BUNDLES, PRODUCT_WOOCOMMERCE_PRODUCT_ADD_ONS, PRODUCT_WOOCOMMERCE_MINMAX_QUANTITIES, PRODUCT_WOOCOMMERCE_AUTOMATEWOO];
const JETPACK_PRODUCTS_LIST = [...JETPACK_BACKUP_PRODUCTS, ...JETPACK_BOOST_PRODUCTS, ...JETPACK_SCAN_PRODUCTS, ...JETPACK_ANTI_SPAM_PRODUCTS, ...JETPACK_SEARCH_PRODUCTS, ...JETPACK_VIDEOPRESS_PRODUCTS, ...JETPACK_SOCIAL_PRODUCTS, ...JETPACK_BACKUP_ADDON_PRODUCTS, ...JETPACK_AI_PRODUCTS, ...JETPACK_STATS_PRODUCTS, ...JETPACK_MONITOR_PRODUCTS, ...JETPACK_CREATOR_PRODUCTS];
const JETPACK_PRODUCTS_BY_TERM = [{
  yearly: PRODUCT_JETPACK_BACKUP_DAILY,
  monthly: PRODUCT_JETPACK_BACKUP_DAILY_MONTHLY
}, {
  yearly: PRODUCT_JETPACK_BACKUP_REALTIME,
  monthly: PRODUCT_JETPACK_BACKUP_REALTIME_MONTHLY
}, {
  biYearly: PRODUCT_JETPACK_SEARCH_BI_YEARLY,
  yearly: PRODUCT_JETPACK_SEARCH,
  monthly: PRODUCT_JETPACK_SEARCH_MONTHLY
}, {
  yearly: _wpcom__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_WPCOM_SEARCH */ .o5,
  monthly: _wpcom__WEBPACK_IMPORTED_MODULE_0__/* .PRODUCT_WPCOM_SEARCH_MONTHLY */ .k2
}, {
  biYearly: PRODUCT_JETPACK_SCAN_BI_YEARLY,
  yearly: PRODUCT_JETPACK_SCAN,
  monthly: PRODUCT_JETPACK_SCAN_MONTHLY
}, {
  biYearly: PRODUCT_JETPACK_ANTI_SPAM_BI_YEARLY,
  yearly: PRODUCT_JETPACK_ANTI_SPAM,
  monthly: PRODUCT_JETPACK_ANTI_SPAM_MONTHLY
}, {
  yearly: PRODUCT_JETPACK_CRM,
  monthly: PRODUCT_JETPACK_CRM_MONTHLY
}, {
  yearly: PRODUCT_JETPACK_CRM_FREE,
  monthly: PRODUCT_JETPACK_CRM_FREE_MONTHLY
}, {
  biYearly: PRODUCT_JETPACK_BACKUP_T1_BI_YEARLY,
  yearly: PRODUCT_JETPACK_BACKUP_T1_YEARLY,
  monthly: PRODUCT_JETPACK_BACKUP_T1_MONTHLY
}, {
  yearly: PRODUCT_JETPACK_BACKUP_T2_YEARLY,
  monthly: PRODUCT_JETPACK_BACKUP_T2_MONTHLY
}, {
  biYearly: PRODUCT_JETPACK_VIDEOPRESS_BI_YEARLY,
  yearly: PRODUCT_JETPACK_VIDEOPRESS,
  monthly: PRODUCT_JETPACK_VIDEOPRESS_MONTHLY
}, {
  biYearly: PRODUCT_JETPACK_BOOST_BI_YEARLY,
  yearly: PRODUCT_JETPACK_BOOST,
  monthly: PRODUCT_JETPACK_BOOST_MONTHLY
}, {
  biYearly: PRODUCT_JETPACK_SOCIAL_BASIC_BI_YEARLY,
  yearly: PRODUCT_JETPACK_SOCIAL_BASIC,
  monthly: PRODUCT_JETPACK_SOCIAL_BASIC_MONTHLY
}, {
  biYearly: PRODUCT_JETPACK_SOCIAL_ADVANCED_BI_YEARLY,
  yearly: PRODUCT_JETPACK_SOCIAL_ADVANCED,
  monthly: PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY
}, {
  biYearly: PRODUCT_JETPACK_STATS_BI_YEARLY,
  yearly: PRODUCT_JETPACK_STATS_YEARLY,
  monthly: PRODUCT_JETPACK_STATS_MONTHLY
}, {
  biYearly: PRODUCT_JETPACK_AI_BI_YEARLY,
  yearly: PRODUCT_JETPACK_AI_YEARLY,
  monthly: PRODUCT_JETPACK_AI_MONTHLY
}, {
  yearly: PRODUCT_JETPACK_MONITOR_YEARLY,
  monthly: PRODUCT_JETPACK_MONITOR_MONTHLY
}, {
  biYearly: PRODUCT_JETPACK_CREATOR_BI_YEARLY,
  yearly: PRODUCT_JETPACK_CREATOR_YEARLY,
  monthly: PRODUCT_JETPACK_CREATOR_MONTHLY
}];
const JETPACK_PRODUCT_PRICE_MATRIX = {
  [PRODUCT_JETPACK_BACKUP_DAILY]: {
    relatedProduct: PRODUCT_JETPACK_BACKUP_DAILY_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_BACKUP_REALTIME]: {
    relatedProduct: PRODUCT_JETPACK_BACKUP_REALTIME_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_BACKUP_T1_YEARLY]: {
    relatedProduct: PRODUCT_JETPACK_BACKUP_T1_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_BACKUP_T2_YEARLY]: {
    relatedProduct: PRODUCT_JETPACK_BACKUP_T2_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_BOOST]: {
    relatedProduct: PRODUCT_JETPACK_BOOST_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_SOCIAL_BASIC]: {
    relatedProduct: PRODUCT_JETPACK_SOCIAL_BASIC_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_SOCIAL_ADVANCED]: {
    relatedProduct: PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_SEARCH]: {
    relatedProduct: PRODUCT_JETPACK_SEARCH_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_SCAN]: {
    relatedProduct: PRODUCT_JETPACK_SCAN_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_ANTI_SPAM]: {
    relatedProduct: PRODUCT_JETPACK_ANTI_SPAM_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_VIDEOPRESS]: {
    relatedProduct: PRODUCT_JETPACK_VIDEOPRESS_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_MONITOR_YEARLY]: {
    relatedProduct: PRODUCT_JETPACK_MONITOR_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_STATS_YEARLY]: {
    relatedProduct: PRODUCT_JETPACK_STATS_MONTHLY,
    ratio: 12
  },
  [PRODUCT_JETPACK_CREATOR_YEARLY]: {
    relatedProduct: PRODUCT_JETPACK_CREATOR_MONTHLY,
    ratio: 12
  }
};
// Key/value: Superseding product/Products superseded (yearly terms)
const JETPACK_PRODUCT_UPGRADE_MAP = {
  [PRODUCT_JETPACK_BACKUP_T2_YEARLY]: [PRODUCT_JETPACK_BACKUP_T1_YEARLY],
  [PRODUCT_JETPACK_BACKUP_REALTIME]: [PRODUCT_JETPACK_BACKUP_DAILY]
};

// Plans
const PLAN_JETPACK_FREE = 'jetpack_free';
const PLAN_JETPACK_PERSONAL = 'jetpack_personal';
const PLAN_JETPACK_PERSONAL_MONTHLY = 'jetpack_personal_monthly';
const PLAN_JETPACK_PREMIUM = 'jetpack_premium';
const PLAN_JETPACK_PREMIUM_MONTHLY = 'jetpack_premium_monthly';
const PLAN_JETPACK_BUSINESS = 'jetpack_business';
const PLAN_JETPACK_BUSINESS_MONTHLY = 'jetpack_business_monthly';
const PLAN_JETPACK_SECURITY_T1_YEARLY = 'jetpack_security_t1_yearly';
const PLAN_JETPACK_SECURITY_T1_MONTHLY = 'jetpack_security_t1_monthly';
const PLAN_JETPACK_SECURITY_T1_BI_YEARLY = 'jetpack_security_t1_bi_yearly';
const PLAN_JETPACK_SECURITY_T2_YEARLY = 'jetpack_security_t2_yearly';
const PLAN_JETPACK_SECURITY_T2_MONTHLY = 'jetpack_security_t2_monthly';
const PLAN_JETPACK_COMPLETE_BI_YEARLY = 'jetpack_complete_bi_yearly';
const PLAN_JETPACK_COMPLETE = 'jetpack_complete';
const PLAN_JETPACK_COMPLETE_MONTHLY = 'jetpack_complete_monthly';
const PLAN_JETPACK_STARTER_YEARLY = 'jetpack_starter_yearly';
const PLAN_JETPACK_STARTER_MONTHLY = 'jetpack_starter_monthly';
const PLAN_JETPACK_GOLDEN_TOKEN = 'jetpack_golden_token_lifetime';

// Legacy Security Plans
const PLAN_JETPACK_SECURITY_DAILY = 'jetpack_security_daily';
const PLAN_JETPACK_SECURITY_DAILY_MONTHLY = 'jetpack_security_daily_monthly';
const PLAN_JETPACK_SECURITY_REALTIME = 'jetpack_security_realtime';
const PLAN_JETPACK_SECURITY_REALTIME_MONTHLY = 'jetpack_security_realtime_monthly';

// Legacy (before offer reset)
const JETPACK_LEGACY_PLANS = [PLAN_JETPACK_PERSONAL, PLAN_JETPACK_PERSONAL_MONTHLY, PLAN_JETPACK_BUSINESS, PLAN_JETPACK_BUSINESS_MONTHLY, PLAN_JETPACK_PREMIUM, PLAN_JETPACK_PREMIUM_MONTHLY];
const JETPACK_MONTHLY_LEGACY_PLANS = [PLAN_JETPACK_PERSONAL_MONTHLY, PLAN_JETPACK_BUSINESS_MONTHLY, PLAN_JETPACK_PREMIUM_MONTHLY];
const JETPACK_YEARLY_LEGACY_PLANS = [PLAN_JETPACK_PERSONAL, PLAN_JETPACK_BUSINESS, PLAN_JETPACK_PREMIUM];
const JETPACK_LEGACY_PLANS_MAX_PLUGIN_VERSION = '8.9.1'; // Jetpack versions prior to this one are not fully compatible with new plans

// Security
const JETPACK_SECURITY_PLANS = [PLAN_JETPACK_SECURITY_DAILY, PLAN_JETPACK_SECURITY_DAILY_MONTHLY, PLAN_JETPACK_SECURITY_REALTIME, PLAN_JETPACK_SECURITY_REALTIME_MONTHLY, PLAN_JETPACK_SECURITY_T1_YEARLY, PLAN_JETPACK_SECURITY_T1_MONTHLY, PLAN_JETPACK_SECURITY_T1_BI_YEARLY, PLAN_JETPACK_SECURITY_T2_YEARLY, PLAN_JETPACK_SECURITY_T2_MONTHLY];
const JETPACK_SECURITY_T1_PLANS = [PLAN_JETPACK_SECURITY_T1_MONTHLY, PLAN_JETPACK_SECURITY_T1_YEARLY, PLAN_JETPACK_SECURITY_T1_BI_YEARLY];
const JETPACK_SECURITY_T2_PLANS = [PLAN_JETPACK_SECURITY_T2_MONTHLY, PLAN_JETPACK_SECURITY_T2_YEARLY];

// Complete
const JETPACK_COMPLETE_PLANS = [PLAN_JETPACK_COMPLETE_BI_YEARLY, PLAN_JETPACK_COMPLETE, PLAN_JETPACK_COMPLETE_MONTHLY];

// Starter
const JETPACK_STARTER_PLANS = [PLAN_JETPACK_STARTER_YEARLY, PLAN_JETPACK_STARTER_MONTHLY];
const JETPACK_MONTHLY_PLANS = [PLAN_JETPACK_PREMIUM_MONTHLY, PLAN_JETPACK_BUSINESS_MONTHLY, PLAN_JETPACK_PERSONAL_MONTHLY, PLAN_JETPACK_SECURITY_DAILY_MONTHLY, PLAN_JETPACK_SECURITY_REALTIME_MONTHLY, PLAN_JETPACK_SECURITY_T1_MONTHLY, PLAN_JETPACK_SECURITY_T2_MONTHLY, PLAN_JETPACK_COMPLETE_MONTHLY];
const JETPACK_RESET_PLANS = [...JETPACK_STARTER_PLANS, ...JETPACK_SECURITY_PLANS, ...JETPACK_COMPLETE_PLANS, PLAN_JETPACK_GOLDEN_TOKEN];
const JETPACK_RESET_PLANS_BY_TERM = [{
  biYearly: PLAN_JETPACK_COMPLETE_BI_YEARLY,
  yearly: PLAN_JETPACK_COMPLETE,
  monthly: PLAN_JETPACK_COMPLETE_MONTHLY
}, {
  yearly: PLAN_JETPACK_SECURITY_DAILY,
  monthly: PLAN_JETPACK_SECURITY_DAILY_MONTHLY
}, {
  yearly: PLAN_JETPACK_SECURITY_REALTIME,
  monthly: PLAN_JETPACK_SECURITY_REALTIME_MONTHLY
}, {
  biYearly: PLAN_JETPACK_SECURITY_T1_BI_YEARLY,
  yearly: PLAN_JETPACK_SECURITY_T1_YEARLY,
  monthly: PLAN_JETPACK_SECURITY_T1_MONTHLY
}, {
  yearly: PLAN_JETPACK_SECURITY_T2_YEARLY,
  monthly: PLAN_JETPACK_SECURITY_T2_MONTHLY
}, {
  yearly: PLAN_JETPACK_STARTER_YEARLY,
  monthly: PLAN_JETPACK_STARTER_MONTHLY
}];
const JETPACK_PLANS = [PLAN_JETPACK_FREE, ...JETPACK_LEGACY_PLANS, ...JETPACK_RESET_PLANS];
const JETPACK_PLANS_BY_TERM = [{
  yearly: PLAN_JETPACK_BUSINESS,
  monthly: PLAN_JETPACK_BUSINESS_MONTHLY
}, {
  yearly: PLAN_JETPACK_PERSONAL,
  monthly: PLAN_JETPACK_PERSONAL_MONTHLY
}, {
  yearly: PLAN_JETPACK_PREMIUM,
  monthly: PLAN_JETPACK_PREMIUM_MONTHLY
}, ...JETPACK_RESET_PLANS_BY_TERM];
const BEST_VALUE_PLANS = [PLAN_JETPACK_PREMIUM, PLAN_JETPACK_PREMIUM_MONTHLY];
// Key/value: Superseding plan/Plans superseded (yearly terms)
const JETPACK_PLAN_UPGRADE_MAP = {
  [PLAN_JETPACK_SECURITY_T2_YEARLY]: [PLAN_JETPACK_SECURITY_T1_YEARLY, PLAN_JETPACK_STARTER_YEARLY],
  [PLAN_JETPACK_SECURITY_T1_YEARLY]: [PLAN_JETPACK_STARTER_YEARLY],
  [PLAN_JETPACK_SECURITY_REALTIME]: [PLAN_JETPACK_SECURITY_DAILY],
  [PLAN_JETPACK_COMPLETE]: [PLAN_JETPACK_SECURITY_REALTIME, PLAN_JETPACK_SECURITY_DAILY, PLAN_JETPACK_SECURITY_T2_YEARLY, PLAN_JETPACK_SECURITY_T1_YEARLY, PLAN_JETPACK_STARTER_YEARLY]
};
const JETPACK_STARTER_UPGRADE_MAP = {
  [PLAN_JETPACK_STARTER_YEARLY]: PLAN_JETPACK_SECURITY_T1_YEARLY,
  [PLAN_JETPACK_STARTER_MONTHLY]: PLAN_JETPACK_SECURITY_T1_MONTHLY
};

// Categories
const JETPACK_SECURITY_CATEGORY = 'jetpack_security_category';
const JETPACK_PERFORMANCE_CATEGORY = 'jetpack_performance_category';
const JETPACK_GROWTH_CATEGORY = 'jetpack_growth_category';
const JETPACK_PRODUCT_CATEGORIES = [JETPACK_SECURITY_CATEGORY, JETPACK_PERFORMANCE_CATEGORY, JETPACK_GROWTH_CATEGORY];

// URL
const JETPACK_BACKUP_PRODUCT_LANDING_PAGE_URL = 'https://jetpack.com/upgrade/backup/';
const JETPACK_SEARCH_PRODUCT_LANDING_PAGE_URL = 'https://jetpack.com/upgrade/search/';
const JETPACK_STATS_PRODUCT_LANDING_PAGE_URL = 'https://jetpack.com/stats/';
const JETPACK_SCAN_PRODUCT_LANDING_PAGE_URL = 'https://jetpack.com/upgrade/scan/';
const JETPACK_ANTI_SPAM_PRODUCT_LANDING_PAGE_URL = 'https://jetpack.com/upgrade/anti-spam/';
const JETPACK_BOOST_PRODUCT_LANDING_PAGE_URL = 'https://jetpack.com/boost/';
const JETPACK_SOCIAL_PRODUCT_LANDING_PAGE_URL = 'https://jetpack.com/social/';
const JETPACK_VIDEOPRESS_PRODUCT_LANDING_PAGE_URL = 'https://jetpack.com/videopress/';
const JETPACK_CRM_PRODUCT_LANDING_PAGE_URL = 'https://jetpackcrm.com/';
// If JETPACK_CLOUD_REDIRECT_CHECKOUT_TO_WPADMIN is true, checkout will redirect to the site's wp-admin,
// otherwise it will redirect to the JETPACK_REDIRECT_URL. Checkout references these constants in:
// client/my-sites/checkout/src/hooks/use-get-thank-you-url/get-thank-you-page-url.ts
const JETPACK_REDIRECT_CHECKOUT_TO_WPADMIN = true;
const JETPACK_REDIRECT_URL = 'https://jetpack.com/redirect/?source=jetpack-checkout-thankyou';

// Key/value maps related products to a given one
const JETPACK_RELATED_PRODUCTS_MAP = {
  [PRODUCT_JETPACK_SOCIAL_BASIC_BI_YEARLY]: [PRODUCT_JETPACK_SOCIAL_ADVANCED_BI_YEARLY, PRODUCT_JETPACK_SOCIAL_BASIC_BI_YEARLY],
  [PRODUCT_JETPACK_SOCIAL_ADVANCED_BI_YEARLY]: [PRODUCT_JETPACK_SOCIAL_ADVANCED_BI_YEARLY, PRODUCT_JETPACK_SOCIAL_BASIC_BI_YEARLY],
  [PRODUCT_JETPACK_SOCIAL_BASIC]: [PRODUCT_JETPACK_SOCIAL_ADVANCED, PRODUCT_JETPACK_SOCIAL_BASIC],
  [PRODUCT_JETPACK_SOCIAL_ADVANCED]: [PRODUCT_JETPACK_SOCIAL_ADVANCED, PRODUCT_JETPACK_SOCIAL_BASIC],
  [PRODUCT_JETPACK_SOCIAL_BASIC_MONTHLY]: [PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY, PRODUCT_JETPACK_SOCIAL_BASIC_MONTHLY],
  [PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY]: [PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY, PRODUCT_JETPACK_SOCIAL_BASIC_MONTHLY]
};

// Tags, 'Recommended for'
const JETPACK_TAG_FOR_WOOCOMMERCE_STORES = 'jetpack_tag_for_woocommerce_stores';
const JETPACK_TAG_FOR_NEWS_ORGANISATIONS = 'jetpack_tag_for_news_organisations';
const JETPACK_TAG_FOR_MEMBERSHIP_SITES = 'jetpack_tag_for_membership_sites';
const JETPACK_TAG_FOR_ONLINE_FORUMS = 'jetpack_tag_for_online_forums';
const JETPACK_TAG_FOR_BLOGS = 'jetpack_tag_for_blogs';
const JETPACK_TAG_FOR_VIDEOGRAPHERS = 'jetpack_tag_for_videographers';
const JETPACK_TAG_FOR_EDUCATORS = 'jetpack_tag_for_educators';
const JETPACK_TAG_FOR_BLOGGERS = 'jetpack_tag_for_bloggers';
const JETPACK_TAG_FOR_ALL_SITES = 'jetpack_tag_for_all_sites';
const JETPACK_TAG_FOR_SMALL_SITES = 'jetpack_tag_for_small_sites';

// Maps products to 'Recommended for' tags
const JETPACK_PRODUCT_RECCOMENDATION_MAP = {
  [PRODUCT_JETPACK_BACKUP_DAILY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_BACKUP_DAILY_MONTHLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_BACKUP_REALTIME]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_BACKUP_REALTIME_MONTHLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_BACKUP_T1_YEARLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_BACKUP_T1_MONTHLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_BACKUP_T2_YEARLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_BACKUP_T2_MONTHLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_VIDEOPRESS]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_VIDEOGRAPHERS, JETPACK_TAG_FOR_EDUCATORS, JETPACK_TAG_FOR_BLOGS],
  [PRODUCT_JETPACK_VIDEOPRESS_MONTHLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_VIDEOGRAPHERS, JETPACK_TAG_FOR_EDUCATORS, JETPACK_TAG_FOR_BLOGS],
  [PRODUCT_JETPACK_ANTI_SPAM]: [JETPACK_TAG_FOR_BLOGS, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS, JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_JETPACK_ANTI_SPAM_MONTHLY]: [JETPACK_TAG_FOR_BLOGS, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS, JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_JETPACK_SCAN]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_SCAN_MONTHLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_SCAN_REALTIME]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_SCAN_REALTIME_MONTHLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_SEARCH]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_SEARCH_MONTHLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS],
  [PRODUCT_JETPACK_BOOST]: [JETPACK_TAG_FOR_ALL_SITES],
  [PRODUCT_JETPACK_BOOST_MONTHLY]: [JETPACK_TAG_FOR_ALL_SITES],
  [PRODUCT_JETPACK_SOCIAL_BASIC]: [JETPACK_TAG_FOR_BLOGGERS, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS, JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_JETPACK_SOCIAL_BASIC_MONTHLY]: [JETPACK_TAG_FOR_BLOGGERS, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS, JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_JETPACK_SOCIAL_ADVANCED]: [JETPACK_TAG_FOR_BLOGGERS, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS, JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY]: [JETPACK_TAG_FOR_BLOGGERS, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS, JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_JETPACK_STATS_YEARLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES],
  [PRODUCT_JETPACK_STATS_MONTHLY]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES],
  [PRODUCT_JETPACK_AI_MONTHLY]: [JETPACK_TAG_FOR_BLOGGERS, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS, JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_JETPACK_AI_YEARLY]: [JETPACK_TAG_FOR_BLOGGERS, JETPACK_TAG_FOR_NEWS_ORGANISATIONS, JETPACK_TAG_FOR_MEMBERSHIP_SITES, JETPACK_TAG_FOR_ONLINE_FORUMS, JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_JETPACK_CREATOR_YEARLY]: [JETPACK_TAG_FOR_EDUCATORS, JETPACK_TAG_FOR_BLOGGERS, JETPACK_TAG_FOR_VIDEOGRAPHERS, JETPACK_TAG_FOR_MEMBERSHIP_SITES],
  // WooCommerce Extensions
  [PRODUCT_WOOCOMMERCE_BOOKINGS]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_WOOCOMMERCE_SUBSCRIPTIONS]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_WOOCOMMERCE_PRODUCT_BUNDLES]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_WOOCOMMERCE_PRODUCT_ADD_ONS]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_WOOCOMMERCE_MINMAX_QUANTITIES]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES],
  [PRODUCT_WOOCOMMERCE_AUTOMATEWOO]: [JETPACK_TAG_FOR_WOOCOMMERCE_STORES]
};

/***/ }),

/***/ 82895:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $5: () => (/* binding */ TERM_BIENNIALLY),
/* harmony export */   Lf: () => (/* binding */ TERM_ANNUALLY),
/* harmony export */   SP: () => (/* binding */ TERM_CENTENNIALLY),
/* harmony export */   V0: () => (/* binding */ TERM_TRIENNIALLY),
/* harmony export */   he: () => (/* binding */ TERM_MONTHLY)
/* harmony export */ });
/* unused harmony exports TERM_QUADRENNIALLY, TERM_QUINQUENNIALLY, TERM_SEXENNIALLY, TERM_SEPTENNIALLY, TERM_OCTENNIALLY, TERM_NOVENNIALLY, TERM_DECENNIALLY, TERMS_LIST, URL_FRIENDLY_TERMS_MAPPING, PLAN_MONTHLY_PERIOD, PLAN_ANNUAL_PERIOD, PLAN_BIENNIAL_PERIOD, PLAN_TRIENNIAL_PERIOD, PLAN_QUADRENNIAL_PERIOD, PLAN_QUINQUENNIAL_PERIOD, PLAN_SEXENNIAL_PERIOD, PLAN_SEPTENNIAL_PERIOD, PLAN_OCTENNIAL_PERIOD, PLAN_NOVENNIAL_PERIOD, PLAN_DECENNIAL_PERIOD, PLAN_CENTENNIAL_PERIOD, PERIOD_LIST */
const TERM_MONTHLY = 'TERM_MONTHLY';
const TERM_ANNUALLY = 'TERM_ANNUALLY';
const TERM_BIENNIALLY = 'TERM_BIENNIALLY'; //2y
const TERM_TRIENNIALLY = 'TERM_TRIENNIALLY'; //3y
const TERM_QUADRENNIALLY = 'TERM_QUADRENNIALLY'; //4y
const TERM_QUINQUENNIALLY = 'TERM_QUINQUENNIALLY'; //5y
const TERM_SEXENNIALLY = 'TERM_SEXENNIALLY'; //6y
const TERM_SEPTENNIALLY = 'TERM_SEPTENNIALLY'; //7y
const TERM_OCTENNIALLY = 'TERM_OCTENNIALLY'; //8y
const TERM_NOVENNIALLY = 'TERM_NOVENNIALLY'; //9y
const TERM_DECENNIALLY = 'TERM_DECENNIALLY'; //10y
const TERM_CENTENNIALLY = 'TERM_CENTENNIALLY'; //100y

const TERMS_LIST = [TERM_MONTHLY, TERM_ANNUALLY, TERM_BIENNIALLY, TERM_TRIENNIALLY, TERM_QUADRENNIALLY, TERM_QUINQUENNIALLY, TERM_SEXENNIALLY, TERM_SEPTENNIALLY, TERM_OCTENNIALLY, TERM_NOVENNIALLY, TERM_DECENNIALLY, TERM_CENTENNIALLY];
const URL_FRIENDLY_TERMS_MAPPING = {
  monthly: TERM_MONTHLY,
  yearly: TERM_ANNUALLY,
  '2yearly': TERM_BIENNIALLY,
  '3yearly': TERM_TRIENNIALLY,
  '4yearly': TERM_QUADRENNIALLY,
  '5yearly': TERM_QUINQUENNIALLY,
  '6yearly': TERM_SEXENNIALLY,
  '7yearly': TERM_SEPTENNIALLY,
  '8yearly': TERM_OCTENNIALLY,
  '9yearly': TERM_NOVENNIALLY,
  '10yearly': TERM_DECENNIALLY,
  '100yearly': TERM_CENTENNIALLY
};
const PLAN_MONTHLY_PERIOD = 31;
const PLAN_ANNUAL_PERIOD = 365;
const PLAN_BIENNIAL_PERIOD = 730;
const PLAN_TRIENNIAL_PERIOD = 1095;
const PLAN_QUADRENNIAL_PERIOD = 1460;
const PLAN_QUINQUENNIAL_PERIOD = 1825;
const PLAN_SEXENNIAL_PERIOD = 2190;
const PLAN_SEPTENNIAL_PERIOD = 2555;
const PLAN_OCTENNIAL_PERIOD = 2920;
const PLAN_NOVENNIAL_PERIOD = 3285;
const PLAN_DECENNIAL_PERIOD = 3650;
const PLAN_CENTENNIAL_PERIOD = 36500;
const PERIOD_LIST = [PLAN_MONTHLY_PERIOD, PLAN_ANNUAL_PERIOD, PLAN_BIENNIAL_PERIOD, PLAN_TRIENNIAL_PERIOD, PLAN_QUADRENNIAL_PERIOD, PLAN_QUINQUENNIAL_PERIOD, PLAN_SEXENNIAL_PERIOD, PLAN_SEPTENNIAL_PERIOD, PLAN_OCTENNIAL_PERIOD, PLAN_NOVENNIAL_PERIOD, PLAN_DECENNIAL_PERIOD, PLAN_CENTENNIAL_PERIOD];

/***/ }),

/***/ 49433:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $R: () => (/* binding */ TYPE_GOLDEN_TOKEN),
/* harmony export */   $k: () => (/* binding */ TYPE_WOOEXPRESS_SMALL),
/* harmony export */   C5: () => (/* binding */ TYPE_SECURITY_T1),
/* harmony export */   JH: () => (/* binding */ TYPE_SECURITY_T2),
/* harmony export */   ME: () => (/* binding */ TYPE_SECURITY_DAILY),
/* harmony export */   O2: () => (/* binding */ TYPE_FREE),
/* harmony export */   P3: () => (/* binding */ TYPE_STARTER),
/* harmony export */   UQ: () => (/* binding */ TYPE_ECOMMERCE),
/* harmony export */   V4: () => (/* binding */ TYPE_ALL),
/* harmony export */   VS: () => (/* binding */ TYPE_PRO),
/* harmony export */   au: () => (/* binding */ TYPE_BLOGGER),
/* harmony export */   bk: () => (/* binding */ TYPE_WOO_EXPRESS_PLUS),
/* harmony export */   df: () => (/* binding */ TYPE_WOOEXPRESS_MEDIUM),
/* harmony export */   e8: () => (/* binding */ TYPE_BUSINESS),
/* harmony export */   gA: () => (/* binding */ TYPE_PERSONAL),
/* harmony export */   gf: () => (/* binding */ TYPE_SECURITY_REALTIME),
/* harmony export */   kh: () => (/* binding */ TYPE_JETPACK_STARTER),
/* harmony export */   lP: () => (/* binding */ TYPE_100_YEAR),
/* harmony export */   n4: () => (/* binding */ TYPE_PREMIUM),
/* harmony export */   nT: () => (/* binding */ TYPE_FLEXIBLE),
/* harmony export */   t0: () => (/* binding */ TYPE_ENTERPRISE_GRID_WPCOM),
/* harmony export */   zf: () => (/* binding */ TYPE_P2_PLUS)
/* harmony export */ });
/* unused harmony export TYPES_LIST */
const TYPE_FREE = 'TYPE_FREE';
const TYPE_BLOGGER = 'TYPE_BLOGGER';
const TYPE_PERSONAL = 'TYPE_PERSONAL';
const TYPE_PREMIUM = 'TYPE_PREMIUM';
const TYPE_BUSINESS = 'TYPE_BUSINESS';
const TYPE_100_YEAR = 'TYPE_100_YEAR';
const TYPE_ECOMMERCE = 'TYPE_ECOMMERCE';
const TYPE_ENTERPRISE_GRID_WPCOM = 'TYPE_ENTERPRISE_GRID_WPCOM';
const TYPE_WOOEXPRESS_SMALL = 'TYPE_WOOEXPRESS_SMALL';
const TYPE_WOOEXPRESS_MEDIUM = 'TYPE_WOOEXPRESS_MEDIUM';
const TYPE_WOO_EXPRESS_PLUS = 'TYPE_WOO_EXPRESS_PLUS';
const TYPE_SECURITY_DAILY = 'TYPE_SECURITY_DAILY';
const TYPE_SECURITY_REALTIME = 'TYPE_SECURITY_REALTIME';
const TYPE_SECURITY_T1 = 'TYPE_SECURITY_T1';
const TYPE_SECURITY_T2 = 'TYPE_SECURITY_T2';
const TYPE_JETPACK_STARTER = 'TYPE_JETPACK_STARTER';
const TYPE_ALL = 'TYPE_ALL';
const TYPE_P2_PLUS = 'TYPE_P2_PLUS';
const TYPE_FLEXIBLE = 'TYPE_FLEXIBLE';
const TYPE_PRO = 'TYPE_PRO';
const TYPE_STARTER = 'TYPE_STARTER';
const TYPE_GOLDEN_TOKEN = 'TYPE_GOLDEN_TOKEN';
const TYPES_LIST = [TYPE_FREE, TYPE_BLOGGER, TYPE_PERSONAL, TYPE_PREMIUM, TYPE_BUSINESS, TYPE_100_YEAR, TYPE_ECOMMERCE, TYPE_ENTERPRISE_GRID_WPCOM, TYPE_WOOEXPRESS_SMALL, TYPE_WOOEXPRESS_MEDIUM, TYPE_WOO_EXPRESS_PLUS, TYPE_SECURITY_DAILY, TYPE_SECURITY_REALTIME, TYPE_ALL, TYPE_P2_PLUS, TYPE_FLEXIBLE, TYPE_PRO, TYPE_STARTER, TYPE_GOLDEN_TOKEN, TYPE_JETPACK_STARTER, TYPE_SECURITY_T1, TYPE_SECURITY_T2];

/***/ }),

/***/ 52400:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AD: () => (/* binding */ PLAN_PREMIUM_2_YEARS),
/* harmony export */   Ap: () => (/* binding */ PLAN_P2_FREE),
/* harmony export */   BC: () => (/* binding */ PLAN_WPCOM_STARTER),
/* harmony export */   Bk: () => (/* binding */ PLAN_WPCOM_PRO),
/* harmony export */   CR: () => (/* binding */ PLAN_BUSINESS_3_YEARS),
/* harmony export */   DH: () => (/* binding */ PLAN_ECOMMERCE),
/* harmony export */   Dj: () => (/* binding */ PLAN_BLUEHOST_CLOUD_2Y),
/* harmony export */   E$: () => (/* binding */ PLAN_ECOMMERCE_TRIAL_MONTHLY),
/* harmony export */   EX: () => (/* binding */ PLAN_PERSONAL_3_YEARS),
/* harmony export */   Ey: () => (/* binding */ PLAN_HOSTING_TRIAL_MONTHLY),
/* harmony export */   FP: () => (/* binding */ PLAN_BLOGGER_2_YEARS),
/* harmony export */   Ft: () => (/* binding */ GROUP_P2),
/* harmony export */   Gi: () => (/* binding */ PLAN_PREMIUM),
/* harmony export */   JZ: () => (/* binding */ PLAN_PERSONAL),
/* harmony export */   LP: () => (/* binding */ PLAN_WPCOM_FLEXIBLE),
/* harmony export */   M4: () => (/* binding */ PLAN_P2_PLUS),
/* harmony export */   Ol: () => (/* binding */ PLAN_PREMIUM_MONTHLY),
/* harmony export */   Ou: () => (/* binding */ PLAN_WOOEXPRESS_MEDIUM),
/* harmony export */   P: () => (/* binding */ PLAN_WOOEXPRESS_PLUS),
/* harmony export */   PE: () => (/* binding */ PLAN_BLOGGER),
/* harmony export */   Pi: () => (/* binding */ PLAN_BLUEHOST_CLOUD),
/* harmony export */   Qf: () => (/* binding */ PLAN_WOOEXPRESS_SMALL_MONTHLY),
/* harmony export */   T7: () => (/* binding */ PLAN_FREE),
/* harmony export */   Uv: () => (/* binding */ PLAN_BLUEHOST_CLOUD_3Y),
/* harmony export */   ZL: () => (/* binding */ PLAN_BUSINESS_MONTHLY),
/* harmony export */   Zc: () => (/* binding */ PLAN_PERSONAL_MONTHLY),
/* harmony export */   bQ: () => (/* binding */ PLAN_PERSONAL_2_YEARS),
/* harmony export */   cE: () => (/* binding */ PLAN_ENTERPRISE_GRID_WPCOM),
/* harmony export */   dj: () => (/* binding */ PLAN_100_YEARS),
/* harmony export */   hz: () => (/* binding */ GROUP_WPCOM),
/* harmony export */   k2: () => (/* binding */ PRODUCT_WPCOM_SEARCH_MONTHLY),
/* harmony export */   mR: () => (/* binding */ PLAN_ECOMMERCE_3_YEARS),
/* harmony export */   nM: () => (/* binding */ PLAN_PREMIUM_3_YEARS),
/* harmony export */   nb: () => (/* binding */ PLAN_BLUEHOST_CLOUD_MONTHLY),
/* harmony export */   o5: () => (/* binding */ PRODUCT_WPCOM_SEARCH),
/* harmony export */   r: () => (/* binding */ PLAN_ECOMMERCE_MONTHLY),
/* harmony export */   se: () => (/* binding */ PLAN_WOOEXPRESS_MEDIUM_MONTHLY),
/* harmony export */   uQ: () => (/* binding */ PLAN_MIGRATION_TRIAL_MONTHLY),
/* harmony export */   vD: () => (/* binding */ PLAN_WPCOM_PRO_2_YEARS),
/* harmony export */   vt: () => (/* binding */ PLAN_BUSINESS_2_YEARS),
/* harmony export */   xY: () => (/* binding */ PLAN_BUSINESS),
/* harmony export */   xi: () => (/* binding */ PLAN_ECOMMERCE_2_YEARS),
/* harmony export */   yZ: () => (/* binding */ PLAN_WOOEXPRESS_SMALL),
/* harmony export */   zY: () => (/* binding */ PLAN_WPCOM_PRO_MONTHLY)
/* harmony export */ });
/* unused harmony exports WPCOM_SEARCH_PRODUCTS, PRODUCT_1GB_SPACE_UPGRADE, PRODUCT_5GB_SPACE_UPGRADE, PRODUCT_10GB_SPACE_UPGRADE, PRODUCT_50GB_SPACE_UPGRADE, PRODUCT_100GB_SPACE_UPGRADE, WPCOM_SPACE_UPGRADE_PRODUCTS, PRODUCT_NO_ADS, PRODUCT_WPCOM_UNLIMITED_THEMES, PRODUCT_1GB_SPACE, PRODUCT_WPCOM_CUSTOM_DESIGN, WPCOM_OTHER_PRODUCTS, WPCOM_PRODUCTS, PLAN_HOST_BUNDLE, PLAN_WPCOM_ENTERPRISE, PLAN_CHARGEBACK, PLAN_VIP, WPCOM_PLANS, WPCOM_MONTHLY_PLANS, WOO_EXPRESS_PLANS, WPCOM_PREMIUM_PLANS, WPCOM_DIFM_LITE, PLAN_BUSINESS_ONBOARDING_EXPIRE, PLAN_BUSINESS_2Y_ONBOARDING_EXPIRE */
const GROUP_WPCOM = 'GROUP_WPCOM';
const GROUP_P2 = 'GROUP_P2';

/**
 * WPCOM Search Products
 */
const PRODUCT_WPCOM_SEARCH = 'wpcom_search';
const PRODUCT_WPCOM_SEARCH_MONTHLY = 'wpcom_search_monthly';
const WPCOM_SEARCH_PRODUCTS = [PRODUCT_WPCOM_SEARCH, PRODUCT_WPCOM_SEARCH_MONTHLY];

/**
 * WPCOM Space Upgrade Products
 * - Special products that do not yet map to the exported `PRODUCTS_LIST` in @automattic/calypso-products
 */
const PRODUCT_1GB_SPACE_UPGRADE = '1gb_space_upgrade';
const PRODUCT_5GB_SPACE_UPGRADE = '5gb_space_upgrade';
const PRODUCT_10GB_SPACE_UPGRADE = '10gb_space_upgrade';
const PRODUCT_50GB_SPACE_UPGRADE = '50gb_space_upgrade';
const PRODUCT_100GB_SPACE_UPGRADE = '100gb_space_upgrade';
const WPCOM_SPACE_UPGRADE_PRODUCTS = [PRODUCT_1GB_SPACE_UPGRADE, PRODUCT_5GB_SPACE_UPGRADE, PRODUCT_10GB_SPACE_UPGRADE, PRODUCT_50GB_SPACE_UPGRADE, PRODUCT_100GB_SPACE_UPGRADE];

/**
 * WPCOM Other Products
 * - Special products that do not yet map to the exported `PRODUCTS_LIST` in @automattic/calypso-products
 */
const PRODUCT_NO_ADS = 'no-adverts/no-adverts.php';
const PRODUCT_WPCOM_UNLIMITED_THEMES = 'unlimited_themes';
const PRODUCT_1GB_SPACE = 'wordpress_com_1gb_space_addon_yearly';
const PRODUCT_WPCOM_CUSTOM_DESIGN = 'custom-design';
const WPCOM_OTHER_PRODUCTS = [PRODUCT_NO_ADS, PRODUCT_WPCOM_UNLIMITED_THEMES, PRODUCT_1GB_SPACE, PRODUCT_WPCOM_CUSTOM_DESIGN];

/**
 * WPCOM Products / having definitions in `PRODUCTS_LIST` in @automattic/calypso-products
 */
const WPCOM_PRODUCTS = [...WPCOM_SEARCH_PRODUCTS];

/**
 * Plans
 */
const PLAN_BUSINESS_MONTHLY = 'business-bundle-monthly';
const PLAN_BUSINESS = 'business-bundle';
const PLAN_BUSINESS_2_YEARS = 'business-bundle-2y';
const PLAN_BUSINESS_3_YEARS = 'business-bundle-3y';
const PLAN_100_YEARS = 'wp_com_hundred_year_bundle_centennially';
const PLAN_PREMIUM_MONTHLY = 'value_bundle_monthly';
const PLAN_PREMIUM = 'value_bundle';
const PLAN_PREMIUM_2_YEARS = 'value_bundle-2y';
const PLAN_PREMIUM_3_YEARS = 'value_bundle-3y';
const PLAN_PERSONAL_MONTHLY = 'personal-bundle-monthly';
const PLAN_PERSONAL = 'personal-bundle';
const PLAN_PERSONAL_2_YEARS = 'personal-bundle-2y';
const PLAN_PERSONAL_3_YEARS = 'personal-bundle-3y';
const PLAN_BLOGGER = 'blogger-bundle';
const PLAN_BLOGGER_2_YEARS = 'blogger-bundle-2y';
const PLAN_ECOMMERCE_MONTHLY = 'ecommerce-bundle-monthly';
const PLAN_ECOMMERCE = 'ecommerce-bundle';
const PLAN_ECOMMERCE_2_YEARS = 'ecommerce-bundle-2y';
const PLAN_ECOMMERCE_TRIAL_MONTHLY = 'ecommerce-trial-bundle-monthly';
const PLAN_WOOEXPRESS_SMALL = 'wooexpress-small-bundle-yearly';
const PLAN_WOOEXPRESS_SMALL_MONTHLY = 'wooexpress-small-bundle-monthly';
const PLAN_WOOEXPRESS_MEDIUM = 'wooexpress-medium-bundle-yearly';
const PLAN_WOOEXPRESS_MEDIUM_MONTHLY = 'wooexpress-medium-bundle-monthly';
const PLAN_WOOEXPRESS_PLUS = 'wooexpress-plus'; // Not a real plan;
const PLAN_ECOMMERCE_3_YEARS = 'ecommerce-bundle-3y';
const PLAN_FREE = 'free_plan';
const PLAN_HOST_BUNDLE = 'host-bundle';
const PLAN_WPCOM_ENTERPRISE = 'wpcom-enterprise';
const PLAN_CHARGEBACK = 'chargeback';
const PLAN_VIP = 'vip';
const PLAN_P2_PLUS = 'wp_p2_plus_monthly';
const PLAN_P2_FREE = 'p2_free_plan'; // Not a real plan; it's a renamed WP.com Free for the P2 project.
const PLAN_WPCOM_FLEXIBLE = 'wpcom-flexible'; // Not a real plan; it's a renamed WP.com Free for the plans overhaul.
const PLAN_WPCOM_PRO = 'pro-plan';
const PLAN_WPCOM_PRO_MONTHLY = 'pro-plan-monthly';
const PLAN_WPCOM_PRO_2_YEARS = 'pro-plan-2y';
const PLAN_WPCOM_STARTER = 'starter-plan';
const PLAN_ENTERPRISE_GRID_WPCOM = 'plan-enterprise-grid-wpcom'; // Not a real plan; we show the VIP section in the plans grid as part of pdgrnI-1Qp-p2.
const PLAN_BLUEHOST_CLOUD = 'bluehost-cloud-bundle'; // Not a real plan; we show the bluehost section in the landing pages as part of pau2Xa-5rG-p2.
const PLAN_BLUEHOST_CLOUD_MONTHLY = 'bluehost-cloud-bundle-monthly'; // Not a real plan; we show the bluehost section in the landing pages as part of pau2Xa-5rG-p2.
const PLAN_BLUEHOST_CLOUD_2Y = 'bluehost-cloud-bundle-2y'; // Not a real plan; we show the bluehost section in the landing pages as part of pau2Xa-5rG-p2.
const PLAN_BLUEHOST_CLOUD_3Y = 'bluehost-cloud-bundle-3y'; // Not a real plan; we show the bluehost section in the landing pages as part of pau2Xa-5rG-p2.
const PLAN_MIGRATION_TRIAL_MONTHLY = 'wp_bundle_migration_trial_monthly';
const PLAN_HOSTING_TRIAL_MONTHLY = 'wp_bundle_hosting_trial_monthly';
const WPCOM_PLANS = [PLAN_BUSINESS_MONTHLY, PLAN_BUSINESS, PLAN_BUSINESS_2_YEARS, PLAN_BUSINESS_3_YEARS, PLAN_100_YEARS, PLAN_PREMIUM_MONTHLY, PLAN_PREMIUM, PLAN_PREMIUM_2_YEARS, PLAN_PREMIUM_3_YEARS, PLAN_PERSONAL_MONTHLY, PLAN_PERSONAL, PLAN_PERSONAL_2_YEARS, PLAN_PERSONAL_3_YEARS, PLAN_BLOGGER, PLAN_BLOGGER_2_YEARS, PLAN_ECOMMERCE_MONTHLY, PLAN_ECOMMERCE, PLAN_ECOMMERCE_2_YEARS, PLAN_ECOMMERCE_3_YEARS, PLAN_ECOMMERCE_TRIAL_MONTHLY, PLAN_MIGRATION_TRIAL_MONTHLY, PLAN_HOSTING_TRIAL_MONTHLY, PLAN_FREE, PLAN_HOST_BUNDLE, PLAN_WPCOM_ENTERPRISE, PLAN_BLUEHOST_CLOUD, PLAN_BLUEHOST_CLOUD_MONTHLY, PLAN_BLUEHOST_CLOUD_2Y, PLAN_BLUEHOST_CLOUD_3Y, PLAN_CHARGEBACK, PLAN_VIP, PLAN_P2_PLUS, PLAN_P2_FREE, PLAN_WPCOM_FLEXIBLE, PLAN_WPCOM_PRO, PLAN_WPCOM_PRO_MONTHLY, PLAN_WPCOM_PRO_2_YEARS, PLAN_WPCOM_STARTER, PLAN_ENTERPRISE_GRID_WPCOM, PLAN_WOOEXPRESS_MEDIUM, PLAN_WOOEXPRESS_MEDIUM_MONTHLY, PLAN_WOOEXPRESS_SMALL, PLAN_WOOEXPRESS_SMALL_MONTHLY, PLAN_WOOEXPRESS_PLUS];
const WPCOM_MONTHLY_PLANS = [PLAN_BUSINESS_MONTHLY, PLAN_PREMIUM_MONTHLY, PLAN_PERSONAL_MONTHLY, PLAN_ECOMMERCE_MONTHLY, PLAN_ECOMMERCE_TRIAL_MONTHLY, PLAN_MIGRATION_TRIAL_MONTHLY, PLAN_HOSTING_TRIAL_MONTHLY, PLAN_WOOEXPRESS_MEDIUM_MONTHLY, PLAN_WOOEXPRESS_SMALL_MONTHLY, PLAN_WOOEXPRESS_PLUS, PLAN_WPCOM_PRO_MONTHLY, PLAN_ENTERPRISE_GRID_WPCOM, PLAN_FREE];
const WOO_EXPRESS_PLANS = [PLAN_WOOEXPRESS_MEDIUM, PLAN_WOOEXPRESS_MEDIUM_MONTHLY, PLAN_WOOEXPRESS_SMALL, PLAN_WOOEXPRESS_SMALL_MONTHLY, PLAN_WOOEXPRESS_PLUS];
const WPCOM_PREMIUM_PLANS = [PLAN_PREMIUM_MONTHLY, PLAN_PREMIUM, PLAN_PREMIUM_2_YEARS, PLAN_PREMIUM_3_YEARS];
const WPCOM_DIFM_LITE = 'wp_difm_lite';
const PLAN_BUSINESS_ONBOARDING_EXPIRE = '2021-07-31T00:00:00+00:00';
const PLAN_BUSINESS_2Y_ONBOARDING_EXPIRE = '2022-07-31T00:00:00+00:00';

/***/ }),

/***/ 2091:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   f: () => (/* binding */ isFreePlanProduct)
/* harmony export */ });
/* harmony import */ var _camel_or_snake_slug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(49941);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(52400);


function isFreePlanProduct(product) {
  return product && (0,_camel_or_snake_slug__WEBPACK_IMPORTED_MODULE_0__/* .camelOrSnakeSlug */ .j)(product) === _constants__WEBPACK_IMPORTED_MODULE_1__/* .PLAN_FREE */ .T7;
}

/***/ }),

/***/ 98166:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   i: () => (/* binding */ isGSuiteProductSlug)
/* harmony export */ });
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(45141);


/**
 * Determines whether the specified product slug is for G Suite Basic or Business.
 * @param {string} productSlug - slug of the product
 * @returns {boolean} true if the slug refers to G Suite Basic or Business, false otherwise
 */
function isGSuiteProductSlug(productSlug) {
  return [_constants__WEBPACK_IMPORTED_MODULE_0__/* .GSUITE_BASIC_SLUG */ .r4, _constants__WEBPACK_IMPORTED_MODULE_0__/* .GSUITE_BUSINESS_SLUG */ .Bg].includes(productSlug);
}

/***/ }),

/***/ 76277:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   U7: () => (/* binding */ getPlan),
/* harmony export */   cA: () => (/* binding */ isWpComBusinessPlan),
/* harmony export */   kE: () => (/* binding */ isWpComEcommercePlan),
/* harmony export */   uM: () => (/* binding */ getPlanTermLabel)
/* harmony export */ });
/* unused harmony exports getPlans, getPlanFeaturesGrouped, getWooExpressFeaturesGrouped, getPlansSlugs, getPlanByPathSlug, getPlanPath, getPlanClass, planHasFeature, planHasAtLeastOneFeature, getAllFeaturesForPlan, planHasSuperiorFeature, shouldFetchSitePlans, getMonthlyPlanByYearly, getYearlyPlanByMonthly, getBiennialPlan, getTriennialPlan, planLevelsMatch, isEcommercePlan, isProPlan, isBusinessPlan, isPremiumPlan, isPersonalPlan, isBloggerPlan, isFreePlan, isFreeHostingTrial, isBusinessTrial, is100YearPlan, isWpcomEnterpriseGridPlan, isWooExpressPlusPlan, isWooExpressMediumPlan, isWooExpressSmallPlan, isWooExpressPlan, isFlexiblePlan, isStarterPlan, isJetpackStarterPlan, isSecurityDailyPlan, isSecurityRealTimePlan, isSecurityT1Plan, isSecurityT2Plan, isCompletePlan, isWpComPlan, isWpComProPlan, isWpComPremiumPlan, isWpComPersonalPlan, isWpComBloggerPlan, isWpComFreePlan, isWpComAnnualPlan, isWpComBiennialPlan, isWpComTriennialPlan, isWpComMonthlyPlan, isJetpackBusinessPlan, isJetpackPremiumPlan, isJetpackPersonalPlan, isJetpackFreePlan, isJetpackOfferResetPlan, isP2FreePlan, isP2PlusPlan, findFirstSimilarPlanKey, findSimilarPlansKeys, findPlansKeys, planMatches, calculateMonthlyPriceForPlan, calculateMonthlyPrice, getBillingMonthsForTerm, getBillingYearsForTerm, getBillingTermForMonths, plansLink, applyTestFiltersToPlansList, applyTestFiltersToProductsList, getPopularPlanSpec, chooseDefaultCustomerType, planHasJetpackSearch, planHasJetpackClassicSearch, getFeaturesList, getPlanFeaturesObject, isValidFeatureKey, getFeatureByKey */
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(49433);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(52400);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(82895);
/* harmony import */ var _plans_list__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(96257);





function getPlans() {
  return PLANS_LIST;
}
function getPlanFeaturesGrouped() {
  return featureGroups;
}
function getWooExpressFeaturesGrouped() {
  return wooExpressFeatureGroups;
}
function getPlansSlugs() {
  return Object.keys(getPlans());
}
function getPlan(planKey) {
  if (typeof planKey !== 'string') {
    if (Object.values(_plans_list__WEBPACK_IMPORTED_MODULE_0__/* .PLANS_LIST */ .W).includes(planKey)) {
      return planKey;
    }
    return undefined;
  }
  return _plans_list__WEBPACK_IMPORTED_MODULE_0__/* .PLANS_LIST */ .W[planKey];
}
function getPlanByPathSlug(pathSlug, group) {
  let plans = Object.values(PLANS_LIST);
  plans = plans.filter(p => group ? p.group === group : true);
  return plans.find(p => typeof p.getPathSlug === 'function' && p.getPathSlug() === pathSlug);
}
function getPlanPath(plan) {
  const retrievedPlan = getPlan(plan);
  const slug = retrievedPlan?.getPathSlug || (() => undefined);
  return slug();
}
function getPlanClass(planKey) {
  if (isFreePlan(planKey)) {
    return 'is-free-plan';
  }
  if (isFlexiblePlan(planKey)) {
    return 'is-flexible-plan';
  }
  if (isBloggerPlan(planKey)) {
    return 'is-blogger-plan';
  }
  if (isPersonalPlan(planKey)) {
    return 'is-personal-plan';
  }
  if (isPremiumPlan(planKey)) {
    return 'is-premium-plan';
  }
  if (isBusinessPlan(planKey)) {
    return 'is-business-plan';
  }
  if (isWooExpressPlusPlan(planKey)) {
    return 'is-wooexpress-plus-plan';
  }
  if (isWooExpressMediumPlan(planKey)) {
    return 'is-wooexpress-medium-plan';
  }
  if (isWooExpressSmallPlan(planKey)) {
    return 'is-wooexpress-small-plan';
  }
  if (isEcommercePlan(planKey)) {
    return 'is-ecommerce-plan';
  }
  if (isWpcomEnterpriseGridPlan(planKey)) {
    return 'is-wpcom-enterprise-grid-plan';
  }
  if (isProPlan(planKey)) {
    return 'is-pro-plan';
  }
  if (isSecurityDailyPlan(planKey)) {
    return 'is-daily-security-plan';
  }
  if (isSecurityRealTimePlan(planKey)) {
    return 'is-realtime-security-plan';
  }
  if (isSecurityT1Plan(planKey)) {
    return 'is-security-t1';
  }
  if (isSecurityT2Plan(planKey)) {
    return 'is-security-t2';
  }
  if (isCompletePlan(planKey)) {
    return 'is-complete-plan';
  }
  if (isFreeHostingTrial(planKey)) {
    return 'is-free-hosting-trial';
  }
  if (isP2PlusPlan(planKey)) {
    return 'is-p2-plus-plan';
  }
  return '';
}

/**
 * Determines if a plan has a specific feature.
 *
 * Collects features for a plan by calling all possible feature methods for the plan.
 */
function planHasFeature(plan, feature) {
  const allFeatures = getAllFeaturesForPlan(plan);
  return allFeatures.includes(feature);
}

/**
 * Determine if a plan has at least one of several features.
 */
function planHasAtLeastOneFeature(plan, features) {
  const allFeatures = getAllFeaturesForPlan(plan);
  return features.some(feature => allFeatures.includes(feature));
}

/**
 * Get all features for a plan
 *
 * Collects features for a plan by calling all possible feature methods for the plan.
 *
 * Returns an array of all the plan features (may have duplicates)
 */
function getAllFeaturesForPlan(plan) {
  const planObj = getPlan(plan);
  if (!planObj) {
    return [];
  }
  return [...('getPlanCompareFeatures' in planObj && planObj.getPlanCompareFeatures ? planObj.getPlanCompareFeatures() : []), ...('getPromotedFeatures' in planObj && planObj.getPromotedFeatures ? planObj.getPromotedFeatures() : []), ...('getSignupFeatures' in planObj && planObj.getSignupFeatures ? planObj.getSignupFeatures() : []), ...('getSignupCompareAvailableFeatures' in planObj && planObj.getSignupCompareAvailableFeatures ? planObj.getSignupCompareAvailableFeatures() : []), ...('getBlogSignupFeatures' in planObj && planObj.getBlogSignupFeatures ? planObj.getBlogSignupFeatures() : []), ...('getPortfolioSignupFeatures' in planObj && planObj.getPortfolioSignupFeatures ? planObj.getPortfolioSignupFeatures() : []), ...('getIncludedFeatures' in planObj && planObj.getIncludedFeatures ? planObj.getIncludedFeatures() : [])];
}

/**
 * Determines if a plan has a superior version of a specific feature.
 */
function planHasSuperiorFeature(plan, feature) {
  const planConstantObj = getPlan(plan);
  const features = planConstantObj?.getInferiorFeatures?.() ?? [];
  return features.includes(feature);
}
function shouldFetchSitePlans(sitePlans) {
  return !sitePlans.hasLoadedFromServer && !sitePlans.isRequesting;
}

/**
 * Returns the monthly slug which corresponds to the provided yearly slug or "" if the slug is
 * not a recognized or cannot be converted.
 */
function getMonthlyPlanByYearly(planSlug) {
  const plan = getPlan(planSlug);
  if (plan && 'getMonthlySlug' in plan && plan.getMonthlySlug) {
    return plan.getMonthlySlug();
  }
  return findFirstSimilarPlanKey(planSlug, {
    term: TERM_MONTHLY
  }) || '';
}

/**
 * Returns the yearly slug which corresponds to the provided monthly slug or "" if the slug is
 * not a recognized or cannot be converted.
 */
function getYearlyPlanByMonthly(planSlug) {
  const plan = getPlan(planSlug);
  if (plan && 'getAnnualSlug' in plan && plan.getAnnualSlug) {
    return plan.getAnnualSlug();
  }
  return findFirstSimilarPlanKey(planSlug, {
    term: TERM_ANNUALLY
  }) || '';
}

/**
 * Returns the biennial slug which corresponds to the provided slug or "" if the slug is
 * not a recognized or cannot be converted.
 */
function getBiennialPlan(planSlug) {
  return findFirstSimilarPlanKey(planSlug, {
    term: TERM_BIENNIALLY
  }) || '';
}

/**
 * Returns the triennial slug which corresponds to the provided slug or "" if the slug is
 * not recognized or cannot be converted.
 */
function getTriennialPlan(planSlug) {
  return findFirstSimilarPlanKey(planSlug, {
    term: TERM_TRIENNIALLY
  }) || '';
}

/**
 * Returns true if plan "types" match regardless of their interval.
 *
 * For example (fake plans):
 *     planLevelsMatch( PRO_YEARLY, PRO_YEARLY ) => true
 *     planLevelsMatch( PRO_YEARLY, PRO_MONTHLY ) => true
 *     planLevelsMatch( PRO_YEARLY, PERSONAL_YEARLY ) => false
 */
function planLevelsMatch(planSlugA, planSlugB) {
  const planA = getPlan(planSlugA);
  const planB = getPlan(planSlugB);
  return Boolean(planA && planB && planA.type === planB.type && planA.group === planB.group);
}
function isEcommercePlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_ECOMMERCE
  });
}
function isProPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_PRO
  });
}
function isBusinessPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_BUSINESS
  });
}
function isPremiumPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_PREMIUM
  });
}
function isPersonalPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_PERSONAL
  });
}
function isBloggerPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_BLOGGER
  });
}
function isFreePlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_FREE
  });
}
function isFreeHostingTrial(planSlug) {
  return planSlug === PLAN_HOSTING_TRIAL_MONTHLY;
}
function isBusinessTrial(planSlug) {
  return planSlug === PLAN_HOSTING_TRIAL_MONTHLY || planSlug === PLAN_MIGRATION_TRIAL_MONTHLY;
}
function is100YearPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_100_YEAR
  });
}

// Checks if it is an Enterprise plan (a.k.a VIP), introduced as part of pdgrnI-1Qp-p2.
// This is not a real plan, but added to display Enterprise in the pricing grid.
function isWpcomEnterpriseGridPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_ENTERPRISE_GRID_WPCOM,
    group: GROUP_WPCOM
  });
}
function isWooExpressPlusPlan(planSlug) {
  return PLAN_WOOEXPRESS_PLUS === planSlug;
}
function isWooExpressMediumPlan(planSlug) {
  return [PLAN_WOOEXPRESS_MEDIUM, PLAN_WOOEXPRESS_MEDIUM_MONTHLY].includes(planSlug);
}
function isWooExpressSmallPlan(planSlug) {
  return [PLAN_WOOEXPRESS_SMALL, PLAN_WOOEXPRESS_SMALL_MONTHLY].includes(planSlug);
}
function isWooExpressPlan(planSlug) {
  return WOO_EXPRESS_PLANS.includes(planSlug);
}
function isFlexiblePlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_FLEXIBLE
  });
}
function isStarterPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_STARTER
  });
}
function isJetpackStarterPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_JETPACK_STARTER
  });
}
function isSecurityDailyPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_SECURITY_DAILY
  });
}
function isSecurityRealTimePlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_SECURITY_REALTIME
  });
}
function isSecurityT1Plan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_SECURITY_T1
  });
}
function isSecurityT2Plan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_SECURITY_T2
  });
}
function isCompletePlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_ALL
  });
}
function isWpComPlan(planSlug) {
  return planMatches(planSlug, {
    group: GROUP_WPCOM
  });
}
function isWpComBusinessPlan(planSlug) {
  return planMatches(planSlug, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .TYPE_BUSINESS */ .e8,
    group: _constants__WEBPACK_IMPORTED_MODULE_2__/* .GROUP_WPCOM */ .hz
  });
}
function isWpComEcommercePlan(planSlug) {
  return planMatches(planSlug, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .TYPE_ECOMMERCE */ .UQ,
    group: _constants__WEBPACK_IMPORTED_MODULE_2__/* .GROUP_WPCOM */ .hz
  });
}
function isWpComProPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_PRO,
    group: GROUP_WPCOM
  });
}
function isWpComPremiumPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_PREMIUM,
    group: GROUP_WPCOM
  });
}
function isWpComPersonalPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_PERSONAL,
    group: GROUP_WPCOM
  });
}
function isWpComBloggerPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_BLOGGER,
    group: GROUP_WPCOM
  });
}
function isWpComFreePlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_FREE,
    group: GROUP_WPCOM
  });
}
function isWpComAnnualPlan(planSlug) {
  return planMatches(planSlug, {
    term: TERM_ANNUALLY,
    group: GROUP_WPCOM
  });
}
function isWpComBiennialPlan(planSlug) {
  return planMatches(planSlug, {
    term: TERM_BIENNIALLY,
    group: GROUP_WPCOM
  });
}
function isWpComTriennialPlan(planSlug) {
  return planMatches(planSlug, {
    term: TERM_TRIENNIALLY,
    group: GROUP_WPCOM
  });
}
function isWpComMonthlyPlan(planSlug) {
  return planMatches(planSlug, {
    term: TERM_MONTHLY,
    group: GROUP_WPCOM
  });
}
function isJetpackBusinessPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_BUSINESS,
    group: GROUP_JETPACK
  });
}
function isJetpackPremiumPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_PREMIUM,
    group: GROUP_JETPACK
  });
}
function isJetpackPersonalPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_PERSONAL,
    group: GROUP_JETPACK
  });
}
function isJetpackFreePlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_FREE,
    group: GROUP_JETPACK
  });
}
function isJetpackOfferResetPlan(planSlug) {
  return JETPACK_RESET_PLANS.includes(planSlug);
}
function isP2FreePlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_FREE,
    group: GROUP_P2
  });
}
function isP2PlusPlan(planSlug) {
  return planMatches(planSlug, {
    type: TYPE_P2_PLUS
  });
}
function findFirstSimilarPlanKey(planKey, diff) {
  return findSimilarPlansKeys(planKey, diff)[0];
}

/**
 * A similar plan is one that has the same `type`, `group`, and `term` as first
 * argument, except for differences specified in the second argument.
 *
 * For example:
 *
 * > findSimilarPlansKeys( TYPE_BUSINESS, { term: TERM_BIENNIALLY } );
 * [PLAN_BUSINESS_2_YEARS]
 * > findSimilarPlansKeys( TYPE_JETPACK_BUSINESS_MONTHLY, { type: TYPE_ANNUALLY } );
 * [TYPE_JETPACK_BUSINESS]
 */
function findSimilarPlansKeys(planKey, diff = {}) {
  const plan = getPlan(planKey);
  // @TODO: make getPlan() throw an error on failure. This is going to be a larger change with a separate PR.
  if (!plan) {
    return [];
  }
  return findPlansKeys({
    type: plan.type,
    group: plan.group,
    term: plan.term,
    ...diff
  });
}

/**
 * Finds all keys of plans matching a query
 *
 * For example:
 *
 * > findPlansKeys( { term: TERM_BIENNIALLY } );
 * [PLAN_PERSONAL_2_YEARS, PLAN_PREMIUM_2_YEARS, PLAN_BUSINESS_2_YEARS]
 */
function findPlansKeys(query = {}) {
  const plans = getPlans();
  return Object.keys(plans).filter(k => planMatches(plans[k], query));
}

/**
 * Matches plan specified by `planKey` against `query`.
 * Only compares `type`, `group`, and `term` properties.
 *
 * For example:
 *
 * > planMatches( TYPE_BUSINESS, { term: TERM_ANNUALLY, group: GROUP_WPCOM, type: TYPE_BUSINESS } );
 * true
 *
 * > planMatches( TYPE_BUSINESS, { term: TERM_BIENNIALLY } );
 * false
 */
function planMatches(planKey, query = {}) {
  const acceptedKeys = ['type', 'group', 'term'];
  const unknownKeys = Object.keys(query).filter(key => !acceptedKeys.includes(key));
  if (unknownKeys.length) {
    throw new Error(`planMatches can only match against ${acceptedKeys.join(',')}, ` + `but unknown keys ${unknownKeys.join(',')} were passed.`);
  }

  // @TODO: make getPlan() throw an error on failure. This is going to be a larger change with a separate PR.
  const plan = getPlan(planKey);
  if (!plan) {
    return false;
  }
  if ((!('type' in query) || plan.type === query.type) && (!('group' in query) || plan.group === query.group) && (!('term' in query) || plan.term === query.term)) {
    return true;
  }
  return false;
}
function calculateMonthlyPriceForPlan(planSlug, termPrice) {
  const plan = getPlan(planSlug);
  if (!plan) {
    throw new Error(`Unknown plan: ${planSlug}`);
  }
  return calculateMonthlyPrice(plan.term, termPrice);
}
function calculateMonthlyPrice(term, termPrice) {
  const divisor = getBillingMonthsForTerm(term);
  return parseFloat((termPrice / divisor).toFixed(2));
}
function getBillingMonthsForTerm(term) {
  if (term === TERM_MONTHLY) {
    return 1;
  } else if (term === TERM_ANNUALLY) {
    return 12;
  } else if (term === TERM_BIENNIALLY) {
    return 24;
  } else if (term === TERM_TRIENNIALLY) {
    return 36;
  } else if (term === TERM_QUADRENNIALLY) {
    return 48;
  } else if (term === TERM_QUINQUENNIALLY) {
    return 60;
  } else if (term === TERM_SEXENNIALLY) {
    return 72;
  } else if (term === TERM_SEPTENNIALLY) {
    return 84;
  } else if (term === TERM_OCTENNIALLY) {
    return 96;
  } else if (term === TERM_NOVENNIALLY) {
    return 108;
  } else if (term === TERM_DECENNIALLY) {
    return 120;
  } else if (term === TERM_CENTENNIALLY) {
    return 1200;
  }
  throw new Error(`Unknown term: ${term}`);
}
function getBillingYearsForTerm(term) {
  if (term === TERM_MONTHLY) {
    return 0;
  } else if (term === TERM_ANNUALLY) {
    return 1;
  } else if (term === TERM_BIENNIALLY) {
    return 2;
  } else if (term === TERM_TRIENNIALLY) {
    return 3;
  } else if (term === TERM_CENTENNIALLY) {
    return 100;
  }
  throw new Error(`Unknown term: ${term}`);
}
function getBillingTermForMonths(term) {
  if (term === 1) {
    return TERM_MONTHLY;
  } else if (term === 12) {
    return TERM_ANNUALLY;
  } else if (term === 24) {
    return TERM_BIENNIALLY;
  } else if (term === 36) {
    return TERM_TRIENNIALLY;
  } else if (term === 48) {
    return TERM_QUADRENNIALLY;
  } else if (term === 60) {
    return TERM_QUINQUENNIALLY;
  } else if (term === 72) {
    return TERM_SEXENNIALLY;
  } else if (term === 84) {
    return TERM_SEPTENNIALLY;
  } else if (term === 96) {
    return TERM_OCTENNIALLY;
  } else if (term === 108) {
    return TERM_NOVENNIALLY;
  } else if (term === 120) {
    return TERM_DECENNIALLY;
  } else if (term === 1200) {
    return TERM_CENTENNIALLY;
  }
  throw new Error(`Unknown term: ${term}`);
}
function plansLink(urlString, siteSlug, intervalType, forceIntervalType = false) {
  const url = new URL(urlString, window.location.origin);
  if ('monthly' === intervalType || forceIntervalType) {
    url.pathname += '/' + intervalType;
  }
  if (siteSlug) {
    url.pathname += '/' + siteSlug;
  }
  if (urlString.startsWith('/')) {
    return url.pathname + url.search;
  }
  return url.toString();
}
function applyTestFiltersToPlansList(planName, abtest, extraArgs = {}) {
  const plan = getPlan(planName);
  if (!plan) {
    throw new Error(`Unknown plan: ${planName}`);
  }
  const filteredPlanConstantObj = {
    ...plan
  };
  const filteredPlanFeaturesConstantList = 'getPlanCompareFeatures' in plan && plan.getPlanCompareFeatures ? plan.getPlanCompareFeatures(abtest, extraArgs) : [];

  /* eslint-disable @typescript-eslint/no-empty-function */

  // these becomes no-ops when we removed some of the abtest overrides, but
  // we're leaving the code in place for future tests
  const removeDisabledFeatures = () => {};
  const updatePlanDescriptions = () => {};
  const updatePlanFeatures = () => {};

  /* eslint-enable */

  removeDisabledFeatures();
  updatePlanDescriptions();
  updatePlanFeatures();
  return {
    ...filteredPlanConstantObj,
    getPlanCompareFeatures: () => filteredPlanFeaturesConstantList
  };
}
function applyTestFiltersToProductsList(productName) {
  const product = getProductFromSlug(productName);
  if (typeof product === 'string') {
    throw new Error(`Unknown product ${productName} `);
  }
  const filteredProductConstantObj = {
    ...product
  };

  /* eslint-disable @typescript-eslint/no-empty-function */

  // these becomes no-ops when we removed some of the abtest overrides, but
  // we're leaving the code in place for future tests
  const removeDisabledFeatures = () => {};
  const updatePlanDescriptions = () => {};
  const updatePlanFeatures = () => {};

  /* eslint-enable */

  removeDisabledFeatures();
  updatePlanDescriptions();
  updatePlanFeatures();
  return {
    ...filteredProductConstantObj,
    getPlanCompareFeatures: () => []
  };
}
function getPlanTermLabel(planName, translate) {
  const plan = getPlan(planName);
  if (!plan || !plan.term) {
    return;
  }
  switch (plan.term) {
    case _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_MONTHLY */ .he:
      return translate('Monthly subscription');
    case _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf:
      return translate('Annual subscription');
    case _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_BIENNIALLY */ .$5:
      return translate('Two year subscription');
    case _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_TRIENNIALLY */ .V0:
      return translate('Three year subscription');
    case _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_CENTENNIALLY */ .SP:
      return translate('Hundred year subscription');
  }
}
const getPopularPlanSpec = ({
  flowName,
  customerType,
  isJetpack,
  availablePlans
}) => {
  // Jetpack doesn't currently highlight "Popular" plans
  if (isJetpack) {
    return false;
  }
  if (availablePlans.length === 0) {
    return false;
  }
  const defaultPlan = getPlan(availablePlans[0]);
  if (!defaultPlan) {
    return false;
  }
  const group = GROUP_WPCOM;
  if (flowName === 'hosting') {
    return {
      type: TYPE_BUSINESS,
      group
    };
  }
  if (flowName === 'link-in-bio' || flowName === 'link-in-bio-tld') {
    return {
      type: TYPE_PERSONAL,
      group
    };
  }
  if (customerType === 'personal') {
    if (availablePlans.findIndex(isPremiumPlan) !== -1) {
      return {
        type: TYPE_PREMIUM,
        group
      };
    }
    // when customerType is not personal, default to business
  } else if (availablePlans.findIndex(isBusinessPlan) !== -1) {
    return {
      type: TYPE_BUSINESS,
      group
    };
  }

  // finally, just return the default one.
  return {
    type: defaultPlan.type,
    group
  };
};
function isValueTruthy(value) {
  return !!value;
}
const chooseDefaultCustomerType = ({
  currentCustomerType,
  selectedPlan,
  currentPlan
}) => {
  if (currentCustomerType) {
    return currentCustomerType;
  }
  const group = GROUP_WPCOM;
  const businessPlanSlugs = [findPlansKeys({
    group,
    term: TERM_ANNUALLY,
    type: TYPE_PREMIUM
  })[0], findPlansKeys({
    group,
    term: TERM_BIENNIALLY,
    type: TYPE_PREMIUM
  })[0], findPlansKeys({
    group,
    term: TERM_TRIENNIALLY,
    type: TYPE_PREMIUM
  })[0], findPlansKeys({
    group,
    term: TERM_ANNUALLY,
    type: TYPE_BUSINESS
  })[0], findPlansKeys({
    group,
    term: TERM_BIENNIALLY,
    type: TYPE_BUSINESS
  })[0], findPlansKeys({
    group,
    term: TERM_TRIENNIALLY,
    type: TYPE_BUSINESS
  })[0], findPlansKeys({
    group,
    term: TERM_ANNUALLY,
    type: TYPE_ECOMMERCE
  })[0], findPlansKeys({
    group,
    term: TERM_BIENNIALLY,
    type: TYPE_ECOMMERCE
  })[0], findPlansKeys({
    group,
    term: TERM_TRIENNIALLY,
    type: TYPE_ECOMMERCE
  })[0], findPlansKeys({
    group,
    term: TERM_ANNUALLY,
    type: TYPE_PRO
  })[0], findPlansKeys({
    group,
    term: TERM_BIENNIALLY,
    type: TYPE_PRO
  })[0]].map(planKey => getPlan(planKey)).filter(isValueTruthy).map(plan => plan.getStoreSlug());
  if (selectedPlan) {
    return businessPlanSlugs.includes(selectedPlan) ? 'business' : 'personal';
  } else if (currentPlan) {
    const isPlanInBusinessGroup = businessPlanSlugs.indexOf(currentPlan.productSlug) !== -1;
    return isPlanInBusinessGroup ? 'business' : 'personal';
  }
  return 'personal';
};

/**
 * Determines if a plan includes Jetpack Search by looking at the plan's features.
 */
const planHasJetpackSearch = planSlug => planHasFeature(planSlug, FEATURE_JETPACK_SEARCH) || planHasFeature(planSlug, FEATURE_JETPACK_SEARCH_MONTHLY);

/**
 * Determines if a plan includes Jetpack Search Classic by checking available plans.
 */
function planHasJetpackClassicSearch(plan) {
  return plan && (isJetpackBusiness(plan) || isBusiness(plan) || isEnterprise(plan) || isEcommerce(plan) || isPro(plan) || isVipPlan(plan));
}
function getFeaturesList() {
  return FEATURES_LIST;
}
const getPlanFeaturesObject = planFeaturesList => {
  if (!planFeaturesList) {
    return [];
  }
  return planFeaturesList.map(featuresConst => FEATURES_LIST[featuresConst]);
};
function isValidFeatureKey(feature) {
  return !!FEATURES_LIST[feature];
}
function getFeatureByKey(feature) {
  return FEATURES_LIST[feature];
}

/***/ }),

/***/ 96257:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   W: () => (/* binding */ PLANS_LIST)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(70696);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(85744);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(82895);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(46090);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(11421);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(52400);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(49433);




function isValueTruthy(value) {
  return !!value;
}
function compact(elements) {
  return elements.filter(isValueTruthy);
}
const WPComGetBillingTimeframe = () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('per month, billed annually');
const WPComGetBiennialBillingTimeframe = () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('/month, billed every two years');
const WPComGetTriennialBillingTimeframe = () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('/month, billed every three years');
const getBiAnnualTimeframe = () => ({
  term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_BIENNIALLY */ .$5,
  getBillingTimeFrame: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('per 2 years')
});
const getAnnualTimeframe = () => ({
  term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
  getBillingTimeFrame: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('per year')
});
const getMonthlyTimeframe = () => ({
  term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_MONTHLY */ .he,
  getBillingTimeFrame: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('per month, billed monthly')
});
const getJetpackCommonPlanDetails = () => ({
  getRecommendedFor: () => [{
    tag: _constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_TAG_FOR_WOOCOMMERCE_STORES */ .iY,
    label: (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('WooCommerce stores')
  }, {
    tag: _constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_TAG_FOR_NEWS_ORGANISATIONS */ .Ok,
    label: (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('News organizations')
  }, {
    tag: _constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_TAG_FOR_MEMBERSHIP_SITES */ .Ci,
    label: (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Membership sites')
  }]
});
const getDotcomPlanDetails = () => ({
  // Features only available for annual plans
  getAnnualPlansOnlyFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_DOMAIN */ .BAE, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_LIVE_CHAT_SUPPORT_ALL_DAYS */ .Moq, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_LIVE_CHAT_SUPPORT_BUSINESS_DAYS */ .Fv5, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT_BUSINESS_DAYS */ ._c8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT_ALL_DAYS */ .XAi]
});

/* eslint-disable wpcalypso/jsx-classname-namespace */
const plansDescriptionHeadingComponent = {
  components: {
    strong: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("strong", {
      className: "plans__features plan-features__targeted-description-heading"
    })
  }
};
/* eslint-enable */

const getPlanFreeDetails = () => ({
  ...getDotcomPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_FREE */ .O2,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Free'),
  getAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for students'),
  getBlogAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for students'),
  getPortfolioAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for students'),
  getStoreAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for students'),
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Get a taste of the world’s most popular CMS & blogging software.'),
  getNewsletterTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Start fresh or make the switch, bringing your first 100 readers with you.'),
  getLinkInBioTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Get started for free with unlimited links and keep track of how many visits you get.'),
  getBlogOnboardingTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Not a trial – blog free for as long as you like.'),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Get a free website and be on your way to publishing your ' + 'first post in less than five minutes.'),
  getPlanCompareFeatures: () => [
  // pay attention to ordering, shared features should align on /plan page
  _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WP_SUBDOMAIN */ .aER, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ESSENTIAL */ .BfV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMUNITY_SUPPORT */ .fcV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_THEMES */ .vCo, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_3GB_STORAGE */ .WO2],
  getSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMUNITY_SUPPORT */ .fcV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WP_SUBDOMAIN_SIGNUP */ .Fig, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_THEMES_SIGNUP */ .COw],
  getBlogSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMUNITY_SUPPORT */ .fcV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WP_SUBDOMAIN_SIGNUP */ .Fig, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_THEMES_SIGNUP */ .COw],
  getPortfolioSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMUNITY_SUPPORT */ .fcV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WP_SUBDOMAIN_SIGNUP */ .Fig, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_THEMES_SIGNUP */ .COw],
  get2023PricingGridSignupWpcomFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BEAUTIFUL_THEMES */ .EPC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAGES */ .ko5, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_USERS */ .e5F, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_POST_EDITS_HISTORY */ .b9l, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NEWSLETTERS_RSS */ .jdY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_BRUTE_FORCE */ .LKS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SMART_REDIRECTS */ .lIm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALWAYS_ONLINE */ .P25, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_10 */ .vQx],
  get2023PlanComparisonFeatureOverride: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BEAUTIFUL_THEMES */ .EPC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAGES */ .ko5, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_USERS */ .e5F, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_POST_EDITS_HISTORY */ .b9l, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NEWSLETTERS_RSS */ .jdY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_BRUTE_FORCE */ .LKS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SMART_REDIRECTS */ .lIm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALWAYS_ONLINE */ .P25, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BANDWIDTH */ .Tuf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FAST_DNS */ .uoN, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GLOBAL_EDGE_CACHING */ .vz3, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CDN */ .xq9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DATACENTRE_FAILOVER */ .qot, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WP_UPDATES */ .SIm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MULTI_SITE */ .bW1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_MALWARE */ .QXs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_DDOS */ .HU_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_10 */ .vQx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GROUP_PAYMENT_TRANSACTION_FEES */ .Faw],
  get2023PricingGridSignupJetpackFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAID_SUBSCRIBERS_JP */ .N3t, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CONTENT_JP */ .ch3, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DONATIONS_AND_TIPS_JP */ .ZIK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_BUTTONS_JP */ .b1C, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_JP */ .WoS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SPAM_JP */ .y33, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LTD_SOCIAL_MEDIA_JP */ .yD$, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CONTACT_FORM_JP */ .qCV],
  get2023PlanComparisonJetpackFeatureOverride: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAID_SUBSCRIBERS_JP */ .N3t, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DONATIONS_AND_TIPS_JP */ .ZIK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CONTENT_JP */ .ch3, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_BUTTONS_JP */ .b1C, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_JP */ .WoS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SPAM_JP */ .y33, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CONTACT_FORM_JP */ .qCV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_ACTIVITY_LOG_JP */ .LHt, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHARES_SOCIAL_MEDIA_JP */ .K5c],
  get2023PricingGridSignupStorageOptions: () => {
    return [{
      slug: _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_1GB_STORAGE */ .sgf,
      isAddOn: false
    }];
  },
  get2023PlanComparisonConditionalFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_THEMES */ .CFg, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHARES_SOCIAL_MEDIA_JP */ .K5c, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMISSION_FEE_STANDARD_FEATURES */ .Uqd],
  getNewsletterSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NEWSLETTER_IMPORT_SUBSCRIBERS_FREE */ .GRF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CONTENT_JP */ .ch3, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NEWSLETTERS_RSS */ .jdY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_EMAILS */ .Zvm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_JP */ .WoS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BANDWIDTH */ .Tuf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LTD_SOCIAL_MEDIA_JP */ .yD$, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_10 */ .vQx],
  getLinkInBioSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BEAUTIFUL_THEMES */ .EPC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAGES */ .ko5, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADD_UNLIMITED_LINKS */ .r_P, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_JP */ .WoS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALWAYS_ONLINE */ .P25, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CONTACT_FORM_JP */ .qCV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LTD_SOCIAL_MEDIA_JP */ .yD$],
  getBlogOnboardingSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BEAUTIFUL_THEMES */ .EPC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAGES */ .ko5, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_USERS */ .e5F, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_POST_EDITS_HISTORY */ .b9l, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_BRUTE_FORCE */ .LKS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALWAYS_ONLINE */ .P25, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_THE_READER */ .vbh],
  getBlogOnboardingSignupJetpackFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NEWSLETTER_IMPORT_SUBSCRIBERS_FREE */ .GRF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_EMAILS */ .Zvm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NEWSLETTERS_RSS */ .jdY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_JP */ .WoS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LTD_SOCIAL_MEDIA_JP */ .yD$, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SPAM_JP */ .y33],
  getIncludedFeatures: () => [],
  getInferiorFeatures: () => []
});
const getPlanBloggerDetails = () => ({
  ...getDotcomPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_BLOGGER */ .au,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Blogger'),
  // @TODO not updating copy for now, we need to update it after the first round of design {{{
  getAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for bloggers'),
  getBlogAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for bloggers'),
  getPortfolioAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for bloggers'),
  getStoreAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for bloggers'),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for bloggers:{{/strong}} Brand your blog with a custom .blog domain name, and remove all WordPress.com advertising. Receive additional storage space and customer support via email.', plansDescriptionHeadingComponent),
  getShortDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Brand your blog with a custom .blog domain name, and remove all WordPress.com advertising. Receive additional storage space and customer support via email.'),
  // }}}
  getPlanCompareFeatures: () => [
  // pay attention to ordering, shared features should align on /plan page
  _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BLOG_DOMAIN */ .pbK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ESSENTIAL */ .BfV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT */ .u7c, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_THEMES */ .vCo, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_6GB_STORAGE */ .TEv, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MEMBERSHIPS */ .JLP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CONTENT_BLOCK */ .Tgp],
  getSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BLOG_DOMAIN */ .pbK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_FREE_FEATURES */ .wIu],
  getBlogSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_BLOG_DOMAIN */ .MaQ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_FREE_FEATURES */ .wIu],
  getPortfolioSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_BLOG_DOMAIN */ .MaQ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_FREE_FEATURES */ .wIu],
  // Features not displayed but used for checking plan abilities
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUDIO_UPLOADS */ .R_9],
  getInferiorFeatures: () => []
});
const getPlanPersonalDetails = () => ({
  ...getDotcomPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_PERSONAL */ .gA,
  getTitle: () =>
  // translators: Starter is a plan name
  i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Starter'),
  getAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for personal use'),
  getBlogAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for personal use'),
  getPortfolioAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for personal use'),
  getStoreAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for personal use'),
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Create your home on the web with a custom domain name.'),
  getNewsletterTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Monetize your writing, go ad-free, and expand your media content.'),
  getLinkInBioTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Take Link In Bio to the next level with gated content, paid subscribers, and an ad-free site.'),
  getBlogOnboardingTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Take the next step with gated content, paid subscribers, and an ad-free site.'),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for personal use:{{/strong}} Boost your' + ' website with a custom domain name, and remove all WordPress.com advertising. ' + 'Unlock unlimited, expert customer support via email.', plansDescriptionHeadingComponent),
  getShortDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Boost your website with a custom domain name, and remove all WordPress.com advertising. ' + 'Unlock unlimited, expert customer support via email.'),
  getPlanCompareFeatures: () => compact([
  // pay attention to ordering, shared features should align on /plan page
  _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_HOSTING */ ._22, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ESSENTIAL */ .BfV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT */ .u7c, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_THEMES */ .vCo, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_6GB_STORAGE */ .TEv, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MEMBERSHIPS */ .JLP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CONTENT_BLOCK */ .Tgp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_8 */ .Ymf]),
  getSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_DOMAIN */ .BAE, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_THEMES */ .vCo],
  getBlogSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_DOMAIN */ .BAE, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_FREE_FEATURES */ .wIu],
  getPortfolioSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_DOMAIN */ .BAE, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_FREE_FEATURES */ .wIu],
  getSignupCompareAvailableFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_HOSTING */ ._22, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COLLECT_PAYMENTS_V2 */ .R7Q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD],
  get2023PricingGridSignupWpcomFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AD_FREE_EXPERIENCE */ .dBh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FAST_DNS */ .uoN, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SUPPORT_EMAIL */ .EOS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_8 */ .Ymf],
  get2023PlanComparisonFeatureOverride: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AD_FREE_EXPERIENCE */ .dBh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FAST_DNS */ .uoN, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SUPPORT_EMAIL */ .EOS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_8 */ .Ymf],
  get2023PricingGridSignupStorageOptions: () => {
    return [{
      slug: _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_6GB_STORAGE */ .TEv,
      isAddOn: false
    }];
  },
  get2023PlanComparisonConditionalFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_THEMES */ .CFg, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHARES_SOCIAL_MEDIA_JP */ .K5c, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMISSION_FEE_STANDARD_FEATURES */ .Uqd],
  getNewsletterDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Jumpstart your Newsletter with a custom domain, ad-free experience, and the ability to sell subscriptions, take payments, and collect donations from day one. Backed with email support to help get everything just right.'),
  getNewsletterSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_SUBSCRIBERS */ .H$K, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SUPPORT_EMAIL */ .EOS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AD_FREE_EXPERIENCE */ .dBh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_8 */ .Ymf],
  getNewsletterHighlightedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_EMAILS */ .Zvm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AD_FREE_EXPERIENCE */ .dBh],
  getLinkInBioDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Stand out and unlock earnings with an ad-free site, custom domain, and the ability to sell subscriptions, take payments, and collect donations. Backed with email support to help get your site just right.'),
  getLinkInBioSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AD_FREE_EXPERIENCE */ .dBh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SUPPORT_EMAIL */ .EOS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COLLECT_PAYMENTS_LINK_IN_BIO */ .WtV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAID_SUBSCRIBERS_JP */ .N3t],
  getLinkInBioHighlightedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl],
  getBlogOnboardingSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AD_FREE_EXPERIENCE */ .dBh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FAST_DNS */ .uoN, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SUPPORT_EMAIL */ .EOS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_8 */ .Ymf],
  getBlogOnboardingHighlightedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl],
  getBlogOnboardingSignupJetpackFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_SUBSCRIBERS */ .H$K, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CONTENT_JP */ .ch3, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAID_SUBSCRIBERS_JP */ .N3t],
  getCheckoutFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SUPPORT_EMAIL */ .EOS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AD_FREE_EXPERIENCE */ .dBh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FAST_DNS */ .uoN, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAID_SUBSCRIBERS_JP */ .N3t],
  // Features not displayed but used for checking plan abilities
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUDIO_UPLOADS */ .R_9],
  getInferiorFeatures: () => []
});
const getPlanEcommerceDetails = () => ({
  ...getDotcomPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_ECOMMERCE */ .UQ,
  getTitle: () =>
  // translators: Entrepreneur is a plan name
  i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Entrepreneur'),
  getAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for online stores'),
  getBlogAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for online stores'),
  getPortfolioAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for online stores'),
  getStoreAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for online stores'),
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Create a powerful online store with built-in premium extensions.'),
  getDescription: () => {
    return i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for online stores:{{/strong}} Sell products or services with this powerful, ' + 'all-in-one online store experience. This plan includes premium integrations and is extendable, ' + 'so it’ll grow with you as your business grows.', plansDescriptionHeadingComponent);
  },
  getShortDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Sell products or services with this powerful, ' + 'all-in-one online store experience. This plan includes premium integrations and is extendable, ' + 'so it’ll grow with you as your business grows.'),
  getTagline: function () {
    return i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Learn more about everything included with %(planName)s and take advantage of its powerful marketplace features.', {
      args: {
        planName: this.getTitle()
      }
    });
  },
  getPlanCompareFeatures: (_, {
    isLoggedInMonthlyPricing
  } = {}) => compact([
  // pay attention to ordering, shared features should align on /plan page
  _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_HOSTING */ ._22, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ADVANCED */ .xt, isLoggedInMonthlyPricing && _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT */ .u7c, (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw : null, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_200GB_STORAGE */ .JZR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MEMBERSHIPS */ .JLP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CONTENT_BLOCK */ .Tgp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_DESIGN_CUSTOMIZATION */ .$lI, isLoggedInMonthlyPricing && _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT_ALL_DAYS */ .XAi, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS */ .M$n, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_PLUGINS */ .e00, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_THEMES */ .Mo5, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SFTP_DATABASE */ .bnw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_BRANDING */ .jPE, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACCEPT_PAYMENTS */ .gH7, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHIPPING_CARRIERS */ .mEY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_PRODUCTS_SERVICES */ .vkJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ECOMMERCE_MARKETING */ .d4e, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CUSTOMIZABE_THEMES */ .BoU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_0 */ .kSO]),
  getPromotedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_200GB_STORAGE */ .JZR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_DESIGN_CUSTOMIZATION */ .$lI],
  getSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACCEPT_PAYMENTS */ .gH7, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHIPPING_CARRIERS */ .mEY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_BUSINESS_FEATURES */ .adL],
  getBlogSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACCEPT_PAYMENTS */ .gH7, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHIPPING_CARRIERS */ .mEY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_BUSINESS_FEATURES */ .adL],
  getPortfolioSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACCEPT_PAYMENTS */ .gH7, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHIPPING_CARRIERS */ .mEY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_BUSINESS_FEATURES */ .adL],
  getSignupCompareAvailableFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_HOSTING */ ._22, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COLLECT_PAYMENTS_V2 */ .R7Q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT_ALL_DAYS */ .XAi, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EARN_AD */ .eYY, (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw : null, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INSTALL_PLUGINS */ .m51, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO_EXPANDED_ABBR */ .kPp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_BACKUPS_AND_RESTORE */ ._vw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SFTP_DATABASE */ .bnw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACCEPT_PAYMENTS */ .gH7, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHIPPING_CARRIERS */ .mEY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .PREMIUM_DESIGN_FOR_STORES */ .kbH].filter(isValueTruthy),
  get2023PricingGridSignupWpcomFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_STORE_THEMES */ .SQX, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STORE_DESIGN */ .CTo, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_PRODUCTS */ .CN1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DISPLAY_PRODUCTS_BRAND */ .bA6, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_ADD_ONS */ .ozR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ASSEMBLED_KITS */ .uXB, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MIN_MAX_QTY */ .ee8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STOCK_NOTIFS */ .m38, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DYNAMIC_UPSELLS */ .Czl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LOYALTY_PROG */ .rxl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_MARKETING_AUTOMATION */ .yqq, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BULK_DISCOUNTS */ .Xlo, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INVENTORY_MGMT */ .MaF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STREAMLINED_CHECKOUT */ .D9A, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SELL_60_COUNTRIES */ .kbI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHIPPING_INTEGRATIONS */ .mT$, i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay.hasTranslation('%(commission)d%% transaction fee for all payment features') || ['en', 'en-gb'].includes((0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .getLocaleSlug */ .yb)() || '') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_0_ALL */ .aNF : _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_0 */ .kSO],
  getCheckoutFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PLUGINS_THEMES */ .j58, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACCEPT_PAYMENTS */ .gH7, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHIPPING_CARRIERS */ .mEY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_PRODUCTS_SERVICES */ .vkJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LOYALTY_PROG */ .rxl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INVENTORY */ .Y_U, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_MARKETING_AUTOMATION */ .yqq],
  get2023PricingGridSignupJetpackFeatures: () => [],
  get2023PricingGridSignupStorageOptions: (showLegacyStorageFeature, isCurrentPlan) => {
    let storageOptionSlugs = [];
    const storageAddOns = [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_50GB_STORAGE_ADD_ON */ .CQZ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_100GB_STORAGE_ADD_ON */ .Isz];
    if (showLegacyStorageFeature && isCurrentPlan) {
      storageOptionSlugs = [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_200GB_STORAGE */ .JZR];
    } else {
      storageOptionSlugs = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('plans/updated-storage-labels') ? [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_50GB_STORAGE */ .KGH, ...storageAddOns] : [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_200GB_STORAGE */ .JZR];
    }
    return storageOptionSlugs.map(slug => {
      return {
        slug: slug,
        isAddOn: storageAddOns.includes(slug)
      };
    });
  },
  get2023PlanComparisonConditionalFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_THEMES */ .CFg, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHARES_SOCIAL_MEDIA_JP */ .K5c, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMISSION_FEE_STANDARD_FEATURES */ .Uqd, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMISSION_FEE_WOO_FEATURES */ .QuL],
  getHostingSignupFeatures: term => () => compact([term !== _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_MONTHLY */ .he && _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SELL_SHIP */ .Jmr, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_STORE */ .j6z, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INVENTORY */ .Y_U, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CHECKOUT */ .iPI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACCEPT_PAYMENTS_V2 */ .LVB, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SALES_REPORTS */ .GNY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHIPPING_CARRIERS */ .mEY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EXTENSIONS */ .AR4, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BANDWIDTH */ .Tuf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GLOBAL_EDGE_CACHING */ .vz3, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BURST */ .eCG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WAF_V2 */ .$5r, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CDN */ .xq9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CPUS */ .lS7, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DATACENTRE_FAILOVER */ .qot, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_MALWARE */ .QXs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_DDOS */ .HU_]),
  // Features not displayed but used for checking plan abilities
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUDIO_UPLOADS */ .R_9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_MY_BUSINESS */ .hVU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CLOUDFLARE_ANALYTICS */ .swD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_INSTALL_PURCHASED_PLUGINS */ .Qqh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_THEMES_PLUGINS */ .hQm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_FORWARDING_EXTENDED_LIMIT */ .eAf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ATOMIC */ .DF1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH],
  getInferiorFeatures: () => []
});
const getWooExpressMediumPlanCompareFeatures = () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WOOCOMMERCE_STORE */ .WI4, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WOOCOMMERCE_MOBILE_APP */ .fZL, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDPRESS_CMS */ .nYV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDPRESS_MOBILE_APP */ .u_9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_SSL_CERTIFICATE */ .p0N, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATED_BACKUPS_SECURITY_SCAN */ .lu6, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AD_FREE_EXPERIENCE */ .dBh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_ADMINS */ .uVr, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT */ .u7c, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SALES_REPORTS */ .GNY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS_V3 */ .S4e, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIST_UNLIMITED_PRODUCTS */ .Nno, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GIFT_CARDS */ .KAl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MIN_MAX_ORDER_QUANTITY */ .QvK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_BUNDLES */ .jwP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIST_PRODUCTS_BY_BRAND */ .Doi, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_RECOMMENDATIONS */ .ceT, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INTEGRATED_PAYMENTS */ .hXr, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INTERNATIONAL_PAYMENTS */ .Ckc, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATED_SALES_TAXES */ .H7I, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACCEPT_LOCAL_PAYMENTS */ .M7I, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_RECURRING_PAYMENTS */ .xEy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MIN_MAX_ORDER_QUANTITY */ .QvK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PROMOTE_ON_TIKTOK */ .BGp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SYNC_WITH_PINTEREST */ .l58, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CONNECT_WITH_FACEBOOK */ .e7z, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACK_IN_STOCK_NOTIFICATIONS */ .LUJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MARKETING_AUTOMATION */ .KUL, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ABANDONED_CART_RECOVERY */ .fPv, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO_TOOLS */ .gQ2, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVERTISE_ON_GOOGLE */ .Ncs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_ORDER_EMAILS */ .qRK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INTEGRATED_SHIPMENT_TRACKING */ .YQh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_SHIPPING_RATES */ .fgV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DISCOUNTED_SHIPPING */ .XuE, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRINT_SHIPPING_LABELS */ .gmv, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AI_ASSISTED_PRODUCT_DESCRIPTION */ .y$v];
const getWooExpressSmallPlanCompareFeatures = () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WOOCOMMERCE_STORE */ .WI4, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WOOCOMMERCE_MOBILE_APP */ .fZL, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDPRESS_CMS */ .nYV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDPRESS_MOBILE_APP */ .u_9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_SSL_CERTIFICATE */ .p0N, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATED_BACKUPS_SECURITY_SCAN */ .lu6, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AD_FREE_EXPERIENCE */ .dBh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_ADMINS */ .uVr, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT */ .u7c, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SALES_REPORTS */ .GNY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS_V3 */ .S4e, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIST_UNLIMITED_PRODUCTS */ .Nno, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GIFT_CARDS */ .KAl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIST_PRODUCTS_BY_BRAND */ .Doi, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INTEGRATED_PAYMENTS */ .hXr, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INTERNATIONAL_PAYMENTS */ .Ckc, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATED_SALES_TAXES */ .H7I, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACCEPT_LOCAL_PAYMENTS */ .M7I, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_RECURRING_PAYMENTS */ .xEy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PROMOTE_ON_TIKTOK */ .BGp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SYNC_WITH_PINTEREST */ .l58, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CONNECT_WITH_FACEBOOK */ .e7z, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO_TOOLS */ .gQ2, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVERTISE_ON_GOOGLE */ .Ncs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_ORDER_EMAILS */ .qRK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INTEGRATED_SHIPMENT_TRACKING */ .YQh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_SHIPPING_RATES */ .fgV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRINT_SHIPPING_LABELS */ .gmv, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AI_ASSISTED_PRODUCT_DESCRIPTION */ .y$v];
const getWooExpressPlanCompareFeatures = () => [...getWooExpressSmallPlanCompareFeatures(), ...getWooExpressMediumPlanCompareFeatures()];
const getPlanWooExpressMediumDetails = () => ({
  ...getPlanEcommerceDetails(),
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Performance'),
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Accelerate your growth with advanced features.'),
  get2023PricingGridSignupWpcomFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_200GB_STORAGE */ .JZR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACK_IN_STOCK_NOTIFICATIONS */ .LUJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MARKETING_AUTOMATION */ .KUL, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATED_EMAIL_TRIGGERS */ .nh1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CART_ABANDONMENT_EMAILS */ .uFG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_OFFER_BULK_DISCOUNTS */ .k4q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_RECOMMEND_ADD_ONS */ .njy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MIN_MAX_ORDER_QUANTITY */ .QvK],
  getPlanCompareFeatures: () => getWooExpressPlanCompareFeatures(),
  get2023PlanComparisonFeatureOverride: () => getWooExpressMediumPlanCompareFeatures(),
  get2023PricingGridSignupStorageOptions: () => {
    return [{
      slug: _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_200GB_STORAGE */ .JZR,
      isAddOn: false
    }];
  },
  getTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Learn more about everything included with Woo Express Performance and take advantage of its powerful marketplace features.')
});
const getPlanWooExpressSmallDetails = () => ({
  ...getPlanEcommerceDetails(),
  get2023PricingGridSignupWpcomFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_LIVE_CHAT_SUPPORT */ .EVF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_ADMINS */ .uVr, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_50GB_STORAGE */ .KGH, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_PRODUCTS_SERVICES */ .vkJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SELL_INTERNATIONALLY */ .yT6, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATIC_SALES_TAX */ .gbu, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATED_BACKUPS_SECURITY_SCAN */ .lu6, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INTEGRATED_SHIPMENT_TRACKING */ .YQh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REAL_TIME_ANALYTICS */ .Fim, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SELL_EGIFTS_AND_VOUCHERS */ .Xil, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_MARKETING */ .LhS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MARKETPLACE_SYNC_SOCIAL_MEDIA_INTEGRATION */ .bUN, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO_TOOLS */ .gQ2, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AI_ASSISTED_PRODUCT_DESCRIPTION */ .y$v],
  getPlanCompareFeatures: () => getWooExpressPlanCompareFeatures(),
  get2023PlanComparisonFeatureOverride: () => getWooExpressSmallPlanCompareFeatures(),
  get2023PricingGridSignupStorageOptions: () => {
    return [{
      slug: _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_50GB_STORAGE */ .KGH,
      isAddOn: false
    }];
  },
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Essential'),
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Everything you need to set up your store and start selling your products.'),
  getTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Learn more about everything included with Woo Express Essential and take advantage of its powerful marketplace features.')
});
const getPlanPremiumDetails = () => ({
  ...getDotcomPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_PREMIUM */ .n4,
  getTitle: () =>
  // translators: Explorer is a plan name
  i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Explorer'),
  getAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for freelancers'),
  getBlogAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for freelancers'),
  getPortfolioAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for freelancers'),
  getStoreAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for freelancers'),
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Build a unique website with powerful design tools.'),
  getNewsletterTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Make it even more memorable with premium designs and style customization.'),
  getLinkInBioTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Make a great first impression with premium designs and style customization.'),
  getBlogOnboardingTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Make it even more memorable with premium designs, 4K video, and style customization.'),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for freelancers:{{/strong}} Build a unique website with advanced design tools, CSS editing, lots of space for audio and video,' + ' Google Analytics support,' + ' and the ability to monetize your site with ads.', plansDescriptionHeadingComponent),
  getShortDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Build a unique website with advanced design tools, CSS editing, lots of space for audio and video,' + ' Google Analytics support,' + ' and the ability to monetize your site with ads.'),
  getPlanCompareFeatures: (_, {
    isLoggedInMonthlyPricing
  } = {}) => compact([
  // pay attention to ordering, shared features should align on /plan page
  _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_HOSTING */ ._22, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ESSENTIAL */ .BfV, isLoggedInMonthlyPricing && _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT */ .u7c, (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw : null, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_13GB_STORAGE */ .xoQ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MEMBERSHIPS */ .JLP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CONTENT_BLOCK */ .Tgp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_DESIGN_CUSTOMIZATION */ .$lI, isLoggedInMonthlyPricing && _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT_BUSINESS_DAYS */ ._c8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS */ .M$n, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_4 */ .kYS]),
  getPromotedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_DESIGN_CUSTOMIZATION */ .$lI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_13GB_STORAGE */ .xoQ],
  getSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT_BUSINESS_DAYS */ ._c8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_DESIGN_CUSTOMIZATION */ .$lI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_PERSONAL_FEATURES */ .ItL],
  getTagline: function () {
    return i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Take your Newsletter further, faster. Get everything included in %(planName)s, plus premium design themes, baked-in video uploads, ad monetization, deep visitor insights from Google Analytics, and live chat support.', {
      args: {
        planName: this.getTitle()
      }
    });
  },
  getNewsletterSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STYLE_CUSTOMIZATION */ .RkI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLTD_SOCIAL_MEDIA_JP */ .jiF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEOPRESS_JP */ .HKK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_PAID */ .iQ_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_4 */ .kYS],
  getNewsletterHighlightedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_EMAILS */ .Zvm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AD_FREE_EXPERIENCE */ .dBh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REAL_TIME_ANALYTICS */ .Fim, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw],
  getLinkInBioDescription: function () {
    return i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Take your site further, faster. Get everything included in %(planName)s, plus premium design themes, baked-in video uploads, ad monetization, deep visitor insights from Google Analytics, and live chat support.', {
      args: {
        planName: this.getTitle()
      }
    });
  },
  getLinkInBioSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STYLE_CUSTOMIZATION */ .RkI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEOPRESS_JP */ .HKK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLTD_SOCIAL_MEDIA_JP */ .jiF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS */ .yks, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_PAID */ .iQ_],
  getLinkInBioHighlightedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl],
  getBlogOnboardingSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STYLE_CUSTOMIZATION */ .RkI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS */ .yks, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_4 */ .kYS],
  getBlogOnboardingHighlightedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl],
  getBlogOnboardingSignupJetpackFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEOPRESS_JP */ .HKK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLTD_SOCIAL_MEDIA_JP */ .jiF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_ACTIVITY_LOG_JP */ .LHt, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_PAID */ .iQ_],
  getBlogSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MONETISE */ .aC2, (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw : null, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_PERSONAL_FEATURES */ .ItL].filter(isValueTruthy),
  getPortfolioSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_DESIGN_CUSTOMIZATION */ .$lI, (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw : null, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_PERSONAL_FEATURES */ .ItL].filter(isValueTruthy),
  getSignupCompareAvailableFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_HOSTING */ ._22, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COLLECT_PAYMENTS_V2 */ .R7Q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT_BUSINESS_DAYS */ ._c8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EARN_AD */ .eYY, (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw : null, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP].filter(isValueTruthy),
  get2023PricingGridSignupWpcomFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS */ .yks, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STYLE_CUSTOMIZATION */ .RkI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_4 */ .kYS],
  getCheckoutFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS */ .yks, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STYLE_CUSTOMIZATION */ .RkI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_PAID */ .iQ_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEOPRESS_JP */ .HKK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLTD_SOCIAL_MEDIA_JP */ .jiF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_ACTIVITY_LOG_JP */ .LHt],
  get2023PricingGridSignupJetpackFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEOPRESS_JP */ .HKK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLTD_SOCIAL_MEDIA_JP */ .jiF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_ACTIVITY_LOG_JP */ .LHt, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_PAID */ .iQ_],
  get2023PricingGridSignupStorageOptions: () => {
    return [{
      slug: _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_13GB_STORAGE */ .xoQ,
      isAddOn: false
    }];
  },
  get2023PlanComparisonConditionalFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_THEMES */ .CFg, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHARES_SOCIAL_MEDIA_JP */ .K5c, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMISSION_FEE_STANDARD_FEATURES */ .Uqd],
  get2023PlanComparisonJetpackFeatureOverride: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYPAL_JP */ .O6g, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEOPRESS_JP */ .HKK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_PAID */ .iQ_],
  // Features not displayed but used for checking plan abilities
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUDIO_UPLOADS */ .R_9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CLOUDFLARE_ANALYTICS */ .swD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH],
  getInferiorFeatures: () => []
});
const getPlanBusinessDetails = () => ({
  ...getDotcomPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_BUSINESS */ .e8,
  getTitle: () =>
  // translators: Creator is a plan name
  i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Creator'),
  getAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for small businesses'),
  getBlogAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for small businesses'),
  getPortfolioAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for small businesses'),
  getStoreAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('The plan for small businesses'),
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Unlock the power of WordPress with plugins and cloud tools.'),
  getBlogOnboardingTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Expand your blog with plugins and powerful tools to help you scale.'),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for small businesses:{{/strong}} Power your' + ' business website with custom plugins and themes,' + ' %(nmOfGB)s GB storage, and the ability to remove WordPress.com branding.', {
    ...plansDescriptionHeadingComponent,
    args: {
      nmOfGB: (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('plans/updated-storage-labels') ? '50' : '200'
    }
  }),
  getShortDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Power your business website with custom plugins and themes,' + ' %(nmOfGB)s GB storage, and the ability to remove WordPress.com branding.', {
    args: {
      nmOfGB: (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('plans/updated-storage-labels') ? '50' : '200'
    }
  }),
  getTagline: function () {
    return i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Learn more about everything included with %(planName)s and take advantage of its powerful marketplace features.', {
      args: {
        planName: this.getTitle()
      }
    });
  },
  getPlanCompareFeatures: (_, {
    isLoggedInMonthlyPricing
  } = {}) => compact([
  // pay attention to ordering, shared features should align on /plan page
  _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_HOSTING */ ._22, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ADVANCED */ .xt, isLoggedInMonthlyPricing && _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT */ .u7c, (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw : null, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_50GB_STORAGE */ .KGH, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MEMBERSHIPS */ .JLP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CONTENT_BLOCK */ .Tgp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_DESIGN_CUSTOMIZATION */ .$lI, isLoggedInMonthlyPricing && _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT_ALL_DAYS */ .XAi, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS */ .M$n, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_PLUGINS */ .e00, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_THEMES */ .Mo5, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SFTP_DATABASE */ .bnw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_BRANDING */ .jPE, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_2 */ .kb1]),
  getPromotedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_200GB_STORAGE */ .JZR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_DESIGN_CUSTOMIZATION */ .$lI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS */ .M$n],
  getSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_THEMES_PLUGINS */ .hQm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO_TOOLS */ .gQ2, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_PREMIUM_FEATURES */ .NrG],
  getBlogSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_THEMES_PLUGINS */ .hQm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO_TOOLS */ .gQ2, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_PREMIUM_FEATURES */ .NrG],
  getPortfolioSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_THEMES_PLUGINS */ .hQm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_200GB_STORAGE */ .JZR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_PREMIUM_FEATURES */ .NrG],
  getSignupCompareAvailableFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_HOSTING */ ._22, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COLLECT_PAYMENTS_V2 */ .R7Q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT_ALL_DAYS */ .XAi, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EARN_AD */ .eYY, (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw : null, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INSTALL_PLUGINS */ .m51, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO_EXPANDED_ABBR */ .kPp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_BACKUPS_AND_RESTORE */ ._vw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SFTP_DATABASE */ .bnw].filter(isValueTruthy),
  get2023PricingGridSignupWpcomFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PLUGINS_THEMES */ .j58, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BANDWIDTH */ .Tuf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GLOBAL_EDGE_CACHING */ .vz3, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BURST */ .eCG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WAF_V2 */ .$5r, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CDN */ .xq9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CPUS */ .lS7, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DATACENTRE_FAILOVER */ .qot, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ISOLATED_INFRA */ .iAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_MALWARE */ .QXs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_DDOS */ .HU_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DEV_TOOLS */ .lW1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_STAGING_SITES */ .KmN, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WP_UPDATES */ .SIm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MULTI_SITE */ .bW1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_2_REGULAR */ .jM, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_0_WOO */ .WT$],
  getCheckoutFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PLUGINS_THEMES */ .j58, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BANDWIDTH */ .Tuf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CDN */ .xq9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO_TOOLS */ .gQ2, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LIVE_CHAT_SUPPORT */ .Dml, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DEV_TOOLS */ .lW1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REALTIME_BACKUPS_JP */ .e7t, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_ACTIVITY_LOG_JP */ .LHt, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_DDOS */ .HU_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_STAGING_SITES */ .KmN],
  get2023PricingGridSignupJetpackFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REALTIME_BACKUPS_JP */ .e7t, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ONE_CLICK_RESTORE_V2 */ .RAq, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPTIME_MONITOR_JP */ .Qcp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ES_SEARCH_JP */ .GlD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PLUGIN_AUTOUPDATE_JP */ .NBm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_JP */ .ur7],
  get2023PlanComparisonConditionalFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_THEMES */ .CFg, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_STORE_THEMES */ .SQX, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STORE_DESIGN */ .CTo, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_PRODUCTS */ .CN1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DISPLAY_PRODUCTS_BRAND */ .bA6, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_ADD_ONS */ .ozR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ASSEMBLED_KITS */ .uXB, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MIN_MAX_QTY */ .ee8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STOCK_NOTIFS */ .m38, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DYNAMIC_UPSELLS */ .Czl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_LOYALTY_PROG */ .rxl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_MARKETING_AUTOMATION */ .yqq, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BULK_DISCOUNTS */ .Xlo, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INVENTORY_MGMT */ .MaF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STREAMLINED_CHECKOUT */ .D9A, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SELL_60_COUNTRIES */ .kbI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHIPPING_INTEGRATIONS */ .mT$, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SHARES_SOCIAL_MEDIA_JP */ .K5c, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMISSION_FEE_STANDARD_FEATURES */ .Uqd, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COMMISSION_FEE_WOO_FEATURES */ .QuL],
  get2023PricingGridSignupStorageOptions: showLegacyStorageFeature => {
    let storageOptionSlugs = [];
    const storageAddOns = [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_50GB_STORAGE_ADD_ON */ .CQZ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_100GB_STORAGE_ADD_ON */ .Isz];
    if (showLegacyStorageFeature) {
      storageOptionSlugs = [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_200GB_STORAGE */ .JZR];
    } else {
      storageOptionSlugs = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('plans/updated-storage-labels') ? [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_50GB_STORAGE */ .KGH, ...storageAddOns] : [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_200GB_STORAGE */ .JZR];
    }
    return storageOptionSlugs.map(slug => {
      return {
        slug: slug,
        isAddOn: storageAddOns.includes(slug)
      };
    });
  },
  getHostingSignupFeatures: term => () => compact([term !== _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_MONTHLY */ .he && _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PLUGINS_THEMES */ .j58, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BANDWIDTH */ .Tuf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GLOBAL_EDGE_CACHING */ .vz3, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BURST */ .eCG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WAF_V2 */ .$5r, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CDN */ .xq9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CPUS */ .lS7, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DATACENTRE_FAILOVER */ .qot, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ISOLATED_INFRA */ .iAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_MALWARE */ .QXs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_DDOS */ .HU_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_DEV_TOOLS */ .lW1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_STAGING_SITES */ .KmN, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WP_UPDATES */ .SIm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MULTI_SITE */ .bW1]),
  getBlogOnboardingSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PLUGINS_THEMES */ .j58, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SECURITY_MALWARE */ .QXs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WP_UPDATES */ .SIm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_TRANSACTION_FEES_2 */ .kb1],
  getBlogOnboardingSignupJetpackFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_JP */ .ur7, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PLUGIN_AUTOUPDATE_JP */ .NBm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REALTIME_BACKUPS_JP */ .e7t, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ONE_CLICK_RESTORE_V2 */ .RAq, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ES_SEARCH_JP */ .GlD],
  // Features not displayed but used for checking plan abilities
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUDIO_UPLOADS */ .R_9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_MY_BUSINESS */ .hVU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CLOUDFLARE_ANALYTICS */ .swD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_INSTALL_PURCHASED_PLUGINS */ .Qqh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_FORWARDING_EXTENDED_LIMIT */ .eAf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ATOMIC */ .DF1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH],
  getInferiorFeatures: () => [],
  getSenseiFeatures: term => () => compact([term !== _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_MONTHLY */ .he && _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, term !== _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_MONTHLY */ .he && _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SENSEI_SUPPORT */ .Hc$, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SENSEI_UNLIMITED */ .BFp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SENSEI_INTERACTIVE */ .Uvw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SENSEI_QUIZZES */ .ndR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SENSEI_SELL_COURSES */ .V82, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SENSEI_STORAGE */ .LHc, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SENSEI_HOSTING */ .iNP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SENSEI_JETPACK */ .A6]),
  getSenseiHighlightedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SENSEI_SUPPORT */ .Hc$]
});
const getPlanProDetails = () => ({
  ...getDotcomPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_PRO */ .VS,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('WordPress Pro'),
  getTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('This plan gives you access to our most powerful features at an affordable price for an unmatched value you won’t get anywhere else. No longer available to new users.'),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('You’ve got our best deal on hosting! ' + 'Your Pro plan includes access to all the most popular features WordPress.com has to offer, including premium themes and access to over 50,000 plugins. ' + 'As an existing customer, you can keep your site on this plan as long as your subscription remains active.'),
  getSubTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Unlimited features. Unbeatable value.'),
  getPlanCompareFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_TRAFFIC */ .l5Q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MANAGED_HOSTING */ .CR9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_THEMES */ .vCo, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_INSTALL_PLUGINS */ .m51, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_INSTALL_PURCHASED_PLUGINS */ .Qqh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WOOCOMMERCE */ .sWw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_50GB_STORAGE */ .KGH, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_ADS */ .MZU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_ADMINS */ .uVr, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS */ .M$n, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_BLOCKS */ .DyV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SOCIAL_MEDIA_TOOLS */ .Ywz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_TITAN_EMAIL */ .ZxR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MONETISE */ .aC2, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SFTP_DATABASE */ .bnw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_BACKUPS_AND_RESTORE */ ._vw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ESSENTIAL */ .BfV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP],
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO_EXPANDED_ABBR */ .kPp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUDIO_UPLOADS */ .R_9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CLOUDFLARE_ANALYTICS */ .swD, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_COLLECT_PAYMENTS_V2 */ .R7Q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EARN_AD */ .eYY, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_FORWARDING_EXTENDED_LIMIT */ .eAf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_MY_BUSINESS */ .hVU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_HOSTING */ ._22, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_DESIGN_CUSTOMIZATION */ .$lI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MEMBERSHIPS */ .JLP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_NO_BRANDING */ .jPE, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_CONTENT_BLOCK */ .Tgp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SFTP_DATABASE */ .bnw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_BACKUPS_AND_RESTORE */ ._vw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_PLUGINS */ .e00, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_THEMES */ .Mo5, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UPLOAD_THEMES_PLUGINS */ .hQm, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ATOMIC */ .DF1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH],
  getPlanCancellationDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Heads up — you are currently on a legacy plan that is no longer available for new subscribers. ' + 'Your Pro plan includes access to all the most popular features WordPress.com has to offer, ' + 'including premium themes and access to over 50,000 plugins. As an existing Pro plan subscriber, ' + 'you can keep your site on this legacy plan as long as your subscription remains active. ' + 'If canceled, the WordPress.com Pro plan can no longer be added to your account.')
});

// The following is not a real plan, we are adding it here so that
// Woo Express Plus gets its own column in the plans grid.
const getPlanWooExpressPlusDetails = () => ({
  ...getDotcomPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_WOO_EXPRESS_PLUS */ .bk,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Plus'),
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('For fast-growing businesses that need access to the most powerful tools.'),
  getDescription: () => '',
  get2023PricingGridSignupWpcomFeatures: () => [],
  get2023PricingGridSignupJetpackFeatures: () => [],
  get2023PricingGridSignupStorageOptions: () => []
});

// The following is not a real plan, we are adding it here so that
// VIP (a.k.a Enterprise) gets its own column in the plans grid.
// Check pdgrnI-1Qp-p2 for more details.
const get2023EnterprisGrideDetails = () => ({
  ...getDotcomPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_ENTERPRISE_GRID_WPCOM */ .t0,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Enterprise'),
  getAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for enterprises'),
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Deliver an unmatched performance with the highest security standards on our enterprise content platform.'),
  getDescription: () => '',
  get2023PricingGridSignupWpcomFeatures: () => [],
  get2023PricingGridSignupJetpackFeatures: () => [],
  get2023PricingGridSignupStorageOptions: () => []
});
const getJetpackPersonalDetails = () => ({
  group: _constants__WEBPACK_IMPORTED_MODULE_4__/* .GROUP_JETPACK */ .dO,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_PERSONAL */ .gA,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Personal'),
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM].includes(plan),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for personal use:{{/strong}} Security essentials for your WordPress site, including ' + 'automated backups and priority support.', plansDescriptionHeadingComponent),
  getTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Your data is being securely backed up and you have access to priority support.'),
  getPlanCardFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_DAILY_V2 */ .hjj, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ANTISPAM_V2 */ .snK],
  getBillingTimeFrame: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('per year'),
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_OFFSITE_BACKUP_VAULTPRESS_DAILY */ .JYj, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_30 */ .JEu, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_STORAGE_SPACE_UNLIMITED */ .ZNU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATED_RESTORES */ .aFM, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SPAM_AKISMET_PLUS */ .pt9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EASY_SITE_MIGRATION */ .Vy9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY */ .qCK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM */ .l1X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_MONTHLY */ .NAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_OFFSITE_BACKUP_VAULTPRESS_DAILY */ .JYj, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SPAM_AKISMET_PLUS */ .pt9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACTIVITY_LOG */ .CD8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_FREE_FEATURES_JETPACK */ .tDt, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH]
});
const getJetpackPremiumDetails = () => ({
  group: _constants__WEBPACK_IMPORTED_MODULE_4__/* .GROUP_JETPACK */ .dO,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_PREMIUM */ .n4,
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PERSONAL */ .Y1, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PERSONAL_MONTHLY */ .Es].includes(plan),
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Premium'),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for small businesses:{{/strong}} Comprehensive, automated scanning for security vulnerabilities, ' + 'fast video hosting, and marketing automation.', plansDescriptionHeadingComponent),
  getTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Your site is being secured and you have access to marketing tools and priority support.'),
  getPlanCardFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_DAILY_V2 */ .hjj, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SCAN_V2 */ .a2z, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ANTISPAM_V2 */ .snK],
  getIncludedFeatures: () => compact([
  // pay attention to ordering, shared features should align on /plan page
  _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_OFFSITE_BACKUP_VAULTPRESS_DAILY */ .JYj, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_30 */ .JEu, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_STORAGE_SPACE_UNLIMITED */ .ZNU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATED_RESTORES */ .aFM, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SPAM_AKISMET_PLUS */ .pt9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EASY_SITE_MIGRATION */ .Vy9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS_JETPACK_PRO */ .zTG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MALWARE_SCANNING_DAILY */ .xpj, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY */ .ix8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY_MONTHLY */ .MVP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY */ .qCK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM */ .l1X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_MONTHLY */ .NAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_VIDEOPRESS_BI_YEARLY */ .kzF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_VIDEOPRESS */ .rag, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_VIDEOPRESS_MONTHLY */ .Xx6, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_OFFSITE_BACKUP_VAULTPRESS_DAILY */ .JYj, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SPAM_AKISMET_PLUS */ .pt9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MALWARE_SCANNING_DAILY */ .xpj, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATIC_SECURITY_FIXES */ .sPj, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS_JETPACK_PRO */ .zTG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_FREE_FEATURES_JETPACK */ .tDt, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH])
});
const getJetpackBusinessDetails = () => ({
  group: _constants__WEBPACK_IMPORTED_MODULE_4__/* .GROUP_JETPACK */ .dO,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_BUSINESS */ .e8,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Professional'),
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PREMIUM */ .Ry, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PREMIUM_MONTHLY */ .Bf, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PERSONAL */ .Y1, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PERSONAL_MONTHLY */ .Es].includes(plan),
  getDescription: () => (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for organizations:{{/strong}} The most powerful WordPress sites.', plansDescriptionHeadingComponent) : i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for organizations:{{/strong}} The most powerful WordPress sites: real-time backups ' + 'and premium themes.', plansDescriptionHeadingComponent),
  getTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('You have the full suite of security and performance tools.'),
  getPlanCardFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_REALTIME_V2 */ .hS1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_SCAN_REALTIME_V2 */ .Isg, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ANTISPAM_V2 */ .snK],
  getIncludedFeatures: () => compact([
  // pay attention to ordering, shared features should align on /plan page
  _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_OFFSITE_BACKUP_VAULTPRESS_REALTIME */ .F2P, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_UNLIMITED */ .DZs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_STORAGE_SPACE_UNLIMITED */ .ZNU, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUTOMATED_RESTORES */ .aFM, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SPAM_AKISMET_PLUS */ .pt9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EASY_SITE_MIGRATION */ .Vy9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS_JETPACK_PRO */ .zTG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MALWARE_SCANNING_DAILY_AND_ON_DEMAND */ .Jr$, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ONE_CLICK_THREAT_RESOLUTION */ .$By, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_REALTIME */ .lwq, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_REALTIME_MONTHLY */ .HIJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY */ .ix8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY_MONTHLY */ .MVP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY */ .qCK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM */ .l1X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_MONTHLY */ .NAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_VIDEOPRESS_BI_YEARLY */ .kzF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_VIDEOPRESS */ .rag, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_VIDEOPRESS_MONTHLY */ .Xx6, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_OFFSITE_BACKUP_VAULTPRESS_REALTIME */ .F2P, (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw : null, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ALL_PREMIUM_FEATURES_JETPACK */ .OPf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH]),
  getInferiorFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ]
});
const getPlanJetpackSecurityDailyDetails = () => ({
  group: _constants__WEBPACK_IMPORTED_MODULE_4__/* .GROUP_JETPACK */ .dO,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_SECURITY_DAILY */ .ME,
  getTitle: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Security {{em}}Daily{{/em}}', {
    components: {
      em: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("em", null)
    }
  }),
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM, ..._constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_LEGACY_PLANS */ .Ct].includes(plan),
  getDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('All of the essential Jetpack Security features in one package including VaultPress Backup, Scan, Akismet Anti-spam and more.'),
  getTagline: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Best for sites with occasional updates'),
  getPlanCardFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_BACKUP_DAILY_V2 */ .P2_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_SCAN_DAILY_V2 */ .Ohd, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ANTISPAM_V2 */ .snK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WAF */ ._Qs],
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY */ .ix8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY_MONTHLY */ .MVP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY */ .qCK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM */ .l1X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_MONTHLY */ .NAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_30 */ .JEu, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH]
});
const getPlanJetpackSecurityRealtimeDetails = () => ({
  group: _constants__WEBPACK_IMPORTED_MODULE_4__/* .GROUP_JETPACK */ .dO,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_SECURITY_REALTIME */ .gf,
  getTitle: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Security {{em}}Real-time{{/em}}', {
    components: {
      em: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("em", {
        style: {
          whiteSpace: 'nowrap'
        }
      })
    }
  }),
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_DAILY */ .I5, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_DAILY_MONTHLY */ .uf, ..._constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_LEGACY_PLANS */ .Ct].includes(plan),
  getDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Get next-level protection with real-time backups, real-time scan and all essential security tools.'),
  getTagline: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Best for sites with frequent updates'),
  getPlanCardFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PLAN_SECURITY_DAILY */ ._5w, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_BACKUP_REALTIME_V2 */ .dIT, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_SCAN_REALTIME_V2 */ .Isg, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACTIVITY_LOG_1_YEAR_V2 */ .VX3],
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_REALTIME */ .lwq, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_REALTIME_MONTHLY */ .HIJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY */ .ix8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY_MONTHLY */ .MVP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY */ .qCK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM */ .l1X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_MONTHLY */ .NAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_UNLIMITED */ .DZs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS_JETPACK_PRO */ .zTG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH],
  getInferiorFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_30 */ .JEu]
});
const getPlanJetpackSecurityT1Details = () => ({
  ...getJetpackCommonPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_4__/* .GROUP_JETPACK */ .dO,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_SECURITY_T1 */ .C5,
  getTitle: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Security', {
    context: 'Jetpack product name'
  }),
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM, ..._constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_LEGACY_PLANS */ .Ct].includes(plan),
  getDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Easy-to-use, comprehensive WordPress site security including backups, malware scanning, and spam protection.'),
  getFeaturedDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('This bundle includes:{{ul}}{{li}}VaultPress Backup (10GB){{/li}}{{li}}Scan{{/li}}{{li}}Akismet Anti-spam (10k API calls/mo){{/li}}{{/ul}}', {
    components: {
      ul: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("ul", null),
      li: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", null)
    },
    comment: '{{ul}}{{ul/}} represents an unordered list, and {{li}}{/li} represents a list item'
  }),
  getLightboxDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Easy-to-use, comprehensive WordPress site security including backups, malware scanning, and spam protection.{{br/}}Includes VaultPress Backup, Jetpack Scan, and Akismet Anti-spam.', {
    components: {
      br: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("br", null)
    },
    comment: '{{br/}} represents a line break'
  }),
  getPlanCardFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_PRODUCT_BACKUP */ .D6q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_REAL_TIME_MALWARE_SCANNING */ .P44, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ANTISPAM_V2 */ .snK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WAF */ ._Qs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_30_DAY_ARCHIVE_ACTIVITY_LOG */ .tx2],
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T1_BI_YEARLY */ .akF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T1_YEARLY */ .gOt, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T1_MONTHLY */ .J_n, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY */ .ix8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY_MONTHLY */ .MVP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY */ .qCK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM */ .l1X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_MONTHLY */ .NAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_UNLIMITED */ .DZs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS_JETPACK_PRO */ .zTG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH],
  getBenefits: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Protect your revenue stream and content'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Learn about issues before your customers are impacted'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Restore your site in one click from desktop or mobile'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Fix your site without a developer'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Protect Woo order and customer data'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Save time manually reviewing spam'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Best-in-class support from WordPress experts')],
  getInferiorFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ]
});
const getPlanJetpackSecurityT2Details = () => ({
  ...getPlanJetpackSecurityT1Details(),
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_SECURITY_T2 */ .JH,
  getPlanCardFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PLAN_SECURITY_DAILY */ ._5w, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_BACKUP_REALTIME_V2 */ .dIT, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_SCAN_REALTIME_V2 */ .Isg, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WAF */ ._Qs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_1_YEAR_ARCHIVE_ACTIVITY_LOG */ ._5J],
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T2_YEARLY */ .dut, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T2_MONTHLY */ .UjR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY */ .ix8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY_MONTHLY */ .MVP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY */ .qCK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM */ .l1X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_MONTHLY */ .NAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_UNLIMITED */ .DZs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS_JETPACK_PRO */ .zTG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH],
  getInferiorFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_30 */ .JEu]
});
const getPlanJetpackCompleteDetails = () => ({
  ...getJetpackCommonPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_4__/* .GROUP_JETPACK */ .dO,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_ALL */ .V4,
  getTitle: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Complete', {
    context: 'Jetpack plan name'
  }),
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM, ..._constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_SECURITY_PLANS */ .Vt, ..._constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_LEGACY_PLANS */ .Ct].includes(plan),
  getDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Get the full power of Jetpack with all Security, Performance, Growth, and Design tools.'),
  getFeaturedDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Get the full Jetpack suite with real-time security tools, improved site performance, and tools to grow your business.'),
  getLightboxDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Full Jetpack suite with real-time security, instant site search, ad-free video, all CRM extensions, and extra storage for backups and video.'),
  getTagline: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('For best-in-class WordPress sites'),
  getPlanCardFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ALL_BACKUP_SECURITY_FEATURES */ .yCc, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_1TB_BACKUP_STORAGE */ .bw5, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_PRODUCT_VIDEOPRESS */ .H_g, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_SEARCH_V2 */ .xj, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CRM_V2 */ .boO, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_1_YEAR_ARCHIVE_ACTIVITY_LOG */ ._5J],
  getIncludedFeatures: () => compact([_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T2_YEARLY */ .dut, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T2_MONTHLY */ .UjR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY */ .ix8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY_MONTHLY */ .MVP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY */ .qCK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM */ .l1X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_MONTHLY */ .NAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SEARCH_BI_YEARLY */ .siL, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SEARCH */ .xsQ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SEARCH_MONTHLY */ .Dw1, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_CRM */ .DGp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_CRM_MONTHLY */ .J2p, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_UNLIMITED */ .DZs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS_JETPACK_PRO */ .zTG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BOOST_BI_YEARLY */ .jO_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BOOST */ .WcS, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BOOST_MONTHLY */ .Onf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SOCIAL_ADVANCED_BI_YEARLY */ ._nr, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SOCIAL_ADVANCED */ .fv4, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SOCIAL_ADVANCED_MONTHLY */ .pJg, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_VIDEOPRESS_BI_YEARLY */ .kzF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_VIDEOPRESS */ .rag, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_VIDEOPRESS_MONTHLY */ .Xx6, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CLOUD_CRITICAL_CSS */ .JUp, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('themes/premium') ? _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_PREMIUM_THEMES_UNLIMITED */ .uGw : null, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STATS_PAID */ .iQ_]),
  getInferiorFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_30 */ .JEu, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SOCIAL_BASIC_BI_YEARLY */ .g9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SOCIAL_BASIC */ .tdE, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SOCIAL_BASIC_MONTHLY */ .Bof],
  getBenefits: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Protect your revenue stream and content'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Learn about issues before your customers are impacted'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Restore your site in one click from desktop or mobile'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Fix your site without a developer'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Protect Woo order and customer data'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Save time manually reviewing spam'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Grow your business with video, social, and CRM tools'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Best-in-class support from WordPress experts')]
});
const getPlanJetpackStarterDetails = () => ({
  ...getJetpackCommonPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_4__/* .GROUP_JETPACK */ .dO,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_JETPACK_STARTER */ .kh,
  getTitle: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Starter', {
    context: 'Jetpack product name'
  }),
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM, ..._constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_LEGACY_PLANS */ .Ct].includes(plan),
  getTagline: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Essential security tools: real-time backups and comment spam protection.'),
  getDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Essential security tools: real-time backups and comment spam protection.'),
  getFeaturedDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('This bundle includes:{{ul}}{{li}}VaultPress Backup (1GB){{/li}}{{li}}Akismet Anti-spam (1k API calls/mo){{/li}}{{/ul}}', {
    components: {
      ul: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("ul", null),
      li: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", null)
    },
    comment: '{{ul}}{{ul/}} represents an unordered list, and {{li}}{/li} represents a list item'
  }),
  getRecommendedFor: () => [{
    tag: _constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_TAG_FOR_SMALL_SITES */ .xS,
    label: (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Small sites')
  }, {
    tag: _constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_TAG_FOR_BLOGS */ .CA,
    label: (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Blogs')
  }],
  getLightboxDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Essential security tools: real-time backups and comment spam protection.'),
  getPlanCardFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_PRODUCT_BACKUP */ .D6q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ANTISPAM_V2 */ .snK],
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T0_YEARLY */ .Xsf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T0_MONTHLY */ ._pA, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_BI_YEARLY */ .qCK, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM */ .l1X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_ANTI_SPAM_MONTHLY */ .NAz, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_UNLIMITED */ .DZs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS_JETPACK_PRO */ .zTG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_ANTISPAM */ .Rs_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH],
  getBenefits: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Protect your revenue stream and content'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Restore your site in one click from desktop or mobile'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Fix your site without a developer'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Protect Woo order and customer data'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Save time manually reviewing spam'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Best-in-class support from WordPress experts')],
  getInferiorFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ]
});
const getPlanJetpackGoldenTokenDetails = () => ({
  group: _constants__WEBPACK_IMPORTED_MODULE_4__/* .GROUP_JETPACK */ .dO,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_GOLDEN_TOKEN */ .$R,
  getTitle: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Golden Token', {
    context: 'The name of a Jetpack plan awarded to amazing WordPress sites'
  }),
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM, ..._constants__WEBPACK_IMPORTED_MODULE_4__/* .JETPACK_LEGACY_PLANS */ .Ct].includes(plan),
  getDescription: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('The Golden Token provides a lifetime license for Backup and Scan.'),
  getTagline: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('A lifetime of Jetpack powers for your website'),
  getPlanCardFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_BACKUP_REALTIME_V2 */ .dIT, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PRODUCT_SCAN_REALTIME_V2 */ .Isg, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ACTIVITY_LOG_1_YEAR_V2 */ .VX3],
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_REALTIME */ .lwq, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_REALTIME_MONTHLY */ .HIJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY */ .ix8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY_MONTHLY */ .MVP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_UNLIMITED */ .DZs, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_VIDEO_UPLOADS_JETPACK_PRO */ .zTG, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_REPUBLICIZE */ .whx, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SIMPLE_PAYMENTS */ .irI, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_WORDADS_INSTANT */ .oIC, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PREMIUM_SUPPORT */ .Vrh, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_SCAN */ .Jgn, _constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_BACKUPS */ .ZzH],
  getInferiorFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BACKUP_ARCHIVE_30 */ .JEu]
});

// DO NOT import. Use `getPlan` instead.
const PLANS_LIST = {
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7]: {
    ...getPlanFreeDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('No expiration date'),
    getProductId: () => 1,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7,
    getPathSlug: () => 'beginner'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE]: {
    ...getPlanBloggerDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: WPComGetBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7].includes(plan),
    getProductId: () => 1010,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE,
    getPathSlug: () => 'blogger'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP]: {
    ...getPlanBloggerDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_BIENNIALLY */ .$5,
    getBillingTimeFrame: WPComGetBiennialBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE].includes(plan),
    getProductId: () => 1030,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP,
    getPathSlug: () => 'blogger-2-years'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc]: {
    ...getPlanPersonalDetails(),
    ...getMonthlyTimeframe(),
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP].includes(plan),
    getProductId: () => 1019,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc,
    getPathSlug: () => 'personal-monthly'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ]: {
    ...getPlanPersonalDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: WPComGetBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc].includes(plan),
    getProductId: () => 1009,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ,
    getPathSlug: () => 'personal'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ]: {
    ...getPlanPersonalDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_BIENNIALLY */ .$5,
    getBillingTimeFrame: WPComGetBiennialBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ].includes(plan),
    getProductId: () => 1029,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ,
    getPathSlug: () => 'personal-2-years'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_3_YEARS */ .EX]: {
    ...getPlanPersonalDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_TRIENNIALLY */ .V0,
    getBillingTimeFrame: WPComGetTriennialBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ].includes(plan),
    getProductId: () => 1049,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_3_YEARS */ .EX,
    getPathSlug: () => 'personal-3-years'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol]: {
    ...getPlanPremiumDetails(),
    ...getMonthlyTimeframe(),
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ].includes(plan),
    getProductId: () => 1013,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol,
    getPathSlug: () => 'premium-monthly'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi]: {
    ...getPlanPremiumDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: WPComGetBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC].includes(plan),
    getProductId: () => 1003,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi,
    getPathSlug: () => 'premium'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD]: {
    ...getPlanPremiumDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_BIENNIALLY */ .$5,
    getBillingTimeFrame: WPComGetBiennialBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi].includes(plan),
    getProductId: () => 1023,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD,
    getPathSlug: () => 'premium-2-years'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_3_YEARS */ .nM]: {
    ...getPlanPremiumDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_TRIENNIALLY */ .V0,
    getBillingTimeFrame: WPComGetTriennialBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_3_YEARS */ .EX, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD].includes(plan),
    getProductId: () => 1043,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_3_YEARS */ .nM,
    getPathSlug: () => 'premium-3-years'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_MONTHLY */ .ZL]: {
    ...getPlanBusinessDetails(),
    ...getMonthlyTimeframe(),
    availableFor: plan => (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('upgrades/wpcom-monthly-plans') && [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey].includes(plan),
    getProductId: () => 1018,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_MONTHLY */ .ZL,
    getPathSlug: () => 'business-monthly'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS */ .xY]: {
    ...getPlanBusinessDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: WPComGetBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO */ .Bk, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_MONTHLY */ .ZL, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey].includes(plan),
    getProductId: () => 1008,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS */ .xY,
    getPathSlug: () => 'business'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_2_YEARS */ .vt]: {
    ...getPlanBusinessDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_BIENNIALLY */ .$5,
    getBillingTimeFrame: WPComGetBiennialBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS */ .xY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_MONTHLY */ .ZL, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO */ .Bk, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_2_YEARS */ .vD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey].includes(plan),
    getProductId: () => 1028,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_2_YEARS */ .vt,
    getPathSlug: () => 'business-2-years'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_3_YEARS */ .CR]: {
    ...getPlanBusinessDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_TRIENNIALLY */ .V0,
    getBillingTimeFrame: WPComGetTriennialBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_3_YEARS */ .EX, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_3_YEARS */ .nM, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS */ .xY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_MONTHLY */ .ZL, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_2_YEARS */ .vt, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO */ .Bk, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_2_YEARS */ .vD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey].includes(plan),
    getProductId: () => 1048,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_3_YEARS */ .CR,
    getPathSlug: () => 'business-3-years'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_100_YEARS */ .dj]: {
    ...getPlanBusinessDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_CENTENNIALLY */ .SP,
    group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
    type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_100_YEAR */ .lP,
    // Todo: ¯\_(ツ)_/¯ on the copy.
    getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('100-Year Plan'),
    getAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for long-term thinkers'),
    getBlogAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for long-term thinkers'),
    getPortfolioAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for long-term thinkers'),
    getStoreAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for long-term thinkers'),
    getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('A plan to leave a lasting mark on the web.'),
    getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('A plan to leave a lasting mark on the web.'),
    getShortDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('A plan to leave a lasting mark on the web.'),
    getTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('A plan to leave a lasting mark on the web.'),
    getBlogOnboardingTagLine: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('A plan to leave a lasting mark on the web.'),
    getBillingTimeFrame: WPComGetBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO */ .Bk, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_MONTHLY */ .ZL, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey].includes(plan),
    getProductId: () => 1061,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_100_YEARS */ .dj,
    getPathSlug: () => 'wp_bundle_hundred_year'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_MONTHLY */ .r]: {
    ...getPlanEcommerceDetails(),
    ...getMonthlyTimeframe(),
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_MONTHLY */ .ZL, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS */ .xY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_2_YEARS */ .vt, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey].includes(plan),
    getProductId: () => 1021,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_MONTHLY */ .r,
    getPathSlug: () => 'ecommerce-monthly'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE */ .DH]: {
    ...getPlanEcommerceDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: WPComGetBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO */ .Bk, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_MONTHLY */ .ZL, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS */ .xY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_2_YEARS */ .vt, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_MONTHLY */ .r, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey].includes(plan),
    getProductId: () => 1011,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE */ .DH,
    getPathSlug: () => 'ecommerce'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_2_YEARS */ .xi]: {
    ...getPlanEcommerceDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_BIENNIALLY */ .$5,
    getBillingTimeFrame: WPComGetBiennialBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO */ .Bk, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_2_YEARS */ .vD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_MONTHLY */ .ZL, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS */ .xY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_2_YEARS */ .vt, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_MONTHLY */ .r, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE */ .DH, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey].includes(plan),
    getProductId: () => 1031,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_2_YEARS */ .xi,
    getPathSlug: () => 'ecommerce-2-years'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_MEDIUM_MONTHLY */ .se]: {
    ...getPlanWooExpressMediumDetails(),
    ...getMonthlyTimeframe(),
    type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_WOOEXPRESS_MEDIUM */ .df,
    getBillingTimeFrame: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('per month'),
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_SMALL_MONTHLY */ .Qf].includes(plan),
    getProductId: () => 1053,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_MEDIUM_MONTHLY */ .se,
    getPathSlug: () => 'wooexpress-medium-monthly'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_MEDIUM */ .Ou]: {
    ...getPlanWooExpressMediumDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: WPComGetBillingTimeframe,
    type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_WOOEXPRESS_MEDIUM */ .df,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_MEDIUM_MONTHLY */ .se, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_SMALL */ .yZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_SMALL_MONTHLY */ .Qf].includes(plan),
    getProductId: () => 1055,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_MEDIUM */ .Ou,
    getPathSlug: () => 'wooexpress-medium-yearly'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_SMALL_MONTHLY */ .Qf]: {
    ...getPlanWooExpressSmallDetails(),
    ...getMonthlyTimeframe(),
    type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_WOOEXPRESS_SMALL */ .$k,
    getBillingTimeFrame: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('per month'),
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$].includes(plan),
    getProductId: () => 1054,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_SMALL_MONTHLY */ .Qf,
    getPathSlug: () => 'wooexpress-small-monthly'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_SMALL */ .yZ]: {
    ...getPlanWooExpressSmallDetails(),
    type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_WOOEXPRESS_SMALL */ .$k,
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: WPComGetBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_SMALL_MONTHLY */ .Qf, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$].includes(plan),
    getProductId: () => 1056,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_SMALL */ .yZ,
    getPathSlug: () => 'wooexpress-small-yearly'
  },
  // Not a real plan. This is used to show the Plus offering in the Woo Express plans grid
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_PLUS */ .P]: {
    ...getPlanWooExpressPlusDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: () => '',
    getProductId: () => 0,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WOOEXPRESS_PLUS */ .P
  },
  // Not a real plan. This is used to show the Enterprise (VIP) offering in
  // the main plans grid as part of pdgrnI-1Qp-p2.
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ENTERPRISE_GRID_WPCOM */ .cE]: {
    ...get2023EnterprisGrideDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: () => '',
    getProductId: () => 0,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ENTERPRISE_GRID_WPCOM */ .cE,
    getPathSlug: () => 'enterprise'
  },
  // Not a real plan. This is used to show the Bluehost cloud offering
  // in the landing pages for now
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLUEHOST_CLOUD */ .Pi]: {
    ...get2023EnterprisGrideDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    getBillingTimeFrame: () => '',
    getProductId: () => 0,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLUEHOST_CLOUD */ .Pi
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLUEHOST_CLOUD_MONTHLY */ .nb]: {
    ...get2023EnterprisGrideDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_MONTHLY */ .he,
    getBillingTimeFrame: () => '',
    getProductId: () => 0,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLUEHOST_CLOUD_MONTHLY */ .nb
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLUEHOST_CLOUD_2Y */ .Dj]: {
    ...get2023EnterprisGrideDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_BIENNIALLY */ .$5,
    getBillingTimeFrame: () => '',
    getProductId: () => 0,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLUEHOST_CLOUD_2Y */ .Dj
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLUEHOST_CLOUD_3Y */ .Uv]: {
    ...get2023EnterprisGrideDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_TRIENNIALLY */ .V0,
    getBillingTimeFrame: () => '',
    getProductId: () => 0,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLUEHOST_CLOUD_3Y */ .Uv
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_3_YEARS */ .mR]: {
    ...getPlanEcommerceDetails(),
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_TRIENNIALLY */ .V0,
    getBillingTimeFrame: WPComGetTriennialBillingTimeframe,
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO */ .Bk, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_2_YEARS */ .vD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER */ .PE, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BLOGGER_2_YEARS */ .FP, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_MONTHLY */ .Zc, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL */ .JZ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_2_YEARS */ .bQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PERSONAL_3_YEARS */ .EX, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_MONTHLY */ .Ol, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM */ .Gi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_2_YEARS */ .AD, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_PREMIUM_3_YEARS */ .nM, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_MONTHLY */ .ZL, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS */ .xY, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_2_YEARS */ .vt, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_BUSINESS_3_YEARS */ .CR, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_MONTHLY */ .r, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE */ .DH, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_2_YEARS */ .xi, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey].includes(plan),
    getProductId: () => 1051,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_3_YEARS */ .mR,
    getPathSlug: () => 'ecommerce-3-years'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM]: {
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
    group: _constants__WEBPACK_IMPORTED_MODULE_4__/* .GROUP_JETPACK */ .dO,
    type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_FREE */ .O2,
    getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Free'),
    getProductId: () => 2002,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_FREE */ .MM,
    getTagline: (siteFeatures = []) => {
      const hasSiteJetpackBackup = siteFeatures.some(feature => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY */ .vrw, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_DAILY_MONTHLY */ .HeJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_REALTIME */ .lwq, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_REALTIME_MONTHLY */ .HIJ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T1_BI_YEARLY */ .akF, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T1_YEARLY */ .gOt, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T1_MONTHLY */ .J_n, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T2_YEARLY */ .dut, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_BACKUP_T2_MONTHLY */ .UjR].includes(feature));
      const hasSiteJetpackScan = siteFeatures.some(feature => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY */ .ix8, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SCAN_DAILY_MONTHLY */ .MVP].includes(feature));
      if (hasSiteJetpackBackup && hasSiteJetpackScan) {
        return i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Upgrade your site to access additional features, including spam protection and priority support.');
      } else if (hasSiteJetpackBackup) {
        return i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Upgrade your site to access additional features, including spam protection, security scanning, and priority support.');
      } else if (hasSiteJetpackScan) {
        return i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Upgrade your site to access additional features, including spam protection, backups, and priority support.');
      }
      return i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Upgrade your site for additional features, including spam protection, backups, security scanning, and priority support.');
    },
    getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('The features most needed by WordPress sites' + ' — perfectly packaged and optimized for everyone.'),
    getBillingTimeFrame: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('for life'),
    getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STANDARD_SECURITY_TOOLS */ .QMR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_STATS */ .Lpb, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_TRAFFIC_TOOLS */ .pX_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MANAGE */ .DtW, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_ADVANCED_SEO */ .W5X, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SEO_PREVIEW_TOOLS */ .emy, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_WORDPRESS_THEMES */ .Bb_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_SITE_STATS */ .Lpb, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_STANDARD_SECURITY_TOOLS */ .QMR, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_TRAFFIC_TOOLS */ .pX_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_BLANK */ .SyJ]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PREMIUM */ .Ry]: {
    ...getJetpackPremiumDetails(),
    ...getAnnualTimeframe(),
    getProductId: () => 2000,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PREMIUM */ .Ry,
    getPathSlug: () => 'premium'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PREMIUM_MONTHLY */ .Bf]: {
    ...getJetpackPremiumDetails(),
    ...getMonthlyTimeframe(),
    getProductId: () => 2003,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PREMIUM_MONTHLY */ .Bf,
    getPathSlug: () => 'premium-monthly'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PERSONAL */ .Y1]: {
    ...getJetpackPersonalDetails(),
    ...getAnnualTimeframe(),
    getProductId: () => 2005,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PERSONAL */ .Y1,
    getPathSlug: () => 'jetpack-personal'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PERSONAL_MONTHLY */ .Es]: {
    ...getJetpackPersonalDetails(),
    ...getMonthlyTimeframe(),
    getProductId: () => 2006,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_PERSONAL_MONTHLY */ .Es,
    getPathSlug: () => 'jetpack-personal-monthly'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_BUSINESS */ .kU]: {
    ...getJetpackBusinessDetails(),
    ...getAnnualTimeframe(),
    getProductId: () => 2001,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_BUSINESS */ .kU,
    getPathSlug: () => 'professional'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_BUSINESS_MONTHLY */ .Yh]: {
    ...getJetpackBusinessDetails(),
    ...getMonthlyTimeframe(),
    getProductId: () => 2004,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_BUSINESS_MONTHLY */ .Yh,
    getPathSlug: () => 'professional-monthly'
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_DAILY */ .I5]: {
    ...getPlanJetpackSecurityDailyDetails(),
    ...getAnnualTimeframe(),
    getMonthlySlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_DAILY_MONTHLY */ .uf,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_DAILY */ .I5,
    getPathSlug: () => 'security-daily',
    getProductId: () => 2010
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_DAILY_MONTHLY */ .uf]: {
    ...getPlanJetpackSecurityDailyDetails(),
    ...getMonthlyTimeframe(),
    getAnnualSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_DAILY */ .I5,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_DAILY_MONTHLY */ .uf,
    getPathSlug: () => 'security-daily-monthly',
    getProductId: () => 2011
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_REALTIME */ .sG]: {
    ...getPlanJetpackSecurityRealtimeDetails(),
    ...getAnnualTimeframe(),
    getMonthlySlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_REALTIME_MONTHLY */ .UB,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_REALTIME */ .sG,
    getPathSlug: () => 'security-realtime',
    getProductId: () => 2012
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_REALTIME_MONTHLY */ .UB]: {
    ...getPlanJetpackSecurityRealtimeDetails(),
    ...getMonthlyTimeframe(),
    getAnnualSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_REALTIME */ .sG,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_REALTIME_MONTHLY */ .UB,
    getPathSlug: () => 'security-realtime-monthly',
    getProductId: () => 2013
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_COMPLETE_BI_YEARLY */ ._4]: {
    ...getPlanJetpackCompleteDetails(),
    ...getBiAnnualTimeframe(),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_COMPLETE_BI_YEARLY */ ._4,
    getPathSlug: () => 'complete-bi-yearly',
    getProductId: () => 2035,
    getProductsIncluded: () => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BACKUP_T2_YEARLY */ .KJ, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SCAN_BI_YEARLY */ .kZ, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_ANTI_SPAM_BI_YEARLY */ .z7, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_VIDEOPRESS_BI_YEARLY */ .PE, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BOOST_BI_YEARLY */ .Dy, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SOCIAL_ADVANCED_BI_YEARLY */ .Xc, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SEARCH_BI_YEARLY */ .Je, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_STATS_BI_YEARLY */ .oI, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_CRM */ .yn, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_CREATOR_BI_YEARLY */ .Ld],
    getWhatIsIncluded: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VaultPress Backup: Real-time backups as you edit'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('1TB (1,000GB) of cloud storage'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('1-year activity log archive'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Unlimited one-click restores from the last 1 year'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Scan: Real-time malware scanning and one-click fixes'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Akismet: Comment and form spam protection (60k API calls/mo)'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VideoPress: 1TB of ad-free video hosting'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Boost: Automatic CSS generation'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Site Search: Up to 100k records and 100k requests/mo.'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Social: Get unlimited shares and share as a post by attaching images or videos.'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('CRM: Entrepreneur with 30 extensions')]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_COMPLETE */ .pz]: {
    ...getPlanJetpackCompleteDetails(),
    ...getAnnualTimeframe(),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_COMPLETE */ .pz,
    getPathSlug: () => 'complete',
    getProductId: () => 2014,
    getMonthlySlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_COMPLETE_MONTHLY */ .rD,
    getProductsIncluded: () => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BACKUP_T2_YEARLY */ .KJ, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SCAN */ .lB, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_ANTI_SPAM */ .Ac, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_VIDEOPRESS */ .Qj, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BOOST */ .F6, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SOCIAL_ADVANCED */ .eI, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SEARCH */ .AA, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_STATS_YEARLY */ .sL, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_CRM */ .yn, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_CREATOR_YEARLY */ .fl],
    getWhatIsIncluded: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VaultPress Backup: Real-time backups as you edit'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('1TB (1,000GB) of cloud storage'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('1-year activity log archive'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Unlimited one-click restores from the last 1 year'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Scan: Real-time malware scanning and one-click fixes'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Akismet: Comment and form spam protection (60k API calls/mo)'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VideoPress: 1TB of ad-free video hosting'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Boost: Automatic CSS generation'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Site Search: Up to 100k records and 100k requests/mo.'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Social: Get unlimited shares and share as a post by attaching images or videos.'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('CRM: Entrepreneur with 30 extensions')]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_COMPLETE_MONTHLY */ .rD]: {
    ...getPlanJetpackCompleteDetails(),
    ...getMonthlyTimeframe(),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_COMPLETE_MONTHLY */ .rD,
    getPathSlug: () => 'complete-monthly',
    getProductId: () => 2015,
    getAnnualSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_COMPLETE */ .pz,
    getProductsIncluded: () => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BACKUP_T2_MONTHLY */ .VK, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SCAN_MONTHLY */ .Pn, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_ANTI_SPAM_MONTHLY */ .mK, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_VIDEOPRESS_MONTHLY */ .yd, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BOOST_MONTHLY */ .Nd, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SOCIAL_ADVANCED_MONTHLY */ .ax, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SEARCH_MONTHLY */ .uG, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_STATS_MONTHLY */ .z4, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_CRM_MONTHLY */ .u, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_CREATOR_MONTHLY */ .Cw],
    getWhatIsIncluded: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VaultPress Backup: Real-time backups as you edit'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('1TB (1,000GB) of cloud storage'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('1-year activity log archive'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Unlimited one-click restores from the last 1-year'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Scan: Real-time malware scanning and one-click fixes'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Akismet: Comment and form spam protection (60k API calls/mo)'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VideoPress: 1TB of ad-free video hosting'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Boost: Automatic CSS generation'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Site Search: Up to 100k records and 100k requests/mo.'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Social: Get unlimited shares and share as a post by attaching images or videos.'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('CRM: Entrepreneur with 30 extensions')]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_T1_BI_YEARLY */ .nc]: {
    ...getPlanJetpackSecurityT1Details(),
    ...getBiAnnualTimeframe(),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_T1_BI_YEARLY */ .nc,
    getPathSlug: () => 'security-20gb-bi-yearly',
    getProductId: () => 2034,
    getProductsIncluded: () => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BACKUP_T1_BI_YEARLY */ .$r, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SCAN_BI_YEARLY */ .kZ, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_ANTI_SPAM_BI_YEARLY */ .z7],
    getWhatIsIncluded: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VaultPress Backup: Real-time backups as you edit'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('10GB of cloud storage'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('30-day activity log archive'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Unlimited one-click restores from the last 30 days'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Scan: Real-time malware scanning and one-click fixes'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Akismet: Comment and form spam protection (10k API calls/mo)')]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_T1_YEARLY */ .b2]: {
    ...getPlanJetpackSecurityT1Details(),
    ...getAnnualTimeframe(),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_T1_YEARLY */ .b2,
    getPathSlug: () => 'security-20gb-yearly',
    getProductId: () => 2016,
    getProductsIncluded: () => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BACKUP_T1_YEARLY */ .FI, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SCAN */ .lB, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_ANTI_SPAM */ .Ac],
    getWhatIsIncluded: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VaultPress Backup: Real-time backups as you edit'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('10GB of cloud storage'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('30-day activity log archive'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Unlimited one-click restores from the last 30 days'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Scan: Real-time malware scanning and one-click fixes'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Akismet: Comment and form spam protection (10k API calls/mo)')]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_T1_MONTHLY */ .eJ]: {
    ...getPlanJetpackSecurityT1Details(),
    ...getMonthlyTimeframe(),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_T1_MONTHLY */ .eJ,
    getPathSlug: () => 'security-20gb-monthly',
    getProductId: () => 2017,
    getProductsIncluded: () => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BACKUP_T1_MONTHLY */ .CS, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SCAN_MONTHLY */ .Pn, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_ANTI_SPAM_MONTHLY */ .mK],
    getWhatIsIncluded: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VaultPress Backup: Real-time backups as you edit'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('10GB of cloud storage'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('30-day activity log archive'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Unlimited one-click restores from the last 30 days'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Scan: Real-time malware scanning and one-click fixes'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Akismet: Comment and form spam protection (10k API calls/mo)')]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_T2_YEARLY */ .as]: {
    ...getPlanJetpackSecurityT2Details(),
    ...getAnnualTimeframe(),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_T2_YEARLY */ .as,
    getPathSlug: () => 'security-1tb-yearly',
    getProductId: () => 2019,
    getProductsIncluded: () => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BACKUP_T2_YEARLY */ .KJ, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SCAN */ .lB, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_ANTI_SPAM */ .Ac],
    getWhatIsIncluded: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VaultPress Backup: Real-time backups as you edit'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('{{strong}}1TB (1,000GB){{/strong}} of cloud storage', {
      components: {
        strong: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("strong", null)
      }
    }), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('{{strong}}1-year{{/strong}} activity log archive', {
      components: {
        strong: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("strong", null)
      }
    }), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Unlimited one-click restores from the last {{strong}}1 year{{/strong}}', {
      components: {
        strong: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("strong", null)
      }
    }), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Scan: Real-time malware scanning and one-click fixes'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Akismet: Comment and form spam protection (10k API calls/mo)')]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_T2_MONTHLY */ .Xo]: {
    ...getPlanJetpackSecurityT2Details(),
    ...getMonthlyTimeframe(),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_SECURITY_T2_MONTHLY */ .Xo,
    getPathSlug: () => 'security-1tb-monthly',
    getProductId: () => 2020,
    getProductsIncluded: () => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BACKUP_T2_MONTHLY */ .VK, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_SCAN_MONTHLY */ .Pn, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_ANTI_SPAM_MONTHLY */ .mK],
    getWhatIsIncluded: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VaultPress Backup: Real-time backups as you edit'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('{{strong}}1TB (1,000GB){{/strong}} of cloud storage', {
      components: {
        strong: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("strong", null)
      }
    }), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('{{strong}}1-year{{/strong}} activity log archive', {
      components: {
        strong: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("strong", null)
      }
    }), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Unlimited one-click restores from the last {{strong}}1 year{{/strong}}', {
      components: {
        strong: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("strong", null)
      }
    }), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Scan: Real-time malware scanning and one-click fixes'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Akismet: Comment and form spam protection (10k API calls/mo)')]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_STARTER_YEARLY */ .cC]: {
    ...getPlanJetpackStarterDetails(),
    ...getAnnualTimeframe(),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_STARTER_YEARLY */ .cC,
    getPathSlug: () => 'starter-yearly',
    getProductId: () => 2030,
    getProductsIncluded: () => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BACKUP_T0_YEARLY */ .Q$, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_ANTI_SPAM */ .Ac],
    getWhatIsIncluded: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VaultPress Backup: Real-time backups as you edit'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('1GB of cloud storage'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('30-day activity log archive'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Unlimited one-click restores from the last 30 days'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Akismet: Comment and form spam protection (1k API calls/mo)')]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_STARTER_MONTHLY */ .$b]: {
    ...getPlanJetpackStarterDetails(),
    ...getMonthlyTimeframe(),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_STARTER_MONTHLY */ .$b,
    getPathSlug: () => 'starter-monthly',
    getProductId: () => 2031,
    getProductsIncluded: () => [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_BACKUP_T0_MONTHLY */ .Hs, _constants__WEBPACK_IMPORTED_MODULE_4__/* .PRODUCT_JETPACK_ANTI_SPAM_MONTHLY */ .mK],
    getWhatIsIncluded: () => [(0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('VaultPress Backup: Real-time backups as you edit'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('1GB of cloud storage'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('30-day activity log archive'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Unlimited one-click restores from the last 30 days'), (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('Akismet: Comment and form spam protection (1k API calls/mo)')]
  },
  [_constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_GOLDEN_TOKEN */ .Vl]: {
    ...getPlanJetpackGoldenTokenDetails(),
    ...getAnnualTimeframe(),
    getMonthlySlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_GOLDEN_TOKEN */ .Vl,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_4__/* .PLAN_JETPACK_GOLDEN_TOKEN */ .Vl,
    getPathSlug: () => 'golden-token',
    getProductId: () => 2900
  },
  [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_P2_PLUS */ .M4]: {
    ...getDotcomPlanDetails(),
    group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_P2 */ .Ft,
    type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_P2_PLUS */ .zf,
    getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('P2+'),
    getDescription: () => '',
    getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for professionals:{{/strong}} Enhance your P2 with more space for audio and video, advanced search, an activity overview panel, and priority customer support.', plansDescriptionHeadingComponent),
    getShortDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Some short description'),
    get2023PricingGridSignupWpcomFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_13GB_STORAGE */ .YgQ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_ADVANCED_SEARCH */ .MtP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_VIDEO_SHARING */ .FHf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_MORE_FILE_TYPES */ .fls, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_PRIORITY_CHAT_EMAIL_SUPPORT */ .Z1x, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_ACTIVITY_OVERVIEW */ .ow],
    get2023PricingGridSignupStorageOptions: () => {
      return [{
        slug: _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_13GB_STORAGE */ .YgQ,
        isAddOn: false
      }];
    },
    getPlanCompareFeatures: () => [
    // pay attention to ordering, shared features should align on /plan page
    _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_13GB_STORAGE */ .YgQ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_ADVANCED_SEARCH */ .MtP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_VIDEO_SHARING */ .FHf, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_MORE_FILE_TYPES */ .fls, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_PRIORITY_CHAT_EMAIL_SUPPORT */ .Z1x, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_ACTIVITY_OVERVIEW */ .ow],
    // TODO: update this once we put P2+ in the signup.
    getSignupFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_EMAIL_SUPPORT_SIGNUP */ .RZD],
    // TODO: no idea about this, copied from the WP.com Premium plan.
    // Features not displayed but used for checking plan abilities
    getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_AUDIO_UPLOADS */ .R_9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SEARCH_BI_YEARLY */ .siL, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SEARCH */ .xsQ, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_JETPACK_SEARCH_MONTHLY */ .Dw1],
    getInferiorFeatures: () => [],
    // TODO: Calypso requires this prop but we probably don't need it. Refactor Calypso?
    getAudience: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Best for bloggers'),
    ...getMonthlyTimeframe(),
    availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7].includes(plan),
    //TODO: only for P2 sites.
    getProductId: () => 1040,
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_P2_PLUS */ .M4,
    getPathSlug: () => 'p2-plus',
    getBillingTimeFrame: () => (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .translate */ .Tl)('per user per month')
  }
};
PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_P2_FREE */ .Ap] = {
  ...PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7],
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_P2 */ .Ft,
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('{{strong}}Best for small groups:{{/strong}} All the features needed to share, discuss, review, and collaborate with your team in one spot, without interruptions.', plansDescriptionHeadingComponent),
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('P2 Free'),
  get2023PricingGridSignupWpcomFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_3GB_STORAGE */ .Tjc, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_UNLIMITED_USERS */ .DA$, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_UNLIMITED_POSTS_PAGES */ .ba_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_SIMPLE_SEARCH */ .q6q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_CUSTOMIZATION_OPTIONS */ .dZJ],
  get2023PricingGridSignupStorageOptions: () => {
    return [{
      slug: _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_3GB_STORAGE */ .Tjc,
      isAddOn: false
    }];
  },
  getPlanCompareFeatures: () => [
  // pay attention to ordering, shared features should align on /plan page
  _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_3GB_STORAGE */ .Tjc, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_UNLIMITED_USERS */ .DA$, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_UNLIMITED_POSTS_PAGES */ .ba_, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_SIMPLE_SEARCH */ .q6q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_P2_CUSTOMIZATION_OPTIONS */ .dZJ]
};

// Brand new WPCOM plans
PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC] = {
  ...getDotcomPlanDetails(),
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_STARTER */ .P3,
  term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('WordPress Starter'),
  getProductId: () => 1033,
  getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC,
  getPathSlug: () => 'starter',
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay.hasTranslation('Start with a custom domain name, simple payments, and extra storage.') || ['en', 'en-gb'].includes((0,i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* .getLocaleSlug */ .yb)() || '') ? i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Start with a custom domain name, simple payments, and extra storage.') : i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Start your WordPress.com website. Limited functionality and storage.'),
  getSubTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Essential features. Freedom to grow.'),
  getBillingTimeFrame: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('per month, billed yearly'),
  getPlanCompareFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_TRAFFIC */ .l5Q, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_MANAGED_HOSTING */ .CR9, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_FREE_THEMES */ .vCo, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_CUSTOM_DOMAIN */ .kgl, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_UNLIMITED_ADMINS */ .uVr, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_6GB_STORAGE */ .TEv, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_GOOGLE_ANALYTICS */ .AOP, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_PAYMENT_BLOCKS */ .DyV, _constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_TITAN_EMAIL */ .ZxR],
  getIncludedFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .WPCOM_FEATURES_INSTALL_PURCHASED_PLUGINS */ .Qqh]
};
PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_FLEXIBLE */ .LP] = {
  // Inherits the free plan
  ...PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7],
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_FLEXIBLE */ .nT,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('WordPress Free'),
  getBillingTimeFrame: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('upgrade when you need'),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Start your free WordPress.com website. Limited functionality and storage.'),
  getPlanCompareFeatures: () => [_constants__WEBPACK_IMPORTED_MODULE_5__/* .FEATURE_1GB_STORAGE */ .sgf]
};
PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO */ .Bk] = {
  ...getPlanProDetails(),
  term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_ANNUALLY */ .Lf,
  getProductId: () => 1032,
  getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO */ .Bk,
  getPathSlug: () => 'pro',
  getBillingTimeFrame: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('per month, billed yearly')
};
PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY] = {
  ...getPlanProDetails(),
  ...getMonthlyTimeframe(),
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7].includes(plan),
  getProductId: () => 1034,
  getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY,
  getPathSlug: () => 'pro-monthly'
};
PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_2_YEARS */ .vD] = {
  ...getPlanProDetails(),
  term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_BIENNIALLY */ .$5,
  availableFor: plan => [_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_FREE */ .T7, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_STARTER */ .BC, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO */ .Bk, _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_MONTHLY */ .zY].includes(plan),
  getProductId: () => 1035,
  getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_WPCOM_PRO_2_YEARS */ .vD,
  getPathSlug: () => 'pro-2-years',
  getBillingTimeFrame: WPComGetBiennialBillingTimeframe
};
PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$] = {
  ...getDotcomPlanDetails(),
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_ECOMMERCE */ .UQ,
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  getProductId: () => 1052,
  getPathSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$,
  term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_MONTHLY */ .he,
  getBillingTimeFrame: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('free trial'),
  getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_ECOMMERCE_TRIAL_MONTHLY */ .E$,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Entrepreneur free trial'),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Entrepreneur free trial'),
  getTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Get a taste of the world’s most popular eCommerce software.')
};
if ((0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_1__/* .isEnabled */ .Ol)('plans/migration-trial')) {
  PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ] = {
    ...getPlanBusinessDetails(),
    type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_BUSINESS */ .e8,
    group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
    getProductId: () => 1057,
    getPathSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ,
    term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_MONTHLY */ .he,
    getBillingTimeFrame: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('free trial'),
    getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_MIGRATION_TRIAL_MONTHLY */ .uQ,
    getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Creator Trial')
  };
}
PLANS_LIST[_constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey] = {
  ...getPlanBusinessDetails(),
  getPlanTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Try all the features of our Creator plan.'),
  type: _constants__WEBPACK_IMPORTED_MODULE_7__/* .TYPE_BUSINESS */ .e8,
  group: _constants__WEBPACK_IMPORTED_MODULE_6__/* .GROUP_WPCOM */ .hz,
  getProductId: () => 1058,
  getPathSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey,
  term: _constants__WEBPACK_IMPORTED_MODULE_3__/* .TERM_MONTHLY */ .he,
  getBillingTimeFrame: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Try it for 3 days'),
  getStoreSlug: () => _constants__WEBPACK_IMPORTED_MODULE_6__/* .PLAN_HOSTING_TRIAL_MONTHLY */ .Ey,
  getTitle: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Creator Trial'),
  getDescription: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Hosting free trial'),
  getTagline: () => i18n_calypso__WEBPACK_IMPORTED_MODULE_2__/* ["default"].translate */ .Ay.translate('Get a taste of unlimited performance and unbeatable uptime')
};

/***/ }),

/***/ 88977:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/**
 * The main path matching regexp utility.
 * @type {RegExp}
 */
const PATH_REGEXP = new RegExp([
// Match escaped characters that would otherwise appear in future matches.
// This allows the user to escape special characters that won't transform.
'(\\\\.)',
// Match Express-style parameters and un-named parameters with a prefix
// and optional suffixes. Matches appear as:
//
// "/:test(\\d+)?" => ["/", "test", "\d+", undefined, "?", undefined]
// "/route(\\d+)"  => [undefined, undefined, undefined, "\d+", undefined, undefined]
// "/*"            => ["/", undefined, undefined, undefined, undefined, "*"]
'([\\/.])?(?:(?:\\:(\\w+)(?:\\(((?:\\\\.|[^()])+)\\))?|\\(((?:\\\\.|[^()])+)\\))([+*?])?|(\\*))'].join('|'), 'g');

/**
 * Parse a string for the raw tokens.
 * @param {string} str
 * @returns {Array}
 */
function parse(str) {
  const tokens = [];
  let key = 0;
  let index = 0;
  let path = '';
  let res;
  while ((res = PATH_REGEXP.exec(str)) != null) {
    const m = res[0];
    const escaped = res[1];
    const offset = res.index;
    path += str.slice(index, offset);
    index = offset + m.length;

    // Ignore already escaped sequences.
    if (escaped) {
      path += escaped[1];
      continue;
    }

    // Push the current path onto the tokens.
    if (path) {
      tokens.push(path);
      path = '';
    }
    const prefix = res[2];
    const name = res[3];
    const capture = res[4];
    const group = res[5];
    const suffix = res[6];
    const asterisk = res[7];
    const repeat = suffix === '+' || suffix === '*';
    const optional = suffix === '?' || suffix === '*';
    const delimiter = prefix || '/';
    const pattern = capture || group || (asterisk ? '.*' : '[^' + delimiter + ']+?');
    tokens.push({
      name: name || key++,
      prefix: prefix || '',
      delimiter: delimiter,
      optional: optional,
      repeat: repeat,
      pattern: escapeGroup(pattern)
    });
  }

  // Match any characters still remaining.
  if (index < str.length) {
    path += str.substring(index);
  }

  // If the path exists, push it onto the end.
  if (path) {
    tokens.push(path);
  }
  return tokens;
}

/**
 * Compile a string to a template function for the path.
 * @param {string} str
 * @returns {Function}
 */
function compile(str) {
  return tokensToFunction(parse(str));
}

/**
 * Expose a method for transforming tokens into the path function.
 */
function tokensToFunction(tokens) {
  // Compile all the tokens into regexps.
  const matches = new Array(tokens.length);

  // Compile all the patterns before compilation.
  for (let i = 0; i < tokens.length; i++) {
    if (typeof tokens[i] === 'object') {
      matches[i] = new RegExp('^' + tokens[i].pattern + '$');
    }
  }
  return function (obj) {
    let path = '';
    const data = obj || {};
    for (let i = 0; i < tokens.length; i++) {
      const token = tokens[i];
      if (typeof token === 'string') {
        path += token;
        continue;
      }
      const value = data[token.name];
      if (value == null) {
        if (token.optional) {
          continue;
        } else {
          throw new TypeError('Expected "' + token.name + '" to be defined');
        }
      }
      if (Array.isArray(value)) {
        if (!token.repeat) {
          throw new TypeError('Expected "' + token.name + '" to not repeat, but received "' + value + '"');
        }
        if (value.length === 0) {
          if (token.optional) {
            continue;
          } else {
            throw new TypeError('Expected "' + token.name + '" to not be empty');
          }
        }
        for (let j = 0; j < value.length; j++) {
          const segment = encodeURIComponent(value[j]);
          if (!matches[i].test(segment)) {
            throw new TypeError('Expected all "' + token.name + '" to match "' + token.pattern + '", but received "' + segment + '"');
          }
          path += (j === 0 ? token.prefix : token.delimiter) + segment;
        }
        continue;
      }
      const segment = encodeURIComponent(value);
      if (!matches[i].test(segment)) {
        throw new TypeError('Expected "' + token.name + '" to match "' + token.pattern + '", but received "' + segment + '"');
      }
      path += token.prefix + segment;
    }
    return path;
  };
}

/**
 * Escape a regular expression string.
 * @param {string} str
 * @returns {string}
 */
function escapeString(str) {
  return str.replace(/([.+*?=^!:${}()[\]|/])/g, '\\$1');
}

/**
 * Escape the capturing group by escaping special characters and meaning.
 * @param {string} group
 * @returns {string}
 */
function escapeGroup(group) {
  return group.replace(/([=!:$/()])/g, '\\$1');
}

/**
 * Attach the keys as a property of the regexp.
 * @param {RegExp} re
 * @param {Array} keys
 * @returns {RegExp}
 */
function attachKeys(re, keys) {
  re.keys = keys;
  return re;
}

/**
 * Get the flags for a regexp from the options.
 * @param {Object} options
 * @returns {string}
 */
function flags(options) {
  return options.sensitive ? '' : 'i';
}

/**
 * Pull out keys from a regexp.
 * @param {RegExp} path
 * @param {Array} keys
 * @returns {RegExp}
 */
function regexpToRegexp(path, keys) {
  // Use a negative lookahead to match only capturing groups.
  const groups = path.source.match(/\((?!\?)/g);
  if (groups) {
    for (let i = 0; i < groups.length; i++) {
      keys.push({
        name: i,
        prefix: null,
        delimiter: null,
        optional: false,
        repeat: false,
        pattern: null
      });
    }
  }
  return attachKeys(path, keys);
}

/**
 * Transform an array into a regexp.
 * @param {Array} path
 * @param {Array} keys
 * @param {Object} options
 * @returns {RegExp}
 */
function arrayToRegexp(path, keys, options) {
  const parts = [];
  for (let i = 0; i < path.length; i++) {
    parts.push(pathToRegexp(path[i], keys, options).source);
  }
  const regexp = new RegExp('(?:' + parts.join('|') + ')', flags(options));
  return attachKeys(regexp, keys);
}

/**
 * Create a path regexp from string input.
 * @param {string} path
 * @param {Array} keys
 * @param {Object} options
 * @returns {RegExp}
 */
function stringToRegexp(path, keys, options) {
  const tokens = parse(path);
  const re = tokensToRegExp(tokens, options);

  // Attach keys back to the regexp.
  for (let i = 0; i < tokens.length; i++) {
    if (typeof tokens[i] !== 'string') {
      keys.push(tokens[i]);
    }
  }
  return attachKeys(re, keys);
}

/**
 * Expose a function for taking tokens and returning a RegExp.
 * @param  {Array}  tokens
 * @param  {Object} options
 * @returns {RegExp}
 */
function tokensToRegExp(tokens, options) {
  options = options || {};
  const strict = options.strict;
  const end = options.end !== false;
  let route = '';
  const lastToken = tokens[tokens.length - 1];
  const endsWithSlash = typeof lastToken === 'string' && /\/$/.test(lastToken);

  // Iterate over the tokens and create our regexp string.
  for (const token of tokens) {
    if (typeof token === 'string') {
      route += escapeString(token);
    } else {
      const prefix = escapeString(token.prefix);
      let capture = token.pattern;
      if (token.repeat) {
        capture += '(?:' + prefix + capture + ')*';
      }
      if (token.optional) {
        if (prefix) {
          capture = '(?:' + prefix + '(' + capture + '))?';
        } else {
          capture = '(' + capture + ')?';
        }
      } else {
        capture = prefix + '(' + capture + ')';
      }
      route += capture;
    }
  }

  // In non-strict mode we allow a slash at the end of match. If the path to
  // match already ends with a slash, we remove it for consistency. The slash
  // is valid at the end of a path match, not in the middle. This is important
  // in non-ending mode, where "/test/" shouldn't match "/test//route".
  if (!strict) {
    route = (endsWithSlash ? route.slice(0, -2) : route) + '(?:\\/(?=$))?';
  }
  if (end) {
    route += '$';
  } else {
    // In non-ending mode, we need the capturing groups to match as much as
    // possible by using a positive lookahead to the end or next path segment.
    route += strict && endsWithSlash ? '' : '(?=\\/|$)';
  }
  return new RegExp('^' + route, flags(options));
}

/**
 * Normalize the given path string, returning a regular expression.
 *
 * An empty array can be passed in for the keys, which will hold the
 * placeholder key descriptions. For example, using `/user/:id`, `keys` will
 * contain `[{ name: 'id', delimiter: '/', optional: false, repeat: false }]`.
 * @param {string|RegExp|Array} path
 * @param {Array} [keys]
 * @param {Object} [options]
 * @returns {RegExp}
 */
function pathToRegexp(path, keys, options) {
  keys = keys || [];
  if (!Array.isArray(keys)) {
    options = keys;
    keys = [];
  } else if (!options) {
    options = {};
  }
  if (path instanceof RegExp) {
    return regexpToRegexp(path, keys, options);
  }
  if (Array.isArray(path)) {
    return arrayToRegexp(path, keys, options);
  }
  return stringToRegexp(path, keys, options);
}
pathToRegexp.parse = parse;
pathToRegexp.compile = compile;
pathToRegexp.tokensToFunction = tokensToFunction;
pathToRegexp.tokensToRegExp = tokensToRegExp;

/**
 * Module dependencies.
 */

/**
 * Short-cuts for global-object checks
 */
const hasDocument = 'undefined' !== typeof document;
const hasWindow = 'undefined' !== "object";
const hasHistory = 'undefined' !== typeof history;

/**
 * Detect click event
 */
const clickEvent = hasDocument && document.ontouchstart ? 'touchstart' : 'click';

/**
 * To work properly with the URL
 * history.location generated polyfill in https://github.com/devote/HTML5-History-API
 */
const isLocation = hasWindow && !!(window.history.location || window.location);

/**
 * The page instance
 */
function Page() {
  // public things
  this.callbacks = [];
  this.exits = [];
  this.current = '';
  this.len = 0;

  // private things
  this._base = '';
  this._strict = false;
  this._running = false;
  this._hashbang = false;

  // bound functions
  this.clickHandler = this.clickHandler.bind(this);
  this._onpopstate = this._onpopstate.bind(this);
}

/**
 * Configure the instance of page. This can be called multiple times.
 * @param {Object} options
 */

Page.prototype.configure = function (options) {
  const opts = options || {};
  this._window = opts.window || hasWindow && window;
  this._popstate = opts.popstate !== false && hasWindow;
  this._click = opts.click !== false && hasDocument;
  this._hashbang = !!opts.hashbang;
  const _window = this._window;
  if (this._popstate) {
    _window.addEventListener('popstate', this._onpopstate, false);
  } else if (hasWindow) {
    _window.removeEventListener('popstate', this._onpopstate, false);
  }
  if (this._click) {
    _window.document.addEventListener(clickEvent, this.clickHandler, false);
  } else if (hasDocument) {
    _window.document.removeEventListener(clickEvent, this.clickHandler, false);
  }
  if (this._hashbang && hasWindow && !hasHistory) {
    _window.addEventListener('hashchange', this._onpopstate, false);
  } else if (hasWindow) {
    _window.removeEventListener('hashchange', this._onpopstate, false);
  }
};

/**
 * Get or set basepath to `path`.
 * @param {string} path
 */

Page.prototype.base = function (path) {
  if (0 === arguments.length) {
    return this._base;
  }
  this._base = path;
};

/**
 * Gets the `base`, which depends on whether we are using History or
 * hashbang routing.
 */
Page.prototype._getBase = function () {
  let base = this._base;
  if (base) {
    return base;
  }
  const loc = hasWindow && this._window && this._window.location;
  if (hasWindow && this._hashbang && loc && loc.protocol === 'file:') {
    base = loc.pathname;
  }
  return base;
};

/**
 * Get or set strict path matching to `enable`
 * @param {boolean} enable
 */

Page.prototype.strict = function (enable) {
  if (0 === arguments.length) {
    return this._strict;
  }
  this._strict = enable;
};

/**
 * Bind with the given `options`.
 *
 * Options:
 * - `click` bind to click events [true]
 * - `popstate` bind to popstate [true]
 * - `dispatch` perform initial dispatch [true]
 * @param {Object} options
 */

Page.prototype.start = function (options) {
  const opts = options || {};
  this.configure(opts);
  if (false === opts.dispatch) {
    return;
  }
  this._running = true;
  let url;
  if (isLocation) {
    const window = this._window;
    const loc = window.location;
    if (this._hashbang && loc.hash.indexOf('#!') !== -1) {
      url = loc.hash.substr(2) + loc.search;
    } else if (this._hashbang) {
      url = loc.search + loc.hash;
    } else {
      url = loc.pathname + loc.search + loc.hash;
    }
  }
  this.replace(url, null, true, opts.dispatch);
};

/**
 * Unbind click and popstate event handlers.
 */

Page.prototype.stop = function () {
  if (!this._running) {
    return;
  }
  this.current = '';
  this.len = 0;
  this._running = false;
  const window = this._window;
  this._click && window.document.removeEventListener(clickEvent, this.clickHandler, false);
  hasWindow && window.removeEventListener('popstate', this._onpopstate, false);
  hasWindow && window.removeEventListener('hashchange', this._onpopstate, false);
};

/**
 * Show `path` with optional `state` object.
 * @param {string} path
 * @param {Object=} state
 * @param {boolean=} dispatch
 * @param {boolean=} push
 * @returns {!Context}
 */

Page.prototype.show = function (path, state, dispatch, push) {
  const ctx = new Context(path, state, this);
  const prev = this.prevContext;
  this.prevContext = ctx;
  this.current = ctx.path;
  if (false !== dispatch) {
    this.dispatch(ctx, prev);
  }
  if (false !== ctx.handled && false !== push) {
    ctx.pushState();
  }
  return ctx;
};

/**
 * Goes back in the history
 * Back should always let the current route push state and then go back.
 * @param {string} path - fallback path to go back if no more history exists, if undefined defaults to page.base
 * @param {Object=} state
 */

Page.prototype.back = function (path, state) {
  if (this.len > 0) {
    const window = this._window;
    // this may need more testing to see if all browsers
    // wait for the next tick to go back in history
    hasHistory && window.history.back();
    this.len--;
  } else if (path) {
    setTimeout(() => {
      this.show(path, state);
    }, 0);
  } else {
    setTimeout(() => {
      this.show(this._getBase(), state);
    }, 0);
  }
};

/**
 * Register route to redirect from one path to other
 * or just redirect to another route
 * @param {string} from - if param 'to' is undefined redirects to 'from'
 * @param {string=} to
 */
Page.prototype.redirect = function (from, to) {
  // Define route from a path to another
  if ('string' === typeof from && 'string' === typeof to) {
    page.call(this, from, () => {
      setTimeout(() => {
        this.replace( /** @type {!string} */to);
      }, 0);
    });
  }

  // Wait for the push state and replace it with another
  if ('string' === typeof from && 'undefined' === typeof to) {
    setTimeout(() => {
      this.replace(from);
    }, 0);
  }
};

/**
 * Replace `path` with optional `state` object.
 * @param {string} path
 * @param {Object=} state
 * @param {boolean=} init
 * @param {boolean=} dispatch
 * @returns {!Context}
 */

Page.prototype.replace = function (path, state, init, dispatch) {
  const ctx = new Context(path, state, this);
  const prev = this.prevContext;
  this.prevContext = ctx;
  this.current = ctx.path;
  ctx.init = init;
  ctx.save(); // save before dispatching, which may redirect
  if (false !== dispatch) {
    this.dispatch(ctx, prev);
  }
  return ctx;
};

/**
 * Dispatch the given `ctx`.
 * @param {Context} ctx
 */
Page.prototype.dispatch = function (ctx, prev) {
  let i = 0;
  let j = 0;
  const nextEnter = () => {
    if (ctx.path !== this.current) {
      ctx.handled = false;
      return;
    }
    let fn;
    while (1) {
      fn = this.callbacks[i++];
      if (!fn) {
        return unhandled.call(this, ctx);
      }
      if (fn.match(ctx)) {
        break;
      }
    }
    fn(ctx, nextEnter);
  };
  const nextExit = () => {
    let fn;
    while (1) {
      fn = this.exits[j++];
      if (!fn) {
        return nextEnter();
      }
      if (fn.match(prev)) {
        break;
      }
    }
    fn(prev, nextExit);
  };
  if (prev) {
    nextExit();
  } else {
    nextEnter();
  }
};

/**
 * Register an exit route on `path` with
 * callback `fn()`, which will be called
 * on the previous context when a new
 * page is visited.
 */
Page.prototype.exit = function (path, ...fns) {
  if (typeof path === 'function') {
    return this.exit('*', path);
  }
  const route = new Route(path, null, this);
  for (const fn of fns) {
    this.exits.push(route.middleware(fn));
  }
};

/**
 * Handle "click" events.
 */

/* jshint +W054 */
Page.prototype.clickHandler = function (e) {
  if (1 !== this._which(e)) {
    return;
  }
  if (e.metaKey || e.ctrlKey || e.shiftKey) {
    return;
  }
  if (e.defaultPrevented) {
    return;
  }

  // ensure link
  // use shadow dom when available if not, fall back to composedPath()
  // for browsers that only have shady
  let el = e.target;
  const eventPath = e.path || (e.composedPath ? e.composedPath() : null);
  if (eventPath) {
    for (let i = 0; i < eventPath.length; i++) {
      if (!eventPath[i].nodeName) {
        continue;
      }
      if (eventPath[i].nodeName.toUpperCase() !== 'A') {
        continue;
      }
      if (!eventPath[i].href) {
        continue;
      }
      el = eventPath[i];
      break;
    }
  }

  // continue ensure link
  // el.nodeName for svg links are 'a' instead of 'A'
  while (el && 'A' !== el.nodeName.toUpperCase()) {
    el = el.parentNode;
  }
  if (!el || 'A' !== el.nodeName.toUpperCase()) {
    return;
  }

  // check if link is inside an svg
  // in this case, both href and target are always inside an object
  const svg = typeof el.href === 'object' && el.href.constructor.name === 'SVGAnimatedString';

  // Ignore if tag has
  // 1. "download" attribute
  // 2. rel="external" attribute
  if (el.hasAttribute('download') || el.getAttribute('rel') === 'external') {
    return;
  }

  // ensure non-hash for the same path
  const link = el.getAttribute('href');
  if (!this._hashbang && this._samePath(el) && (el.hash || '#' === link)) {
    return;
  }

  // Check for mailto: in the href
  if (link && link.indexOf('mailto:') > -1) {
    return;
  }

  // check target
  // svg target is an object and its desired value is in .baseVal property
  if (svg ? el.target.baseVal : el.target) {
    return;
  }

  // x-origin
  // note: svg links that are not relative don't call click events (and skip page.js)
  // consequently, all svg links tested inside page.js are relative and in the same origin
  if (!svg && !this.sameOrigin(el.href)) {
    return;
  }

  // rebuild path
  // There aren't .pathname and .search properties in svg links, so we use href
  // Also, svg href is an object and its desired value is in .baseVal property
  let path = svg ? el.href.baseVal : el.pathname + el.search + (el.hash || '');
  path = path[0] !== '/' ? '/' + path : path;

  // same page
  const orig = path;
  const pageBase = this._getBase();
  if (path.indexOf(pageBase) === 0) {
    path = path.substr(pageBase.length);
  }
  if (this._hashbang) {
    path = path.replace('#!', '');
  }
  if (pageBase && orig === path && (!isLocation || this._window.location.protocol !== 'file:')) {
    return;
  }
  e.preventDefault();
  this.show(orig);
};

/**
 * Handle "populate" events.
 */
Page.prototype._onpopstate = function () {
  let loaded = false;
  if (!hasWindow) {
    return function () {};
  }
  if (hasDocument && document.readyState === 'complete') {
    loaded = true;
  } else {
    window.addEventListener('load', function () {
      setTimeout(function () {
        loaded = true;
      }, 0);
    });
  }
  return function onpopstate(e) {
    if (!loaded) {
      return;
    }
    if (e.state) {
      const path = e.state.path;
      this.replace(path, e.state);
    } else if (isLocation) {
      const loc = this._window.location;
      this.show(loc.pathname + loc.search + loc.hash, undefined, undefined, false);
    }
  };
}();

/**
 * Event button.
 */
Page.prototype._which = function (e) {
  e = e || hasWindow && this._window.event;
  return null == e.which ? e.button : e.which;
};

/**
 * Convert to a URL object
 */
Page.prototype._toURL = function (href) {
  const window = this._window;
  if (typeof URL === 'function' && isLocation) {
    return new URL(href, window.location.toString());
  } else if (hasDocument) {
    const anc = window.document.createElement('a');
    anc.href = href;
    return anc;
  }
};

/**
 * Check if `href` is the same origin.
 * @param {string} href
 */
Page.prototype.sameOrigin = function (href) {
  if (!href || !isLocation) {
    return false;
  }
  const url = this._toURL(href);
  const window = this._window;
  const loc = window.location;
  return loc.protocol === url.protocol && loc.hostname === url.hostname && loc.port === url.port;
};

/**
 * Check if `url` is the same path.
 */
Page.prototype._samePath = function (url) {
  if (!isLocation) {
    return false;
  }
  const window = this._window;
  const loc = window.location;
  return url.pathname === loc.pathname && url.search === loc.search;
};

/**
 * Create a new `page` instance and function
 */
function createPage() {
  const pageInstance = new Page();
  function pageFn( /* args */
  ) {
    return page.apply(pageInstance, arguments);
  }

  // Copy all of the things over. In 2.0 maybe we use setPrototypeOf
  pageFn.callbacks = pageInstance.callbacks;
  pageFn.exits = pageInstance.exits;
  pageFn.base = pageInstance.base.bind(pageInstance);
  pageFn.strict = pageInstance.strict.bind(pageInstance);
  pageFn.start = pageInstance.start.bind(pageInstance);
  pageFn.stop = pageInstance.stop.bind(pageInstance);
  pageFn.show = pageInstance.show.bind(pageInstance);
  pageFn.back = pageInstance.back.bind(pageInstance);
  pageFn.redirect = pageInstance.redirect.bind(pageInstance);
  pageFn.replace = pageInstance.replace.bind(pageInstance);
  pageFn.dispatch = pageInstance.dispatch.bind(pageInstance);
  pageFn.exit = pageInstance.exit.bind(pageInstance);
  pageFn.configure = pageInstance.configure.bind(pageInstance);
  pageFn.sameOrigin = pageInstance.sameOrigin.bind(pageInstance);
  pageFn.clickHandler = pageInstance.clickHandler.bind(pageInstance);
  pageFn.create = createPage;
  Object.defineProperty(pageFn, 'len', {
    get: function () {
      return pageInstance.len;
    },
    set: function (val) {
      pageInstance.len = val;
    }
  });
  Object.defineProperty(pageFn, 'current', {
    get: function () {
      return pageInstance.current;
    },
    set: function (val) {
      pageInstance.current = val;
    }
  });

  // In 2.0 these can be named exports
  pageFn.Context = Context;
  pageFn.Route = Route;
  return pageFn;
}

/**
 * Register `path` with callback `fn()`,
 * or route `path`, or redirection,
 * or `page.start()`.
 *
 *   page(fn);
 *   page('*', fn);
 *   page('/user/:id', load, user);
 *   page('/user/' + user.id, { some: 'thing' });
 *   page('/user/' + user.id);
 *   page('/from', '/to')
 *   page();
 * @param {string|!Function|!Object} path
 * @param {Function=} fn
 */
function page(path, fn) {
  // <callback>
  if ('function' === typeof path) {
    return page.call(this, '*', path);
  }

  // route <path> to <callback ...>
  if ('function' === typeof fn) {
    const route = new Route( /** @type {string} */path, null, this);
    for (let i = 1; i < arguments.length; ++i) {
      this.callbacks.push(route.middleware(arguments[i]));
    }
    // show <path> with [state]
  } else if ('string' === typeof path) {
    this['string' === typeof fn ? 'redirect' : 'show'](path, fn);
    // start [options]
  } else {
    this.start(path);
  }
}

/**
 * Unhandled `ctx`. When it's not the initial
 * popstate then redirect. If you wish to handle
 * 404s on your own use `page('*', callback)`.
 * @param {Context} ctx
 */
function unhandled(ctx) {
  if (ctx.handled) {
    return;
  }
  let current;
  const window = this._window;
  if (this._hashbang) {
    current = isLocation && this._getBase() + window.location.hash.replace('#!', '');
  } else {
    current = isLocation && window.location.pathname + window.location.search;
  }
  if (current === ctx.canonicalPath) {
    return;
  }
  this.stop();
  ctx.handled = false;
  isLocation && (window.location.href = ctx.canonicalPath);
}

/**
 * Escapes RegExp characters in the given string.
 * @param {string} s
 */
function escapeRegExp(s) {
  return s.replace(/([.+*?=^!:${}()[\]|/\\])/g, '\\$1');
}

/**
 * Initialize a new "request" `Context`
 * with the given `path` and optional initial `state`.
 * @class
 * @param {string} path
 * @param {Object=} state
 */
function Context(path, state, pageInstance) {
  this.page = pageInstance;
  const window = this.page._window;
  const hashbang = this.page._hashbang;
  const pageBase = this.page._getBase();
  if ('/' === path[0] && 0 !== path.indexOf(pageBase)) {
    path = pageBase + (hashbang ? '#!' : '') + path;
  }
  const i = path.indexOf('?');
  this.canonicalPath = path;
  const re = new RegExp('^' + escapeRegExp(pageBase));
  this.path = path.replace(re, '') || '/';
  if (hashbang) {
    this.path = this.path.replace('#!', '') || '/';
  }
  this.title = hasDocument && window.document.title;
  this.state = state || {};
  this.state.path = path;
  this.querystring = i !== -1 ? path.slice(i + 1) : '';
  this.pathname = i !== -1 ? path.slice(0, i) : path;
  this.params = {};

  // fragment
  this.hash = '';
  if (!hashbang) {
    if (this.path.indexOf('#') === -1) {
      return;
    }
    const parts = this.path.split('#');
    this.path = this.pathname = parts[0];
    this.hash = parts[1] || '';
    this.querystring = this.querystring.split('#')[0];
  }
}

/**
 * Push state.
 */
Context.prototype.pushState = function () {
  this.page.len++;
  if (hasHistory) {
    this.page._window.history.pushState(this.state, this.title, this.page._hashbang && this.path !== '/' ? '#!' + this.path : this.canonicalPath);
  }
};

/**
 * Save the context state.
 */
Context.prototype.save = function () {
  if (hasHistory) {
    this.page._window.history.replaceState(this.state, this.title, this.page._hashbang && this.path !== '/' ? '#!' + this.path : this.canonicalPath);
  }
};

/**
 * Initialize `Route` with the given HTTP `path`,
 * and an array of `callbacks` and `options`.
 *
 * Options:
 * - `sensitive`    enable case-sensitive routes
 * - `strict`       enable strict matching for trailing slashes
 * @class
 * @param {string} path
 * @param {Object=} options
 */
function Route(path, options, pageInstance) {
  this.page = pageInstance;
  const opts = options || {};
  opts.strict = opts.strict || this.page._strict;
  this.path = path === '*' ? '(.*)' : path;
  this.method = 'GET';
  this.keys = [];
  this.regexp = pathToRegexp(this.path, this.keys, opts);
}

/**
 * Return route middleware with
 * the given callback `fn()`.
 * @param {Function} fn
 * @returns {Function}
 */
Route.prototype.middleware = function (fn) {
  const handler = (ctx, next) => fn(ctx, next);
  handler.match = ctx => this.match(ctx.path, ctx.params);
  return handler;
};

/**
 * Check if this route matches `path`, if so
 * populate `params`.
 * @param {string} path
 * @param {Object} params
 * @returns {boolean}
 */
Route.prototype.match = function (path, params) {
  const keys = this.keys;
  const qsIndex = path.indexOf('?');
  const pathname = qsIndex !== -1 ? path.slice(0, qsIndex) : path;
  const m = this.regexp.exec(decodeURIComponent(pathname));
  if (!m) {
    return false;
  }
  for (let i = 1, len = m.length; i < len; ++i) {
    const key = keys[i - 1];
    const val = m[i];
    if (val !== undefined || !hasOwnProperty.call(params, key.name)) {
      params[key.name] = val;
    }
  }
  return true;
};

/**
 * Module exports.
 */
const globalPage = createPage();
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (globalPage);

/***/ }),

/***/ 11922:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ format)
/* harmony export */ });
/* harmony import */ var _url_type__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(33957);

const BASE_URL = 'http://__domain__.invalid/';

/**
 * Format a URL as a particular type.
 * Does not support formatting invalid or path-relative URLs.
 * @param url The URL to format.
 * @param urlType The URL type into which to format. If not provided, defaults to the same type as `url`, which effectively results in the URL being normalized.
 * @returns The formatted URL.
 */
function format(url, urlType) {
  let parsed;
  let originalType;
  if (!(url instanceof URL) && typeof url !== 'string') {
    throw new Error('`url` should be a string or URL instance');
  }
  if (url instanceof URL) {
    // The native URL object can only represent absolute URLs.
    parsed = url;
    originalType = _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.ABSOLUTE;
  } else {
    originalType = (0,_url_type__WEBPACK_IMPORTED_MODULE_0__/* .determineUrlType */ .n)(url);
    if (originalType === _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.INVALID) {
      throw new Error('Cannot format an invalid URL.');
    }
    if (originalType === _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.PATH_RELATIVE) {
      throw new Error('Cannot format path-relative URLs.');
    }
    parsed = new URL(url, BASE_URL);
  }
  if (urlType === undefined) {
    urlType = originalType;
  }
  switch (urlType) {
    case _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.PATH_RELATIVE:
      throw new Error('Cannot format into path-relative URLs.');
    case _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.PATH_ABSOLUTE:
      return parsed.href.replace(parsed.origin, '');
    case _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.SCHEME_RELATIVE:
      if (originalType === _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.PATH_ABSOLUTE) {
        throw new Error('Cannot format a path-absolute URL as a scheme-relative URL.');
      }
      return parsed.href.replace(parsed.protocol, '');
    case _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.ABSOLUTE:
      if (originalType !== _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.ABSOLUTE) {
        throw new Error('Cannot format a partial URL as an absolute URL.');
      }
      return parsed.href;
    default:
      throw new Error(`Cannot format as \`${urlType}\` URL type.`);
  }
}

/***/ }),

/***/ 12991:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   e: () => (/* binding */ safeImageUrl)
/* harmony export */ });
/* harmony import */ var photon__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(59342);
/* harmony import */ var _url_parts__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(96407);



/**
 * Pattern matching URLs to be left unmodified.
 */
let REGEX_EXEMPT_URL;
if (typeof globalThis.location === 'object') {
  REGEX_EXEMPT_URL = new RegExp(`^(/(?!/)|data:image/[^;]+;|blob:${globalThis.location.origin}/)`);
} else {
  REGEX_EXEMPT_URL = /^(\/(?!\/)|data:image\/[^;]+;)/;
}
/**
 * Pattern matching Automattic-controlled hostnames
 */
const REGEXP_A8C_HOST = /^([-a-zA-Z0-9_]+\.)*(gravatar\.com|wordpress\.com|wp\.com|a8c\.com)$/;

/**
 * Query parameters to be treated as image dimensions
 */
const SIZE_PARAMS = ['w', 'h', 'resize', 'fit', 's'];

/**
 * Generate a safe version of the provided URL
 *
 * Images that Calypso uses have to be provided by a trusted TLS host. To do
 * this, we check the host of the URL against a list of allowed hosts, and run the image
 * through photon if the host name does not match.
 *
 * NOTE: This function will return `null` for external URLs with query strings,
 * because Photon itself does not support this!
 * @param  url The URL to secure
 * @returns The secured URL, or `null` if we couldn't make it safe
 */
function safeImageUrl(url) {
  if (typeof url !== 'string') {
    return null;
  }
  if (url.length < 1) {
    return null;
  }
  if (REGEX_EXEMPT_URL.test(url)) {
    return url;
  }
  const parsedUrl = (0,_url_parts__WEBPACK_IMPORTED_MODULE_0__/* .getUrlParts */ .O)(url);
  if (REGEXP_A8C_HOST.test(parsedUrl.hostname)) {
    // Safely promote Automattic domains to HTTPS
    parsedUrl.protocol = 'https';
    return (0,_url_parts__WEBPACK_IMPORTED_MODULE_0__/* .getUrlFromParts */ ._)(parsedUrl).toString();
  }

  // If there's a query string, bail out because Photon doesn't support them on external URLs
  if (parsedUrl.search && (parsedUrl.host || parsedUrl.hostname || parsedUrl.origin)) {
    // If it's just size parameters, let's remove them
    SIZE_PARAMS.forEach(param => parsedUrl.searchParams.delete(param));

    // Ditch authuser=0 if we find it - we see this on googleusercontent.com URLs and it doesn't affect the image output
    if (parsedUrl.searchParams.get('authuser') === '0') {
      parsedUrl.searchParams.delete('authuser');
    }

    // There are still parameters left, since they might be needed to retrieve the image, bail out
    if (Array.from(parsedUrl.searchParams).length) {
      return null;
    }

    // Ensure we're creating a new URL without the size parameters
    parsedUrl.search = '';

    // Force https since if there's a missing protocol it'll throw an error
    if (!parsedUrl?.protocol) {
      parsedUrl.protocol = 'https';
    }
    url = (0,_url_parts__WEBPACK_IMPORTED_MODULE_0__/* .getUrlFromParts */ ._)(parsedUrl).toString();
  }

  // Photon doesn't support SVGs
  if (parsedUrl.pathname.endsWith('.svg')) {
    return null;
  }
  return (0,photon__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(url);
}

/***/ }),

/***/ 96407:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   O: () => (/* binding */ getUrlParts),
/* harmony export */   _: () => (/* binding */ getUrlFromParts)
/* harmony export */ });
/* harmony import */ var _url_type__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(33957);

const BASE_URL = `http://__domain__.invalid`;
const EMPTY_URL = Object.freeze({
  protocol: '',
  host: '',
  hostname: '',
  port: '',
  origin: '',
  pathname: '',
  hash: '',
  search: '',
  searchParams: new URLSearchParams(),
  username: '',
  password: ''
});
const URL_PART_KEYS = Object.keys(EMPTY_URL);
function pickUrlParts(parsedUrl, include = URL_PART_KEYS) {
  const pickedUrl = {
    ...EMPTY_URL
  };
  include.forEach(name => {
    pickedUrl[name] = parsedUrl?.[name] ?? EMPTY_URL[name];
  });
  return pickedUrl;
}

/**
 * Returns the various available URL parts.
 * @param url the URL to analyze
 * @returns   the URL parts
 */
function getUrlParts(url) {
  const urlType = (0,_url_type__WEBPACK_IMPORTED_MODULE_0__/* .determineUrlType */ .n)(url);

  // Invalid URL; return empty URL parts.
  if (urlType === _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.INVALID) {
    return {
      ...EMPTY_URL
    };
  }
  const parsed = url instanceof URL ? url : new URL(url, BASE_URL);

  // Absolute URL; pick all parts.
  if (urlType === _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.ABSOLUTE) {
    return pickUrlParts(parsed);
  }

  // Scheme-relative URL; pick everything except the protocol and origin.
  if (urlType === _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.SCHEME_RELATIVE) {
    return pickUrlParts(parsed, URL_PART_KEYS.filter(item => item !== 'protocol' && item !== 'origin'));
  }

  // Path-absolute or path-relative URL; pick only a few parts.
  const pathPartKeys = ['pathname', 'hash', 'search', 'searchParams'];
  const pathParts = pickUrlParts(parsed, pathPartKeys);

  // Path-relative URLs require special handling, because they cannot be transformed
  // into an absolute URL without potentially losing path information.
  // E.g. `../foo?bar=baz` becomes `<base>/foo?bar=baz` when fed to `new URL()`
  // with a base, losing the traversal into the parent directory.
  // We need to handle these with string functions instead.
  if (urlType === _url_type__WEBPACK_IMPORTED_MODULE_0__/* .URL_TYPE */ .P.PATH_RELATIVE) {
    pathParts.pathname = url.split(/[?#]/, 1)[0];
  }
  return pathParts;
}

/**
 * Returns a URL object built from the provided URL parts.
 * @param parts the provided URL parts.
 * @returns the generated URL object.
 */
function getUrlFromParts(parts) {
  if (!parts?.protocol && !parts?.origin) {
    throw new Error('getUrlFromParts: protocol missing.');
  }
  if (!parts.host && !parts.hostname && !parts.origin) {
    throw new Error('getUrlFromParts: host missing.');
  }
  const result = new URL(BASE_URL);

  // Apply 'origin' first, since it includes protocol, hostname, and port.
  if (parts.origin) {
    try {
      const origin = new URL(parts.origin);
      result.host = origin.host;
      result.protocol = origin.protocol;
    } catch {
      throw new Error('getUrlFromParts: invalid origin.');
    }
  }

  // Apply 'host' next, since it includes both hostname and port.
  result.host = parts.host || result.host;

  // Apply 'searchParams' object if it's specified.
  if (parts.searchParams?.toString) {
    result.search = parts.searchParams.toString();
  }
  for (const part of URL_PART_KEYS) {
    if (part !== 'host' && part !== 'origin' && part !== 'searchParams') {
      const value = parts[part];
      // Avoid some implementation bugs, e.g. https://bugs.webkit.org/show_bug.cgi?id=127958.
      if (value && value !== result[part]) {
        result[part] = value;
      }
    }
  }
  return result;
}

/***/ }),

/***/ 33957:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   P: () => (/* binding */ URL_TYPE),
/* harmony export */   n: () => (/* binding */ determineUrlType)
/* harmony export */ });
// For complete definitions of these classifications, see:
// https://url.spec.whatwg.org/#urls
let URL_TYPE = /*#__PURE__*/function (URL_TYPE) {
  URL_TYPE["ABSOLUTE"] = "ABSOLUTE";
  URL_TYPE["SCHEME_RELATIVE"] = "SCHEME_RELATIVE";
  URL_TYPE["PATH_ABSOLUTE"] = "PATH_ABSOLUTE";
  URL_TYPE["PATH_RELATIVE"] = "PATH_RELATIVE";
  URL_TYPE["INVALID"] = "INVALID";
  return URL_TYPE;
}({});
const BASE_HOSTNAME = '__domain__.invalid';
const BASE_URL = `http://${BASE_HOSTNAME}`;

/**
 * Determine the type of a URL, with regards to its completeness.
 * @param url the URL to analyze
 * @returns the type of the URL
 */
function determineUrlType(url) {
  // Check for expected parameter types.
  if (!(url instanceof URL) && typeof url !== 'string') {
    return URL_TYPE.INVALID;
  }

  // As a URL, the empty string means "the current resource".
  if (url === '') {
    return URL_TYPE.PATH_RELATIVE;
  }

  // The native URL object can only represent absolute URLs.
  if (url instanceof URL) {
    return URL_TYPE.ABSOLUTE;
  }
  let parsed;
  try {
    // If we can parse the URL without a base, it's an absolute URL.
    // The polyfill works differently, however, so we need to take that into account.
    // See https://github.com/webcomponents/polyfills/issues/241
    parsed = new URL(url);
    if (parsed.protocol && parsed.protocol !== ':') {
      return URL_TYPE.ABSOLUTE;
    }
  } catch {
    // Do nothing.
  }
  try {
    parsed = new URL(url, BASE_URL);
  } catch {
    // If it can't be parsed even with a base URL, it's an invalid URL.
    return URL_TYPE.INVALID;
  }

  // The polyfill sometimes doesn't throw an exception for invalid URLs, instead
  // leaving the `pathname` blank (which it shouldn't be, at this point).
  if (parsed.pathname === '') {
    return URL_TYPE.INVALID;
  }

  // If we couldn't parse it without a base, but it didn't take the hostname we provided, that means
  // it's a protocol-relative URL.
  if (parsed.hostname !== BASE_HOSTNAME) {
    return URL_TYPE.SCHEME_RELATIVE;
  }

  // Otherwise, it's a relative URL of some sort.
  if (url.startsWith('/')) {
    return URL_TYPE.PATH_ABSOLUTE;
  }
  return URL_TYPE.PATH_RELATIVE;
}

/***/ }),

/***/ 42207:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(46764);





const isAnchor = props => !!props.href;
const cleanAnchorProps = ({
  type,
  borderless,
  busy,
  className,
  compact,
  primary,
  scary,
  plain,
  transparent,
  ...anchorProps
}) => anchorProps;
const cleanButtonProps = ({
  type = 'button',
  borderless,
  busy,
  className,
  compact,
  primary,
  scary,
  plain,
  // eslint-disable-next-line @typescript-eslint/ban-ts-comment
  // @ts-ignore Clean incorrect usage of the component
  rel,
  // eslint-disable-next-line @typescript-eslint/ban-ts-comment
  // @ts-ignore Clean incorrect usage of the component
  href,
  // eslint-disable-next-line @typescript-eslint/ban-ts-comment
  // @ts-ignore Clean incorrect usage of the component
  target,
  transparent,
  ...buttonProps
}) => ({
  ...buttonProps,
  type
});
const Button = (props, ref) => {
  const classes = props.plain ? classnames__WEBPACK_IMPORTED_MODULE_1___default()('button-plain', props.className) : classnames__WEBPACK_IMPORTED_MODULE_1___default()('button', props.className, {
    'is-compact': props.compact,
    'is-primary': props.primary,
    'is-scary': props.scary,
    'is-busy': props.busy,
    'is-borderless': props.borderless,
    'is-transparent': props.transparent
  });
  if (isAnchor(props)) {
    const anchorProps = cleanAnchorProps(props);
    // block referrers when external link
    const rel = anchorProps.target ? (anchorProps.rel || '').replace(/noopener|noreferrer/g, '') + ' noopener noreferrer' : anchorProps.rel;
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)({}, anchorProps, {
      rel: rel,
      className: classes,
      ref: ref
    }));
  }
  const buttonProps = cleanButtonProps(props);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)({}, buttonProps, {
    className: classes,
    ref: ref
  }));
};
const ButtonWithForwardedRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_2__.forwardRef)(Button);
ButtonWithForwardedRef.defaultProps = {
  type: 'button'
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ButtonWithForwardedRef);

/***/ }),

/***/ 54338:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(25109);




const CompactCard = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.forwardRef)((props, ref) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(___WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)({}, props, {
  compact: true,
  ref: ref
})));
CompactCard.displayName = 'CompactCard';
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CompactCard);

/***/ }),

/***/ 25109:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(89575);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _gridicon__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(79812);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(25034);






// eslint-disable-line @typescript-eslint/no-explicit-any

const Card = ({
  children,
  className,
  compact,
  displayAsLink,
  highlight,
  tagName = 'div',
  href,
  target,
  showLinkIcon = true,
  ...props
}, forwardedRef) => {
  const elementClass = classnames__WEBPACK_IMPORTED_MODULE_0___default()('card', className, {
    'is-card-link': displayAsLink || href,
    'is-clickable': props.onClick,
    'is-compact': compact,
    'is-highlight': highlight
  }, highlight ? 'is-' + highlight : false);
  return href ? /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.createElement)("a", (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)({}, props, {
    href: href,
    target: target,
    className: elementClass,
    ref: forwardedRef
  }), showLinkIcon && /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.createElement)(_gridicon__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, {
    className: "card__link-indicator",
    icon: target ? 'external' : 'chevron-right'
  }), children) : ( /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.createElement)(tagName, {
    ...props,
    className: elementClass,
    ref: forwardedRef
  }, displayAsLink && /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.createElement)(_gridicon__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, {
    className: "card__link-indicator",
    icon: target ? 'external' : 'chevron-right'
  }), children));
};
const ForwardedRefCard = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.forwardRef)(Card);
ForwardedRefCard.displayName = 'Card';
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (/*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.memo)(ForwardedRefCard));

/***/ }),

/***/ 98944:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(35007);



const CircularProgressBar = ({
  currentStep,
  numberOfSteps,
  size,
  enableDesktopScaling = false,
  strokeWidth = 4,
  showProgressText = true
}) => {
  const SIZE = size;
  const RADIUS = SIZE / 2 - strokeWidth / 2;
  const FULL_ARC = 2 * Math.PI * RADIUS;
  if (currentStep === null || !numberOfSteps) {
    return null;
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    role: "progressbar",
    className: classnames__WEBPACK_IMPORTED_MODULE_1___default()('circular__progress-bar', {
      'desktop-scaling': enableDesktopScaling
    }),
    style: {
      width: SIZE,
      height: SIZE
    }
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("svg", {
    viewBox: `0 0 ${SIZE} ${SIZE}`,
    style: {
      width: SIZE,
      height: SIZE
    },
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("circle", {
    className: "circular__progress-bar-empty-circle",
    fill: "none",
    cx: SIZE / 2,
    cy: SIZE / 2,
    r: RADIUS,
    strokeWidth: strokeWidth
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("circle", {
    style: {
      display: currentStep === 0 ? 'none' : 'block',
      strokeDasharray: `${FULL_ARC * (currentStep / numberOfSteps)}, ${FULL_ARC}`
    },
    className: "circular__progress-bar-fill-circle",
    fill: "none",
    cx: SIZE / 2,
    cy: SIZE / 2,
    r: RADIUS,
    strokeWidth: strokeWidth
  })), showProgressText && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "circular__progress-bar-text"
  }, currentStep, "/", numberOfSteps));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CircularProgressBar);

/***/ }),

/***/ 36250:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(79428);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(43854);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(64446);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(79812);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(40149);





const FormInputValidation = ({
  isError = false,
  isWarning,
  isHidden,
  isMuted,
  className,
  ariaLabel = '',
  text,
  icon,
  id,
  children
}) => {
  const classes = classnames__WEBPACK_IMPORTED_MODULE_1___default()(className, {
    'form-input-validation': true,
    'is-warning': isWarning,
    'is-error': isError,
    'is-hidden': isHidden,
    'is-muted': isMuted
  });
  const defaultIcon = isError || isWarning ? _wordpress_icons__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A : _wordpress_icons__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A;
  return /* eslint-disable wpcalypso/jsx-gridicon-size */(
    (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      "aria-label": ariaLabel,
      className: classes,
      role: "alert"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
      id: id
    }, icon ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(___WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A, {
      size: 20,
      icon: icon
    }) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
      size: 20,
      icon: defaultIcon
    }), text, children))
  );
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (FormInputValidation);

/***/ }),

/***/ 20609:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   i: () => (/* binding */ GMClosureNotice)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_date__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(38443);
/* harmony import */ var _wordpress_date__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_date__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(23634);
/* harmony import */ var _gm_closure_notice_scss__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(233);






const DATE_FORMAT_SHORT = 'F d';
const DATE_FORMAT_LONG = 'l, F jS h:i A';
function inBetween(start, end) {
  const date = new Date();
  return date >= start && date <= end;
}
function GMClosureNotice({
  displayAt,
  closesAt,
  reopensAt,
  enabled
}) {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_5__/* .useI18n */ .s9)();
  if (!enabled) {
    return null;
  }
  const displayAtDate = new Date(displayAt);
  const closesAtDate = new Date(closesAt);
  const reopensAtDate = new Date(reopensAt);
  const MAIN_MESSAGES = {
    before: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__.sprintf)( /* translators: closes_at and reopens_at are dates */
    __('During this time, we will continue to provide support over email. If you need to get in touch with us submit a support request from this page, and we will get to it as fast as we can. Chat will re-open at %(reopens_at)s. Thank you for your understanding!', "full-site-editing"), {
      reopens_at: (0,_wordpress_date__WEBPACK_IMPORTED_MODULE_2__.format)(DATE_FORMAT_LONG, reopensAtDate)
    }),
    during: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__.sprintf)( /* translators:  reopens_at is a date */
    __('Chat will re-open at %(reopens_at)s. If you need to get in touch with us now, please submit a support request from this page. We will get to it as fast as we can. Thank you for your understanding!', "full-site-editing"), {
      reopens_at: (0,_wordpress_date__WEBPACK_IMPORTED_MODULE_2__.format)(DATE_FORMAT_LONG, reopensAtDate)
    })
  };
  if (!inBetween(displayAtDate, reopensAtDate)) {
    return null;
  }
  const period = inBetween(closesAtDate, reopensAtDate) ? 'during' : 'before';
  const isSameMonth = reopensAtDate.getMonth() === closesAtDate.getMonth();
  const heading = (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__.sprintf)( /* translators: closes and reopens are dates */
  __('Live chat will be closed from %(closes)s – %(reopens)s for the New Year’s holiday', "full-site-editing"), {
    closes: (0,_wordpress_date__WEBPACK_IMPORTED_MODULE_2__.format)(DATE_FORMAT_SHORT, closesAtDate),
    reopens: (0,_wordpress_date__WEBPACK_IMPORTED_MODULE_2__.format)(isSameMonth ? 'd' : DATE_FORMAT_SHORT, reopensAtDate)
  });
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Panel, {
    className: "a8c-components__gm-closure-notice"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelBody, {
    initialOpen: period === 'during',
    title: heading
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.PanelRow, null, MAIN_MESSAGES[period])));
}

/***/ }),

/***/ 59663:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   R: () => (/* binding */ Gravatar)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(24586);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(33957);
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(96407);
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(11922);
/* harmony import */ var _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(12991);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(24524);






class Gravatar extends react__WEBPACK_IMPORTED_MODULE_2__.Component {
  constructor(...args) {
    super(...args);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(this, "state", {
      failedToLoad: false
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(this, "onError", () => this.setState({
      failedToLoad: true
    }));
  }
  getResizedImageURL(imageURL) {
    const {
      imgSize
    } = this.props;
    const defaultUrl = 'https://www.gravatar.com/avatar/0';
    imageURL = imageURL || defaultUrl;
    const urlType = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_5__/* .determineUrlType */ .n)(imageURL);
    if (urlType === _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_5__/* .URL_TYPE */ .P.INVALID || urlType === _automattic_calypso_url__WEBPACK_IMPORTED_MODULE_5__/* .URL_TYPE */ .P.PATH_RELATIVE) {
      return defaultUrl;
    }
    const {
      search,
      origin,
      host,
      ...parsedURL
    } = (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_6__/* .getUrlParts */ .O)(imageURL);
    if (/^([-a-zA-Z0-9_]+\.)*(gravatar.com)$/.test(parsedURL.hostname)) {
      parsedURL.searchParams.set('s', imgSize?.toString() ?? '32');
      parsedURL.searchParams.set('d', 'mm');
    } else {
      // assume photon
      parsedURL.searchParams.set('resize', `${imgSize},${imgSize}`);
    }

    // getUrlFromParts can only handle absolute URLs, so add dummy data if needed.
    // formatUrl will remove it away, to match the previous url type.
    parsedURL.protocol = parsedURL.protocol || 'https:';
    parsedURL.hostname = parsedURL.hostname || '__domain__.invalid';
    return (0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)((0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_6__/* .getUrlFromParts */ ._)(parsedURL), urlType);
  }
  render() {
    const {
      alt,
      title,
      size,
      tempImage,
      user
    } = this.props;
    if (!user) {
      return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
        className: "gravatar is-placeholder",
        style: {
          width: size,
          height: size
        }
      });
    }
    if (this.state.failedToLoad && !tempImage) {
      return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
        className: "gravatar is-missing"
      });
    }
    const altText = alt || user.display_name || user.name;
    const avatarURL = tempImage || this.getResizedImageURL((0,_automattic_calypso_url__WEBPACK_IMPORTED_MODULE_8__/* .safeImageUrl */ .e)(user.avatar_URL));
    const classes = classnames__WEBPACK_IMPORTED_MODULE_1___default()('gravatar', this.props.className);
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
      alt: altText,
      title: title,
      className: classes,
      src: avatarURL,
      width: size,
      height: size,
      onError: this.onError
    });
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(Gravatar, "defaultProps", {
  // The REST-API returns s=96 by default, so that is most likely to be cached
  imgSize: 96,
  size: 32
});

/***/ }),

/***/ 79812:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var gridicons_dist_util_icons_offset__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(48532);
/* harmony import */ var gridicons_dist_util_icons_offset__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(gridicons_dist_util_icons_offset__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var gridicons_svg_sprite_gridicons_svg__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(84025);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);






const Gridicon = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4__.memo( /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4__.forwardRef((props, ref) => {
  const {
    size = 24,
    icon,
    className,
    title,
    ...otherProps
  } = props;
  const isModulo18 = size % 18 === 0;

  // Using a missing icon doesn't produce any errors, just a blank icon, which is the exact intended behaviour.
  // This means we don't need to perform any checks on the icon name.
  const iconName = `gridicons-${icon}`;
  const iconClass = classnames__WEBPACK_IMPORTED_MODULE_1___default()('gridicon', iconName, className, {
    'needs-offset': isModulo18 && gridicons_dist_util_icons_offset__WEBPACK_IMPORTED_MODULE_2__.iconsThatNeedOffset.includes(iconName),
    'needs-offset-x': isModulo18 && gridicons_dist_util_icons_offset__WEBPACK_IMPORTED_MODULE_2__.iconsThatNeedOffsetX.includes(iconName),
    'needs-offset-y': isModulo18 && gridicons_dist_util_icons_offset__WEBPACK_IMPORTED_MODULE_2__.iconsThatNeedOffsetY.includes(iconName)
  });
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("svg", (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    className: iconClass,
    height: size,
    width: size,
    ref: ref
  }, otherProps), title && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("title", null, title), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("use", {
    xlinkHref: `${gridicons_svg_sprite_gridicons_svg__WEBPACK_IMPORTED_MODULE_3__}#${iconName}`
  }));
}));
Gridicon.displayName = 'Gridicon';
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Gridicon);

/***/ }),

/***/ 29653:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _emotion_styled_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2182);
/* harmony import */ var _emotion_react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(15428);


const pulseLightKeyframes = (0,_emotion_react__WEBPACK_IMPORTED_MODULE_1__/* .keyframes */ .i7)`
	50% {
		background-color: var( --color-neutral-0 );
	}`;
const LoadingPlaceholder = /*#__PURE__*/(0,_emotion_styled_base__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)("div",  true ? {
  target: "e18aww3b0"
} : 0)("animation:", pulseLightKeyframes, " 1.8s ease-in-out infinite;background-color:var( --color-neutral-10 );min-height:", ({
  minHeight = '18px'
}) => minHeight, ";", ({
  height
}) => height && `height: ${height}`, ";width:", ({
  width = '100%'
}) => width, ";border-radius:", ({
  borderRadius = '0'
}) => borderRadius, ";animation-delay:", ({
  delayMS = 0
}) => delayMS, "ms;display:", ({
  display = 'block'
}) => display, ";" + ( true ? "" : 0));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (LoadingPlaceholder);

/***/ }),

/***/ 50743:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(35888);


const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__;



const PaginationControl = ({
  activePageIndex,
  numberOfPages,
  onChange,
  classNames,
  children
}) => {
  const classes = classnames__WEBPACK_IMPORTED_MODULE_2___default()('pagination-control', classNames);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("ul", {
    className: classes,
    "aria-label": __('Pagination control')
  }, (0,lodash__WEBPACK_IMPORTED_MODULE_3__.times)(numberOfPages, index => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", {
    key: `${numberOfPages}-${index}`,
    "aria-current": index === activePageIndex ? 'page' : undefined
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
    className: classnames__WEBPACK_IMPORTED_MODULE_2___default()('pagination-control__page', {
      'is-current': index === activePageIndex
    }),
    disabled: index === activePageIndex,
    "aria-label": (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.sprintf)( /* translators: 1: current page number 2: total number of pages */
    __('Page %1$d of %2$d'), index + 1, numberOfPages),
    onClick: () => onChange(index)
  }))), children && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", {
    className: "pagination-control__last-item"
  }, children));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (PaginationControl);

/***/ }),

/***/ 94804:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(89575);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(24586);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(87526);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(75795);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _root_child__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(19574);
/* harmony import */ var _util__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(68998);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(13141);












const noop = () => {};
class PopoverInner extends react__WEBPACK_IMPORTED_MODULE_3__.Component {
  constructor(...args) {
    super(...args);
    /**
     * Timeout ID that determines if repositioning the Popover is currently scheduled and lets us
     * cancel the task.
     * @type {number|null} `setTimeout` handle or null
     */
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "scheduledPositionUpdate", null);
    /**
     * Timeout ID for the scheduled focus. Lets us cancel the task when hiding/unmounting.
     * @type {number|null} `setTimeout` handle or null
     */
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "scheduledFocus", null);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "popoverNodeRef", /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_3__.createRef)());
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "popoverInnerNodeRef", /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_3__.createRef)());
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "state", {
      left: -99999,
      top: -99999,
      positionClass: this.getPositionClass(this.props.position)
    });
    /**
     * Used to prevent inifinite repositioning when autoReposition is enabled.
     * @type {number} Number of times the position has not changed after this.setPosition()
     */
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "autoRepositionStability", 0);
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "onKeydown", event => {
      if (event.keyCode === 27) {
        const domContext = react_dom__WEBPACK_IMPORTED_MODULE_4___default().findDOMNode(this.props.context);
        if (domContext) {
          domContext.focus();
        }
        this.close(true);
      }
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "getTouchEvent", () => {
      if ('onpointerdown' in document) {
        return 'pointerdown';
      }
      if ('ontouchstart' in document) {
        return 'touchstart';
      }
      return 'click';
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "onClickout", event => {
      const popoverContext = this.popoverInnerNodeRef.current;
      let shouldClose = popoverContext && !popoverContext.contains(event.target);
      if (shouldClose && this.props.context) {
        const domContext = react_dom__WEBPACK_IMPORTED_MODULE_4___default().findDOMNode(this.props.context);
        shouldClose = domContext && !domContext.contains(event.target);
      }
      if (shouldClose && this.props.ignoreContext) {
        const ignoreContext = react_dom__WEBPACK_IMPORTED_MODULE_4___default().findDOMNode(this.props.ignoreContext);
        shouldClose = ignoreContext && !ignoreContext.contains(event.target);
      }
      if (shouldClose) {
        this.close();
      }
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "onWindowChange", () => {
      this.setPosition();
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "setPosition", () => {
      let position;

      // Do we have a custom position provided?
      if (this.props.customPosition) {
        position = Object.assign({
          // Use the default if positionClass hasn't been provided
          positionClass: this.getPositionClass(this.constructor.defaultProps.position)
        }, this.props.customPosition);
      } else {
        position = this.computePosition();
      }
      if (position) {
        this.setState(position);
      }
      return position;
    });
    /**
     * Last resort to position the popover in its correct position initially.
     * Might be due to other components have delayed render, for example, rendering based on API results,
     * causing the target object to "jump positions".
     *
     * This results in the popover to be rendered in the wrong position, so we need to reposition it.
     * @returns {void}
     */
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "autoRepositionOnInitialLoad", () => {
      if (this.props.autoRepositionOnInitialLoad) {
        this.autoRepositionOnInitialLoadInterval = setInterval(() => {
          const lastPosition = this.state;
          const {
            left,
            top
          } = this.setPosition();
          if (lastPosition.left === left || lastPosition.top === top) {
            this.autoRepositionStability += 1;
          }
          // Arbitrary number to stop trying to reposition if the position has stabilized for performance reasons.
          if (this.autoRepositionStability > 5) {
            clearInterval(this.autoRepositionOnInitialLoadInterval);
          }
        }, 500);
      }
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "clearAutoRepositionOnInitialLoad", () => {
      if (this.autoRepositionOnInitialLoadInterval) {
        clearInterval(this.autoRepositionOnInitialLoadInterval);
      }
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "handleOnMouseEnter", () => {
      const {
        onMouseEnter
      } = this.props;
      onMouseEnter?.();
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(this, "handleOnMouseLeave", () => {
      const {
        onMouseLeave
      } = this.props;
      onMouseLeave?.();
    });
  }
  componentDidMount() {
    // make sure to set the viewport when mounting, because it might have been changed between two mounts of this
    // component, e.g. when the viewport is changed while the popover is hidden
    (0,_util__WEBPACK_IMPORTED_MODULE_7__/* .onViewportChange */ ._n)();
    this.bindListeners();
    this.setPosition();
    this.show();
    this.autoRepositionOnInitialLoad();
  }
  componentDidUpdate() {
    // Update our position even when only our children change. To prevent infinite loops,
    // use `defer` and avoid scheduling a second update when one is already scheduled by
    // setting and checking `this.scheduledPositionUpdate`.
    // See https://github.com/Automattic/wp-calypso/commit/38e779cfebf6dd42bb30d8be7127951b0c531ae2
    if (this.scheduledPositionUpdate == null) {
      this.scheduledPositionUpdate = (0,lodash__WEBPACK_IMPORTED_MODULE_2__.defer)(() => {
        this.setPosition();
        this.scheduledPositionUpdate = null;
      });
    }
  }
  componentWillUnmount() {
    this.unbindListeners();
    this.clearAutoRepositionOnInitialLoad();
  }
  bindListeners() {
    this.bindClickoutHandler();
    this.bindEscKeyListener();
    this.bindReposition();
    (0,_util__WEBPACK_IMPORTED_MODULE_7__/* .bindWindowListeners */ .jQ)();
  }
  unbindListeners() {
    this.unbindClickoutHandler();
    this.unbindEscKeyListener();
    this.unbindReposition();
    (0,_util__WEBPACK_IMPORTED_MODULE_7__/* .unbindWindowListeners */ .Yc)();

    // cancel the scheduled reposition when the Popover is being removed from DOM
    if (this.scheduledPositionUpdate != null) {
      window.clearTimeout(this.scheduledPositionUpdate);
      this.scheduledPositionUpdate = null;
    }

    // cancel the scheduled focus when we're hiding the Popover before the task had a chance to run
    if (this.scheduledFocus != null) {
      window.clearTimeout(this.scheduledFocus);
      this.scheduledFocus = null;
    }
  }

  // --- ESC key ---
  bindEscKeyListener() {
    if (this.props.closeOnEsc) {
      document.addEventListener('keydown', this.onKeydown, true);
    }
  }
  unbindEscKeyListener() {
    if (this.props.closeOnEsc) {
      document.removeEventListener('keydown', this.onKeydown, true);
    }
  }
  // --- click outside ---
  bindClickoutHandler() {
    // run the listener in the capture phase, to run before the React click handler that
    // runs in the bubble phase. Sometimes, the React UI handler for a click closes its
    // UI element and removes the event target from DOM. Running the clickout handler after
    // that would fail to evaluate correctly if the `event.target` (already removed from DOM)
    // is a DOM child of the popover's DOM element.
    document.addEventListener(this.getTouchEvent(), this.onClickout, true);
  }
  unbindClickoutHandler() {
    document.removeEventListener(this.getTouchEvent(), this.onClickout, true);
  }
  // --- window `scroll` and `resize` ---
  bindReposition() {
    window.addEventListener('scroll', this.onWindowChange, true);
    window.addEventListener('resize', this.onWindowChange, true);
  }
  unbindReposition() {
    window.removeEventListener('scroll', this.onWindowChange, true);
    window.removeEventListener('resize', this.onWindowChange, true);
  }
  focusPopover() {
    // Defer the focus a bit to make sure that the popover already has the final position.
    // Initially, after first render, the popover is positioned outside the screen, at
    // { top: -9999, left: -9999 } where it already has dimensions. These dimensions are measured
    // and used to calculate the final position.
    // Focusing the element while it's off the screen would cause unwanted scrolling.
    this.scheduledFocus = (0,lodash__WEBPACK_IMPORTED_MODULE_2__.defer)(() => {
      if (this.popoverNodeRef.current) {
        this.popoverNodeRef.current.focus();
      }
      this.scheduledFocus = null;
    });
  }
  getPositionClass(position) {
    return `is-${position.replace(/\s+/g, '-')}`;
  }

  /**
   * Adjusts position swapping left and right values
   * when right-to-left directionality is found.
   * @param {string} position Original position
   * @returns {string} Adjusted position
   */
  adjustRtlPosition(position) {
    if (this.props.isRtl) {
      switch (position) {
        case 'top right':
        case 'right top':
          return 'top left';
        case 'right':
          return 'left';
        case 'bottom right':
        case 'right bottom':
          return 'bottom left';
        case 'bottom left':
        case 'left bottom':
          return 'bottom right';
        case 'left':
          return 'right';
        case 'top left':
        case 'left top':
          return 'top right';
      }
    }
    return position;
  }

  /**
   * Computes the position of the Popover in function
   * of its main container and the target.
   * @returns {Object} reposition parameters
   */
  computePosition() {
    const {
      position,
      relativePosition
    } = this.props;
    const domContainer = this.popoverInnerNodeRef.current;
    const domContext = react_dom__WEBPACK_IMPORTED_MODULE_4___default().findDOMNode(this.props.context);
    if (!domContext) {
      return null;
    }
    let suggestedPosition = position;
    if (this.props.autoRtl) {
      suggestedPosition = this.adjustRtlPosition(suggestedPosition);
    }
    if (this.props.autoPosition) {
      suggestedPosition = (0,_util__WEBPACK_IMPORTED_MODULE_7__/* .suggested */ .Mf)(suggestedPosition, domContainer, domContext);
    }
    const reposition = Object.assign({}, (0,_util__WEBPACK_IMPORTED_MODULE_7__/* .constrainLeft */ .B3)((0,_util__WEBPACK_IMPORTED_MODULE_7__/* .offset */ .cY)(suggestedPosition, domContainer, domContext, relativePosition), domContainer), {
      positionClass: this.getPositionClass(suggestedPosition)
    });
    return reposition;
  }
  getStylePosition() {
    const {
      left,
      top
    } = this.state;
    return {
      left,
      top
    };
  }
  show() {
    if (this.props.focusOnShow) {
      this.focusPopover();
    }
    this.props.onShow();
  }
  close(wasCanceled = false) {
    this.props.onClose(wasCanceled);
  }
  render() {
    if (!this.props.context) {
      return null;
    }
    const classes = classnames__WEBPACK_IMPORTED_MODULE_1___default()('popover', this.props.className, this.state.positionClass);
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      ref: this.popoverNodeRef,
      "aria-label": this.props['aria-label'],
      id: this.props.id,
      role: "tooltip",
      tabIndex: "-1",
      style: this.getStylePosition(),
      className: classes,
      onMouseEnter: this.handleOnMouseEnter,
      onMouseLeave: this.handleOnMouseLeave
    }, !this.props.hideArrow ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "popover__arrow"
    }) : null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      ref: this.popoverInnerNodeRef,
      className: "popover__inner"
    }, this.props.children));
  }
}

// Wrapping children inside `<RootChild>` changes the timing of lifecycles and setting refs,
// because the children are rendered inside `RootChild`'s `componentDidMount`, later than
// usual. That's why we need this wrapper that removes `RootChild` from the inner component
// and simplifies its complicated lifecycle logic.
//
// We also use the outer component to manage the `show` state that can be delayed behind
// the outer `isVisible` prop by the `showDelay` timeout. One consequence is that the `RootChild`
// is created on show and destroyed on hide, making sure that the last shown popover will be
// also the last DOM element inside `document.body`, ensuring that it has a higher z-index.
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(PopoverInner, "defaultProps", {
  autoPosition: true,
  autoRtl: true,
  className: '',
  closeOnEsc: true,
  isRtl: false,
  focusOnShow: true,
  position: 'top',
  onShow: noop,
  onClose: noop,
  onMouseEnter: noop,
  onMouseLeave: noop,
  hideArrow: false,
  autoRepositionOnInitialLoad: false // use with caution, read comment about autoRepositionOnInitialLoad below
});
function Popover({
  isVisible = false,
  showDelay = 0,
  hideArrow = false,
  ...props
}) {
  const isRtl = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_8__/* .useRtl */ .I)();
  const [show, setShow] = (0,react__WEBPACK_IMPORTED_MODULE_3__.useState)(isVisible);

  // If `showDelay` is non-zero, the hide -> show transition will be delayed and will not
  // happen immediately after the new value of `isVisible` is received.
  (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
    if (showDelay > 0 && show !== isVisible && isVisible) {
      const showDelayTimer = setTimeout(() => {
        setShow(true);
      }, showDelay);
      return () => {
        clearTimeout(showDelayTimer);
      };
    }
  }, [showDelay, isVisible, show]);

  // sync the `isVisible` flag to `show` state immediately, unless it's a hide -> show transition
  // and `showDelay` is non-zero. In that case, the hide -> show transition will be delayed by
  // the `useEffect` hook.
  if (show !== isVisible && (showDelay === 0 || !isVisible)) {
    setShow(isVisible);
  }
  if (!show) {
    return null;
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_root_child__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(PopoverInner, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A)({}, props, {
    isRtl: isRtl,
    hideArrow: hideArrow
  })));
}

// We accept DOM elements and React component instances as the `context` prop.
// In case of a React component instance, we'll find the DOM element with `findDOMNode`.
const PropTypeElement = prop_types__WEBPACK_IMPORTED_MODULE_11___default().oneOfType([prop_types__WEBPACK_IMPORTED_MODULE_11___default().instanceOf(react__WEBPACK_IMPORTED_MODULE_3__.Component), prop_types__WEBPACK_IMPORTED_MODULE_11___default().instanceOf( true ? window.Element : 0)]);
Popover.propTypes = {
  hideArrow: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().bool),
  autoPosition: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().bool),
  autoRtl: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().bool),
  className: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().string),
  closeOnEsc: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().bool),
  id: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().string),
  context: PropTypeElement,
  ignoreContext: PropTypeElement,
  isVisible: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().bool),
  focusOnShow: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().bool),
  position: prop_types__WEBPACK_IMPORTED_MODULE_11___default().oneOf(['top', 'top right', 'right', 'bottom right', 'bottom', 'bottom left', 'left', 'top left']),
  showDelay: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().number),
  onShow: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().func),
  onClose: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().func),
  relativePosition: prop_types__WEBPACK_IMPORTED_MODULE_11___default().shape({
    left: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().number)
  }),
  // Bypass position calculations and provide custom position values
  customPosition: prop_types__WEBPACK_IMPORTED_MODULE_11___default().shape({
    top: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().number),
    left: (prop_types__WEBPACK_IMPORTED_MODULE_11___default().number),
    positionClass: prop_types__WEBPACK_IMPORTED_MODULE_11___default().oneOf(['top', 'right', 'bottom', 'left'])
  })
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Popover);

/***/ }),

/***/ 68998:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B3: () => (/* binding */ constrainLeft),
/* harmony export */   Mf: () => (/* binding */ suggested),
/* harmony export */   Yc: () => (/* binding */ unbindWindowListeners),
/* harmony export */   _n: () => (/* binding */ onViewportChange),
/* harmony export */   cY: () => (/* binding */ offset),
/* harmony export */   jQ: () => (/* binding */ bindWindowListeners)
/* harmony export */ });
// inspired by https://github.com/jkroso/viewport
function updateViewport() {
  const viewport = {};
  viewport.top = window.scrollY;
  viewport.left = window.scrollX;
  viewport.width = window.innerWidth;
  viewport.height = window.innerHeight;
  viewport.right = viewport.left + viewport.width;
  viewport.bottom = viewport.top + viewport.height;
  return viewport;
}
const opposite = {
  top: 'bottom',
  bottom: 'top',
  left: 'right',
  right: 'left'
};
const adjacent = {
  top: 'right',
  left: 'top',
  bottom: 'left',
  right: 'bottom'
};
let _viewport = null;
let _windowEventsRefCount = 0;
function getViewport() {
  if (!_viewport) {
    // initialize on first use
    _viewport = updateViewport();
  }
  return _viewport;
}
function onViewportChange() {
  _viewport = updateViewport();
}
function bindWindowListeners() {
  if (_windowEventsRefCount++ > 0) {
    return;
  }

  // don't debounce these because they don't so any work that requires layout
  window.addEventListener('resize', onViewportChange, true);
  window.addEventListener('scroll', onViewportChange, true);
}
function unbindWindowListeners() {
  if (--_windowEventsRefCount > 0) {
    return;
  }
  window.removeEventListener('resize', onViewportChange, true);
  window.removeEventListener('scroll', onViewportChange, true);
}
function suggested(pos, el, target) {
  const viewport = getViewport();
  const targetPosition = target.getBoundingClientRect();
  const h = el.clientHeight;
  const w = el.clientWidth;

  // see where we have spare room
  const room = {
    top: targetPosition.top - h,
    bottom: viewport.height - targetPosition.bottom - h,
    left: targetPosition.left - w,
    right: viewport.width - targetPosition.right - w
  };
  const arrayPositions = pos.split(/\s+/);
  const [pos0] = arrayPositions;
  let [, pos1] = arrayPositions;
  const primary = choosePrimary(pos0, room);
  if (pos1 === primary || pos1 === opposite[primary]) {
    pos1 = null;
  }
  return chooseSecondary(primary, pos1, el, target, w, h) || pos;
}
function choosePrimary(prefered, room) {
  // top, bottom, left, right in order of preference
  const order = [prefered, opposite[prefered], adjacent[prefered], opposite[adjacent[prefered]]];
  let best = -Infinity;
  let bestPos;
  for (let i = 0, len = order.length; i < len; i++) {
    const _prefered = order[i];
    const space = room[_prefered];
    // the first side it fits completely
    if (space > 0) {
      return _prefered;
    }

    // less chopped of than other sides
    if (space > best) {
      best = space, bestPos = prefered;
    }
  }
  return bestPos;
}
function chooseSecondary(primary, prefered, el, target, w, h) {
  const viewport = getViewport();
  // top, top left, top right in order of preference
  const isVertical = primary === 'top' || primary === 'bottom';
  const order = prefered ? [isVertical ? `${primary} ${prefered}` : `${prefered} ${primary}`, primary, isVertical ? `${primary} ${opposite[prefered]}` : `${opposite[prefered]} ${primary}`] : [primary, isVertical ? `${primary} ${adjacent[primary]}` : `${adjacent[primary]} ${primary}`, isVertical ? `${primary} ${opposite[adjacent[primary]]}` : `${opposite[adjacent[primary]]} ${primary}`];
  let bestPos;
  let best = 0;
  const max = w * h;
  for (let i = 0, len = order.length; i < len; i++) {
    const pos = order[i];
    const off = offset(pos, el, target);
    const offRight = off.left + w;
    const offBottom = off.top + h;
    const yVisible = Math.min(off.top < viewport.top ? offBottom - viewport.top : viewport.bottom - off.top, h);
    const xVisible = Math.min(off.left < viewport.left ? offRight - viewport.left : viewport.right - off.left, w);
    const area = xVisible * yVisible;

    // the first position that shows all the tip
    if (area === max) {
      return pos;
    }

    // shows more of the tip than the other positions
    if (area > best) {
      best = area, bestPos = pos;
    }
  }
  return bestPos;
}
function offset(pos, el, target, relativePosition) {
  const pad = 15;
  const tipRect = el.getBoundingClientRect();
  if (!tipRect) {
    throw new Error('could not get bounding client rect of Tip element');
  }
  const ew = tipRect.width;
  const eh = tipRect.height;
  const targetRect = target.getBoundingClientRect();
  if (!targetRect) {
    throw new Error('could not get bounding client rect of `target`');
  }
  const tw = targetRect.width;
  const th = targetRect.height;
  const to = _offset(targetRect, document);
  if (!to) {
    throw new Error('could not determine page offset of `target`');
  }
  let _pos = {};
  switch (pos) {
    case 'top':
      _pos = {
        top: to.top - eh,
        left: relativePosition && relativePosition.left ? to.left + relativePosition.left : to.left + tw / 2 - ew / 2
      };
      break;
    case 'bottom':
      _pos = {
        top: to.top + th,
        left: relativePosition && relativePosition.left ? to.left + relativePosition.left : to.left + tw / 2 - ew / 2
      };
      break;
    case 'right':
      _pos = {
        top: to.top + th / 2 - eh / 2,
        left: to.left + tw
      };
      break;
    case 'left':
      _pos = {
        top: to.top + th / 2 - eh / 2,
        left: to.left - ew
      };
      break;
    case 'top left':
      _pos = {
        top: to.top - eh,
        left: to.left + tw / 2 - ew + pad
      };
      break;
    case 'top right':
      _pos = {
        top: to.top - eh,
        left: to.left + tw / 2 - pad
      };
      break;
    case 'bottom left':
      _pos = {
        top: to.top + th,
        left: to.left + tw / 2 - ew + pad
      };
      break;
    case 'bottom right':
      _pos = {
        top: to.top + th,
        left: to.left + tw / 2 - pad
      };
      break;
    case 'left top':
      _pos = {
        top: to.top + th / 2 - eh,
        left: to.left - ew
      };
      break;
    case 'left bottom':
      _pos = {
        top: to.top + th / 2,
        left: to.left - ew
      };
      break;
    case 'right top':
      _pos = {
        top: to.top + th / 2 - eh,
        left: to.left + tw
      };
      break;
    case 'right bottom':
      _pos = {
        top: to.top + th / 2,
        left: to.left + tw
      };
      break;
    default:
      throw new Error(`invalid position "${pos}"`);
  }
  return _pos;
}

/**
 * Extracted from `timoxley/offset`, but directly using a
 * TextRectangle instead of getting another version.
 * @param {window.TextRectangle} box - result from a `getBoundingClientRect()` call
 * @param {window.Document} doc - Document instance to use
 * @returns {Object} an object with `top` and `left` Number properties
 * @private
 */
function _offset(box, doc) {
  const body = doc.body || doc.getElementsByTagName('body')[0];
  const docEl = doc.documentElement || body.parentNode;
  const clientTop = docEl.clientTop || body.clientTop || 0;
  const clientLeft = docEl.clientLeft || body.clientLeft || 0;
  const scrollTop = window.pageYOffset || docEl.scrollTop;
  const scrollLeft = window.pageXOffset || docEl.scrollLeft;
  return {
    top: box.top + scrollTop - clientTop,
    left: box.left + scrollLeft - clientLeft
  };
}

/**
 * Constrain a left to keep the element in the window
 * @param {Object} off Proposed offset before constraining
 * @param {window.Element} el Element to be constained to viewport
 * @returns {number}    the best width
 */
function constrainLeft(off, el) {
  const viewport = getViewport();
  const ew = el.getBoundingClientRect().width;
  off.left = Math.max(0, Math.min(off.left, viewport.width - ew));
  return off;
}

/***/ }),

/***/ 19574:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(75795);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_1__);


const RootChild = ({
  children
}) => {
  // we can render the children only after the container DOM element has been created and added
  // to the DOM tree. And we can't create and append the element in component constructor because
  // there is no corresponding destructor that would safely remove it in case the render is not
  // committed by React.
  //
  // A seemingly possible approach is to create the element in constructor, render the portal into
  // it and then add it to `document.body` in `componentDidMount`. But that creates another subtle
  // bug: the portal is rendered into a DOM element that's not part of the DOM tree and therefore
  // is not part of layout and painting, and has no dimensions. Many component's lifecycles and
  // effect hooks rightfully assume that the element can be measured in `componentDidMount` or
  // `useEffect`.
  //
  // Another thing that fails inside a detached DOM element is accessing `iframe.contentWindow`.
  // The `contentWindow` is `null` until the `iframe` becomes active, i.e., is added to the DOM
  // tree. We access the `contentWindow` in `WebPreview`, for example.
  const [containerEl, setContainerEl] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useLayoutEffect)(() => {
    // create the container element and immediately trigger a rerender
    const element = document.createElement('div');
    document.body.appendChild(element);
    setContainerEl(element);
    return () => {
      document.body.removeChild(element);
    };
  }, []);
  if (!containerEl) {
    // don't render anything until the `containerEl` is created. That's the correct behavior
    // in SSR (no portals there, `RootChild` renders as empty).
    return null;
  }
  return /*#__PURE__*/react_dom__WEBPACK_IMPORTED_MODULE_1___default().createPortal(children, containerEl);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (RootChild);

/***/ }),

/***/ 15471:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ ScreenReaderText)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(8788);


function ScreenReaderText({
  children
}) {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: "screen-reader-text"
  }, children);
}

/***/ }),

/***/ 21137:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   b: () => (/* binding */ useScrollToTop)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);

const useScrollToTop = ({
  scrollTargetRef,
  smoothScrolling,
  isBelowThreshold
}) => {
  const [isButtonVisible, setVisible] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const scrollCallback = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    if (scrollTargetRef.current) {
      setVisible(isBelowThreshold(scrollTargetRef.current));
    }
  }, [scrollTargetRef, isBelowThreshold]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (scrollTargetRef.current) {
      const scrollElement = scrollTargetRef.current;
      scrollElement.addEventListener('scroll', scrollCallback);
      return () => {
        scrollElement.removeEventListener('scroll', scrollCallback);
      };
    }
  }, [scrollTargetRef, scrollCallback]);
  const scrollToTop = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    if (!scrollTargetRef.current) {
      return;
    }
    scrollTargetRef.current.scrollTo({
      top: 0,
      behavior: smoothScrolling ? 'smooth' : 'auto'
    });
  }, [scrollTargetRef, smoothScrolling]);
  return {
    scrollToTop,
    isButtonVisible
  };
};

/***/ }),

/***/ 64682:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   y: () => (/* binding */ Spinner)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(24586);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(49637);





class Spinner extends react__WEBPACK_IMPORTED_MODULE_2__.PureComponent {
  render() {
    const className = classnames__WEBPACK_IMPORTED_MODULE_1___default()(this.props.baseClassName, this.props.className);
    const style = {
      width: this.props.size,
      height: this.props.size,
      fontSize: this.props.size // allows border-width to be specified in em units
    };
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: className
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "spinner__outer",
      style: style
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "spinner__inner"
    })));
  }
}
(0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)(Spinner, "defaultProps", {
  size: 20,
  baseClassName: 'spinner'
});

/***/ }),

/***/ 5813:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/**
 * Returns configuration value for given key
 *
 * If the requested key isn't defined in the configuration
 * data then this will report the failure with either an
 * error or a console warning.
 *
 * When in the 'development' NODE_ENV it will raise an error
 * to crash execution early. However, because many modules
 * call this function in the module-global scope a failure
 * here can not only crash that module but also entire
 * application flows as well as trigger unexpected and
 * unwanted behaviors. Therefore if the NODE_ENV is not
 * 'development' we will return `undefined` and log a message
 * to the console instead of halting the execution thread.
 *
 * The config files are loaded in sequence: _shared.json, {env}.json, {env}.local.json
 * @see server/config/parser.js
 * @param data Configurat data.
 * @throws {ReferenceError} when key not defined in the config (NODE_ENV=development only)
 * @returns A function that gets the value of property named by the key
 */
const config = data => key => {
  if (key in data) {
    return data[key];
  }
  if (false) {}

  // display console error only in a browser
  // (not in tests, for example)
  if (true) {
    // eslint-disable-next-line no-console
    console.error('%cCore Error: ' + `%cCould not find config value for key %c${key}%c. ` + 'Please make sure that if you need it then it has a default value assigned in ' + '%cconfig/_shared.json' + '%c.', 'color: red; font-size: 120%',
    // error prefix
    'color: black;',
    // message
    'color: blue;',
    // key name
    'color: black;',
    // message
    'color: blue;',
    // config file reference
    'color: black' // message
    );
  }
  return undefined;
};

/**
 * Checks whether a specific feature is enabled.
 * @param data the json environment configuration to use for getting config values
 * @returns A function that takes a feature name and returns true when the feature is enabled.
 */
const isEnabled = data => feature => data.features && !!data.features[feature] || false;

/**
 * Gets a list of all enabled features.
 * @param data A set of config data (Not used by general users, is pre-filled via currying).
 * @returns List of enabled features (strings).
 */
const enabledFeatures = data => () => {
  if (!data.features) {
    return [];
  }
  return Object.entries(data.features).reduce((enabled, [feature, isEnabled]) => isEnabled ? [...enabled, feature] : enabled, []);
};

/**
 * Enables a specific feature.
 * @param data the json environment configuration to use for getting config values
 */
const enable = data => feature => {
  if (data.features) {
    data.features[feature] = true;
  }
};

/**
 * Disables a specific feature.
 * @param data the json environment configuration to use for getting config values
 */

const disable = data => feature => {
  if (data.features) {
    data.features[feature] = false;
  }
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (data => {
  const configApi = config(data);
  configApi.isEnabled = isEnabled(data);
  configApi.enabledFeatures = enabledFeatures(data);
  configApi.enable = enable(data);
  configApi.disable = disable(data);
  return configApi;
});

/***/ }),

/***/ 82999:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   V: () => (/* binding */ generateAdminSections)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_products__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(76277);
/* harmony import */ var _automattic_calypso_products__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(52400);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__);


const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__.__;
function generateAdminSections(siteSlug, customizerUrls, googleMailService, onboardingUrl) {
  return [{
    title: __('Add a new domain', "full-site-editing"),
    description: __('Set up your domain whether it’s registered with WordPress.com or elsewhere.'),
    link: `/domains/add/${siteSlug}`,
    synonyms: ['domains'],
    icon: 'domains'
  }, {
    title: __('Manage my domain settings', "full-site-editing"),
    description: __('Manage all domains linked to your account.', "full-site-editing"),
    link: `/domains/manage/${siteSlug}`,
    synonyms: ['domains'],
    icon: 'domains'
  }, {
    title: __('Change my site address', "full-site-editing"),
    link: `/domains/manage/${siteSlug}/edit/${siteSlug}`,
    synonyms: ['domains', 'domain'],
    icon: 'domains'
  }, {
    title: __('Add a site redirect', "full-site-editing"),
    description: __('Redirect your site to another domain.', "full-site-editing"),
    link: `/domains/add/site-redirect/${siteSlug}`,
    synonyms: ['domains', 'domain', 'forward'],
    icon: 'domains'
  }, {
    title: __('Change my password', "full-site-editing"),
    link: '/me/security',
    synonyms: ['update'],
    icon: 'cog'
  }, {
    title: __("Change my site's theme"),
    link: `/themes/${siteSlug}`,
    synonyms: ['switch', 'design'],
    icon: 'customize'
  }, {
    title: __("Customize my site's theme"),
    link: customizerUrls.root,
    synonyms: ['color', 'font', 'design', 'css', 'widgets'],
    icon: 'customize'
  }, {
    title: __('Change my homepage', "full-site-editing"),
    link: customizerUrls.homepage,
    synonyms: ['home', 'homepage'],
    icon: 'customize'
  }, {
    title: __('Edit my menu', "full-site-editing"),
    link: customizerUrls.menus,
    synonyms: ['menu'],
    icon: 'customize'
  }, {
    title: __('Set a site logo', "full-site-editing"),
    link: customizerUrls.identity,
    synonyms: ['logo', 'identity'],
    icon: 'customize'
  }, {
    title: __('Find a plan to suit my site', "full-site-editing"),
    link: `/plans/${siteSlug}`,
    synonyms: ['upgrade', 'business', 'professional', 'personal'],
    icon: 'plans'
  }, {
    title: __('Cancel my plan', "full-site-editing"),
    link: `/me/purchases`,
    synonyms: ['upgrade', 'business', 'professional', 'personal'],
    icon: 'plans'
  }, {
    title: __('Upgrade my plan', "full-site-editing"),
    link: `/plans/${siteSlug}`,
    synonyms: ['upgrade', 'business', 'professional', 'personal'],
    icon: 'plans'
  }, {
    /* translators: %(googleMailService)s can be either "G Suite" or "Google Workspace */
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__.sprintf)(__('Cancel %s', "full-site-editing"), googleMailService),
    link: `/me/purchases`,
    synonyms: ['upgrade', 'business', 'professional', 'personal', 'google'],
    icon: 'plans'
  }, {
    title: __('Renew my plan', "full-site-editing"),
    link: `/plans/${siteSlug}`,
    synonyms: ['upgrade', 'business', 'professional', 'personal', 'plan'],
    icon: 'plans'
  }, {
    title: __('Renew my domain', "full-site-editing"),
    link: `/plans/${siteSlug}`,
    synonyms: ['domain', 'business', 'professional', 'personal', 'plan'],
    icon: 'plans'
  }, {
    title: __('View my site activity', "full-site-editing"),
    link: `/activity-log/${siteSlug}`,
    icon: 'history'
  }, {
    title: __("View my site's latest stats"),
    link: `/stats/day/${siteSlug}`,
    synonyms: ['analytics'],
    icon: 'stats-alt'
  }, {
    title: __('Upload an image, video, audio or document', "full-site-editing"),
    link: `/media/${siteSlug}`,
    synonyms: ['media', 'photo'],
    icon: 'image'
  }, {
    title: __('Import content from another site', "full-site-editing"),
    link: `/settings/import/${siteSlug}`,
    synonyms: ['medium', 'blogger', 'wix', 'squarespace'],
    icon: 'cloud-upload'
  }, {
    title: __('Earn money from my site', "full-site-editing"),
    description: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__.sprintf)(
    // translators: %s is the name of the Explorer/Premium plan.
    __("By upgrading to the %s plan, you'll be able to monetize your site through the WordAds program."), (0,_automattic_calypso_products__WEBPACK_IMPORTED_MODULE_1__/* .getPlan */ .U7)(_automattic_calypso_products__WEBPACK_IMPORTED_MODULE_2__/* .PLAN_PREMIUM */ .Gi)?.getTitle()),
    link: `/earn/${siteSlug}`,
    synonyms: ['monetize', 'wordads', 'premium', 'explorer'],
    icon: 'money'
  }, {
    title: __('Learn how to market my site', "full-site-editing"),
    link: `/marketing/tools/${siteSlug}`,
    synonyms: ['marketing', 'brand', 'logo', 'seo', 'tools', 'traffic'],
    icon: 'speaker'
  }, {
    title: __("Manage my site's users"),
    description: __('Invite new users and edit existing ones.', "full-site-editing"),
    link: `/people/team/${siteSlug}`,
    synonyms: ['administrator', 'editor', 'contributor', 'viewer', 'follower'],
    icon: 'user'
  }, {
    title: __('Invite new users to my site', "full-site-editing"),
    link: `/people/new/${siteSlug}`,
    synonyms: ['administrator', 'editor', 'contributor', 'viewer', 'follower'],
    icon: 'user'
  }, {
    title: __("Change my site's timezone"),
    link: `/settings/general/${siteSlug}#site-settings__blogtimezone`,
    synonyms: ['time', 'date'],
    icon: 'cog'
  }, {
    title: __('Launch my site', "full-site-editing"),
    description: __('Switch your site from private to public.', "full-site-editing"),
    link: `/settings/general/${siteSlug}#site-privacy-settings`,
    synonyms: ['private', 'public'],
    icon: 'cog'
  }, {
    title: __("Delete a site or a site's content"),
    description: __('Remove all posts, pages, and media, or delete a site completely.', "full-site-editing"),
    link: `/settings/general/${siteSlug}#site-tools__header`,
    icon: 'cog'
  }, {
    title: __('Set a site icon', "full-site-editing"),
    link: `/settings/general/${siteSlug}`,
    icon: 'cog',
    synonyms: ['logo']
  }, {
    title: __("Change my site's footer text"),
    description: __('You can customize your website by changing the footer credit in customizer.'),
    link: `/settings/general/${siteSlug}#site-settings__footer-credit-header`,
    synonyms: ['remove footer', 'update footer'],
    icon: 'cog'
  }, {
    title: __("Export my site's content and media library"),
    description: __('Export posts, pages and more from your site.', "full-site-editing"),
    link: `/settings/export/${siteSlug}`,
    synonyms: ['xml', 'images', 'migration', 'import', 'download'],
    icon: 'cog'
  }, {
    title: __('Manage sharing and social media connections', "full-site-editing"),
    link: `/sharing/${siteSlug}`,
    synonyms: ['facebook', 'twitter', 'twitter', 'tumblr', 'eventbrite'],
    icon: 'share'
  }, {
    title: __('Add sharing buttons to my site', "full-site-editing"),
    description: __('Allow readers to easily share your posts with others by adding sharing buttons throughout your site.'),
    link: `/sharing/buttons/${siteSlug}`,
    synonyms: ['like', 'reblog'],
    icon: 'share'
  }, {
    title: __('Install, manage, and search for site Plugins', "full-site-editing"),
    link: `/plugins/${siteSlug}`,
    synonyms: ['upload'],
    icon: 'plugins'
  }, {
    title: __('Approve or delete comments', "full-site-editing"),
    link: `/comments/all/${siteSlug}`,
    synonyms: ['spam', 'discussion', 'moderation', 'moderate'],
    icon: 'chat'
  }, {
    title: __('Manage how users can comment on my site', "full-site-editing"),
    link: `/settings/discussion/${siteSlug}`,
    synonyms: ['discussion', 'moderation', 'blocklist'],
    icon: 'cog'
  }, {
    title: __('Manage post categories', "full-site-editing"),
    link: `/settings/writing/${siteSlug}`,
    synonyms: ['post', 'category'],
    icon: 'cog'
  }, {
    title: __('Edit my site title, tagline, or logo', "full-site-editing"),
    link: `/settings/general/${siteSlug}`,
    synonyms: ['title', 'logo'],
    icon: 'cog'
  }, {
    title: __('Set up a podcast', "full-site-editing"),
    link: `/settings/writing/${siteSlug}#podcasting-details__link-header`,
    synonyms: ['podcast', 'radio', 'audio'],
    icon: 'cog'
  }, {
    title: __("Change my site's privacy settings"),
    link: `/settings/general/${siteSlug}#site-privacy-settings`,
    synonyms: ['privacy'],
    icon: 'cog'
  }, {
    title: __('Manage SEO and traffic settings', "full-site-editing"),
    link: `/settings/traffic/${siteSlug}`,
    synonyms: ['analytics', 'related', 'sitemap'],
    icon: 'cog'
  }, {
    title: __('Update my profile', "full-site-editing"),
    description: __('Update your name, profile image, and about text.', "full-site-editing"),
    link: '/me',
    synonyms: ['avatar'],
    icon: 'user'
  }, {
    title: __('Update my username or email address', "full-site-editing"),
    link: '/me/account',
    synonyms: ['user', 'account'],
    icon: 'cog'
  }, {
    title: __('Change the dashboard color scheme', "full-site-editing"),
    link: '/me/account#account__color_scheme',
    synonyms: ['theme'],
    icon: 'cog'
  }, {
    title: __('Switch the interface language', "full-site-editing"),
    description: __('Update the language of the interface you see across WordPress.com as a whole.'),
    link: '/me/account#account__language',
    synonyms: ['dashboard', 'change', 'language'],
    icon: 'cog'
  }, {
    title: __('Close my account permanently', "full-site-editing"),
    description: __('Delete all of your sites, and close your account completely.', "full-site-editing"),
    link: '/me/account/close',
    synonyms: ['delete'],
    icon: 'cog'
  }, {
    title: __('Change my account privacy settings', "full-site-editing"),
    link: '/me/privacy',
    synonyms: ['security', 'tracking'],
    icon: 'visible'
  }, {
    title: __('View my purchase and billing history', "full-site-editing"),
    link: '/me/purchases',
    synonyms: ['purchases', 'invoices', 'pending', 'payment', 'credit card'],
    icon: 'credit-card'
  }, {
    title: __('Download the WordPress.com app for my device', "full-site-editing"),
    description: __('Get WordPress apps for all your screens.', "full-site-editing"),
    link: '/me/get-apps',
    synonyms: ['android', 'iphone', 'mobile', 'desktop', 'phone'],
    icon: 'my-sites'
  }, {
    title: __('View my drafted posts', "full-site-editing"),
    link: `/posts/drafts/${siteSlug}`,
    synonyms: ['posts', 'draft'],
    icon: 'my-sites'
  }, {
    title: __('Manage my blog posts', "full-site-editing"),
    link: `/posts/${siteSlug}`,
    synonyms: ['lists', 'posts'],
    icon: 'my-sites'
  }, {
    title: __('New post', "full-site-editing"),
    description: __(`Create a new blog post on your site.`),
    link: `/post/${siteSlug}`,
    synonyms: ['lists', 'posts'],
    icon: 'my-sites'
  }, {
    title: __('View my drafted pages', "full-site-editing"),
    link: `/pages/drafts/${siteSlug}`,
    synonyms: ['pages', 'draft'],
    icon: 'my-sites'
  }, {
    title: __('Manage my pages', "full-site-editing"),
    link: `/pages/${siteSlug}`,
    synonyms: ['lists', 'pages'],
    icon: 'my-sites'
  }, {
    title: __('I cannot find my site on Google', "full-site-editing"),
    link: `/marketing/traffic/${siteSlug}`,
    synonyms: ['google', 'traffic', 'seo'],
    icon: 'speaker'
  }, {
    title: __('Verify my site with Google', "full-site-editing"),
    link: `/marketing/traffic/${siteSlug}`,
    synonyms: ['google', 'traffic', 'seo'],
    icon: 'cog'
  }, {
    title: __('Create a new site', "full-site-editing"),
    link: `${onboardingUrl}?ref=calypso-inline-help`,
    synonyms: ['site'],
    icon: 'cog'
  }, {
    title: __('View contact form messages', "full-site-editing"),
    link: `https://${siteSlug}/wp-admin/edit.php?post_type=feedback&calypsoify=1`,
    synonyms: ['contact', 'form'],
    icon: 'cog'
  }, {
    title: __('Portfolio projects (for those who have them active)', "full-site-editing"),
    link: `/types/jetpack-portfolio/${siteSlug}`,
    synonyms: ['portfolio'],
    icon: 'cog'
  }];
}

/***/ }),

/***/ 87316:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $q: () => (/* binding */ RESULT_TOUR),
/* harmony export */   BK: () => (/* binding */ SUPPORT_TYPE_ADMIN_SECTION),
/* harmony export */   Jo: () => (/* binding */ SUPPORT_TYPE_CONTEXTUAL_HELP),
/* harmony export */   Ws: () => (/* binding */ SUPPORT_TYPE_API_HELP),
/* harmony export */   od: () => (/* binding */ RESULT_VIDEO)
/* harmony export */ });
/* unused harmony exports RESULT_ARTICLE, SUPPORT_BLOG_ID */
const RESULT_ARTICLE = 'article';
const RESULT_TOUR = 'tour';
const RESULT_VIDEO = 'video';
const SUPPORT_BLOG_ID = 9619154;
const SUPPORT_TYPE_CONTEXTUAL_HELP = 'contextual_help';
const SUPPORT_TYPE_API_HELP = 'api_help';
const SUPPORT_TYPE_ADMIN_SECTION = 'admin_section';

/***/ }),

/***/ 48640:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   U5: () => (/* binding */ getContextResults)
/* harmony export */ });
/* unused harmony exports videosForSection, toursForSection */
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(87316);

const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__.__;

/*
source: https://www.youtube.com/playlist?list=PLQFhxUeNFfdKx9gO0a2mp9h8pKjb2y9la
run this in the console to get the videos into a more helpful format (also removes duplicates):
```JavaScript
data = {};
document.querySelectorAll('.yt-simple-endpoint.ytd-playlist-video-renderer').forEach( function( e ) {
	data[ new RegExp(/v=([^&]*)&/).exec( e.href )[1] ] = e.querySelector( '#video-title' ).innerHTML.trim();
} );
console.log( data );
```
*/

const videosForSection = {
  sharing: [{
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=YVelWG3hf3o',
    get title() {
      return __('Add Social Sharing Buttons to Your Website', "full-site-editing");
    },
    get description() {
      return __('Find out how to add social sharing buttons to your WordPress.com site, which you can also ' + 'do with a Jetpack-enabled WordPress site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=NcCe0ozmqFM',
    get title() {
      return __('Connect Your Blog to Facebook Using Jetpack Social', "full-site-editing");
    },
    get description() {
      return __('Find out how to share blog posts directly on Facebook from your WordPress.com site, ' + 'which you can also do on a Jetpack-enabled WordPress site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=f44-4TgnWTs',
    get title() {
      return __('Display Your Instagram Feed on Your Website', "full-site-editing");
    },
    get description() {
      return __('Find out how to display your latest Instagram photos right on your WordPress.com site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=3rTooGV_mlg',
    get title() {
      return __('Set Up the Social Links Menu', "full-site-editing");
    },
    get description() {
      return __('Find out how to set up a social links menu on your WordPress.com or Jetpack-enabled WordPress site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=gmrOkkqMNlc',
    get title() {
      return __('Embed a Twitter Timeline in your Sidebar', "full-site-editing");
    },
    get description() {
      return __('Find out how to display your Twitter timeline on your WordPress.com or Jetpack-enabled WordPress site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=vy-U5saqG9A',
    get title() {
      return __('Set Up a Social Media Icons Widget', "full-site-editing");
    },
    get description() {
      return __('Find out how to set up the social media icons widget on your WordPress.com or Jetpack-enabled WordPress site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=N0GRBFRkzzs',
    get title() {
      return __('Embed a Tweet from Twitter in Your Website', "full-site-editing");
    },
    get description() {
      return __('Find out how to embed a Tweet in your content (including posts and pages) on your WordPress.com ' + 'or Jetpack-enabled WordPress website or blog.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=uVRji6bKJUE',
    get title() {
      return __('Embed an Instagram Photo in Your Website', "full-site-editing");
    },
    get description() {
      return __('Find out how to embed an Instagram photo in your content (including posts and pages) on your WordPress.com ' + 'or Jetpack-enabled WordPress website or blog.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=sKm3Q83JxM0',
    get title() {
      return __('Embed a Facebook Update in Your Website', "full-site-editing");
    },
    get description() {
      return __('Find out how to embed a Facebook update in your content (including posts, pages, and even comments) on your ' + 'WordPress.com or Jetpack-enabled WordPress website or blog.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=SBgNkre_b14',
    get title() {
      return __('Share Blog Posts Directly on Twitter', "full-site-editing");
    },
    get description() {
      return __('Find out how to share blog posts directly on Twitter from your WordPress.com or Jetpack-enabled WordPress site.', "full-site-editing");
    }
  }],
  settings: [{
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=0YCZ22k4SfQ',
    get title() {
      return __('Add a Site Logo', "full-site-editing");
    },
    get description() {
      return __('Find out how to add a custom logo to your WordPress.com site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=vucZ1uZ2NPo',
    get title() {
      return __('Update Your Website Title and Tagline', "full-site-editing");
    },
    get description() {
      return __('Find out how to update the Title and Tagline of your WordPress.com site, which you can also ' + 'do on your Jetpack-enabled WordPress site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=Y6iPsPwYD7g',
    get title() {
      return __('Change Your Privacy Settings', "full-site-editing");
    },
    get description() {
      return __('Find out how to change your website privacy settings on WordPress.com.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=bjxKGxW0MRA',
    get title() {
      return __('Add a Site Icon', "full-site-editing");
    },
    get description() {
      return __('Find out how to add a site icon on WordPress.com.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=z6fCtvLB0wM',
    get title() {
      return __('Create a Multilingual Site', "full-site-editing");
    },
    get description() {
      return __('Find out how to create a multilingual site on WordPress.com.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=D142Edhcpaw',
    get title() {
      return __('Customize Your Content Options', "full-site-editing");
    },
    get description() {
      return __('Find out how to customize your content options on select WordPress.com themes.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=Vyr-g5SEuIA',
    get title() {
      return __('Change Your Language Settings', "full-site-editing");
    },
    get description() {
      return __('Find out how to change your blog or website language and your interface language settings on WordPress.com.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=EUuEuW_LCrc',
    get title() {
      return __('Activate Free Email Forwarding', "full-site-editing");
    },
    get description() {
      return __('Find out how to activate free email forwarding from an address using a custom domain registered through WordPress.com.', "full-site-editing");
    }
  }],
  account: [{
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=aO-6yu3_xWQ',
    get title() {
      return __('Change Your Password', "full-site-editing");
    },
    get description() {
      return __('Find out how to change your account password on WordPress.com.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=qhsjkqFdDZo',
    get title() {
      return __('Change Your WordPress.com Username', "full-site-editing");
    },
    get description() {
      return __('Find out how to change your username on WordPress.com.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=Tyxu_xT6q1k',
    get title() {
      return __('Change Your WordPress.com Display Name', "full-site-editing");
    },
    get description() {
      return __('Find out how to change your display name on WordPress.com.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=07Nf8FkjO4o',
    get title() {
      return __('Change Your Account Email Address', "full-site-editing");
    },
    get description() {
      return __('Find out how to change your account email address on WordPress.com.', "full-site-editing");
    }
  }],
  customizer: [{
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=pf_ST7gvY8c',
    get title() {
      return __('Add a Custom Header Image', "full-site-editing");
    },
    get description() {
      return __('Find out how to add a custom header image to your WordPress.com website or blog.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=CY20IAtl2Ac',
    get title() {
      return __('Create a Custom Website Menu', "full-site-editing");
    },
    get description() {
      return __('Find out how to create a custom menu on your WordPress.com or Jetpack-enabled WordPress site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=2H_Jsgh2Z3Y',
    get title() {
      return __('Add a Widget', "full-site-editing");
    },
    get description() {
      return __('Find out how to add a widget to your WordPress.com website.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=ypFF4ONBfSQ',
    get title() {
      return __('Add a Custom Background', "full-site-editing");
    },
    get description() {
      return __('Find out how to add a custom background to your WordPress.com site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=b8EuJDrNeOA',
    get title() {
      return __('Change Your Site Fonts', "full-site-editing");
    },
    get description() {
      return __('Find out how to change the fonts on your WordPress.com website or blog.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=7VPgvxV78Kc',
    get title() {
      return __('Add a Gallery Widget', "full-site-editing");
    },
    get description() {
      return __('Find out how to add an image gallery widget to your WordPress.com website or blog.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=oDBuaBLrwF8',
    get title() {
      return __('Use Featured Content', "full-site-editing");
    },
    get description() {
      return __('Find out how to use the Featured Content option on your WordPress.com website or blog.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=3TqRr21zyiA',
    get title() {
      return __('Add an Image Widget', "full-site-editing");
    },
    get description() {
      return __('Find out how to add an image widget to your WordPress.com website or blog.', "full-site-editing");
    }
  }],
  'posts-pages': [{
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=3RPidSCQ0LI',
    get title() {
      return __('Create a Landing Page', "full-site-editing");
    },
    get description() {
      return __('Find out how to create a one-page website or landing page on your WordPress.com site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=4IkFQzl5nXc',
    get title() {
      return __('Set Up a Website in 5 Steps', "full-site-editing");
    },
    get description() {
      return __('Find out how to create a website on WordPress.com in five steps.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=mta6Y0o7yJk',
    get title() {
      return __('Set Up a Blog in 5 Steps', "full-site-editing");
    },
    get description() {
      return __('Find out how to create a blog on WordPress.com in five steps.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=Gx7YNX1Wk5U',
    get title() {
      return __('Create a Page', "full-site-editing");
    },
    get description() {
      return __('Find out how to create a page on your WordPress.com site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=mCfuh5bCOwM',
    get title() {
      return __('Create a Post', "full-site-editing");
    },
    get description() {
      return __('Find out how to create a post on WordPress.com.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=bEVHg6nopcs',
    get title() {
      return __('Use a Custom Menu in a Widget', "full-site-editing");
    },
    get description() {
      return __('Find out how to use a custom menu in a widget on your WordPress.com or Jetpack-enabled WordPress site.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=nAzdUOlFoBI',
    get title() {
      return __('Configure a Static Homepage', "full-site-editing");
    },
    get description() {
      return __('By default, your new WordPress.com website displays your latest posts. Find out how to create a static homepage instead.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=MPpVeMmDOhk',
    get title() {
      return __('Show Related Posts on Your WordPress Blog', "full-site-editing");
    },
    get description() {
      return __('Find out how to show related posts on your WordPress.com site, which you can also do on a Jetpack-enabled WordPress blog.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=JVnltCZUKC4',
    get title() {
      return __('Add Testimonials', "full-site-editing");
    },
    get description() {
      return __('Find out how to add testimonials to your WordPress.com website or blog.', "full-site-editing");
    }
  }, {
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=yH_gapAUGAA',
    get title() {
      return __('Change Your Post or Page Visibility Settings', "full-site-editing");
    },
    get description() {
      return __('Find out how to change your page or post visibility settings WordPress.com.', "full-site-editing");
    }
  }],
  media: [{
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=VjGnEHyqVqQ',
    get title() {
      return __('Add a Photo Gallery', "full-site-editing");
    },
    get description() {
      return __('Find out how to add a photo gallery on your WordPress.com and Jetpack-enabled website.', "full-site-editing");
    }
  }],
  themes: [{
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_VIDEO */ .od,
    link: 'https://www.youtube.com/watch?v=yOfAuOb68Hc',
    get title() {
      return __('Change Your Website Theme on WordPress.com', "full-site-editing");
    },
    get description() {
      return __('Find out how to change your WordPress.com theme.', "full-site-editing");
    }
  }]
};
const toursForSection = {
  media: [{
    type: _constants__WEBPACK_IMPORTED_MODULE_1__/* .RESULT_TOUR */ .$q,
    tour: 'mediaBasicsTour',
    key: 'tour:mediaBasicsTour',
    get title() {
      return __('Learn Media Library Basics', "full-site-editing");
    },
    get description() {
      return __('The Media Library is a useful tool to help you manage, search, and edit your photos, videos, documents, and other media.', "full-site-editing");
    }
  }]
};
function getContextResults(section, siteIntent) {
  // Posts and Pages have a common help section
  if (section === 'posts' || section === 'pages') {
    section = 'posts-pages';
  }
  if (siteIntent) {
    // eslint-disable-next-line no-console
    console.warn('Site intent is', siteIntent);
  }

  // make sure editorially to show at most one tour and one video at once
  // `first` is a safe-guard in case that fails
  const video = videosForSection[section]?.[0];
  const tour = toursForSection[section]?.[0];
  return [tour, video].filter(Boolean);
}

/***/ }),

/***/ 33228:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   fetchSeenWhatsNewAnnouncements: () => (/* binding */ fetchSeenWhatsNewAnnouncements),
/* harmony export */   receiveHasSeenWhatsNewModal: () => (/* binding */ receiveHasSeenWhatsNewModal),
/* harmony export */   receiveSeenWhatsNewAnnouncements: () => (/* binding */ receiveSeenWhatsNewAnnouncements),
/* harmony export */   resetStore: () => (/* binding */ resetStore),
/* harmony export */   setHasSeenWhatsNewModal: () => (/* binding */ setHasSeenWhatsNewModal),
/* harmony export */   setInitialRoute: () => (/* binding */ setInitialRoute),
/* harmony export */   setIsMinimized: () => (/* binding */ setIsMinimized),
/* harmony export */   setMessage: () => (/* binding */ setMessage),
/* harmony export */   setSeenWhatsNewAnnouncements: () => (/* binding */ setSeenWhatsNewAnnouncements),
/* harmony export */   setShowHelpCenter: () => (/* binding */ setShowHelpCenter),
/* harmony export */   setShowMessagingChat: () => (/* binding */ setShowMessagingChat),
/* harmony export */   setShowMessagingLauncher: () => (/* binding */ setShowMessagingLauncher),
/* harmony export */   setShowMessagingWidget: () => (/* binding */ setShowMessagingWidget),
/* harmony export */   setShowSupportDoc: () => (/* binding */ setShowSupportDoc),
/* harmony export */   setSite: () => (/* binding */ setSite),
/* harmony export */   setSubject: () => (/* binding */ setSubject),
/* harmony export */   setUnreadCount: () => (/* binding */ setUnreadCount),
/* harmony export */   setUserDeclaredSite: () => (/* binding */ setUserDeclaredSite),
/* harmony export */   setUserDeclaredSiteUrl: () => (/* binding */ setUserDeclaredSiteUrl),
/* harmony export */   startHelpCenterChat: () => (/* binding */ startHelpCenterChat)
/* harmony export */ });
/* harmony import */ var _wordpress_data_controls__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66161);
/* harmony import */ var _wordpress_data_controls__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data_controls__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(41445);
/* harmony import */ var _wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(62413);



const receiveHasSeenWhatsNewModal = value => ({
  type: 'HELP_CENTER_SET_SEEN_WHATS_NEW_MODAL',
  value
});
const receiveSeenWhatsNewAnnouncements = value => ({
  type: 'HELP_CENTER_SET_SEEN_WHATS_NEW_ANNOUNCEMENTS',
  value
});
function* fetchSeenWhatsNewAnnouncements() {
  let response;
  if ((0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_1__/* .canAccessWpcomApis */ .IH)()) {
    response = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/whats-new/seen-announcement-ids`,
      apiNamespace: 'wpcom/v2'
    });
  } else {
    response = yield (0,_wordpress_data_controls__WEBPACK_IMPORTED_MODULE_0__.apiFetch)({
      global: true,
      path: `/wpcom/v2/whats-new/seen-announcement-ids`
    });
  }
  return receiveSeenWhatsNewAnnouncements(response.seen_announcement_ids);
}
function* setHasSeenWhatsNewModal(value) {
  let response;
  if ((0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_1__/* .canAccessWpcomApis */ .IH)()) {
    response = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/block-editor/has-seen-whats-new-modal`,
      apiNamespace: 'wpcom/v2',
      method: 'PUT',
      body: {
        has_seen_whats_new_modal: value
      }
    });
  } else {
    response = yield (0,_wordpress_data_controls__WEBPACK_IMPORTED_MODULE_0__.apiFetch)({
      global: true,
      path: `/wpcom/v2/block-editor/has-seen-whats-new-modal`,
      method: 'PUT',
      data: {
        has_seen_whats_new_modal: value
      }
    });
  }
  return receiveHasSeenWhatsNewModal(response.has_seen_whats_new_modal);
}
function* setSeenWhatsNewAnnouncements(ids) {
  let response;
  if ((0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_1__/* .canAccessWpcomApis */ .IH)()) {
    response = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/whats-new/seen-announcement-ids`,
      apiNamespace: 'wpcom/v2',
      method: 'POST',
      body: {
        seen_announcement_ids: ids
      }
    });
  } else {
    response = yield (0,_wordpress_data_controls__WEBPACK_IMPORTED_MODULE_0__.apiFetch)({
      global: true,
      path: `/wpcom/v2/whats-new/seen-announcement-ids`,
      method: 'POST',
      data: {
        seen_announcement_ids: ids
      }
    });
  }
  return receiveSeenWhatsNewAnnouncements(response.seen_announcement_ids);
}
const setSite = site => ({
  type: 'HELP_CENTER_SET_SITE',
  site
});
const setUnreadCount = count => ({
  type: 'HELP_CENTER_SET_UNREAD_COUNT',
  count
});
const setInitialRoute = route => ({
  type: 'HELP_CENTER_SET_INITIAL_ROUTE',
  route
});
const setIsMinimized = minimized => ({
  type: 'HELP_CENTER_SET_MINIMIZED',
  minimized
});
const setShowMessagingLauncher = show => ({
  type: 'HELP_CENTER_SET_SHOW_MESSAGING_LAUNCHER',
  show
});
const setShowMessagingWidget = show => ({
  type: 'HELP_CENTER_SET_SHOW_MESSAGING_WIDGET',
  show
});
const setShowHelpCenter = function* (show) {
  if (!show) {
    yield setInitialRoute(undefined);
    yield setIsMinimized(false);
  } else {
    yield setShowMessagingWidget(false);
  }
  return {
    type: 'HELP_CENTER_SET_SHOW',
    show
  };
};
const setSubject = subject => ({
  type: 'HELP_CENTER_SET_SUBJECT',
  subject
});
const setMessage = message => ({
  type: 'HELP_CENTER_SET_MESSAGE',
  message
});
const setUserDeclaredSiteUrl = url => ({
  type: 'HELP_CENTER_SET_USER_DECLARED_SITE_URL',
  url
});
const setUserDeclaredSite = site => ({
  type: 'HELP_CENTER_SET_USER_DECLARED_SITE',
  site
});
const resetStore = () => ({
  type: 'HELP_CENTER_RESET_STORE'
});
const startHelpCenterChat = function* (site, message) {
  yield setInitialRoute('/contact-form?mode=CHAT');
  yield setSite(site);
  yield setMessage(message);
  yield setShowHelpCenter(true);
};
const setShowMessagingChat = function* () {
  yield setShowHelpCenter(false);
  yield setShowMessagingLauncher(true);
  yield setShowMessagingWidget(true);
  yield resetStore();
};
const setShowSupportDoc = function* (link, postId, blogId) {
  const params = new URLSearchParams({
    link,
    postId: String(postId),
    ...(blogId && {
      blogId: String(blogId)
    }),
    // Conditionally add blogId if it exists, the default is support blog
    cacheBuster: String(Date.now())
  });
  yield setInitialRoute(`/post/?${params}`);
  yield setShowHelpCenter(true);
};

/***/ }),

/***/ 5382:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   U: () => (/* binding */ STORE_KEY)
/* harmony export */ });
const STORE_KEY = 'automattic/help-center';

/***/ }),

/***/ 86811:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ register)
/* harmony export */ });
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_data_controls__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66161);
/* harmony import */ var _wordpress_data_controls__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data_controls__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _plugins__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(82920);
/* harmony import */ var _wpcom_request_controls__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(62413);
/* harmony import */ var _actions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(33228);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5382);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(36811);
/* harmony import */ var _selectors__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(91801);








let isRegistered = false;
function register() {
  (0,_plugins__WEBPACK_IMPORTED_MODULE_2__/* .registerPlugins */ .I)();
  if (!isRegistered) {
    (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.registerStore)(_constants__WEBPACK_IMPORTED_MODULE_3__/* .STORE_KEY */ .U, {
      actions: _actions__WEBPACK_IMPORTED_MODULE_4__,
      reducer: _reducer__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A,
      controls: {
        ..._wordpress_data_controls__WEBPACK_IMPORTED_MODULE_1__.controls,
        ..._wpcom_request_controls__WEBPACK_IMPORTED_MODULE_6__/* .controls */ .ne
      },
      selectors: _selectors__WEBPACK_IMPORTED_MODULE_7__,
      persist: ['site', 'message', 'userDeclaredSite', 'userDeclaredSiteUrl', 'subject']
    });
    isRegistered = true;
  }
  return _constants__WEBPACK_IMPORTED_MODULE_3__/* .STORE_KEY */ .U;
}

/***/ }),

/***/ 36811:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);

const showHelpCenter = (state, action) => {
  switch (action.type) {
    case 'HELP_CENTER_SET_SHOW':
      return action.show;
  }
  return state;
};
const showMessagingLauncher = (state, action) => {
  switch (action.type) {
    case 'HELP_CENTER_SET_SHOW_MESSAGING_LAUNCHER':
      return action.show;
  }
  return state;
};
const showMessagingWidget = (state, action) => {
  switch (action.type) {
    case 'HELP_CENTER_SET_SHOW_MESSAGING_WIDGET':
      return action.show;
  }
  return state;
};
const hasSeenWhatsNewModal = (state, action) => {
  switch (action.type) {
    case 'HELP_CENTER_SET_SEEN_WHATS_NEW_MODAL':
      return action.value;
  }
  return state;
};
const seenWhatsNewAnnouncements = (state, action) => {
  switch (action.type) {
    case 'HELP_CENTER_SET_SEEN_WHATS_NEW_ANNOUNCEMENTS':
      return action.value;
  }
  return state;
};
const isMinimized = (state = false, action) => {
  switch (action.type) {
    case 'HELP_CENTER_SET_MINIMIZED':
      return action.minimized;
  }
  return state;
};
const site = (state, action) => {
  if (action.type === 'HELP_CENTER_RESET_STORE') {
    return undefined;
  } else if (action.type === 'HELP_CENTER_SET_SITE') {
    return action.site;
  }
  return state;
};
const subject = (state, action) => {
  if (action.type === 'HELP_CENTER_RESET_STORE') {
    return undefined;
  } else if (action.type === 'HELP_CENTER_SET_SUBJECT') {
    return action.subject;
  }
  return state;
};
const unreadCount = (state = 0, action) => {
  if (action.type === 'HELP_CENTER_SET_UNREAD_COUNT') {
    return action.count;
  } else if (action.type === 'HELP_CENTER_RESET_STORE') {
    return 0;
  }
  return state;
};
const message = (state, action) => {
  if (action.type === 'HELP_CENTER_RESET_STORE') {
    return undefined;
  } else if (action.type === 'HELP_CENTER_SET_MESSAGE') {
    return action.message;
  }
  return state;
};
const userDeclaredSiteUrl = (state, action) => {
  if (action.type === 'HELP_CENTER_RESET_STORE') {
    return undefined;
  } else if (action.type === 'HELP_CENTER_SET_USER_DECLARED_SITE_URL') {
    return action.url;
  }
  return state;
};
const userDeclaredSite = (state, action) => {
  if (action.type === 'HELP_CENTER_RESET_STORE') {
    return undefined;
  } else if (action.type === 'HELP_CENTER_SET_USER_DECLARED_SITE') {
    return action.site;
  }
  return state;
};
const initialRoute = (state, action) => {
  if (action.type === 'HELP_CENTER_SET_INITIAL_ROUTE') {
    return action.route;
  }
  return state;
};
const reducer = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.combineReducers)({
  showHelpCenter,
  showMessagingLauncher,
  showMessagingWidget,
  site,
  subject,
  message,
  userDeclaredSite,
  userDeclaredSiteUrl,
  hasSeenWhatsNewModal,
  seenWhatsNewAnnouncements,
  isMinimized,
  unreadCount,
  initialRoute
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (reducer);

/***/ }),

/***/ 91801:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getHasSeenWhatsNewModal: () => (/* binding */ getHasSeenWhatsNewModal),
/* harmony export */   getInitialRoute: () => (/* binding */ getInitialRoute),
/* harmony export */   getIsMinimized: () => (/* binding */ getIsMinimized),
/* harmony export */   getMessage: () => (/* binding */ getMessage),
/* harmony export */   getSeenWhatsNewAnnouncements: () => (/* binding */ getSeenWhatsNewAnnouncements),
/* harmony export */   getSite: () => (/* binding */ getSite),
/* harmony export */   getSubject: () => (/* binding */ getSubject),
/* harmony export */   getUnreadCount: () => (/* binding */ getUnreadCount),
/* harmony export */   getUserDeclaredSite: () => (/* binding */ getUserDeclaredSite),
/* harmony export */   getUserDeclaredSiteUrl: () => (/* binding */ getUserDeclaredSiteUrl),
/* harmony export */   isHelpCenterShown: () => (/* binding */ isHelpCenterShown),
/* harmony export */   isMessagingLauncherShown: () => (/* binding */ isMessagingLauncherShown),
/* harmony export */   isMessagingWidgetShown: () => (/* binding */ isMessagingWidgetShown)
/* harmony export */ });
const isHelpCenterShown = state => state.showHelpCenter;
const isMessagingLauncherShown = state => state.showMessagingLauncher;
const isMessagingWidgetShown = state => state.showMessagingWidget;
const getSite = state => state.site;
const getSubject = state => state.subject;
const getMessage = state => state.message;
const getUserDeclaredSiteUrl = state => state.userDeclaredSiteUrl;
const getUserDeclaredSite = state => state.userDeclaredSite;
const getUnreadCount = state => state.unreadCount;
const getIsMinimized = state => state.isMinimized;
const getHasSeenWhatsNewModal = state => state.hasSeenWhatsNewModal;
const getSeenWhatsNewAnnouncements = state => state.seenWhatsNewAnnouncements;
const getInitialRoute = state => state.initialRoute;

/***/ }),

/***/ 82920:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   I: () => (/* binding */ registerPlugins)
/* harmony export */ });
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _one_week_persistence_config__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(25726);


let isRegistered = false;
const registerPlugins = () => {
  if (isRegistered) {
    return;
  }
  isRegistered = true;

  /**
   * Register plugins for data-stores
   */
  (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.use)(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.plugins.persistence, _one_week_persistence_config__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A);
};

/***/ }),

/***/ 25726:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/*
    Defines the options used for the @wp/data persistence plugin, 
    which include a persistent storage implementation to add data expiration handling.
*/
const storageKey = 'WPCOM_7_DAYS_PERSISTENCE';
const PERSISTENCE_INTERVAL = 7 * 24 * 3600000; // days * hours in days * ms in hour
const STORAGE_KEY = storageKey;
const STORAGE_TS_KEY = storageKey + '_TS';

// A plain object fallback if localStorage is not available
const objStore = {};
const objStorage = {
  getItem(key) {
    if (objStore.hasOwnProperty(key)) {
      return objStore[key];
    }
    return null;
  },
  setItem(key, value) {
    objStore[key] = String(value);
  },
  removeItem(key) {
    delete objStore[key];
  }
};

// Make sure localStorage support exists
const localStorageSupport = () => {
  try {
    window.localStorage.setItem('WP_ONBOARD_TEST', '1');
    window.localStorage.removeItem('WP_ONBOARD_TEST');
    return true;
  } catch (e) {
    return false;
  }
};

// Choose the right storage implementation
const storageHandler = localStorageSupport() ? window.localStorage : objStorage;

// Persisted data expires after seven days
const isNotExpired = timestampStr => {
  const timestamp = Number(timestampStr);
  return Boolean(timestamp) && timestamp + PERSISTENCE_INTERVAL > Date.now();
};

// Check for "fresh" query param
const hasFreshParam = () => {
  return new URLSearchParams(window.location.search).has('fresh');
};

// Handle data expiration by providing a storage object override to the @wp/data persistence plugin.
const storage = {
  getItem(key) {
    const timestamp = storageHandler.getItem(STORAGE_TS_KEY);
    if (timestamp && isNotExpired(timestamp) && !hasFreshParam()) {
      return storageHandler.getItem(key);
    }
    storageHandler.removeItem(STORAGE_KEY);
    storageHandler.removeItem(STORAGE_TS_KEY);
    return null;
  },
  setItem(key, value) {
    storageHandler.setItem(STORAGE_TS_KEY, JSON.stringify(Date.now()));
    storageHandler.setItem(key, value);
  }
};
const persistOptions = {
  storageKey: STORAGE_KEY,
  storage
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (persistOptions);

/***/ }),

/***/ 58636:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Wp: () => (/* binding */ utils)
/* harmony export */ });
/* harmony import */ var _lib_assembler__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(79930);


/** Queries */


/** Hooks/Selectors */



/** Types */


/** Utils */
const utils = {
  createPurchaseObject: _lib_assembler__WEBPACK_IMPORTED_MODULE_0__/* .createPurchaseObject */ .B,
  createPurchasesArray: _lib_assembler__WEBPACK_IMPORTED_MODULE_0__/* .createPurchasesArray */ .O
};

/***/ }),

/***/ 79930:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B: () => (/* binding */ createPurchaseObject),
/* harmony export */   O: () => (/* binding */ createPurchasesArray)
/* harmony export */ });
/* harmony import */ var _automattic_js_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(85931);

function createPurchaseObject(purchase) {
  const object = {
    id: Number(purchase.ID),
    active: Boolean(purchase.active),
    amount: Number(purchase.amount),
    attachedToPurchaseId: Number(purchase.attached_to_purchase_id),
    autoRenewCouponCode: purchase.auto_renew_coupon_code,
    autoRenewCouponDiscountPercentage: Number(purchase.auto_renew_coupon_discount_percentage),
    billPeriodDays: Number(purchase.bill_period_days),
    billPeriodLabel: purchase.bill_period_label,
    mostRecentRenewDate: purchase.most_recent_renew_date,
    canDisableAutoRenew: Boolean(purchase.can_disable_auto_renew),
    canReenableAutoRenewal: Boolean(purchase.can_reenable_auto_renewal),
    canExplicitRenew: Boolean(purchase.can_explicit_renew),
    costToUnbundle: purchase.cost_to_unbundle ? Number(purchase.cost_to_unbundle) : Number(purchase.amount),
    costToUnbundleText: purchase.cost_to_unbundle_display ? purchase.cost_to_unbundle_display : purchase.price_text,
    currencyCode: purchase.currency_code,
    currencySymbol: purchase.currency_symbol,
    description: purchase.description,
    domain: purchase.domain,
    domainRegistrationAgreementUrl: purchase.domain_registration_agreement_url || null,
    error: null,
    blogCreatedDate: purchase.blog_created_date,
    expiryDate: purchase.expiry_date,
    expiryStatus: (0,_automattic_js_utils__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(purchase.expiry_status),
    iapPurchaseManagementLink: purchase.iap_purchase_management_link,
    includedDomain: purchase.included_domain,
    includedDomainPurchaseAmount: purchase.included_domain_purchase_amount,
    introductoryOffer: purchase.introductory_offer ? {
      costPerInterval: Number(purchase.introductory_offer.cost_per_interval),
      endDate: String(purchase.introductory_offer.end_date),
      intervalCount: Number(purchase.introductory_offer.interval_count),
      intervalUnit: String(purchase.introductory_offer.interval_unit),
      isWithinPeriod: Boolean(purchase.introductory_offer.is_within_period),
      transitionAfterRenewalCount: Number(purchase.introductory_offer.transition_after_renewal_count),
      isNextRenewalUsingOffer: Boolean(purchase.introductory_offer.is_next_renewal_using_offer),
      remainingRenewalsUsingOffer: Number(purchase.introductory_offer.remaining_renewals_using_offer),
      shouldProrateWhenOfferEnds: Boolean(purchase.introductory_offer.should_prorate_when_offer_ends),
      isNextRenewalProrated: Boolean(purchase.introductory_offer.is_next_renewal_prorated)
    } : null,
    isCancelable: Boolean(purchase.is_cancelable),
    isDomain: Boolean(purchase.is_domain),
    isDomainRegistration: Boolean(purchase.is_domain_registration),
    isLocked: Boolean(purchase.is_locked),
    isInAppPurchase: Boolean(purchase.is_iap_purchase),
    isRechargeable: Boolean(purchase.is_rechargable),
    isRefundable: Boolean(purchase.is_refundable),
    isRenewable: Boolean(purchase.is_renewable),
    isRenewal: Boolean(purchase.is_renewal),
    meta: purchase.meta,
    ownershipId: Number(purchase.ownership_id),
    priceText: purchase.price_text,
    priceTierList: purchase.price_tier_list?.map(rawTier => ({
      minimumUnits: rawTier.minimum_units,
      maximumUnits: rawTier.maximum_units,
      minimumPrice: rawTier.minimum_price,
      maximumPrice: rawTier.maximum_price,
      minimumPriceDisplay: rawTier.minimum_price_display,
      maximumPriceDisplay: rawTier.maximum_price_display
    })),
    partnerName: purchase.partner_name,
    partnerSlug: purchase.partner_slug,
    partnerKeyId: purchase.partner_key_id,
    payment: {
      name: purchase.payment_name,
      type: purchase.payment_type,
      countryCode: purchase.payment_country_code,
      countryName: purchase.payment_country_name,
      storedDetailsId: purchase.stored_details_id
    },
    pendingTransfer: Boolean(purchase.pending_transfer),
    productId: Number(purchase.product_id),
    productName: purchase.product_name,
    productSlug: purchase.product_slug,
    productType: purchase.product_type,
    productDisplayPrice: purchase.product_display_price,
    priceInteger: purchase.price_integer,
    totalRefundAmount: Number(purchase.total_refund_amount),
    totalRefundInteger: Number(purchase.total_refund_integer),
    totalRefundCurrency: purchase.total_refund_currency,
    totalRefundText: purchase.total_refund_text,
    refundAmount: Number(purchase.refund_amount),
    refundInteger: Number(purchase.refund_integer),
    refundOptions: purchase.refund_options,
    refundText: purchase.refund_text,
    refundPeriodInDays: purchase.refund_period_in_days,
    regularPriceText: purchase.regular_price_text,
    regularPriceInteger: purchase.regular_price_integer,
    renewDate: purchase.renew_date,
    saleAmount: purchase.sale_amount,
    saleAmountInteger: purchase.sale_amount_integer,
    siteId: Number(purchase.blog_id),
    siteName: purchase.blogname,
    subscribedDate: purchase.subscribed_date,
    subscriptionStatus: purchase.subscription_status,
    tagLine: purchase.tag_line,
    taxAmount: purchase.tax_amount,
    taxText: purchase.tax_text,
    purchaseRenewalQuantity: purchase.renewal_price_tier_usage_quantity || null,
    userId: Number(purchase.user_id),
    isAutoRenewEnabled: parseInt(purchase.auto_renew ?? '') === 1
  };
  if (isCreditCardPurchase(purchase)) {
    object.payment.creditCard = {
      id: Number(purchase.payment_card_id),
      type: purchase.payment_card_type,
      processor: purchase.payment_card_processor,
      number: purchase.payment_details,
      expiryDate: purchase.payment_expiry
    };
  }
  if ('paypal_direct' === purchase.payment_type) {
    object.payment.expiryDate = purchase.payment_expiry;
  }
  return object;
}
function isCreditCardPurchase(purchase) {
  return purchase.payment_type === 'credit_card';
}
function createPurchasesArray(dataTransferObject) {
  if (!Array.isArray(dataTransferObject)) {
    return [];
  }
  return dataTransferObject.map(createPurchaseObject);
}

/***/ }),

/***/ 20754:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AP: () => (/* binding */ useLaunchpad)
/* harmony export */ });
/* unused harmony exports fetchLaunchpad, sortLaunchpadTasksByCompletionStatus, useSortedLaunchpadTasks, updateLaunchpadSettings, useLaunchpadDismisser */
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(98948);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(35223);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_url__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(93832);
/* harmony import */ var _wordpress_url__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_url__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(41445);
/* harmony import */ var calypso_lib_wp__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(89406);
/* eslint-disable no-restricted-imports */





 // Import restricted

const fetchLaunchpad = (siteSlug, checklistSlug, launchpadContext) => {
  const slug = encodeURIComponent(siteSlug);
  const checklistSlugEncoded = checklistSlug ? encodeURIComponent(checklistSlug) : null;
  const launchpadContextEncoded = launchpadContext ? encodeURIComponent(launchpadContext) : null;
  const requestUrl = (0,_wordpress_url__WEBPACK_IMPORTED_MODULE_2__.addQueryArgs)(`/sites/${slug}/launchpad?_locale=user`, {
    ...(checklistSlug && {
      checklist_slug: checklistSlugEncoded
    }),
    ...(launchpadContext && {
      launchpad_context: launchpadContextEncoded
    })
  });
  return (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_4__/* .canAccessWpcomApis */ .IH)() ? calypso_lib_wp__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A.req.get({
    path: requestUrl,
    apiNamespace: 'wpcom/v2',
    apiVersion: '2'
  }) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1___default()({
    global: true,
    path: `/wpcom/v2${requestUrl}`
  });
};
const getKey = (siteSlug, checklistSlug) => {
  return ['launchpad', siteSlug, checklistSlug];
};
const addOrderToTask = (task, index) => {
  task.order = index;
  return task;
};
function sortLaunchpadTasksByCompletionStatus(response) {
  const tasks = response.checklist || [];
  const completedTasks = tasks.filter(task => task.completed);
  const incompleteTasks = tasks.filter(task => !task.completed);
  response.checklist = [...completedTasks, ...incompleteTasks].map(addOrderToTask);
  return response;
}
const defaultSuccessCallback = response => {
  const tasks = response.checklist || [];
  response.checklist = tasks.map(addOrderToTask);
  return response;
};
const useLaunchpad = (siteSlug, checklistSlug, options, launchpad_context) => {
  const key = getKey(siteSlug, checklistSlug);
  const onSuccessCallback = options?.onSuccess || defaultSuccessCallback;
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_5__/* .useQuery */ .I)({
    queryKey: key,
    queryFn: () => fetchLaunchpad(siteSlug, checklistSlug, launchpad_context).then(onSuccessCallback),
    retry: 3,
    initialData: {
      site_intent: '',
      launchpad_screen: undefined,
      checklist_statuses: {},
      checklist: null,
      is_enabled: false,
      is_dismissed: false,
      is_dismissible: false,
      title: null
    }
  });
};
const useSortedLaunchpadTasks = (siteSlug, checklistSlug, launchpadContext) => {
  const launchpadOptions = {
    onSuccess: sortLaunchpadTasksByCompletionStatus
  };
  return useLaunchpad(siteSlug, checklistSlug, launchpadOptions, launchpadContext);
};
const updateLaunchpadSettings = (siteSlug, settings = {}) => {
  const slug = siteSlug ? encodeURIComponent(siteSlug) : null;
  const requestUrl = `/sites/${slug}/launchpad`;
  return canAccessWpcomApis() ? wpcomRequest({
    path: requestUrl,
    apiNamespace: 'wpcom/v2',
    method: 'PUT',
    body: settings
  }) : apiFetch({
    global: true,
    path: `/wpcom/v2${requestUrl}`,
    method: 'PUT',
    data: settings
  });
};
const isPermanentDismiss = settings => 'isDismissed' in settings;
const isTemporaryDismiss = settings => 'dismissBy' in settings;
const getDismissParams = settings => {
  if (isPermanentDismiss(settings)) {
    return {
      is_dismissed: settings.isDismissed
    };
  }
  if (isTemporaryDismiss(settings)) {
    return {
      dismiss_by: settings.dismissBy
    };
  }
};
const useLaunchpadDismisser = (siteSlug, checklistSlug) => {
  const queryClient = useQueryClient();
  const key = getKey(siteSlug, checklistSlug);
  return useMutation({
    mutationFn: settings => {
      return updateLaunchpadSettings(siteSlug, {
        is_checklist_dismissed: {
          slug: checklistSlug,
          ...getDismissParams(settings)
        }
      });
    },
    onMutate: async () => {
      await queryClient.cancelQueries({
        queryKey: key
      });
      const previous = queryClient.getQueryData(key);
      queryClient.setQueryData(key, {
        ...previous,
        is_dismissed: true
      });
      return {
        previous
      };
    },
    onSuccess: () => {
      recordTracksEvent('calypso_launchpad_dismiss_guide', {
        checklist_slug: checklistSlug,
        context: 'customer-home'
      });
    },
    onError: (_, _2, context) => {
      if (context?.previous) {
        queryClient.setQueryData(key, context?.previous);
      }
    }
  });
};

/***/ }),

/***/ 50268:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ createActions)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(62413);
/* harmony import */ var _types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(90030);
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(29458);


const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__;



// Import from a specific file directly to avoid the circular dependencies

function createActions(clientCreds) {
  const fetchSite = () => ({
    type: 'FETCH_SITE'
  });
  const fetchNewSite = () => ({
    type: 'FETCH_NEW_SITE'
  });
  const receiveNewSite = response => ({
    type: 'RECEIVE_NEW_SITE',
    response
  });
  const receiveNewSiteFailed = error => ({
    type: 'RECEIVE_NEW_SITE_FAILED',
    error
  });
  function* createSite(params) {
    yield fetchNewSite();
    try {
      const {
        authToken,
        ...providedParams
      } = params;
      const defaultParams = {
        client_id: clientCreds.client_id,
        client_secret: clientCreds.client_secret,
        // will find an available `*.wordpress.com` url based on the `blog_name`
        find_available_url: true,
        // Private site is default, but overridable, setting
        public: -1
      };
      const mergedParams = {
        ...defaultParams,
        ...providedParams,
        // Set to false because site validation should be a separate action
        validate: false
      };
      const newSite = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: '/sites/new',
        apiVersion: '1.1',
        method: 'post',
        body: mergedParams,
        token: authToken
      });
      yield receiveNewSite(newSite);
      return true;
    } catch (err) {
      yield receiveNewSiteFailed(err);
      return false;
    }
  }
  const receiveSite = (siteId, response) => ({
    type: 'RECEIVE_SITE',
    siteId,
    response
  });
  const receiveSiteTitle = (siteId, name) => ({
    type: 'RECEIVE_SITE_TITLE',
    siteId,
    name
  });
  const receiveSiteTagline = (siteId, tagline) => ({
    type: 'RECEIVE_SITE_TAGLINE',
    siteId,
    tagline
  });
  const receiveSiteVerticalId = (siteId, verticalId) => ({
    type: 'RECEIVE_SITE_VERTICAL_ID',
    siteId,
    verticalId
  });
  const receiveSiteFailed = (siteId, response) => ({
    type: 'RECEIVE_SITE_FAILED',
    siteId,
    response
  });
  const reset = () => ({
    type: 'RESET_SITE_STORE'
  });
  const resetNewSiteFailed = () => ({
    type: 'RESET_RECEIVE_NEW_SITE_FAILED'
  });
  const launchSiteStart = siteId => ({
    type: 'LAUNCH_SITE_START',
    siteId
  });
  const launchSiteSuccess = siteId => ({
    type: 'LAUNCH_SITE_SUCCESS',
    siteId
  });
  const launchSiteFailure = (siteId, error) => ({
    type: 'LAUNCH_SITE_FAILURE',
    siteId,
    error
  });
  function* launchSite(siteId) {
    yield launchSiteStart(siteId);
    try {
      yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${siteId}/launch`,
        apiVersion: '1.1',
        method: 'post'
      });
      yield launchSiteSuccess(siteId);
    } catch (_) {
      yield launchSiteFailure(siteId, _types__WEBPACK_IMPORTED_MODULE_3__/* .SiteLaunchError */ .rX.INTERNAL);
    }
  }

  // TODO: move getCart and setCart to a 'cart' data-store
  function* getCart(siteId) {
    const success = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: '/me/shopping-cart/' + siteId,
      apiVersion: '1.1',
      method: 'GET'
    });
    return success;
  }
  const receiveSiteDomains = (siteId, domains) => ({
    type: 'RECEIVE_SITE_DOMAINS',
    siteId,
    domains
  });
  const receiveSiteTheme = (siteId, theme) => ({
    type: 'RECEIVE_SITE_THEME',
    siteId,
    theme
  });
  const receiveSiteSettings = (siteId, settings) => ({
    type: 'RECEIVE_SITE_SETTINGS',
    siteId,
    settings
  });
  const updateSiteSettings = (siteId, settings) => ({
    type: 'UPDATE_SITE_SETTINGS',
    siteId,
    settings
  });
  function* setCart(siteId, cartData) {
    const success = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: '/me/shopping-cart/' + siteId,
      apiVersion: '1.1',
      method: 'POST',
      body: cartData
    });
    return success;
  }
  const receiveSiteGlobalStyles = (siteId, globalStyles) => ({
    type: 'RECEIVE_SITE_GLOBAL_STYLES',
    siteId,
    globalStyles
  });
  function* getGlobalStyles(siteId, stylesheet) {
    const globalStyles = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/sites/${siteId}/global-styles/themes/${stylesheet}`,
      apiNamespace: 'wp/v2'
    });
    yield receiveSiteGlobalStyles(siteId, globalStyles);
    return globalStyles;
  }
  function* setGlobalStyles(siteIdOrSlug, stylesheet, globalStyles, activatedTheme) {
    // only update if there settings or styles to update
    if (Object.keys(globalStyles.settings ?? {}).length || Object.keys(globalStyles.styles ?? {}).length) {
      const globalStylesId = activatedTheme?.global_styles_id || (yield getGlobalStylesId(siteIdOrSlug, stylesheet));
      const updatedGlobalStyles = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${encodeURIComponent(siteIdOrSlug)}/global-styles/${globalStylesId}`,
        apiNamespace: 'wp/v2',
        method: 'POST',
        body: {
          id: globalStylesId,
          settings: globalStyles.settings ?? {},
          styles: globalStyles.styles ?? {}
        }
      });
      return updatedGlobalStyles;
    }
  }
  function* getGlobalStylesId(siteIdOrSlug, stylesheet) {
    const theme = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/sites/${encodeURIComponent(siteIdOrSlug)}/themes/${stylesheet}`,
      method: 'GET',
      apiNamespace: 'wp/v2'
    });
    const globalStylesUrl = theme?._links?.['wp:user-global-styles']?.[0]?.href;
    if (globalStylesUrl) {
      // eslint-disable-next-line no-useless-escape
      const match = globalStylesUrl.match(/global-styles\/(?<id>[\/\w-]+)/);
      if (match && match.groups) {
        return match.groups.id;
      }
    }
    return null;
  }
  function* getGlobalStylesVariations(siteIdOrSlug, stylesheet) {
    const variations = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/sites/${encodeURIComponent(siteIdOrSlug)}/global-styles/themes/${stylesheet}/variations`,
      method: 'GET',
      apiNamespace: 'wp/v2'
    });
    return variations;
  }
  function* saveSiteSettings(siteId, settings) {
    try {
      // extract this into its own function as a generic settings setter
      yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${encodeURIComponent(siteId)}/settings`,
        apiVersion: '1.4',
        body: settings,
        method: 'POST'
      });
      if ('blogname' in settings) {
        yield receiveSiteTitle(siteId, settings.blogname);
      }
      if ('blogdescription' in settings) {
        yield receiveSiteTagline(siteId, settings.blogdescription);
      }
      if ('site_vertical_id' in settings) {
        yield receiveSiteVerticalId(siteId, settings.site_vertical_id);
      }
      yield updateSiteSettings(siteId, settings);
    } catch (e) {}
  }
  function* setIntentOnSite(siteSlug, intent) {
    try {
      yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${encodeURIComponent(siteSlug)}/site-intent`,
        apiNamespace: 'wpcom/v2',
        body: {
          site_intent: intent
        },
        method: 'POST'
      });
    } catch (e) {}
  }
  function* setStaticHomepageOnSite(siteID, pageId) {
    try {
      yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${encodeURIComponent(siteID)}/homepage`,
        apiVersion: '1.1',
        body: {
          is_page_on_front: true,
          page_on_front_id: pageId
        },
        method: 'POST'
      });
    } catch (e) {}
  }
  function* setGoalsOnSite(siteSlug, goals) {
    try {
      yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${encodeURIComponent(siteSlug)}/site-goals`,
        apiNamespace: 'wpcom/v2',
        body: {
          site_goals: goals
        },
        method: 'POST'
      });
    } catch (e) {}
  }
  function* saveSiteTitle(siteId, blogname) {
    yield saveSiteSettings(siteId, {
      blogname
    });
  }
  function* saveSiteTagline(siteId, blogdescription) {
    yield saveSiteSettings(siteId, {
      blogdescription
    });
  }
  function* installTheme(siteSlugOrId, themeSlug) {
    yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/sites/${siteSlugOrId}/themes/${themeSlug}/install`,
      apiVersion: '1.1',
      method: 'POST'
    });
  }
  function* runThemeSetupOnSite(siteSlug) {
    yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/sites/${encodeURIComponent(siteSlug)}/theme-setup/?_locale=user`,
      apiNamespace: 'wpcom/v2',
      method: 'POST'
    });
  }
  function* setDesignOnSite(siteSlug, selectedDesign, options = {}) {
    const themeSlug = selectedDesign.slug || selectedDesign.recipe?.stylesheet?.split('/')[1] || selectedDesign.theme;
    const {
      styleVariation,
      globalStyles
    } = options;
    const activatedTheme = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/sites/${siteSlug}/themes/mine?_locale=user`,
      apiVersion: '1.1',
      body: {
        theme: themeSlug
      },
      method: 'POST'
    });

    // @todo Always use the global styles for consistency
    if (styleVariation?.slug) {
      const variations = yield* getGlobalStylesVariations(siteSlug, activatedTheme.stylesheet);
      const currentVariation = variations.find(variation => variation.title && variation.title.split(' ').join('-').toLowerCase() === styleVariation?.slug);
      if (currentVariation) {
        yield* setGlobalStyles(siteSlug, activatedTheme.stylesheet, currentVariation, activatedTheme);
      }
    }
    if (globalStyles) {
      yield* setGlobalStyles(siteSlug, activatedTheme.stylesheet, globalStyles, activatedTheme);
    }

    // Potentially runs Headstart.
    // E.g. if the homepage has a Query Loop block, we insert placeholder posts on the new site.
    yield* runThemeSetupOnSite(siteSlug);
    return activatedTheme;
  }
  function* createCustomTemplate(siteSlug, stylesheet, slug, title, content) {
    const templateId = `${stylesheet}//${slug}`;
    let existed = true;
    try {
      yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${encodeURIComponent(siteSlug)}/templates/${templateId}`,
        apiNamespace: 'wp/v2',
        method: 'GET'
      });
    } catch {
      existed = false;
    }
    const templatePath = `templates/${existed ? templateId : ''}`;
    yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/sites/${encodeURIComponent(siteSlug)}/${templatePath}`,
      apiNamespace: 'wp/v2',
      body: {
        slug,
        theme: stylesheet,
        title,
        content,
        status: 'publish',
        is_wp_suggestion: true
      },
      method: 'POST'
    });
  }
  function* assembleSite(siteSlug, stylesheet = '', {
    homeHtml,
    headerHtml,
    footerHtml,
    pages,
    globalStyles,
    canReplaceContent,
    siteSetupOption
  } = {}) {
    const templates = [{
      type: 'wp_template',
      slug: 'home',
      title: __('Home'),
      content: (0,_utils__WEBPACK_IMPORTED_MODULE_4__/* .createCustomHomeTemplateContent */ .I)(stylesheet, !!headerHtml, !!footerHtml, !!homeHtml, homeHtml)
    }, headerHtml && {
      type: 'wp_template_part',
      slug: 'header',
      title: __('Header'),
      content: headerHtml
    }, footerHtml && {
      type: 'wp_template_part',
      slug: 'footer',
      title: __('Footer'),
      content: footerHtml
    }].filter(Boolean);
    const endpointSuffix = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* .isEnabled */ .Ol)('pattern-assembler/perf-test') ? '-perf-test' : '';
    yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
      path: `/sites/${encodeURIComponent(siteSlug)}/site-assembler${endpointSuffix}`,
      apiNamespace: 'wpcom/v2',
      body: {
        templates,
        pages,
        global_styles: globalStyles,
        can_replace_content: canReplaceContent,
        site_setup_option: siteSetupOption
      },
      method: 'POST'
    });
  }
  const setSiteSetupError = (error, message) => ({
    type: 'SET_SITE_SETUP_ERROR',
    error,
    message
  });
  const clearSiteSetupError = siteId => ({
    type: 'CLEAR_SITE_SETUP_ERROR',
    siteId
  });
  const atomicTransferStart = (siteId, softwareSet) => ({
    type: 'ATOMIC_TRANSFER_START',
    siteId,
    softwareSet
  });
  const atomicTransferSuccess = (siteId, softwareSet) => ({
    type: 'ATOMIC_TRANSFER_SUCCESS',
    siteId,
    softwareSet
  });
  const atomicTransferFailure = (siteId, softwareSet, error) => ({
    type: 'ATOMIC_TRANSFER_FAILURE',
    siteId,
    softwareSet,
    error
  });
  function* initiateAtomicTransfer(siteId, softwareSet) {
    yield atomicTransferStart(siteId, softwareSet);
    try {
      yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${encodeURIComponent(siteId)}/atomic/transfers`,
        apiNamespace: 'wpcom/v2',
        method: 'POST',
        ...(softwareSet ? {
          body: {
            software_set: encodeURIComponent(softwareSet),
            context: softwareSet
          }
        } : {
          body: {
            context: 'unknown'
          }
        })
      });
      yield atomicTransferSuccess(siteId, softwareSet);
    } catch (_) {
      yield atomicTransferFailure(siteId, softwareSet, _types__WEBPACK_IMPORTED_MODULE_3__/* .AtomicTransferError */ .je.INTERNAL);
    }
  }
  const latestAtomicTransferStart = siteId => ({
    type: 'LATEST_ATOMIC_TRANSFER_START',
    siteId
  });
  const latestAtomicTransferSuccess = (siteId, transfer) => ({
    type: 'LATEST_ATOMIC_TRANSFER_SUCCESS',
    siteId,
    transfer
  });
  const latestAtomicTransferFailure = (siteId, error) => ({
    type: 'LATEST_ATOMIC_TRANSFER_FAILURE',
    siteId,
    error
  });
  function* requestLatestAtomicTransfer(siteId) {
    yield latestAtomicTransferStart(siteId);
    try {
      const transfer = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${encodeURIComponent(siteId)}/atomic/transfers/latest`,
        apiNamespace: 'wpcom/v2',
        method: 'GET'
      });
      yield latestAtomicTransferSuccess(siteId, transfer);
    } catch (err) {
      yield latestAtomicTransferFailure(siteId, err);
    }
  }
  const atomicSoftwareStatusStart = (siteId, softwareSet) => ({
    type: 'ATOMIC_SOFTWARE_STATUS_START',
    siteId,
    softwareSet
  });
  const atomicSoftwareStatusSuccess = (siteId, softwareSet, status) => ({
    type: 'ATOMIC_SOFTWARE_STATUS_SUCCESS',
    siteId,
    softwareSet,
    status
  });
  const atomicSoftwareStatusFailure = (siteId, softwareSet, error) => ({
    type: 'ATOMIC_SOFTWARE_STATUS_FAILURE',
    siteId,
    softwareSet,
    error
  });
  function* requestAtomicSoftwareStatus(siteId, softwareSet) {
    yield atomicSoftwareStatusStart(siteId, softwareSet);
    try {
      const status = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${encodeURIComponent(siteId)}/atomic/software/${encodeURIComponent(softwareSet)}`,
        apiNamespace: 'wpcom/v2',
        method: 'GET'
      });
      yield atomicSoftwareStatusSuccess(siteId, softwareSet, status);
    } catch (err) {
      yield atomicSoftwareStatusFailure(siteId, softwareSet, err);
    }
  }
  const atomicSoftwareInstallStart = (siteId, softwareSet) => ({
    type: 'ATOMIC_SOFTWARE_INSTALL_START',
    siteId,
    softwareSet
  });
  const atomicSoftwareInstallSuccess = (siteId, softwareSet) => ({
    type: 'ATOMIC_SOFTWARE_INSTALL_SUCCESS',
    siteId,
    softwareSet
  });
  const atomicSoftwareInstallFailure = (siteId, softwareSet, error) => ({
    type: 'ATOMIC_SOFTWARE_INSTALL_FAILURE',
    siteId,
    softwareSet,
    error
  });
  function* initiateSoftwareInstall(siteId, softwareSet) {
    yield atomicSoftwareInstallStart(siteId, softwareSet);
    try {
      yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_2__/* .wpcomRequest */ .S)({
        path: `/sites/${encodeURIComponent(siteId)}/atomic/software/${encodeURIComponent(softwareSet)}`,
        apiNamespace: 'wpcom/v2',
        method: 'POST',
        body: {}
      });
      yield atomicSoftwareInstallSuccess(siteId, softwareSet);
    } catch (err) {
      yield atomicSoftwareInstallFailure(siteId, softwareSet, err);
    }
  }
  const setBundledPluginSlug = (siteSlug, pluginSlug) => ({
    type: 'SET_BUNDLED_PLUGIN_SLUG',
    siteSlug,
    pluginSlug
  });
  return {
    receiveSiteDomains,
    receiveSiteSettings,
    receiveSiteTheme,
    saveSiteTitle,
    saveSiteSettings,
    setIntentOnSite,
    setStaticHomepageOnSite,
    setGoalsOnSite,
    receiveSiteTitle,
    fetchNewSite,
    fetchSite,
    receiveNewSite,
    receiveNewSiteFailed,
    resetNewSiteFailed,
    installTheme,
    setDesignOnSite,
    createCustomTemplate,
    assembleSite,
    createSite,
    receiveSite,
    receiveSiteFailed,
    receiveSiteTagline,
    receiveSiteVerticalId,
    updateSiteSettings,
    saveSiteTagline,
    reset,
    launchSite,
    launchSiteStart,
    launchSiteSuccess,
    launchSiteFailure,
    getCart,
    setCart,
    getGlobalStyles,
    setGlobalStyles,
    receiveSiteGlobalStyles,
    setSiteSetupError,
    clearSiteSetupError,
    initiateAtomicTransfer,
    atomicTransferStart,
    atomicTransferSuccess,
    atomicTransferFailure,
    latestAtomicTransferStart,
    latestAtomicTransferSuccess,
    latestAtomicTransferFailure,
    requestLatestAtomicTransfer,
    atomicSoftwareStatusStart,
    atomicSoftwareStatusSuccess,
    atomicSoftwareStatusFailure,
    requestAtomicSoftwareStatus,
    initiateSoftwareInstall,
    atomicSoftwareInstallStart,
    atomicSoftwareInstallSuccess,
    atomicSoftwareInstallFailure,
    setBundledPluginSlug
  };
}

/***/ }),

/***/ 9878:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   U: () => (/* binding */ STORE_KEY)
/* harmony export */ });
/* unused harmony export getPlaceholderSiteID */
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);

const STORE_KEY = 'automattic/site';
const getPlaceholderSiteID = () => isEnabled('pattern-assembler/v2') ? '226011606' // assemblerdemo
: '224076220'; // creatio2demo

/***/ }),

/***/ 29259:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   kz: () => (/* binding */ register)
/* harmony export */ });
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _plugins__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(82920);
/* harmony import */ var _wpcom_request_controls__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(62413);
/* harmony import */ var _actions__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(50268);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9878);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(11355);
/* harmony import */ var _resolvers__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(21292);
/* harmony import */ var _selectors__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(52137);










let isRegistered = false;
function register(clientCreds) {
  if (!isRegistered) {
    (0,_plugins__WEBPACK_IMPORTED_MODULE_1__/* .registerPlugins */ .I)();
    isRegistered = true;
    (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.registerStore)(_constants__WEBPACK_IMPORTED_MODULE_2__/* .STORE_KEY */ .U, {
      actions: (0,_actions__WEBPACK_IMPORTED_MODULE_3__/* .createActions */ .E)(clientCreds),
      controls: _wpcom_request_controls__WEBPACK_IMPORTED_MODULE_4__/* .controls */ .ne,
      reducer: _reducer__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Ay,
      resolvers: _resolvers__WEBPACK_IMPORTED_MODULE_6__,
      selectors: _selectors__WEBPACK_IMPORTED_MODULE_7__,
      persist: ['bundledPluginSlug']
    });
  }
  return _constants__WEBPACK_IMPORTED_MODULE_2__/* .STORE_KEY */ .U;
}

/**
 * Queries
 */




/***/ }),

/***/ 11355:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony exports newSiteData, newSiteError, isFetchingSite, fetchingSiteError, isFetchingSiteDetails, sites, sitesDomains, sitesSettings, siteTheme, sitesGlobalStyles, launchStatus, siteSetupErrors, atomicTransferStatus, latestAtomicTransferStatus, atomicSoftwareStatus, atomicSoftwareInstallStatus */
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(90030);



const newSiteData = (state, action) => {
  if (action.type === 'RECEIVE_NEW_SITE') {
    const {
      response
    } = action;
    return response.blog_details;
  } else if (action.type === 'RECEIVE_NEW_SITE_FAILED') {
    return undefined;
  } else if (action.type === 'RESET_SITE_STORE') {
    return undefined;
  }
  return state;
};
const newSiteError = (state, action) => {
  switch (action.type) {
    case 'FETCH_NEW_SITE':
    case 'RECEIVE_NEW_SITE':
    case 'RESET_SITE_STORE':
    case 'RESET_RECEIVE_NEW_SITE_FAILED':
      return undefined;
    case 'RECEIVE_NEW_SITE_FAILED':
      return {
        error: action.error.error,
        status: action.error.status,
        statusCode: action.error.statusCode,
        name: action.error.name,
        message: action.error.message
      };
  }
  return state;
};
const isFetchingSite = (state = false, action) => {
  switch (action.type) {
    case 'FETCH_NEW_SITE':
      return true;
    case 'RECEIVE_NEW_SITE':
    case 'RECEIVE_NEW_SITE_FAILED':
    case 'RESET_SITE_STORE':
    case 'RESET_RECEIVE_NEW_SITE_FAILED':
      return false;
  }
  return state;
};
const fetchingSiteError = (state, action) => {
  switch (action.type) {
    case 'RECEIVE_SITE_FAILED':
      return {
        error: action.response.error,
        message: action.response.message
      };
  }
  return state;
};
const isFetchingSiteDetails = (state = false, action) => {
  switch (action.type) {
    case 'FETCH_SITE':
      return true;
    case 'RECEIVE_SITE':
    case 'RECEIVE_SITE_FAILED':
      return false;
  }
  return state;
};
const sites = (state = {}, action) => {
  if (action.type === 'RECEIVE_SITE') {
    if (action.response) {
      return {
        ...state,
        [action.response.ID]: action.response
      };
    }
    return state;
  } else if (action.type === 'RECEIVE_SITE_FAILED') {
    const {
      [action.siteId]: idToBeRemoved,
      ...remainingState
    } = state;
    return {
      ...remainingState
    };
  } else if (action.type === 'RESET_SITE_STORE') {
    return {};
  } else if (action.type === 'RECEIVE_SITE_TITLE') {
    return {
      ...state,
      [action.siteId]: {
        ...state[action.siteId],
        name: action.name
      }
    };
  } else if (action.type === 'RECEIVE_SITE_TAGLINE') {
    return {
      ...state,
      [action.siteId]: {
        ...state[action.siteId],
        description: action.tagline ?? ''
      }
    };
  } else if (action.type === 'RECEIVE_SITE_VERTICAL_ID') {
    return {
      ...state,
      [action.siteId]: {
        ...state[action.siteId],
        options: {
          ...state[action.siteId]?.options,
          site_vertical_id: action.verticalId
        }
      }
    };
  }
  return state;
};
const sitesDomains = (state = {}, action) => {
  if (action.type === 'RECEIVE_SITE_DOMAINS') {
    return {
      ...state,
      [action.siteId]: action.domains
    };
  }
  return state;
};
const sitesSettings = (state = {}, action) => {
  if (action.type === 'RECEIVE_SITE_SETTINGS') {
    return {
      ...state,
      [action.siteId]: action.settings
    };
  }
  if (action.type === 'UPDATE_SITE_SETTINGS') {
    return {
      ...state,
      [action.siteId]: {
        ...state?.[action.siteId],
        ...action.settings
      }
    };
  }
  return state;
};
const siteTheme = (state = {}, action) => {
  if (action.type === 'RECEIVE_SITE_THEME') {
    return {
      ...state,
      [action.siteId]: action.theme
    };
  }
  return state;
};
const sitesGlobalStyles = (state = {}, action) => {
  if (action.type === 'RECEIVE_SITE_GLOBAL_STYLES') {
    return {
      ...state,
      [action.siteId]: {
        ...state?.[action.siteId],
        ...action.globalStyles
      }
    };
  }
  return state;
};
const launchStatus = (state = {}, action) => {
  if (action.type === 'LAUNCH_SITE_START') {
    return {
      ...state,
      [action.siteId]: {
        status: _types__WEBPACK_IMPORTED_MODULE_1__/* .SiteLaunchStatus */ .Z1.IN_PROGRESS,
        errorCode: undefined
      }
    };
  }
  if (action.type === 'LAUNCH_SITE_SUCCESS') {
    return {
      ...state,
      [action.siteId]: {
        status: _types__WEBPACK_IMPORTED_MODULE_1__/* .SiteLaunchStatus */ .Z1.SUCCESS,
        errorCode: undefined
      }
    };
  }
  if (action.type === 'LAUNCH_SITE_FAILURE') {
    return {
      ...state,
      [action.siteId]: {
        status: _types__WEBPACK_IMPORTED_MODULE_1__/* .SiteLaunchStatus */ .Z1.FAILURE,
        errorCode: action.error
      }
    };
  }
  return state;
};
const siteSetupErrors = (state = {}, action) => {
  if (action.type === 'SET_SITE_SETUP_ERROR') {
    const {
      error,
      message
    } = action;
    return {
      error,
      message
    };
  }
  if (action.type === 'CLEAR_SITE_SETUP_ERROR') {
    return {};
  }
  return state;
};
const atomicTransferStatus = (state = {}, action) => {
  if (action.type === 'ATOMIC_TRANSFER_START') {
    return {
      ...state,
      [action.siteId]: {
        status: _types__WEBPACK_IMPORTED_MODULE_1__/* .AtomicTransferStatus */ .nB.IN_PROGRESS,
        softwareSet: action.softwareSet,
        errorCode: undefined
      }
    };
  }
  if (action.type === 'ATOMIC_TRANSFER_SUCCESS') {
    return {
      ...state,
      [action.siteId]: {
        status: _types__WEBPACK_IMPORTED_MODULE_1__/* .AtomicTransferStatus */ .nB.SUCCESS,
        softwareSet: action.softwareSet,
        errorCode: undefined
      }
    };
  }
  if (action.type === 'ATOMIC_TRANSFER_FAILURE') {
    return {
      ...state,
      [action.siteId]: {
        status: _types__WEBPACK_IMPORTED_MODULE_1__/* .AtomicTransferStatus */ .nB.FAILURE,
        softwareSet: action.softwareSet,
        errorCode: action.error
      }
    };
  }
  return state;
};
const latestAtomicTransferStatus = (state = {}, action) => {
  if (action.type === 'LATEST_ATOMIC_TRANSFER_START') {
    return {
      ...state,
      [action.siteId]: {
        status: _types__WEBPACK_IMPORTED_MODULE_1__/* .LatestAtomicTransferStatus */ .M_.IN_PROGRESS,
        transfer: undefined,
        errorCode: undefined
      }
    };
  }
  if (action.type === 'LATEST_ATOMIC_TRANSFER_SUCCESS') {
    return {
      ...state,
      [action.siteId]: {
        status: _types__WEBPACK_IMPORTED_MODULE_1__/* .LatestAtomicTransferStatus */ .M_.SUCCESS,
        transfer: action.transfer,
        errorCode: undefined
      }
    };
  }
  if (action.type === 'LATEST_ATOMIC_TRANSFER_FAILURE') {
    return {
      ...state,
      [action.siteId]: {
        status: _types__WEBPACK_IMPORTED_MODULE_1__/* .LatestAtomicTransferStatus */ .M_.FAILURE,
        transfer: undefined,
        errorCode: action.error
      }
    };
  }
  return state;
};
const atomicSoftwareStatus = (state = {}, action) => {
  if (action.type === 'ATOMIC_SOFTWARE_STATUS_START') {
    return {
      ...state,
      [action.siteId]: {
        [action.softwareSet]: {
          status: undefined,
          error: undefined
        }
      }
    };
  }
  if (action.type === 'ATOMIC_SOFTWARE_STATUS_SUCCESS') {
    return {
      ...state,
      [action.siteId]: {
        [action.softwareSet]: {
          status: action.status,
          error: undefined
        }
      }
    };
  }
  if (action.type === 'ATOMIC_SOFTWARE_STATUS_FAILURE') {
    return {
      ...state,
      [action.siteId]: {
        [action.softwareSet]: {
          status: undefined,
          error: action.error
        }
      }
    };
  }
  return state;
};
const atomicSoftwareInstallStatus = (state = {}, action) => {
  if (action.type === 'ATOMIC_SOFTWARE_INSTALL_START') {
    return {
      ...state,
      [action.siteId]: {
        [action.softwareSet]: {
          status: _types__WEBPACK_IMPORTED_MODULE_1__/* .AtomicSoftwareInstallStatus */ .OT.IN_PROGRESS,
          error: undefined
        }
      }
    };
  }
  if (action.type === 'ATOMIC_SOFTWARE_INSTALL_SUCCESS') {
    return {
      ...state,
      [action.siteId]: {
        [action.softwareSet]: {
          status: _types__WEBPACK_IMPORTED_MODULE_1__/* .AtomicSoftwareInstallStatus */ .OT.SUCCESS,
          error: undefined
        }
      }
    };
  }
  if (action.type === 'ATOMIC_SOFTWARE_INSTALL_FAILURE') {
    return {
      ...state,
      [action.siteId]: {
        [action.softwareSet]: {
          status: _types__WEBPACK_IMPORTED_MODULE_1__/* .AtomicSoftwareInstallStatus */ .OT.FAILURE,
          error: action.error
        }
      }
    };
  }
  return state;
};
const bundledPluginSlug = (state = {}, action) => {
  if (action.type === 'SET_BUNDLED_PLUGIN_SLUG') {
    return {
      ...state,
      [action.siteSlug]: action.pluginSlug
    };
  }
  if (action.type === 'RESET_SITE_STORE') {
    return {};
  }
  return state;
};
const newSite = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.combineReducers)({
  data: newSiteData,
  error: newSiteError,
  isFetching: isFetchingSite
});
const reducer = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.combineReducers)({
  isFetchingSiteDetails,
  newSite,
  fetchingSiteError,
  sites,
  launchStatus,
  sitesDomains,
  sitesSettings,
  siteTheme,
  sitesGlobalStyles,
  siteSetupErrors,
  atomicTransferStatus,
  latestAtomicTransferStatus,
  atomicSoftwareStatus,
  atomicSoftwareInstallStatus,
  bundledPluginSlug
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (reducer);

/***/ }),

/***/ 21292:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getSite: () => (/* binding */ getSite),
/* harmony export */   getSiteDomains: () => (/* binding */ getSiteDomains),
/* harmony export */   getSiteSettings: () => (/* binding */ getSiteSettings),
/* harmony export */   getSiteTheme: () => (/* binding */ getSiteTheme)
/* harmony export */ });
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(41445);
// wpcomRequest is a temporary rename while we're working on migrating generators to thunks

/**
 * Attempt to find a site based on its id, and if not return undefined.
 * We are currently ignoring error messages and silently failing if we can't find a
 * site. This could be extended in the future by retrieving the `error` and
 * `message` strings returned by the API.
 * @param siteId {number}	The site to look up
 */
const getSite = siteId => async ({
  dispatch
}) => {
  dispatch.fetchSite();
  try {
    const existingSite = await (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)({
      path: '/sites/' + encodeURIComponent(siteId),
      apiVersion: '1.1',
      query: 'force=wpcom'
    });
    dispatch.receiveSite(siteId, existingSite);
  } catch (err) {
    dispatch.receiveSiteFailed(siteId, err);
  }
};

/**
 * Get all site domains
 * @param siteId {number} The site id
 */
const getSiteDomains = siteId => async ({
  dispatch
}) => {
  const result = await (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)({
    path: '/sites/' + encodeURIComponent(siteId) + '/domains',
    apiVersion: '1.2'
  });
  dispatch.receiveSiteDomains(siteId, result?.domains);
};

/**
 * Get all site settings
 * @param siteId {number} The site id
 */
const getSiteSettings = siteId => async ({
  dispatch
}) => {
  const result = await (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)({
    path: '/sites/' + encodeURIComponent(siteId) + '/settings',
    apiVersion: '1.4'
  });
  dispatch.receiveSiteSettings(siteId, result?.settings);
};

/**
 * Get current site theme
 * @param siteId {number} The site id
 */
const getSiteTheme = siteId => async ({
  dispatch
}) => {
  const theme = await (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)({
    path: '/sites/' + encodeURIComponent(siteId) + '/themes/mine',
    apiVersion: '1.1'
  });
  dispatch.receiveSiteTheme(siteId, theme);
};

/***/ }),

/***/ 52137:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getAtomicSoftwareError: () => (/* binding */ getAtomicSoftwareError),
/* harmony export */   getAtomicSoftwareInstallError: () => (/* binding */ getAtomicSoftwareInstallError),
/* harmony export */   getAtomicSoftwareStatus: () => (/* binding */ getAtomicSoftwareStatus),
/* harmony export */   getBundledPluginSlug: () => (/* binding */ getBundledPluginSlug),
/* harmony export */   getFetchingSiteError: () => (/* binding */ getFetchingSiteError),
/* harmony export */   getNewSite: () => (/* binding */ getNewSite),
/* harmony export */   getNewSiteError: () => (/* binding */ getNewSiteError),
/* harmony export */   getPrimarySiteDomain: () => (/* binding */ getPrimarySiteDomain),
/* harmony export */   getSite: () => (/* binding */ getSite),
/* harmony export */   getSiteDomains: () => (/* binding */ getSiteDomains),
/* harmony export */   getSiteGlobalStyles: () => (/* binding */ getSiteGlobalStyles),
/* harmony export */   getSiteIdBySlug: () => (/* binding */ getSiteIdBySlug),
/* harmony export */   getSiteLatestAtomicTransfer: () => (/* binding */ getSiteLatestAtomicTransfer),
/* harmony export */   getSiteLatestAtomicTransferError: () => (/* binding */ getSiteLatestAtomicTransferError),
/* harmony export */   getSiteOption: () => (/* binding */ getSiteOption),
/* harmony export */   getSiteOptions: () => (/* binding */ getSiteOptions),
/* harmony export */   getSiteSettings: () => (/* binding */ getSiteSettings),
/* harmony export */   getSiteSetupError: () => (/* binding */ getSiteSetupError),
/* harmony export */   getSiteSubdomain: () => (/* binding */ getSiteSubdomain),
/* harmony export */   getSiteTheme: () => (/* binding */ getSiteTheme),
/* harmony export */   getSiteTitle: () => (/* binding */ getSiteTitle),
/* harmony export */   getSiteVerticalId: () => (/* binding */ getSiteVerticalId),
/* harmony export */   getState: () => (/* binding */ getState),
/* harmony export */   isFetchingSite: () => (/* binding */ isFetchingSite),
/* harmony export */   isFetchingSiteDetails: () => (/* binding */ isFetchingSiteDetails),
/* harmony export */   isJetpackSite: () => (/* binding */ isJetpackSite),
/* harmony export */   isNewSite: () => (/* binding */ isNewSite),
/* harmony export */   isSiteAtomic: () => (/* binding */ isSiteAtomic),
/* harmony export */   isSiteLaunched: () => (/* binding */ isSiteLaunched),
/* harmony export */   isSiteLaunching: () => (/* binding */ isSiteLaunching),
/* harmony export */   isSiteWPForTeams: () => (/* binding */ isSiteWPForTeams),
/* harmony export */   requiresUpgrade: () => (/* binding */ requiresUpgrade),
/* harmony export */   siteHasFeature: () => (/* binding */ siteHasFeature)
/* harmony export */ });
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9878);
/* harmony import */ var _types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(90030);



const getState = state => state;
const getNewSite = state => state.newSite.data;
const getNewSiteError = state => state.newSite.error;
const isFetchingSite = state => state.newSite.isFetching;
const getFetchingSiteError = state => state.fetchingSiteError;
const isFetchingSiteDetails = state => state.isFetchingSiteDetails;
const isNewSite = state => !!state.newSite.data;

/**
 * Get a site matched by id. This selector has a matching
 * resolver that uses the `siteId` parameter to fetch an existing site. If the
 * site cannot be found, invalidate the resolution cache.
 * @param state {State}		state object
 * @param siteId {number}	id of the site to look up
 */
const getSite = (state, siteId) => {
  return (
    // Try matching numeric site ID
    state.sites[siteId] ||
    // Then try matching primary domain
    Object.values(state.sites).find(site => site && new URL(site.URL).host === siteId) ||
    // Then try matching second domain
    Object.values(state.sites).find(site => site?.options?.unmapped_url && new URL(site.options.unmapped_url).host === siteId)
  );
};
const getSiteIdBySlug = (_, slug) => {
  return (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.select)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U).getSite(slug)?.ID;
};
const getSiteTitle = (_, siteId) => (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.select)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U).getSite(siteId)?.name;
const getSiteVerticalId = (_, siteId) => (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.select)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U).getSite(siteId)?.options?.site_vertical_id;

// @TODO: Return LaunchStatus instead of a boolean
const isSiteLaunched = (state, siteId) => {
  return state.launchStatus[siteId]?.status === _types__WEBPACK_IMPORTED_MODULE_2__/* .SiteLaunchStatus */ .Z1.SUCCESS;
};

// @TODO: Return LaunchStatus instead of a boolean
const isSiteLaunching = (state, siteId) => {
  return state.launchStatus[siteId]?.status === _types__WEBPACK_IMPORTED_MODULE_2__/* .SiteLaunchStatus */ .Z1.IN_PROGRESS;
};
const isSiteAtomic = (state, siteId) => {
  return (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.select)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U).getSite(siteId)?.options?.is_wpcom_atomic === true;
};
const isSiteWPForTeams = (state, siteId) => {
  return (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.select)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U).getSite(siteId)?.options?.is_wpforteams_site === true;
};
const getSiteDomains = (state, siteId) => {
  return state.sitesDomains[siteId];
};
const getSiteSettings = (state, siteId) => {
  return state.sitesSettings[siteId];
};
const getSiteTheme = (state, siteId) => {
  return state.siteTheme[siteId];
};
const getSiteGlobalStyles = (state, siteId) => {
  return state.sitesGlobalStyles[siteId];
};
const getSiteSetupError = state => {
  return state.siteSetupErrors;
};
const getSiteOptions = (state, siteId) => {
  return state.sites[siteId]?.options;
};
const getSiteOption = (state, siteId, optionName) => {
  return state.sites[siteId]?.options?.[optionName];
};
const getPrimarySiteDomain = (_, siteId) => (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.select)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U).getSiteDomains(siteId)?.find(domain => domain.primary_domain);
const getSiteSubdomain = (_, siteId) => (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.select)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U).getSiteDomains(siteId)?.find(domain => domain.is_subdomain);
const getSiteLatestAtomicTransfer = (state, siteId) => {
  return state.latestAtomicTransferStatus[siteId]?.transfer;
};
const getSiteLatestAtomicTransferError = (state, siteId) => {
  return state.latestAtomicTransferStatus[siteId]?.errorCode;
};
const getAtomicSoftwareStatus = (state, siteId, softwareSet) => {
  return state.atomicSoftwareStatus[siteId]?.[softwareSet]?.status;
};
const getAtomicSoftwareError = (state, siteId, softwareSet) => {
  return state.atomicSoftwareStatus[siteId]?.[softwareSet]?.error;
};
const getAtomicSoftwareInstallError = (state, siteId, softwareSet) => {
  return state.atomicSoftwareInstallStatus[siteId]?.[softwareSet]?.error;
};
const siteHasFeature = (_, siteId, featureKey) => {
  return Boolean(siteId && (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.select)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U).getSite(siteId)?.plan?.features.active.includes(featureKey));
};

// TODO: The `0` here seems wrong and should likely be addressed.
const requiresUpgrade = (state, siteId) => {
  return siteId && !(0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.select)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U).siteHasFeature(siteId, 'woop');
};
function isJetpackSite(state, siteId) {
  return Boolean(siteId && (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.select)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U).getSite(siteId)?.jetpack);
}
const getBundledPluginSlug = (state, siteSlug) => state.bundledPluginSlug[siteSlug];

/***/ }),

/***/ 90030:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   M_: () => (/* binding */ LatestAtomicTransferStatus),
/* harmony export */   OT: () => (/* binding */ AtomicSoftwareInstallStatus),
/* harmony export */   Z1: () => (/* binding */ SiteLaunchStatus),
/* harmony export */   je: () => (/* binding */ AtomicTransferError),
/* harmony export */   nB: () => (/* binding */ AtomicTransferStatus),
/* harmony export */   rX: () => (/* binding */ SiteLaunchError)
/* harmony export */ });
/* unused harmony exports Visibility, SiteCapabilities, MigrationStatus, MigrationStatusError */
let Visibility = /*#__PURE__*/function (Visibility) {
  Visibility[Visibility["PublicIndexed"] = 1] = "PublicIndexed";
  Visibility[Visibility["PublicNotIndexed"] = 0] = "PublicNotIndexed";
  Visibility[Visibility["Private"] = -1] = "Private";
  return Visibility;
}({});

// is_fse_active && is_fse_eligible properties have been deprecated and removed from SiteDetails interface

let SiteCapabilities = /*#__PURE__*/function (SiteCapabilities) {
  SiteCapabilities["ACTIVATE_PLUGINS"] = "activate_plugins";
  SiteCapabilities["ACTIVATE_WORDADS"] = "activate_wordads";
  SiteCapabilities["DELETE_OTHERS_POSTS"] = "delete_others_posts";
  SiteCapabilities["DELETE_USERS"] = "delete_users";
  SiteCapabilities["EDIT_OTHERS_PAGES"] = "edit_others_pages";
  SiteCapabilities["EDIT_OTHERS_POSTS"] = "edit_others_posts";
  SiteCapabilities["EDIT_PAGES"] = "edit_pages";
  SiteCapabilities["EDIT_POSTS"] = "edit_posts";
  SiteCapabilities["EDIT_THEME_OPTIONS"] = "edit_theme_options";
  SiteCapabilities["EDIT_USERS"] = "edit_users";
  SiteCapabilities["LIST_USERS"] = "list_users";
  SiteCapabilities["MANAGE_CATEGORIES"] = "manage_categories";
  SiteCapabilities["MANAGE_OPTIONS"] = "manage_options";
  SiteCapabilities["MODERATE_COMMENTS"] = "moderate_comments";
  SiteCapabilities["OWN_SITE"] = "own_site";
  SiteCapabilities["PROMOTE_USERS"] = "promote_users";
  SiteCapabilities["PUBLISH_POSTS"] = "publish_posts";
  SiteCapabilities["REMOVE_USERS"] = "remove_users";
  SiteCapabilities["UPLOAD_FILES"] = "upload_files";
  SiteCapabilities["VIEW_HOSTING"] = "view_hosting";
  SiteCapabilities["VIEW_STATS"] = "view_stats";
  return SiteCapabilities;
}({});

/* eslint-disable @typescript-eslint/no-explicit-any */

/* eslint-enable @typescript-eslint/no-explicit-any */

let SiteLaunchError = /*#__PURE__*/function (SiteLaunchError) {
  SiteLaunchError["INTERNAL"] = "internal";
  return SiteLaunchError;
}({});
let SiteLaunchStatus = /*#__PURE__*/function (SiteLaunchStatus) {
  SiteLaunchStatus["UNINITIALIZED"] = "unintialized";
  SiteLaunchStatus["IN_PROGRESS"] = "in_progress";
  SiteLaunchStatus["SUCCESS"] = "success";
  SiteLaunchStatus["FAILURE"] = "failure";
  return SiteLaunchStatus;
}({});
let AtomicTransferStatus = /*#__PURE__*/function (AtomicTransferStatus) {
  AtomicTransferStatus["UNINITIALIZED"] = "unintialized";
  AtomicTransferStatus["IN_PROGRESS"] = "in_progress";
  AtomicTransferStatus["SUCCESS"] = "success";
  AtomicTransferStatus["FAILURE"] = "failure";
  return AtomicTransferStatus;
}({});
let AtomicTransferError = /*#__PURE__*/function (AtomicTransferError) {
  AtomicTransferError["INTERNAL"] = "internal";
  return AtomicTransferError;
}({});
let LatestAtomicTransferStatus = /*#__PURE__*/function (LatestAtomicTransferStatus) {
  LatestAtomicTransferStatus["UNINITIALIZED"] = "unintialized";
  LatestAtomicTransferStatus["IN_PROGRESS"] = "in_progress";
  LatestAtomicTransferStatus["SUCCESS"] = "success";
  LatestAtomicTransferStatus["FAILURE"] = "failure";
  return LatestAtomicTransferStatus;
}({});
let AtomicSoftwareInstallStatus = /*#__PURE__*/function (AtomicSoftwareInstallStatus) {
  AtomicSoftwareInstallStatus["UNINITIALIZED"] = "unintialized";
  AtomicSoftwareInstallStatus["IN_PROGRESS"] = "in_progress";
  AtomicSoftwareInstallStatus["SUCCESS"] = "success";
  AtomicSoftwareInstallStatus["FAILURE"] = "failure";
  return AtomicSoftwareInstallStatus;
}({});
let MigrationStatus = /*#__PURE__*/function (MigrationStatus) {
  MigrationStatus["UNKNOWN"] = "unknown";
  MigrationStatus["INACTIVE"] = "inactive";
  MigrationStatus["NEW"] = "new";
  MigrationStatus["BACKING_UP"] = "backing-up";
  MigrationStatus["BACKING_UP_QUEUED"] = "backing-up-queued";
  MigrationStatus["RESTORING"] = "restoring";
  MigrationStatus["DONE"] = "done";
  MigrationStatus["DONE_USER"] = "done-user";
  MigrationStatus["ERROR"] = "error";
  return MigrationStatus;
}({});
let MigrationStatusError = /*#__PURE__*/function (MigrationStatusError) {
  MigrationStatusError["OLD_JETPACK"] = "old_jetpack";
  MigrationStatusError["FORBIDDEN"] = "forbidden";
  MigrationStatusError["GENERIC"] = "error";
  MigrationStatusError["SOURCE_SITE_MULTISITE"] = "source_site_multisite";
  MigrationStatusError["SOURCE_SITE_IS_ATOMIC"] = "source_site_is_atomic";
  MigrationStatusError["SOURCE_SITE_IS_PROTECTED"] = "source_site_is_protected";
  MigrationStatusError["TARGET_SITE_IS_PROTECTED"] = "target_site_is_protected";
  MigrationStatusError["NO_START_USER_ADMIN_ON_SOURCE"] = "no_start_user_admin_on_source";
  MigrationStatusError["NO_START_USER_ADMIN_ON_TARGET"] = "no_start_user_admin_on_target";
  MigrationStatusError["NO_START_SOURCE_IN_PROGRESS"] = "no_start_source_in_progress";
  MigrationStatusError["NO_START_TARGET_IN_PROGRESS"] = "no_start_target_in_progress";
  MigrationStatusError["WPCOM_MIGRATION_PLUGIN_INCOMPATIBLE"] = "wpcom_migration_plugin_incompatible";
  MigrationStatusError["ACTIVATE_REWIND"] = "error-rewind-activate";
  MigrationStatusError["BACKUP_QUEUEING"] = "error-backup-queue";
  MigrationStatusError["MISSING_SOURCE_MASTER_USER"] = "error-get-master-user";
  MigrationStatusError["NO_BACKUP_STATUS"] = "error-backup-status";
  MigrationStatusError["BACKUP_SITE_NOT_ACCESSIBLE"] = "error-backup-fail-not-accessible";
  MigrationStatusError["BACKUP_UNKNOWN"] = "error-backup-fail-unknown";
  MigrationStatusError["WOA_GET_TRANSFER_RECORD"] = "error-atomic-transfer-get";
  MigrationStatusError["MISSING_WOA_CREDENTIALS"] = "error-credentials-atomic";
  MigrationStatusError["RESTORE_QUEUE"] = "error-restore-queue";
  MigrationStatusError["RESTORE_FAILED"] = "error-restore-fail";
  MigrationStatusError["RESTORE_STATUS"] = "error-restore-status";
  MigrationStatusError["FIX_EXTERNAL_USER_ID"] = "error-fix-external-user-id";
  MigrationStatusError["GET_SOURCE_EXTERNAL_USER_ID"] = "error-get-external-user-id";
  MigrationStatusError["GET_USER_TOKEN"] = "error-get-target-user-token";
  MigrationStatusError["UPDATE_TARGET_USER_TOKEN"] = "error-update-target-user-token";
  MigrationStatusError["WOA_TRANSFER"] = "error-atomic-transfer";
  MigrationStatusError["GENERAL"] = "error-general";
  MigrationStatusError["UNKNOWN"] = "error-unknown";
  return MigrationStatusError;
}({});

/**
 * Site media storage from `/sites/[ siteIdOrSlug ]/media-storage` endpoint
 */

/**
 * Site media storage transformed for frontend use
 */

/***/ }),

/***/ 29458:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   I: () => (/* binding */ createCustomHomeTemplateContent)
/* harmony export */ });
const createCustomHomeTemplateContent = (stylesheet, hasHeader, hasFooter, hasSections, mainHtml = '') => {
  const content = [];
  if (hasHeader) {
    content.push(`<!-- wp:template-part {"slug":"header","tagName":"header","theme":"${stylesheet}"} /-->`);
  }
  if (hasSections) {
    // blockGap":"0" removes the theme blockGap from the main group while allowing users to change it from the editor
    content.push(`
<!-- wp:group {"tagName":"main","style":{"spacing":{"blockGap":"0"}}} -->
	<main class="wp-block-group">
		${mainHtml}
	</main>
<!-- /wp:group -->`);
  }
  if (hasFooter) {
    content.push(`<!-- wp:template-part {"slug":"footer","tagName":"footer","theme":"${stylesheet}","className":"site-footer-container"} /-->`);
  }
  if (content.length) {
    return content.join('\n');
  }

  // If no layout is selected, return the paragraph block to start with blank content to avoid the StartModal showing.
  // See https://github.com/WordPress/gutenberg/blob/343fd27a51ae549c013bc30f51f13aad235d0d4a/packages/edit-site/src/components/start-template-options/index.js#L162
  return '<!-- wp:paragraph --><p></p><!-- /wp:paragraph -->';
};

/***/ }),

/***/ 27776:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ createActions)
/* harmony export */ });
function createActions() {
  const receiveCurrentUser = currentUser => ({
    type: 'RECEIVE_CURRENT_USER',
    currentUser
  });
  const receiveCurrentUserFailed = () => ({
    type: 'RECEIVE_CURRENT_USER_FAILED'
  });
  return {
    receiveCurrentUser,
    receiveCurrentUserFailed
  };
}

/***/ }),

/***/ 61690:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   U: () => (/* binding */ STORE_KEY)
/* harmony export */ });
const STORE_KEY = 'automattic/user';

/***/ }),

/***/ 91071:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ register)
/* harmony export */ });
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wpcom_request_controls__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(62413);
/* harmony import */ var _actions__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(27776);
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(61690);
/* harmony import */ var _reducer__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(99879);
/* harmony import */ var _resolvers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(62976);
/* harmony import */ var _selectors__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(54205);








let isRegistered = false;
function register() {
  if (!isRegistered) {
    isRegistered = true;
    (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.registerStore)(_constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U, {
      actions: (0,_actions__WEBPACK_IMPORTED_MODULE_2__/* .createActions */ .E)(),
      controls: _wpcom_request_controls__WEBPACK_IMPORTED_MODULE_3__/* .controls */ .ne,
      reducer: _reducer__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A,
      resolvers: (0,_resolvers__WEBPACK_IMPORTED_MODULE_5__/* .createResolvers */ .q)(),
      selectors: _selectors__WEBPACK_IMPORTED_MODULE_6__
    });
  }
  return _constants__WEBPACK_IMPORTED_MODULE_1__/* .STORE_KEY */ .U;
}

/***/ }),

/***/ 99879:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export currentUser */
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);

const currentUser = (state, action) => {
  switch (action.type) {
    case 'RECEIVE_CURRENT_USER':
      return action.currentUser;
    case 'RECEIVE_CURRENT_USER_FAILED':
      return null;
  }
  return state;
};
const reducer = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.combineReducers)({
  currentUser
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (reducer);

/***/ }),

/***/ 62976:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   q: () => (/* binding */ createResolvers)
/* harmony export */ });
/* harmony import */ var _wpcom_request_controls__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(62413);
/* harmony import */ var _actions__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(27776);


function createResolvers() {
  const {
    receiveCurrentUser,
    receiveCurrentUserFailed
  } = (0,_actions__WEBPACK_IMPORTED_MODULE_0__/* .createActions */ .E)();
  function* getCurrentUser() {
    // In environments where `wpcom-user-bootstrap` is set to true, the currentUser
    // object will be server-side rendered to window.currentUser. In these cases,
    // return that object instead of performing another API request to `/me`.
    if (window.currentUser) {
      return receiveCurrentUser(window.currentUser);
    }
    try {
      const currentUser = yield (0,_wpcom_request_controls__WEBPACK_IMPORTED_MODULE_1__/* .wpcomRequest */ .S)({
        path: '/me',
        apiVersion: '1.1'
      });
      return receiveCurrentUser(currentUser);
    } catch (err) {
      return receiveCurrentUserFailed();
    }
  }
  return {
    getCurrentUser
  };
}

/***/ }),

/***/ 54205:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getCurrentUser: () => (/* binding */ getCurrentUser),
/* harmony export */   getState: () => (/* binding */ getState),
/* harmony export */   isCurrentUserLoggedIn: () => (/* binding */ isCurrentUserLoggedIn)
/* harmony export */ });
const getState = state => state;
const getCurrentUser = state => state.currentUser;
const isCurrentUserLoggedIn = state => !!state.currentUser?.ID;

/***/ }),

/***/ 62413:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S: () => (/* binding */ wpcomRequest),
/* harmony export */   ne: () => (/* binding */ controls)
/* harmony export */ });
/* unused harmony exports fetchAndParse, reloadProxy, requestAllBlogsAccess, wait */
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(41445);

const wpcomRequest = request => ({
  type: 'WPCOM_REQUEST',
  request
});

/**
 * Action for performing a fetching using `window.fetch()` and parsing the response body.
 * It's different from `apiFetch()` from
 * `@wordpress/data-controls` in that it doesn't use any middleware to add extra parameters.
 * @param resource the resource you wish to fetch
 * @param options request options
 */
const fetchAndParse = (resource, options) => ({
  type: 'FETCH_AND_PARSE',
  resource,
  options
});
const reloadProxy = () => ({
  type: 'RELOAD_PROXY'
});
const requestAllBlogsAccess = () => ({
  type: 'REQUEST_ALL_BLOGS_ACCESS'
});
const wait = ms => ({
  type: 'WAIT',
  ms
});
const controls = {
  WPCOM_REQUEST: ({
    request
  }) => (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)(request),
  FETCH_AND_PARSE: async ({
    resource,
    options
  }) => {
    const response = await window.fetch(resource, options);
    return {
      ok: response.ok,
      body: await response.json()
    };
  },
  RELOAD_PROXY: () => {
    (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_0__/* .reloadProxy */ .wf)();
  },
  REQUEST_ALL_BLOGS_ACCESS: () => (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_0__/* .requestAllBlogsAccess */ .gn)(),
  WAIT: ({
    ms
  }) => new Promise(resolve => setTimeout(resolve, ms))
};

/***/ }),

/***/ 8652:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   o: () => (/* binding */ BackButton)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(63499);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(23634);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(18690);
/* harmony import */ var _styles_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(369);







const BackButton = ({
  onClick,
  backToRoot = false,
  className
}) => {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_4__/* .useI18n */ .s9)();
  const location = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .useLocation */ .zy)();
  const navigate = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .useNavigate */ .Zp)();
  const buttonClassName = classnames__WEBPACK_IMPORTED_MODULE_2___default()('back-button__help-center', className);
  function defaultOnClick() {
    if (backToRoot) {
      navigate('/');
    } else if (location.key === 'default') {
      // Workaround to detect when we don't have prior history
      // https://github.com/remix-run/react-router/discussions/9922#discussioncomment-4722480
      navigate('/');
    } else {
      navigate(-1);
    }
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
    className: buttonClassName,
    onClick: onClick || defaultOnClick
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A,
    size: 18
  }), __('Back', "full-site-editing"));
};

/***/ }),

/***/ 65708:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ BackToTopButton)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(21137);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(59573);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(23634);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _back_to_top_button_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(44980);








const BackToTopButton = () => {
  const elementRef = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useRef)(null);
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_4__/* .useI18n */ .s9)();
  const isBelowThreshold = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useCallback)(containerNode => {
    const SCROLL_THRESHOLD = 400;
    return containerNode.scrollTop > SCROLL_THRESHOLD;
  }, []);
  const {
    isButtonVisible,
    scrollToTop
  } = (0,_automattic_components__WEBPACK_IMPORTED_MODULE_5__/* .useScrollToTop */ .b)({
    scrollTargetRef: elementRef,
    isBelowThreshold,
    smoothScrolling: false
  });
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
    ref: element => {
      elementRef.current = element?.parentElement ?? null;
    },
    className: classnames__WEBPACK_IMPORTED_MODULE_2___default()('back-to-top-button__help-center', {
      'is-visible': isButtonVisible
    }),
    onClick: scrollToTop
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A,
    size: 16
  }), __('Back to top', "full-site-editing"));
};

/***/ }),

/***/ 96722:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_blocks_support_article_dialog_header__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(13698);
/* harmony import */ var calypso_components_embed_container__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(95451);
/* harmony import */ var _placeholder_lines__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(85555);
/* harmony import */ var _help_center_article_content_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(26088);

/* eslint-disable no-restricted-imports */




const ArticleContent = ({
  content,
  title,
  link,
  isLoading = false
}) => {
  const post = {
    title: title,
    url: link
  };
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("article", {
    className: "help-center-article-content__story"
  }, isLoading ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_placeholder_lines__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, {
    lines: 8
  }) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_blocks_support_article_dialog_header__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A, {
    post: post,
    isLoading: false
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_embed_container__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-article-content__story-content"
    // eslint-disable-next-line react/no-danger
    ,
    dangerouslySetInnerHTML: {
      __html: content
    }
  }))));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ArticleContent);

/***/ }),

/***/ 17797:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(16706);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(20759);
/* harmony import */ var calypso_blocks_inline_help_constants__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(92884);
/* harmony import */ var calypso_components_data_query_reader_post__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51632);
/* harmony import */ var calypso_components_data_query_reader_site__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(74351);
/* harmony import */ var calypso_data_support_article_alternates_use_support_article_alternates_query__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(75711);
/* harmony import */ var calypso_state_reader_posts_selectors__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(39970);
/* harmony import */ var _help_center_article_content__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(96722);
/* harmony import */ var _help_center_article_content_scss__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(26088);

/* eslint-disable no-restricted-imports */










// import './style.scss';

const getPostKey = (blogId, postId) => ({
  blogId,
  postId
});
const useSupportArticleAlternatePostKey = (blogId, postId) => {
  const locale = (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_7__/* .useLocale */ .Ym)();
  const supportArticleAlternates = (0,calypso_data_support_article_alternates_use_support_article_alternates_query__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(blogId, postId, locale);
  if (supportArticleAlternates.isInitialLoading) {
    return null;
  }
  if (!supportArticleAlternates.data) {
    return getPostKey(blogId, postId);
  }
  return getPostKey(supportArticleAlternates.data.blog_id, supportArticleAlternates.data.page_id);
};
const ArticleFetchingContent = ({
  postId,
  blogId,
  articleUrl
}) => {
  const postKey = useSupportArticleAlternatePostKey(+(blogId ?? calypso_blocks_inline_help_constants__WEBPACK_IMPORTED_MODULE_8__/* .SUPPORT_BLOG_ID */ .Dm), postId);
  const post = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__/* .useSelector */ .d4)(state => (0,calypso_state_reader_posts_selectors__WEBPACK_IMPORTED_MODULE_9__/* .getPostByKey */ .X_)(state, postKey));
  const isLoading = !post?.content || !postKey;
  const siteId = post?.site_ID;
  const shouldQueryReaderPost = !post && postKey;
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    //If a url includes an anchor, let's scroll this into view!
    if ( true && articleUrl && articleUrl.indexOf('#') !== -1 && post?.content) {
      setTimeout(() => {
        const anchorId = articleUrl.split('#').pop();
        if (anchorId) {
          const element = document.getElementById(anchorId);
          if (element) {
            element.scrollIntoView();
          }
        }
      }, 0);
    }
  }, [articleUrl, post]);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, siteId && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_data_query_reader_site__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, {
    siteId: +siteId
  }), shouldQueryReaderPost && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_data_query_reader_post__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A, {
    postKey: postKey,
    isHelpCenter: true
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_article_content__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A, {
    content: post?.content,
    title: post?.title,
    link: post?.link,
    isLoading: isLoading
  }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ArticleFetchingContent);

/***/ }),

/***/ 84513:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B: () => (/* binding */ HelpCenterContactForm)
/* harmony export */ });
/* unused harmony export SITE_STORE */
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(70696);
/* harmony import */ var _automattic_calypso_products__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(76277);
/* harmony import */ var _automattic_calypso_products__WEBPACK_IMPORTED_MODULE_41__ = __webpack_require__(2091);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(94804);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(64682);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(36250);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(16706);
/* harmony import */ var _automattic_odie_client__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(14366);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(93402);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(79428);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(20759);
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(18690);
/* harmony import */ var use_debounce__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(61043);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(11586);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(84790);
/* harmony import */ var calypso_lib_mobile_app__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(91845);
/* harmony import */ var calypso_lib_query_args__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(66621);
/* harmony import */ var calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(13034);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(65284);
/* harmony import */ var _data_use_jetpack_search_ai__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(13678);
/* harmony import */ var _data_use_site_analysis__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(75144);
/* harmony import */ var _data_use_submit_forums_topic__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(49851);
/* harmony import */ var _data_use_submit_support_ticket__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(79817);
/* harmony import */ var _data_use_user_sites__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(37348);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(34655);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(23617);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(72880);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(29575);
/* harmony import */ var _support_variations__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(8613);
/* harmony import */ var _back_button__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(8652);
/* harmony import */ var _help_center_gpt__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(53207);
/* harmony import */ var _help_center_search_results__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(14583);
/* harmony import */ var _help_center_site_picker__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(78104);
/* harmony import */ var _help_center_third_party_cookies_notice__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(72449);
/* harmony import */ var _help_center_contact_form_scss__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(56923);

/* eslint-disable no-restricted-imports */
/**
 * External Dependencies
 */










const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_5__.__;










/**
 * Internal Dependencies
 */














const SITE_STORE = 'automattic/site';
const fakeFaces = ['john', 'joe', 'julia', 'emily', 'ashley', 'daphne', 'megan', 'omar', 'vivian', 'sam', 'tony'].map(name => `https://s0.wp.com/i/support-engineers/${name}.jpg`);
const randomTwoFaces = fakeFaces.sort(() => Math.random() - 0.5).slice(0, 2);
const getSupportedLanguages = (supportType, locale) => {
  const isLiveChatLanguageSupported = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)('livechat_support_locales').includes(locale);
  const isLanguageSupported = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)('upwork_support_locales').includes(locale);
  switch (supportType) {
    case 'CHAT':
      return !isLiveChatLanguageSupported;
    case 'EMAIL':
      return !isLanguageSupported && !['en', 'en-gb'].includes(locale);
    default:
      return false;
  }
};
const HelpCenterContactForm = props => {
  const {
    search
  } = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_12__/* .useLocation */ .zy)();
  const sectionName = (0,react_redux__WEBPACK_IMPORTED_MODULE_7__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A);
  const params = new URLSearchParams(search);
  const mode = params.get('mode');
  const {
    onSubmit
  } = props;
  const overflow = params.get('overflow') === 'true';
  const wapuuFlow = params.get('wapuuFlow') === 'true';
  const navigate = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_12__/* .useNavigate */ .Zp)();
  const [hideSiteInfo, setHideSiteInfo] = (0,react__WEBPACK_IMPORTED_MODULE_6__.useState)(false);
  const [hasSubmittingError, setHasSubmittingError] = (0,react__WEBPACK_IMPORTED_MODULE_6__.useState)(false);
  const locale = (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_14__/* .useLocale */ .Ym)();
  const {
    isPending: submittingTicket,
    mutateAsync: submitTicket
  } = (0,_data_use_submit_support_ticket__WEBPACK_IMPORTED_MODULE_15__/* .useSubmitTicketMutation */ .v)();
  const {
    isPending: submittingTopic,
    mutateAsync: submitTopic
  } = (0,_data_use_submit_forums_topic__WEBPACK_IMPORTED_MODULE_16__/* .useSubmitForumsMutation */ .D)();
  const userId = (0,react_redux__WEBPACK_IMPORTED_MODULE_7__/* .useSelector */ .d4)(calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_10__/* .getCurrentUserId */ .WR);
  const {
    data: userSites
  } = (0,_data_use_user_sites__WEBPACK_IMPORTED_MODULE_17__/* .useUserSites */ .N)(userId);
  const userWithNoSites = userSites?.sites.length === 0;
  const queryClient = (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_18__/* .useQueryClient */ .jE)();
  const email = (0,react_redux__WEBPACK_IMPORTED_MODULE_7__/* .useSelector */ .d4)(calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_10__/* .getCurrentUserEmail */ .X$);
  const [sitePickerChoice, setSitePickerChoice] = (0,react__WEBPACK_IMPORTED_MODULE_6__.useState)('CURRENT_SITE');
  const [gptResponse, setGptResponse] = (0,react__WEBPACK_IMPORTED_MODULE_6__.useState)();
  const {
    currentSite,
    subject,
    message,
    userDeclaredSiteUrl
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_4__.useSelect)(select => {
    const helpCenterSelect = select(_stores__WEBPACK_IMPORTED_MODULE_19__/* .HELP_CENTER_STORE */ .qO);
    return {
      currentSite: helpCenterSelect.getSite(),
      subject: helpCenterSelect.getSubject(),
      message: helpCenterSelect.getMessage(),
      userDeclaredSiteUrl: helpCenterSelect.getUserDeclaredSiteUrl()
    };
  }, []);
  const {
    resetStore,
    setUserDeclaredSite,
    setShowMessagingChat,
    setSubject,
    setMessage
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_4__.useDispatch)(_stores__WEBPACK_IMPORTED_MODULE_19__/* .HELP_CENTER_STORE */ .qO);
  const {
    canConnectToZendesk,
    hasActiveChats,
    isEligibleForChat,
    isLoading: isLoadingChatStatus
  } = (0,_hooks__WEBPACK_IMPORTED_MODULE_20__/* ["default"] */ .A)();
  const {
    isOpeningChatWidget,
    openChatWidget
  } = (0,_hooks__WEBPACK_IMPORTED_MODULE_21__/* ["default"] */ .A)('zendesk_support_chat_key', isEligibleForChat || hasActiveChats);
  (0,react__WEBPACK_IMPORTED_MODULE_6__.useEffect)(() => {
    const supportVariation = (0,_support_variations__WEBPACK_IMPORTED_MODULE_22__/* .getSupportVariationFromMode */ .iW)(mode);
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_contact_view', {
      support_variation: supportVariation,
      force_site_id: true,
      location: 'help-center',
      section: sectionName
    });
  }, [mode, sectionName]);
  (0,react__WEBPACK_IMPORTED_MODULE_6__.useEffect)(() => {
    if (userWithNoSites) {
      setSitePickerChoice('OTHER_SITE');
    }
  }, [userWithNoSites]);
  const formTitles = (0,_hooks__WEBPACK_IMPORTED_MODULE_23__/* .useContactFormTitle */ .u)(mode);
  let ownershipResult = (0,_data_use_site_analysis__WEBPACK_IMPORTED_MODULE_24__/* .useSiteAnalysis */ .R)(
  // pass user email as query cache key
  userId, userDeclaredSiteUrl, sitePickerChoice === 'OTHER_SITE');
  const ownershipStatusLoading = ownershipResult?.result === 'LOADING';
  const isSubmitting = submittingTicket || submittingTopic || isOpeningChatWidget;

  // if the user picked a site from the picker, we don't need to analyze the ownership
  if (currentSite && sitePickerChoice === 'CURRENT_SITE') {
    ownershipResult = {
      result: 'OWNED_BY_USER',
      isWpcom: true,
      siteURL: currentSite.URL,
      site: currentSite
    };
  }

  // record the resolved site
  (0,react__WEBPACK_IMPORTED_MODULE_6__.useEffect)(() => {
    if (ownershipResult?.site && sitePickerChoice === 'OTHER_SITE') {
      setUserDeclaredSite(ownershipResult?.site);
    }
  }, [ownershipResult, setUserDeclaredSite, sitePickerChoice]);
  let supportSite;

  // if the user picked "other site", force them to declare a site
  if (sitePickerChoice === 'OTHER_SITE') {
    supportSite = ownershipResult?.site;
  } else {
    supportSite = currentSite;
  }
  const [debouncedMessage] = (0,use_debounce__WEBPACK_IMPORTED_MODULE_25__/* ["default"] */ .A)(message || '', 500);
  const [debouncedSubject] = (0,use_debounce__WEBPACK_IMPORTED_MODULE_25__/* ["default"] */ .A)(subject || '', 500);
  const enableGPTResponse = _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_2__/* ["default"].isEnabled */ .Ay.isEnabled('help/gpt-response') && !(params.get('disable-gpt') === 'true') && !wapuuFlow;
  const showingSearchResults = params.get('show-results') === 'true';
  const showingGPTResponse = enableGPTResponse && params.get('show-gpt') === 'true';
  const redirectToArticle = (0,react__WEBPACK_IMPORTED_MODULE_6__.useCallback)((event, result) => {
    event.preventDefault();

    // if result.post_id isn't set then open in a new window
    if (!result.post_id) {
      const tracksData = {
        search_query: debouncedMessage,
        force_site_id: true,
        location: 'help-center',
        result_url: result.link,
        post_id: result.post_id,
        blog_id: result.blog_id
      };
      (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)(`calypso_inlinehelp_article_no_postid_redirect`, tracksData);
      window.open(result.link, '_blank');
      return;
    }
    const params = new URLSearchParams({
      link: result.link,
      postId: String(result.post_id),
      query: debouncedMessage || '',
      title: (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_26__/* .preventWidows */ .s)((0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_27__/* .decodeEntities */ .S)(result.title))
    });
    if (result.blog_id) {
      params.set('blogId', String(result.blog_id));
    }
    navigate(`/post/?${params}`);
  }, [navigate, debouncedMessage]);

  // this indicates the user was happy with the GPT response
  function handleGPTClose() {
    // send a tracks event
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_contact_gpt_close', {
      force_site_id: true,
      location: 'help-center',
      section: sectionName
    });
    resetStore();
    navigate('/');
  }
  function handleGPTCancel() {
    // send a tracks event
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_contact_gpt_cancel', {
      force_site_id: true,
      location: 'help-center',
      section: sectionName
    });

    // stop loading the GPT response
    params.set('show-gpt', 'false');
    params.set('disable-gpt', 'true');
    navigate({
      pathname: '/contact-form',
      search: params.toString()
    });
  }
  function handleCTA() {
    if (!enableGPTResponse && !showingSearchResults && !wapuuFlow) {
      params.set('show-results', 'true');
      navigate({
        pathname: '/contact-form',
        search: params.toString()
      });
      return;
    }
    if (!showingGPTResponse && enableGPTResponse && !wapuuFlow) {
      params.set('show-gpt', 'true');
      navigate({
        pathname: '/contact-form',
        search: params.toString()
      });
      return;
    }

    // if the user was chatting with Wapuu, we need to disable GPT (no more AI)
    if (wapuuFlow) {
      params.set('disable-gpt', 'true');
      params.set('show-gpt', 'false');
      if (onSubmit) {
        onSubmit();
      }
    }
    const productSlug = supportSite?.plan.product_slug;
    const plan = (0,_automattic_calypso_products__WEBPACK_IMPORTED_MODULE_28__/* .getPlan */ .U7)(productSlug);
    const productId = plan?.getProductId();
    const productName = plan?.getTitle();
    const productTerm = (0,_automattic_calypso_products__WEBPACK_IMPORTED_MODULE_28__/* .getPlanTermLabel */ .uM)(productSlug, text => text);
    const wapuuChatId = (0,_automattic_odie_client__WEBPACK_IMPORTED_MODULE_29__/* .getOdieStorage */ .Zr)('last_chat_id');
    const aiChatId = wapuuFlow ? wapuuChatId ?? '' : gptResponse?.answer_id;
    switch (mode) {
      case 'CHAT':
        if (supportSite) {
          (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_contact_submit', {
            support_variation: 'messaging',
            force_site_id: true,
            location: 'help-center',
            section: sectionName
          });
          (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_help_live_chat_begin', {
            site_plan_product_id: productId,
            is_automated_transfer: supportSite?.is_wpcom_atomic,
            force_site_id: true,
            location: 'help-center',
            section: sectionName
          });
          let initialChatMessage = message;
          if (gptResponse) {
            initialChatMessage += '<br /><br />';
            initialChatMessage += `<strong>Automated AI response from ${gptResponse.source} that was presented to user before they started chat</strong>:<br />`;
            initialChatMessage += gptResponse.response;
          }
          if (wapuuFlow) {
            initialChatMessage += '<br /><br />';
            initialChatMessage += wapuuChatId ? `<strong>Wapuu chat reference: ${wapuuChatId}</strong>:<br />` : '<strong>Wapuu chat reference is not available</strong>:<br />';
            initialChatMessage += 'User was chatting with Wapuu before they started chat<br />';
          }
          openChatWidget({
            aiChatId: aiChatId,
            message: initialChatMessage,
            siteUrl: supportSite.URL,
            onError: () => setHasSubmittingError(true)
          });
          break;
        }
        break;
      case 'EMAIL':
        if (supportSite) {
          const ticketMeta = ['Site I need help with: ' + supportSite.URL, `Plan: ${productId} - ${productName} (${productTerm})`];
          if ((0,calypso_lib_query_args__WEBPACK_IMPORTED_MODULE_9__/* .getQueryArgs */ .u0)()?.ref === 'woocommerce-com') {
            ticketMeta.push(`Created during store setup on ${(0,calypso_lib_mobile_app__WEBPACK_IMPORTED_MODULE_8__/* .isWcMobileApp */ .q4)() ? 'Woo mobile app' : 'Woo browser'}`);
          }
          if (params.get('source-command-palette') === 'true') {
            ticketMeta.push(`From Hosting Command Palette: Please post this user feedback to #dotcom-yolo on Slack.`);
          }
          const kayakoMessage = [...ticketMeta, '\n', message].join('\n');
          submitTicket({
            subject: subject ?? '',
            message: kayakoMessage,
            locale,
            client: 'browser:help-center',
            is_chat_overflow: overflow,
            source: 'source_wpcom_help_center',
            blog_url: supportSite.URL,
            ai_chat_id: aiChatId,
            ai_message: gptResponse?.response
          }).then(() => {
            (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_contact_submit', {
              support_variation: 'kayako',
              force_site_id: true,
              location: 'help-center',
              section: sectionName
            });
            navigate('/success');
            resetStore();

            // reset support-history cache
            setTimeout(() => {
              // wait 30 seconds until support-history endpoint actually updates
              // yup, it takes that long (tried 5, and 10)
              queryClient.invalidateQueries({
                queryKey: ['help-support-history', 'ticket', email]
              });
            }, 30000);
          }).catch(() => {
            setHasSubmittingError(true);
          });
        }
        break;
      case 'FORUM':
        submitTopic({
          ownershipResult,
          message: message ?? '',
          subject: subject ?? '',
          locale,
          hideInfo: hideSiteInfo,
          userDeclaredSiteUrl
        }).then(response => {
          (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_contact_submit', {
            support_variation: 'forums',
            force_site_id: true,
            location: 'help-center',
            section: sectionName
          });
          navigate(`/success?forumTopic=${encodeURIComponent(response.topic_URL)}`);
          resetStore();
        }).catch(() => {
          setHasSubmittingError(true);
        });
        break;
    }
  }
  const InfoTip = () => {
    const ref = (0,react__WEBPACK_IMPORTED_MODULE_6__.useRef)(null);
    const [isOpen, setOpen] = (0,react__WEBPACK_IMPORTED_MODULE_6__.useState)(false);
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
      className: "help-center-contact-form__site-picker-forum-privacy-info",
      ref: ref,
      "aria-haspopup": true,
      "aria-label": __('More information'),
      onClick: () => setOpen(!isOpen)
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_30__/* ["default"] */ .A, {
      icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_31__/* ["default"] */ .A,
      size: 18
    })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_32__/* ["default"] */ .A, {
      className: "help-center-contact-form__site-picker-privacy-popover",
      isVisible: isOpen,
      context: ref.current,
      position: "top left"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
      className: "help-center-contact-form__site-picker-forum-privacy-popover"
    }, __("This may result in a longer response time, but WordPress.com staff in the forums will still be able to view your site's URL.", "full-site-editing"))));
  };
  const shouldShowHelpLanguagePrompt = getSupportedLanguages(mode, locale);
  const getHEsTraySection = () => {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("section", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "help-center-contact-form__site-picker-hes-tray"
    }, randomTwoFaces.map(f => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
      key: f,
      src: f,
      "aria-hidden": "true",
      alt: ""
    })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", {
      className: "help-center-contact-form__site-picker-hes-tray-text"
    }, formTitles.trayText)));
  };
  let jpSearchAiQueryText = debouncedMessage;
  // For the JP search, we want to join the subject and message together if they're not the same
  if (debouncedSubject && debouncedMessage && debouncedSubject.slice(0, 50) !== debouncedMessage.slice(0, 50)) {
    jpSearchAiQueryText = `${debouncedSubject}\n\n${debouncedMessage}`;
  }
  const {
    isFetching: isFetchingGPTResponse,
    isError: isGPTError
  } = (0,_data_use_jetpack_search_ai__WEBPACK_IMPORTED_MODULE_33__/* .useJetpackSearchAIQuery */ .E)({
    siteId: '9619154',
    query: jpSearchAiQueryText,
    stopAt: 'response',
    enabled: enableGPTResponse && showingGPTResponse
  });
  const isCTADisabled = () => {
    if (isSubmitting || !message || ownershipStatusLoading) {
      return true;
    }

    // We're prefetching the GPT response,
    // so only disabling the button while fetching if we're on the response screen
    if (showingGPTResponse && isFetchingGPTResponse) {
      return true;
    }
    switch (mode) {
      case 'CHAT':
        return !supportSite;
      case 'EMAIL':
        return !supportSite || !subject;
      case 'FORUM':
        return !subject;
    }
  };
  const getCTALabel = () => {
    const showingHelpOrGPTResults = showingSearchResults || showingGPTResponse;
    if (!showingGPTResponse && !showingSearchResults) {
      return __('Continue', "full-site-editing");
    }
    if (showingGPTResponse && isFetchingGPTResponse) {
      return __('Gathering quick response.', "full-site-editing");
    }
    if (mode === 'CHAT' && showingHelpOrGPTResults) {
      return __('Still chat with us', "full-site-editing");
    }
    if (mode === 'EMAIL' && showingHelpOrGPTResults) {
      return __('Still email us', "full-site-editing");
    }
    if (ownershipStatusLoading) {
      return formTitles.buttonLoadingLabel;
    }
    return isSubmitting ? formTitles.buttonSubmittingLabel : formTitles.buttonLabel;
  };
  if (hasActiveChats) {
    setShowMessagingChat(true);
  }
  if (isLoadingChatStatus) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "help-center-contact-form__loading"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_34__/* .Spinner */ .y, {
      baseClassName: ""
    }));
  }
  if (mode === 'CHAT' && !canConnectToZendesk) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_third_party_cookies_notice__WEBPACK_IMPORTED_MODULE_35__/* ["default"] */ .A, null);
  }
  if (enableGPTResponse && showingGPTResponse) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "help-center__articles-page"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_back_button__WEBPACK_IMPORTED_MODULE_36__/* .BackButton */ .o, null), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_gpt__WEBPACK_IMPORTED_MODULE_37__/* .HelpCenterGPT */ .A, {
      onResponseReceived: setGptResponse
    }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("section", {
      className: "contact-form-submit"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.Button, {
      isBusy: isFetchingGPTResponse,
      disabled: isCTADisabled(),
      onClick: handleCTA,
      variant: showingGPTResponse && !isGPTError ? 'secondary' : 'primary',
      className: "help-center-contact-form__site-picker-cta"
    }, getCTALabel()), !isFetchingGPTResponse && showingGPTResponse && !hasSubmittingError && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.Button, {
      variant: isGPTError ? 'secondary' : 'primary',
      onClick: handleGPTClose
    }, __('Close', "full-site-editing")), isFetchingGPTResponse && !isGPTError && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.Button, {
      variant: "secondary",
      onClick: handleGPTCancel
    }, __('Cancel', "full-site-editing")), hasSubmittingError && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_38__/* ["default"] */ .A, {
      isError: true,
      text: __('Something went wrong, please try again later.', "full-site-editing")
    })), !isFetchingGPTResponse && showingGPTResponse && ['CHAT', 'EMAIL'].includes(mode) && getHEsTraySection());
  }
  return showingSearchResults ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center__articles-page"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_back_button__WEBPACK_IMPORTED_MODULE_36__/* .BackButton */ .o, null), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_search_results__WEBPACK_IMPORTED_MODULE_39__/* ["default"] */ .A, {
    onSelect: redirectToArticle,
    searchQuery: message || '',
    openAdminInNewTab: true,
    placeholderLines: 4,
    location: "help-center-contact-form"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("section", {
    className: "contact-form-submit"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.Button, {
    disabled: isCTADisabled(),
    onClick: handleCTA,
    variant: "primary",
    className: "help-center-contact-form__site-picker-cta"
  }, getCTALabel()), hasSubmittingError && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_38__/* ["default"] */ .A, {
    isError: true,
    text: __('Something went wrong, please try again later.', "full-site-editing")
  })), ['CHAT', 'EMAIL'].includes(mode) && getHEsTraySection()) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("main", {
    className: "help-center-contact-form"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_back_button__WEBPACK_IMPORTED_MODULE_36__/* .BackButton */ .o, null), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h1", {
    className: "help-center-contact-form__site-picker-title"
  }, formTitles.formTitle), formTitles.formDisclaimer && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", {
    className: "help-center-contact-form__site-picker-form-warning"
  }, formTitles.formDisclaimer), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_site_picker__WEBPACK_IMPORTED_MODULE_40__/* .HelpCenterSitePicker */ .E, {
    ownershipResult: ownershipResult,
    sitePickerChoice: sitePickerChoice,
    setSitePickerChoice: setSitePickerChoice,
    currentSite: currentSite,
    siteId: sitePickerChoice === 'CURRENT_SITE' ? currentSite?.ID : 0,
    sitePickerEnabled: mode === 'FORUM' && Boolean(supportSite?.plan?.product_slug) && (0,_automattic_calypso_products__WEBPACK_IMPORTED_MODULE_41__/* .isFreePlanProduct */ .f)({
      product_slug: supportSite.plan?.product_slug
    })
  }), ['FORUM', 'EMAIL'].includes(mode) && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("section", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.TextControl, {
    className: "help-center-contact-form__subject",
    label: __('Subject', "full-site-editing"),
    value: subject ?? '',
    onChange: setSubject
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("section", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("label", {
    className: "help-center-contact-form__label",
    htmlFor: "help-center-contact-form__message"
  }, __('How can we help you today?', "full-site-editing")), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("textarea", {
    id: "help-center-contact-form__message",
    rows: 10,
    value: message ?? '',
    onInput: event => setMessage(event.currentTarget.value),
    className: "help-center-contact-form__message"
  })), mode === 'FORUM' && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("section", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-contact-form__domain-sharing"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.CheckboxControl, {
    checked: hideSiteInfo,
    label: __('Don’t display my site’s URL publicly', "full-site-editing"),
    help: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(InfoTip, null),
    onChange: value => setHideSiteInfo(value)
  }))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("section", {
    className: "contact-form-submit"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.Button, {
    disabled: isCTADisabled(),
    onClick: handleCTA,
    variant: "primary",
    className: "help-center-contact-form__site-picker-cta"
  }, getCTALabel()), !hasSubmittingError && shouldShowHelpLanguagePrompt && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.Tip, null, __('Note: Support is only available in English at the moment.')), hasSubmittingError && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_38__/* ["default"] */ .A, {
    isError: true,
    text: __('Something went wrong, please try again later.', "full-site-editing")
  })), ['CHAT', 'EMAIL'].includes(mode) && getHEsTraySection(), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_search_results__WEBPACK_IMPORTED_MODULE_39__/* ["default"] */ .A, {
    onSelect: redirectToArticle,
    searchQuery: message || '',
    openAdminInNewTab: true,
    placeholderLines: 4,
    location: "help-center-contact-form"
  }));
};

/***/ }),

/***/ 20690:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C: () => (/* binding */ HelpCenterContactPage),
/* harmony export */   H: () => (/* binding */ HelpCenterContactButton)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(70696);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(64682);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(20609);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(16706);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(57033);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(24955);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(23634);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(20759);
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(73657);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(65284);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(8652);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(63119);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(34655);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(51653);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(59249);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(34237);
/* harmony import */ var _icons__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(22047);
/* harmony import */ var _icons__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(52927);
/* harmony import */ var _help_center_notice__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(89858);

/* eslint-disable no-restricted-imports */
/**
 * External Dependencies
 */












/**
 * Internal Dependencies
 */




const ConditionalLink = ({
  active,
  ...props
}) => {
  if (active) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Link */ .N_, props);
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", props);
};
const generateContactOnClickEvent = (contactOption, contactOptionEventName) => {
  return () => {
    if (contactOptionEventName) {
      (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)(contactOptionEventName, {
        location: 'help-center',
        contact_option: contactOption
      });
    }
  };
};

/**
 * This component is used to render the contact page in the help center.
 * It will render the contact options based on the user's eligibility.
 * @param hideHeaders - Whether to hide the headers or not (mainly used for embedding the contact page)
 * @param onClick - Callback to be called when the user clicks on a contact option
 * @param trackEventName - The name of the event to be tracked when the user clicks on a contact option
 *
 * Note: onClick and trackEventName should be both defined, in order to track the event and perform the callback.
 */

const HelpCenterContactPage = ({
  hideHeaders = false,
  trackEventName
}) => {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_7__/* .useI18n */ .s9)();
  const locale = (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_8__/* .useLocale */ .Ym)();
  const renderEmail = (0,_hooks__WEBPACK_IMPORTED_MODULE_9__/* .useShouldRenderEmailOption */ .s)();
  const {
    hasActiveChats,
    isChatAvailable,
    isEligibleForChat,
    isLoading: isLoadingChatStatus,
    supportActivity
  } = (0,_hooks__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A)();
  (0,_hooks__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A)('zendesk_support_chat_key', isEligibleForChat || hasActiveChats, isEligibleForChat || hasActiveChats);
  const renderChat = (0,_hooks__WEBPACK_IMPORTED_MODULE_12__/* .useShouldRenderChatOption */ .u)(isChatAvailable || hasActiveChats, isEligibleForChat);
  const isLoading = renderEmail.isLoading || isLoadingChatStatus;
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (isLoading) {
      return;
    }
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_helpcenter_contact_options_impression', {
      force_site_id: true,
      location: 'help-center',
      chat_available: renderChat.state === 'AVAILABLE',
      email_available: renderEmail.render
    });
  }, [isLoading, renderChat.state, renderEmail.render]);
  const liveChatHeaderText = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    if ((0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_13__/* .isDefaultLocale */ .EZ)(locale) || !(0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__.hasTranslation)('Live chat (English)')) {
      return __('Live chat', "full-site-editing");
    }
    return __('Live chat (English)', "full-site-editing");
  }, [__, locale]);
  const emailHeaderText = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    if ((0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_13__/* .isDefaultLocale */ .EZ)(locale)) {
      return __('Email', "full-site-editing");
    }
    const isLanguageSupported = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)('upwork_support_locales').includes(locale);
    if (isLanguageSupported) {
      const language = (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_13__/* .getLanguage */ .Z0)(locale)?.name;
      return language && (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__.hasTranslation)('Email (%s)') ? (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__.sprintf)(
      // translators: %s is the language name
      __('Email (%s)', "full-site-editing"), language) : __('Email', "full-site-editing");
    }
    if ((0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__.hasTranslation)('Email (English)')) {
      return __('Email (English)', "full-site-editing");
    }
    return __('Email', "full-site-editing");
  }, [__, locale]);
  const forumHeaderText = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    if ((0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_13__/* .isDefaultLocale */ .EZ)(locale)) {
      return __('Community forums', "full-site-editing");
    }
    return __('Community forums (English)', "full-site-editing");
  }, [__, locale]);
  if (isLoading) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "help-center-contact-page__loading"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_14__/* .Spinner */ .y, {
      baseClassName: ""
    }));
  }

  // Create URLSearchParams for forum
  const forumUrlSearchParams = new URLSearchParams({
    mode: 'FORUM',
    wapuuFlow: hideHeaders.toString()
  });
  const forumUrl = `/contact-form?${forumUrlSearchParams.toString()}`;

  // Create URLSearchParams for chat
  const chatUrlSearchParams = new URLSearchParams({
    mode: 'CHAT',
    wapuuFlow: hideHeaders.toString()
  });
  const chatUrl = `/contact-form?${chatUrlSearchParams.toString()}`;

  // Create URLSearchParams for email
  const emailUrlSearchParams = new URLSearchParams({
    mode: 'EMAIL',
    // Set overflow flag when chat is not available nor closed, and the user is eligible to chat, but still sends a support ticket
    overflow: (renderChat.eligible && renderChat.state !== 'AVAILABLE').toString(),
    wapuuFlow: hideHeaders.toString()
  });
  const emailUrl = `/contact-form?${emailUrlSearchParams.toString()}`;
  const contactOptionsEventMap = {
    chat: generateContactOnClickEvent('chat', trackEventName),
    forum: generateContactOnClickEvent('forum', trackEventName),
    email: generateContactOnClickEvent('email', trackEventName)
  };
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-contact-page"
  }, !hideHeaders && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(___WEBPACK_IMPORTED_MODULE_15__/* .BackButton */ .o, null), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-contact-page__content"
  }, !hideHeaders && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h3", null, __('Contact our WordPress.com experts', "full-site-editing")), supportActivity && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_notice__WEBPACK_IMPORTED_MODULE_16__/* .HelpCenterActiveTicketNotice */ .J6, {
    tickets: supportActivity
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_17__/* .GMClosureNotice */ .i, {
    displayAt: "2023-12-26 00:00Z",
    closesAt: "2023-12-31 00:00Z",
    reopensAt: "2024-01-02 07:00Z",
    enabled: renderChat.render
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: classnames__WEBPACK_IMPORTED_MODULE_4___default()('help-center-contact-page__boxes')
  }, !renderEmail.render && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Link */ .N_, {
    to: forumUrl,
    onClick: contactOptionsEventMap['forum']
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: classnames__WEBPACK_IMPORTED_MODULE_4___default()('help-center-contact-page__box', 'forum'),
    role: "button",
    tabIndex: 0
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-contact-page__box-icon"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_18__/* ["default"] */ .A, {
    icon: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_icons__WEBPACK_IMPORTED_MODULE_19__/* ["default"] */ .A, null)
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h2", null, forumHeaderText), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", null, __('Your question and any answers will be public', "full-site-editing"))))), renderChat.render && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: classnames__WEBPACK_IMPORTED_MODULE_4___default()({
      disabled: renderChat.state !== 'AVAILABLE'
    })
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(ConditionalLink, {
    active: renderChat.state === 'AVAILABLE',
    to: chatUrl,
    onClick: contactOptionsEventMap['chat']
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: classnames__WEBPACK_IMPORTED_MODULE_4___default()('help-center-contact-page__box', 'chat', {
      'is-disabled': renderChat.state !== 'AVAILABLE'
    }),
    role: "button",
    tabIndex: 0
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-contact-page__box-icon"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_18__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_20__/* ["default"] */ .A
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h2", null, liveChatHeaderText), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", null, renderChat.state !== 'AVAILABLE' ? __('Chat is unavailable right now', "full-site-editing") : __('Get an immediate reply', "full-site-editing")))))), renderEmail.render && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Link */ .N_, {
    to: emailUrl,
    onClick: contactOptionsEventMap['email']
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: classnames__WEBPACK_IMPORTED_MODULE_4___default()('help-center-contact-page__box', 'email'),
    role: "button",
    tabIndex: 0
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-contact-page__box-icon"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_18__/* ["default"] */ .A, {
    icon: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_icons__WEBPACK_IMPORTED_MODULE_21__/* ["default"] */ .A, null)
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h2", null, emailHeaderText), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", null, __('An expert will get back to you soon', "full-site-editing"))))))));
};
const HelpCenterContactButton = () => {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_7__/* .useI18n */ .s9)();
  const {
    url,
    isLoading
  } = (0,_hooks__WEBPACK_IMPORTED_MODULE_22__/* .useStillNeedHelpURL */ .i)();
  const sectionName = (0,react_redux__WEBPACK_IMPORTED_MODULE_5__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_23__/* ["default"] */ .A);
  const redirectToWpcom = url === 'https://wordpress.com/help/contact';
  const trackContactButtonClicked = () => {
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_morehelp_click', {
      force_site_id: true,
      location: 'help-center',
      section: sectionName
    });
  };
  let to = redirectToWpcom ? {
    pathname: url
  } : url;
  if (isLoading) {
    to = '';
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Link */ .N_, {
    to: to,
    target: redirectToWpcom ? '_blank' : '_self',
    onClick: trackContactButtonClicked,
    className: "button help-center-contact-page__button"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_18__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_20__/* ["default"] */ .A
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", null, __('Still need help?', "full-site-editing")));
};

/***/ }),

/***/ 6193:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_viewport_react__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(44638);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_draggable__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(89463);
/* harmony import */ var react_draggable__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_draggable__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(18690);
/* harmony import */ var _contexts_FeatureFlagContext__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(2213);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(29575);
/* harmony import */ var _help_center_content__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(69539);
/* harmony import */ var _help_center_footer__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(20431);
/* harmony import */ var _help_center_header__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(32805);


/**
 * External Dependencies
 */







/**
 * Internal Dependencies
 */





const OptionalDraggable = ({
  draggable,
  ...props
}) => {
  if (!draggable) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, props.children);
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)((react_draggable__WEBPACK_IMPORTED_MODULE_5___default()), props);
};
const HelpCenterContainer = ({
  handleClose,
  hidden,
  currentRoute
}) => {
  const {
    show,
    isMinimized,
    initialRoute
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_2__.useSelect)(select => {
    const store = select(_stores__WEBPACK_IMPORTED_MODULE_6__/* .HELP_CENTER_STORE */ .qO);
    return {
      show: store.isHelpCenterShown(),
      isMinimized: store.getIsMinimized(),
      initialRoute: store.getInitialRoute()
    };
  }, []);
  const {
    setIsMinimized
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_2__.useDispatch)(_stores__WEBPACK_IMPORTED_MODULE_6__/* .HELP_CENTER_STORE */ .qO);
  const [isVisible, setIsVisible] = (0,react__WEBPACK_IMPORTED_MODULE_4__.useState)(true);
  const isMobile = (0,_automattic_viewport_react__WEBPACK_IMPORTED_MODULE_7__/* .useMobileBreakpoint */ .lC)();
  const classNames = classnames__WEBPACK_IMPORTED_MODULE_3___default()('help-center__container', isMobile ? 'is-mobile' : 'is-desktop', {
    'is-minimized': isMinimized
  });
  const onDismiss = () => {
    setIsVisible(false);
  };
  const toggleVisible = () => {
    if (!isVisible) {
      handleClose();
      // after calling handleClose, reset the visibility state to default
      setIsVisible(true);
    }
  };
  const animationProps = {
    style: {
      animation: `${isVisible ? 'fadeIn' : 'fadeOut'} .5s`
    },
    onAnimationEnd: toggleVisible
  };
  // This is a workaround for an issue with Draggable in StrictMode
  // https://github.com/react-grid-layout/react-draggable/blob/781ef77c86be9486400da9837f43b96186166e38/README.md
  const nodeRef = (0,react__WEBPACK_IMPORTED_MODULE_4__.useRef)(null);
  if (!show || hidden) {
    return null;
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_8__/* .MemoryRouter */ .fS, {
    initialEntries: initialRoute ? [initialRoute] : undefined
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_contexts_FeatureFlagContext__WEBPACK_IMPORTED_MODULE_9__/* .FeatureFlagProvider */ .s, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(OptionalDraggable, {
    draggable: !isMobile && !isMinimized,
    nodeRef: nodeRef,
    handle: ".help-center__container-header",
    bounds: "body"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Card, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A)({
    className: classNames
  }, animationProps, {
    ref: nodeRef
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_header__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A, {
    isMinimized: isMinimized,
    onMinimize: () => setIsMinimized(true),
    onMaximize: () => setIsMinimized(false),
    onDismiss: onDismiss
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_content__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
    currentRoute: currentRoute
  }), !isMinimized && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_footer__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A, null)))));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (HelpCenterContainer);

/***/ }),

/***/ 69539:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _automattic_odie_client__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(14366);
/* harmony import */ var _automattic_odie_client__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(93283);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(20759);
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(18690);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(65284);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(62542);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(74441);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(29575);
/* harmony import */ var _help_center_contact_form__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(84513);
/* harmony import */ var _help_center_contact_page__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(20690);
/* harmony import */ var _help_center_embed_result__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(11237);
/* harmony import */ var _help_center_odie__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(34461);
/* harmony import */ var _help_center_search__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(85162);
/* harmony import */ var _ticket_success_screen__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(43617);

/* eslint-disable no-restricted-imports */
/**
 * External Dependencies
 */









/**
 * Internal Dependencies
 */








const HelpCenterContent = ({
  currentRoute
}) => {
  const [searchTerm, setSearchTerm] = (0,react__WEBPACK_IMPORTED_MODULE_4__.useState)('');
  const location = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .useLocation */ .zy)();
  const navigate = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .useNavigate */ .Zp)();
  const containerRef = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useRef)(null);
  const section = (0,react_redux__WEBPACK_IMPORTED_MODULE_5__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A);
  const isWapuuEnabled = (0,_hooks__WEBPACK_IMPORTED_MODULE_8__/* .useIsWapuuEnabled */ .H)();
  const {
    isMinimized
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_3__.useSelect)(select => {
    const store = select(_stores__WEBPACK_IMPORTED_MODULE_9__/* .HELP_CENTER_STORE */ .qO);
    return {
      isMinimized: store.getIsMinimized()
    };
  }, []);
  const selectedSiteId = (0,react_redux__WEBPACK_IMPORTED_MODULE_5__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_helpcenter_page_open', {
      pathname: location.pathname,
      search: location.search,
      section,
      force_site_id: true,
      location: 'help-center'
    });
  }, [location, section]);
  const {
    initialRoute
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_3__.useSelect)(select => ({
    initialRoute: select(_stores__WEBPACK_IMPORTED_MODULE_9__/* .HELP_CENTER_STORE */ .qO).getInitialRoute()
  }), []);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (initialRoute) {
      navigate(initialRoute);
    }
  }, [initialRoute]);

  // reset the scroll location on navigation, TODO: unless there's an anchor
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setSearchTerm('');
    if (containerRef.current) {
      containerRef.current.scrollTo(0, 0);
    }
  }, [location]);
  const trackEvent = (0,react__WEBPACK_IMPORTED_MODULE_4__.useCallback)((eventName, properties = {}) => {
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)(eventName, properties);
  }, []);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.CardBody, {
    ref: containerRef,
    className: "help-center__container-content"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Routes */ .BV, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Route */ .qh, {
    path: "/",
    element: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_search__WEBPACK_IMPORTED_MODULE_11__/* .HelpCenterSearch */ .j, {
      onSearchChange: setSearchTerm,
      currentRoute: currentRoute
    })
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Route */ .qh, {
    path: "/post",
    element: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_embed_result__WEBPACK_IMPORTED_MODULE_12__/* .HelpCenterEmbedResult */ .t, null)
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Route */ .qh, {
    path: "/contact-options",
    element: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_contact_page__WEBPACK_IMPORTED_MODULE_13__/* .HelpCenterContactPage */ .C, null)
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Route */ .qh, {
    path: "/contact-form",
    element: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_contact_form__WEBPACK_IMPORTED_MODULE_14__/* .HelpCenterContactForm */ .B, {
      onSubmit: () => (0,_automattic_odie_client__WEBPACK_IMPORTED_MODULE_15__/* .clearOdieStorage */ .oD)('chat_id')
    })
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Route */ .qh, {
    path: "/success",
    element: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_ticket_success_screen__WEBPACK_IMPORTED_MODULE_16__/* .SuccessScreen */ .S, null)
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_6__/* .Route */ .qh, {
    path: "/odie",
    element: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_odie_client__WEBPACK_IMPORTED_MODULE_17__/* ["default"] */ .Ay, {
      botNameSlug: "wpcom-support-chat",
      botName: "Wapuu",
      enabled: isWapuuEnabled,
      isMinimized: isMinimized,
      initialUserMessage: searchTerm,
      logger: trackEvent,
      loggerEventNamePrefix: "calypso_odie",
      selectedSiteId: selectedSiteId,
      extraContactOptions: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_contact_page__WEBPACK_IMPORTED_MODULE_13__/* .HelpCenterContactPage */ .C, {
        hideHeaders: true,
        trackEventName: "calypso_odie_extra_contact_option"
      })
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_odie__WEBPACK_IMPORTED_MODULE_18__/* .HelpCenterOdie */ .s, null))
  })));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (HelpCenterContent);

/***/ }),

/***/ 11237:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   t: () => (/* binding */ HelpCenterEmbedResult)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(98735);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(20759);
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(18690);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(65284);
/* harmony import */ var _back_button__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(8652);
/* harmony import */ var _back_to_top_button__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(65708);
/* harmony import */ var _help_center_article_fetching_content__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(17797);

/* eslint-disable no-restricted-imports */











const HelpCenterEmbedResult = () => {
  const {
    search
  } = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .useLocation */ .zy)();
  const navigate = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .useNavigate */ .Zp)();
  const sectionName = (0,react_redux__WEBPACK_IMPORTED_MODULE_4__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A);
  const params = new URLSearchParams(search);
  const postId = params.get('postId');
  const blogId = params.get('blogId');
  const canNavigateBack = params.get('canNavigateBack') === 'true';
  const link = params.get('link');
  const query = params.get('query');
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const tracksData = {
      search_query: query,
      force_site_id: true,
      location: 'help-center',
      section: sectionName,
      result_url: link,
      post_id: postId,
      blog_id: blogId
    };
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)(`calypso_inlinehelp_article_open`, tracksData);
  }, [query, link, sectionName, postId, blogId]);
  const redirectBack = () => {
    if (canNavigateBack) {
      navigate(-1);
    } else if (query) {
      navigate(`/?query=${query}`);
    } else {
      navigate('/');
    }
  };
  const recordTracksAndRedirect = () => {
    const tracksData = {
      search_query: query,
      force_site_id: true,
      location: 'help-center',
      section: sectionName,
      result_url: link,
      post_id: postId,
      blog_id: blogId
    };
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)(`calypso_inlinehelp_article_click_external_link`, tracksData);
  };
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-embed-result__header"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.Flex, {
    justify: "space-between"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.FlexItem, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_back_button__WEBPACK_IMPORTED_MODULE_7__/* .BackButton */ .o, {
    onClick: redirectBack
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.FlexItem, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.Button, {
    href: link ?? '',
    target: "_blank",
    onClick: recordTracksAndRedirect,
    className: "help-center-embed-result__external-button"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A,
    size: 20
  }))))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-embed-result"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_article_fetching_content__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A, {
    articleUrl: link,
    postId: +(postId || 0),
    blogId: blogId
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_back_to_top_button__WEBPACK_IMPORTED_MODULE_11__/* .BackToTopButton */ .A, null));
};

/***/ }),

/***/ 20431:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(18690);
/* harmony import */ var _help_center_contact_page__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(20690);




const HelpCenterFooter = () => {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CardFooter, {
    className: "help-center__container-footer"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_2__/* .Routes */ .BV, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_2__/* .Route */ .qh, {
    path: "/",
    element: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_contact_page__WEBPACK_IMPORTED_MODULE_3__/* .HelpCenterContactButton */ .H, null)
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_2__/* .Route */ .qh, {
    path: "*",
    element: null
  })));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (HelpCenterFooter);

/***/ }),

/***/ 53207:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ HelpCenterGPT)
/* harmony export */ });
/* harmony import */ var _emotion_styled_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2182);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(98948);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(29653);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(23634);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var striptags__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(94769);
/* harmony import */ var striptags__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(striptags__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _help_center_article_content_scss__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(26088);
/* harmony import */ var _data_use_jetpack_search_ai__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(13678);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(67502);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(29575);


function _EMOTION_STRINGIFIED_CSS_ERROR__() { return "You have tried to stringify object returned from `css` function. It isn't supposed to be used directly (e.g. as value of the `className` prop), but rather handed to emotion so it can handle it (e.g. as value of `css` prop)."; }
/* eslint-disable wpcalypso/jsx-classname-namespace */














const GPTResponsePlaceholder = /*#__PURE__*/(0,_emotion_styled_base__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(_automattic_components__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A,  true ? {
  target: "emvd1xm1"
} : 0)(":not( :last-child ){margin-block-end:0.5rem;}width:", ({
  width = '100%'
}) => width, ";" + ( true ? "" : 0));
const GPTResponseDisclaimer = /*#__PURE__*/(0,_emotion_styled_base__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)("div",  true ? {
  target: "emvd1xm0"
} : 0)( true ? {
  name: "19rvsic",
  styles: "color:var( --studio-gray-50 );font-size:11px;text-align:right;@media ( min-width: 600px ){padding:0 0 15px;}"
} : 0);
const LoadingPlaceholders = ({
  loadingMessage
}) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("p", {
  className: "help-center-gpt-response__loading"
}, loadingMessage), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(GPTResponsePlaceholder, {
  width: "80%"
}), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(GPTResponsePlaceholder, {
  width: "80%"
}), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(GPTResponsePlaceholder, {
  width: "55%"
}));
function HelpCenterGPT({
  onResponseReceived
}) {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_10__/* .useI18n */ .s9)();
  const [feedbackGiven, setFeedbackGiven] = (0,react__WEBPACK_IMPORTED_MODULE_6__.useState)(false);

  // Report loading state up.
  const {
    message
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_4__.useSelect)(select => {
    const store = select(_stores__WEBPACK_IMPORTED_MODULE_11__/* .HELP_CENTER_STORE */ .qO);
    const subject = store.getSubject() || '';
    const message = store.getMessage();

    // if the first 50 chars of subject and message match, only show the message (they're probably identical)
    if (subject && message && subject.slice(0, 50) !== message.slice(0, 50)) {
      return {
        message: `${subject}\n\n${message}`
      };
    }
    return {
      message
    };
  }, []);
  const query = message ?? '';
  const {
    data,
    isError: isGPTError
  } = (0,_data_use_jetpack_search_ai__WEBPACK_IMPORTED_MODULE_12__/* .useJetpackSearchAIQuery */ .E)({
    siteId: '9619154',
    query: query,
    stopAt: 'response',
    enabled: true
  });
  const allowedTags = ['a', 'p', 'ol', 'ul', 'li', 'br', 'b', 'strong', 'i', 'em'];
  (0,react__WEBPACK_IMPORTED_MODULE_6__.useEffect)(() => {
    if (data?.response) {
      (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_2__/* .recordTracksEvent */ .Oy)('calypso_helpcenter_show_gpt_response', {
        location: 'help-center',
        answer_source: data?.source
      });
      onResponseReceived(data);
    }
  }, [data]);
  const loadingMessages = [__('Finding relevant support documentation…', "full-site-editing"), __('Gathering all the data…', "full-site-editing"), __('Thanks for your patience, this might take a bit…', "full-site-editing"), __('Processing the information found…', "full-site-editing"), __("I'm still writing, thank you for your patience!", "full-site-editing"), __('Any minute now…', "full-site-editing"), __('Really, any minute now…', "full-site-editing")];
  const loadingMessage = (0,_hooks__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A)(loadingMessages, !data?.response, {
    delayBetweenCharacters: 80,
    delayBetweenPhrases: 1400
  });
  const doThumbsUp = source => {
    return () => {
      setFeedbackGiven(true);
      (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_2__/* .recordTracksEvent */ .Oy)('calypso_helpcenter_gpt_response_thumbs_up', {
        location: 'help-center',
        answer_source: source
      });
    };
  };
  const doThumbsDown = source => {
    return () => {
      setFeedbackGiven(true);
      (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_2__/* .recordTracksEvent */ .Oy)('calypso_helpcenter_gpt_response_thumbs_down', {
        location: 'help-center',
        answer_source: source
      });
    };
  };
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("div", {
    className: "help-center-gpt__container"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("h1", {
    id: "help-center--contextual_help",
    className: "help-center__section-title"
  }, __('Quick response:', "full-site-editing")), isGPTError && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("div", {
    className: "help-center-gpt-error"
  }, __("Sorry, we couldn't load the AI-generated response. Please click the button below to send your message to our support team.", "full-site-editing")), !isGPTError && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("div", {
    className: "help-center-gpt-response"
  }, !data?.response && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("p", null, __('Our system is currently generating a possible solution for you, which typically takes about 30 seconds.', "full-site-editing")), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("p", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createInterpolateElement)((0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_5__.sprintf)( /* translators: the cancelButtonLabel is the already translated "Cancel" button label */
  __('We know your time is valuable. If you prefer not to wait, you can click the <em>%(cancelButtonLabel)s</em> button below to go back and submit your message right away.'), {
    cancelButtonLabel: __('Cancel', "full-site-editing")
  }), {
    em: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)('em')
  }))), !data?.response && LoadingPlaceholders({
    loadingMessage
  }), data?.response && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("div", {
    className: "help-center-gpt-response__content"
    // eslint-disable-next-line react/no-danger
    ,
    dangerouslySetInnerHTML: {
      __html: striptags__WEBPACK_IMPORTED_MODULE_7___default()(data.response, allowedTags)
    }
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("div", {
    className: "help-center-gpt-response__actions"
  }, feedbackGiven ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("div", {
    className: "help-center-gpt-response__feedback"
  }, __('Thank you for your feedback! We will use it to improve our AI.', "full-site-editing")) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.Button, {
    onClick: doThumbsUp(data?.source)
  }, "\uD83D\uDC4D"), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.Button, {
    onClick: doThumbsDown(data?.source)
  }, "\uD83D\uDC4E"))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(GPTResponseDisclaimer, null, __("Generated by WordPress.com's Support AI. AI-generated responses may contain inaccurate information.", "full-site-editing"), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.ExternalLink, {
    href: "https://automattic.com/ai-guidelines"
  }, ' ', __('Learn more.', "full-site-editing"))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("div", {
    className: "help-center-gpt-response__continue"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("p", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createInterpolateElement)(__('<strong>Need more help?</strong> Click the button below to send your message. For reference, here is what you wrote:', "full-site-editing"), {
    strong: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)('strong')
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("div", {
    className: "help-center-gpt-response__continue_quote"
  }, query.split('\n\n').map((line, index) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.createElement)("p", {
    key: index
  }, line))))))));
}

/***/ }),

/***/ 32805:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export ArticleTitle */
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(16671);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(59547);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(16091);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(4808);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(82096);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(23634);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(18690);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(29575);









function ArticleTitle() {
  const location = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .useLocation */ .zy)();
  const {
    search
  } = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .useLocation */ .zy)();
  const params = new URLSearchParams(search);
  const title = location.state?.title || params.get('title') || '';
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: "help-center-header__article-title"
  }, title));
}
const SupportModeTitle = () => {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_8__/* .useI18n */ .s9)();
  const {
    search
  } = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .useLocation */ .zy)();
  const params = new URLSearchParams(search);
  const mode = params.get('mode');
  switch (mode) {
    case 'CHAT':
      return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
        icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A
      }), __('Start live chat', "full-site-editing"));
    case 'EMAIL':
      {
        return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, __('Send us an email', "full-site-editing"));
      }
    case 'FORUM':
      {
        return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, __('Ask in our community forums', "full-site-editing"));
      }
    default:
      {
        return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, __('Help Center', "full-site-editing"));
      }
  }
};
const HelpCenterHeader = ({
  isMinimized = false,
  onMinimize,
  onMaximize,
  onDismiss
}) => {
  const unreadCount = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_2__.useSelect)(select => select(_stores__WEBPACK_IMPORTED_MODULE_10__/* .HELP_CENTER_STORE */ .qO).getUnreadCount(), []);
  const classNames = classnames__WEBPACK_IMPORTED_MODULE_3___default()('help-center__container-header');
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_8__/* .useI18n */ .s9)();
  const formattedUnreadCount = unreadCount > 9 ? '9+' : unreadCount;
  const handleClick = (0,react__WEBPACK_IMPORTED_MODULE_4__.useCallback)(event => {
    if (isMinimized && event.target === event.currentTarget) {
      onMaximize?.();
    }
  }, [isMinimized, onMaximize]);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.CardHeader, {
    className: classNames
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Flex, {
    onClick: handleClick
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", {
    id: "header-text",
    className: "help-center-header__text",
    onClick: handleClick,
    onKeyUp: handleClick,
    role: "presentation"
  }, isMinimized ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .Routes */ .BV, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .Route */ .qh, {
    path: "/",
    element: __('Help Center', "full-site-editing")
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .Route */ .qh, {
    path: "/contact-options",
    element: __('Contact Options', "full-site-editing")
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .Route */ .qh, {
    path: "/inline-chat",
    element: __('Live Chat', "full-site-editing")
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .Route */ .qh, {
    path: "/contact-form",
    element: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(SupportModeTitle, null)
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .Route */ .qh, {
    path: "/post",
    element: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(ArticleTitle, null)
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .Route */ .qh, {
    path: "/success",
    element: __('Message Submitted', "full-site-editing")
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .Route */ .qh, {
    path: "/odie",
    element: __('Wapuu', "full-site-editing")
  })) : __('Help Center', "full-site-editing"), isMinimized && unreadCount > 0 && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: "help-center-header__unread-count"
  }, formattedUnreadCount)), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", null, isMinimized ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
    className: "help-center-header__maximize",
    label: __('Maximize Help Center', "full-site-editing"),
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A,
    tooltipPosition: "top left",
    onClick: onMaximize,
    onTouchStart: onMaximize
  }) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
    className: "help-center-header__minimize",
    label: __('Minimize Help Center', "full-site-editing"),
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A,
    tooltipPosition: "top left",
    onClick: onMinimize,
    onTouchStart: onMinimize
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
    className: "help-center-header__close",
    label: __('Close Help Center', "full-site-editing"),
    tooltipPosition: "top left",
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A,
    onClick: onDismiss,
    onTouchStart: onDismiss
  }))));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (HelpCenterHeader);

/***/ }),

/***/ 42172:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X: () => (/* binding */ HelpCenterLaunchpad)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(70696);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(98944);
/* harmony import */ var _automattic_data_stores__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(20754);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(355);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(9042);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(23634);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(20759);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(62542);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(65284);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(29575);

/* eslint-disable no-restricted-imports */











const getEnvironmentHostname = () => {
  try {
    const currentEnvironment = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)('env_id');
    const hostname = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)('hostname') ?? 'wordpress.com';
    const port = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)('port');
    switch (currentEnvironment) {
      case 'development':
        return `http://${hostname}${port ? ':' + port : ''}`;
      default:
        return `https://${hostname}`;
    }
  } catch (error) {
    return 'https://wordpress.com';
  }
};
const HelpCenterLaunchpad = () => {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_5__/* .useI18n */ .s9)();
  const siteId = (0,react_redux__WEBPACK_IMPORTED_MODULE_4__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A);
  const site = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_3__.useSelect)(select => {
    if (siteId) {
      return select(_stores__WEBPACK_IMPORTED_MODULE_7__/* .SITE_STORE */ .cd).getSite(siteId);
    }
  }, [siteId]);
  let siteIntent = site && site?.options?.site_intent;
  let siteSlug = site && new URL(site.URL).host;
  if (!siteIntent || !siteSlug) {
    siteIntent = window?.helpCenterData?.currentSite?.site_intent;
    siteSlug = window?.location?.host;
  }
  const {
    data
  } = (0,_automattic_data_stores__WEBPACK_IMPORTED_MODULE_8__/* .useLaunchpad */ .AP)(siteSlug, siteIntent);
  const totalLaunchpadSteps = data?.checklist?.length || 4;
  const completeLaunchpadSteps = data?.checklist?.filter(checklistItem => checklistItem.completed).length || 1;
  const launchpadURL = `${getEnvironmentHostname()}/setup/${siteIntent}/launchpad?siteSlug=${siteSlug}`;
  const sectionName = (0,react_redux__WEBPACK_IMPORTED_MODULE_4__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A);
  const handleLaunchpadHelpLinkClick = () => {
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_help_launchpad_click', {
      link: launchpadURL,
      force_site_id: true,
      location: 'help-center',
      section: sectionName
    });
  };
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "inline-help__launchpad-container"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
    className: "inline-help__launchpad-link",
    href: (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_10__/* .localizeUrl */ .rm)(launchpadURL),
    rel: "noreferrer",
    target: "_top",
    "aria-label": "Link to Launchpad screen",
    onClick: () => {
      handleLaunchpadHelpLinkClick();
    }
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A, {
    size: 32,
    currentStep: completeLaunchpadSteps,
    numberOfSteps: totalLaunchpadSteps
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: "inline-help-launchpad-link-text"
  }, __('Continue setting up your site with these next steps.')), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A,
    size: 24
  })));
};

/***/ }),

/***/ 6521:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   b: () => (/* binding */ HelpCenterMoreResources)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _automattic_calypso_products__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(76277);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(355);
/* harmony import */ var _automattic_whats_new__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(60422);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(88065);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(98735);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(71042);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(97636);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(23634);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(20759);
/* harmony import */ var calypso_state_purchases_selectors__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(32703);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(65284);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(62542);
/* harmony import */ var _icons__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(66867);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(29575);

/* eslint-disable no-restricted-imports */
/* eslint-disable wpcalypso/jsx-classname-namespace */














const circle = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.SVG, {
  viewBox: "0 0 24 24"
}, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.Circle, {
  cx: "12",
  cy: "12",
  r: "5"
}));
const HelpCenterMoreResources = () => {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_5__/* .useI18n */ .s9)();
  const sectionName = (0,react_redux__WEBPACK_IMPORTED_MODULE_4__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A);
  const purchases = (0,react_redux__WEBPACK_IMPORTED_MODULE_4__/* .useSelector */ .d4)(calypso_state_purchases_selectors__WEBPACK_IMPORTED_MODULE_7__/* .getUserPurchases */ ._);
  const siteId = (0,react_redux__WEBPACK_IMPORTED_MODULE_4__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A);
  const purchaseSlugs = purchases && purchases.map(purchase => purchase.productSlug);
  const isBusinessOrEcomPlanUser = !!(purchaseSlugs && (purchaseSlugs.some(_automattic_calypso_products__WEBPACK_IMPORTED_MODULE_9__/* .isWpComBusinessPlan */ .cA) || purchaseSlugs.some(_automattic_calypso_products__WEBPACK_IMPORTED_MODULE_9__/* .isWpComEcommercePlan */ .kE)));
  const {
    hasSeenWhatsNewModal,
    doneLoading
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_3__.useSelect)(select => ({
    hasSeenWhatsNewModal: select(_stores__WEBPACK_IMPORTED_MODULE_10__/* .HELP_CENTER_STORE */ .qO).getHasSeenWhatsNewModal(),
    doneLoading: select('core/data').hasFinishedResolution(_stores__WEBPACK_IMPORTED_MODULE_10__/* .HELP_CENTER_STORE */ .qO, 'getHasSeenWhatsNewModal', [])
  }), []);
  const {
    setHasSeenWhatsNewModal
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_3__.useDispatch)(_stores__WEBPACK_IMPORTED_MODULE_10__/* .HELP_CENTER_STORE */ .qO);
  const showWhatsNewDot = doneLoading && !hasSeenWhatsNewModal;
  const [showGuide, setShowGuide] = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const trackMoreResourcesButtonClick = resource => {
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_help_moreresources_click', {
      is_business_or_ecommerce_plan_user: isBusinessOrEcomPlanUser,
      resource: resource,
      force_site_id: true,
      location: 'help-center',
      section: sectionName
    });
  };
  const trackLearnButtonClick = resourceType => {
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_help_courses_click', {
      is_business_or_ecommerce_plan_user: isBusinessOrEcomPlanUser,
      force_site_id: true,
      location: 'help-center',
      section: sectionName
    });
    trackMoreResourcesButtonClick(resourceType);
  };
  const handleWhatsNewClick = () => {
    if (!hasSeenWhatsNewModal) {
      setHasSeenWhatsNewModal(true);
    }
    setShowGuide(true);
    trackMoreResourcesButtonClick('whats-new');
  };
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h3", {
    className: "help-center__section-title"
  }, __('More Resources', "full-site-editing")), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("ul", {
    className: "inline-help__more-resources",
    "aria-labelledby": "inline-help__more-resources"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", {
    className: "inline-help__resource-item"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "inline-help__resource-cell"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
    href: (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_11__/* .localizeUrl */ .rm)('https://wordpress.com/support'),
    rel: "noreferrer",
    target: "_blank",
    className: "inline-help__format-list-numbered",
    onClick: () => trackMoreResourcesButtonClick('support-documentation')
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A,
    size: 24
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", null, __('Support Guides', "full-site-editing")), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_14__/* ["default"] */ .A,
    size: 20
  })))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", {
    className: "inline-help__resource-item"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "inline-help__resource-cell"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
    href: (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_11__/* .localizeUrl */ .rm)('https://wordpress.com/webinars/'),
    rel: "noreferrer",
    target: "_blank",
    onClick: () => trackLearnButtonClick('webinairs'),
    className: "inline-help__capture-video"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_15__/* ["default"] */ .A,
    size: 24
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", null, __('Webinars', "full-site-editing")), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_14__/* ["default"] */ .A,
    size: 20
  })))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", {
    className: "inline-help__resource-item"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "inline-help__resource-cell"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
    href: (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_11__/* .localizeUrl */ .rm)('https://wordpress.com/courses/'),
    rel: "noreferrer",
    target: "_blank",
    onClick: () => trackLearnButtonClick('courses'),
    className: "inline-help__institution"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_16__/* ["default"] */ .A,
    size: 24
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", null, __('Courses', "full-site-editing")), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_14__/* ["default"] */ .A,
    size: 20
  })))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", {
    className: "inline-help__resource-item"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "inline-help__resource-cell"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.Button, {
    variant: "link",
    onClick: handleWhatsNewClick,
    className: "inline-help__new-releases"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
    icon: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_icons__WEBPACK_IMPORTED_MODULE_17__/* ["default"] */ .A, null),
    size: 24
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", null, __("What's New", "full-site-editing")), showWhatsNewDot && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A, {
    className: "inline-help__new-releases_dot",
    icon: circle,
    size: 16
  }))))), showGuide && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_whats_new__WEBPACK_IMPORTED_MODULE_18__/* ["default"] */ .Ay, {
    onClose: () => setShowGuide(false),
    siteId: siteId?.toString() || ''
  }));
};

/***/ }),

/***/ 89858:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J6: () => (/* binding */ HelpCenterActiveTicketNotice),
/* harmony export */   yY: () => (/* binding */ HelpCenterOwnershipNotice)
/* harmony export */ });
/* unused harmony export HelpCenterNotice */
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(355);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(16706);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(58998);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(79428);





const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__;

function getResponses(siteName) {
  const responses = {
    NOT_OWNED_BY_USER: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", null, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.sprintf)( /* translators: %s is site name (eg myblog.com) */
    __('%s is linked to another WordPress.com account. If you’re trying to access it, please follow our Account Recovery procedure.', "full-site-editing"), siteName), "\xA0", ' ', (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.ExternalLink, {
      href: (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_3__/* .localizeUrl */ .rm)('https://wordpress.com/wp-login.php?action=recovery')
    }, __('Learn More', "full-site-editing"))),
    WPORG: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createInterpolateElement)(__('Your site is not <hosted_on_our_services>hosted with our services</hosted_on_our_services>. Support for the self-hosted version of WordPress is provided by the <wordpress_org_community_forums>WordPress.org community forums</wordpress_org_community_forums>, or if the problem relates to a specific plugin or theme, contact support for that product instead. If you’re not sure, share your question with a link, and we’ll point you in the right direction!', "full-site-editing"), {
      hosted_on_our_services:
      // @ts-expect-error Children must be passed to External link. This is done by createInterpolateElement, but the types don't see that.
      (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.ExternalLink, {
        href: (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_3__/* .localizeUrl */ .rm)('https://wordpress.com/support/com-vs-org/')
      }),
      wordpress_org_community_forums:
      // @ts-expect-error Children must be passed to External link. This is done by createInterpolateElement, but the types don't see that.
      (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.ExternalLink, {
        href: (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_3__/* .localizeUrl */ .rm)('https://wordpress.org/support/forums/')
      })
    })),
    UNKNOWN: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", null, __("We couldn't fetch enough information about this site to determine our ability to support you with it.", "full-site-editing")),
    OWNED_BY_USER: '',
    DISABLED: '',
    LOADING: ''
  };
  return responses;
}
function tryGetHost(url) {
  if (!url) {
    return null;
  }
  try {
    return new URL(url).host;
  } catch {
    return url;
  }
}
function HelpCenterOwnershipNotice({
  ownershipResult
}) {
  if (!ownershipResult) {
    return null;
  }
  if (ownershipResult.result === 'OWNED_BY_USER') {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", {
      className: "help-center-notice__positive-feedback"
    }, ownershipResult.site?.name || ownershipResult.siteURL);
  }
  const responses = getResponses(tryGetHost(ownershipResult.site?.URL) || ownershipResult.siteURL);
  if (responses[ownershipResult.result]) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(HelpCenterNotice, null, responses[ownershipResult.result]);
  }
  return null;
}
function HelpCenterActiveTicketNotice({
  tickets
}) {
  const locale = (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_4__/* .useLocale */ .Ym)();
  if (!tickets || !tickets.length) {
    return null;
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(HelpCenterNotice, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("strong", null, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.sprintf)( /* translators: %s humanized date ex: 2 hours ago */
  __('You submitted a request %s.', "full-site-editing"), (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_5__/* .getRelativeTimeString */ .vq)({
    timestamp: tickets[0].timestamp * 1000,
    locale,
    style: 'long'
  }))), ' ', __(`Rest assured that we got your message and we'll be in touch as soon as we can.`, "full-site-editing")));
}
function HelpCenterNotice({
  children
}) {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-notice__container"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A,
    className: "info-icon"
  })), children);
}

/***/ }),

/***/ 34461:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s: () => (/* binding */ HelpCenterOdie)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(79812);
/* harmony import */ var _automattic_odie_client__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(39631);
/* harmony import */ var _automattic_odie_client__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(72020);
/* harmony import */ var _automattic_odie_client__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(93283);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(23634);
/* harmony import */ var calypso_components_popover_menu_item__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(430);
/* harmony import */ var _back_button__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8652);

/* eslint-disable no-restricted-imports */
/**
 * External Dependencies
 */




/**
 * Internal Dependencies
 */

function HelpCenterOdie() {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_2__/* .useI18n */ .s9)();
  const {
    clearChat
  } = (0,_automattic_odie_client__WEBPACK_IMPORTED_MODULE_3__/* .useOdieAssistantContext */ .mf)();
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center__container-content-odie"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center__container-odie-header"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_back_button__WEBPACK_IMPORTED_MODULE_4__/* .BackButton */ .o, {
    className: "help-center__container-odie-back-button"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_odie_client__WEBPACK_IMPORTED_MODULE_5__/* .EllipsisMenu */ .T, {
    popoverClassName: "help-center__container-header-menu",
    position: "bottom"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_popover_menu_item__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A, {
    onClick: clearChat,
    className: "help-center__container-header-menu-item"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    icon: "comment"
  }), __('Start a New Chat')))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_odie_client__WEBPACK_IMPORTED_MODULE_7__/* .OdieAssistant */ .Ar, null));
}

/***/ }),

/***/ 14583:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_router__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(88977);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(79812);
/* harmony import */ var _automattic_data_stores__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(48640);
/* harmony import */ var _automattic_data_stores__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(87316);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(16706);
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(355);
/* harmony import */ var _wordpress_a11y__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(20195);
/* harmony import */ var _wordpress_a11y__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_a11y__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(95656);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(16671);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(9042);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(98735);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(87526);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(39067);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_31___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_31__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(20759);
/* harmony import */ var use_debounce__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(61043);
/* harmony import */ var calypso_components_data_query_user_purchases__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(11562);
/* harmony import */ var calypso_data_help_use_help_search_query__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(79266);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(11586);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(84790);
/* harmony import */ var calypso_state_analytics_actions__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(23168);
/* harmony import */ var calypso_state_selectors_get_admin_help_results__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(35014);
/* harmony import */ var calypso_state_selectors_has_cancelable_user_purchases__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(35381);
/* harmony import */ var calypso_state_sites_hooks__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(93746);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(65284);
/* harmony import */ var _hooks_use_context_based_search_mapping__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(50651);
/* harmony import */ var _placeholder_lines__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(85555);


/* eslint-disable no-restricted-imports */






const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__;

















const noop = () => {
  return;
};
const isResultFromDeveloperWordpress = url => {
  const developerSiteRegex = /developer\.wordpress\.com/;
  return developerSiteRegex.test(url);
};
function debounceSpeak({
  message = '',
  priority = 'polite',
  timeout = 800
}) {
  return (0,lodash__WEBPACK_IMPORTED_MODULE_3__.debounce)(() => {
    (0,_wordpress_a11y__WEBPACK_IMPORTED_MODULE_1__.speak)(message, priority);
  }, timeout);
}
const loadingSpeak = debounceSpeak({
  message: 'Loading search results.',
  timeout: 1500
});
const resultsSpeak = debounceSpeak({
  message: 'Search results loaded.'
});
const errorSpeak = debounceSpeak({
  message: 'No search results found.'
});
const filterManagePurchaseLink = (hasPurchases, isPurchasesSection) => {
  if (hasPurchases || isPurchasesSection) {
    return () => true;
  }
  return article => article.post_id !== 111349;
};
function HelpSearchResults({
  externalLinks = false,
  onSelect,
  onAdminSectionSelect = noop,
  searchQuery = '',
  placeholderLines,
  openAdminInNewTab = false,
  location = 'inline-help-popover',
  currentRoute
}) {
  const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_5__/* .useDispatch */ .wA)();
  const hasPurchases = (0,react_redux__WEBPACK_IMPORTED_MODULE_5__/* .useSelector */ .d4)(calypso_state_selectors_has_cancelable_user_purchases__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A);
  const sectionName = (0,react_redux__WEBPACK_IMPORTED_MODULE_5__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A);
  const adminResults = (0,react_redux__WEBPACK_IMPORTED_MODULE_5__/* .useSelector */ .d4)(state => (0,calypso_state_selectors_get_admin_help_results__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)(state, searchQuery, 3));
  const isPurchasesSection = ['purchases', 'site-purchases'].includes(sectionName);
  const siteIntent = (0,calypso_state_sites_hooks__WEBPACK_IMPORTED_MODULE_10__/* .useSiteOption */ .g)('site_intent');
  const rawContextualResults = (0,react__WEBPACK_IMPORTED_MODULE_4__.useMemo)(() => (0,_automattic_data_stores__WEBPACK_IMPORTED_MODULE_12__/* .getContextResults */ .U5)(sectionName, siteIntent), [sectionName, siteIntent]);
  const isRtl = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_13__/* .useRtl */ .I)();
  const locale = (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_14__/* .useLocale */ .Ym)();
  const contextualResults = rawContextualResults.filter(
  // Unless searching with Inline Help or on the Purchases section, hide the
  // "Managing Purchases" documentation link for users who have not made a purchase.
  filterManagePurchaseLink(hasPurchases, isPurchasesSection));
  const routeToQueryMapping = (0,_hooks_use_context_based_search_mapping__WEBPACK_IMPORTED_MODULE_15__/* .useContextBasedSearchMapping */ .c)(currentRoute);
  const [debouncedQuery] = (0,use_debounce__WEBPACK_IMPORTED_MODULE_16__/* ["default"] */ .A)(searchQuery || '', 500);
  const {
    data: searchData,
    isLoading: isSearching
  } = (0,calypso_data_help_use_help_search_query__WEBPACK_IMPORTED_MODULE_7__/* .useHelpSearchQuery */ .j)(debouncedQuery || routeToQueryMapping, locale, {}, sectionName);
  const searchResults = searchData ?? [];
  const hasAPIResults = searchResults.length > 0;
  (0,react__WEBPACK_IMPORTED_MODULE_4__.useEffect)(() => {
    // Cancel all queued speak messages.
    loadingSpeak.cancel();
    resultsSpeak.cancel();
    errorSpeak.cancel();

    // If there's no query, then we don't need to announce anything.
    if (!searchQuery) {
      return;
    }
    if (isSearching) {
      loadingSpeak();
    } else if (!hasAPIResults) {
      errorSpeak();
    } else if (hasAPIResults) {
      resultsSpeak();
    }
  }, [isSearching, hasAPIResults, searchQuery]);
  const onLinkClickHandler = (event, result, type) => {
    const {
      link,
      post_id,
      blog_id,
      source
    } = result;
    // check and catch admin section links.
    if (type === _automattic_data_stores__WEBPACK_IMPORTED_MODULE_17__/* .SUPPORT_TYPE_ADMIN_SECTION */ .BK && link) {
      // record track-event.
      dispatch((0,calypso_state_analytics_actions__WEBPACK_IMPORTED_MODULE_18__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_admin_section_visit', {
        link: link,
        search_term: searchQuery,
        location,
        section: sectionName
      }));

      // push state only if it's internal link.
      if (!/^http/.test(link)) {
        event.preventDefault();
        openAdminInNewTab ? window.open('https://wordpress.com' + link, '_blank') : (0,_automattic_calypso_router__WEBPACK_IMPORTED_MODULE_19__/* ["default"] */ .A)(link);
        onAdminSectionSelect(event);
      }
      return;
    }
    dispatch((0,calypso_state_analytics_actions__WEBPACK_IMPORTED_MODULE_18__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_article_select', {
      link,
      post_id,
      blog_id,
      source,
      search_term: searchQuery,
      location,
      section: sectionName
    }));
    onSelect(event, result);
  };
  const HelpLink = props => {
    const {
      result,
      type,
      index
    } = props;
    const {
      link,
      title,
      icon
    } = result;
    const external = externalLinks && type !== _automattic_data_stores__WEBPACK_IMPORTED_MODULE_17__/* .SUPPORT_TYPE_ADMIN_SECTION */ .BK;
    const LinkIcon = () => {
      if (type === 'admin_section') {
        return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_20__/* ["default"] */ .A, {
          icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_21__/* ["default"] */ .A
        });
      }
      if (icon) {
        return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_22__/* ["default"] */ .A, {
          icon: icon
        });
      }
      return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_20__/* ["default"] */ .A, {
        icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_23__/* ["default"] */ .A
      });
    };
    const DeveloperResourceIndicator = () => {
      return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
        className: "help-center-search-results-dev__resource"
      }, isRtl ? 'ved' : 'dev');
    };
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react__WEBPACK_IMPORTED_MODULE_4__.Fragment, {
      key: `${result.post_id ?? link ?? title}-${index}`
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("li", {
      className: "help-center-search-results__item"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "help-center-search-results__cell"
    }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_24__/* ["default"] */ .A)({
      href: (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_25__/* .localizeUrl */ .rm)(link),
      onClick: event => {
        if (!external) {
          event.preventDefault();
        }
        onLinkClickHandler(event, result, type);
      }
    }, external && {
      target: '_blank',
      rel: 'noreferrer'
    }), isResultFromDeveloperWordpress(result.link) ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(DeveloperResourceIndicator, null) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(LinkIcon, null), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", null, (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_26__/* .preventWidows */ .s)((0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_27__/* .decodeEntities */ .S)(title))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_20__/* ["default"] */ .A, {
      width: 20,
      height: 20,
      icon: result.post_id ? _wordpress_icons__WEBPACK_IMPORTED_MODULE_28__/* ["default"] */ .A : _wordpress_icons__WEBPACK_IMPORTED_MODULE_29__/* ["default"] */ .A
    })))));
  };
  const renderSearchResultsSection = ({
    type,
    title,
    results,
    condition
  }) => {
    const id = `inline-search--${type}`;
    return condition ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react__WEBPACK_IMPORTED_MODULE_4__.Fragment, {
      key: id
    }, title ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h3", {
      id: id,
      className: "help-center-search-results__title"
    }, title) : null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("ul", {
      className: "help-center-search-results__list help-center-articles__list",
      "aria-labelledby": title ? id : undefined
    }, results.map((result, index) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(HelpLink, {
      key: `${id}-${index}`,
      result: result,
      type: type,
      index: index
    })))) : null;
  };
  const renderSearchSections = () => {
    const sections = [{
      type: _automattic_data_stores__WEBPACK_IMPORTED_MODULE_17__/* .SUPPORT_TYPE_API_HELP */ .Ws,
      title: __('Recommended Resources', "full-site-editing"),
      results: searchResults.slice(0, 5),
      condition: !isSearching && searchResults.length > 0
    }, {
      type: _automattic_data_stores__WEBPACK_IMPORTED_MODULE_17__/* .SUPPORT_TYPE_CONTEXTUAL_HELP */ .Jo,
      title: !searchQuery.length ? __('Recommended Resources', "full-site-editing") : '',
      results: contextualResults.slice(0, 6),
      condition: !isSearching && !searchResults.length && contextualResults.length > 0
    }, {
      type: _automattic_data_stores__WEBPACK_IMPORTED_MODULE_17__/* .SUPPORT_TYPE_ADMIN_SECTION */ .BK,
      title: __('Show me where to', "full-site-editing"),
      results: adminResults,
      condition: !!searchQuery && adminResults.length > 0
    }];
    return sections.map(renderSearchResultsSection);
  };
  const resultsLabel = hasAPIResults ? __('Search Results', "full-site-editing") : __('Helpful resources for this section', "full-site-editing");
  const renderSearchResults = () => {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react__WEBPACK_IMPORTED_MODULE_4__.Fragment, null, isSearching && !searchResults.length && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_placeholder_lines__WEBPACK_IMPORTED_MODULE_30__/* ["default"] */ .A, {
      lines: placeholderLines
    }), searchQuery && !(hasAPIResults || isSearching) ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", {
      className: "help-center-search-results__empty-results"
    }, __('Sorry, there were no matches. Here are some of the most searched for help pages for this section:', "full-site-editing")) : null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "help-center-search-results__results",
      "aria-label": resultsLabel
    }, renderSearchSections()));
  };
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(react__WEBPACK_IMPORTED_MODULE_4__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_data_query_user_purchases__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, null), renderSearchResults());
}
HelpSearchResults.propTypes = {
  searchQuery: (prop_types__WEBPACK_IMPORTED_MODULE_31___default().string),
  onSelect: (prop_types__WEBPACK_IMPORTED_MODULE_31___default().func).isRequired,
  onAdminSectionSelect: (prop_types__WEBPACK_IMPORTED_MODULE_31___default().func)
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (HelpSearchResults);

/***/ }),

/***/ 85162:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   j: () => (/* binding */ HelpCenterSearch)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(20759);
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(18690);
/* harmony import */ var calypso_blocks_inline_help_inline_help_search_card__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(33002);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(11586);
/* harmony import */ var calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(84790);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(62542);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(29575);
/* harmony import */ var _help_center_launchpad__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(42172);
/* harmony import */ var _help_center_more_resources__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(6521);
/* harmony import */ var _help_center_search_results__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(14583);
/* harmony import */ var _help_center_search_scss__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5438);
/* harmony import */ var _help_center_launchpad_scss__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(99398);

/* eslint-disable wpcalypso/jsx-classname-namespace */
/* eslint-disable no-restricted-imports */




const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__.__;











const HelpCenterSearch = ({
  onSearchChange,
  currentRoute
}) => {
  const navigate = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_8__/* .useNavigate */ .Zp)();
  const {
    search
  } = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_8__/* .useLocation */ .zy)();
  const params = new URLSearchParams(search);
  const query = params.get('query');
  const [searchQuery, setSearchQuery] = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useState)(query || '');
  const {
    setSubject,
    setMessage
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_2__.useDispatch)(_stores__WEBPACK_IMPORTED_MODULE_9__/* .HELP_CENTER_STORE */ .qO);

  // when the user sets the search query, let's also populate the email subject and body
  // for later in case they subject the same query via email
  const setSearchQueryAndEmailSubject = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useCallback)(query => {
    const subject = query.length > 100 ? query.replace(/\n/g, ' ').trim().slice(0, 100) + '...' : query;
    setSearchQuery(query);
    setSubject(subject);
    setMessage(query);
    onSearchChange?.(query);
  }, [setSubject, setMessage, onSearchChange]);
  const siteId = (0,react_redux__WEBPACK_IMPORTED_MODULE_4__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A);
  const site = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_2__.useSelect)(select => siteId && select(_stores__WEBPACK_IMPORTED_MODULE_9__/* .SITE_STORE */ .cd).getSite(siteId), [siteId]);
  let launchpadEnabled = site && site?.options?.launchpad_screen === 'full';
  if (!launchpadEnabled) {
    launchpadEnabled = window?.helpCenterData?.currentSite?.launchpad_screen === 'full';
  }

  // Search query can be a query param, if the user searches or clears the search field
  // we need to keep the query param up-to-date with that
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (query) {
      navigate('/?query=' + searchQuery);
    }
  }, [searchQuery, query, navigate]);
  const redirectToArticle = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useCallback)((event, result) => {
    event.preventDefault();

    // if result.post_id isn't set then open in a new window
    if (!result.post_id) {
      const tracksData = {
        search_query: searchQuery,
        force_site_id: true,
        location: 'help-center',
        result_url: result.link,
        post_id: result.post_id,
        blog_id: result.blog_id
      };
      (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)(`calypso_inlinehelp_article_no_postid_redirect`, tracksData);
      window.open(result.link, '_blank');
      return;
    }
    const params = new URLSearchParams({
      link: result.link,
      postId: String(result.post_id),
      query: searchQuery,
      title: (0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_11__/* .preventWidows */ .s)((0,calypso_lib_formatting__WEBPACK_IMPORTED_MODULE_12__/* .decodeEntities */ .S)(result.title))
    });
    if (result.blog_id) {
      params.set('blogId', String(result.blog_id));
    }
    navigate(`/post/?${params}`);
  }, [navigate, searchQuery]);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "inline-help__search"
  }, launchpadEnabled && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_launchpad__WEBPACK_IMPORTED_MODULE_13__/* .HelpCenterLaunchpad */ .X, null), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_blocks_inline_help_inline_help_search_card__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A, {
    searchQuery: searchQuery,
    onSearch: setSearchQueryAndEmailSubject,
    location: "help-center",
    isVisible: true,
    placeholder: __('Search for help', "full-site-editing")
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_search_results__WEBPACK_IMPORTED_MODULE_14__/* ["default"] */ .A, {
    onSelect: redirectToArticle,
    searchQuery: searchQuery || '',
    openAdminInNewTab: true,
    placeholderLines: 4,
    location: "help-center",
    currentRoute: currentRoute
  }), !searchQuery && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_more_resources__WEBPACK_IMPORTED_MODULE_15__/* .HelpCenterMoreResources */ .b, null));
};

/***/ }),

/***/ 78104:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ HelpCenterSitePicker)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_site_picker__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(54118);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(29575);
/* harmony import */ var _help_center_notice__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(89858);





const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_3__.__;


const HelpCenterSitePicker = ({
  ownershipResult,
  sitePickerChoice,
  setSitePickerChoice,
  currentSite,
  siteId,
  sitePickerEnabled
}) => {
  const {
    setSite,
    setUserDeclaredSiteUrl
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_2__.useDispatch)(_stores__WEBPACK_IMPORTED_MODULE_4__/* .HELP_CENTER_STORE */ .qO);
  const userDeclaredSiteUrl = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_2__.useSelect)(select => {
    const helpCenterSelect = select(_stores__WEBPACK_IMPORTED_MODULE_4__/* .HELP_CENTER_STORE */ .qO);
    return helpCenterSelect.getUserDeclaredSiteUrl();
  }, []);
  const otherSite = {
    name: __('Other site', "full-site-editing"),
    ID: 0,
    logo: {
      id: '',
      sizes: [],
      url: ''
    },
    URL: ''
  };
  const options = [currentSite, otherSite];
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, sitePickerEnabled && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("section", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_site_picker__WEBPACK_IMPORTED_MODULE_5__/* .SitePickerDropDown */ .b, {
    enabled: true,
    onPickSite: id => {
      if (id !== 0) {
        setSite(currentSite);
      }
      setSitePickerChoice(id === 0 ? 'OTHER_SITE' : 'CURRENT_SITE');
    },
    options: options,
    siteId: siteId
  })), sitePickerChoice === 'OTHER_SITE' && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("section", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.TextControl, {
    label: __('Site address', "full-site-editing"),
    value: userDeclaredSiteUrl ?? '',
    onChange: setUserDeclaredSiteUrl
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_notice__WEBPACK_IMPORTED_MODULE_6__/* .HelpCenterOwnershipNotice */ .yY, {
    ownershipResult: ownershipResult
  })));
};

/***/ }),

/***/ 72449:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(23634);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(20759);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(65284);
/* harmony import */ var _back_button__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8652);

/* eslint-disable no-restricted-imports */







const ThirdPartyCookiesNotice = () => {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_4__/* .useI18n */ .s9)();
  const sectionName = (0,react_redux__WEBPACK_IMPORTED_MODULE_3__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_helpcenter_third_party_cookies_notice_open', {
      force_site_id: true,
      location: 'help-center',
      section: sectionName
    });
  }, []); // Dependencies do not include sectionName on purpose - we just care about reporting it once

  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "help-center-third-party-cookies-notice"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_back_button__WEBPACK_IMPORTED_MODULE_6__/* .BackButton */ .o, null), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h1", null, __('Action needed', "full-site-editing")), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", null, __('In order to access the live chat widget, you will need to enable third-party cookies for WordPress.com.', "full-site-editing"), "\xA0", (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
    target: "_blank",
    rel: "noopener noreferrer",
    href: "https://wordpress.com/support/third-party-cookies/"
  }, __('Learn more in this support guide.', "full-site-editing")))));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ThirdPartyCookiesNotice);

/***/ }),

/***/ 35587:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(20759);
/* harmony import */ var calypso_state_selectors_get_primary_site_id__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(74226);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(62542);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(34237);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(34655);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(51653);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(29575);
/* harmony import */ var _help_center_container__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(6193);
/* harmony import */ var _styles_scss__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(369);

/* eslint-disable no-restricted-imports */
/**
 * External Dependencies
 */





/**
 * Internal Dependencies
 */




function useMessagingBindings(hasActiveChats, isMessagingScriptLoaded) {
  const {
    setShowMessagingLauncher,
    setShowMessagingWidget
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_1__.useDispatch)(_stores__WEBPACK_IMPORTED_MODULE_5__/* .HELP_CENTER_STORE */ .qO);
  const {
    showMessagingLauncher,
    showMessagingWidget
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_1__.useSelect)(select => {
    const helpCenterSelect = select(_stores__WEBPACK_IMPORTED_MODULE_5__/* .HELP_CENTER_STORE */ .qO);
    return {
      showMessagingLauncher: helpCenterSelect.isMessagingLauncherShown(),
      showMessagingWidget: helpCenterSelect.isMessagingWidgetShown()
    };
  }, []);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (typeof window.zE !== 'function' || !isMessagingScriptLoaded) {
      return;
    }
    window.zE('messenger:on', 'open', function () {
      setShowMessagingWidget(true);
    });
    window.zE('messenger:on', 'close', function () {
      setShowMessagingWidget(false);
    });
    window.zE('messenger:on', 'unreadMessages', function (count) {
      if (Number(count) > 0) {
        setShowMessagingLauncher(true);
      }
    });
  }, [isMessagingScriptLoaded, setShowMessagingLauncher, setShowMessagingWidget]);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (typeof window.zE !== 'function' || !isMessagingScriptLoaded) {
      return;
    }
    // `showMessagingLauncher` starts off as undefined. This check means don't touch the widget if we're in default state.
    if (typeof showMessagingLauncher === 'boolean') {
      window.zE('messenger', showMessagingLauncher ? 'show' : 'hide');
    }
  }, [showMessagingLauncher, isMessagingScriptLoaded]);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (typeof window.zE !== 'function' || !isMessagingScriptLoaded) {
      return;
    }
    window.zE('messenger', showMessagingWidget ? 'open' : 'close');
  }, [showMessagingWidget, isMessagingScriptLoaded]);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (hasActiveChats) {
      setShowMessagingLauncher(true);
    }
  }, [setShowMessagingLauncher, hasActiveChats]);
}
const HelpCenter = ({
  handleClose,
  hidden,
  currentRoute = window.location.pathname + window.location.search
}) => {
  const portalParent = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useRef)(document.createElement('div')).current;
  const {
    isHelpCenterShown,
    storedSite
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_1__.useSelect)(select => {
    const helpCenterSelect = select(_stores__WEBPACK_IMPORTED_MODULE_5__/* .HELP_CENTER_STORE */ .qO);
    return {
      storedSite: helpCenterSelect.getSite(),
      isHelpCenterShown: helpCenterSelect.isHelpCenterShown()
    };
  }, []);
  const {
    setSite
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_1__.useDispatch)(_stores__WEBPACK_IMPORTED_MODULE_5__/* .HELP_CENTER_STORE */ .qO);
  const siteId = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A);
  const primarySiteId = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__/* .useSelector */ .d4)(calypso_state_selectors_get_primary_site_id__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A);
  (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_1__.useSelect)(select => select(_stores__WEBPACK_IMPORTED_MODULE_5__/* .USER_STORE */ .WO).getCurrentUser(), []);

  /**
   * This site is provided by the backed in Editing Toolkit.
   * It's difficult to get the site information on the client side in Atomic sites. So we moved this challenge to the backend,
   * and forwarded the data using `localize_script` to the client side.
   */
  const backendProvidedSite = window?.helpCenterData?.currentSite;
  const site = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_1__.useSelect)(select => select(_stores__WEBPACK_IMPORTED_MODULE_5__/* .SITE_STORE */ .cd).getSite(siteId || primarySiteId), [siteId || primarySiteId]);
  const usedSite = backendProvidedSite || site;
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setSite(usedSite);
  }, [usedSite, setSite, storedSite]);
  (0,_hooks__WEBPACK_IMPORTED_MODULE_7__/* .useStillNeedHelpURL */ .i)();
  const {
    hasActiveChats,
    isEligibleForChat
  } = (0,_hooks__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A)('wpcom_messaging', false);
  const {
    isMessagingScriptLoaded
  } = (0,_hooks__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A)('zendesk_support_chat_key', isHelpCenterShown && isEligibleForChat || hasActiveChats, isEligibleForChat && hasActiveChats);
  useMessagingBindings(hasActiveChats, isMessagingScriptLoaded);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const classes = ['help-center'];
    portalParent.classList.add(...classes);
    portalParent.setAttribute('aria-modal', 'true');
    portalParent.setAttribute('aria-labelledby', 'header-text');
    document.body.appendChild(portalParent);
    return () => {
      document.body.removeChild(portalParent);
      handleClose();
    };
  }, [portalParent, handleClose]);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createPortal)((0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_help_center_container__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A, {
    handleClose: handleClose,
    hidden: hidden,
    currentRoute: currentRoute
  }), portalParent);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (HelpCenter);

/***/ }),

/***/ 92871:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(29575);




const HelpIcon = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_2__.forwardRef)((_, ref) => {
  const {
    unreadCount,
    doneLoading,
    hasSeenWhatsNewModal
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_1__.useSelect)(select => ({
    unreadCount: select(_stores__WEBPACK_IMPORTED_MODULE_3__/* .HELP_CENTER_STORE */ .qO).getUnreadCount(),
    doneLoading: select('core/data').hasFinishedResolution(_stores__WEBPACK_IMPORTED_MODULE_3__/* .HELP_CENTER_STORE */ .qO, 'getHasSeenWhatsNewModal', []),
    hasSeenWhatsNewModal: select(_stores__WEBPACK_IMPORTED_MODULE_3__/* .HELP_CENTER_STORE */ .qO).getHasSeenWhatsNewModal()
  }), []);
  const newItems = doneLoading && !hasSeenWhatsNewModal;
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, newItems || unreadCount > 0 ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("svg", {
    ref: ref,
    width: "24",
    height: "24",
    viewBox: "-2 -2 26 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
    d: "M10 0C4.477 0 0 4.477 0 10C0 15.523 4.477 20 10 20C15.523 20 20 15.523 20 10C20 4.477 15.523 0 10 0ZM11 16H9V14H11V16ZM11 11.859V13H9V11C9 10.448 9.448 10 10 10C11.103 10 12 9.103 12 8C12 6.897 11.103 6 10 6C8.897 6 8 6.897 8 8H6C6 5.791 7.791 4 10 4C12.209 4 14 5.791 14 8C14 9.862 12.722 11.413 11 11.859Z"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("circle", {
    cx: "20",
    cy: "4",
    r: "5",
    fill: "var( --color-masterbar-unread-dot-background )",
    stroke: "#101517",
    strokeWidth: "2"
  })) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("svg", {
    ref: ref,
    width: "24",
    height: "24",
    viewBox: "-2 -2 24 24",
    xmlns: "http://www.w3.org/2000/svg"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
    d: "M10 0C4.477 0 0 4.477 0 10C0 15.523 4.477 20 10 20C15.523 20 20 15.523 20 10C20 4.477 15.523 0 10 0ZM11 16H9V14H11V16ZM11 11.859V13H9V11C9 10.448 9.448 10 10 10C11.103 10 12 9.103 12 8C12 6.897 11.103 6 10 6C8.897 6 8 6.897 8 8H6C6 5.791 7.791 4 10 4C12.209 4 14 5.791 14 8C14 9.862 12.722 11.413 11 11.859Z"
  })));
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (HelpIcon);

/***/ }),

/***/ 85555:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ PlaceholderLines)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _placeholder_lines_scss__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18531);


function PlaceholderLines({
  lines = 4
}) {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "placeholder-lines__help-center"
  }, Array.from({
    length: lines
  }, (_, n) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    key: n,
    className: "placeholder-lines__help-center-item"
  })));
}

/***/ }),

/***/ 7641:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   B: () => (/* binding */ SuccessIcon)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);

const SuccessIcon = () => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("svg", {
  width: "70px",
  height: "70px",
  viewBox: "0 0 2.8 2.8",
  version: "1.1",
  xmlns: "http://www.w3.org/2000/svg"
}, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
  cx: "16",
  cy: "16",
  r: "13.328",
  fill: "#016087",
  d: "M2.566 1.4A1.166 1.166 0 0 1 1.4 2.566A1.166 1.166 0 0 1 0.234 1.4A1.166 1.166 0 0 1 2.566 1.4z"
}), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
  d: "M1.4 0.234C0.756 0.234 0.234 0.756 0.234 1.4S0.756 2.566 1.4 2.566c0.644 0 1.166 -0.522 1.166 -1.166S2.044 0.234 1.4 0.234m0 2.239C0.808 2.473 0.327 1.992 0.327 1.4S0.808 0.327 1.4 0.327c0.592 0 1.073 0.481 1.073 1.073S1.992 2.473 1.4 2.473",
  fill: "#016087"
}), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
  d: "m1.983 0.984 -0.749 0.726 -0.262 -0.262a0.07 0.07 0 0 0 -0.099 0.099l0.311 0.311a0.07 0.07 0 0 0 0.098 0.001l0.798 -0.774a0.07 0.07 0 0 0 -0.097 -0.101z",
  fill: "#fff"
}));

/***/ }),

/***/ 43617:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   S: () => (/* binding */ SuccessScreen)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(23634);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(20759);
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(18690);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(65284);
/* harmony import */ var _back_button__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(8652);
/* harmony import */ var _success_icon__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(7641);

/* eslint-disable no-restricted-imports */








const SuccessScreen = () => {
  const {
    __
  } = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_4__/* .useI18n */ .s9)();
  const {
    search
  } = (0,react_router_dom__WEBPACK_IMPORTED_MODULE_5__/* .useLocation */ .zy)();
  const sectionName = (0,react_redux__WEBPACK_IMPORTED_MODULE_3__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A);
  const params = new URLSearchParams(search);
  const forumTopicUrl = params.get('forumTopic');
  const trackForumOpen = () => (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_inlinehelp_forums_open', {
    force_site_id: true,
    location: 'help-center',
    section: sectionName
  });
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_back_button__WEBPACK_IMPORTED_MODULE_7__/* .BackButton */ .o, {
    backToRoot: true
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "ticket-success-screen__help-center"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_success_icon__WEBPACK_IMPORTED_MODULE_8__/* .SuccessIcon */ .B, null), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h1", {
    className: "ticket-success-screen__help-center-heading"
  }, __("We're on it!", "full-site-editing")), forumTopicUrl ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", {
    className: "ticket-success-screen__help-center-message"
  }, __('Your message has been submitted to our community forums.', "full-site-editing"), "\xA0", (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
    target: "_blank",
    rel: "noopener noreferrer",
    onClick: trackForumOpen,
    href: forumTopicUrl
  }, __('View the forums topic here.', "full-site-editing"))) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", {
    className: "ticket-success-screen__help-center-message"
  }, __("We've received your message, and you'll hear back from one of our Happiness Engineers shortly.", "full-site-editing"))));
};

/***/ }),

/***/ 2213:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s: () => (/* binding */ FeatureFlagProvider)
/* harmony export */ });
/* unused harmony export useFeatureFlags */
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);




// Lets typescript know about the feature flags global added through the help-center-script

const FeatureFlagContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_1__.createContext(undefined);
const FeatureFlagProvider = function ({
  children
}) {
  let featureFlags;

  // If the Editing Toolkit Plugin is not loaded
  if (typeof helpCenterFeatureFlags === 'undefined') {
    featureFlags = undefined;
  } else {
    featureFlags = helpCenterFeatureFlags;
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(FeatureFlagContext.Provider, {
    value: featureFlags
  }, children);
};
function useFeatureFlags() {
  const featureFlags = useContext(FeatureFlagContext);

  // Trying to call hook outside of component that renders FeatureFlagProvider
  if (featureFlags === undefined) {
    throw new Error('useFeatureFlags must be used within a FeatureFlagProvider');
  }
  return featureFlags;
}

/***/ }),

/***/ 12402:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ useIsWpOrgSite)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(35223);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(41445);


function useIsWpOrgSite(siteUrl, enabled = true) {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_0__/* .useQuery */ .I)({
    queryKey: ['is-site-wporg-', siteUrl],
    queryFn: async () => {
      const analysis = await (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Ay)({
        path: `/imports/analyze-url?site_url=${encodeURIComponent(siteUrl)}`,
        apiNamespace: 'wpcom/v2'
      });
      if (analysis.platform === 'wordpress' && !analysis.platform_data?.is_wpcom) {
        return true;
      }
      return false;
    },
    refetchOnWindowFocus: false,
    staleTime: Infinity,
    enabled: !!siteUrl && enabled
  });
}

/***/ }),

/***/ 13678:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ useJetpackSearchAIQuery)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(35223);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(41445);



function useJetpackSearchAIQuery(config) {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__/* .useQuery */ .I)({
    queryKey: ['aiQuery', config.query, config.stopAt],
    queryFn: () => (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* .canAccessWpcomApis */ .IH)() ? (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)({
      path: `sites/${config.siteId}/jetpack-search/ai/search`,
      apiNamespace: 'wpcom/v2/',
      apiVersion: '2',
      query: `query=${encodeURIComponent(config.query)}&stop_at=${config.stopAt}`
    }) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
      global: true,
      path: `/help-center/jetpack-search/ai/search?site=${config.siteId}&query=${encodeURIComponent(config.query)}&stop_at=${config.stopAt}`
    }),
    refetchOnWindowFocus: false,
    enabled: config.enabled && !!config.query,
    retry: false,
    select: data => {
      return {
        ...data,
        source: data.source ?? 'sitebot'
      };
    }
  });
}

/***/ }),

/***/ 75144:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   R: () => (/* binding */ useSiteAnalysis)
/* harmony export */ });
/* harmony import */ var use_debounce__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(61043);
/* harmony import */ var _use_is_wporg_site__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(12402);
/* harmony import */ var _use_user_sites__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(37348);
/* harmony import */ var _use_wpcom_site__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6126);




// a simple way to check if a string is host to save on API calls
function isHost(string) {
  if (string) {
    return string.length > 4 && Boolean(string?.match(/\w{2,}\.\w{2,32}/));
  }
  return false;
}
function urlMatches(trustedURL, userInputUrl) {
  if (!trustedURL || !userInputUrl) {
    return false;
  }
  const normalizedInputUrl = userInputUrl.trim().toLowerCase();
  if (trustedURL === normalizedInputUrl) {
    return true;
  }
  try {
    const trustedURLObject = new URL(trustedURL);
    if (trustedURLObject.host === normalizedInputUrl) {
      return true;
    }
    const normalizedInputUrlObject = new URL(normalizedInputUrl);
    if (trustedURLObject.host === normalizedInputUrlObject.host) {
      return true;
    }
  } catch (_e) {
    // couldn't build URL object
    return false;
  }
}

/**
 * Analyses a site to determine whether its a WPCOM site, and if yes, it would fetch and return the site information (SiteDetails).
 * @param userId the user ID
 * @param siteURL the site URL
 * @param enabled whether the query is enabled
 */
function useSiteAnalysis(userId, siteURL, enabled) {
  const [debouncedSiteUrl] = (0,use_debounce__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(siteURL, 500);
  const isEnabled = isHost(debouncedSiteUrl) && enabled;
  const {
    data: userSites,
    isLoading: userSitesLoading
  } = (0,_use_user_sites__WEBPACK_IMPORTED_MODULE_1__/* .useUserSites */ .N)(userId, isEnabled);
  const {
    data: wpcomSite,
    isLoading: wpcomSiteLoading
  } = (0,_use_wpcom_site__WEBPACK_IMPORTED_MODULE_2__/* .useWpcomSite */ .j)(debouncedSiteUrl, isEnabled);
  const {
    data: isWporg,
    isLoading: wpOrgSiteLoading
  } = (0,_use_is_wporg_site__WEBPACK_IMPORTED_MODULE_3__/* .useIsWpOrgSite */ .u)(debouncedSiteUrl, isEnabled);
  if (!isEnabled) {
    return {
      result: 'DISABLED',
      siteURL,
      isWpcom: false
    };
  }
  const usersOwned = Boolean(userSites?.sites.find(s => urlMatches(s.URL, debouncedSiteUrl)));
  if (usersOwned) {
    return {
      site: wpcomSite,
      result: 'OWNED_BY_USER',
      siteURL,
      isWpcom: true
    };
  } else if (wpcomSite) {
    // use the wpcomSite response URL instead of user input to
    // double check if the wpcom site belongs to the user before dismissing
    if (userSites?.sites.find(s => urlMatches(s.URL, wpcomSite.URL))) {
      return {
        site: wpcomSite,
        result: 'OWNED_BY_USER',
        siteURL,
        isWpcom: true
      };
    }
    return {
      site: wpcomSite,
      result: 'NOT_OWNED_BY_USER',
      siteURL,
      isWpcom: true
    };
  } else if (isWporg) {
    return {
      result: 'WPORG',
      siteURL,
      isWpcom: false
    };
  }
  const isLoading = [userSitesLoading, wpOrgSiteLoading, wpcomSiteLoading].some(Boolean);
  return {
    result: isLoading ? 'LOADING' : 'UNKNOWN',
    siteURL,
    isWpcom: false
  };
}

/***/ }),

/***/ 49851:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   D: () => (/* binding */ useSubmitForumsMutation)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(50960);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(41445);



function useSubmitForumsMutation() {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__/* .useMutation */ .n)({
    mutationFn: ({
      ownershipResult,
      message,
      subject,
      locale,
      hideInfo,
      userDeclaredSiteUrl
    }) => {
      const site = ownershipResult.site;
      const blogHelpMessages = [];
      if (site) {
        blogHelpMessages.push(`WP.com: ${ownershipResult.isWpcom ? 'Yes' : 'No'}`);
        blogHelpMessages.push(`Jetpack: ${site.jetpack ? 'Yes' : 'No'}`);
        blogHelpMessages.push(`Correct account: ${ownershipResult.result === 'OWNED_BY_USER' ? 'Yes' : 'No'}`);
      } else if (userDeclaredSiteUrl) {
        blogHelpMessages.push(`Self-declared URL: ${userDeclaredSiteUrl}`);
        blogHelpMessages.push('Jetpack: Unknown');
        blogHelpMessages.push('WP.com: Unknown');
      }
      const forumMessage = message + '\n\n' + blogHelpMessages.join('\n');
      const requestData = {
        subject,
        message: forumMessage,
        locale,
        hide_blog_info: hideInfo,
        blog_id: site?.ID,
        blog_url: site?.URL
      };
      return (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* .canAccessWpcomApis */ .IH)() ? (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)({
        path: 'help/forum/new',
        apiNamespace: 'wpcom/v2/',
        apiVersion: '2',
        method: 'POST',
        body: requestData
      }) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
        global: true,
        path: '/help-center/forum/new',
        method: 'POST',
        data: requestData
      });
    }
  });
}

/***/ }),

/***/ 79817:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   v: () => (/* binding */ useSubmitTicketMutation)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(50960);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(41445);



function useSubmitTicketMutation() {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__/* .useMutation */ .n)({
    mutationFn: newTicket => (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* .canAccessWpcomApis */ .IH)() ? (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)({
      path: 'help/ticket/new',
      apiNamespace: 'wpcom/v2/',
      apiVersion: '2',
      method: 'POST',
      body: newTicket
    }) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
      global: true,
      path: '/help-center/ticket/new',
      method: 'POST',
      data: newTicket
    })
  });
}

/***/ }),

/***/ 97689:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   m: () => (/* binding */ useSupportActivity)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(35223);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(41445);



const ACTIVE_STATUSES = ['New', 'Open', 'Hold'];
function useSupportActivity(enabled = true) {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__/* .useQuery */ .I)({
    queryKey: ['help-support-activity'],
    queryFn: () => (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* .canAccessWpcomApis */ .IH)() ? (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)({
      path: 'support-activity',
      apiNamespace: 'wpcom/v2/',
      apiVersion: '2'
    }) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
      path: 'help-center/support-activity',
      global: true
    }),
    refetchOnWindowFocus: false,
    refetchOnMount: true,
    enabled,
    select: activities => {
      return activities.filter(activity => ACTIVE_STATUSES.includes(activity.status));
    },
    staleTime: 30 * 60 * 1000,
    meta: {
      persist: false
    }
  });
}

/***/ }),

/***/ 92323:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   e: () => (/* binding */ useSupportAvailability)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(35223);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(14181);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(41445);



function useSupportAvailability(supportType, enabled = true) {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__/* .useQuery */ .I)({
    queryKey: ['support-availability', supportType],
    queryFn: async () => (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* .canAccessWpcomApis */ .IH)() ? await (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)({
      path: `help/eligibility/${supportType === 'OTHER' ? 'all' : 'chat'}/mine`,
      apiNamespace: 'wpcom/v2/',
      apiVersion: '2'
    }) : await _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
      path: `help-center/support-availability/${supportType === 'OTHER' ? 'all' : 'chat'}`,
      global: true
    }),
    enabled,
    refetchOnWindowFocus: false,
    placeholderData: _tanstack_react_query__WEBPACK_IMPORTED_MODULE_3__/* .keepPreviousData */ .rX,
    staleTime: 6 * 60 * 60 * 1000 // 6 hours
  });
}

/***/ }),

/***/ 34852:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ useUpdateZendeskUserFieldsMutation)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(50960);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(41445);



function useUpdateZendeskUserFieldsMutation() {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_1__/* .useMutation */ .n)({
    mutationFn: userFields => {
      return (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* .canAccessWpcomApis */ .IH)() ? (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Ay)({
        path: 'help/zendesk/update-user-fields',
        apiNamespace: 'wpcom/v2/',
        apiVersion: '2',
        method: 'POST',
        body: {
          fields: userFields
        }
      }) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
        global: true,
        path: '/help-center/zendesk/user-fields',
        method: 'POST',
        data: {
          fields: userFields
        }
      });
    }
  });
}

/***/ }),

/***/ 37348:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   N: () => (/* binding */ useUserSites)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(35223);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(41445);


function useUserSites(userId, enabled = true) {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_0__/* .useQuery */ .I)({
    queryKey: ['user-sites', userId],
    queryFn: () => (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Ay)({
      path: '/me/sites/',
      apiVersion: '1.1'
    }),
    refetchOnWindowFocus: false,
    staleTime: 5 * 60 * 1000,
    enabled
  });
}

/***/ }),

/***/ 6126:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   j: () => (/* binding */ useWpcomSite)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(35223);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(41445);


function useWpcomSite(siteId, enabled = true) {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_0__/* .useQuery */ .I)({
    queryKey: ['wpcom-site', siteId],
    queryFn: () => (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Ay)({
      path: '/sites/' + encodeURIComponent(siteId),
      apiVersion: '1.1',
      query: 'force=wpcom'
    }),
    refetchOnWindowFocus: false,
    staleTime: Infinity,
    enabled: !!siteId && enabled
  });
}

/***/ }),

/***/ 34655:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useChatStatus)
/* harmony export */ });
/* harmony import */ var _data_use_support_activity__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(97689);
/* harmony import */ var _data_use_support_availability__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(92323);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(78670);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(3659);
/**
 * External Dependencies
 */


/**
 * Internal Dependencies
 */

function useChatStatus(group = 'wpcom_messaging', checkAgentAvailability = true) {
  const {
    data: chatStatus
  } = (0,_data_use_support_availability__WEBPACK_IMPORTED_MODULE_0__/* .useSupportAvailability */ .e)('CHAT');
  const isEligibleForChat = Boolean(chatStatus?.is_user_eligible);
  const {
    data: supportActivity,
    isInitialLoading: isLoadingSupportActivity
  } = (0,_data_use_support_activity__WEBPACK_IMPORTED_MODULE_1__/* .useSupportActivity */ .m)(isEligibleForChat);
  const hasActiveChats = Boolean(supportActivity?.some(ticket => ticket.channel === 'Messaging'));
  const {
    data: chatAvailability,
    isInitialLoading: isLoadingAvailability
  } = (0,___WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(group, checkAgentAvailability && isEligibleForChat);
  const {
    status: zendeskStatus
  } = (0,___WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(isEligibleForChat);
  return {
    canConnectToZendesk: zendeskStatus !== 'error',
    hasActiveChats,
    isChatAvailable: Boolean(chatAvailability?.is_available),
    isEligibleForChat,
    isLoading: isLoadingAvailability || isLoadingSupportActivity,
    isPresalesChatOpen: Boolean(chatStatus?.is_presales_chat_open),
    isPrecancellationChatOpen: Boolean(chatStatus?.is_precancellation_chat_open),
    supportActivity,
    supportLevel: chatStatus?.supportLevel,
    wapuuAssistantEnabled: chatStatus?.wapuu_assistant_enabled
  };
}

/***/ }),

/***/ 23617:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useChatWidget)
/* harmony export */ });
/* unused harmony export ZENDESK_SOURCE_URL_TICKET_FIELD_ID */
/* harmony import */ var _automattic_help_center_src_hooks__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(51653);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(20759);
/* harmony import */ var calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(65284);
/* harmony import */ var _data_use_update_zendesk_user_fields__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(34852);
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(29575);
/**
 * External Dependencies
 */



/**
 * External Dependencies
 */
 /* eslint-disable-line no-restricted-imports */


const ZENDESK_SOURCE_URL_TICKET_FIELD_ID = 23752099174548;
function useChatWidget(configName = 'zendesk_support_chat_key', enabled = true) {
  const sectionName = (0,react_redux__WEBPACK_IMPORTED_MODULE_1__/* .useSelector */ .d4)(calypso_state_ui_selectors__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A);
  const {
    isPending: isSubmittingZendeskUserFields,
    mutateAsync: submitZendeskUserFields
  } = (0,_data_use_update_zendesk_user_fields__WEBPACK_IMPORTED_MODULE_3__/* .useUpdateZendeskUserFieldsMutation */ .Q)();
  const {
    setShowHelpCenter,
    resetStore
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.useDispatch)(_stores__WEBPACK_IMPORTED_MODULE_4__/* .HELP_CENTER_STORE */ .qO);
  const {
    isMessagingScriptLoaded
  } = (0,_automattic_help_center_src_hooks__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(configName, enabled, enabled);
  const openChatWidget = ({
    aiChatId,
    message = 'No message from user',
    siteUrl = 'No site selected',
    onError,
    onSuccess
  }) => {
    submitZendeskUserFields({
      messaging_ai_chat_id: aiChatId,
      messaging_source: sectionName,
      messaging_initial_message: message,
      messaging_plan: '',
      // Will be filled out by backend
      messaging_url: siteUrl
    }).then(() => {
      onSuccess?.();
      setShowHelpCenter(false);
      resetStore();
      if (typeof window.zE === 'function') {
        window.zE('messenger', 'open');
        window.zE('messenger', 'show');
        window.zE('messenger:set', 'conversationFields', [{
          id: ZENDESK_SOURCE_URL_TICKET_FIELD_ID,
          value: window.location.href
        }]);
      }
    }).catch(() => {
      onError?.();
    });
  };
  return {
    isOpeningChatWidget: enabled && (isSubmittingZendeskUserFields || !isMessagingScriptLoaded),
    openChatWidget
  };
}

/***/ }),

/***/ 72880:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ useContactFormTitle)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__);


const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__;
const useContactFormTitle = mode => {
  return {
    CHAT: {
      formTitle: __('Start live chat', "full-site-editing"),
      trayText: __('Our WordPress experts will be with you right away', "full-site-editing"),
      buttonLabel: __('Chat with us', "full-site-editing"),
      buttonSubmittingLabel: __('Connecting to chat', "full-site-editing")
    },
    EMAIL: {
      formTitle: __('', "full-site-editing"),
      trayText: __('Our WordPress experts will get back to you soon', "full-site-editing"),
      buttonLabel: __('Email us', "full-site-editing"),
      buttonSubmittingLabel: __('Sending email', "full-site-editing")
    },
    FORUM: {
      formTitle: __('Ask in our community forums', "full-site-editing"),
      formDisclaimer: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, __('Your question and any answers will be public.', "full-site-editing"), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("br", null), __('Please do not share financial or contact information.', "full-site-editing")),
      buttonLabel: __('Ask in the forums', "full-site-editing"),
      buttonSubmittingLabel: __('Posting in the forums', "full-site-editing"),
      buttonLoadingLabel: __('Analyzing site…', "full-site-editing")
    }
  }[mode];
};

/***/ }),

/***/ 50651:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   c: () => (/* binding */ useContextBasedSearchMapping)
/* harmony export */ });
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _route_to_query_mapping_json__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(10031);


function useContextBasedSearchMapping(currentRoute) {
  const blockSearchQuery = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_0__.useSelect)(select => {
    const selectedBlock = select('core/block-editor')?.getSelectedBlock();
    if (selectedBlock) {
      const blockType = select('core/blocks')?.getBlockType(selectedBlock.name);
      return blockType?.title || blockType?.name;
    }
    return '';
  }, []);

  // Find exact URL matches
  const exactMatch = _route_to_query_mapping_json__WEBPACK_IMPORTED_MODULE_1__[currentRoute];
  if (exactMatch) {
    return exactMatch;
  }

  // Fuzzier matches
  const urlMatchKey = Object.keys(_route_to_query_mapping_json__WEBPACK_IMPORTED_MODULE_1__).find(key => currentRoute?.startsWith(key));
  const urlSearchQuery = urlMatchKey ? _route_to_query_mapping_json__WEBPACK_IMPORTED_MODULE_1__[urlMatchKey] : '';
  return blockSearchQuery || urlSearchQuery || '';
}

/***/ }),

/***/ 74441:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   H: () => (/* binding */ useIsWapuuEnabled)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var _use_chat_status__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(34655);
/* eslint-disable no-restricted-imports */



/**
 * Helper hook to determine if Wapuu should be enabled.
 * @returns {boolean} Whether Wapuu should be enabled or not.
 * @example
 * const isWapuuEnabled = useIsWapuuEnabled();
 * if ( isWapuuEnabled ) {
 *     // Do something
 * }
 */
const useIsWapuuEnabled = () => {
  const {
    wapuuAssistantEnabled
  } = (0,_use_chat_status__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)();
  // A way to enable it via flag
  const isWapuuConfigEnabled = _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"].isEnabled */ .Ay.isEnabled('wapuu');
  return wapuuAssistantEnabled || isWapuuConfigEnabled;
};

/***/ }),

/***/ 66523:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useMessagingAuth)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(35223);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_url__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(93832);
/* harmony import */ var _wordpress_url__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_url__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(41445);





let isLoggedIn = false;
function requestMessagingAuth({
  queryKey
}) {
  const [, isTestMode] = queryKey;
  const params = {
    type: 'zendesk',
    test_mode: String(isTestMode)
  };
  const wpcomParams = new URLSearchParams(params);
  return (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__/* .canAccessWpcomApis */ .IH)() ? (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .Ay)({
    path: '/help/authenticate/chat',
    query: wpcomParams.toString(),
    apiNamespace: 'wpcom/v2',
    apiVersion: '2',
    method: 'POST'
  }) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1___default()({
    path: (0,_wordpress_url__WEBPACK_IMPORTED_MODULE_2__.addQueryArgs)('/help-center/authenticate/chat', params),
    method: 'POST',
    global: true
  });
}
function useMessagingAuth(enabled) {
  const currentEnvironment = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('env_id');
  const isTestMode = currentEnvironment === 'development';
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_4__/* .useQuery */ .I)({
    queryKey: ['getMessagingAuth', isTestMode],
    queryFn: requestMessagingAuth,
    staleTime: 7 * 24 * 60 * 60 * 1000,
    // 1 week (JWT is actually 2 weeks, but lets be on the safe side)
    enabled,
    select: messagingAuth => {
      if (!isLoggedIn) {
        const jwt = messagingAuth?.user.jwt;
        if (typeof window.zE !== 'function' || !jwt) {
          return;
        }
        window.zE('messenger', 'loginUser', function (callback) {
          isLoggedIn = true;
          callback(jwt);
        });
      }
      return {
        isLoggedIn
      };
    }
  });
}

/***/ }),

/***/ 78670:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useMessagingAvailability)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(35223);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_url__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(93832);
/* harmony import */ var _wordpress_url__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_url__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(41445);





function requestMessagingAvailability({
  queryKey
}) {
  const currentEnvironment = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('env_id');
  const [, group] = queryKey;
  const params = {
    group: group,
    environment: currentEnvironment === 'development' ? 'development' : 'production'
  };
  const wpcomParams = new URLSearchParams(params);
  return (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__/* .canAccessWpcomApis */ .IH)() ? (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .Ay)({
    path: '/help/messaging/is-available',
    query: wpcomParams.toString(),
    apiNamespace: 'wpcom/v2',
    apiVersion: '2',
    method: 'GET'
  }) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_1___default()({
    path: (0,_wordpress_url__WEBPACK_IMPORTED_MODULE_2__.addQueryArgs)('/help-center/support-availability/messaging', params),
    method: 'GET',
    global: true
  });
}
function useMessagingAvailability(group, enabled = true) {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_4__/* .useQuery */ .I)({
    queryKey: ['getMessagingAvailability', group],
    queryFn: requestMessagingAvailability,
    staleTime: 60 * 1000,
    // 1 minute
    meta: {
      persist: false
    },
    enabled
  });
}

/***/ }),

/***/ 59249:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   u: () => (/* binding */ useShouldRenderChatOption)
/* harmony export */ });
function useShouldRenderChatOption(isChatAvailable, isEligibleForChat) {
  if (!isEligibleForChat) {
    return {
      render: false,
      state: 'UNAVAILABLE',
      eligible: false
    };
  } else if (isChatAvailable) {
    return {
      render: true,
      state: 'AVAILABLE',
      eligible: true
    };
  }
  return {
    render: true,
    state: 'UNAVAILABLE',
    eligible: true
  };
}

/***/ }),

/***/ 63119:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   s: () => (/* binding */ useShouldRenderEmailOption)
/* harmony export */ });
/* harmony import */ var _data_use_support_availability__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(92323);

function useShouldRenderEmailOption() {
  const {
    data: supportAvailability,
    isFetching
  } = (0,_data_use_support_availability__WEBPACK_IMPORTED_MODULE_0__/* .useSupportAvailability */ .e)('OTHER');
  return {
    isLoading: isFetching,
    render: supportAvailability?.is_user_eligible_for_tickets ?? false
  };
}

/***/ }),

/***/ 34237:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   i: () => (/* binding */ useStillNeedHelpURL)
/* harmony export */ });
/* harmony import */ var _data_use_support_availability__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(92323);
/* harmony import */ var _use_is_wapuu_enabled__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(74441);
/* eslint-disable no-restricted-imports */



function useStillNeedHelpURL() {
  const {
    data: supportAvailability,
    isLoading
  } = (0,_data_use_support_availability__WEBPACK_IMPORTED_MODULE_0__/* .useSupportAvailability */ .e)('OTHER');
  const isWapuuEnabled = (0,_use_is_wapuu_enabled__WEBPACK_IMPORTED_MODULE_1__/* .useIsWapuuEnabled */ .H)();
  const isFreeUser = !supportAvailability?.is_user_eligible_for_tickets;
  if (!isFreeUser) {
    const url = isWapuuEnabled ? '/odie' : '/contact-options';
    return {
      url,
      isLoading: false
    };
  }
  return {
    url: '/contact-form?mode=FORUM',
    isLoading
  };
}

/***/ }),

/***/ 67502:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useTyper)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_interval_use_interval__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(35079);

// eslint-disable-next-line no-restricted-imports

const DEFAULT_OPTIONS = {
  charactersPerInterval: 1,
  delayBetweenCharacters: 120,
  delayBetweenPhrases: 1200,
  randomDelayBetweenCharacters: false
};

/**
 * A React hook that returns typing-machine animated strings
 * @param phrases An array of strings you want to create the typing effect for
 * @param enabled Whether the animation is enabled
 * @param options Animation options
 * @returns truncated strings from `phrases` array.
 * The word get longer at every passing `delayBetweenCharacters` until it's fully spelled,
 * then the next word is spelled out after `delayBetweenPhrases` passes.
 */
function useTyper(phrases, enabled = true, options) {
  const [charIndex, setCharIndex] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(0);
  const [phraseIndex, setPhraseIndex] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(0);
  const [mode, setMode] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)('TYPING');
  const populatedOptions = {
    ...DEFAULT_OPTIONS,
    ...options
  };
  const delayBetweenCharacters = populatedOptions.randomDelayBetweenCharacters ? Math.random() * populatedOptions.delayBetweenCharacters : populatedOptions.delayBetweenCharacters;
  const delayInCharacters = populatedOptions.randomDelayBetweenCharacters ? delayBetweenCharacters : populatedOptions.delayBetweenPhrases / populatedOptions.delayBetweenCharacters;
  const phrasesArray = Array.isArray(phrases) ? phrases : [phrases];
  const singlePhrase = phrasesArray.length === 1;
  (0,calypso_lib_interval_use_interval__WEBPACK_IMPORTED_MODULE_1__/* .useInterval */ .$)(() => {
    // disable the animation to save render cycles if it's not needed
    if (enabled && phrasesArray && phrasesArray.length) {
      // wait extra characters between phrases to emulate a pause between phrases without extra logic
      // `charIndex > word.length` is not a problem for substr :)
      if (singlePhrase && mode === 'DELETING') {
        return;
      }
      if (charIndex - delayInCharacters < phrasesArray[phraseIndex].length && mode === 'TYPING' || charIndex >= populatedOptions.charactersPerInterval && mode === 'DELETING') {
        const increment = mode === 'TYPING' ? populatedOptions.charactersPerInterval : -populatedOptions.charactersPerInterval;
        setCharIndex(charIndex + increment);
      } else if (mode === 'TYPING') {
        // start deleting
        setMode('DELETING');
      } else {
        // Pick the next phrase
        setPhraseIndex((phraseIndex + 1) % phrasesArray.length);
        setMode('TYPING');
      }
    }
  }, mode === 'TYPING' ? delayBetweenCharacters : populatedOptions.delayBetweenCharacters / 3);
  if (phrasesArray && phrasesArray.length) {
    return phrasesArray[phraseIndex].substr(0, charIndex);
  }
  return '';
}

/***/ }),

/***/ 3659:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useZendeskConfig)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(35223);

function requestZendeskConfig() {
  return window.fetch('https://wpcom.zendesk.com/embeddable/config');
}
function useZendeskConfig(enabled) {
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_0__/* .useQuery */ .I)({
    queryKey: ['getZendeskConfig'],
    queryFn: requestZendeskConfig,
    staleTime: Infinity,
    retry: false,
    refetchOnMount: false,
    retryOnMount: false,
    refetchOnWindowFocus: false,
    meta: {
      persist: false
    },
    enabled
  });
}

/***/ }),

/***/ 51653:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useZendeskMessaging)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var _automattic_load_script__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7944);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(66523);
/**
 * External Dependencies
 */



/**
 * Internal Dependencies
 */

const ZENDESK_SCRIPT_ID = 'ze-snippet';
function useZendeskMessaging(keyConfigName, enabled = true, tryAuthenticating = true) {
  const [isMessagingScriptLoaded, setMessagingScriptLoaded] = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_2__.useState)(false);
  const zendeskKey = (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)(keyConfigName);
  const {
    data: authData
  } = (0,___WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(isMessagingScriptLoaded && tryAuthenticating);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_2__.useEffect)(() => {
    if (!enabled || isMessagingScriptLoaded) {
      return;
    }
    function setUpMessagingEventHandlers(retryCount = 0) {
      if (typeof window.zE !== 'function') {
        if (retryCount < 5) {
          setTimeout(setUpMessagingEventHandlers, 250, ++retryCount);
        }
        return;
      }
      window.zE('messenger', 'hide');
      setMessagingScriptLoaded(true);
    }
    (0,_automattic_load_script__WEBPACK_IMPORTED_MODULE_1__/* .loadScript */ .k0)('https://static.zdassets.com/ekr/snippet.js?key=' + encodeURIComponent(zendeskKey), setUpMessagingEventHandlers, {
      id: ZENDESK_SCRIPT_ID
    });
  }, [setMessagingScriptLoaded, enabled, zendeskKey, isMessagingScriptLoaded]);
  if (document && document.getElementById(ZENDESK_SCRIPT_ID) && enabled && typeof window.zE === 'function' && isMessagingScriptLoaded === false) {
    setMessagingScriptLoaded(true);
  }
  return {
    isLoggedIn: authData?.isLoggedIn,
    isMessagingScriptLoaded
  };
}

/***/ }),

/***/ 22047:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);

const Forum = () => {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    width: "24",
    height: "24",
    fill: "none",
    viewBox: "21 21 27 27"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
    d: "M39.4749 43.1113L39.2552 42.8913L38.9443 42.8913L31.2576 42.8913C31.1195 42.8913 31.0076 42.7794 31.0076 42.6413L31.0076 34.0913C31.0076 33.9532 31.1195 33.8413 31.2576 33.8413L42.2422 33.8413C42.3803 33.8413 42.4922 33.9532 42.4922 34.0913L42.4922 45.4588C42.4922 45.5617 42.4355 45.6562 42.3447 45.7046C42.2365 45.7623 42.1033 45.7424 42.0166 45.6557L39.4749 43.1113Z",
    stroke: "#fff",
    strokeWidth: "1.5",
    fill: "transparent"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
    d: "M26.2341 31.4251L26.4538 31.2052L26.7647 31.2052L34.4514 31.2052C34.5895 31.2052 34.7014 31.0932 34.7014 30.9552L34.7014 22.4052C34.7014 22.2671 34.5895 22.1552 34.4514 22.1552L23.4668 22.1552C23.3287 22.1552 23.2168 22.2671 23.2168 22.4052L23.2168 33.7727C23.2168 33.8755 23.2735 33.97 23.3643 34.0184C23.4725 34.0761 23.6057 34.0563 23.6924 33.9695L26.2341 31.4251Z",
    stroke: "#fff",
    strokeWidth: "1.5",
    fill: "transparent"
  }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Forum);

/***/ }),

/***/ 52927:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);

const Mail = () => {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    width: "24",
    height: "24",
    viewBox: "0 0 24 24"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
    d: "M18 6.75H6C5.30964 6.75 4.75 7.30964 4.75 8V16C4.75 16.6904 5.30964 17.25 6 17.25H18C18.6904 17.25 19.25 16.6904 19.25 16V8C19.25 7.30964 18.6904 6.75 18 6.75Z",
    stroke: "#fff",
    strokeWidth: "1.5",
    fill: "transparent"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
    d: "M5 7L12 13L19 7",
    stroke: "#fff",
    fill: "transparent",
    strokeWidth: "1.5"
  }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Mail);

/***/ }),

/***/ 66867:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);

const NewReleases = () => {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    height: "24",
    width: "24"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
    d: "M0 0h24v24H0V0z",
    fill: "none"
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
    d: "M23 12l-2.44-2.78.34-3.68-3.61-.82-1.89-3.18L12 3 8.6 1.54 6.71 4.72l-3.61.81.34 3.68L1 12l2.44 2.78-.34 3.69 3.61.82 1.89 3.18L12 21l3.4 1.46 1.89-3.18 3.61-.82-.34-3.68L23 12zm-4.51 2.11l.26 2.79-2.74.62-1.43 2.41L12 18.82l-2.58 1.11-1.43-2.41-2.74-.62.26-2.8L3.66 12l1.85-2.12-.26-2.78 2.74-.61 1.43-2.41L12 5.18l2.58-1.11 1.43 2.41 2.74.62-.26 2.79L20.34 12l-1.85 2.11zM11 15h2v2h-2zm0-8h2v6h-2z"
  }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (NewReleases);

/***/ }),

/***/ 29575:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   WO: () => (/* binding */ USER_STORE),
/* harmony export */   cd: () => (/* binding */ SITE_STORE),
/* harmony export */   qO: () => (/* binding */ HELP_CENTER_STORE)
/* harmony export */ });
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var _automattic_data_stores__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(86811);
/* harmony import */ var _automattic_data_stores__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(91071);
/* harmony import */ var _automattic_data_stores__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(29259);
/**
 * External Dependencies
 */


const HELP_CENTER_STORE = _automattic_data_stores__WEBPACK_IMPORTED_MODULE_1__/* .register */ .k();

// these creds are only needed when signing up users
const USER_STORE = _automattic_data_stores__WEBPACK_IMPORTED_MODULE_2__/* .register */ .k();
const SITE_STORE = _automattic_data_stores__WEBPACK_IMPORTED_MODULE_3__/* .register */ .kz({
  client_id: (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('wpcom_signup_id'),
  client_secret: (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('wpcom_signup_key')
});

/***/ }),

/***/ 8613:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   iW: () => (/* binding */ getSupportVariationFromMode)
/* harmony export */ });
/* unused harmony exports SUPPORT_CHAT_OVERFLOW, SUPPORT_FORUM, SUPPORT_CHAT, SUPPORT_TICKET, SUPPORT_UPWORK_TICKET */
const SUPPORT_CHAT_OVERFLOW = 'SUPPORT_CHAT_OVERFLOW';
const SUPPORT_FORUM = 'SUPPORT_FORUM';
const SUPPORT_CHAT = 'SUPPORT_CHAT';
const SUPPORT_TICKET = 'SUPPORT_TICKET';
const SUPPORT_UPWORK_TICKET = 'SUPPORT_UPWORK_TICKET';

/**
 * @param {string} mode Help Center contact form mode
 * @returns {string} One of the exported support variation constants listed above
 */
const getSupportVariationFromMode = mode => {
  switch (mode) {
    case 'CHAT':
      return SUPPORT_CHAT;
    case 'EMAIL':
      return SUPPORT_TICKET;
    case 'FORUM':
      return SUPPORT_FORUM;
    case 'UPWORK':
      return SUPPORT_UPWORK_TICKET;
  }
};

/***/ }),

/***/ 88883:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _default_i18n__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(55118);


/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (/*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)(_default_i18n__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A));

/***/ }),

/***/ 55118:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(22434);

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (new _i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A());

/***/ }),

/***/ 22434:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var events__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(50046);
/* harmony import */ var events__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(events__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_interpolate_components__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(92540);
/* harmony import */ var _tannin_sprintf__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(17315);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var hash_js_lib_hash_sha_1__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(12986);
/* harmony import */ var hash_js_lib_hash_sha_1__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(hash_js_lib_hash_sha_1__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lru__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(32327);
/* harmony import */ var lru__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lru__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var tannin__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(52714);
/* harmony import */ var _number_format__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(74015);









/**
 * Module variables
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_1___default()('i18n-calypso');

/**
 * Constants
 */
const decimal_point_translation_key = 'number_format_decimals';
const thousands_sep_translation_key = 'number_format_thousands_sep';
const domain_key = 'messages';
const translationLookup = [
// By default don't modify the options when looking up translations.
function (options) {
  return options;
}];
const hashCache = {};

// raise a console warning
function warn() {
  if (!I18N.throwErrors) {
    return;
  }
  if ( true && window.console && window.console.warn) {
    window.console.warn.apply(window.console, arguments);
  }
}

// turns Function.arguments into an array
function simpleArguments(args) {
  return Array.prototype.slice.call(args);
}

/**
 * Coerce the possible arguments and normalize to a single object.
 * @param   {any} args - arguments passed in from `translate()`
 * @returns {Object}         - a single object describing translation needs
 */
function normalizeTranslateArguments(args) {
  const original = args[0];

  // warn about older deprecated syntax
  if (typeof original !== 'string' || args.length > 3 || args.length > 2 && typeof args[1] === 'object' && typeof args[2] === 'object') {
    warn('Deprecated Invocation: `translate()` accepts ( string, [string], [object] ). These arguments passed:', simpleArguments(args), '. See https://github.com/Automattic/i18n-calypso#translate-method');
  }
  if (args.length === 2 && typeof original === 'string' && typeof args[1] === 'string') {
    warn('Invalid Invocation: `translate()` requires an options object for plural translations, but passed:', simpleArguments(args));
  }

  // options could be in position 0, 1, or 2
  // sending options as the first object is deprecated and will raise a warning
  let options = {};
  for (let i = 0; i < args.length; i++) {
    if (typeof args[i] === 'object') {
      options = args[i];
    }
  }

  // `original` can be passed as first parameter or as part of the options object
  // though passing original as part of the options is a deprecated approach and will be removed
  if (typeof original === 'string') {
    options.original = original;
  } else if (typeof options.original === 'object') {
    options.plural = options.original.plural;
    options.count = options.original.count;
    options.original = options.original.single;
  }
  if (typeof args[1] === 'string') {
    options.plural = args[1];
  }
  if (typeof options.original === 'undefined') {
    throw new Error('Translate called without a `string` value as first argument.');
  }
  return options;
}

/**
 * Takes translate options object and coerces to a Tannin request to retrieve translation.
 * @param   {Object} tannin  - tannin data object
 * @param   {Object} options - object describing translation
 * @returns {string}         - the returned translation from Tannin
 */
function getTranslationFromTannin(tannin, options) {
  return tannin.dcnpgettext(domain_key, options.context, options.original, options.plural, options.count);
}
function getTranslation(i18n, options) {
  for (let i = translationLookup.length - 1; i >= 0; i--) {
    const lookup = translationLookup[i](Object.assign({}, options));
    const key = lookup.context ? lookup.context + '\u0004' + lookup.original : lookup.original;

    // Only get the translation from tannin if it exists.
    if (i18n.state.locale[key]) {
      return getTranslationFromTannin(i18n.state.tannin, lookup);
    }
  }
  return null;
}
function I18N() {
  if (!(this instanceof I18N)) {
    return new I18N();
  }
  this.defaultLocaleSlug = 'en';
  // Tannin always needs a plural form definition, or it fails when dealing with plurals.
  this.defaultPluralForms = n => n === 1 ? 0 : 1;
  this.state = {
    numberFormatSettings: {},
    tannin: undefined,
    locale: undefined,
    localeSlug: undefined,
    localeVariant: undefined,
    textDirection: undefined,
    translations: lru__WEBPACK_IMPORTED_MODULE_3___default()({
      max: 100
    })
  };
  this.componentUpdateHooks = [];
  this.translateHooks = [];
  this.stateObserver = new events__WEBPACK_IMPORTED_MODULE_0__.EventEmitter();
  // Because the higher-order component can wrap a ton of React components,
  // we need to bump the number of listeners to infinity and beyond
  // FIXME: still valid?
  this.stateObserver.setMaxListeners(0);
  // default configuration
  this.configure();
}
I18N.throwErrors = false;
I18N.prototype.on = function (...args) {
  this.stateObserver.on(...args);
};
I18N.prototype.off = function (...args) {
  this.stateObserver.off(...args);
};
I18N.prototype.emit = function (...args) {
  this.stateObserver.emit(...args);
};

/**
 * Formats numbers using locale settings and/or passed options.
 * @param   {string|number}  number to format (required)
 * @param   {number | Object}  options  Number of decimal places or options object (optional)
 * @returns {string}         Formatted number as string
 */
I18N.prototype.numberFormat = function (number, options = {}) {
  const decimals = typeof options === 'number' ? options : options.decimals || 0;
  const decPoint = options.decPoint || this.state.numberFormatSettings.decimal_point || '.';
  const thousandsSep = options.thousandsSep || this.state.numberFormatSettings.thousands_sep || ',';
  return (0,_number_format__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)(number, decimals, decPoint, thousandsSep);
};
I18N.prototype.configure = function (options) {
  Object.assign(this, options || {});
  this.setLocale();
};
I18N.prototype.setLocale = function (localeData) {
  if (localeData && localeData[''] && localeData['']['key-hash']) {
    const keyHash = localeData['']['key-hash'];
    const transform = function (string, hashLength) {
      const lookupPrefix = hashLength === false ? '' : String(hashLength);
      if (typeof hashCache[lookupPrefix + string] !== 'undefined') {
        return hashCache[lookupPrefix + string];
      }
      const hash = hash_js_lib_hash_sha_1__WEBPACK_IMPORTED_MODULE_2___default()().update(string).digest('hex');
      if (hashLength) {
        return hashCache[lookupPrefix + string] = hash.substr(0, hashLength);
      }
      return hashCache[lookupPrefix + string] = hash;
    };
    const generateLookup = function (hashLength) {
      return function (options) {
        if (options.context) {
          options.original = transform(options.context + String.fromCharCode(4) + options.original, hashLength);
          delete options.context;
        } else {
          options.original = transform(options.original, hashLength);
        }
        return options;
      };
    };
    if (keyHash.substr(0, 4) === 'sha1') {
      if (keyHash.length === 4) {
        translationLookup.push(generateLookup(false));
      } else {
        const variableHashLengthPos = keyHash.substr(5).indexOf('-');
        if (variableHashLengthPos < 0) {
          const hashLength = Number(keyHash.substr(5));
          translationLookup.push(generateLookup(hashLength));
        } else {
          const minHashLength = Number(keyHash.substr(5, variableHashLengthPos));
          const maxHashLength = Number(keyHash.substr(6 + variableHashLengthPos));
          for (let hashLength = minHashLength; hashLength <= maxHashLength; hashLength++) {
            translationLookup.push(generateLookup(hashLength));
          }
        }
      }
    }
  }

  // if localeData is not given, assumes default locale and reset
  if (!localeData || !localeData[''].localeSlug) {
    this.state.locale = {
      '': {
        localeSlug: this.defaultLocaleSlug,
        plural_forms: this.defaultPluralForms
      }
    };
  } else if (localeData[''].localeSlug === this.state.localeSlug) {
    // Exit if same data as current (comparing references only)
    if (localeData === this.state.locale) {
      return;
    }

    // merge new data into existing one
    Object.assign(this.state.locale, localeData);
  } else {
    this.state.locale = Object.assign({}, localeData);
  }
  this.state.localeSlug = this.state.locale[''].localeSlug;
  this.state.localeVariant = this.state.locale[''].localeVariant;

  // extract the `textDirection` info (LTR or RTL) from either:
  // - the translation for the special string "ltr" (standard in Core, not present in Calypso)
  // - or the `momentjs_locale.textDirection` property present in Calypso translation files
  this.state.textDirection = this.state.locale['text direction\u0004ltr']?.[0] || this.state.locale['']?.momentjs_locale?.textDirection;
  this.state.tannin = new tannin__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A({
    [domain_key]: this.state.locale
  });

  // Updates numberFormat preferences with settings from translations
  this.state.numberFormatSettings.decimal_point = getTranslationFromTannin(this.state.tannin, normalizeTranslateArguments([decimal_point_translation_key]));
  this.state.numberFormatSettings.thousands_sep = getTranslationFromTannin(this.state.tannin, normalizeTranslateArguments([thousands_sep_translation_key]));

  // If translation isn't set, define defaults.
  if (this.state.numberFormatSettings.decimal_point === decimal_point_translation_key) {
    this.state.numberFormatSettings.decimal_point = '.';
  }
  if (this.state.numberFormatSettings.thousands_sep === thousands_sep_translation_key) {
    this.state.numberFormatSettings.thousands_sep = ',';
  }
  this.stateObserver.emit('change');
};
I18N.prototype.getLocale = function () {
  return this.state.locale;
};

/**
 * Get the current locale slug.
 * @returns {string} The string representing the currently loaded locale
 */
I18N.prototype.getLocaleSlug = function () {
  return this.state.localeSlug;
};

/**
 * Get the current locale variant. That's set for some special locales that don't have a
 * standard ISO code, like `de_formal` or `sr_latin`.
 * @returns {string|undefined} The string representing the currently loaded locale's variant
 */
I18N.prototype.getLocaleVariant = function () {
  return this.state.localeVariant;
};

/**
 * Get the current text direction, left-to-right (LTR) or right-to-left (RTL).
 * @returns {boolean} `true` in case the current locale has RTL text direction
 */
I18N.prototype.isRtl = function () {
  return this.state.textDirection === 'rtl';
};

/**
 * Adds new translations to the locale data, overwriting any existing translations with a matching key.
 * @param {Object} localeData Locale data
 */
I18N.prototype.addTranslations = function (localeData) {
  for (const prop in localeData) {
    if (prop !== '') {
      this.state.tannin.data.messages[prop] = localeData[prop];
    }
  }
  this.stateObserver.emit('change');
};

/**
 * Checks whether the given original has a translation.
 * @returns {boolean} whether a translation exists
 */
I18N.prototype.hasTranslation = function () {
  return !!getTranslation(this, normalizeTranslateArguments(arguments));
};

/**
 * Exposes single translation method.
 * See sibling README
 * @returns {string | Object | undefined} translated text or an object containing React children that can be inserted into a parent component
 */
I18N.prototype.translate = function () {
  const options = normalizeTranslateArguments(arguments);
  let translation = getTranslation(this, options);
  if (!translation) {
    // This purposefully calls tannin for a case where there is no translation,
    // so that tannin gives us the expected object with English text.
    translation = getTranslationFromTannin(this.state.tannin, options);
  }

  // handle any string substitution
  if (options.args) {
    const sprintfArgs = Array.isArray(options.args) ? options.args.slice(0) : [options.args];
    sprintfArgs.unshift(translation);
    try {
      translation = (0,_tannin_sprintf__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(...sprintfArgs);
    } catch (error) {
      if (!window || !window.console) {
        return;
      }
      const errorMethod = this.throwErrors ? 'error' : 'warn';
      if (typeof error !== 'string') {
        window.console[errorMethod](error);
      } else {
        window.console[errorMethod]('i18n sprintf error:', sprintfArgs);
      }
    }
  }

  // interpolate any components
  if (options.components) {
    translation = (0,_automattic_interpolate_components__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A)({
      mixedString: translation,
      components: options.components,
      throwErrors: this.throwErrors
    });
  }

  // run any necessary hooks
  this.translateHooks.forEach(function (hook) {
    translation = hook(translation, options);
  });
  return translation;
};

/**
 * Causes i18n to re-render all translations.
 *
 * This can be necessary if an extension makes changes that i18n is unaware of
 * and needs those changes manifested immediately (e.g. adding an important
 * translation hook, or modifying the behaviour of an existing hook).
 *
 * If at all possible, react components should try to use the more local
 * updateTranslation() function inherited from the mixin.
 */
I18N.prototype.reRenderTranslations = function () {
  debug('Re-rendering all translations due to external request');
  this.stateObserver.emit('change');
};
I18N.prototype.registerComponentUpdateHook = function (callback) {
  this.componentUpdateHooks.push(callback);
};
I18N.prototype.registerTranslateHook = function (callback) {
  this.translateHooks.push(callback);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (I18N);

/***/ }),

/***/ 85744:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   Tl: () => (/* binding */ translate),
/* harmony export */   yb: () => (/* binding */ getLocaleSlug)
/* harmony export */ });
/* unused harmony exports numberFormat, configure, setLocale, getLocale, getLocaleVariant, isRtl, addTranslations, reRenderTranslations, registerComponentUpdateHook, registerTranslateHook, state, stateObserver, on, off, emit */
/* harmony import */ var _default_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(55118);







/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);

// Export the default instance's properties and bound methods for convenience
// These should be deprecated eventually, exposing only the default `i18n` instance
const numberFormat = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.numberFormat.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const translate = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.translate.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const configure = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.configure.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const setLocale = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.setLocale.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const getLocale = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.getLocale.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const getLocaleSlug = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.getLocaleSlug.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const getLocaleVariant = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.getLocaleVariant.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const isRtl = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.isRtl.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const addTranslations = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.addTranslations.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const reRenderTranslations = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.reRenderTranslations.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const registerComponentUpdateHook = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.registerComponentUpdateHook.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const registerTranslateHook = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.registerTranslateHook.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const state = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.state;
const stateObserver = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.stateObserver;
const on = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.on.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const off = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.off.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);
const emit = _default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.emit.bind(_default_i18n__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);

/***/ }),

/***/ 74015:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ number_format)
/* harmony export */ });
/*
 * Exposes number format capability
 *
 * @copyright Copyright (c) 2013 Kevin van Zonneveld (http://kvz.io) and Contributors (http://phpjs.org/authors).
 * @license See CREDITS.md
 * @see https://github.com/kvz/phpjs/blob/ffe1356af23a6f2512c84c954dd4e828e92579fa/functions/strings/number_format.js
 */
function toFixedFix(n, prec) {
  const k = Math.pow(10, prec);
  return '' + (Math.round(n * k) / k).toFixed(prec);
}
function number_format(number, decimals, dec_point, thousands_sep) {
  number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
  const n = !isFinite(+number) ? 0 : +number;
  const prec = !isFinite(+decimals) ? 0 : Math.abs(decimals);
  const sep = typeof thousands_sep === 'undefined' ? ',' : thousands_sep;
  const dec = typeof dec_point === 'undefined' ? '.' : dec_point;
  let s = '';
  // Fix for IE parseFloat(0.55).toFixed(0) = 0;
  s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
  if (s[0].length > 3) {
    s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
  }
  if ((s[1] || '').length < prec) {
    s[1] = s[1] || '';
    s[1] += new Array(prec - s[1].length + 1).join('0');
  }
  return s.join(dec);
}

/***/ }),

/***/ 87526:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   I: () => (/* binding */ useRtl)
/* harmony export */ });
/* unused harmony export withRtl */
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(29491);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var use_subscription__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7205);
/* harmony import */ var _context__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(88883);






function useRtl() {
  const i18n = (0,react__WEBPACK_IMPORTED_MODULE_2__.useContext)(_context__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A);
  // Subscription object (adapter) for the `useSubscription` hook
  const RtlSubscription = (0,react__WEBPACK_IMPORTED_MODULE_2__.useMemo)(() => ({
    getCurrentValue() {
      return i18n.isRtl();
    },
    subscribe(callback) {
      i18n.on('change', callback);
      return () => i18n.off('change', callback);
    }
  }), [i18n]);
  return (0,use_subscription__WEBPACK_IMPORTED_MODULE_3__.useSubscription)(RtlSubscription);
}
const withRtl = (0,_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__.createHigherOrderComponent)(WrappedComponent => /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_2__.forwardRef)((props, ref) => {
  const isRtl = useRtl();
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(WrappedComponent, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A)({}, props, {
    isRtl: isRtl,
    ref: ref
  }));
}), 'WithRTL');

/***/ }),

/***/ 59944:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useTranslate)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _context__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(88883);


function bindTranslate(i18n) {
  const translate = i18n.translate.bind(i18n);
  Object.defineProperty(translate, 'localeSlug', {
    get: i18n.getLocaleSlug.bind(i18n)
  });
  return translate;
}
function useTranslate() {
  const i18n = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_context__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A);
  const [counter, setCounter] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(0);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const onChange = () => setCounter(c => c + 1);
    i18n.on('change', onChange);
    return () => i18n.off('change', onChange);
  }, [i18n]);
  return (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => bindTranslate(i18n, counter), [i18n, counter]);
}

/***/ }),

/***/ 58998:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   vq: () => (/* binding */ getRelativeTimeString)
/* harmony export */ });
/* unused harmony exports getISODateString, getShortDateString, getNumericDateString */
const aSecond = 1000;
const aMinute = aSecond * 60;
const anHour = aMinute * 60;
const aDay = anHour * 24;

/**
 * Get localized relative time string for past timestamp.
 * @param options The parameters to be used.
 * @param options.timestamp Web timestamp (milliseconds since Epoch)
 * @param options.locale Locale slug
 * @param options.now The date to be used for "now" in the relative calculation
 * @param options.style The style to be used for formatting. Acceptable values: long, short or narrow
 *   Returns '' for future dates and errors.
 */
const getRelativeTimeString = ({
  timestamp,
  locale = 'en',
  now = Date.now(),
  style = 'narrow'
}) => {
  const delta = now - timestamp;
  if (delta < 0) {
    return '';
  }
  try {
    const formatter = new Intl.RelativeTimeFormat(locale, {
      style
    });
    if (delta < aSecond) {
      // Super-accurate timing is not critical; pretend a second has elapsed.
      return formatter.format(-1, 'seconds');
    }
    if (delta < aMinute) {
      return formatter.format(-1 * Math.round(delta / aSecond), 'seconds');
    }
    if (delta < anHour) {
      return formatter.format(-1 * Math.round(delta / aMinute), 'minutes');
    }
    if (delta < aDay) {
      return formatter.format(-1 * Math.round(delta / anHour), 'hours');
    }
    return formatter.format(-1 * Math.round(delta / aDay), 'days');
  } catch (error) {
    return '';
  }
};

/**
 * Get ISO date format for timestamp.
 * @param {number} timestamp Web timestamp (milliseconds since Epoch)
 * @returns {string} Formatted ISO date, e.g. '2020-12-20'
 */
const getISODateString = timestamp => {
  return new Date(timestamp).toISOString().split('T')[0];
};

/**
 * Get localized short date format for timestamp.
 * @param {number} timestamp Web timestamp (milliseconds since Epoch)
 * @param {string} locale Locale slug
 * @returns {string} Formatted localized date, e.g. 'Dec 20, 2021' for US English.
 *   Falls back to ISO date string if anything goes wrong.
 */
const getShortDateString = (timestamp, locale = 'en') => {
  try {
    const formatter = new Intl.DateTimeFormat(locale, {
      year: 'numeric',
      month: 'short',
      day: 'numeric'
    });
    return formatter.format(new Date(timestamp));
  } catch (error) {
    return getISODateString(timestamp);
  }
};

/**
 * Get localized numeric date format for timestamp.
 * @param {number} timestamp Web timestamp (milliseconds since Epoch)
 * @param {string} locale Locale slug
 * @returns {string} Formatted localized date, e.g. '12/20/2021' for US English
 *   Falls back to ISO date string if anything goes wrong.
 */
const getNumericDateString = (timestamp, locale = 'en') => {
  try {
    const formatter = new Intl.DateTimeFormat(locale, {
      year: 'numeric',
      month: 'numeric',
      day: 'numeric'
    });
    return formatter.format(new Date(timestamp));
  } catch (error) {
    return getISODateString(timestamp);
  }
};

/***/ }),

/***/ 16706:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   YO: () => (/* binding */ LocaleProvider),
/* harmony export */   Ym: () => (/* binding */ useLocale)
/* harmony export */ });
/* unused harmony exports localeContext, withLocale, useIsEnglishLocale, useHasEnTranslation */
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(29491);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);






const localeContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_3__.createContext)(null);
const LocaleProvider = ({
  children,
  localeSlug
}) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(localeContext.Provider, {
  value: localeSlug
}, children);

/**
 * Returns locale slug
 * @param {string} locale locale to be converted e.g. "en_US".
 * @returns locale string e.g. "en"
 */
function mapWpI18nLangToLocaleSlug(locale = '') {
  if (!locale) {
    return '';
  }
  const TARGET_LOCALES = ['pt_br', 'pt-br', 'zh_tw', 'zh-tw', 'zh_cn', 'zh-cn', 'zh_sg', 'zh-sg'];
  const lowerCaseLocale = locale.toLowerCase();
  const formattedLocale = TARGET_LOCALES.includes(lowerCaseLocale) ? lowerCaseLocale.replace('_', '-') : lowerCaseLocale.replace(/([-_].*)$/i, '');
  return formattedLocale || 'en';
}

/**
 * Get the current locale slug from the @wordpress/i18n locale data
 */
function getWpI18nLocaleSlug() {
  const language = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.getLocaleData ? _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.getLocaleData()?.['']?.language : '';
  return mapWpI18nLangToLocaleSlug(language);
}

/**
 * React hook providing the current locale slug. If `<LocaleProvider>` hasn't
 * been defined in the component tree then it will fall back to using the
 * data from `@wordpress/i18n` to determine the current locale slug.
 * @example
 *
 * import { useLocale } from '@automattic/i18n-utils';
 * function MyComponent() {
 *   const locale = useLocale();
 *   return <div>The current locale is: { locale }</div>;
 * }
 */
function useLocale() {
  const fromProvider = (0,react__WEBPACK_IMPORTED_MODULE_3__.useContext)(localeContext);
  const providerHasLocale = !!fromProvider;
  const [fromWpI18n, setWpLocale] = (0,react__WEBPACK_IMPORTED_MODULE_3__.useState)(getWpI18nLocaleSlug());
  (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
    // If the <LocaleProvider> has been used further up the component tree
    // then we don't want to subscribe to any defaultI18n changes.
    if (providerHasLocale) {
      return;
    }
    setWpLocale(getWpI18nLocaleSlug());
    return _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.subscribe(() => {
      setWpLocale(getWpI18nLocaleSlug());
    });
  }, [providerHasLocale]);
  return fromProvider || fromWpI18n ||  true && window._currentUserLocale || 'en';
}

/**
 * HoC providing the current locale slug supplied to `<LocaleProvider>`.
 * @param InnerComponent Component that will receive `locale` as a prop
 * @returns Component enhanced with locale
 * @example
 *
 * import { withLocale } from '@automattic/i18n-utils';
 * function MyComponent( { locale } ) {
 *   return <div>The current locale is: { locale }</div>;
 * }
 * export default withLocale( MyComponent );
 */
const withLocale = (0,_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__.createHigherOrderComponent)(InnerComponent => {
  return props => {
    const locale = useLocale();
    const innerProps = {
      ...props,
      locale
    };
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(InnerComponent, innerProps);
  };
}, 'withLocale');

/**
 * React hook providing whether the current locale slug belongs to English or not
 * @example
 *
 * import { useIsEnglishLocale } from '@automattic/i18n-utils';
 * function MyComponent() {
 *   const isEnglishLocale = useIsEnglishLocale();
 *   return <div>The current locale is English: { isEnglishLocale }</div>;
 * }
 */
function useIsEnglishLocale() {
  const locale = useLocale();
  return englishLocales.includes(locale);
}
function useHasEnTranslation() {
  const isEnglishLocale = useIsEnglishLocale();
  return useCallback((...args) => isEnglishLocale || i18n.hasTranslation(...args), [isEnglishLocale]);
}

/***/ }),

/***/ 53903:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BS: () => (/* binding */ forumLocales),
/* harmony export */   Cx: () => (/* binding */ localesWithGoBlog),
/* harmony export */   K8: () => (/* binding */ localesWithCookiePolicy),
/* harmony export */   S9: () => (/* binding */ localesWithPrivacyPolicy),
/* harmony export */   Sc: () => (/* binding */ localesWithBlog),
/* harmony export */   Sj: () => (/* binding */ localesToSubdomains),
/* harmony export */   Ws: () => (/* binding */ localesForPricePlans),
/* harmony export */   _J: () => (/* binding */ supportSiteLocales),
/* harmony export */   lW: () => (/* binding */ magnificentNonEnLocales),
/* harmony export */   rh: () => (/* binding */ jetpackComLocales)
/* harmony export */ });
/* unused harmony exports i18nDefaultLocaleSlug, englishLocales, livechatSupportLocales */
/**
 * The locale sets here map roughly to those found in locales.php
 *
 * todo: move these into @automattic/languages as another downloaded resource
 * todo: cleanup _shared.json - replace references to the below config options with imports from here
 */

const i18nDefaultLocaleSlug = 'en';
const localesWithBlog = ['en', 'ja', 'es', 'pt', 'fr', 'pt-br'];
const localesWithGoBlog = ['en', 'pt-br', 'de', 'es', 'fr', 'it'];
const localesWithPrivacyPolicy = ['en', 'fr', 'de', 'es'];
const localesWithCookiePolicy = ['en', 'fr', 'de', 'es'];
const localesForPricePlans = ['ar', 'de', 'el', 'es', 'fr', 'he', 'id', 'it', 'ja', 'ko', 'nl', 'pt-br', 'ro', 'ru', 'sv', 'tr', 'zh-cn', 'zh-tw'];
const localesToSubdomains = {
  'pt-br': 'br',
  br: 'bre',
  zh: 'zh-cn',
  'zh-hk': 'zh-tw',
  'zh-sg': 'zh-cn',
  kr: 'ko'
};

// replaces config( 'english_locales' )
const englishLocales = (/* unused pure expression or super */ null && (['en', 'en-gb']));

// replaces config( 'livechat_support_locales' )
const livechatSupportLocales = (/* unused pure expression or super */ null && (['en']));

// replaces config( 'support_site_locales' )
const supportSiteLocales = ['ar', 'de', 'en', 'es', 'fr', 'he', 'id', 'it', 'ja', 'ko', 'nl', 'pt-br', 'ru', 'sv', 'tr', 'zh-cn', 'zh-tw'];

// replaces config( 'forum_locales')
const forumLocales = ['ar', 'de', 'el', 'en', 'es', 'fa', 'fi', 'fr', 'id', 'it', 'ja', 'nl', 'pt', 'pt-br', 'ru', 'sv', 'th', 'tl', 'tr'];

// replaces config( 'magnificent_non_en_locales')
const magnificentNonEnLocales = ['es', 'pt-br', 'de', 'fr', 'he', 'ja', 'it', 'nl', 'ru', 'tr', 'id', 'zh-cn', 'zh-tw', 'ko', 'ar', 'sv'];

// replaces config( 'jetpack_com_locales')
const jetpackComLocales = ['en', 'ar', 'de', 'es', 'fr', 'he', 'id', 'it', 'ja', 'ko', 'nl', 'pt-br', 'ro', 'ru', 'sv', 'tr', 'zh-cn', 'zh-tw'];

/***/ }),

/***/ 355:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   rm: () => (/* binding */ localizeUrl)
/* harmony export */ });
/* unused harmony exports urlLocalizationMapping, useLocalizeUrl, withLocalizeUrl */
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(29491);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(85744);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _locale_context__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(16706);
/* harmony import */ var _locales__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(53903);






const INVALID_URL = `http://__domain__.invalid`;
function getDefaultLocale() {
  return (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_3__/* .getLocaleSlug */ .yb)?.() ?? 'en';
}
const setLocalizedUrlHost = (hostname, validLocales = []) => (url, locale) => {
  if (validLocales.includes(locale) && locale !== 'en') {
    // Avoid changing the hostname when the locale is set via the path.
    if (url.pathname.substr(0, locale.length + 2) !== '/' + locale + '/') {
      url.host = `${_locales__WEBPACK_IMPORTED_MODULE_4__/* .localesToSubdomains */ .Sj[locale] || locale}.${hostname}`;
    }
  }
  return url;
};
const setLocalizedWpComPath = (prefix, validLocales = [], limitPathMatch = null) => (url, localeSlug) => {
  url.host = 'wordpress.com';
  if (typeof limitPathMatch === 'object' && limitPathMatch instanceof RegExp && !limitPathMatch.test(url.pathname)) {
    validLocales = []; // only rewrite to English.
  }
  url.pathname = prefix + url.pathname;
  if (validLocales.includes(localeSlug) && localeSlug !== 'en') {
    url.pathname = localeSlug + url.pathname;
  }
  return url;
};
const prefixOrSuffixLocalizedUrlPath = (validLocales = [], limitPathMatch = null, prefixOrSuffix) => (url, localeSlug) => {
  if (typeof limitPathMatch === 'object' && limitPathMatch instanceof RegExp) {
    if (!limitPathMatch.test(url.pathname)) {
      return url; // No rewriting if not matches the path.
    }
  }
  if (!validLocales.includes(localeSlug) || localeSlug === 'en') {
    return url;
  }
  if (prefixOrSuffix === 'prefix') {
    url.pathname = localeSlug + url.pathname;
  } else if (prefixOrSuffix === 'suffix') {
    // Make sure there's a slash between the path and the locale. Plus, if
    // the path has a trailing slash, add one after the suffix too.
    if (url.pathname.endsWith('/')) {
      url.pathname += localeSlug + '/';
    } else {
      url.pathname += '/' + localeSlug;
    }
  }
  return url;
};
const prefixLocalizedUrlPath = (validLocales = [], limitPathMatch = null) => (url, localeSlug) => {
  return prefixOrSuffixLocalizedUrlPath(validLocales, limitPathMatch, 'prefix')(url, localeSlug);
};
const suffixLocalizedUrlPath = (validLocales = [], limitPathMatch = null) => (url, localeSlug) => {
  return prefixOrSuffixLocalizedUrlPath(validLocales, limitPathMatch, 'suffix')(url, localeSlug);
};
const urlLocalizationMapping = {
  'wordpress.com/support/': prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .supportSiteLocales */ ._J),
  'wordpress.com/forums/': prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .forumLocales */ .BS),
  'wordpress.com/blog/': prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .localesWithBlog */ .Sc, /^\/blog\/?$/),
  'wordpress.com/go/': (url, localeSlug) => {
    // Rewrite non-home URLs (e.g. posts) only for Spanish, because that's
    // the only language into which we're currently translating content.
    const isHome = ['/go/', '/go'].includes(url.pathname);
    if (!isHome && 'es' !== localeSlug) {
      return url;
    }
    return prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .localesWithGoBlog */ .Cx)(url, localeSlug);
  },
  'wordpress.com/tos/': prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW),
  'wordpress.com/wp-admin/': setLocalizedUrlHost('wordpress.com', _locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW),
  'wordpress.com/wp-login.php': setLocalizedUrlHost('wordpress.com', _locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW),
  'jetpack.com': prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .jetpackComLocales */ .rh),
  'cloud.jetpack.com': prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .jetpackComLocales */ .rh),
  'en.support.wordpress.com': setLocalizedWpComPath('/support', _locales__WEBPACK_IMPORTED_MODULE_4__/* .supportSiteLocales */ ._J),
  'en.blog.wordpress.com': setLocalizedWpComPath('/blog', _locales__WEBPACK_IMPORTED_MODULE_4__/* .localesWithBlog */ .Sc, /^\/$/),
  'apps.wordpress.com': prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW),
  'en.forums.wordpress.com': setLocalizedWpComPath('/forums', _locales__WEBPACK_IMPORTED_MODULE_4__/* .forumLocales */ .BS),
  'automattic.com/privacy/': prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .localesWithPrivacyPolicy */ .S9),
  'automattic.com/cookies/': prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .localesWithCookiePolicy */ .K8),
  'wordpress.com/help/contact/': (url, localeSlug, isLoggedIn) => {
    if (isLoggedIn) {
      return url;
    }
    url.pathname = url.pathname.replace(/\/help\//, '/support/');
    return prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .supportSiteLocales */ ._J)(url, localeSlug);
  },
  'wordpress.com': (url, localeSlug) => {
    // Don't rewrite checkout and me URLs.
    if (/^\/(checkout|me)(\/|$)/.test(url.pathname)) {
      return url;
    }
    // Don't rewrite Calypso URLs that have the URL at the end.
    if (/\/([a-z0-9-]+\.)+[a-z]{2,}\/?$/.test(url.pathname)) {
      return url;
    }
    return prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW)(url, localeSlug);
  },
  'wordpress.com/theme/': (url, localeSlug, isLoggedIn) => {
    return isLoggedIn ? url : prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW)(url, localeSlug);
  },
  'wordpress.com/themes/': (url, localeSlug, isLoggedIn) => {
    return isLoggedIn ? url : prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW)(url, localeSlug);
  },
  'wordpress.com/plugins/': (url, localeSlug, isLoggedIn) => {
    return isLoggedIn ? url : prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW)(url, localeSlug);
  },
  'wordpress.com/log-in/': (url, localeSlug, isLoggedIn) => {
    return isLoggedIn ? url : suffixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW)(url, localeSlug);
  },
  'wordpress.com/start/': (url, localeSlug, isLoggedIn) => {
    return isLoggedIn ? url : suffixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW)(url, localeSlug);
  },
  'wordpress.com/plans/': (url, localeSlug, isLoggedIn) => {
    // if logged in, or url.pathname contains characters after `/plans/`, don't rewrite
    return isLoggedIn || url.pathname !== '/plans/' ? url : prefixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .localesForPricePlans */ .Ws)(url, localeSlug);
  },
  'wordpress.com/setup/': (url, localeSlug, isLoggedIn) => {
    return isLoggedIn ? url : suffixLocalizedUrlPath(_locales__WEBPACK_IMPORTED_MODULE_4__/* .magnificentNonEnLocales */ .lW)(url, localeSlug);
  }
};
function hasTrailingSlash(urlString) {
  try {
    const url = new URL(String(urlString), INVALID_URL);
    return url.pathname.endsWith('/');
  } catch (e) {
    return false;
  }
}
function localizeUrl(fullUrl, locale = getDefaultLocale(), isLoggedIn = true, preserveTrailingSlashVariation = false) {
  let url;
  try {
    url = new URL(String(fullUrl), INVALID_URL);
  } catch (e) {
    return fullUrl;
  }

  // Ignore and passthrough /relative/urls that have no host specified
  if (url.origin === INVALID_URL) {
    return fullUrl;
  }

  // Let's unify the URL.
  url.protocol = 'https:';
  if (!url.pathname.endsWith('.php')) {
    // Essentially a trailingslashit.
    // We need to do this because the matching list is standardised to use
    // trailing slashes everywhere.
    // However, if the `preserveTrailingSlashVariation` option is enabled, we
    // remove the trailing slash at the end again, when appropriate.
    url.pathname = (url.pathname + '/').replace(/\/+$/, '/');
  }
  const firstPathSegment = url.pathname.substr(0, 1 + url.pathname.indexOf('/', 1));
  if ('en.wordpress.com' === url.host) {
    url.host = 'wordpress.com';
  }
  if ('/' + locale + '/' === firstPathSegment) {
    return fullUrl;
  }

  // Lookup is checked back to front.
  const lookup = [url.host, url.host + firstPathSegment, url.host + url.pathname];
  for (let i = lookup.length - 1; i >= 0; i--) {
    if (lookup[i] in urlLocalizationMapping) {
      const mapped = urlLocalizationMapping[lookup[i]](url, locale, isLoggedIn).href;
      if (!preserveTrailingSlashVariation) {
        return mapped;
      }
      try {
        const mappedUrl = new URL(mapped);
        if (!hasTrailingSlash(fullUrl)) {
          mappedUrl.pathname = mappedUrl.pathname.replace(/\/+$/, '');
        }
        return mappedUrl.href;
      } catch {
        return mapped;
      }
    }
  }

  // Nothing needed to be changed, just return it unmodified.
  return fullUrl;
}
function useLocalizeUrl() {
  const providerLocale = (0,_locale_context__WEBPACK_IMPORTED_MODULE_5__/* .useLocale */ .Ym)();
  return (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)((fullUrl, locale, isLoggedIn, preserveTrailingSlashVariation) => {
    if (locale) {
      return localizeUrl(fullUrl, locale, isLoggedIn, preserveTrailingSlashVariation);
    }
    return localizeUrl(fullUrl, providerLocale, isLoggedIn, preserveTrailingSlashVariation);
  }, [providerLocale]);
}
const withLocalizeUrl = (0,_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__.createHigherOrderComponent)(InnerComponent => {
  return props => {
    const localizeUrl = useLocalizeUrl();
    const innerProps = {
      ...props,
      localizeUrl
    };
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(InnerComponent, innerProps);
  };
}, 'withLocalizeUrl');

/***/ }),

/***/ 57033:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EZ: () => (/* binding */ isDefaultLocale),
/* harmony export */   Z0: () => (/* binding */ getLanguage)
/* harmony export */ });
/* unused harmony exports localeRegexString, getPathParts, isLocaleVariant, isLocaleRtl, canBeTranslated, translationExists, getLanguageSlugs, getMappedLanguageSlug, getLanguageRouteParam, getAnyLanguageRouteParam, getLocaleFromPath, addLocaleToPath, removeLocaleFromPath, filterLanguageRevisions, isMagnificentLocale, isTranslatedIncompletely, addLocaleToPathLocaleInFront, removeLocaleFromPathLocaleInFront, retrieveLocaleFromPathLocaleInFront */
/* harmony import */ var _automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70696);
/* harmony import */ var _automattic_languages__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(14261);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_1__);






/**
 * This regex is defined as a string so that it can be combined with other regexes.
 *
 * a locale can consist of three component
 * aa: language code
 * -bb: regional code
 * _cc: variant suffix
 * while the language code is mandatory, the other two are optional.
 */
const localeRegexString = '[a-zA-Z]{2,3}(-[a-zA-Z]{2,3})?(_[a-zA-Z]{2,6})?';
const localeOnlyRegex = new RegExp('^' + localeRegexString + '$');
function getPathParts(path) {
  // Remove trailing slash then split. If there is a trailing slash,
  // then the end of the array could contain an empty string.
  return path.replace(/\/$/, '').split('/');
}

/**
 * Checks if provided locale is a default one.
 * @param {string} locale - locale slug (eg: 'fr')
 * @returns {boolean} true when the default locale is provided
 */
function isDefaultLocale(locale) {
  return locale === (0,_automattic_calypso_config__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Ay)('i18n_default_locale_slug');
}

/**
 * Checks if provided locale has a parentLangSlug and is therefore a locale variant
 * @param {string} locale - locale slug (eg: 'fr')
 * @returns {boolean} true when the locale has a parentLangSlug
 */
function isLocaleVariant(locale) {
  if (typeof locale !== 'string') {
    return false;
  }
  const language = getLanguage(locale);
  return !!language && typeof language.parentLangSlug === 'string';
}
function isLocaleRtl(locale) {
  if (typeof locale !== 'string') {
    return null;
  }
  const language = getLanguage(locale);
  if (!language) {
    return null;
  }
  return Boolean(language.rtl);
}

/**
 * Checks against a list of locales that don't have any GP translation sets
 * A 'translation set' refers to a collection of strings to be translated see:
 * https://glotpress.blog/the-manual/translation-sets/
 * @param {string} locale - locale slug (eg: 'fr')
 * @returns {boolean} true when the locale is NOT a member of the exception list
 */
function canBeTranslated(locale) {
  return ['en', 'sr_latin'].indexOf(locale) === -1;
}

/**
 * To be used with the same parameters as i18n-calpyso's translate():
 * Check whether the user would be exposed to text not in their language.
 *
 * Since the text is in English, this is always true in that case. Otherwise
 * We check whether a translation was provided for this text.
 * @returns {boolean} true when a user would see text they can read.
 */
function translationExists(phrase) {
  const localeSlug = typeof getLocaleSlug === 'function' ? getLocaleSlug() : 'en';
  return isDefaultLocale(localeSlug) || i18n.hasTranslation(phrase);
}

/**
 * Return a list of all supported language slugs
 * @returns {Array} A list of all supported language slugs
 */
function getLanguageSlugs() {
  return map(languages, 'langSlug');
}

/**
 * Map provided language slug to supported slug if applicable.
 * @param {string} langSlug Locale slug for the language
 * @returns {string} Mapped language slug
 */
function getMappedLanguageSlug(langSlug) {
  // See pxLjZ-6UQ-p2 for details.
  if (langSlug === 'no') {
    return 'nb';
  }
  return langSlug;
}

/**
 * Return a specifier for page.js/Express route param that enumerates all supported languages.
 * @param {string} name of the parameter. By default it's `lang`, some routes use `locale`.
 * @param {boolean} optional whether to put the `?` character at the end, making the param optional
 * @returns {string} Router param specifier that looks like `:lang(cs|de|fr|pl)`
 */
function getLanguageRouteParam(name = 'lang', optional = true) {
  return `:${name}(${getLanguageSlugs().join('|')})${optional ? '?' : ''}`;
}

/**
 * Return a specifier for a route param to match anything that looks like a language code, whether it is valid or not.
 * This is useful for routes that need to match any language, including unsupported ones.
 * @returns {string} Router param specifier string
 */
function getAnyLanguageRouteParam() {
  return ':lang([a-z]{2,3}|[a-z]{2}-[a-z]{2})';
}

/**
 * Matches and returns language from config.languages based on the given localeSlug
 * @param   {string} langSlug locale slug of the language to match
 * @returns {Object | undefined} An object containing the locale data or undefined.
 */
function getLanguage(langSlug) {
  langSlug = getMappedLanguageSlug(langSlug);
  if (langSlug && localeOnlyRegex.test(langSlug)) {
    // Find for the langSlug first. If we can't find it, split it and find its parent slug.
    // Please see the comment above `localeOnlyRegex` to see why we can split by - or _ and find the parent slug.
    return (0,lodash__WEBPACK_IMPORTED_MODULE_1__.find)(_automattic_languages__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A, {
      langSlug
    }) || (0,lodash__WEBPACK_IMPORTED_MODULE_1__.find)(_automattic_languages__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A, {
      langSlug: langSlug.split(/[-_]/)[0]
    });
  }
  return undefined;
}

/**
 * Assuming that locale is adding at the end of path, retrieves the locale if present.
 * @param {string} path - original path
 * @returns {string|undefined} The locale slug if present or undefined
 */
function getLocaleFromPath(path) {
  const urlParts = getUrlParts(path);
  const locale = getPathParts(urlParts.pathname).pop();
  return 'undefined' === typeof getLanguage(locale) ? undefined : locale;
}

/**
 * Adds a locale slug to the current path.
 *
 * Will replace existing locale slug, if present.
 * @param path - original path
 * @param locale - locale slug (eg: 'fr')
 * @returns original path with new locale slug
 */
function addLocaleToPath(path, locale) {
  const urlParts = getUrlParts(path);
  const queryString = urlParts.search || '';
  return removeLocaleFromPath(urlParts.pathname) + `/${locale}` + queryString;
}

/**
 * Removes the trailing locale slug from the path, if it is present.
 * '/start/en' => '/start', '/start' => '/start', '/start/flow/fr' => '/start/flow', '/start/flow' => '/start/flow'
 * @param  path - original path
 * @returns original path minus locale slug
 */
function removeLocaleFromPath(path) {
  const urlParts = getUrlParts(path);
  const queryString = urlParts.search || '';
  const parts = getPathParts(urlParts.pathname);
  const locale = parts.pop();
  if ('undefined' === typeof getLanguage(locale)) {
    parts.push(locale);
  }
  return parts.join('/') + queryString;
}

/**
 * Filter out unexpected values from the given language revisions object.
 * @param {Object} languageRevisions A candidate language revisions object for filtering.
 * @returns {Object} A valid language revisions object derived from the given one.
 */
function filterLanguageRevisions(languageRevisions) {
  const langSlugs = getLanguageSlugs();

  // Since there is no strong guarantee that the passed-in revisions map will have the identical set of languages as we define in calypso,
  // simply filtering against what we have here should be sufficient.
  return pickBy(languageRevisions, (revision, slug) => {
    if (typeof revision !== 'number') {
      return false;
    }
    if (!includes(langSlugs, slug)) {
      return false;
    }
    return true;
  });
}

/**
 * Checks if provided locale is one of the magnificenet non-english locales.
 * @param locale Locale slug
 * @returns true when provided magnificent non-english locale.
 */
function isMagnificentLocale(locale) {
  return config('magnificent_non_en_locales').includes(locale);
}

/**
 * Checks if provided locale is translated incompletely (is missing essential translations).
 * @param   {string}  locale Locale slug
 * @returns {boolean} Whether provided locale is flagged as translated incompletely.
 */
function isTranslatedIncompletely(locale) {
  return getLanguage(locale)?.isTranslatedIncompletely === true;
}

/**
 * Adds a locale slug infront of the current path.
 *
 * Will replace existing locale slug, if present.
 * @param path - original path
 * @param locale - the locale to add to the path (Optional)
 * @returns original path with new locale slug
 */
function addLocaleToPathLocaleInFront(path, locale) {
  const localeOrDefault = locale || getLocaleSlug();
  const urlParts = getUrlParts(path);
  const queryString = urlParts.search || '';
  if (!localeOrDefault || isDefaultLocale(localeOrDefault)) {
    return path;
  }
  return `/${localeOrDefault}` + removeLocaleFromPathLocaleInFront(urlParts.pathname) + queryString;
}

/**
 * Removes the locale slug in the start of the path, if it is present.
 * '/en/themes' => '/themes', '/themes' => '/themes', '/fr/plugins' => '/plugins'
 * @param  path - original path
 * @returns original path minus locale slug
 */
function removeLocaleFromPathLocaleInFront(path) {
  // Remove the first '/'.
  path = path.slice(1);
  const urlParts = getUrlParts(path);
  const queryString = urlParts.search || '';
  const parts = getPathParts(urlParts.pathname);
  const locale = parts.shift();
  if ('undefined' === typeof getLanguage(locale)) {
    parts.unshift(locale);
  }
  return '/' + parts.join('/') + queryString;
}

/**
 * Retreive the locale slug in the start of the path, if it is present.
 * '/en/themes' => 'en', '/themes' => 'en', '/fr/plugins' => 'fr'
 * @param  path - original path
 * @returns locale
 */
function retrieveLocaleFromPathLocaleInFront(path) {
  // Remove the first '/'.
  path = path.slice(1);
  const urlParts = getUrlParts(path);
  const parts = getPathParts(urlParts.pathname);
  const locale = parts.shift();
  if (locale && getLanguage(locale)) {
    return locale;
  }
  return 'en';
}

/***/ }),

/***/ 92540:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ interpolate)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _tokenize__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(33935);


function getCloseIndex(openIndex, tokens) {
  const openToken = tokens[openIndex];
  let nestLevel = 0;
  for (let i = openIndex + 1; i < tokens.length; i++) {
    const token = tokens[i];
    if (token.value === openToken.value) {
      if (token.type === 'componentOpen') {
        nestLevel++;
        continue;
      }
      if (token.type === 'componentClose') {
        if (nestLevel === 0) {
          return i;
        }
        nestLevel--;
      }
    }
  }
  // if we get this far, there was no matching close token
  throw new Error('Missing closing component token `' + openToken.value + '`');
}
function buildChildren(tokens, components) {
  let children = [];
  let openComponent;
  let openIndex;
  for (let i = 0; i < tokens.length; i++) {
    const token = tokens[i];
    if (token.type === 'string') {
      children.push(token.value);
      continue;
    }
    // component node should at least be set
    if (components[token.value] === undefined) {
      throw new Error(`Invalid interpolation, missing component node: \`${token.value}\``);
    }
    // should be either ReactElement or null (both type "object"), all other types deprecated
    if (typeof components[token.value] !== 'object') {
      throw new Error(`Invalid interpolation, component node must be a ReactElement or null: \`${token.value}\``);
    }
    // we should never see a componentClose token in this loop
    if (token.type === 'componentClose') {
      throw new Error(`Missing opening component token: \`${token.value}\``);
    }
    if (token.type === 'componentOpen') {
      openComponent = components[token.value];
      openIndex = i;
      break;
    }
    // componentSelfClosing token
    children.push(components[token.value]);
    continue;
  }
  if (openComponent) {
    const closeIndex = getCloseIndex(openIndex, tokens);
    const grandChildTokens = tokens.slice(openIndex + 1, closeIndex);
    const grandChildren = buildChildren(grandChildTokens, components);
    const clonedOpenComponent = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.cloneElement)(openComponent, {}, grandChildren);
    children.push(clonedOpenComponent);
    if (closeIndex < tokens.length - 1) {
      const siblingTokens = tokens.slice(closeIndex + 1);
      const siblings = buildChildren(siblingTokens, components);
      children = children.concat(siblings);
    }
  }
  children = children.filter(Boolean);
  if (children.length === 0) {
    return null;
  }
  if (children.length === 1) {
    return children[0];
  }
  return /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(react__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, ...children);
}
function interpolate(options) {
  const {
    mixedString,
    components,
    throwErrors
  } = options;
  if (!components) {
    return mixedString;
  }
  if (typeof components !== 'object') {
    if (throwErrors) {
      throw new Error(`Interpolation Error: unable to process \`${mixedString}\` because components is not an object`);
    }
    return mixedString;
  }
  const tokens = (0,_tokenize__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(mixedString);
  try {
    return buildChildren(tokens, components);
  } catch (error) {
    if (throwErrors) {
      throw new Error(`Interpolation Error: unable to process \`${mixedString}\` because of error \`${error.message}\``);
    }
    return mixedString;
  }
}

/***/ }),

/***/ 33935:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ tokenize)
/* harmony export */ });
function identifyToken(item) {
  // {{/example}}
  if (item.startsWith('{{/')) {
    return {
      type: 'componentClose',
      value: item.replace(/\W/g, '')
    };
  }
  // {{example /}}
  if (item.endsWith('/}}')) {
    return {
      type: 'componentSelfClosing',
      value: item.replace(/\W/g, '')
    };
  }
  // {{example}}
  if (item.startsWith('{{')) {
    return {
      type: 'componentOpen',
      value: item.replace(/\W/g, '')
    };
  }
  return {
    type: 'string',
    value: item
  };
}
function tokenize(mixedString) {
  const tokenStrings = mixedString.split(/(\{\{\/?\s*\w+\s*\/?\}\})/g); // split to components and strings
  return tokenStrings.map(identifyToken);
}

/***/ }),

/***/ 85931:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ snakeToCamelCase)
/* harmony export */ });
/**
 * Convert a snake_case_word to a camelCaseWord.
 *
 * This is designed to work nearly identically to the lodash `camelCase` function.
 */
function snakeToCamelCase(snakeCaseString) {
  if (!snakeCaseString) {
    return '';
  }
  return snakeCaseString.toLowerCase().replace(/([-_][a-z0-9])/g, group => group.toUpperCase().replace('-', '').replace('_', ''));
}

/***/ }),

/***/ 42344:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
const defaultCompare = (a, b) => a === b;
function uniqueBy(arr, fn = defaultCompare) {
  return arr.reduce((acc, v) => {
    if (!acc.some(x => fn(v, x))) {
      acc.push(v);
    }
    return acc;
  }, []);
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (uniqueBy);

/***/ }),

/***/ 14261:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _languages_meta_json__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(37891);

const languages = Object.values(_languages_meta_json__WEBPACK_IMPORTED_MODULE_0__);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (languages);

/***/ }),

/***/ 96772:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ko: () => (/* binding */ addScriptCallback),
/* harmony export */   VP: () => (/* binding */ isLoading),
/* harmony export */   lF: () => (/* binding */ handleRequestSuccess),
/* harmony export */   ss: () => (/* binding */ handleRequestError)
/* harmony export */ });
/* unused harmony exports getCallbacksMap, removeScriptCallback, removeScriptCallbacks, removeAllScriptCallbacks, executeCallbacks */
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);

const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('lib/load-script/callback-handler');

/**
 * Module variables
 */
const callbacksForURLsInProgress = new Map();
function getCallbacksMap() {
  return callbacksForURLsInProgress;
}
function isLoading(url) {
  return getCallbacksMap().has(url);
}
function addScriptCallback(url, callback) {
  const callbacksMap = getCallbacksMap();
  if (isLoading(url)) {
    debug(`Adding a callback for an existing script from "${url}"`);
    callbacksMap.get(url).add(callback);
  } else {
    debug(`Adding a callback for a new script from "${url}"`);
    callbacksMap.set(url, new Set([callback]));
  }
}
function removeScriptCallback(url, callback) {
  debug(`Removing a known callback for a script from "${url}"`);
  if (!isLoading(url)) {
    return;
  }
  const callbacksMap = getCallbacksMap();
  const callbacksAtUrl = callbacksMap.get(url);
  callbacksAtUrl.delete(callback);
  if (callbacksAtUrl.size === 0) {
    callbacksMap.delete(url);
  }
}
function removeScriptCallbacks(url) {
  debug(`Removing all callbacks for a script from "${url}"`);
  getCallbacksMap().delete(url);
}
function removeAllScriptCallbacks() {
  debug('Removing all callbacks for scripts from all URLs');
  getCallbacksMap().clear();
}
function executeCallbacks(url, error = null) {
  const callbacksMap = getCallbacksMap();
  const callbacksForUrl = callbacksMap.get(url);
  if (callbacksForUrl) {
    const debugMessage = `Executing callbacks for "${url}"` + (error === null ? ' with success' : ` with error "${error}"`);
    debug(debugMessage);
    callbacksForUrl.forEach(cb => {
      if (typeof cb === 'function') {
        cb(error);
      }
    });
    callbacksMap.delete(url);
  }
}
function handleRequestSuccess() {
  const url = this.getAttribute('src');
  debug(`Handling successful request for "${url}"`);
  executeCallbacks(url);
  this.onload = null;
}
function handleRequestError() {
  const url = this.getAttribute('src');
  debug(`Handling failed request for "${url}"`);
  executeCallbacks(url, new Error(`Failed to load script "${url}"`));
  this.onerror = null;
}

/***/ }),

/***/ 40371:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   H: () => (/* binding */ attachToHead),
/* harmony export */   u: () => (/* binding */ createScriptElement)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _callback_handler__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(96772);


const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('lib/load-script/dom-operations');
function createScriptElement(url, args) {
  debug(`Creating script element for "${url}"`);
  const script = document.createElement('script');
  script.src = url;
  script.type = 'text/javascript';
  script.onload = _callback_handler__WEBPACK_IMPORTED_MODULE_1__/* .handleRequestSuccess */ .lF;
  script.onerror = _callback_handler__WEBPACK_IMPORTED_MODULE_1__/* .handleRequestError */ .ss;
  script.async = true;
  if (args) {
    Object.entries(args).forEach(([key, value]) => script[key] = value);
  }
  return script;
}
function attachToHead(element) {
  debug('Attaching element to head');
  document.head.appendChild(element);
}

/***/ }),

/***/ 7944:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k0: () => (/* binding */ loadScript),
/* harmony export */   r5: () => (/* binding */ loadjQueryDependentScript)
/* harmony export */ });
/* unused harmony export JQUERY_URL */
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _callback_handler__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(96772);
/* harmony import */ var _dom_operations__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(40371);
/**
 * A little module for loading a external script
 *
 */




const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('package/load-script');

// NOTE: This exists for compatibility.


/**
 * Module variables
 */
const JQUERY_URL = 'https://s0.wp.com/wp-includes/js/jquery/jquery.js';

//
// loadScript and loadjQueryDependentScript
//

function loadScript(url, callback, args) {
  // If this script is not currently being loaded, create a script element and attach to document head.
  const shouldLoadScript = !(0,_callback_handler__WEBPACK_IMPORTED_MODULE_1__/* .isLoading */ .VP)(url);
  if (shouldLoadScript) {
    // the onload/onerror callbacks are guaranteed to be called asynchronously, so it's ok to first
    // add the element and only then attach callbacks, as long as it happens in one event loop tick.
    (0,_dom_operations__WEBPACK_IMPORTED_MODULE_2__/* .attachToHead */ .H)((0,_dom_operations__WEBPACK_IMPORTED_MODULE_2__/* .createScriptElement */ .u)(url, args));
  }

  // if callback is provided, behave traditionally
  if (typeof callback === 'function') {
    (0,_callback_handler__WEBPACK_IMPORTED_MODULE_1__/* .addScriptCallback */ .Ko)(url, callback);
    return;
  }

  // but if not, return a Promise
  return new Promise((resolve, reject) => {
    (0,_callback_handler__WEBPACK_IMPORTED_MODULE_1__/* .addScriptCallback */ .Ko)(url, error => {
      if (error === null) {
        resolve();
      } else {
        reject(error);
      }
    });
  });
}
function loadjQueryDependentScript(url, callback, args) {
  debug(`Loading a jQuery dependent script from "${url}"`);
  if (window.jQuery) {
    debug(`jQuery found on window, skipping jQuery script loading for "${url}"`);
    return loadScript(url, callback, args);
  }
  const loadPromise = loadScript(JQUERY_URL).then(() => loadScript(url, callback, args));

  // if callback is provided, call it on resolution
  if (typeof callback === 'function') {
    loadPromise.then(() => callback(null), error => callback(error));
    return;
  }

  // if not, return the Promise
  return loadPromise;
}

/***/ }),

/***/ 77901:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(68962);




const Button = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_2__.forwardRef)(({
  compact,
  borderless,
  onClick,
  className: externalClassName,
  children,
  disabled
}, ref) => {
  const className = classnames__WEBPACK_IMPORTED_MODULE_1___default()('odie-button-default', externalClassName, {
    'odie-button-compact': compact,
    'odie-button-borderless': borderless
  });
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
    ref: ref,
    className: className,
    onClick: onClick,
    disabled: disabled
  }, children);
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Button);

/***/ }),

/***/ 72020:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ EllipsisMenu)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(79812);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var calypso_components_popover_menu__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(83475);
/* harmony import */ var _button__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(77901);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(82903);




// eslint-disable-next-line no-restricted-imports



const EllipsisMenu = ({
  position,
  children,
  popoverClassName
}) => {
  const [isMenuVisible, setMenuVisible] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)(false);
  const popoverContext = (0,react__WEBPACK_IMPORTED_MODULE_2__.useRef)(null);
  const handleClick = () => {
    setMenuVisible(!isMenuVisible);
  };
  const hideMenu = () => {
    setMenuVisible(false);
  };
  const classes = classnames__WEBPACK_IMPORTED_MODULE_1___default()('ellipsis-menu', {
    'is-menu-visible': isMenuVisible
  });
  const popoverClasses = classnames__WEBPACK_IMPORTED_MODULE_1___default()('ellipsis-menu__menu', 'popover', popoverClassName);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: classes
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_button__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A, {
    ref: popoverContext,
    onClick: handleClick,
    borderless: true,
    className: "ellipsis-menu__toggle"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    icon: "ellipsis",
    className: "ellipsis-menu__toggle-icon"
  })), isMenuVisible && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_popover_menu__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A, {
    isVisible: true,
    onClose: hideMenu,
    position: position,
    context: popoverContext.current,
    className: popoverClasses
  }, children));
};

/***/ }),

/***/ 33608:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(15471);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(79812);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(54338);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(25109);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(18997);





const noop = () => {};
const FoldableCard = ({
  actionButton,
  actionButtonExpanded,
  cardKey = '',
  clickableHeader = false,
  compact = false,
  disabled = false,
  expandedSummary,
  expanded = false,
  header = '',
  icon = 'chevron-down',
  iconSize = 24,
  onClick = noop,
  onClose = noop,
  onOpen = noop,
  screenReaderText = false,
  highlight,
  smooth = false,
  contentExpandedStyle,
  contentCollapsedStyle,
  className,
  children
}) => {
  const [isExpanded, setIsExpanded] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)(expanded);
  (0,react__WEBPACK_IMPORTED_MODULE_2__.useEffect)(() => {
    setIsExpanded(expanded);
  }, [expanded]);
  const handleClick = (0,react__WEBPACK_IMPORTED_MODULE_2__.useCallback)(() => {
    if (children) {
      setIsExpanded(!isExpanded);
    }
    onClick();
    if (isExpanded) {
      onClose(cardKey);
    } else {
      onOpen(cardKey);
    }
  }, [isExpanded, onClick, onClose, onOpen, cardKey, children]);
  const getClickAction = () => {
    if (disabled) {
      return;
    }
    return handleClick;
  };
  const getActionButton = () => {
    return isExpanded ? actionButtonExpanded || actionButton : actionButton;
  };
  const renderActionButton = () => {
    const clickAction = !clickableHeader ? getClickAction() : undefined;
    if (actionButton) {
      return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
        className: "foldable-card__action",
        role: "presentation",
        onClick: clickAction
      }, getActionButton());
    }
    if (children) {
      const screenReaderTextContent = screenReaderText || 'More';
      return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
        disabled: disabled,
        type: "button",
        className: "foldable-card__action foldable-card__expand",
        "aria-expanded": isExpanded,
        onClick: clickAction
      }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, null, screenReaderTextContent), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A, {
        icon: icon,
        size: iconSize
      }));
    }
  };
  const renderContent = () => {
    const additionalStyle = isExpanded ? contentExpandedStyle : contentCollapsedStyle;
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      className: "foldable-card__content",
      style: additionalStyle
    }, children);
  };
  const Container = compact ? _automattic_components__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A : _automattic_components__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A;
  const itemSiteClasses = classnames__WEBPACK_IMPORTED_MODULE_1___default()('foldable-card', className, {
    'is-disabled': disabled,
    'is-expanded': isExpanded,
    'has-expanded-summary': !!expandedSummary,
    'is-smooth': smooth
  });
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(Container, {
    className: itemSiteClasses,
    highlight: highlight
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "foldable-card__header is-clickable",
    role: "presentation",
    onClick: getClickAction()
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: "foldable-card__main"
  }, header), renderActionButton()), (isExpanded || smooth) && renderContent());
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (FoldableCard);

/***/ }),

/***/ 94850:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _context__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(39631);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(87117);





// This component will be extended in the future to support other types of links.
// For now, it only supports prompt:// links. But in the future might be more protocols like:
// - navigate:// to navigate within calypso
// - choice:// to send a message to the bot based on the user's choice
// - confirm:// to send a message to the bot based on the user's confirmation
// - etc.
const CustomALink = ({
  href,
  children,
  inline = true
}) => {
  const {
    trackEvent
  } = (0,_context__WEBPACK_IMPORTED_MODULE_3__/* .useOdieAssistantContext */ .mf)();
  const classNames = classnames__WEBPACK_IMPORTED_MODULE_1___default()('odie-sources', {
    'odie-sources-inline': inline
  });
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: classNames
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("a", {
    className: "odie-sources-link",
    href: href,
    target: "_blank",
    rel: "noopener noreferrer",
    onClick: () => {
      trackEvent('chat_message_action_click', {
        action: 'link',
        href: href
      });
    }
  }, children));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CustomALink);

/***/ }),

/***/ 9074:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(59944);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(75795);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(20759);
/* harmony import */ var calypso_components_async_load__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(68913);
/* harmony import */ var calypso_components_gravatar__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(61330);
/* harmony import */ var calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(13034);
/* harmony import */ var _assets_maximize_icon_svg__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(75951);
/* harmony import */ var _assets_minimize_icon_svg__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(63693);
/* harmony import */ var _assets_wapuu_squared_avatar_svg__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(77697);
/* harmony import */ var _assets_wapuu_thinking_svg__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(60906);
/* harmony import */ var _context__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(39631);
/* harmony import */ var _utils_user_typer__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(4047);
/* harmony import */ var _button__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(77901);
/* harmony import */ var _foldable__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(33608);
/* harmony import */ var _custom_a_link__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(94850);
/* harmony import */ var _uri_transformer__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(25254);
/* harmony import */ var _was_this_helpful_buttons__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(2185);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(87117);

/* eslint-disable no-restricted-imports */
/* eslint-disable jsx-a11y/no-static-element-interactions */
/* eslint-disable jsx-a11y/click-events-have-key-events */






















// This is due to the AsyncLoad component. The initial scroll is not working properly, due to
// the fact that the AsyncLoad component is not rendering the children immediately. In order to solve that
// we know that the placeholder component will be unmounted when the AsyncLoad component has finished loading.
const ComponentLoadedReporter = ({
  callback
}) => {
  (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
    return callback;
  }, [callback]);
  return null;
};
const ChatMessage = ({
  message,
  scrollToBottom
}, ref) => {
  const isUser = message.role === 'user';
  const {
    botName,
    extraContactOptions,
    addMessage,
    trackEvent
  } = (0,_context__WEBPACK_IMPORTED_MODULE_10__/* .useOdieAssistantContext */ .mf)();
  const [scrolledToBottom, setScrolledToBottom] = (0,react__WEBPACK_IMPORTED_MODULE_3__.useState)(false);
  const [isFullscreen, setIsFullscreen] = (0,react__WEBPACK_IMPORTED_MODULE_3__.useState)(false);
  const currentUser = (0,react_redux__WEBPACK_IMPORTED_MODULE_5__/* .useSelector */ .d4)(calypso_state_current_user_selectors__WEBPACK_IMPORTED_MODULE_8__/* .getCurrentUser */ .HW);
  const translate = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A)();
  const realTimeMessage = (0,_utils_user_typer__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A)(message.content, !isUser && message.type === 'message', {
    delayBetweenCharacters: 66,
    randomDelayBetweenCharacters: true,
    charactersPerInterval: 5
  });
  const hasSources = message?.context?.sources && message.context?.sources.length > 0;
  const hasFeedback = !!message?.rating_value;
  const isPositiveFeedback = hasFeedback && message && message.rating_value && +message.rating_value === 1;

  // dedupe sources based on url
  let sources = message?.context?.sources ?? [];
  if (sources.length > 0) {
    sources = [...new Map(sources.map(source => [source.url, source])).values()];
  }
  const isTypeMessageOrEmpty = !message.type || message.type === 'message';
  const isSimulatedTypingFinished = message.simulateTyping && message.content === realTimeMessage;
  const isRequestingHumanSupport = message.context?.flags?.forward_to_human_support;
  const fullscreenRef = (0,react__WEBPACK_IMPORTED_MODULE_3__.useRef)(null);
  const messageFullyTyped = isTypeMessageOrEmpty && (!message.simulateTyping || isSimulatedTypingFinished);
  const handleBackdropClick = () => {
    setIsFullscreen(false);
  };
  const handleContentClick = event => {
    event.stopPropagation();
  };
  const messageClasses = classnames__WEBPACK_IMPORTED_MODULE_2___default()('odie-chatbox-message', isUser ? 'odie-chatbox-message-user' : 'odie-chatbox-message-wapuu');
  const handleFullscreenToggle = () => {
    setIsFullscreen(!isFullscreen);
  };
  const handleWheel = (0,react__WEBPACK_IMPORTED_MODULE_3__.useCallback)(event => {
    if (!isFullscreen) {
      return;
    }
    const element = fullscreenRef.current;
    if (element) {
      const {
        scrollTop,
        scrollHeight,
        clientHeight
      } = element;
      const atTop = scrollTop <= 0;
      const tolerance = 2;
      const atBottom = scrollTop + clientHeight >= scrollHeight - tolerance;

      // Prevent scrolling the parent element when at the bounds
      if (atTop && event.deltaY < 0 || atBottom && event.deltaY > 0) {
        event.preventDefault();
        event.stopPropagation();
      }
    }
  }, [isFullscreen]);
  (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
    const fullscreenElement = fullscreenRef.current;
    if (fullscreenElement) {
      fullscreenElement.addEventListener('wheel', handleWheel, {
        passive: false
      });
    }
    return () => {
      if (fullscreenElement) {
        fullscreenElement.removeEventListener('wheel', handleWheel);
      }
    };
  }, [handleWheel]);
  (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
    if (message.content !== realTimeMessage && message.simulateTyping) {
      scrollToBottom();
    }
  }, [message, realTimeMessage, scrollToBottom]);
  (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
    if (messageFullyTyped && !scrolledToBottom) {
      scrollToBottom();
      setScrolledToBottom(true);
    }
  }, [messageFullyTyped, scrolledToBottom, scrollToBottom]);
  if (!currentUser || !botName) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
      ref: ref
    });
  }
  const wapuuAvatarClasses = classnames__WEBPACK_IMPORTED_MODULE_2___default()('odie-chatbox-message-avatar', {
    'odie-chatbox-message-avatar-wapuu-liked': message.liked
  });
  const messageAvatarHeader = isUser ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_gravatar__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A, {
    user: currentUser,
    size: 32,
    alt: translate('User profile display picture', {
      context: 'html alt tag',
      textOnly: true
    })
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("strong", {
    className: "message-header-name"
  }, currentUser.display_name)) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
    src: _assets_wapuu_squared_avatar_svg__WEBPACK_IMPORTED_MODULE_13__,
    alt: translate('%(botName)s profile picture', {
      context: 'html alt tag',
      textOnly: true,
      args: {
        botName
      }
    }),
    className: wapuuAvatarClasses
  }), message.type === 'placeholder' ? (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
    src: _assets_wapuu_thinking_svg__WEBPACK_IMPORTED_MODULE_14__,
    alt: translate('Loading state, awaiting response from %(botName)s', {
      context: 'html alt tag',
      textOnly: true,
      args: {
        botName
      }
    }),
    className: "odie-chatbox-thinking-icon"
  }) : (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("strong", {
    className: "message-header-name"
  }, botName), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "message-header-buttons"
  }, message.content?.length > 600 && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_button__WEBPACK_IMPORTED_MODULE_15__/* ["default"] */ .A, {
    compact: true,
    borderless: true,
    onClick: handleFullscreenToggle
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
    src: isFullscreen ? _assets_minimize_icon_svg__WEBPACK_IMPORTED_MODULE_16__ : _assets_maximize_icon_svg__WEBPACK_IMPORTED_MODULE_17__,
    alt: translate('Icon to expand or collapse %(botName)s messages', {
      context: 'html alt tag',
      textOnly: true,
      args: {
        botName
      }
    })
  }))));
  const messageHeader = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: `message-header ${isUser ? 'user' : 'bot'}`
  }, messageAvatarHeader);
  const shouldRenderExtraContactOptions = isRequestingHumanSupport && messageFullyTyped;
  const onDislike = () => {
    if (shouldRenderExtraContactOptions) {
      return;
    }
    setTimeout(() => {
      addMessage({
        content: '...',
        role: 'bot',
        type: 'dislike-feedback'
      });
    }, 1200);
  };
  const odieChatBoxMessageSourcesContainerClass = classnames__WEBPACK_IMPORTED_MODULE_2___default()('odie-chatbox-message-sources-container', {
    'odie-chatbox-message-sources-container-fullscreen': isFullscreen
  });
  const messageContent = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: odieChatBoxMessageSourcesContainerClass,
    ref: fullscreenRef
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: messageClasses
  }, messageHeader, message.type === 'error' && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_async_load__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    require: "react-markdown",
    placeholder: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(ComponentLoadedReporter, {
      callback: scrollToBottom
    }),
    transformLinkUri: _uri_transformer__WEBPACK_IMPORTED_MODULE_18__/* .uriTransformer */ .Q,
    components: {
      a: _custom_a_link__WEBPACK_IMPORTED_MODULE_19__/* ["default"] */ .A
    }
  }, message.content), extraContactOptions), (message.type === 'message' || !message.type) && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_async_load__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    require: "react-markdown",
    placeholder: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(ComponentLoadedReporter, {
      callback: scrollToBottom
    }),
    transformLinkUri: _uri_transformer__WEBPACK_IMPORTED_MODULE_18__/* .uriTransformer */ .Q,
    components: {
      a: _custom_a_link__WEBPACK_IMPORTED_MODULE_19__/* ["default"] */ .A
    }
  }, isUser || !message.simulateTyping ? message.content : realTimeMessage), !hasFeedback && !isUser && messageFullyTyped && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_was_this_helpful_buttons__WEBPACK_IMPORTED_MODULE_20__/* ["default"] */ .A, {
    message: message,
    onDislike: onDislike
  }), hasFeedback && messageFullyTyped && !isPositiveFeedback && extraContactOptions, !isUser && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "disclaimer"
  }, translate("Generated by WordPress.com's Support AI. AI-generated responses may contain inaccurate information."), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.ExternalLink, {
    href: "https://automattic.com/ai-guidelines"
  }, ' ', translate('Learn more.')))), message.type === 'introduction' && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "odie-introduction-message-content"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "odie-chatbox-introduction-message"
  }, message.content)), message.type === 'dislike-feedback' && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_async_load__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    require: "react-markdown",
    placeholder: (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(ComponentLoadedReporter, {
      callback: scrollToBottom
    }),
    transformLinkUri: _uri_transformer__WEBPACK_IMPORTED_MODULE_18__/* .uriTransformer */ .Q,
    components: {
      a: _custom_a_link__WEBPACK_IMPORTED_MODULE_19__/* ["default"] */ .A
    }
  }, translate('I’m sorry my last response didn’t meet your expectations! Here’s some other ways to get more in-depth help:', {
    context: 'Message displayed when the user dislikes a message from the bot',
    textOnly: true
  })), extraContactOptions), shouldRenderExtraContactOptions && extraContactOptions), hasSources && messageFullyTyped && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_foldable__WEBPACK_IMPORTED_MODULE_21__/* ["default"] */ .A, {
    className: "odie-sources-foldable-card",
    clickableHeader: true,
    header: translate('Related Guides', {
      context: 'Below this text are links to sources for the current message received from the bot.',
      textOnly: true
    }),
    onClose: () => trackEvent('chat_message_action_sources', {
      action: 'close',
      message_id: message.message_id
    }),
    onOpen: () => trackEvent('chat_message_action_sources', {
      action: 'open',
      message_id: message.message_id
    }),
    screenReaderText: "More"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "odie-chatbox-message-sources"
  }, sources.length > 0 && sources.map((source, index) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_custom_a_link__WEBPACK_IMPORTED_MODULE_19__/* ["default"] */ .A, {
    key: index,
    href: source.url,
    inline: false
  }, source?.title)))));
  const fullscreenContent = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "odie-fullscreen",
    onClick: handleBackdropClick
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "odie-fullscreen-backdrop",
    onClick: handleContentClick
  }, messageContent));
  if (isFullscreen) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, messageContent, /*#__PURE__*/react_dom__WEBPACK_IMPORTED_MODULE_4___default().createPortal(fullscreenContent, document.body));
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: odieChatBoxMessageSourcesContainerClass,
    ref: ref
  }, messageContent);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ChatMessage);

/***/ }),

/***/ 95910:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   r: () => (/* binding */ JumpToRecent)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(47906);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(59944);
/* harmony import */ var _context__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(39631);






/**
 * This might be synced with CSS in client/odie/message/style.scss, which is half of the height for the gradient.
 * Used to calculate the bottom offset for the jump to recent button, so it doesn't overlap with the last message.
 * Also, making it twice as big, will prevent the gradient to be not visible when the input grows/shrinks in height.
 */
const heightOffset = 48;
const JumpToRecent = ({
  scrollToBottom,
  enableJumpToRecent,
  bottomOffset
}) => {
  const {
    trackEvent,
    isMinimized
  } = (0,_context__WEBPACK_IMPORTED_MODULE_2__/* .useOdieAssistantContext */ .mf)();
  const translate = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)();
  const jumpToRecent = () => {
    scrollToBottom();
    trackEvent('chat_jump_to_recent_click');
  };
  if (isMinimized) {
    return null;
  }
  const className = classnames__WEBPACK_IMPORTED_MODULE_1___default()('odie-gradient-to-white', {
    'is-visible': enableJumpToRecent,
    'is-hidden': !enableJumpToRecent
  });
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: className,
    style: {
      bottom: bottomOffset - heightOffset
    }
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
    className: "odie-jump-to-recent-message-button",
    onClick: jumpToRecent
  }, translate('Jump to recent', {
    context: 'A dynamic button that appears on a chatbox, when the last message is not vissible'
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A, {
    icon: _wordpress_icons__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A,
    fill: "white"
  })));
};

/***/ }),

/***/ 62910:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   G: () => (/* binding */ ThumbsUpIcon),
/* harmony export */   d: () => (/* binding */ ThumbsDownIcon)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);

const ThumbsUpIcon = ({
  className
}) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  className: className
}, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M9.24155 10.0159C9.31208 10.0054 9.38426 10 9.45771 10C9.77958 10 10.0633 9.78887 10.1558 9.48058L11.3423 5.52577C11.4359 5.21371 11.7231 5 12.0489 5C13.6788 5 15 6.32124 15 7.95108V9.5C15 9.77614 15.2239 10 15.5 10H17.4384C18.7396 10 19.6943 11.2228 19.3787 12.4851L18.3787 16.4851C18.1561 17.3754 17.3562 18 16.4384 18H10C9.52703 18 9.0924 17.8358 8.75 17.5613C8.4076 17.8358 7.97297 18 7.5 18H6C5.44772 18 5 17.5523 5 17V10C5 9.44772 5.44772 9 6 9H7.5C8.24683 9 8.89806 9.40935 9.24155 10.0159ZM15.5 11.5H17.4384C17.7637 11.5 18.0024 11.8057 17.9235 12.1213L16.9235 16.1213C16.8679 16.3439 16.6679 16.5 16.4384 16.5H10C9.72386 16.5 9.5 16.2761 9.5 16V11.4996C10.4668 11.4814 11.3138 10.8408 11.5926 9.9116L12.5853 6.60237C13.1212 6.81569 13.5 7.33915 13.5 7.95108V9.5C13.5 10.6046 14.3954 11.5 15.5 11.5ZM8 16V11C8 10.7239 7.77614 10.5 7.5 10.5H6.5V16.5H7.5C7.77614 16.5 8 16.2761 8 16Z"
}));
const ThumbsDownIcon = ({
  className
}) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  width: "24",
  height: "24",
  viewBox: "0 0 24 24",
  className: className
}, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("path", {
  fillRule: "evenodd",
  clipRule: "evenodd",
  d: "M15.1979 12.9841C15.1273 12.9946 15.0552 13 14.9817 13C14.6599 13 14.3761 13.2111 14.2836 13.5194L13.0972 17.4742C13.0035 17.7863 12.7163 18 12.3905 18C10.7607 18 9.43943 16.6788 9.43943 15.0489V13.5C9.43943 13.2239 9.21557 13 8.93943 13H7.00098C5.69984 13 4.74513 11.7772 5.0607 10.5149L6.0607 6.51493C6.28328 5.62459 7.08325 5 8.00098 5L14.4394 5C14.9124 5 15.347 5.16418 15.6894 5.43866C16.0318 5.16418 16.4665 5 16.9394 5L18.4394 5C18.9917 5 19.4394 5.44772 19.4394 6V13C19.4394 13.5523 18.9917 14 18.4394 14H16.9394C16.1926 14 15.5414 13.5906 15.1979 12.9841ZM8.93943 11.5H7.00098C6.6757 11.5 6.43702 11.1943 6.51591 10.8787L7.51591 6.87873C7.57156 6.65615 7.77155 6.5 8.00098 6.5L14.4394 6.5C14.7156 6.5 14.9394 6.72386 14.9394 7V11.5004C13.9727 11.5186 13.1256 12.1592 12.8469 13.0884L11.8541 16.3976C11.3182 16.1843 10.9394 15.6608 10.9394 15.0489V13.5C10.9394 12.3954 10.044 11.5 8.93943 11.5ZM16.4394 7V12C16.4394 12.2761 16.6633 12.5 16.9394 12.5H17.9394V6.5H16.9394C16.6633 6.5 16.4394 6.72386 16.4394 7Z"
}));

/***/ }),

/***/ 25254:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ uriTransformer)
/* harmony export */ });
// This is exactly the same implementation that is used in the react-markdown library.
// It is used to allow only certain protocols in links, and that's why I've copied it here.
// And overrided with my own implementation to include 'prompt' protocol. We might add more
// protocols in the future, but for now, this is enough. That would REALLY simplify things for
// us, because adding a new protocol would be as simple as adding it to the array above, and
// and extending the component custom-a-link.tsx to handle it. That's it.
const protocols = ['http', 'https', 'mailto', 'tel', 'prompt'];

/**
 * @param {string} uri
 * @returns {string}
 */
function uriTransformer(uri) {
  const url = (uri || '').trim();
  const first = url.charAt(0);
  if (first === '#' || first === '/') {
    return url;
  }
  const colon = url.indexOf(':');
  if (colon === -1) {
    return url;
  }
  let index = -1;
  while (++index < protocols.length) {
    const protocol = protocols[index];
    if (colon === protocol.length && url.slice(0, protocol.length).toLowerCase() === protocol) {
      return url;
    }
  }
  index = url.indexOf('?');
  if (index !== -1 && colon > index) {
    return url;
  }
  index = url.indexOf('#');
  if (index !== -1 && colon > index) {
    return url;
  }

  // eslint-disable-next-line no-script-url
  return 'javascript:void(0)';
}

/***/ }),

/***/ 2185:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(59944);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(93283);
/* harmony import */ var _context__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(39631);
/* harmony import */ var _query__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(73874);
/* harmony import */ var _thumbs_icons__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(62910);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(87117);








const WasThisHelpfulButtons = ({
  message,
  onDislike = _context__WEBPACK_IMPORTED_MODULE_3__/* .noop */ .lQ
}) => {
  const translate = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)();
  const {
    setMessageLikedStatus,
    trackEvent
  } = (0,_context__WEBPACK_IMPORTED_MODULE_3__/* .useOdieAssistantContext */ .mf)();
  const {
    mutateAsync: sendOdieMessageFeedback
  } = (0,_query__WEBPACK_IMPORTED_MODULE_5__/* .useOdieSendMessageFeedback */ .nB)();
  const liked = message.liked === true;
  const disliked = message.liked === false;
  const rated = message.liked !== null && message.liked !== undefined;
  const handleIsHelpful = isHelpful => {
    sendOdieMessageFeedback({
      message,
      rating_value: isHelpful ? ___WEBPACK_IMPORTED_MODULE_6__/* .ODIE_THUMBS_UP_RATING_VALUE */ .U : ___WEBPACK_IMPORTED_MODULE_6__/* .ODIE_THUMBS_DOWN_RATING_VALUE */ .PN
    });
    setMessageLikedStatus(message, isHelpful);
    if (!isHelpful) {
      onDislike();
    }
    trackEvent('chat_message_action_feedback', {
      action: 'feedback',
      is_helpful: isHelpful,
      message_id: message.message_id
    });
  };
  const thumbsUpClasses = classnames__WEBPACK_IMPORTED_MODULE_1___default()({
    'odie-feedback-component-button-icon-disabled': rated && disliked,
    'odie-feedback-component-button-icon-pressed': rated && liked
  });
  const thumbsDownClasses = classnames__WEBPACK_IMPORTED_MODULE_1___default()({
    'odie-feedback-component-button-icon-disabled': rated && liked,
    'odie-feedback-component-button-icon-pressed': rated && disliked
  });
  const questionClasses = classnames__WEBPACK_IMPORTED_MODULE_1___default()('odie-feedback-component-question', {
    'odie-question-out': rated,
    'odie-question-hidden': rated
  });
  const thanksClasses = classnames__WEBPACK_IMPORTED_MODULE_1___default()('odie-feedback-component-thanks', {
    'odie-thanks-in': rated,
    'odie-thanks-hidden': !rated
  });
  const buttonLikedClasses = classnames__WEBPACK_IMPORTED_MODULE_1___default()('odie-feedback-component-button', {
    'odie-feedback-component-button-liked-pressed': rated && liked,
    'odie-feedback-component-button-liked-disabled': rated && disliked
  });
  const buttonDislikedClasses = classnames__WEBPACK_IMPORTED_MODULE_1___default()('odie-feedback-component-button', {
    'odie-feedback-component-button-disliked-pressed': rated && disliked,
    'odie-feedback-component-button-disliked-disabled': rated && liked
  });
  const containerClasses = classnames__WEBPACK_IMPORTED_MODULE_1___default()('odie-feedback-component-container', {
    'odie-question-collapse': rated
  });
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: containerClasses
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "odie-feedback-message"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: questionClasses
  }, translate('Was this helpful?', {
    context: 'Indicates if a messaged provided by a chatbot was helpful or not'
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: thanksClasses
  }, translate('Thanks!', {
    context: 'Indicates that the user has provided feedback to a chatbot message'
  }))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("span", {
    className: "odie-feedback-component-button-container"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
    className: buttonLikedClasses,
    onClick: () => handleIsHelpful(true),
    disabled: disliked
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_thumbs_icons__WEBPACK_IMPORTED_MODULE_7__/* .ThumbsUpIcon */ .G, {
    className: thumbsUpClasses
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
    className: buttonDislikedClasses,
    onClick: () => handleIsHelpful(false),
    disabled: liked
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_thumbs_icons__WEBPACK_IMPORTED_MODULE_7__/* .ThumbsDownIcon */ .d, {
    className: thumbsDownClasses
  }))));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (WasThisHelpfulButtons);

/***/ }),

/***/ 32330:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   T: () => (/* binding */ OdieSendMessageButton)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(59944);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var calypso_components_textarea_autosize__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(48259);
/* harmony import */ var _assets_arrow_up_svg__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(43198);
/* harmony import */ var _context__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(39631);
/* harmony import */ var _query__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(73874);
/* harmony import */ var _message_jump_to_recent__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(95910);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(26343);

/* eslint-disable no-restricted-imports */








const OdieSendMessageButton = ({
  scrollToRecent,
  scrollToBottom,
  enableStickToBottom,
  enableJumpToRecent
}) => {
  const [messageString, setMessageString] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)('');
  const divContainerRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
  const {
    initialUserMessage,
    chat,
    isLoading,
    trackEvent
  } = (0,_context__WEBPACK_IMPORTED_MODULE_4__/* .useOdieAssistantContext */ .mf)();
  const {
    mutateAsync: sendOdieMessage
  } = (0,_query__WEBPACK_IMPORTED_MODULE_5__/* .useOdieSendMessage */ .Qy)();
  const translate = (0,i18n_calypso__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)();
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    if (initialUserMessage && !chat.chat_id) {
      setMessageString(initialUserMessage);
    }
  }, [initialUserMessage, chat.chat_id]);
  const sendMessage = async () => {
    try {
      trackEvent('chat_message_action_send');
      const message = {
        content: messageString,
        role: 'user',
        type: 'message'
      };
      await sendOdieMessage({
        message
      });
      trackEvent('chat_message_action_receive');
    } catch (e) {
      const error = e;
      trackEvent('chat_message_error', {
        error: error?.message
      });
    }
  };
  const sendMessageIfNotEmpty = async () => {
    if (messageString.trim() === '') {
      return;
    }
    setMessageString('');
    enableStickToBottom();
    await sendMessage();
    scrollToBottom(true);
  };
  const handleKeyPress = async event => {
    scrollToBottom(false);
    if (isLoading) {
      return;
    }
    if (event.key === 'Enter' && !event.shiftKey) {
      event.preventDefault();
      await sendMessageIfNotEmpty();
    }
  };
  const handleSubmit = async event => {
    event.preventDefault();
    await sendMessageIfNotEmpty();
  };
  const divContainerHeight = divContainerRef?.current?.clientHeight;
  const userHasAskedToContactHE = chat.messages.some(message => message.context?.flags?.forward_to_human_support === true);
  const userHasNegativeFeedback = chat.messages.some(message => message.liked === false);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_message_jump_to_recent__WEBPACK_IMPORTED_MODULE_7__/* .JumpToRecent */ .r, {
    scrollToBottom: scrollToRecent,
    enableJumpToRecent: enableJumpToRecent,
    bottomOffset: divContainerHeight ?? 0
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "odie-chat-message-input-container",
    ref: divContainerRef
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("form", {
    onSubmit: handleSubmit,
    className: "odie-send-message-input-container"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(calypso_components_textarea_autosize__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A, {
    placeholder: userHasAskedToContactHE || userHasNegativeFeedback ? translate('Continue chatting with Wapuu', {
      context: 'Placeholder text for the message input field (chat)',
      textOnly: true
    }) : translate('Ask your question', {
      context: 'Placeholder text for the message input field (chat)',
      textOnly: true
    }),
    className: "odie-send-message-input",
    rows: 1,
    value: messageString,
    onChange: event => setMessageString(event.currentTarget.value),
    onKeyPress: handleKeyPress
  }), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
    type: "submit",
    className: "odie-send-message-inner-button",
    disabled: messageString.trim() === '' || isLoading
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
    src: _assets_arrow_up_svg__WEBPACK_IMPORTED_MODULE_8__,
    alt: translate('Arrow icon', {
      context: 'html alt tag',
      textOnly: true
    })
  })))));
};

/***/ }),

/***/ 82152:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   r: () => (/* binding */ getOdieInitialMessage)
/* harmony export */ });
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__);

const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_0__.__;
const getOdieInitialPrompt = botNameSlug => {
  switch (botNameSlug) {
    case 'wpcom-support-chat':
      return __('Hi there 👋 I’m Wapuu, WordPress.com’s AI assistant! Having an issue with your site or account? Tell me all about it and I’ll be happy to help.');
  }
};
const getOdieInitialMessage = botNameSlug => {
  return {
    content: getOdieInitialPrompt(botNameSlug),
    role: 'bot',
    type: 'introduction'
  };
};

/***/ }),

/***/ 39631:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   JU: () => (/* binding */ OdieAssistantProvider),
/* harmony export */   lQ: () => (/* binding */ noop),
/* harmony export */   mf: () => (/* binding */ useOdieAssistantContext)
/* harmony export */ });
/* unused harmony exports odieClientId, OdieAssistantContext */
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _data__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(14366);
/* harmony import */ var _get_odie_initial_message__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(82152);
/* harmony import */ var _use_load_previous_chat__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(22288);





// eslint-disable-next-line @typescript-eslint/no-empty-function
const noop = () => {};

/*
 * This is the interface for the context. It contains all the methods and values that are
 * available to the components that are wrapped in the provider.
 *
 */

const defaultContextInterfaceValues = {
  addMessage: noop,
  botName: 'Wapuu',
  botNameSlug: 'wpcom-support-chat',
  chat: {
    context: {
      section_name: '',
      site_id: null
    },
    messages: []
  },
  clearChat: noop,
  initialUserMessage: null,
  isLoadingChat: false,
  isLoading: false,
  isMinimized: false,
  isNudging: false,
  isVisible: false,
  lastNudge: null,
  odieClientId: '',
  sendNudge: noop,
  setChat: noop,
  setIsLoadingChat: noop,
  setMessageLikedStatus: noop,
  setContext: noop,
  setIsNudging: noop,
  setIsVisible: noop,
  setIsLoading: noop,
  trackEvent: noop,
  updateMessage: noop
};

// Create a default new context
const OdieAssistantContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.createContext)(defaultContextInterfaceValues);

// Custom hook to access the OdieAssistantContext
const useOdieAssistantContext = () => (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(OdieAssistantContext);

// Generate random client id
const odieClientId = Math.random().toString(36).substring(2, 15);
// Create a provider component for the context
const OdieAssistantProvider = ({
  botName = 'Wapuu assistant',
  botNameSlug = 'wpcom-support-chat',
  initialUserMessage,
  isMinimized = false,
  extraContactOptions,
  enabled = true,
  logger,
  loggerEventNamePrefix,
  selectedSiteId,
  version = null,
  children
}) => {
  const [isVisible, setIsVisible] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
  const [isLoading, setIsLoading] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
  const [isNudging, setIsNudging] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
  const [lastNudge, setLastNudge] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(null);
  const existingChatIdString = (0,_data__WEBPACK_IMPORTED_MODULE_2__/* .useOdieStorage */ .o_)('chat_id');
  const existingChatId = existingChatIdString ? parseInt(existingChatIdString, 10) : null;
  const existingChat = (0,_use_load_previous_chat__WEBPACK_IMPORTED_MODULE_3__/* .useLoadPreviousChat */ .n)(botNameSlug, existingChatId);
  const urlSearchParams = new URLSearchParams(window.location.search);
  const versionParams = urlSearchParams.get('version');
  const [chat, setChat] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(existingChat);
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    if (existingChat.chat_id) {
      setChat(existingChat);
    }
  }, [existingChat, existingChat.chat_id]);
  const trackEvent = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((eventName, properties = {}) => {
    const event = loggerEventNamePrefix ? `${loggerEventNamePrefix}_${eventName}` : eventName;
    logger?.(event, {
      ...properties,
      chat_id: chat?.chat_id,
      bot_name_slug: botNameSlug
    });
  }, [botNameSlug, chat?.chat_id, logger, loggerEventNamePrefix]);
  const clearChat = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
    (0,_data__WEBPACK_IMPORTED_MODULE_2__/* .clearOdieStorage */ .oD)('chat_id');
    setChat({
      chat_id: null,
      messages: [(0,_get_odie_initial_message__WEBPACK_IMPORTED_MODULE_4__/* .getOdieInitialMessage */ .r)(botNameSlug)]
    });
    trackEvent('chat_cleared', {});
    (0,_data__WEBPACK_IMPORTED_MODULE_2__/* .broadcastChatClearance */ .C4)(odieClientId);
  }, [botNameSlug, trackEvent]);
  const setMessageLikedStatus = (message, liked) => {
    setChat(prevChat => {
      const messageIndex = prevChat.messages.findIndex(m => m === message);
      const updatedMessage = {
        ...message,
        liked
      };
      return {
        ...prevChat,
        messages: [...prevChat.messages.slice(0, messageIndex), updatedMessage, ...prevChat.messages.slice(messageIndex + 1)]
      };
    });
  };
  const addMessage = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(message => {
    setChat(prevChat => {
      // Normalize message to always be an array
      const newMessages = Array.isArray(message) ? message : [message];

      // Filter out 'placeholder' messages if new message is not 'dislike-feedback'
      const filteredMessages = newMessages.some(msg => msg.type === 'dislike-feedback') ? prevChat.messages : prevChat.messages.filter(msg => msg.type !== 'placeholder');

      // Append new messages at the end
      return {
        chat_id: prevChat.chat_id,
        messages: [...filteredMessages, ...newMessages]
      };
    });
  }, [setChat]);
  (0,_data__WEBPACK_IMPORTED_MODULE_2__/* .useOdieBroadcastWithCallbacks */ .q_)({
    addMessage,
    clearChat
  }, odieClientId);
  const updateMessage = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(message => {
    setChat(prevChat => {
      const updatedMessages = prevChat.messages.map(prevMessage => message.internal_message_id && prevMessage.internal_message_id === message.internal_message_id || message.message_id && prevMessage.message_id === message.message_id ? {
        ...prevMessage,
        ...message
      } : prevMessage);
      return {
        ...prevChat,
        messages: updatedMessages
      };
    });
  }, [setChat]);
  const overridenVersion = versionParams || version;
  if (!enabled) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, children);
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(OdieAssistantContext.Provider, {
    value: {
      addMessage,
      botName,
      botNameSlug,
      chat,
      clearChat,
      extraContactOptions,
      initialUserMessage,
      isLoadingChat: false,
      isLoading: isLoading,
      isMinimized,
      isNudging,
      isVisible,
      lastNudge,
      odieClientId,
      selectedSiteId,
      sendNudge: setLastNudge,
      setChat,
      setIsLoadingChat: noop,
      setMessageLikedStatus,
      setContext: noop,
      setIsLoading,
      setIsNudging,
      setIsVisible,
      trackEvent,
      updateMessage,
      version: overridenVersion
    }
  }, children);
};


/***/ }),

/***/ 22288:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   n: () => (/* binding */ useLoadPreviousChat)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _query__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(73874);
/* harmony import */ var _get_odie_initial_message__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(82152);



const useLoadPreviousChat = (botNameSlug, chatId) => {
  const {
    data: existingChat
  } = (0,_query__WEBPACK_IMPORTED_MODULE_1__/* .useOdieGetChat */ .RO)(botNameSlug, chatId, 1, 30);
  const [chat, setChat] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)({
    chat_id: null,
    messages: [(0,_get_odie_initial_message__WEBPACK_IMPORTED_MODULE_2__/* .getOdieInitialMessage */ .r)(botNameSlug)]
  });
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (existingChat) {
      const initialMessage = (0,_get_odie_initial_message__WEBPACK_IMPORTED_MODULE_2__/* .getOdieInitialMessage */ .r)(botNameSlug);
      const messages = [initialMessage, ...existingChat.messages];
      setChat({
        ...existingChat,
        messages
      });
    } else {
      setChat({
        chat_id: null,
        messages: [(0,_get_odie_initial_message__WEBPACK_IMPORTED_MODULE_2__/* .getOdieInitialMessage */ .r)(botNameSlug)]
      });
    }
  }, [botNameSlug, chatId, existingChat]);
  return chat;
};

/***/ }),

/***/ 14366:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C4: () => (/* binding */ broadcastChatClearance),
/* harmony export */   F1: () => (/* binding */ setOdieStorage),
/* harmony export */   Zr: () => (/* binding */ getOdieStorage),
/* harmony export */   gX: () => (/* binding */ broadcastOdieMessage),
/* harmony export */   oD: () => (/* binding */ clearOdieStorage),
/* harmony export */   o_: () => (/* binding */ useOdieStorage),
/* harmony export */   q_: () => (/* binding */ useOdieBroadcastWithCallbacks)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);

const buildOdieStorageKey = key => `odie_${key}`;
const storageEventName = 'odieStorageEvent';
const messageEventName = 'odieMessageEvent';
const clearChatEventName = 'clearChatEvent';
const getOdieStorage = key => {
  const storageKey = buildOdieStorageKey(key);
  return localStorage.getItem(storageKey);
};
const setOdieStorage = (key, value) => {
  const storageKey = buildOdieStorageKey(key);
  localStorage.setItem(storageKey, value);

  // Duplicate the value to last_chat_id
  if (key === 'chat_id') {
    localStorage.setItem(buildOdieStorageKey('last_chat_id'), value);
    window.dispatchEvent(new CustomEvent(storageEventName, {
      detail: {
        key: buildOdieStorageKey('last_chat_id'),
        value: value
      }
    }));
  }
  const event = new CustomEvent(storageEventName, {
    detail: {
      key: storageKey,
      value: value
    }
  });
  window.dispatchEvent(event);
};
const clearOdieStorage = key => {
  const storageKey = buildOdieStorageKey(key);
  localStorage.removeItem(storageKey);
  const event = new CustomEvent(storageEventName, {
    detail: {
      key: storageKey,
      value: null
    }
  });
  window.dispatchEvent(event);
};
const useOdieStorage = key => {
  const storageKey = buildOdieStorageKey(key);
  const [value, setValue] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(getOdieStorage(key));
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const storageListener = e => {
      if (e.key === storageKey) {
        setValue(e.newValue);
      }
    };
    const customStorageListener = e => {
      const detail = e.detail;
      if (detail.key === storageKey) {
        setValue(detail.value);
      }
    };
    window.addEventListener('storage', storageListener);
    window.addEventListener(storageEventName, customStorageListener);
    return () => {
      window.removeEventListener('storage', storageListener);
      window.removeEventListener(storageEventName, customStorageListener);
    };
  }, [key, storageKey]);
  return value;
};
const broadcastOdieMessage = (message, origin) => {
  const bc = new BroadcastChannel('odieChannel');
  bc.postMessage({
    type: messageEventName,
    message,
    odieClientId: origin
  });
};
const broadcastChatClearance = origin => {
  const bc = new BroadcastChannel('odieChannel');
  bc.postMessage({
    type: clearChatEventName,
    odieClientId: origin
  });
};
const useOdieBroadcastWithCallbacks = (callbacks, listenerClientId) => {
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const bc = new BroadcastChannel('odieChannel');
    bc.onmessage = event => {
      const odieClientId = event.data.odieClientId;
      if (listenerClientId !== odieClientId) {
        if (event.data.type === messageEventName && callbacks.addMessage) {
          callbacks.addMessage(event.data.message);
        } else if (event.data.type === clearChatEventName && callbacks.clearChat) {
          callbacks.clearChat();
        }
      }
    };
    return () => {
      bc.close();
    };
  }, [callbacks, listenerClientId]);
};

/***/ }),

/***/ 93283:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ar: () => (/* binding */ OdieAssistant),
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   PN: () => (/* binding */ ODIE_THUMBS_DOWN_RATING_VALUE),
/* harmony export */   U: () => (/* binding */ ODIE_THUMBS_UP_RATING_VALUE),
/* harmony export */   uA: () => (/* binding */ WAPUU_ERROR_MESSAGE)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var i18n_calypso__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(85744);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_intersection_observer__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(31126);
/* harmony import */ var _components_message__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9074);
/* harmony import */ var _components_send_message_input__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(32330);
/* harmony import */ var _context__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(39631);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(81260);








const WAPUU_ERROR_MESSAGE = i18n_calypso__WEBPACK_IMPORTED_MODULE_3__/* ["default"].translate */ .Ay.translate("Wapuu oopsie! 😺 I'm in snooze mode and can't chat just now. Don't fret, just browse through the buttons below to connect with WordPress.com support.", {
  comment: 'Error message when Wapuu fails to send a message',
  textOnly: true
});
const ODIE_THUMBS_DOWN_RATING_VALUE = 0;
const ODIE_THUMBS_UP_RATING_VALUE = 1;
const ForwardedChatMessage = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.forwardRef)(_components_message__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A);
const OdieAssistant = () => {
  const {
    chat,
    trackEvent
  } = (0,_context__WEBPACK_IMPORTED_MODULE_5__/* .useOdieAssistantContext */ .mf)();
  const chatboxMessagesRef = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
  const {
    ref: bottomRef,
    entry: lastMessageElement,
    inView
  } = (0,react_intersection_observer__WEBPACK_IMPORTED_MODULE_6__/* .useInView */ .Wx)({
    threshold: 0
  });
  const [stickToBottom, setStickToBottom] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(true);
  const scrollToBottom = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)((force = false) => {
    if (force || stickToBottom) {
      requestAnimationFrame(() => {
        if (lastMessageElement?.target) {
          lastMessageElement.target.scrollIntoView({
            behavior: 'auto',
            block: 'start',
            inline: 'nearest'
          });
        }
      });
    }
  }, [lastMessageElement?.target, stickToBottom]);
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    trackEvent('chatbox_view');
  }, [trackEvent]);
  const scrollToInitialBlockOfLastMessage = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(() => {
    if (chatboxMessagesRef.current) {
      requestAnimationFrame(() => {
        if (lastMessageElement?.target) {
          lastMessageElement?.target.scrollIntoView({
            behavior: 'smooth',
            block: 'start',
            inline: 'nearest'
          });
        }
      });
    }
  }, [lastMessageElement?.target]);
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    scrollToInitialBlockOfLastMessage();
  }, [chat.messages.length, scrollToInitialBlockOfLastMessage]);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "chatbox"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "chat-box-message-container"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "chatbox-messages",
    ref: chatboxMessagesRef,
    onWheel: event => {
      // If delta is negative, we are scrolling up so we want to disable stick to bottom
      // we might improve this in the future for touch devices
      if (event.deltaY < 0) {
        setStickToBottom(false);
      } else if (chatboxMessagesRef.current) {
        const scrollHeight = chatboxMessagesRef.current.scrollHeight;
        const scrollTop = chatboxMessagesRef.current.scrollTop;
        const clientHeight = chatboxMessagesRef.current.clientHeight;
        const scrollBottom = scrollHeight - scrollTop - clientHeight;
        setStickToBottom(scrollBottom < 8);
      }
    }
  }, chat.messages.map((message, index) => {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(ForwardedChatMessage, {
      message: message,
      key: index,
      scrollToBottom: scrollToBottom,
      ref: chat.messages.length - 1 === index ? bottomRef : undefined
    });
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_components_send_message_input__WEBPACK_IMPORTED_MODULE_7__/* .OdieSendMessageButton */ .T, {
    scrollToBottom: scrollToBottom,
    scrollToRecent: scrollToInitialBlockOfLastMessage,
    enableStickToBottom: () => setStickToBottom(true),
    enableJumpToRecent: !inView
  })));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (_context__WEBPACK_IMPORTED_MODULE_5__/* .OdieAssistantProvider */ .JU);




/***/ }),

/***/ 73874:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Qy: () => (/* binding */ useOdieSendMessage),
/* harmony export */   RO: () => (/* binding */ useOdieGetChat),
/* harmony export */   nB: () => (/* binding */ useOdieSendMessageFeedback)
/* harmony export */ });
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(93402);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(50960);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(35223);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(41445);
/* harmony import */ var calypso_lib_wp__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(89406);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(93283);
/* harmony import */ var _context__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(39631);
/* harmony import */ var _data__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(14366);




// eslint-disable-next-line no-restricted-imports




// Either we use wpcom or apiFetch for the request for accessing odie endpoint for atomic or wpcom sites
const buildSendChatMessage = async (message, botNameSlug, chat_id, version, selectedSiteId) => {
  const baseApiPath = '/help-center/odie/chat/';
  const wpcomBaseApiPath = '/odie/chat/';
  const apiPathWithIds = chat_id !== null && chat_id !== undefined ? `${baseApiPath}${botNameSlug}/${chat_id}` : `${baseApiPath}${botNameSlug}`;
  const wpcomApiPathWithIds = chat_id !== null && chat_id !== undefined ? `${wpcomBaseApiPath}${botNameSlug}/${chat_id}` : `${wpcomBaseApiPath}${botNameSlug}`;
  return (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__/* .canAccessWpcomApis */ .IH)() ? odieWpcomSendSupportMessage(message, wpcomApiPathWithIds, version, selectedSiteId) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
    path: apiPathWithIds,
    method: 'POST',
    data: {
      message,
      version,
      context: {
        selectedSiteId
      }
    }
  });
};
function odieWpcomSendSupportMessage(message, path, version, selectedSiteId) {
  return calypso_lib_wp__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A.req.post({
    path,
    apiNamespace: 'wpcom/v2',
    body: {
      message: message.content,
      version,
      context: {
        selectedSiteId
      }
    }
  });
}

// Internal helper function to generate a uuid
function uuid() {
  return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
    const r = Math.random() * 16 | 0;
    const v = c === 'x' ? r : r & 0x3 | 0x8;
    return v.toString(16);
  });
}

/**
 * It will post a new message using the current chat_id.
 * The message object should be in the format of Message type. The mutator will take
 * care of adding placeholders and error messages to the chat.
 * @returns UseMutationResult
 * @example
 * const { mutate, isLoading } = useOdieSendMessage();
 * mutate( { message: { content: 'Hello' } } );
 */
const useOdieSendMessage = () => {
  const {
    chat,
    botNameSlug,
    setIsLoading,
    addMessage,
    updateMessage,
    odieClientId,
    selectedSiteId,
    version
  } = (0,_context__WEBPACK_IMPORTED_MODULE_4__/* .useOdieAssistantContext */ .mf)();
  const queryClient = (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_5__/* .useQueryClient */ .jE)();
  const userMessage = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_6__/* .useMutation */ .n)({
    mutationFn: ({
      message
    }) => {
      (0,_data__WEBPACK_IMPORTED_MODULE_7__/* .broadcastOdieMessage */ .gX)(message, odieClientId);
      return buildSendChatMessage({
        ...message
      }, botNameSlug, chat.chat_id, version, selectedSiteId);
    },
    onMutate: ({
      message
    }) => {
      const internal_message_id = uuid();
      addMessage([message, {
        internal_message_id,
        content: '...',
        role: 'bot',
        type: 'placeholder'
      }]);
      setIsLoading(true);
      userMessage.current = message;
      return {
        internal_message_id
      };
    },
    onSuccess: (data, _, context) => {
      if (!context) {
        throw new Error('Context is undefined');
      }
      const {
        internal_message_id
      } = context;
      if (!data.messages || !data.messages[0].content) {
        const message = {
          content: ___WEBPACK_IMPORTED_MODULE_8__/* .WAPUU_ERROR_MESSAGE */ .uA,
          internal_message_id,
          role: 'bot',
          type: 'error'
        };
        updateMessage(message);
        (0,_data__WEBPACK_IMPORTED_MODULE_7__/* .broadcastOdieMessage */ .gX)(message, odieClientId);
        return;
      }
      const message = {
        message_id: data.messages[0].message_id,
        internal_message_id,
        content: data.messages[0].content,
        role: 'bot',
        simulateTyping: data.messages[0].simulateTyping,
        type: 'message',
        context: data.messages[0].context
      };
      updateMessage(message);
      (0,_data__WEBPACK_IMPORTED_MODULE_7__/* .broadcastOdieMessage */ .gX)(message, odieClientId);
      (0,_data__WEBPACK_IMPORTED_MODULE_7__/* .setOdieStorage */ .F1)('chat_id', data.chat_id);
      const queryKey = ['chat', botNameSlug, data.chat_id, 1, 30, true];
      queryClient.setQueryData(queryKey, currentChatCache => {
        if (!currentChatCache) {
          return {
            chat_id: data.chat_id,
            messages: [userMessage.current, message]
          };
        }
        return {
          ...currentChatCache,
          messages: [...currentChatCache.messages, userMessage.current, {
            ...message,
            simulateTyping: false
          }]
        };
      });
    },
    onSettled: () => {
      setIsLoading(false);
    },
    onError: (_, __, context) => {
      if (!context) {
        throw new Error('Context is undefined');
      }
      const {
        internal_message_id
      } = context;
      const message = {
        content: ___WEBPACK_IMPORTED_MODULE_8__/* .WAPUU_ERROR_MESSAGE */ .uA,
        internal_message_id,
        role: 'bot',
        type: 'error'
      };
      updateMessage(message);
      (0,_data__WEBPACK_IMPORTED_MODULE_7__/* .broadcastOdieMessage */ .gX)(message, odieClientId);
    }
  });
};
const buildGetChatMessage = (botNameSlug, chat_id, page, perPage, includeFeedback) => {
  const urlQueryParams = new URLSearchParams({
    page_number: page.toString(),
    items_per_page: perPage.toString(),
    include_feedback: includeFeedback.toString()
  });
  const baseApiPath = `/help-center/odie/chat/${botNameSlug}/${chat_id}?${urlQueryParams.toString()}`;
  const wpcomBaseApiPath = `/odie/chat/${botNameSlug}/${chat_id}?${urlQueryParams.toString()}`;
  return (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__/* .canAccessWpcomApis */ .IH)() ? odieWpcomGetChat(wpcomBaseApiPath) : _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
    path: baseApiPath,
    method: 'GET'
  });
};
function odieWpcomGetChat(path) {
  return calypso_lib_wp__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A.req.get({
    path,
    apiNamespace: 'wpcom/v2'
  });
}

/**
 * It will get the chat messages using the current chat_id.
 * @returns UseQueryResult
 * @example
 * const { data, isLoading } = useOdieGetChat();
 */
const useOdieGetChat = (botNameSlug, chatId, page = 1, perPage = 10, includeFeedback = true) => {
  const {
    chat
  } = (0,_context__WEBPACK_IMPORTED_MODULE_4__/* .useOdieAssistantContext */ .mf)();
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_9__/* .useQuery */ .I)({
    queryKey: ['chat', botNameSlug, chatId, page, perPage, includeFeedback],
    queryFn: () => buildGetChatMessage(botNameSlug, chatId, page, perPage, includeFeedback),
    refetchOnWindowFocus: false,
    enabled: !!chatId && !chat.chat_id
  });
};
const odieWpcomSendMessageFeedback = (botNameSlug, chatId, messageId, rating_value) => {
  const path = `/odie/chat/${botNameSlug}/${chatId}/${messageId}/feedback`;
  return calypso_lib_wp__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A.req.post({
    path,
    apiNamespace: 'wpcom/v2',
    body: {
      rating_value
    }
  });
};

/**
 * It will post a new message using the current chat_id.
 * This mutator is intended to shend feedback (thumbs up or down) for a message.
 * @returns UseMutationResult
 * @example
 * const { mutate, isLoading } = useOdieSendMessageFeedback();
 * mutate( { rating_value: 1, message: { message_id: 123 } } );
 */
const useOdieSendMessageFeedback = () => {
  const {
    chat,
    botNameSlug
  } = (0,_context__WEBPACK_IMPORTED_MODULE_4__/* .useOdieAssistantContext */ .mf)();
  const queryClient = (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_5__/* .useQueryClient */ .jE)();
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_6__/* .useMutation */ .n)({
    mutationFn: ({
      rating_value,
      message
    }) => {
      return odieWpcomSendMessageFeedback(botNameSlug, chat.chat_id || 0, message.message_id || 0, rating_value);
    },
    onSuccess: (_, {
      rating_value,
      message
    }) => {
      const queryKey = ['chat', botNameSlug, chat.chat_id, 1, 30, true];
      queryClient.setQueryData(queryKey, currentChatCache => {
        if (!currentChatCache) {
          return;
        }
        return {
          ...currentChatCache,
          messages: currentChatCache.messages.map(m => m.internal_message_id === message.internal_message_id ? {
            ...m,
            rating_value
          } : m)
        };
      });
    }
  });
};

/***/ }),

/***/ 4047:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useTyper)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var calypso_lib_interval_use_interval__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(35079);

// eslint-disable-next-line no-restricted-imports

const DEFAULT_OPTIONS = {
  charactersPerInterval: 1,
  delayBetweenCharacters: 120,
  delayBetweenPhrases: 1200,
  randomDelayBetweenCharacters: false
};

/**
 * A React hook that returns typing-machine animated strings
 * @param phrases An array of strings you want to create the typing effect for
 * @param enabled Whether the animation is enabled
 * @param options Animation options
 * @returns truncated strings from `phrases` array.
 * The word get longer at every passing `delayBetweenCharacters` until it's fully spelled,
 * then the next word is spelled out after `delayBetweenPhrases` passes.
 */
function useTyper(phrases, enabled = true, options) {
  const [charIndex, setCharIndex] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(0);
  const [phraseIndex, setPhraseIndex] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(0);
  const [mode, setMode] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)('TYPING');
  const populatedOptions = {
    ...DEFAULT_OPTIONS,
    ...options
  };
  const delayBetweenCharacters = populatedOptions.randomDelayBetweenCharacters ? Math.random() * populatedOptions.delayBetweenCharacters : populatedOptions.delayBetweenCharacters;
  const delayInCharacters = populatedOptions.randomDelayBetweenCharacters ? delayBetweenCharacters : populatedOptions.delayBetweenPhrases / populatedOptions.delayBetweenCharacters;
  const phrasesArray = Array.isArray(phrases) ? phrases : [phrases];
  const singlePhrase = phrasesArray.length === 1;
  (0,calypso_lib_interval_use_interval__WEBPACK_IMPORTED_MODULE_1__/* .useInterval */ .$)(() => {
    // disable the animation to save render cycles if it's not needed
    if (enabled && phrasesArray && phrasesArray.length) {
      // wait extra characters between phrases to emulate a pause between phrases without extra logic
      // `charIndex > word.length` is not a problem for substr :)
      if (singlePhrase && mode === 'DELETING') {
        return;
      }
      if (charIndex - delayInCharacters < phrasesArray[phraseIndex].length && mode === 'TYPING' || charIndex >= populatedOptions.charactersPerInterval && mode === 'DELETING') {
        const increment = mode === 'TYPING' ? populatedOptions.charactersPerInterval : -populatedOptions.charactersPerInterval;
        setCharIndex(charIndex + increment);
      } else if (mode === 'TYPING') {
        // start deleting
        setMode('DELETING');
      } else {
        // Pick the next phrase
        setPhraseIndex((phraseIndex + 1) % phrasesArray.length);
        setMode('TYPING');
      }
    }
  }, mode === 'TYPING' ? delayBetweenCharacters : populatedOptions.delayBetweenCharacters / 3);
  if (phrasesArray && phrasesArray.length) {
    return phrasesArray[phraseIndex].substr(0, charIndex);
  }
  return '';
}

/***/ }),

/***/ 59342:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ photon)
/* harmony export */ });
/* harmony import */ var crc32__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(39430);
/* harmony import */ var crc32__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(crc32__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var seed_random__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(71953);
/* harmony import */ var seed_random__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(seed_random__WEBPACK_IMPORTED_MODULE_2__);



const debug = debug__WEBPACK_IMPORTED_MODULE_1___default()('photon');

/**
 * Options argument to query string parameter mappings.
 */
const mappings = {
  width: 'w',
  height: 'h',
  letterboxing: 'lb',
  removeLetterboxing: 'ulb'
};
const PARSE_BASE_HOST = '__domain__.invalid';
const PARSE_BASE_URL = `https://${PARSE_BASE_HOST}`;
const PHOTON_BASE_URL = 'https://i0.wp.com';
/**
 * Returns a "photon" URL from the given image URL.
 *
 * Defaults to returning an `https:` secure URL from Photon.
 * Pass `secure: false` to get `http:`.
 *
 * Photon documentation: http://developer.wordpress.com/docs/photon/
 * @param imageUrl - the URL of the image to run through Photon
 * @param [opts]   - optional options object with Photon options
 * @returns The generated Photon URL string
 */
function photon(imageUrl, opts) {
  let parsedUrl;
  try {
    parsedUrl = new URL(imageUrl, PARSE_BASE_URL);
  } catch {
    // Return null for invalid URLs.
    return null;
  }
  const wasSecure = parsedUrl.protocol === 'https:';
  const photonUrl = new URL(PHOTON_BASE_URL);
  if (isAlreadyPhotoned(parsedUrl.host)) {
    // We already have a server to use.
    // Use it, even if it doesn't match our hash.
    photonUrl.pathname = parsedUrl.pathname;
    photonUrl.hostname = wasSecure ? 'i0.wp.com' : parsedUrl.hostname;
  } else {
    // Photon does not support URLs with a querystring component
    if (parsedUrl.search) {
      return null;
    }
    let formattedUrl = parsedUrl.href.replace(`${parsedUrl.protocol}/`, '');
    // Handle blob: protocol URLs.
    if (parsedUrl.protocol === 'blob:') {
      formattedUrl = parsedUrl.pathname.replace('://', '//');
    }
    // Handle path-absolute and path-relative URLs.
    if (parsedUrl.hostname === PARSE_BASE_HOST) {
      formattedUrl = parsedUrl.pathname;
    }
    photonUrl.pathname = formattedUrl;
    photonUrl.hostname = serverFromUrlParts(formattedUrl, photonUrl.protocol === 'https:');
    if (wasSecure) {
      photonUrl.searchParams.set('ssl', '1');
    }
  }
  if (opts) {
    for (const [opt, value] of Object.entries(opts)) {
      if (opt === 'host' || opt === 'hostname') {
        photonUrl.hostname = value;
        continue;
      }
      if (opt === 'secure' && !value) {
        photonUrl.protocol = 'http:';
        continue;
      }
      photonUrl.searchParams.set(mappings[opt] ?? opt, value.toString());
    }
  }

  // do this after so a passed opt can't override it

  debug('generated Photon URL: %s', photonUrl.href);
  return photonUrl.href;
}
function isAlreadyPhotoned(host) {
  return /^i[0-2]\.wp\.com$/.test(host);
}

/**
 * Determine which Photon server to connect to: `i0`, `i1`, or `i2`.
 *
 * Statically hash the subdomain based on the URL, to optimize browser caches.
 * Only use i0 when using photon over https, based on the assumption that https
 * maps to http/2 (or later)
 * @param  {string} pathname The pathname to use
 * @param  {boolean} isSecure Whether we're constructing a HTTPS URL or a HTTP one
 * @returns {string}          The hostname for the pathname
 */
function serverFromUrlParts(pathname, isSecure) {
  if (isSecure) {
    return 'i0.wp.com';
  }
  const hash = crc32__WEBPACK_IMPORTED_MODULE_0___default()(pathname);
  const rng = seed_random__WEBPACK_IMPORTED_MODULE_2___default()(hash);
  const server = 'i' + Math.floor(rng() * 3);
  debug('determined server "%s" to use with "%s"', server, pathname);
  return server + '.wp.com';
}

/***/ }),

/***/ 92070:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   p: () => (/* binding */ useArrowNavigation)
/* harmony export */ });
/* harmony import */ var _wordpress_dom__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(28107);
/* harmony import */ var _wordpress_dom__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_dom__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);


const useArrowNavigation = (enabled, element, open, onOpen) => {
  const handleTrapFocus = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(event => {
    const focusableElements = element ? _wordpress_dom__WEBPACK_IMPORTED_MODULE_0__.focus.focusable.find(element) : [];
    let focusedIndex = focusableElements.findIndex(el => document.activeElement === el);
    focusedIndex = focusedIndex === -1 ? 0 : focusedIndex;
    if (event.key === 'ArrowUp') {
      let index = focusedIndex - 1;
      if (index < 0) {
        index = focusableElements.length - 1;
      }
      focusableElements[index]?.focus();
    } else if (event.key === 'ArrowDown') {
      const index = (focusedIndex + 1) % focusableElements.length;
      focusableElements[index]?.focus();
      if (!open) {
        onOpen();
      }
    }
    if (['ArrowUp', 'ArrowDown'].includes(event.key)) {
      event.preventDefault();
      event.stopPropagation();
    }
  }, [element, open, onOpen]);
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    if (enabled) {
      document.addEventListener('keydown', handleTrapFocus);
    }
    return () => {
      document.removeEventListener('keydown', handleTrapFocus);
    };
  }, [handleTrapFocus, enabled]);
};

/***/ }),

/***/ 54118:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   b: () => (/* binding */ SitePickerDropDown)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_tour_kit__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(4248);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(46263);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(64446);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(16091);
/* harmony import */ var _wordpress_icons__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(47906);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _hooks__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(92070);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(48763);

/* eslint-disable wpcalypso/jsx-classname-namespace */


const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__;





const SiteLogo = ({
  logo
}) => {
  if (logo?.url) {
    return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
      width: "34",
      alt: "",
      "aria-hidden": "true",
      src: logo?.url
    });
  }
  return _wordpress_icons__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A;
};
const SitePickerItem = ({
  host,
  name,
  onClick,
  open,
  mainItem,
  selected,
  logo,
  id,
  enabled = true
}) => {
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("button", {
    className: classnames__WEBPACK_IMPORTED_MODULE_2___default()('site-picker__site-item', {
      'main-item': mainItem,
      selected,
      enabled
    }),
    onClick: onClick
    // eslint-disable-next-line jsx-a11y/no-autofocus
    ,
    autoFocus: selected,
    tabIndex: 0,
    id: id
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "site-picker__site-item-site-logo"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(SiteLogo, {
    logo: logo
  })), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "site-picker__site-info"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h1", {
    className: "site-picker__site-title"
  }, name), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", {
    className: "site-picker__site-domain"
  }, host)), mainItem && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_icons__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    icon: open ? _wordpress_icons__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A : _wordpress_icons__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A,
    width: "34"
  })));
};
const SitePickerDropDown = ({
  siteId,
  options,
  onPickSite,
  enabled
}) => {
  const [ref, setRef] = (0,react__WEBPACK_IMPORTED_MODULE_3__.useState)(null);
  const [open, setOpen] = (0,react__WEBPACK_IMPORTED_MODULE_3__.useState)(false);
  (0,_automattic_tour_kit__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A)({
    current: ref
  });
  (0,_hooks__WEBPACK_IMPORTED_MODULE_10__/* .useArrowNavigation */ .p)(enabled, ref, open, () => setOpen(true));
  const selectedSite = options.find(s => s?.ID === siteId) || options[0];

  // close on clicking outside
  (0,react__WEBPACK_IMPORTED_MODULE_3__.useEffect)(() => {
    function onClickOutside(event) {
      if (ref && !ref.contains(event.target)) {
        setOpen(false);
      }
    }
    if (open && enabled) {
      window.addEventListener('click', onClickOutside);
      return () => {
        window.removeEventListener('click', onClickOutside);
      };
    }
  }, [siteId, options, open, ref, enabled]);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("label", {
    className: "site-picker__label",
    htmlFor: "site-picker-button"
  }, enabled ? __('Select a site', "full-site-editing") : __('Site', "full-site-editing")), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: classnames__WEBPACK_IMPORTED_MODULE_2___default()('site-picker__site-dropdown', {
      open
    })
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(SitePickerItem, {
    host: selectedSite?.URL?.replace('https://', '') ?? '',
    enabled: enabled,
    name: selectedSite?.name ??
    // if site has no name, show URL
    selectedSite?.URL?.replace('https://', '') ?? __('Unknown site', "full-site-editing"),
    logo: selectedSite?.logo
    // mainItem implies showing the dropdown arrow, hide it when the picking feature is disabled
    ,
    mainItem: enabled,
    open: open,
    onClick: () => {
      if (enabled) {
        setOpen(o => !o);
      }
    },
    onKeyDown: event => {
      if (event.key === 'ArrowDown' && enabled) {
        setOpen(true);
      }
    },
    id: "site-picker-button"
  }), open && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    ref: r => r !== ref && setRef(r),
    className: "site-picker__site-drawer"
  }, options.map((option, index) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(SitePickerItem, {
    host: option?.URL?.replace('https://', '') ?? '',
    name: option?.name ?? '',
    open: open,
    logo: option?.logo,
    onClick: () => {
      if (option) {
        onPickSite(option?.ID);
        setOpen(false);
      }
    },
    selected: option?.ID === siteId,
    id: `site-picker-button-item-${index}`,
    key: index
  })))));
};

/***/ }),

/***/ 70482:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ createSelector)
/* harmony export */ });
/* harmony import */ var _wordpress_is_shallow_equal__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(20923);
/* harmony import */ var _wordpress_is_shallow_equal__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_is_shallow_equal__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_warning__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(10979);
/* harmony import */ var _wordpress_warning__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_warning__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_2__);




/**
 * Constants
 */

/**
 * Defines acceptable argument types for a memoized selector when using the
 * default cache key generating function.
 */
const VALID_ARG_TYPES = ['number', 'boolean', 'string'];
/**
 * Default behavior for determining whether current state differs from previous
 * state, which is the basis upon which memoize cache is cleared. Should return
 * a value or array of values to be shallowly compared for strict equality.
 * @param state Current state object
 * @returns Value(s) to be shallow compared
 */
const DEFAULT_GET_DEPENDANTS = state => state;

/**
 * At runtime, assigns a function which returns a cache key for the memoized
 * selector function, given a state object and a variable set of arguments. In
 * development mode, this warns when the memoized selector is passed a complex
 * object argument, as these cannot be depended upon as reliable cache keys.
 */
const DEFAULT_GET_CACHE_KEY = (() => {
  if (true) {
    return (_, ...args) => args.join();
  }
  return (_, ...args) => {
    const hasInvalidArg = args.some(arg => {
      return arg && !VALID_ARG_TYPES.includes(typeof arg);
    });
    if (hasInvalidArg) {
      _wordpress_warning__WEBPACK_IMPORTED_MODULE_1___default()('Do not pass complex objects as arguments for a memoized selector');
    }
    return args.join();
  };
})();

/**
 * Given an array of getDependants functions, returns a single function which,
 * when called, returns an array of mapped results from those functions.
 * @param dependants Array of getDependants
 * @returns Function mapping getDependants results
 */
const makeSelectorFromArray = dependants => (state, ...args) => dependants.map(dependant => dependant(state, ...args));

/**
 * Returns a memoized state selector for use with the global application state.
 * @param selector      Function calculating cached result
 * @param getDependants Function(s) describing dependent
 *                                             state, or an array of dependent
 *                                             state selectors
 * @param getCacheKey   Function generating cache key
 * @returns Memoized selector
 */
function createSelector(selector, getDependants = DEFAULT_GET_DEPENDANTS, getCacheKey = DEFAULT_GET_CACHE_KEY) {
  const memoizedSelector = (0,lodash__WEBPACK_IMPORTED_MODULE_2__.memoize)(selector, getCacheKey);
  let lastDependants;
  const getDependantsFn = typeof getDependants === 'function' ? getDependants : makeSelectorFromArray(getDependants);
  return Object.assign(function (state, ...args) {
    let currentDependants = getDependantsFn(state, ...args);
    if (!Array.isArray(currentDependants)) {
      currentDependants = [currentDependants];
    }
    if (lastDependants && !_wordpress_is_shallow_equal__WEBPACK_IMPORTED_MODULE_0___default()(currentDependants, lastDependants)) {
      memoizedSelector.cache.clear?.();
    }
    lastDependants = currentDependants;
    return memoizedSelector(state, ...args);
  }, {
    memoizedSelector
  });
}

/***/ }),

/***/ 67441:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(66087);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);

function isThunk(action) {
  return 'function' === typeof action;
}

/**
 * Given an action object or thunk, returns an updated object or thunk which
 * will include additional data in the action (as provided) when dispatched.
 * @see 'client/state/utils/with-enhancers' for a more advanced alternative
 * @param action Action object or thunk
 * @param data   Additional data to include in action
 * @returns Augmented action object or thunk
 */
function extendAction(action, data = {}) {
  if (!isThunk(action)) {
    return (0,lodash__WEBPACK_IMPORTED_MODULE_0__.merge)({}, action, data);
  }
  return (dispatch, getState, ...extraArgs) => {
    const newDispatch = a => dispatch(extendAction(a, data));
    return action(newDispatch, getState, ...extraArgs);
  };
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (extendAction);

/***/ }),

/***/ 5113:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ getInitialState)
/* harmony export */ });
function getInitialState(reducer) {
  return reducer(undefined, {
    type: '@@calypso/INIT'
  });
}

/***/ }),

/***/ 64583:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Cj: () => (/* reexport safe */ _get_initial_state__WEBPACK_IMPORTED_MODULE_2__.A),
/* harmony export */   Mz: () => (/* reexport safe */ _create_selector__WEBPACK_IMPORTED_MODULE_0__.A),
/* harmony export */   p6: () => (/* reexport safe */ _with_storage_key__WEBPACK_IMPORTED_MODULE_3__.A),
/* harmony export */   vY: () => (/* reexport safe */ _extend_action__WEBPACK_IMPORTED_MODULE_1__.A)
/* harmony export */ });
/* harmony import */ var _create_selector__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(70482);
/* harmony import */ var _extend_action__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(67441);
/* harmony import */ var _get_initial_state__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5113);
/* harmony import */ var _with_storage_key__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(45750);





/***/ }),

/***/ 45750:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
const withStorageKey = (storageKey, reducer) => {
  reducer.storageKey = storageKey;
  return reducer;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (withStorageKey);

/***/ }),

/***/ 4248:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_dom__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(28107);
/* harmony import */ var _wordpress_dom__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_dom__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_1__);
/**
 * External Dependencies
 */


/**
 * A hook that constraints tabbing/focus on focuable elements in the given element ref.
 * @param ref React.MutableRefObject< null | HTMLElement >
 */
const useFocusTrap = ref => {
  const [firstFocusableElement, setFirstFocusableElement] = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.useState)();
  const [lastFocusableElement, setLastFocusableElement] = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.useState)();
  const handleTrapFocus = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.useCallback)(event => {
    let handled = false;
    if (event.key === 'Tab') {
      if (event.shiftKey) {
        // Shift + Tab
        if (document.activeElement === firstFocusableElement) {
          lastFocusableElement?.focus();
          handled = true;
        }
      } else if (document.activeElement === lastFocusableElement) {
        // Tab
        firstFocusableElement?.focus();
        handled = true;
      }
    }
    if (handled) {
      event.preventDefault();
      event.stopPropagation();
    }
  }, [firstFocusableElement, lastFocusableElement]);
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    const focusableElements = ref.current ? _wordpress_dom__WEBPACK_IMPORTED_MODULE_0__.focus.focusable.find(ref.current) : [];
    if (focusableElements && focusableElements.length) {
      setFirstFocusableElement(focusableElements[0]);
      setLastFocusableElement(focusableElements[focusableElements.length - 1]);
    }
    document.addEventListener('keydown', handleTrapFocus);
    return () => {
      document.removeEventListener('keydown', handleTrapFocus);
    };
  }, [ref, handleTrapFocus]);
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useFocusTrap);

/***/ }),

/***/ 24057:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ treeSelect)
/* harmony export */ });
const defaultGetCacheKey = (...args) => args.join();
const isFunction = fn => {
  return !!fn && typeof fn === 'function';
};
const isObject = o => {
  return !!o && typeof o === 'object';
};

// eslint-disable-line @typescript-eslint/ban-types

/**
 * Returns a selector that caches values.
 * @param getDependents A Function describing the dependent(s) of the selector.
 *                      Must return an array which gets passed as the first arg to the selector.
 * @param selector      A standard selector for calculating cached result.
 * @param options       Options bag with additional arguments.
 * @returns Cached selector
 */
function treeSelect(getDependents, selector, options = {}) {
  if (false) {}
  let cache = new WeakMap();
  const {
    getCacheKey = defaultGetCacheKey
  } = options;
  const cachedSelector = function (state, ...args) {
    const dependents = getDependents(state, ...args);
    if (false) {}

    // create a dependency tree for caching selector results.
    // this is beneficial over standard memoization techniques so that we can
    // garbage collect any values that are based on outdated dependents
    const leafCache = dependents.reduce(insertDependentKey, cache);
    const key = getCacheKey(...args);
    if (leafCache.has(key)) {
      return leafCache.get(key);
    }
    const value = selector(dependents, ...args);
    leafCache.set(key, value);
    return value;
  };
  cachedSelector.clearCache = () => {
    // WeakMap doesn't have `clear` method, so we need to recreate it
    cache = new WeakMap();
  };
  return cachedSelector;
}

/*
 * This object will be used as a WeakMap key if a dependency is a falsy value (null, undefined, ...)
 */
const NULLISH_KEY = {};

/*
 * First tries to get the value for the key.
 * If the key is not present, then inserts a new map and returns it
 *
 * Note: Inserts WeakMaps except for the last map which will be a regular Map.
 * The last map is a regular one because the the key for the last map is the string results of args.join().
 */
function insertDependentKey(map, key, currentIndex, arr) {
  // eslint-disable-line @typescript-eslint/no-explicit-any
  if (key != null && Object(key) !== key) {
    throw new TypeError('key must be an object, `null`, or `undefined`');
  }
  const weakMapKey = key || NULLISH_KEY;
  const existingMap = map.get(weakMapKey);
  if (existingMap) {
    return existingMap;
  }
  const newMap = currentIndex === arr.length - 1 ? new Map() : new WeakMap();
  map.set(weakMapKey, newMap);
  return newMap;
}

/***/ }),

/***/ 44638:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   lC: () => (/* binding */ useMobileBreakpoint)
/* harmony export */ });
/* unused harmony exports useBreakpoint, useDesktopBreakpoint, withBreakpoint, withMobileBreakpoint, withDesktopBreakpoint */
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(89575);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_viewport__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(59886);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(29491);
/* harmony import */ var _wordpress_compose__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);






/**
 * React hook for getting the status for a breakpoint and keeping it updated.
 * @param {string} breakpoint The breakpoint to consider.
 * @returns {boolean} The current status for the breakpoint.
 */
function useBreakpoint(breakpoint) {
  const [state, setState] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)(() => ({
    isActive: (0,_automattic_viewport__WEBPACK_IMPORTED_MODULE_3__/* .isWithinBreakpoint */ .hO)(breakpoint),
    breakpoint
  }));
  (0,react__WEBPACK_IMPORTED_MODULE_2__.useEffect)(() => {
    function handleBreakpointChange(isActive) {
      setState(prevState => {
        // Ensure we bail out without rendering if nothing changes, by preserving state.
        if (prevState.isActive === isActive && prevState.breakpoint === breakpoint) {
          return prevState;
        }
        return {
          isActive,
          breakpoint
        };
      });
    }
    const unsubscribe = (0,_automattic_viewport__WEBPACK_IMPORTED_MODULE_3__/* .subscribeIsWithinBreakpoint */ .xV)(breakpoint, handleBreakpointChange);
    // The unsubscribe function is the entire cleanup for the effect.
    return unsubscribe;
  }, [breakpoint]);
  return breakpoint === state.breakpoint ? state.isActive : (0,_automattic_viewport__WEBPACK_IMPORTED_MODULE_3__/* .isWithinBreakpoint */ .hO)(breakpoint);
}

/**
 * React hook for getting the status for the mobile breakpoint and keeping it
 * updated.
 * @returns {boolean} The current status for the breakpoint.
 */
function useMobileBreakpoint() {
  return useBreakpoint(_automattic_viewport__WEBPACK_IMPORTED_MODULE_3__/* .MOBILE_BREAKPOINT */ .Dy);
}

/**
 * React hook for getting the status for the desktop breakpoint and keeping it
 * updated.
 * @returns {boolean} The current status for the breakpoint.
 */
function useDesktopBreakpoint() {
  return useBreakpoint(DESKTOP_BREAKPOINT);
}

/**
 * React higher order component for getting the status for a breakpoint and
 * keeping it updated.
 * @param {string} breakpoint The breakpoint to consider.
 * @returns {Function} A function that given a component returns the
 * wrapped component.
 */
const withBreakpoint = breakpoint => createHigherOrderComponent(WrappedComponent => /*#__PURE__*/forwardRef((props, ref) => {
  const isActive = useBreakpoint(breakpoint);
  return createElement(WrappedComponent, _extends({}, props, {
    isBreakpointActive: isActive,
    ref: ref
  }));
}), 'WithBreakpoint');

/**
 * React higher order component for getting the status for the mobile
 * breakpoint and keeping it updated.
 * @param {import('react').Component|Function} Wrapped The component to wrap.
 * @returns {Function} The wrapped component.
 */
const withMobileBreakpoint = (0,_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__.createHigherOrderComponent)(WrappedComponent => /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_2__.forwardRef)((props, ref) => {
  const isActive = useBreakpoint(_automattic_viewport__WEBPACK_IMPORTED_MODULE_3__/* .MOBILE_BREAKPOINT */ .Dy);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(WrappedComponent, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)({}, props, {
    isBreakpointActive: isActive,
    ref: ref
  }));
}), 'WithMobileBreakpoint');

/**
 * React higher order component for getting the status for the desktop
 * breakpoint and keeping it updated.
 * @param {import('react').Component|Function} Wrapped The component to wrap.
 * @returns {Function} The wrapped component.
 */
const withDesktopBreakpoint = (0,_wordpress_compose__WEBPACK_IMPORTED_MODULE_1__.createHigherOrderComponent)(WrappedComponent => /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_2__.forwardRef)((props, ref) => {
  const isActive = useBreakpoint(_automattic_viewport__WEBPACK_IMPORTED_MODULE_3__/* .DESKTOP_BREAKPOINT */ .jK);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(WrappedComponent, (0,_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)({}, props, {
    isBreakpointActive: isActive,
    ref: ref
  }));
}), 'WithDesktopBreakpoint');

/***/ }),

/***/ 59886:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Dy: () => (/* binding */ MOBILE_BREAKPOINT),
/* harmony export */   Fr: () => (/* binding */ isMobile),
/* harmony export */   UK: () => (/* binding */ resolveDeviceTypeByViewPort),
/* harmony export */   hO: () => (/* binding */ isWithinBreakpoint),
/* harmony export */   jK: () => (/* binding */ DESKTOP_BREAKPOINT),
/* harmony export */   xV: () => (/* binding */ subscribeIsWithinBreakpoint)
/* harmony export */ });
/* unused harmony exports getMediaQueryList, subscribeIsMobile, isDesktop, subscribeIsDesktop, getWindowInnerWidth, isTabletResolution, DEVICE_MOBILE, DEVICE_TABLET, DEVICE_DESKTOP */
// Determine whether a user is viewing calypso from a device within a
// particular mobile-first responsive breakpoint, matching our existing media
// queries. [1]
//
// This function takes a string matching one of our mobile-first breakpoints
// and returns a boolean based on whether the current `window.innerWidth`
// matches. This is used to segment behavior based on device or browser size,
// but should not be used in place of css for design.
//
// Valid breakpoints include:
// - '<480px'
// - '<660px'
// - '<800px'
// - '<960px'
// - '<1040px'
// - '<1280px'
// - '<1400px'
// - '>480px'
// - '>660px'
// - '>800px'
// - '>960px'
// - '>1040px'
// - '>1280px'
// - '>1400px'
// - '480px-660px'
// - '480px-960px'
// - '660px-960px'
//
// As implemented in our sass media query mixins, minimums are exclusive, while
// maximums are inclusive. i.e.,
//
// - '>480px' is equivalent to `@media (min-width: 481px)`
// - '<960px' is equivalent to `@media (max-width: 960px)`
// - '480px-960px' is equivalent to `@media (max-width: 960px) and (min-width: 481px)`
//
// [1] https://github.com/Automattic/wp-calypso/blob/HEAD/docs/coding-guidelines/css.md#media-queries
//

// FIXME: We can't detect window size on the server, so until we have more intelligent detection,
// use 769, which is just above the general maximum mobile screen width.
const SERVER_WIDTH = 769;
const MOBILE_BREAKPOINT = '<480px';
const DESKTOP_BREAKPOINT = '>960px';
const isServer =  false || !window.matchMedia;
const noop = () => null;
function addListenerFunctions(obj) {
  return {
    addListener: () => undefined,
    removeListener: () => undefined,
    ...obj
  };
}
function createMediaQueryList(args) {
  const {
    min,
    max
  } = args ?? {};
  if (min !== undefined && max !== undefined) {
    return isServer ? addListenerFunctions({
      matches: SERVER_WIDTH > min && SERVER_WIDTH <= max
    }) : window.matchMedia(`(min-width: ${min + 1}px) and (max-width: ${max}px)`);
  }
  if (min !== undefined) {
    return isServer ? addListenerFunctions({
      matches: SERVER_WIDTH > min
    }) : window.matchMedia(`(min-width: ${min + 1}px)`);
  }
  if (max !== undefined) {
    return isServer ? addListenerFunctions({
      matches: SERVER_WIDTH <= max
    }) : window.matchMedia(`(max-width: ${max}px)`);
  }
  return false;
}

// @todo We should algin the behavior with the `break-*` mixins from Gutenberg to include minimums
// See https://github.com/WordPress/gutenberg/blob/f1d0bd550f85f5fa4279a3fdb9a2b9c28a7544c6/packages/base-styles/_mixins.scss#L27
const mediaQueryOptions = {
  '<480px': {
    max: 480
  },
  '<660px': {
    max: 660
  },
  '<782px': {
    max: 782
  },
  '<800px': {
    max: 800
  },
  '<960px': {
    max: 960
  },
  '<1040px': {
    max: 1040
  },
  '<1280px': {
    max: 1280
  },
  '<1400px': {
    max: 1400
  },
  '>480px': {
    min: 480
  },
  '>660px': {
    min: 660
  },
  '>=782px': {
    min: 781
  },
  '>782px': {
    min: 782
  },
  '>800px': {
    min: 800
  },
  '>=960px': {
    min: 959
  },
  '>960px': {
    min: 960
  },
  '>1040px': {
    min: 1040
  },
  '>1280px': {
    min: 1280
  },
  '>1400px': {
    min: 1400
  },
  '480px-660px': {
    min: 480,
    max: 660
  },
  '660px-960px': {
    min: 660,
    max: 960
  },
  '480px-960px': {
    min: 480,
    max: 960
  }
};
function getMediaQueryList(breakpoint) {
  if (!mediaQueryOptions.hasOwnProperty(breakpoint)) {
    try {
      // eslint-disable-next-line no-console
      console.warn('Undefined breakpoint used in `mobile-first-breakpoint`', breakpoint);
    } catch (e) {}
    return undefined;
  }
  return createMediaQueryList(mediaQueryOptions[breakpoint]);
}

/**
 * Returns whether the current window width matches a breakpoint.
 * @param {string} breakpoint The breakpoint to consider.
 * @returns {boolean|undefined} Whether the provided breakpoint is matched.
 */
function isWithinBreakpoint(breakpoint) {
  const mediaQueryList = getMediaQueryList(breakpoint);
  return mediaQueryList ? mediaQueryList.matches : undefined;
}

/**
 * Registers a listener to be notified of changes to breakpoint matching status.
 * @param {string} breakpoint The breakpoint to consider.
 * @param {Function} listener The listener to be called on change.
 * @returns {Function} The function to be called when unsubscribing.
 */
function subscribeIsWithinBreakpoint(breakpoint, listener) {
  if (!listener) {
    return noop;
  }
  const mediaQueryList = getMediaQueryList(breakpoint);
  if (mediaQueryList && !isServer) {
    const wrappedListener = evt => listener(evt.matches);
    mediaQueryList.addListener(wrappedListener);
    // Return unsubscribe function.
    return () => mediaQueryList.removeListener(wrappedListener);
  }
  return noop;
}

/**
 * Returns whether the current window width matches the mobile breakpoint.
 * @returns {boolean|undefined} Whether the mobile breakpoint is matched.
 */
function isMobile() {
  return isWithinBreakpoint(MOBILE_BREAKPOINT);
}

/**
 * Registers a listener to be notified of changes to mobile breakpoint matching status.
 * @param {Function} listener The listener to be called on change.
 * @returns {Function} The registered subscription; undefined if none.
 */
function subscribeIsMobile(listener) {
  return subscribeIsWithinBreakpoint(MOBILE_BREAKPOINT, listener);
}

/**
 * Returns whether the current window width matches the desktop breakpoint.
 * @returns {boolean|undefined} Whether the desktop breakpoint is matched.
 */
function isDesktop() {
  return isWithinBreakpoint(DESKTOP_BREAKPOINT);
}

/**
 * Registers a listener to be notified of changes to desktop breakpoint matching status.
 * @param {Function} listener The listener to be called on change.
 * @returns {Function} The registered subscription; undefined if none.
 */
function subscribeIsDesktop(listener) {
  return subscribeIsWithinBreakpoint(DESKTOP_BREAKPOINT, listener);
}

/**
 * Returns the current window width.
 * Avoid using this method, as it triggers a layout recalc.
 * @returns {number} The current window width, in pixels.
 */
function getWindowInnerWidth() {
  return isServer ? SERVER_WIDTH : window.innerWidth;
}

/******************************************/
/*       Vertical Scroll Experiment       */
/*  	       pcbrnV-XN-p2               */
/******************************************/

//TODO: To be refactored using above using the DESKTOP_BREAKPOINT constant
function isTabletResolution() {
  if (!isServer) {
    return window.innerWidth < 1040;
  }
  return false;
}
const DEVICE_MOBILE = 'mobile';
const DEVICE_TABLET = 'tablet';
const DEVICE_DESKTOP = 'desktop';
function resolveDeviceTypeByViewPort() {
  if (isMobile()) {
    return DEVICE_MOBILE;
  } else if (isTabletResolution()) {
    return DEVICE_TABLET;
  }
  return DEVICE_DESKTOP;
}

/******************************************/

/***/ }),

/***/ 5073:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(50743);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(27723);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_keycodes__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(48558);
/* harmony import */ var _wordpress_keycodes__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_keycodes__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(99870);
/* harmony import */ var classnames__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(classnames__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_5__);

/**
 * WordPress dependencies
 */




const __ = _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__;

/**
 * External dependencies
 */


const Guide = ({
  children,
  className,
  onFinish
}) => {
  const [currentPage, setCurrentPage] = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useState)(0);
  const pages = _wordpress_element__WEBPACK_IMPORTED_MODULE_0__.Children.map(children, child => ({
    content: child
  })) || [];
  const canGoBack = currentPage > 0;
  const canGoForward = currentPage < pages?.length - 1;
  const goBack = () => {
    if (canGoBack) {
      setCurrentPage(currentPage - 1);
    }
  };
  const goForward = () => {
    if (canGoForward) {
      setCurrentPage(currentPage + 1);
    } else {
      onFinish();
    }
  };
  if (pages.length === 0) {
    return null;
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Modal, {
    className: classnames__WEBPACK_IMPORTED_MODULE_4___default()('components-guide', className),
    overlayClassName: classnames__WEBPACK_IMPORTED_MODULE_4___default()('components-guide-overlay', className),
    onRequestClose: onFinish,
    onKeyDown: event => {
      if (event.keyCode === _wordpress_keycodes__WEBPACK_IMPORTED_MODULE_3__.LEFT) {
        goBack();
      } else if (event.keyCode === _wordpress_keycodes__WEBPACK_IMPORTED_MODULE_3__.RIGHT) {
        goForward();
      }
    },
    title: ""
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "guide__container"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "guide__page"
  }, pages[currentPage].content), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "guide__footer"
  }, pages.length > 1 && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_automattic_components__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A, {
    activePageIndex: currentPage,
    numberOfPages: pages.length,
    onChange: setCurrentPage
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "guide__buttons"
  }, currentPage > 0 && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
    className: "guide__back-button",
    variant: "tertiary",
    onClick: goBack
  }, __('Back', "full-site-editing")), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
    className: "guide__forward-button",
    autoFocus: currentPage === 0 // eslint-disable-line jsx-a11y/no-autofocus
    ,
    variant: "primary",
    onClick: goForward
  }, canGoForward ? __('Next') : __('Done')))))));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Guide);

/***/ }),

/***/ 59192:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   f: () => (/* binding */ useWhatsNewAnnouncementsQuery)
/* harmony export */ });
/* harmony import */ var _automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(16706);
/* harmony import */ var _tanstack_react_query__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(35223);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1455);
/* harmony import */ var _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(41445);
/* eslint-disable no-restricted-imports */




/**
 * Get the "whats new" announcements
 * @returns Returns the result of querying the "whats new" list endpoint
 */
const useWhatsNewAnnouncementsQuery = siteId => {
  const locale = (0,_automattic_i18n_utils__WEBPACK_IMPORTED_MODULE_1__/* .useLocale */ .Ym)();
  return (0,_tanstack_react_query__WEBPACK_IMPORTED_MODULE_2__/* .useQuery */ .I)({
    queryKey: [`WhatsNewAnnouncements-${locale}-${siteId}`],
    queryFn: async () => (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__/* .canAccessWpcomApis */ .IH)() ? await (0,wpcom_proxy_request__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .Ay)({
      path: `/whats-new/list?_locale=${locale}&site_id=${siteId}`,
      apiNamespace: 'wpcom/v2'
    }) : await _wordpress_api_fetch__WEBPACK_IMPORTED_MODULE_0___default()({
      global: true,
      path: `/wpcom/v2/block-editor/whats-new-list?_locale=${locale}&site_id=${siteId}`
    }),
    refetchOnWindowFocus: false
  });
};

/***/ }),

/***/ 60422:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export HELP_CENTER_STORE */
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_data_stores__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(86811);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(47143);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _components_guide__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(5073);
/* harmony import */ var _hooks_use_whats_new_announcements_query__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(59192);
/* harmony import */ var _whats_new_page__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(10736);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(52559);

/* eslint-disable no-restricted-imports */







const HELP_CENTER_STORE = _automattic_data_stores__WEBPACK_IMPORTED_MODULE_4__/* .register */ .k();

const WhatsNewGuide = ({
  onClose,
  siteId
}) => {
  const {
    setSeenWhatsNewAnnouncements
  } = (0,_wordpress_data__WEBPACK_IMPORTED_MODULE_1__.useDispatch)(HELP_CENTER_STORE);
  const {
    data,
    isLoading
  } = (0,_hooks_use_whats_new_announcements_query__WEBPACK_IMPORTED_MODULE_5__/* .useWhatsNewAnnouncementsQuery */ .f)(siteId);
  (0,react__WEBPACK_IMPORTED_MODULE_2__.useEffect)(() => {
    // check for whether the announcement has been seen already.
    if (data && data.length) {
      const announcementIds = data.map(item => item.announcementId);
      setSeenWhatsNewAnnouncements(announcementIds);
    }
  }, [data, setSeenWhatsNewAnnouncements]);
  if (!data || isLoading) {
    return null;
  }
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_components_guide__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A
  // eslint-disable-next-line wpcalypso/jsx-classname-namespace
  , {
    className: "whats-new-guide__main",
    onFinish: onClose
  }, data.map((page, index) => (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_whats_new_page__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A, {
    key: page.announcementId,
    pageNumber: index + 1,
    isLastPage: index === data.length - 1,
    description: page.description,
    heading: page.heading,
    imageSrc: page.imageSrc,
    link: page.link
  })));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (WhatsNewGuide);

/***/ }),

/***/ 10736:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86087);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(98948);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(56427);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(23634);





const WhatsNewPage = ({
  heading,
  description,
  imageSrc,
  isLastPage,
  link,
  pageNumber
}) => {
  const __ = (0,_wordpress_react_i18n__WEBPACK_IMPORTED_MODULE_3__/* .useI18n */ .s9)().__;
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    (0,_automattic_calypso_analytics__WEBPACK_IMPORTED_MODULE_1__/* .recordTracksEvent */ .Oy)('calypso_whats_new_slide_view', {
      slide_number: pageNumber,
      is_last_slide: isLastPage
    });
  }, [isLastPage, pageNumber]);
  return (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "whats-new-page__container"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "whats-new-page__text"
  }, heading && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("h1", {
    className: "whats-new-page__heading"
  }, heading), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "whats-new-page__description"
  }, description && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", {
    dangerouslySetInnerHTML: {
      __html: description
    }
  }), link && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_2__.Button, {
    className: "whats-new-page__link",
    href: link,
    variant: "link",
    target: "_blank"
  }, __('Learn more', "full-site-editing")))), (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "whats-new-page__visual"
  }, imageSrc && (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    className: "whats-new-page__image-container"
  }, (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.createElement)("img", {
    src: imageSrc,
    alt: description,
    "aria-hidden": "true",
    className: "whats-new-page__image"
  }))));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (WhatsNewPage);

/***/ }),

/***/ 62332:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   K: () => (/* binding */ isValueTruthy)
/* harmony export */ });
function isValueTruthy(value) {
  return !!value;
}

/***/ }),

/***/ 41445:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ay: () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   IH: () => (/* binding */ canAccessWpcomApis),
/* harmony export */   gn: () => (/* binding */ requestAllBlogsAccess),
/* harmony export */   wf: () => (/* binding */ reloadProxy)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var uuid__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(77981);
/* harmony import */ var wp_error__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(88966);
/* harmony import */ var wp_error__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(wp_error__WEBPACK_IMPORTED_MODULE_1__);




/**
 * debug instance
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('wpcom-proxy-request');

/**
 * WordPress.com REST API base endpoint.
 */
const proxyOrigin = 'https://public-api.wordpress.com';
let onStreamRecord = null;

/**
 * Detecting support for the structured clone algorithm. IE8 and 9, and Firefox
 * 6.0 and below only support strings as postMessage's message. This browsers
 * will try to use the toString method.
 *
 * https://developer.mozilla.org/en-US/docs/Web/API/Window/postMessage
 * https://developer.mozilla.org/en-US/docs/Web/Guide/API/DOM/The_structured_clone_algorithm
 * https://github.com/Modernizr/Modernizr/issues/388#issuecomment-31127462
 */
const postStrings = (() => {
  let r = false;
  try {
    window.postMessage({
      toString: function () {
        r = true;
      }
    }, '*');
  } catch (e) {
    /* empty */
  }
  return r;
})();

/**
 * Test if the browser supports constructing a new `File` object. Not present on Edge and IE.
 */
const supportsFileConstructor = (() => {
  try {
    // eslint-disable-next-line no-new
    new window.File(['a'], 'test.jpg', {
      type: 'image/jpeg'
    });
    return true;
  } catch (e) {
    return false;
  }
})();

/**
 * Reference to the <iframe> DOM element.
 * Gets set in the install() function.
 */
let iframe = null;

/**
 * Set to `true` upon the iframe's "load" event.
 */
let loaded = false;

/**
 * Array of buffered API requests. Added to when API requests are done before the
 * proxy <iframe> is "loaded", and fulfilled once the "load" DOM event on the
 * iframe occurs.
 */
let buffered;

/**
 * In-flight API request XMLHttpRequest dummy "proxy" instances.
 */
const requests = {};

/**
 * Performs a "proxied REST API request". This happens by calling
 * `iframe.postMessage()` on the proxy iframe instance, which from there
 * takes care of WordPress.com user authentication (via the currently
 * logged-in user's cookies).
 * @param {Object} originalParams - request parameters
 * @param {Function} [fn] - callback response
 * @returns {window.XMLHttpRequest} XMLHttpRequest instance
 */
const makeRequest = (originalParams, fn) => {
  const params = Object.assign({}, originalParams);
  debug('request(%o)', params);

  // inject the <iframe> upon the first proxied API request
  if (!iframe) {
    install();
  }

  // generate a uuid for this API request
  const id = (0,uuid__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)();
  params.callback = id;
  params.supports_args = true; // supports receiving variable amount of arguments
  params.supports_error_obj = true; // better Error object info
  params.supports_progress = true; // supports receiving XHR "progress" events

  // force uppercase "method" since that's what the <iframe> is expecting
  params.method = String(params.method || 'GET').toUpperCase();
  debug('params object: %o', params);
  const xhr = new window.XMLHttpRequest();
  xhr.params = params;

  // store the `XMLHttpRequest` instance so that "onmessage" can access it again
  requests[id] = xhr;
  if ('function' === typeof fn) {
    // a callback function was provided
    let called = false;
    const xhrOnLoad = e => {
      if (called) {
        return;
      }
      called = true;
      const body = e.response ?? xhr.response;
      debug('body: ', body);
      debug('headers: ', e.headers);
      fn(null, body, e.headers);
    };
    const xhrOnError = e => {
      if (called) {
        return;
      }
      called = true;
      const error = e.error ?? e.err ?? e;
      debug('error: ', error);
      debug('headers: ', e.headers);
      fn(error, null, e.headers);
    };
    xhr.addEventListener('load', xhrOnLoad);
    xhr.addEventListener('abort', xhrOnError);
    xhr.addEventListener('error', xhrOnError);
  }
  if ('function' === typeof params.onStreamRecord) {
    // remove onStreamRecord param, which can’t be cloned
    onStreamRecord = params.onStreamRecord;
    delete params.onStreamRecord;

    // FIXME @azabani implement stream mode processing
    // Hint: port the algorithm from wpcom-xhr-request@1.2.0 to /public.api/rest-proxy/provider-
    // v2.0.js in rWP, then plumb stream records from onmessage below to onStreamRecord (or add
    // the XMLHttpRequest#response to ondownloadprogress there, then parse the chunks here).
  }
  if (loaded) {
    submitRequest(params);
  } else {
    debug('buffering API request since proxying <iframe> is not yet loaded');
    buffered.push(params);
  }
  return xhr;
};

/**
 * Performs a "proxied REST API request". This happens by calling
 * `iframe.postMessage()` on the proxy iframe instance, which from there
 * takes care of WordPress.com user authentication (via the currently
 * logged-in user's cookies).
 *
 * If no function is specified as second parameter, a promise is returned.
 * @param {Object} originalParams - request parameters
 * @param {Function} [fn] - callback response
 * @returns {window.XMLHttpRequest|Promise} XMLHttpRequest instance or Promise
 */
const request = (originalParams, fn) => {
  // if callback is provided, behave traditionally
  if ('function' === typeof fn) {
    // request method
    return makeRequest(originalParams, fn);
  }

  // but if not, return a Promise
  return new Promise((res, rej) => {
    makeRequest(originalParams, (err, response) => {
      err ? rej(err) : res(response);
    });
  });
};

/**
 * Set proxy to "access all users' blogs" mode.
 */
function requestAllBlogsAccess() {
  return request({
    metaAPI: {
      accessAllUsersBlogs: true
    }
  });
}

/**
 * Calls the `postMessage()` function on the <iframe>.
 * @param {Object} params
 */

function submitRequest(params) {
  // Sometimes the `iframe.contentWindow` is `null` even though the `iframe` has been correctly
  // loaded. Can happen when some other buggy script removes it from the document.
  if (!iframe.contentWindow) {
    debug('proxy iframe is not present in the document');
    // Look up the issuing XHR request and make it fail
    const id = params.callback;
    const xhr = requests[id];
    delete requests[id];
    reject(xhr, wp_error__WEBPACK_IMPORTED_MODULE_1___default()({
      status_code: 500,
      error_description: 'proxy iframe element is not loaded'
    }), {});
    return;
  }
  debug('sending API request to proxy <iframe> %o', params);

  // `formData` needs to be patched if it contains `File` objects to work around
  // a Chrome bug. See `patchFileObjects` description for more details.
  if (params.formData) {
    patchFileObjects(params.formData);
  }
  iframe.contentWindow.postMessage(postStrings ? JSON.stringify(params) : params, proxyOrigin);
}

/**
 * Returns `true` if `v` is a DOM File instance, `false` otherwise.
 * @param {any} v - instance to analyze
 * @returns {boolean} `true` if `v` is a DOM File instance
 */
function isFile(v) {
  return v && Object.prototype.toString.call(v) === '[object File]';
}

/*
 * Find a `File` object in a form data value. It can be either the value itself, or
 * in a `fileContents` property of the value.
 */
function getFileValue(v) {
  if (isFile(v)) {
    return v;
  }
  if (typeof v === 'object' && isFile(v.fileContents)) {
    return v.fileContents;
  }
  return null;
}

/**
 * Finds all `File` instances in `formData` and creates a new `File` instance whose storage is
 * forced to be a `Blob` instead of being backed by a file on disk. That works around a bug in
 * Chrome where `File` instances with `has_backing_file` flag cannot be sent over a process
 * boundary when site isolation is on.
 * @see https://bugs.chromium.org/p/chromium/issues/detail?id=866805
 * @see https://bugs.chromium.org/p/chromium/issues/detail?id=631877
 * @param {Array} formData Form data to patch
 */
function patchFileObjects(formData) {
  // There are several landmines to avoid when making file uploads work on all browsers:
  // - the `new File()` constructor trick breaks file uploads on Safari 10 in a way that's
  //   impossible to detect: it will send empty files in the multipart/form-data body.
  //   Therefore we need to detect Chrome.
  // - IE11 and Edge don't support the `new File()` constructor at all. It will throw exception,
  //   so it's detectable by the `supportsFileConstructor` code.
  // - `window.chrome` exists also on Edge (!), `window.chrome.webstore` is only in Chrome and
  //   not in other Chromium based browsers (which have the site isolation bug, too).
  if (!window.chrome || !supportsFileConstructor) {
    return;
  }
  for (let i = 0; i < formData.length; i++) {
    const val = getFileValue(formData[i][1]);
    if (val) {
      formData[i][1] = new window.File([val], val.name, {
        type: val.type
      });
    }
  }
}

/**
 * Injects the proxy <iframe> instance in the <body> of the current
 * HTML page.
 */

function install() {
  debug('install()');
  if (iframe) {
    uninstall();
  }
  buffered = [];

  // listen to messages sent to `window`
  window.addEventListener('message', onmessage);

  // create the <iframe>
  iframe = document.createElement('iframe');
  const origin = window.location.origin;
  debug('using "origin": %o', origin);

  // set `src` and hide the iframe
  iframe.src = proxyOrigin + '/wp-admin/rest-proxy/?v=2.0#' + origin;
  iframe.style.display = 'none';

  // inject the <iframe> into the <body>
  document.body.appendChild(iframe);
}

/**
 * Reloads the proxy iframe.
 */
const reloadProxy = () => {
  install();
};

/**
 * Removes the <iframe> proxy instance from the <body> of the page.
 */
function uninstall() {
  debug('uninstall()');
  window.removeEventListener('message', onmessage);
  document.body.removeChild(iframe);
  loaded = false;
  iframe = null;
}

/**
 * The proxy <iframe> instance's "load" event callback function.
 */

function onload() {
  debug('proxy <iframe> "load" event');
  loaded = true;

  // flush any buffered API calls
  if (buffered) {
    for (let i = 0; i < buffered.length; i++) {
      submitRequest(buffered[i]);
    }
    buffered = null;
  }
}

/**
 * The main `window` object's "message" event callback function.
 * @param {window.Event} e
 */

function onmessage(e) {
  // If the iframe was never loaded, this message might be unrelated.
  if (!iframe?.contentWindow) {
    return;
  }
  debug('onmessage');

  // Filter out messages from different origins
  if (e.origin !== proxyOrigin) {
    debug('ignoring message... %o !== %o', e.origin, proxyOrigin);
    return;
  }

  // Filter out messages from different iframes
  if (e.source !== iframe.contentWindow) {
    debug('ignoring message... iframe elements do not match');
    return;
  }
  let {
    data
  } = e;
  if (!data) {
    return debug('no `data`, bailing');
  }

  // Once the iframe is loaded, we can start using it.
  if (data === 'ready') {
    onload();
    return;
  }
  if (postStrings && 'string' === typeof data) {
    data = JSON.parse(data);
  }

  // check if we're receiving a "progress" event
  if (data.upload || data.download) {
    return onprogress(data);
  }
  if (!data.length) {
    return debug("`e.data` doesn't appear to be an Array, bailing...");
  }

  // first get the `xhr` instance that we're interested in
  const id = data[data.length - 1];
  if (!(id in requests)) {
    return debug('bailing, no matching request with callback: %o', id);
  }
  const xhr = requests[id];

  // Build `error` and `body` object from the `data` object
  const {
    params
  } = xhr;
  const body = data[0];
  let statusCode = data[1];
  const headers = data[2];

  // We don't want to delete requests while we're processing stream messages
  if (statusCode === 207) {
    // 207 is a signal from rest-proxy. It means, "this isn't the final
    // response to the query." The proxy supports WebSocket connections
    // by invoking the original success callback for each message received.
  } else {
    // this is the final response to this query
    delete requests[id];
  }
  if (!params.metaAPI) {
    debug('got %o status code for URL: %o', statusCode, params.path);
  } else {
    statusCode = body === 'metaAPIupdated' ? 200 : 500;
  }
  if (typeof headers === 'object') {
    // add statusCode into headers object
    headers.status = statusCode;
    if (shouldProcessInStreamMode(headers['Content-Type'])) {
      if (statusCode === 207) {
        onStreamRecord(body);
        return;
      }
    }
  }
  if (statusCode && 2 === Math.floor(statusCode / 100)) {
    // 2xx status code, success
    resolve(xhr, body, headers);
  } else {
    // any other status code is a failure
    const wpe = wp_error__WEBPACK_IMPORTED_MODULE_1___default()(params, statusCode, body);
    reject(xhr, wpe, headers);
  }
}

/**
 * Returns true iff stream mode processing is required (see wpcom-xhr-request@1.2.0).
 * @param {string} contentType response Content-Type header value
 */
function shouldProcessInStreamMode(contentType) {
  return /^application[/]x-ndjson($|;)/.test(contentType);
}

/**
 * Handles a "progress" event being proxied back from the iframe page.
 * @param {Object} data
 */

function onprogress(data) {
  debug('got "progress" event: %o', data);
  const xhr = requests[data.callbackId];
  if (xhr) {
    const prog = new window.ProgressEvent('progress', data);
    const target = data.upload ? xhr.upload : xhr;
    target.dispatchEvent(prog);
  }
}

/**
 * Emits the "load" event on the `xhr`.
 * @param {window.XMLHttpRequest} xhr
 * @param {Object} body
 */

function resolve(xhr, body, headers) {
  const e = new window.ProgressEvent('load');
  e.data = e.body = e.response = body;
  e.headers = headers;
  xhr.dispatchEvent(e);
}

/**
 * Emits the "error" event on the `xhr`.
 * @param {window.XMLHttpRequest} xhr
 * @param {Error} err
 */

function reject(xhr, err, headers) {
  const e = new window.ProgressEvent('error');
  e.error = e.err = err;
  e.headers = headers;
  xhr.dispatchEvent(e);
}

// list of valid origins for wpcom requests.
// taken from wpcom-proxy-request (rest-proxy/provider-v2.0.js)
const wpcomAllowedOrigins = ['https://wordpress.com', 'https://cloud.jetpack.com', 'https://agencies.automattic.com', 'http://wpcalypso.wordpress.com',
// for running docker on dev instances
'http://widgets.wp.com', 'https://widgets.wp.com', 'https://dev-mc.a8c.com', 'https://mc.a8c.com', 'https://dserve.a8c.com', 'http://calypso.localhost:3000', 'https://calypso.localhost:3000', 'http://jetpack.cloud.localhost:3000', 'https://jetpack.cloud.localhost:3000', 'http://agencies.localhost:3000', 'https://agencies.localhost:3000', 'http://calypso.localhost:3001', 'https://calypso.localhost:3001', 'https://calypso.live', 'http://127.0.0.1:41050', 'http://send.linguine.localhost:3000'];

/**
 * Shelved from rest-proxy/provider-v2.0.js.
 * This returns true for all WPCOM origins except Atomic sites.
 * @param urlOrigin
 * @returns
 */
function isAllowedOrigin(urlOrigin) {
  // sites in the allow-list and some subdomains of "calypso.live" and "wordpress.com"
  // are allowed without further check
  return wpcomAllowedOrigins.includes(urlOrigin) || /^https:\/\/[a-z0-9-]+\.calypso\.live$/.test(urlOrigin) || /^https:\/\/([a-z0-9-]+\.)+wordpress\.com$/.test(urlOrigin);
}
function canAccessWpcomApis() {
  return isAllowedOrigin(window.location.origin);
}

/**
 * Export `request` function.
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (request);


/***/ }),

/***/ 34439:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ WPCOM)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lib_batch__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(70107);
/* harmony import */ var _lib_domain__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(63911);
/* harmony import */ var _lib_domains__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(27442);
/* harmony import */ var _lib_me__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(94021);
/* harmony import */ var _lib_plans__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(87219);
/* harmony import */ var _lib_site__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(59380);
/* harmony import */ var _lib_users__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(15459);
/* harmony import */ var _lib_util_pinghub__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(44031);
/* harmony import */ var _lib_util_request__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(3069);
/* harmony import */ var _lib_util_send_request__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(53328);












/**
 * Local module constants
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('wpcom');
const DEFAULT_ASYNC_TIMEOUT = 30000;

/**
 * XMLHttpRequest (and CORS) API access method.
 *
 * API authentication is done via an (optional) access `token`,
 * which needs to be retrieved via OAuth.
 *
 * Request Handler is optional and XHR is defined as default.
 * @param {string} [token] - OAuth API access token
 * @param {Function} [reqHandler] - function Request Handler
 * @returns {WPCOM|undefined} wpcom instance
 */
function WPCOM(token, reqHandler) {
  if (!(this instanceof WPCOM)) {
    return new WPCOM(token, reqHandler);
  }

  // `token` is optional
  if ('function' === typeof token) {
    reqHandler = token;
    token = null;
  }
  if (token) {
    debug('Token defined: %s…', token.substring(0, 6));
    this.token = token;
  }
  const noHandler = (params, fn) => {
    debug('No request handler. Failing.');
    fn(new Error('No request handler provided'));
  };
  this.request = reqHandler || noHandler;

  // Add Req instance
  this.req = new _lib_util_request__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A(this);

  // Add Pinghub instance
  this.pinghub = new _lib_util_pinghub__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A(this);

  // Default api version;
  this.apiVersion = '1.1';
}

/**
 * Add a token to this instance of WPCOM.
 * When loaded, the token is applied to the param object of each subsequent request.
 * @param {string} [token] - oauth token
 */
WPCOM.prototype.loadToken = function (token) {
  this.token = token;
};

/**
 * Returns a boolean representing whether or not the token has been loaded.
 * @returns {boolean} oauth token
 */
WPCOM.prototype.isTokenLoaded = function () {
  return this.token !== undefined;
};

/**
 * Return `Me` object instance
 * @returns {Me} Me instance
 */
WPCOM.prototype.me = function () {
  return new _lib_me__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A(this);
};

/**
 * Return `Domains` object instance
 * @returns {Domains} Domains instance
 */
WPCOM.prototype.domains = function () {
  return new _lib_domains__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A(this);
};

/**
 * Return `Domain` object instance
 * @param {string} domainId - domain identifier
 * @returns {Domain} Domain instance
 */
WPCOM.prototype.domain = function (domainId) {
  return new _lib_domain__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A(domainId, this);
};

/**
 * Return `Site` object instance
 * @param {string} id - site identifier
 * @returns {Site} Site instance
 */
WPCOM.prototype.site = function (id) {
  return new _lib_site__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(id, this);
};

/**
 * Return `Users` object instance
 * @returns {Users} Users instance
 */
WPCOM.prototype.users = function () {
  return new _lib_users__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A(this);
};

/**
 * Return `Plans` object instance
 * @returns {Plans} Plans instance
 */
WPCOM.prototype.plans = function () {
  return new _lib_plans__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A(this);
};

/**
 * Return `Batch` object instance
 * @returns {Batch} Batch instance
 */
WPCOM.prototype.batch = function () {
  return new _lib_batch__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A(this);
};

/**
 * List Freshly Pressed Posts
 * @param {Object} [query] - query object
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
WPCOM.prototype.freshlyPressed = function (query, fn) {
  return this.req.get('/freshly-pressed', query, fn);
};

// Expose send-request
// TODO: use `this.req` instead of this method
WPCOM.prototype.sendRequest = function (params, query, body, fn) {
  const msg = 'WARN! Don use `sendRequest() anymore. Use `this.req` method.';

  /* eslint-disable no-console */
  if (console && console.warn) {
    console.warn(msg);
  } else {
    console.log(msg);
  }
  /* eslint-enable no-console */

  return _lib_util_send_request__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A.call(this, params, query, body, fn);
};

/**
 * Re-export all the class types.
 */
WPCOM.Batch = _lib_batch__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A;
WPCOM.Domain = _lib_domain__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A;
WPCOM.Domains = _lib_domains__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A;
WPCOM.Me = _lib_me__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A;
WPCOM.Pinghub = _lib_util_pinghub__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A;
WPCOM.Plans = _lib_plans__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A;
WPCOM.Request = _lib_util_request__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A;
WPCOM.Site = _lib_site__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A;
WPCOM.Users = _lib_users__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A;
if (!Promise.prototype.timeout) {
  /**
   * Returns a new promise with a deadline
   *
   * After the timeout interval, the promise will
   * reject. If the actual promise settles before
   * the deadline, the timer is cancelled.
   * @param {number} delay how many ms to wait
   * @returns {Promise} promise
   */
  Promise.prototype.timeout = function (delay = DEFAULT_ASYNC_TIMEOUT) {
    let timer;
    const timeout = new Promise((resolve, reject) => {
      timer = setTimeout(() => {
        reject(new Error('Action timed out while waiting for response.'));
      }, delay);
    });
    const cancelTimeout = () => {
      clearTimeout(timer);
      return this;
    };
    return Promise.race([this.then(cancelTimeout).catch(cancelTimeout), timeout]);
  };
}

/***/ }),

/***/ 70107:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
class Batch {
  /**
   * Create a `Batch` instance
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(wpcom) {
    if (!(this instanceof Batch)) {
      return new Batch(wpcom);
    }
    this.wpcom = wpcom;
    this.urls = [];
  }

  /**
   * Add url to batch requests
   * @param {string} url - endpoint url
   * @returns {Batch} batch instance
   */
  add(url) {
    this.urls.push(url);
    return this;
  }

  /**
   * Run the batch request
   * @param {Object} [query] - optional query parameter
   * @param {Function} fn - callback
   * @returns {Promise} Promise
   */
  run(query = {}, fn) {
    if ('function' === typeof query) {
      fn = query;
      query = {};
    }

    // add urls to query object
    query.urls = this.urls;
    return this.wpcom.req.get('/batch', query, fn);
  }
}

/**
 * Expose `Batch` module
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Batch);

/***/ }),

/***/ 26238:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
const root = '/domains/';
class DomainDns {
  /**
   * `DomainDns` constructor.
   * @param {string} domainId - domain identifier
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {undefined} undefined
   */
  constructor(domainId, wpcom) {
    if (!(this instanceof DomainDns)) {
      return new DomainDns(domainId, wpcom);
    }
    this._domain = domainId;
    this._subpath = root + this._domain + '/dns';
    this.wpcom = wpcom;
  }

  /**
   * Adds a DNS record
   * @param {Object} record - record
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  add(record, query, fn) {
    if ('function' === typeof query) {
      fn = query;
      query = {};
    }
    return this.wpcom.req.post(this._subpath + '/add', query, record, fn);
  }

  /**
   * Delete a DNS record
   * @param {string} record - record
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  delete(record, query, fn) {
    return this.wpcom.req.post(this._subpath + '/delete', query, record, fn);
  }

  /**
   * Sets the default A records also deleting any A and AAAA custom records.
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Function} request handler
   */
  setDefaultARecords(query, fn) {
    return this.wpcom.req.post(this._subpath + '/set-default-a-records', query, null, fn);
  }
}

/**
 * Expose `DomainDns` module
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DomainDns);

/***/ }),

/***/ 79497:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
const root = '/domains/';
class DomainEmail {
  /**
   * `DomainEmail` constructor.
   * @param {string} [email] - email
   * @param {string} domainId - domain identifier
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {undefined} undefined
   */
  constructor(email, domainId, wpcom) {
    if (!(this instanceof DomainEmail)) {
      return new DomainEmail(email, domainId, wpcom);
    }
    if (email) {
      this._email = email;
    }
    this._domain = domainId;
    this._subpath = root + this._domain + '/email/';
    this.wpcom = wpcom;
  }

  /**
   * Update the email forwards/configuration for a domain.
   * @param {string} destination - the email address to forward email to.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  forward(destination, query, fn) {
    const body = {
      destination: destination
    };
    return this.wpcom.req.post(this._subpath + this._email, query, body, fn);
  }

  /**
   * Create an email forward for the domain
   * if it has enough licenses.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */

  add(mailbox, destination, query, fn) {
    if ('function' === typeof query) {
      fn = query;
      query = {};
    }
    const body = {
      mailbox: mailbox,
      destination: destination
    };
    return this.wpcom.req.post(this._subpath + 'new', query, body, fn);
  }

  /**
   * Delete an email forward for the domain
   * @param {string} mailbox - mailbox to alter
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  delete(mailbox, query, fn) {
    return this.wpcom.req.del(this._subpath + mailbox + '/delete', query, fn);
  }
}

/**
 * Expose `DomainEmail` module
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DomainEmail);

/***/ }),

/***/ 63911:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _domain_dns__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(26238);
/* harmony import */ var _domain_email__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(79497);


const root = '/domains/';
class Domain {
  /**
   * `Domain` constructor.
   * @param {string} id - domain identifier
   * @param wpcom - wpcom instance
   * @returns {undefined} undefined
   */
  constructor(id, wpcom) {
    if (!(this instanceof Domain)) {
      return new Domain(id, wpcom);
    }
    this._id = id;
    this.wpcom = wpcom;
  }

  /**
   * Get the status of the domain
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  status(query, fn) {
    return this.wpcom.req.get(root + this._id + '/status', query, fn);
  }

  /**
   * Check if the given domain is available
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  isAvailable(query, fn) {
    return this.wpcom.req.get(root + this._id + '/is-available', query, fn);
  }

  /**
   * Check if the given domain name can be mapped to
   * a WordPress blog.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  isMappable(query, fn) {
    return this.wpcom.req.get(root + this._id + '/is-mappable', query, fn);
  }

  /**
   * Check if the given domain name can be used for site redirect.
   * @param {string} siteId - site id of the site to check
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  canRedirect(siteId, query, fn) {
    const path = root + siteId + '/' + this._id + '/can-redirect';
    return this.wpcom.req.get(path, query, fn);
  }

  /**
   * Get the email forwards/configuration for a domain.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  emailForwards(query, fn) {
    return this.wpcom.req.get(root + this._id + '/email', query, fn);
  }

  /**
   * Get a list of the nameservers for the domain
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  nameserversList(query, fn) {
    return this.wpcom.req.get(root + this._id + '/nameservers', query, fn);
  }

  /**
   * Update the nameservers for the domain
   * @param {Array} nameservers - nameservers list
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  updateNameservers(nameservers, query, fn) {
    const body = {
      nameservers: nameservers
    };
    return this.wpcom.req.post(root + this._id + '/nameservers', query, body, fn);
  }

  /**
   * Get a list of the DNS records for the domain
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  dnsList(query, fn) {
    return this.wpcom.req.get(root + this._id + '/dns', query, fn);
  }

  /**
   * Get a list of all Google Apps accounts for the domain
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  googleAppsList(query, fn) {
    return this.wpcom.req.get(root + this._id + '/google-apps', query, fn);
  }

  /**
   * Resend the ICANN verification email for the domain
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  resendICANN(query, fn) {
    return this.wpcom.req.post(root + this._id + '/resend-icann', query, fn);
  }

  /**
   * Return `DomainEmail` instance
   * @param {string} [email] - email identifier
   * @returns {DomainEmail} DomainEmail instance
   */
  email(email) {
    return new _domain_email__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A(email, this._id, this.wpcom);
  }

  /**
   * Return `DomainDns` instance
   * @returns {DomainDns} DomainDns instance
   */
  dns() {
    return new _domain_dns__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A(this._id, this.wpcom);
  }

  /**
   * Gets info needed to provide mapping setup instructions for a domain.
   * @param {string} siteId - site id the domain will be mapped to
   * @param {Object} query - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  mappingSetupInfo(siteId, query, fn) {
    return this.wpcom.req.get(root + this._id + '/mapping-setup-info/' + siteId, query, fn);
  }

  /**
   * Gets the mapping status for a domain.
   * @param {Object} query - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  mappingStatus(query, fn) {
    return this.wpcom.req.get(root + this._id + '/mapping-status', query, fn);
  }

  /**
   * Update the connection mode used to connect this domain and retrieve its mapping status.
   * @param {string} mode - connection mode used to connect this domain (can be "suggested" or "advanced")
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  updateConnectionModeAndGetMappingStatus(mode, query, fn) {
    const body = {
      mode
    };
    return this.wpcom.req.post(root + this._id + '/mapping-status', query, body, fn);
  }
}

/**
 * Expose `Domain` module
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Domain);

/***/ }),

/***/ 27442:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
const root = '/domains/';
class Domains {
  /**
   * `Domains` constructor.
   * @param wpcom - wpcom instance
   * @returns {undefined} undefined
   */
  constructor(wpcom) {
    if (!(this instanceof Domains)) {
      return new Domains(wpcom);
    }
    this.wpcom = wpcom;
  }

  /**
   * Get a list of suggested domain names that are available for
   * registration based on a given term or domain name.
   * @param {string | Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  suggestions(query, fn) {
    if ('string' === typeof query) {
      query = {
        query: query
      };
    }
    return this.wpcom.req.get(root + 'suggestions', query, fn);
  }

  /**
   * GET example domain suggestions
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  suggestionsExamples(query, fn) {
    return this.wpcom.req.get(root + 'suggestions/examples', query, fn);
  }

  /**
   * Get a localized list of supported countries for domain registrations.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  supportedCountries(query, fn) {
    return this.wpcom.req.get(root + 'supported-countries', query, fn);
  }

  /**
   * Get a localized list of supported states for domain registrations.
   * @param {string} countryCode - country code ISO 3166-1 alpha-2 identifier
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  supportedStates(countryCode, query, fn) {
    const path = root + 'supported-states/' + countryCode;
    return this.wpcom.req.get(path, query, fn);
  }
}

/**
 * Expose `Domains` module
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Domains);

/***/ }),

/***/ 24791:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ MeConnectedApp)
/* harmony export */ });
const root = '/me/connected-applications/';
class MeConnectedApp {
  /**
   * `MeConnectedApp` constructor.
   * @param {string} appId - application identifier
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(appId, wpcom) {
    if (!(this instanceof MeConnectedApp)) {
      return new MeConnectedApp(appId, wpcom);
    }
    this._id = appId;
    this.wpcom = wpcom;
  }

  /**
   * Get one of current user's connected applications.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  get(query, fn) {
    return this.wpcom.req.get(root + this._id, query, fn);
  }

  /**
   * Delete the app of the  current user
   * through of the given appId
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  delete(query, fn) {
    return this.wpcom.req.del(root + this._id + '/delete', query, fn);
  }
}

/***/ }),

/***/ 94021:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Me)
/* harmony export */ });
/* harmony import */ var _me_connected_application__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(24791);
/* harmony import */ var _me_keyring_connection__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(75655);
/* harmony import */ var _me_publicize_connection__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(89647);
/* harmony import */ var _me_settings__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(52826);
/* harmony import */ var _me_two_step__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(7368);






/**
 * Create `Me` instance
 * @param {Object} wpcom - wpcom instance
 * @returns {undefined|Me} New Me instance or undefined.
 */
function Me(wpcom) {
  if (!(this instanceof Me)) {
    return new Me(wpcom);
  }
  this.wpcom = wpcom;
}

/**
 * Meta data about auth token's User
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Me.prototype.get = function (query, fn) {
  return this.wpcom.req.get('/me', query, fn);
};

/**
 * Get user billing history.
 * @param {Object} [query] - query object parameter
 * @param {Function} [fn] - callback function
 * @returns {Function} request handler
 */
Me.prototype.billingHistory = function (query, fn) {
  return this.wpcom.req.get('/me/billing-history', query, fn);
};

/**
 * Get a list of posts of from the user's blogs
 *
 * Example:
 * // Get posts list
 * wpcom
 * .me()
 * .postsList( function( err, data ) {
 * // posts list data object
 * } );
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Me.prototype.postsList = function (query, fn) {
  return this.wpcom.req.get('/me/posts', query, fn);
};

/**
 * A list of the current user's sites
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Me.prototype.sites = function (query, fn) {
  return this.wpcom.req.get('/me/sites', query, fn);
};

/**
 * List the currently authorized user's likes
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Me.prototype.likes = function (query, fn) {
  return this.wpcom.req.get('/me/likes', query, fn);
};

/**
 * Get current user's connected applications.
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Me.prototype.connectedApps = function (query, fn) {
  return this.wpcom.req.get('/me/connected-applications', query, fn);
};

/**
 * Get a list of all the keyring connections
 * associated with the current user
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Me.prototype.keyringConnections = function (query, fn) {
  return this.wpcom.req.get('/me/connections', query, fn);
};

/**
 * Get a list of publicize connections
 * that the current user has set up.
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Me.prototype.publicizeConnections = function (query, fn) {
  return this.wpcom.req.get('/me/publicize-connections', query, fn);
};

/**
 * Return a `MeSettings` instance.
 * @returns {MeSettings} MeSettings instance
 */
Me.prototype.settings = function () {
  return new _me_settings__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A(this.wpcom);
};

/**
 * Return a `MeConnectedApp` instance.
 * @param {string} id - app id
 * @returns {MeConnectedApp} Me ConnectedApp instance
 */
Me.prototype.connectedApp = function (id) {
  return new _me_connected_application__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A(id, this.wpcom);
};

/**
 * Return a `MePublicizeConnection` instance.
 * @param {string} id - connection id
 * @returns {MePublicizeConnection} MeSettings instance
 */
Me.prototype.publicizeConnection = function (id) {
  return new _me_publicize_connection__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(id, this.wpcom);
};

/**
 * Return a `MeTwoStep` instance.
 * @returns {MeTwoStep} MeTwoStep instance
 */
Me.prototype.twoStep = function () {
  return new _me_two_step__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A(this.wpcom);
};

/**
 * Return a `MeKeyringConnection` instance.
 * @param {string} id - connection id
 * @returns {MeKeyringConnection} MeKeyringConnection instance
 */
Me.prototype.keyringConnection = function (id) {
  return new _me_keyring_connection__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A(id, this.wpcom);
};

/***/ }),

/***/ 75655:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ KeyringConnection)
/* harmony export */ });
const root = '/me/connections/';
class KeyringConnection {
  /**
   * `KeyringConnection` constructor.
   * @param {string} keyId - the connection ID to take action on.
   * @param {Object} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(keyId, wpcom) {
    if (!(this instanceof KeyringConnection)) {
      return new KeyringConnection(keyId, wpcom);
    }
    this._id = keyId;
    this.wpcom = wpcom;
  }

  /**
   * Get a single Keyring connection that the current user has setup.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  get(query, fn) {
    return this.wpcom.req.get({
      path: root + this._id,
      apiNamespace: 'wpcom/v2'
    }, query, fn);
  }

  /**
   * Delete the Keyring connection (and associated token) with the
   * provided ID. Also deletes all associated publicize connections.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  delete(query, fn) {
    return this.wpcom.req.get({
      path: root + this._id,
      apiNamespace: 'wpcom/v2',
      method: 'DELETE'
    }, query, fn);
  }
}

/***/ }),

/***/ 89647:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ PublicizeConnection)
/* harmony export */ });
const root = '/me/publicize-connections/';
class PublicizeConnection {
  /**
   * `PublicizeConnection` constructor.
   * @param {string} connectionId - application identifier
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(connectionId, wpcom) {
    if (!(this instanceof PublicizeConnection)) {
      return new PublicizeConnection(connectionId, wpcom);
    }
    this._id = connectionId;
    this.wpcom = wpcom;
  }

  /**
   * Get a single publicize connection that the current user has set up.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  get(query, fn) {
    return this.wpcom.req.get(root + this._id, query, fn);
  }

  /**
   * Add a publicize connection belonging to the current user.
   * @param {Object} [query] - query object parameter
   * @param {Object} body - body object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  add(query, body, fn) {
    return this.wpcom.req.post(root + 'new', query, body, fn);
  }

  /**
   * Update a publicize connection belonging to the current user.
   * @param {Object} [query] - query object parameter
   * @param {Object} body - body object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  update(query, body, fn) {
    return this.wpcom.req.put(root + this._id, query, body, fn);
  }

  /**
   * Delete the app of the  current user
   * through of the given connectionId
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  delete(query, fn) {
    return this.wpcom.req.del(root + this._id + '/delete', query, fn);
  }
}

/***/ }),

/***/ 52826:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ MeSettings)
/* harmony export */ });
/* harmony import */ var _me_settings_password__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(94615);
/* harmony import */ var _me_settings_profile_links__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86853);



/**
 * `MeSettings` constructor.
 *
 * Use a `WPCOM#Me` instance to create a new `MeSettings` instance.
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {MeSettings|undefined}
 */
function MeSettings(wpcom) {
  if (!(this instanceof MeSettings)) {
    return new MeSettings(wpcom);
  }
  this.wpcom = wpcom;
}

/**
 * Get settings for the current user.
 *
 * Example:
 * // Get settings for the current user
 * wpcom
 * .me()
 * .settings()
 * .get( function( err, data ) {
 * // user settings data object
 * } );
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
MeSettings.prototype.get = function (query, fn) {
  return this.wpcom.req.get('/me/settings', query, fn);
};

/**
 * Update settings of the current user
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
MeSettings.prototype.update = function (query, body, fn) {
  return this.wpcom.req.put('/me/settings/', query, body, fn);
};

/**
 * Return `MeProfileLinks` instance
 *
 * Example:
 * // Create a MeProfileLinks instance
 * var profile_links = wpcom.me().settings().profileLinks();
 * @returns {MeProfileLinks} MeProfileLinks instance
 */
MeSettings.prototype.profileLinks = function () {
  return new _me_settings_profile_links__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A(this.wpcom);
};

/**
 * Return `MeSettingsPassword` instance
 * @returns {MeSettingsPassword} MeSettingsPassword instance
 */
MeSettings.prototype.password = function () {
  return new _me_settings_password__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A(this.wpcom);
};

/***/ }),

/***/ 94615:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ MeSettingsPassword)
/* harmony export */ });
const root = '/me/settings/password/';
class MeSettingsPassword {
  /**
   * `MeSettingsPassword` constructor.
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(wpcom) {
    if (!(this instanceof MeSettingsPassword)) {
      return new MeSettingsPassword(wpcom);
    }
    this.wpcom = wpcom;
  }

  /**
   * Verify strength of a user's new password.
   * @param {string} password - the users's potential new password
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  validate(password, query, fn) {
    return this.wpcom.req.post(root + 'validate', query, {
      password: password
    }, fn);
  }
}

/***/ }),

/***/ 86853:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ ProfileLinks)
/* harmony export */ });
/**
 * Endpoint root
 */
const root = '/me/settings/profile-links';

/**
 * `ProfileLinks` constructor.
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {ProfileLinks|undefined}
 */
function ProfileLinks(wpcom) {
  if (!(this instanceof ProfileLinks)) {
    return new ProfileLinks(wpcom);
  }
  this.wpcom = wpcom;
}

/**
 * Get profile links of the current user.
 *
 * Example:
 * // Get profile links of the current user
 * wpcom
 * .me()
 * .settings()
 * .profileLinks()
 * .get( function( err, data ) {
 * // profile links data
 * } );
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
ProfileLinks.prototype.get = function (query, fn) {
  return this.wpcom.req.get(root, query, fn);
};

// Create `mine` alias
ProfileLinks.prototype.mine = ProfileLinks.prototype.get;

/**
 * Add a profile link to current user.
 *
 * Example:
 * // Add profile link to current user
 * wpcom
 * .me()
 * .settings()
 * .profileLinks()
 * .add( {
 * title: "WordPress Blog",
 * value: "en.blog.wordpress.com"
 * }, function( err, data ) {
 * // profile has been added
 * } );
 * @param {Array | Object} links - profile links
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
ProfileLinks.prototype.add = function (links, query, fn) {
  // query object is optional
  if ('function' === typeof query) {
    fn = query;
    query = {};
  }

  // links can be Array or an Object
  if (!(links instanceof Array)) {
    links = [links];
  }

  // Set api version 1.2 for this endpoint
  query.apiVersion = '1.2';
  const path = root + '/new';
  return this.wpcom.req.post(path, query, {
    links: links
  }, fn);
};

/**
 * Remove your ProfileLinks from a Post.
 *
 * Example:
 * // Remove profile link from current user
 * wpcom
 * .me()
 * .settings()
 * .profileLinks()
 * .del( 'example.wordpress.com', function( err, data ) {
 * // profile has been deleted
 * } );
 * @param {string} slug - the URL of the profile link
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
ProfileLinks.prototype.del = function (slug, query, fn) {
  const path = root + '/' + slug + '/delete';
  return this.wpcom.req.del(path, query, fn);
};

// Create `delete` alias
ProfileLinks.prototype.delete = ProfileLinks.prototype.del;

/***/ }),

/***/ 7368:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ MeTwoStep)
/* harmony export */ });
/* harmony import */ var _me_two_step_sms__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9167);

const root = '/me/two-step/';
class MeTwoStep {
  /**
   * `MeTwoStep` constructor.
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(wpcom) {
    if (!(this instanceof MeTwoStep)) {
      return new MeTwoStep(wpcom);
    }
    this.wpcom = wpcom;
  }

  /**
   * Get information about current user's two factor configuration.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  get(query, fn) {
    return this.wpcom.req.get(root, query, fn);
  }

  /**
   * Return a `MeTwoStepSMS` instance.
   * @returns {MeTwoStepSMS} MeTwoStepSMS instance
   */
  sms() {
    return new _me_two_step_sms__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A(this.wpcom);
  }
}

/***/ }),

/***/ 9167:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ MeTwoStepSMS)
/* harmony export */ });
const root = '/me/two-step/sms/';
class MeTwoStepSMS {
  /**
   * `MeTwoStepSMS` constructor.
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(wpcom) {
    if (!(this instanceof MeTwoStepSMS)) {
      return new MeTwoStepSMS(wpcom);
    }
    this.wpcom = wpcom;
  }

  /**
   * Sends a two-step code via SMS to the current user.
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  send(query, fn) {
    return this.wpcom.req.post(root + 'new', query, fn);
  }
}

/***/ }),

/***/ 87219:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Plans)
/* harmony export */ });
const root = '/plans';
class Plans {
  /**
   * `Plans` constructor.
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {undefined} undefined
   */
  constructor(wpcom) {
    if (!(this instanceof Plans)) {
      return new Plans(wpcom);
    }
    this.wpcom = wpcom;
  }

  /**
   * Get a list of active WordPress.com plans
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  list(query, fn) {
    return this.wpcom.req.get(root, query, fn);
  }

  /**
   * Get a list of features for active WordPress.com plans
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  features(query, fn) {
    return this.wpcom.req.get(`${root}/features`, query, fn);
  }
}

/***/ }),

/***/ 32107:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ([{
  name: 'categoriesList',
  subpath: 'categories'
}, {
  name: 'commentsList',
  subpath: 'comments'
}, {
  name: 'domainsList',
  subpath: 'domains'
}, {
  name: 'embedsList',
  subpath: 'embeds'
}, {
  name: 'followsList',
  subpath: 'follows'
}, {
  name: 'mediaList',
  subpath: 'media'
}, {
  name: 'pageTemplates',
  subpath: 'page-templates'
}, {
  name: 'pluginsList',
  subpath: 'plugins'
}, {
  name: 'postsList',
  subpath: 'posts'
}, {
  name: 'postTypesList',
  subpath: 'post-types'
}, {
  name: 'shortcodesList',
  subpath: 'shortcodes'
}, {
  name: 'stats',
  subpath: 'stats'
}, {
  name: 'statsClicks',
  subpath: 'stats/clicks'
}, {
  name: 'statsCommentFollowers',
  subpath: 'stats/comment-followers'
}, {
  name: 'statsComments',
  subpath: 'stats/comments'
}, {
  name: 'statsCountryViews',
  subpath: 'stats/country-views'
}, {
  name: 'statsFollowers',
  subpath: 'stats/followers'
}, {
  name: 'statsInsights',
  subpath: 'stats/insights'
}, {
  name: 'statsPublicize',
  subpath: 'stats/publicize'
}, {
  name: 'statsReferrers',
  subpath: 'stats/referrers'
}, {
  name: 'statsSearchTerms',
  subpath: 'stats/search-terms'
}, {
  name: 'statsStreak',
  subpath: 'stats/streak'
}, {
  name: 'statsSummary',
  subpath: 'stats/summary'
}, {
  name: 'statsTags',
  subpath: 'stats/tags'
}, {
  name: 'statsTopAuthors',
  subpath: 'stats/top-authors'
}, {
  name: 'statsTopPosts',
  subpath: 'stats/top-posts'
}, {
  name: 'statsVideoPlays',
  subpath: 'stats/video-plays'
}, {
  name: 'statsVisits',
  subpath: 'stats/visits'
}, {
  name: 'tagsList',
  subpath: 'tags'
}, {
  name: 'usersList',
  subpath: 'users'
}, {
  name: 'wpcomPluginsList',
  subpath: 'wpcom-plugins'
}]);

/***/ }),

/***/ 31039:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ([{
  name: 'likesList',
  subpath: 'likes'
}, {
  name: 'subscribersList',
  subpath: 'subscribers'
}]);

/***/ }),

/***/ 17852:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Category)
/* harmony export */ });
/**
 * Category methods
 * @param {string} [slug] - category slug
 * @param {string} sid - site id
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {Category|undefined}
 */
function Category(slug, sid, wpcom) {
  if (!sid) {
    throw new Error('`site id` is not correctly defined');
  }
  if (!(this instanceof Category)) {
    return new Category(slug, sid, wpcom);
  }
  this.wpcom = wpcom;
  this._sid = sid;
  this._slug = slug;
}

/**
 * Set category `slug`
 * @param {string} slug - category slug
 */
Category.prototype.slug = function (slug) {
  this._slug = slug;
};

/**
 * Get category
 * @param {Object} [query] - query object parameter - query object parameter
 * @param {Function} fn - callback function - callback
 * @returns {Function} request handler
 */
Category.prototype.get = function (query, fn) {
  const path = '/sites/' + this._sid + '/categories/slug:' + this._slug;
  return this.wpcom.req.get(path, query, fn);
};

/**
 * Add category
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Category.prototype.add = function (query, body, fn) {
  const path = '/sites/' + this._sid + '/categories/new';
  return this.wpcom.req.post(path, query, body, fn);
};

/**
 * Edit category
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Category.prototype.update = function (query, body, fn) {
  const path = '/sites/' + this._sid + '/categories/slug:' + this._slug;
  return this.wpcom.req.put(path, query, body, fn);
};

/**
 * Delete category
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Category.prototype.delete = Category.prototype.del = function (query, fn) {
  const path = '/sites/' + this._sid + '/categories/slug:' + this._slug + '/delete';
  return this.wpcom.req.del(path, query, fn);
};

/***/ }),

/***/ 62171:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Comment)
/* harmony export */ });
/* harmony import */ var _site_comment_like__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(76422);


/**
 * Comment methods
 * @param {string} [cid] comment id
 * @param {string} [pid] post id
 * @param {string} sid site id
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {Comment|undefined}
 */
function Comment(cid, pid, sid, wpcom) {
  if (!sid) {
    throw new Error('`site id` is not correctly defined');
  }
  if (!(this instanceof Comment)) {
    return new Comment(cid, pid, sid, wpcom);
  }
  this.wpcom = wpcom;
  this._cid = cid;
  this._pid = pid;
  this._sid = sid;
}

/**
 * Return a single Comment
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Comment.prototype.get = function (query, fn) {
  const path = '/sites/' + this._sid + '/comments/' + this._cid;
  return this.wpcom.req.get(path, query, fn);
};

/**
 * Return recent comments for a post
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Comment.prototype.replies = function (query, fn) {
  const path = '/sites/' + this._sid + '/posts/' + this._pid + '/replies/';
  return this.wpcom.req.get(path, query, fn);
};

/**
 * Create a comment on a post
 * @param {Object} [query] - query object parameter
 * @param {string | Object} body - body parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Comment.prototype.add = function (query, body, fn) {
  if (undefined === fn) {
    if (undefined === body) {
      body = query;
      query = {};
    } else if ('function' === typeof body) {
      fn = body;
      body = query;
      query = {};
    }
  }
  body = 'string' === typeof body ? {
    content: body
  } : body;
  const path = '/sites/' + this._sid + '/posts/' + this._pid + '/replies/new';
  return this.wpcom.req.post(path, query, body, fn);
};

/**
 * Edit a comment
 * @param {Object} [query] - query object parameter
 * @param {string | Object} body - body parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Comment.prototype.update = function (query, body, fn) {
  if ('function' === typeof body) {
    fn = body;
    body = query;
    query = {};
  }
  body = 'string' === typeof body ? {
    content: body
  } : body;
  const path = '/sites/' + this._sid + '/comments/' + this._cid;
  return this.wpcom.req.put(path, query, body, fn);
};

/**
 * Create a Comment as a reply to another Comment
 * @param {Object} [query] - query object parameter
 * @param {string | Object} body - body parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Comment.prototype.reply = function (query, body, fn) {
  if ('function' === typeof body) {
    fn = body;
    body = query;
    query = {};
  }
  body = 'string' === typeof body ? {
    content: body
  } : body;
  const path = '/sites/' + this._sid + '/comments/' + this._cid + '/replies/new';
  return this.wpcom.req.post(path, query, body, fn);
};

/**
 * Delete a comment
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Comment.prototype.del = Comment.prototype.delete = function (query, fn) {
  const path = '/sites/' + this._sid + '/comments/' + this._cid + '/delete';
  return this.wpcom.req.del(path, query, fn);
};

/**
 * Create a `commentLike` instance
 * @returns {Object} CommentLike instance
 */
Comment.prototype.like = function () {
  return (0,_site_comment_like__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(this._cid, this._sid, this.wpcom);
};

/**
 * Get comment likes list
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Comment.prototype.likesList = function (query, fn) {
  const path = '/sites/' + this._sid + '/comments/' + this._cid + '/likes';
  return this.wpcom.req.get(path, query, fn);
};

/***/ }),

/***/ 76422:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ CommentLike)
/* harmony export */ });
/**
 * CommentLike methods
 * @param {string} cid comment id
 * @param {string} sid site id
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {CommentLike|undefined}
 */
function CommentLike(cid, sid, wpcom) {
  if (!sid) {
    throw new Error('`site id` is not correctly defined');
  }
  if (!cid) {
    throw new Error('`comment id` is not correctly defined');
  }
  if (!(this instanceof CommentLike)) {
    return new CommentLike(cid, sid, wpcom);
  }
  this.wpcom = wpcom;
  this._cid = cid;
  this._sid = sid;
}

/**
 * Get your Like status for a Comment
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
CommentLike.prototype.mine = CommentLike.prototype.state = function (query, fn) {
  const path = '/sites/' + this._sid + '/comments/' + this._cid + '/likes/mine';
  return this.wpcom.req.get(path, query, fn);
};

/**
 * Like a comment
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
CommentLike.prototype.add = function (query, fn) {
  const path = '/sites/' + this._sid + '/comments/' + this._cid + '/likes/new';
  return this.wpcom.req.post(path, query, fn);
};

/**
 * Remove your Like from a Comment
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
CommentLike.prototype.del = CommentLike.prototype.delete = function (query, fn) {
  const path = '/sites/' + this._sid + '/comments/' + this._cid + '/likes/mine/delete';
  return this.wpcom.req.del(path, query, fn);
};

/***/ }),

/***/ 56441:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/**
 * SiteCreditVouchers methods
 * @param {string} sid - site id
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {null} null
 */
class SiteCreditVouchers {
  constructor(sid, wpcom) {
    if (!sid) {
      throw new Error('`site id` is not correctly defined');
    }
    if (!(this instanceof SiteCreditVouchers)) {
      return new SiteCreditVouchers(sid, wpcom);
    }
    this.wpcom = wpcom;
    this._sid = sid;
    this.path = `/sites/${this._sid}/vouchers`;
  }

  /**
   * Get site vouchers list
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  list(query = {}, fn) {
    query.apiNamespace = 'wpcom/v2';
    return this.wpcom.req.get(this.path, query, fn);
  }

  /**
   * Get site voucher
   * @param {string} serviceType - service type
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  get(serviceType, query = {}, fn) {
    query.apiNamespace = 'wpcom/v2';
    return this.wpcom.req.get(`${this.path}/${serviceType}`, query, fn);
  }

  /**
   * Assign a new voucher to the site
   * @param {string} serviceType - service type
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  assign(serviceType, query = {}, fn) {
    query.apiNamespace = 'wpcom/v2';
    return this.wpcom.req.post(`${this.path}/${serviceType}/assign`, query, {}, fn);
  }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SiteCreditVouchers);

/***/ }),

/***/ 85676:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/**
 * Module vars
 */
const root = '/sites';
class SiteDomain {
  /**
   * `SiteDomain` constructor.
   * @param {number|string} id - site identifier
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {undefined} undefined
   */
  constructor(id, wpcom) {
    if (!(this instanceof SiteDomain)) {
      return new SiteDomain(id, wpcom);
    }
    this._sid = id;
    this.path = `${root}/${this._sid}/domains`;
    this.wpcom = wpcom;
  }

  /**
   * Get the primary domain for a site
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Function} request handler
   */
  getPrimary(query, fn) {
    return this.wpcom.req.get(`${this.path}/primary`, query, fn);
  }

  /**
   * Set the primary domain for a site
   * @param {string} domain - domain to set
   * @param {Function} [fn] - callback function
   * @returns {Function} request handler
   */
  setPrimary(domain, fn) {
    return this.wpcom.req.put(`${this.path}/primary`, {}, {
      domain
    }, fn);
  }

  /**
   * Get the redirect status for a site
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Function} request handler
   */
  getRedirect(query, fn) {
    return this.wpcom.req.get(`${this.path}/redirect`, query, fn);
  }

  /**
   * Set the redirect location for a site
   * @param {string | Object} location - location to set
   * @param {Function} [fn] - callback function
   * @returns {Function} request handler
   */
  setRedirect(location, fn) {
    if (typeof location === 'string') {
      location = {
        location
      };
    }
    return this.wpcom.req.put(`${this.path}/redirect`, {}, location, fn);
  }
}

/**
 * Expose `SiteDomain` module
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SiteDomain);

/***/ }),

/***/ 91065:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Follow)
/* harmony export */ });
/**
 * Follow
 * @param {string} site_id - site id
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {Follow|undefined}
 */
function Follow(site_id, wpcom) {
  if (!site_id) {
    throw new Error('`site id` is not correctly defined');
  }
  if (!(this instanceof Follow)) {
    return new Follow(site_id, wpcom);
  }
  this.wpcom = wpcom;
  this._sid = site_id;
}

/**
 * Get the follow status for current
 * user on current blog sites
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Follow.prototype.mine = Follow.prototype.state = function (query, fn) {
  const path = '/sites/' + this._sid + '/follows/mine';
  return this.wpcom.req.get(path, query, fn);
};

/**
 * Follow the site
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Follow.prototype.follow = Follow.prototype.add = function (query, fn) {
  const path = '/sites/' + this._sid + '/follows/new';
  return this.wpcom.req.put(path, query, null, fn);
};

/**
 * Unfollow the site
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Follow.prototype.unfollow = Follow.prototype.del = function (query, fn) {
  const path = '/sites/' + this._sid + '/follows/mine/delete';
  return this.wpcom.req.del(path, query, null, fn);
};

/***/ }),

/***/ 59380:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _runtime_site_get__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(32107);
/* harmony import */ var _site_category__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(17852);
/* harmony import */ var _site_comment__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(62171);
/* harmony import */ var _site_credit_vouchers__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(56441);
/* harmony import */ var _site_domain__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(85676);
/* harmony import */ var _site_follow__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(91065);
/* harmony import */ var _site_media__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(27454);
/* harmony import */ var _site_plugin__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(59599);
/* harmony import */ var _site_post__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(14638);
/* harmony import */ var _site_post_type__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(70455);
/* harmony import */ var _site_settings__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(14281);
/* harmony import */ var _site_tag__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(87450);
/* harmony import */ var _site_taxonomy__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(34543);
/* harmony import */ var _site_wordads__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(47952);
/* harmony import */ var _site_wpcom_plugin__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(23012);
/* harmony import */ var _util_runtime_builder__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(10278);


















/**
 * Module vars
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('wpcom:site');
const root = '/sites';

/**
 * Site class
 */
class Site {
  /**
   * Create a Site instance
   * @param {string} id - site id
   * @param wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(id, wpcom) {
    if (!(this instanceof Site)) {
      return new Site(id, wpcom);
    }
    this.wpcom = wpcom;
    debug('set %o site id', id);
    this._id = encodeURIComponent(id);
    this.path = `${root}/${this._id}`;
  }

  /**
   * Require site information
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  get(query, fn) {
    return this.wpcom.req.get(this.path, query, fn);
  }

  /**
   * Create a `Post` instance
   * @param {string} id - post id
   * @returns {Post} Post instance
   */
  post(id) {
    return new _site_post__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A(id, this._id, this.wpcom);
  }

  /**
   * Add a new blog post
   * @param {Object} body - body object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  addPost(body, fn) {
    const post = new _site_post__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A(null, this._id, this.wpcom);
    return post.add(body, fn);
  }

  /**
   * Delete a blog post
   * @param {string} id - post id
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  deletePost(id, fn) {
    const post = new _site_post__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A(id, this._id, this.wpcom);
    return post.delete(fn);
  }

  /**
   * Create a `Media` instance
   * @param {string} id - post id
   * @returns {Media} Media instance
   */
  media(id) {
    return new _site_media__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A(id, this._id, this.wpcom);
  }

  /**
   * Add a media from a file
   * @param {Object} [query] - query object parameter
   * @param {Array|string} files - media files to add
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  addMediaFiles(query, files, fn) {
    const media = new _site_media__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A(null, this._id, this.wpcom);
    return media.addFiles(query, files, fn);
  }

  /**
   * Add a new media from url
   * @param {Object} [query] - query object parameter
   * @param {Array|string} files - media files to add
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  addMediaUrls(query, files, fn) {
    const media = new _site_media__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A(null, this._id, this.wpcom);
    return media.addUrls(query, files, fn);
  }

  /**
   * Delete a blog media
   * @param {string} id - media id
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  deleteMedia(id, fn) {
    const media = new _site_media__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A(id, this._id, this.wpcom);
    return media.del(fn);
  }

  /**
   * Create a `Comment` instance
   * @param {string} id - comment id
   * @returns {Comment} Comment instance
   */
  comment(id) {
    return new _site_comment__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A(id, null, this._id, this.wpcom);
  }

  /**
   * Create a `Follow` instance
   * @returns {Follow} Follow instance
   */
  follow() {
    return new _site_follow__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A(this._id, this.wpcom);
  }

  /**
   * Create a `SitePlugin` instance
   * @param {string} slug - plugin identifier
   * @returns {SitePlugin} SitePlugin instance
   */
  plugin(slug) {
    return new _site_plugin__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .A(slug, this._id, this.wpcom);
  }

  /**
   * Create a `SiteWPComPlugin` instance
   * @param {string} slug - plugin identifier
   * @returns {SiteWPComPlugin} SiteWPComPlugin instance
   */
  wpcomPlugin(slug) {
    return new _site_wpcom_plugin__WEBPACK_IMPORTED_MODULE_11__/* ["default"] */ .A(slug, this._id, this.wpcom);
  }

  /**
   * Create a `Category` instance
   * Set `cat` alias
   * @param {string} [slug] - category slug
   * @returns {Category} Category instance
   */
  category(slug) {
    return new _site_category__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(slug, this._id, this.wpcom);
  }

  /**
   * Create a `Tag` instance
   * @param {string} [slug] - tag slug
   * @returns {Tag} Tag instance
   */
  tag(slug) {
    return new _site_tag__WEBPACK_IMPORTED_MODULE_7__/* ["default"] */ .A(slug, this._id, this.wpcom);
  }

  /**
   * Create a `Taxonomy` instance
   * @param {string} [slug] - taxonomy slug
   * @returns {SiteTaxonomy} SiteTaxonomy instance
   */
  taxonomy(slug) {
    return new _site_taxonomy__WEBPACK_IMPORTED_MODULE_12__/* ["default"] */ .A(slug, this._id, this.wpcom);
  }

  /**
   * Create a `SiteCreditVouchers` instance
   * @returns {SiteCreditVouchers} SiteCreditVouchers instance
   */
  creditVouchers() {
    return new _site_credit_vouchers__WEBPACK_IMPORTED_MODULE_13__/* ["default"] */ .A(this._id, this.wpcom);
  }

  /**
   * Create a `SitePostType` instance
   * @param {string} [slug] - post type slug
   * @returns {SitePostType} SitePostType instance
   */
  postType(slug) {
    return new _site_post_type__WEBPACK_IMPORTED_MODULE_14__/* ["default"] */ .A(slug, this._id, this.wpcom);
  }

  /**
   * Create a `SiteSettings` instance
   * @returns {SiteSettings} SiteSettings instance
   */
  settings() {
    return new _site_settings__WEBPACK_IMPORTED_MODULE_15__/* ["default"] */ .A(this._id, this.wpcom);
  }

  /**
   * Create a `SiteDomain` instance
   * @returns {SiteDomain} SiteDomain instance
   */
  domain() {
    return new _site_domain__WEBPACK_IMPORTED_MODULE_16__/* ["default"] */ .A(this._id, this.wpcom);
  }

  /**
   * Get number of posts in the post type groups by post status
   *
   * Example:*
   * // Get number post of pages
   * wpcom
   * .site( 'my-blog.wordpress.com' )
   * .postCounts( 'page', function( err, data ) {
   * // `counts` data object
   * } );
   * @param {string} type - post type
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  postCounts(type = 'post', query, fn) {
    if ('function' === typeof query) {
      fn = query;
      query = {};
    }
    return this.wpcom.req.get(`${this.path}/post-counts/${type}`, query, fn);
  }

  /**
   * Get a rendered shortcode for a site.
   *
   * Note: The current user must have publishing access.
   * @param {string} url - shortcode url
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  renderShortcode(url, query, fn) {
    if ('string' !== typeof url) {
      throw new TypeError('expected a url String');
    }
    if ('function' === typeof query) {
      fn = query;
      query = {};
    }
    query = query || {};
    query.shortcode = url;
    return this.wpcom.req.get(`${this.path}/shortcodes/render`, query, fn);
  }

  /**
   * Get a rendered embed for a site.
   *
   * Note: The current user must have publishing access.
   * @param {string} url - embed url
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  renderEmbed(url, query, fn) {
    if ('string' !== typeof url) {
      throw new TypeError('expected an embed String');
    }
    if ('function' === typeof query) {
      fn = query;
      query = {};
    }
    query = query || {};
    query.embed_url = url;
    return this.wpcom.req.get(`${this.path}/embeds/render`, query, fn);
  }

  /**
   * Mark a referrering domain as spam
   * @param {string} domain - domain
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  statsReferrersSpamNew(domain, fn) {
    const path = `${this.path}/stats/referrers/spam/new`;
    return this.wpcom.req.post(path, {
      domain
    }, null, fn);
  }

  /**
   * Remove referrering domain from spam
   * @param {string} domain - domain
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  statsReferrersSpamDelete(domain, fn) {
    const path = `${this.path}/stats/referrers/spam/delete`;
    return this.wpcom.req.post(path, {
      domain
    }, null, fn);
  }

  /**
   * Get detailed stats about a VideoPress video
   * @param {string} videoId - video id
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  statsVideo(videoId, query, fn) {
    const path = `${this.path}/stats/video/${videoId}`;
    if ('function' === typeof query) {
      fn = query;
      query = {};
    }
    return this.wpcom.req.get(path, query, fn);
  }

  /**
   * Get detailed stats about a particular post
   * @param {string} postId - post id
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  statsPostViews(postId, query, fn) {
    const path = `${this.path}/stats/post/${postId}`;
    if ('function' === typeof query) {
      fn = query;
      query = {};
    }
    return this.wpcom.req.get(path, query, fn);
  }

  /**
   * Get detailed stats about a specific email and period
   * This fetches the timeline, according to the query passed
   * @param {string} postId - id of the post which email we are querying
   * @param  {string} statType The type of stat we are working with. For example: 'opens' for Email Open stats
   * @param {Object} [query] - query object parameter
   * @param {Function?} fn - callback function
   * @returns {Function} request handler
   */
  emailStatsForPeriod(postId, statType, query, fn) {
    const path = `${this.path}/stats/${statType}/emails/${postId}`;
    const statFields = ['timeline'];
    return Promise.all(statFields.map(field => this.wpcom.req.get(path, {
      ...query,
      stats_fields: field
    }, fn))).then(statsArray => statsArray.reduce((result, item) => {
      return {
        ...result,
        ...item
      };
    }, {}));
  }

  /**
   * Get detailed all time stats about a specific email and period
   * This fetchesthe clients, devices & countries
   * @param {string} postId - id of the post which email we are querying
   * @param  {string} statType The type of stat we are working with. For example: 'opens' for Email Open stats
   * @param {Function?} fn - callback function
   * @returns {Function} request handler
   */
  emailStatsAlltime(postId, statType, fn) {
    const basePath = `${this.path}/stats/${statType}/emails/${postId}`;
    const statFields = ['client', 'device', 'country', 'rate'];
    if (statType === 'clicks') {
      statFields.push('link');
      statFields.push('user-content-link');
    }
    return Promise.all(statFields.map(field => this.wpcom.req.get(`${basePath}/${field}`, fn))).then(statsArray => statsArray.reduce((result, item) => {
      return {
        ...result,
        ...item
      };
    }, {}));
  }

  /**
   * Return a `SiteWordAds` instance.
   *
   * Example:*
   * // Create a SiteWordAds instance
   *
   * const wordAds = wpcom
   * .site( 'my-blog.wordpress.com' )
   * .wordAds();
   * @returns {SiteWordAds} SiteWordAds instance
   */
  wordAds() {
    return new _site_wordads__WEBPACK_IMPORTED_MODULE_8__/* ["default"] */ .A(this._id, this.wpcom);
  }
}

// add methods in runtime
(0,_util_runtime_builder__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .A)(Site, _runtime_site_get__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A, (methodParams, ctx) => {
  return `/sites/${ctx._id}/${methodParams.subpath}`;
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Site);

/***/ }),

/***/ 27454:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Media)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _tus_uploader__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(55386);
/* harmony import */ var _util_fs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(56096);



const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('wpcom:media');

/**
 * Build a formData object to be sent in a POST request
 * @param  {Array|File} files - array of files
 * @returns {Array} formData array
 */
function buildFormData(files) {
  const formData = [];
  const isArray = Array.isArray(files);
  files = isArray ? files : [files];
  let i;
  let f;
  let k;
  let param;
  for (i = 0; i < files.length; i++) {
    f = files[i];
    if ('string' === typeof f) {
      f = (0,_util_fs__WEBPACK_IMPORTED_MODULE_2__/* .createReadStream */ .V)(f);
    }
    const isStream = !!f._readableState;
    const isFile = 'undefined' !== typeof File && f instanceof File;
    debug('isStream: %s', isStream);
    debug('isFile: %s', isFile);
    if (!isFile && !isStream) {
      // process file attributes like as `title`, `description`, ...
      for (k in f) {
        debug('add %o => %o', k, f[k]);
        if ('file' !== k) {
          param = 'attrs[' + i + '][' + k + ']';
          formData.push([param, f[k]]);
        }
      }
      // set file path
      f = f.file;
      if ('string' === typeof f) {
        f = (0,_util_fs__WEBPACK_IMPORTED_MODULE_2__/* .createReadStream */ .V)(f);
      }
    }
    formData.push(['media[]', f]);
  }
  return formData;
}

/**
 * Media methods
 * @param {string} id - media id
 * @param {string} sid site id
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {Media|undefined}
 */
function Media(id, sid, wpcom) {
  if (!(this instanceof Media)) {
    return new Media(id, sid, wpcom);
  }
  this.wpcom = wpcom;
  this._sid = sid;
  this._id = id;
  if (!this._id) {
    debug('WARN: media `id` is not defined');
  }
}

/**
 * Get media
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Media.prototype.get = function (query = {}, fn) {
  query.apiVersion = query.apiVersion || '1.2';
  const path = '/sites/' + this._sid + '/media/' + this._id;
  return this.wpcom.req.get(path, query, fn);
};

/**
 * Update media
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Media.prototype.update = function (query, body, fn) {
  const params = {
    path: '/sites/' + this._sid + '/media/' + this._id
  };
  return this.wpcom.req.put(params, query, body, fn);
};

/**
 * Edit media
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Media.prototype.edit = function (query, body, fn) {
  if (typeof body === 'function' || !body) {
    fn = body;
    body = query;
    query = {};
  }
  const params = {
    path: '/sites/' + this._sid + '/media/' + this._id + '/edit'
  };
  if (body && body.media) {
    params.formData = [['media', body.media]];
    delete body.media;
    for (const k in body) {
      params.formData.push([`attrs[${k}]`, body[k]]);
    }
    body = null;
  }
  return this.wpcom.req.put(params, query, body, fn);
};

/**
 * Add media file
 * @param {Object} [query] - query object parameter
 * @param {string | Object | Array} files - files to add
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Media.prototype.addFiles = function (query, files, fn) {
  if (undefined === fn) {
    if (undefined === files) {
      files = query;
      query = {};
    } else if ('function' === typeof files) {
      fn = files;
      files = query;
      query = {};
    }
  }
  if (!Array.isArray(files)) {
    files = [files];
  }
  const videoFiles = this.filterFilesUploadableOnVideoPress(files);
  if (videoFiles.length) {
    const uploader = new _tus_uploader__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A(this.wpcom, this._sid);
    return uploader.startUpload(videoFiles);
  }
  const params = {
    path: '/sites/' + this._sid + '/media/new',
    formData: buildFormData(files)
  };
  return this.wpcom.req.post(params, query, null, fn);
};

/**
 * Filters an array to only return files that can use VideoPress for upload.
 * @param {Array} files An array of file objects
 * @returns {Array}
 */
Media.prototype.filterFilesUploadableOnVideoPress = function (files) {
  return files.filter(file => this.fileCanBeUploadedOnVideoPress(file));
};

/**
 * Checks whether a media file can use VideoPress for upload.
 * @param {Object} file A file object
 * @returns {boolean}
 */
Media.prototype.fileCanBeUploadedOnVideoPress = function (file) {
  return !!file.canUseVideoPress && !!file.type && file.type.startsWith('video/');
};

/**
 * Add media files from URL
 * @param {Object} [query] - query object parameter
 * @param {string | Array | Object} media - files to add
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Media.prototype.addUrls = function (query, media, fn) {
  if (undefined === fn) {
    if (undefined === media) {
      media = query;
      query = {};
    } else if ('function' === typeof media) {
      fn = media;
      media = query;
      query = {};
    }
  }
  const path = '/sites/' + this._sid + '/media/new';
  const body = {
    media_urls: []
  };

  // process formData
  let i;
  let m;
  let url;
  let k;
  media = Array.isArray(media) ? media : [media];
  for (i = 0; i < media.length; i++) {
    m = media[i];
    if ('string' === typeof m) {
      url = m;
    } else {
      if (!body.attrs) {
        body.attrs = [];
      }

      // add attributes
      body.attrs[i] = {};
      for (k in m) {
        if ('url' !== k) {
          body.attrs[i][k] = m[k];
        }
      }
      url = m.url;
    }

    // push url into [media_url]
    body.media_urls.push(url);
  }
  return this.wpcom.req.post(path, query, body, fn);
};

/**
 * Delete media
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Media.prototype.delete = Media.prototype.del = function (query, fn) {
  const path = '/sites/' + this._sid + '/media/' + this._id + '/delete';
  return this.wpcom.req.del(path, query, fn);
};

/***/ }),

/***/ 59599:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/**
 * Module vars
 */
const root = '/sites';
class SitePlugin {
  /**
   * `SitePlugin` constructor.
   * @param {string} [slug] - the plugin slug
   * @param {number|string} sid - site identifier
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {undefined} undefined
   */
  constructor(slug, sid, wpcom) {
    if (!(this instanceof SitePlugin)) {
      return new SitePlugin(slug, sid, wpcom);
    }
    if (!slug) {
      throw new Error('`slug` is not correctly defined');
    }
    this._slug = encodeURIComponent(slug);
    this._sid = sid;
    this.wpcom = wpcom;
    const path = `${root}/${this._sid}/plugins`;
    this.pluginPath = `${path}/${this._slug}`;
  }

  /**
   * Get informtion about the plugin
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  get(query, fn) {
    return this.wpcom.req.get(this.pluginPath, query, fn);
  }

  /**
   * Update the plugin configuration
   * @param {Object} [query] - query object parameter
   * @param {Object} body - plugin body object
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  update(query, body, fn) {
    return this.wpcom.req.put(this.pluginPath, query, body, fn);
  }

  /**
   * Update the plugin version
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  updateVersion(query, fn) {
    return this.wpcom.req.put(`${this.pluginPath}/update`, query, fn);
  }

  /**
   * Install the plugin
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  install(query, fn) {
    const body = {
      slug: this._slug
    };
    return this.wpcom.req.post(`${root}/${this._sid}/plugins/install`, query, body, fn);
  }

  /**
   * Delete the plugin
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  delete(query, fn) {
    return this.wpcom.req.put(`${this.pluginPath}/delete`, query, fn);
  }

  /**
   * Activate the plugin
   * This method is a shorthand of update()
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  activate(query, fn) {
    return this.update(query, {
      active: true
    }, fn);
  }

  /**
   * Deactivate the plugin
   * This method is a shorthand of update()
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  deactivate(query, fn) {
    return this.update(query, {
      active: false
    }, fn);
  }

  /**
   * Enable plugin autoupdate
   * This method is a shorthand of update()
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  enableAutoupdate(query, fn) {
    return this.update(query, {
      autoupdate: true
    }, fn);
  }

  /**
   * Disable plugin autoupdate
   * This method is a shorthand of update()
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  disableAutoupdate(query, fn) {
    return this.update(query, {
      autoupdate: false
    }, fn);
  }
}

/**
 * Expose `SitePlugin` module
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SitePlugin);

/***/ }),

/***/ 70455:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ SitePostType)
/* harmony export */ });
/**
 * SitePostType class
 */
class SitePostType {
  /**
   * Create a SitePostType instance
   * @param {string} postType - post type
   * @param {string} siteId - site id
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(postType, siteId, wpcom) {
    if (!siteId) {
      throw new TypeError('`siteId` is not correctly defined');
    }
    if (!postType) {
      throw new TypeError('`postType` is not correctly defined');
    }
    if (!(this instanceof SitePostType)) {
      return new SitePostType(postType, siteId, wpcom);
    }
    this.wpcom = wpcom;
    this._siteId = encodeURIComponent(siteId);
    this._postType = encodeURIComponent(postType);
    this._rootPath = `/sites/${this._siteId}/post-types/${this._postType}`;
  }

  /**
   * Get a list of taxonomies for the post type
   * @param {Object} query - query object
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  taxonomiesList(query, fn) {
    const termsPath = `${this._rootPath}/taxonomies`;
    return this.wpcom.req.get(termsPath, query, fn);
  }
}

/***/ }),

/***/ 14638:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _runtime_site_post_get__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(31039);
/* harmony import */ var _site_comment__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(62171);
/* harmony import */ var _site_post_like__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(55789);
/* harmony import */ var _site_post_reblog__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(44527);
/* harmony import */ var _site_post_subscriber__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(56740);
/* harmony import */ var _util_runtime_builder__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(10278);








/**
 * Module vars
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('wpcom:post');
const root = '/sites';

/**
 * SitePost class
 */
class SitePost {
  /**
   * SitePost methods
   * @param {string} id - post id
   * @param {string} sid site id
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(id, sid, wpcom) {
    if (!(this instanceof SitePost)) {
      return new SitePost(id, sid, wpcom);
    }
    this.wpcom = wpcom;
    this._sid = sid;
    this.path = `${root}/${this._sid}/posts`;

    // set `id` and/or `slug` properties
    id = id || {};
    if ('object' !== typeof id) {
      this._id = id;
    } else {
      this._id = id.id;
      this._slug = id.slug;
    }
  }

  /**
   * Set post `id`
   * @param {string} id - site id
   */
  id(id) {
    this._id = id;
  }

  /**
   * Set post `slug`
   * @param {string} slug - site slug
   */
  slug(slug) {
    this._slug = slug;
  }

  /**
   * Get post url path
   * @returns {string} post path
   */

  getPostPath() {
    return `${this.path}/${this._id}`;
  }

  /**
   * Get post
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  get(query, fn) {
    if (!this._id && this._slug) {
      return this.getBySlug(query, fn);
    }
    return this.wpcom.req.get(this.getPostPath(), query, fn);
  }

  /**
   * Get post by slug
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  getBySlug(query, fn) {
    return this.wpcom.req.get(`${this.path}/slug:${this._slug}`, query, fn);
  }

  /**
   * Add post
   * @param {Object} [query] - query object parameter
   * @param {Object} body - body object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  add(query, body, fn) {
    if (undefined === fn) {
      if (undefined === body) {
        body = query;
        query = {};
      } else if ('function' === typeof body) {
        fn = body;
        body = query;
        query = {};
      }
    }
    return this.wpcom.req.post(`${this.path}/new`, query, body).then(data => {
      // update POST object
      this._id = data.ID;
      debug('Set post _id: %s', this._id);
      this._slug = data.slug;
      debug('Set post _slug: %s', this._slug);
      if ('function' === typeof fn) {
        fn(null, data);
      } else {
        return Promise.resolve(data);
      }
    }).catch(err => {
      if ('function' === typeof fn) {
        fn(err);
      } else {
        return Promise.reject(err);
      }
    });
  }

  /**
   * Edit post
   * @param {Object} [query] - query object parameter
   * @param {Object} body - body object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  update(query, body, fn) {
    return this.wpcom.req.put(this.getPostPath(), query, body, fn);
  }

  /**
   * Delete post
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  delete(query, fn) {
    const path = `${this.getPostPath()}/delete`;
    return this.wpcom.req.del(path, query, fn);
  }

  /**
   * Del post, alias of Delete
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  del(query, fn) {
    return this.delete(query, fn);
  }

  /**
   * Restore post
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  restore(query, fn) {
    return this.wpcom.req.put(`${this.getPostPath()}/restore`, query, null, fn);
  }

  /**
   * Search within a site for related posts
   * @param {Object} body - body object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  related(body, fn) {
    return this.wpcom.req.put(`${this.getPostPath()}/related`, body, null, fn);
  }

  /**
   * Create a `Comment` instance
   * @param {string} [cid] - comment id
   * @returns {Comment} Comment instance
   */
  comment(cid) {
    return new _site_comment__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(cid, this._id, this._sid, this.wpcom);
  }

  /**
   * Return recent comments
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  comments(query, fn) {
    const comment = new _site_comment__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(null, this._id, this._sid, this.wpcom);
    return comment.replies(query, fn);
  }

  /**
   * Create a `Like` instance
   * @returns {Like} Like instance
   */
  like() {
    return new _site_post_like__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A(this._id, this._sid, this.wpcom);
  }

  /**
   * Create a `Reblog` instance
   * @returns {Reblog} Reblog instance
   */
  reblog() {
    return new _site_post_reblog__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A(this._id, this._sid, this.wpcom);
  }

  /**
   * Return a `Subscriber` instance.
   *
   * Example:
   * // Create a Subscriber instance of a post
   * var post = wpcom.site( 'en.blog.wordpress.com' ).post( 1234 );
   * var subs = post.subscriber();
   * @returns {Subscriber} Subscriber instance
   */
  subscriber() {
    return new _site_post_subscriber__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A(this._id, this._sid, this.wpcom);
  }
}

// add methods in runtime
(0,_util_runtime_builder__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .A)(SitePost, _runtime_site_post_get__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A, (item, ctx) => {
  return `/sites/${ctx._sid}/posts/${ctx._id}/${item.subpath}`;
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SitePost);

/***/ }),

/***/ 55789:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Like)
/* harmony export */ });
/**
 * Like methods
 * @param {string} pid - post id
 * @param {string} sid - site id
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {Like|undefined}
 */
function Like(pid, sid, wpcom) {
  if (!sid) {
    throw new Error('`site id` is not correctly defined');
  }
  if (!pid) {
    throw new Error('`post id` is not correctly defined');
  }
  if (!(this instanceof Like)) {
    return new Like(pid, sid, wpcom);
  }
  this.wpcom = wpcom;
  this._pid = pid;
  this._sid = sid;
}

/**
 * Get your Like status for a Post
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 */
Like.prototype.mine = Like.prototype.state = function (query, fn) {
  const path = '/sites/' + this._sid + '/posts/' + this._pid + '/likes/mine';
  return this.wpcom.req.get(path, query, fn);
};

/**
 * Like a post
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Like.prototype.add = function (query, fn) {
  const path = '/sites/' + this._sid + '/posts/' + this._pid + '/likes/new';
  return this.wpcom.req.put(path, query, null, fn);
};

/**
 * Remove your Like from a Post
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 */
Like.prototype.del = Like.prototype.delete = function (query, fn) {
  const path = '/sites/' + this._sid + '/posts/' + this._pid + '/likes/mine/delete';
  return this.wpcom.req.del(path, query, fn);
};

/***/ }),

/***/ 44527:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Reblog)
/* harmony export */ });
/**
 * Reblog methods
 * @param {string} pid post id
 * @param {string} sid site id
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {Reblog|undefined}
 */
function Reblog(pid, sid, wpcom) {
  if (!sid) {
    throw new Error('`site id` is not correctly defined');
  }
  if (!pid) {
    throw new Error('`post id` is not correctly defined');
  }
  if (!(this instanceof Reblog)) {
    return new Reblog(pid, sid, wpcom);
  }
  this.wpcom = wpcom;
  this._pid = pid;
  this._sid = sid;
}

/**
 * Get your reblog status for a Post
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Reblog.prototype.mine = Reblog.prototype.state = function (query, fn) {
  const path = '/sites/' + this._sid + '/posts/' + this._pid + '/reblogs/mine';
  return this.wpcom.req.get(path, query, fn);
};

/**
 * Reblog a post
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Reblog.prototype.add = function (query, body, fn) {
  if ('function' === typeof body) {
    fn = body;
    body = query;
    query = {};
  }
  if (body && !body.destination_site_id) {
    return fn(new Error('destination_site_id is not defined'));
  }
  const path = '/sites/' + this._sid + '/posts/' + this._pid + '/reblogs/new';
  return this.wpcom.req.put(path, query, body, fn);
};

/**
 * Reblog a post to
 * It's almost an alias of Reblogs#add
 * @param {number|string} dest site id destination
 * @param {string} [note] - post reblog note
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Reblog.prototype.to = function (dest, note, fn) {
  if (undefined === fn) {
    if (undefined === note) {
      note = null;
    } else if ('function' === typeof note) {
      fn = note;
      note = null;
    }
  }
  return this.add({
    note: note,
    destination_site_id: dest
  }, fn);
};

/***/ }),

/***/ 56740:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
class SitePostSubscriber {
  /**
   * `SitePostSubscriber` constructor.
   * @param {string} id - post identifier
   * @param {string} sid - site identifier
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(id, sid, wpcom) {
    if (!sid) {
      throw new Error('`side id` is not correctly defined');
    }
    if (!id) {
      throw new Error('`post id` is not correctly defined');
    }
    if (!(this instanceof SitePostSubscriber)) {
      return new SitePostSubscriber(id, sid, wpcom);
    }
    this.wpcom = wpcom;
    this._id = id;
    this._sid = sid;
    this.path = `/sites/${this._sid}/posts/${this._id}/subscribers`;
  }

  /**
   * Get subscriber status for the current user for the Post.
   *
   *
   * Example:
   * Get subscriber status for the current user for the Post
   * wpcom
   * .site( 'en.blog.wordpress.com' )
   * .post( 1234 )
   * .subscriber()
   * .mine( function( err, data ) {
   * // subscription data
   * } );
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  mine(query, fn) {
    return this.wpcom.req.get(`${this.path}/mine`, query, fn);
  }

  /**
   * Subscribe the current user to the post.
   *
   * Example:
   * // Subscribe the current user to the post
   * wpcom
   * .site( 'en.blog.wordpress.com' )
   * .post( 1234 )
   * .subscriber()
   * .add( function( err, data ) {
   * // current user has been subscribed to post
   * } );
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  add(query, fn) {
    return this.wpcom.req.put(`${this.path}/new`, query, null, fn);
  }

  /**
   * Unsubscribe current user to the post
   *
   * Example:
   * // Unsubscribe current user to the post
   * wpcom
   * .site( 'en.blog.wordpress.com' )
   * .post( 1234 )
   * .subscriber()
   * .del( function( err, data ) {
   * // current user has been unsubscribed to post
   * } );
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  del(query, fn) {
    return this.wpcom.req.del(`${this.path}/mine/delete`, query, fn);
  }
}

// method alias
SitePostSubscriber.prototype.state = SitePostSubscriber.prototype.mine;
SitePostSubscriber.prototype.delete = SitePostSubscriber.prototype.del;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SitePostSubscriber);

/***/ }),

/***/ 14281:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/**
 * SiteSettings methods
 * @param {string} sid - site id
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {null} null
 */
class SiteSettings {
  constructor(sid, wpcom) {
    if (!sid) {
      throw new Error('`site id` is not correctly defined');
    }
    if (!(this instanceof SiteSettings)) {
      return new SiteSettings(sid, wpcom);
    }
    this.wpcom = wpcom;
    this._sid = sid;
    this.path = `/sites/${this._sid}/settings`;
  }

  /**
   * Get site-settings
   * @param {Object} [query] - query object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  get(query, fn) {
    return this.wpcom.req.get(this.path, query, fn);
  }

  /**
   * Get site-settings single option
   * @param {string} option - option to ask
   * @param {Function} [fn] - callback function
   * @returns {Function} request handler
   */
  getOption(option, fn = () => {}) {
    const query = {
      fields: 'settings'
    };
    return new Promise((resolve, reject) => {
      this.wpcom.req.get(this.path, query, (err, data) => {
        if (err) {
          fn(err);
          return reject(err);
        }
        if (!data) {
          fn();
          return resolve();
        }
        const settings = data.settings;
        if (settings && typeof settings[option] !== 'undefined') {
          fn(null, settings[option]);
          return resolve(settings[option]);
        }
        fn(null, data);
        return resolve(data);
      });
    });
  }

  /**
   * Update site-settings
   * @param {Object} [query] - query object parameter
   * @param {Object} body - body object parameter
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  update(query, body, fn) {
    return this.wpcom.req.put(this.path, query, body, fn);
  }

  /**
   * Set site-settings single option
   * @param {string} option - option to set
   * @param {*} value - value to assing to the given option
   * @param {Function} fn - callback function
   * @returns {Function} request handler
   */
  setOption(option, value, fn) {
    return this.wpcom.req.put(this.path, {}, {
      [option]: value
    }, fn);
  }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SiteSettings);

/***/ }),

/***/ 87450:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Tag)
/* harmony export */ });
/**
 * Tag methods
 * @param {string} [slug] - tag slug
 * @param {string} sid - site id
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {Tag|undefined}
 */
function Tag(slug, sid, wpcom) {
  if (!sid) {
    throw new Error('`site id` is not correctly defined');
  }
  if (!(this instanceof Tag)) {
    return new Tag(slug, sid, wpcom);
  }
  this.wpcom = wpcom;
  this._sid = sid;
  this._slug = slug;
}

/**
 * Set tag `slug`
 * @param {string} slug - tag slug
 */
Tag.prototype.slug = function (slug) {
  this._slug = slug;
};

/**
 * Get tag
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Tag.prototype.get = function (query, fn) {
  const path = '/sites/' + this._sid + '/tags/slug:' + this._slug;
  return this.wpcom.req.get(path, query, fn);
};

/**
 * Add tag
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Tag.prototype.add = function (query, body, fn) {
  const path = '/sites/' + this._sid + '/tags/new';
  return this.wpcom.req.post(path, query, body, fn);
};

/**
 * Edit tag
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Tag.prototype.update = function (query, body, fn) {
  const path = '/sites/' + this._sid + '/tags/slug:' + this._slug;
  return this.wpcom.req.put(path, query, body, fn);
};

/**
 * Delete tag
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Tag.prototype.delete = Tag.prototype.del = function (query, fn) {
  const path = '/sites/' + this._sid + '/tags/slug:' + this._slug + '/delete';
  return this.wpcom.req.del(path, query, fn);
};

/***/ }),

/***/ 34543:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _site_taxonomy_term__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(89479);


/**
 * SiteTaxonomy class
 */
class SiteTaxonomy {
  /**
   * Create a SiteTaxonomy instance
   * @param {string} taxonomy - taxonomy type
   * @param {string} siteId - site id
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(taxonomy, siteId, wpcom) {
    if (!siteId) {
      throw new TypeError('`siteId` is not correctly defined');
    }
    if (!taxonomy) {
      throw new TypeError('`taxonomy` is not correctly defined');
    }
    if (!(this instanceof SiteTaxonomy)) {
      return new SiteTaxonomy(taxonomy, siteId, wpcom);
    }
    this.wpcom = wpcom;
    this._siteId = encodeURIComponent(siteId);
    this._taxonomy = encodeURIComponent(taxonomy);
    this._rootPath = `/sites/${this._siteId}/taxonomies/${this._taxonomy}`;
  }

  /**
   * Get a list of Terms for the Taxonomy
   * @param {Object} [query] - query object
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  termsList(query, fn) {
    const termsPath = `${this._rootPath}/terms`;
    return this.wpcom.req.get(termsPath, query, fn);
  }

  /**
   * Return `Term` instance
   * @param {string} [term] - term slug
   * @returns {SiteTaxonomyTerm} Term instance
   */
  term(term) {
    return new _site_taxonomy_term__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A(term, this._taxonomy, this._siteId, this.wpcom);
  }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SiteTaxonomy);

/***/ }),

/***/ 89479:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/**
 * SiteTaxonomyTerm class
 */

class SiteTaxonomyTerm {
  /**
   * Create a SiteTaxonomyTerm instance
   * @param {string} term - term slug
   * @param {string} taxonomy - taxonomy type
   * @param {string} siteId - site id
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {null} null
   */
  constructor(term, taxonomy, siteId, wpcom) {
    if (!siteId) {
      throw new TypeError('`siteId` is not correctly defined');
    }
    if (!taxonomy) {
      throw new TypeError('`taxonomy` is not correctly defined');
    }
    if (!(this instanceof SiteTaxonomyTerm)) {
      return new SiteTaxonomyTerm(term, taxonomy, siteId, wpcom);
    }
    this.wpcom = wpcom;
    this._siteId = encodeURIComponent(siteId);
    this._taxonomy = encodeURIComponent(taxonomy);
    this._term = encodeURIComponent(term);
    this._taxonomyPath = `/sites/${this._siteId}/taxonomies/${this._taxonomy}/terms`;
  }

  /**
   * Get Term details
   * @param {Object} [query] - query parameters
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  get(query, fn) {
    if (!this._term) {
      throw new Error('`term` is not correctly defined');
    }
    if ('function' === typeof query) {
      fn = query;
      query = {};
    }
    const path = `${this._taxonomyPath}/slug:${this._term}`;
    return this.wpcom.req.get(path, query, fn);
  }

  /**
   * Add new Term
   * @param {Object} [params] - term parameters
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  add(params, fn) {
    if (!params || !params.name) {
      throw new Error('`params.name` is not correctly defined');
    }
    const path = `${this._taxonomyPath}/new`;
    return this.wpcom.req.post(path, params, fn);
  }

  /**
   * Delete Term
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  delete(fn) {
    if (!this._term) {
      throw new Error('`term` is not correctly defined');
    }
    const path = `${this._taxonomyPath}/slug:${this._term}/delete`;
    return this.wpcom.req.del(path, fn);
  }

  /**
   * Update Term
   * @param {Object} [params] - term parameters
   * @param {Function} fn - callback function
   * @returns {Promise} Promise
   */
  update(params, fn) {
    if (!this._term) {
      throw new Error('`term` is not correctly defined');
    }
    const path = `${this._taxonomyPath}/slug:${this._term}`;
    return this.wpcom.req.put(path, params, fn);
  }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SiteTaxonomyTerm);

/***/ }),

/***/ 55939:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ SiteWordAdsEarnings)
/* harmony export */ });
/**
 * `SiteWordAdsEarnings` constructor.
 * @param {string} sid - site identifier
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {SiteWordAdsEarnings|undefined}
 */
function SiteWordAdsEarnings(sid, wpcom) {
  if (!(this instanceof SiteWordAdsEarnings)) {
    return new SiteWordAdsEarnings(sid, wpcom);
  }
  this._sid = sid;
  this.wpcom = wpcom;
}

/**
 * Get detailed WordAds earnings information about the site.
 *
 * Example:*
 * // Get site earnings information
 * wpcom
 * .site( 'my-blog.wordpress.com' )
 * .wordAds()
 * .earnings()
 * .get( function( err, data ) {
 * // `earnings` information object
 * } );
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
SiteWordAdsEarnings.prototype.get = function (query, fn) {
  return this.wpcom.req.get('/sites/' + this._sid + '/wordads/earnings', query, fn);
};

/***/ }),

/***/ 47952:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ SiteWordAds)
/* harmony export */ });
/* harmony import */ var _site_wordads_earnings__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(55939);
/* harmony import */ var _site_wordads_settings__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(60909);
/* harmony import */ var _site_wordads_tos__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(26104);




/**
 * `SiteWordAds` constructor.
 *
 * Use a `WPCOM#Me` instance to create a new `SiteWordAds` instance.
 * @param {string} sid - site identifier
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {SiteWordAds|undefined}
 */
function SiteWordAds(sid, wpcom) {
  if (!(this instanceof SiteWordAds)) {
    return new SiteWordAds(sid, wpcom);
  }
  this._sid = sid;
  this.wpcom = wpcom;
}

/**
 * Return a `SiteWordAdsSettings` instance.
 *
 * Example:*
 * // Create a SiteWordAdsSettings instance
 *
 * var wordAds = wpcom
 * .site( 'my-blog.wordpress.com' )
 * .wordAds()
 * .settings();
 * @returns {SiteWordAdsSettings} site WordAds settings instance
 */
SiteWordAds.prototype.settings = function () {
  return new _site_wordads_settings__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A(this._sid, this.wpcom);
};

/**
 * Return a `SiteWordAdsEarnings` instance.
 *
 * Example:*
 * // Create a SiteWordAdsEarnings instance
 *
 * var wordAds = wpcom
 * .site( 'my-blog.wordpress.com' )
 * .wordAds()
 * .earnings();
 * @returns {SiteWordAdsEarnings} site WordAds earnings instance
 */
SiteWordAds.prototype.earnings = function () {
  return new _site_wordads_earnings__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A(this._sid, this.wpcom);
};

/**
 * Return a `SiteWordAdsTOS` instance.
 *
 * Example:*
 * // Create a SiteWordAdsTOS instance
 *
 * var wordAds = wpcom
 * .site( 'my-blog.wordpress.com' )
 * .wordAds()
 * .tos();
 *
 * Return  SiteWordAdsTOS object for the site.
 * @returns {SiteWordAdsTOS} site wordAds TOS instance
 */
SiteWordAds.prototype.tos = function () {
  return new _site_wordads_tos__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(this._sid, this.wpcom);
};

/***/ }),

/***/ 60909:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ SiteWordAdsSettings)
/* harmony export */ });
/**
 * `SiteWordAdsSettings` constructor.
 * @param {string} sid - site identifier
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {SiteWordAdsSettings|undefined}
 */
function SiteWordAdsSettings(sid, wpcom) {
  if (!(this instanceof SiteWordAdsSettings)) {
    return new SiteWordAdsSettings(sid, wpcom);
  }
  this._sid = sid;
  this.wpcom = wpcom;
}

/**
 * Get detailed WordAds settings information about the site.
 *
 * Example:*
 * // Get site settings information
 * wpcom
 * .site( 'my-blog.wordpress.com' )
 * .wordAds()
 * .settings()
 * .get( function( err, data ) {
 * // `settings` information object
 * } );
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
SiteWordAdsSettings.prototype.get = function (query, fn) {
  return this.wpcom.req.get('/sites/' + this._sid + '/wordads/settings', query, fn);
};

/**
 * Update WordAds settings for the site.
 *
 * Example:*
 * var settings = {}; // your settings here
 *
 * // Get site settings information
 * wpcom
 * .site( 'my-blog.wordpress.com' )
 * .wordAds()
 * .settings()
 * .update( settings, function( err, data ) {
 * // data settings information object
 * } );
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
SiteWordAdsSettings.prototype.update = function (query, body, fn) {
  const path = '/sites/' + this._sid + '/wordads/settings';
  return this.wpcom.req.post(path, query, body, fn);
};

/***/ }),

/***/ 26104:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ SiteWordAdsTOS)
/* harmony export */ });
/**
 * `SiteWordAdsTOS` constructor.
 * @param {string} sid - site identifier
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {SiteWordAdsTOS|undefined}
 */
function SiteWordAdsTOS(sid, wpcom) {
  if (!(this instanceof SiteWordAdsTOS)) {
    return new SiteWordAdsTOS(sid, wpcom);
  }
  this._sid = sid;
  this.wpcom = wpcom;
}

/**
 * GET site's WordAds TOS
 *
 * Example:
 * // Get site TOS information
 * wpcom
 * .site( 'my-blog.wordpress.com' )
 * .wordAds()
 * .tos()
 * .get( function( err, data ) {
 * // `settings` information object
 * } );
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
SiteWordAdsTOS.prototype.get = function (query, fn) {
  return this.wpcom.req.get('/sites/' + this._sid + '/wordads/tos', query, fn);
};

/**
 * UPDATE site's WordAds TOS
 *
 * Example:
 * // Update TOS
 * wpcom
 * .site( 'my-blog.wordpress.com' )
 * .wordAds()
 * .tos()
 * .update( { tos: 'signed' }, function( err, data ) {
 * // data settings information object
 * } );
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
SiteWordAdsTOS.prototype.update = function (query, body, fn) {
  const path = '/sites/' + this._sid + '/wordads/tos';
  return this.wpcom.req.post(path, query, body, fn);
};

/**
 * SIGN site's WordAds TOS
 *
 * Example:
 * // Sign TOS
 * wpcom
 * .site( 'my-blog.wordpress.com' )
 * .wordAds()
 * .tos()
 * .sign( function( err, data ) {
 * // data settings information object
 * } );
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
SiteWordAdsTOS.prototype.sign = function (query, fn) {
  const path = '/sites/' + this._sid + '/wordads/tos';
  return this.wpcom.req.post(path, query, {
    tos: 'signed'
  }, fn);
};

/***/ }),

/***/ 23012:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/**
 * Module vars
 */
const root = '/sites';
class SiteWPComPlugin {
  /**
   * `SiteWPComPlugin` constructor.
   * @param {string} [slug] - the plugin slug
   * @param {number|string} sid - site identifier
   * @param {WPCOM} wpcom - wpcom instance
   * @returns {undefined} undefined
   */
  constructor(slug, sid, wpcom) {
    if (!(this instanceof SiteWPComPlugin)) {
      return new SiteWPComPlugin(slug, sid, wpcom);
    }
    if (!slug) {
      throw new Error('`slug` is not correctly defined');
    }
    this._slug = encodeURIComponent(slug);
    this._sid = sid;
    this.wpcom = wpcom;
    const path = `${root}/${this._sid}/wpcom-plugins`;
    this.pluginPath = `${path}/${this._slug}`;
  }

  /**
   * Update the plugin configuration
   * @param {Object} [query] - query object parameter
   * @param {Object} body - plugin body object
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  update(query, body, fn) {
    return this.wpcom.req.put(this.pluginPath, query, body, fn);
  }

  /**
   * Activate the plugin
   * This method is a shorthand of update()
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  activate(query, fn) {
    return this.update(query, {
      active: true
    }, fn);
  }

  /**
   * Deactivate the plugin
   * This method is a shorthand of update()
   * @param {Object} [query] - query object parameter
   * @param {Function} [fn] - callback function
   * @returns {Promise} Promise
   */
  deactivate(query, fn) {
    return this.update(query, {
      active: false
    }, fn);
  }
}

/**
 * Expose `SiteWPComPlugin` module
 */
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SiteWPComPlugin);

/***/ }),

/***/ 55386:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ TusUploader)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(24586);
/* harmony import */ var tus_js_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(46436);
/* harmony import */ var _site_media__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(27454);




/**
 * This class is an adapted version of wpcom's TUS uploader use-uploader.js.
 * It enables resumable uploads for videos.
 */
class TusUploader {
  constructor(wpcom, sid) {
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "createGetJwtRequest", key => {
      const params = {
        path: '/sites/' + this._sid + '/media/videopress-upload-jwt',
        apiNamespace: 'wpcom/v2'
      };
      if (key) {
        params.key = key;
      }
      return this.wpcom.req.post(params, {}, null, null);
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "startUpload", files => {
      const file = files[0];
      return new Promise((resolve, reject) => {
        const uploader = this.resumableUploader({
          onError: error => reject(error),
          onSuccess: args => {
            const media = new _site_media__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A(args.mediaId, this._sid, this.wpcom);
            media.get().then(res => resolve({
              media: [res]
            })).catch(err => reject(err));
          },
          onProgress: (bytesUploaded, bytesTotal) => {
            const uploadEvent = new CustomEvent('tus-upload-progress', {
              detail: {
                fileName: file.name,
                progress: bytesUploaded / bytesTotal * 100
              }
            });
            document.dispatchEvent(uploadEvent);
          }
        });
        return this.createGetJwtRequest().then(jwtData => uploader(file, jwtData));
      });
    });
    (0,_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)(this, "resumableUploader", ({
      onError,
      onProgress,
      onSuccess
    }) => {
      const jwtsForKeys = {};
      // Keep in sync with wpcom's use-uploader.js
      return (file, data) => {
        const upload = new tus_js_client__WEBPACK_IMPORTED_MODULE_0__/* .Upload */ ._O(file, {
          onError: onError,
          onProgress: onProgress,
          endpoint: 'https://public-api.wordpress.com/rest/v1.1/video-uploads/' + this._sid + '/',
          removeFingerprintOnSuccess: true,
          withCredentials: false,
          autoRetry: true,
          overridePatchMethod: false,
          chunkSize: 10000000,
          // 10Mb.
          allowedFileTypes: ['video/*'],
          metadata: {
            filename: file.name,
            filetype: file.type
          },
          retryDelays: [0, 1000, 3000, 5000, 10000],
          onAfterResponse: (req, res) => {
            // Why is this not showing the x-headers?
            if (res.getStatus() >= 400) {
              return;
            }
            const GUID_HEADER = 'x-videopress-upload-guid';
            const MEDIA_ID_HEADER = 'x-videopress-upload-media-id';
            const SRC_URL_HEADER = 'x-videopress-upload-src-url';
            const guid = res.getHeader(GUID_HEADER);
            const mediaId = res.getHeader(MEDIA_ID_HEADER);
            const src = res.getHeader(SRC_URL_HEADER);
            if (guid && mediaId && src) {
              onSuccess && onSuccess({
                mediaId: Number(mediaId),
                guid,
                src
              });
              return;
            }
            const headerMap = {
              'x-videopress-upload-key-token': 'token',
              'x-videopress-upload-key': 'key'
            };
            const tokenData = {};
            Object.keys(headerMap).forEach(function (header) {
              const value = res.getHeader(header);
              if (!value) {
                return;
              }
              tokenData[headerMap[header]] = value;
            });
            if (tokenData.key && tokenData.token) {
              jwtsForKeys[tokenData.key] = tokenData.token;
            }
          },
          onBeforeRequest: req => {
            // make ALL requests be either POST or GET to honor the public-api.wordpress.com "contract".
            const method = req._method;
            if (['HEAD', 'OPTIONS'].indexOf(method) >= 0) {
              req._method = 'GET';
              req.setHeader('X-HTTP-Method-Override', method);
            }
            if (['DELETE', 'PUT', 'PATCH'].indexOf(method) >= 0) {
              req._method = 'POST';
              req.setHeader('X-HTTP-Method-Override', method);
            }
            req._xhr.open(req._method, req._url, true);
            // Set the headers again, reopening the xhr resets them.
            Object.keys(req._headers).map(function (headerName) {
              req.setHeader(headerName, req._headers[headerName]);
            });
            if ('POST' === method) {
              const hasJWT = !!data.upload_token;
              if (hasJWT) {
                req.setHeader('x-videopress-upload-token', data.upload_token);
              } else {
                throw 'should never happen';
              }
            }
            if (['OPTIONS', 'GET', 'HEAD', 'DELETE', 'PUT', 'PATCH'].indexOf(method) >= 0) {
              const url = new URL(req._url);
              const path = url.pathname;
              const parts = path.split('/');
              const maybeUploadkey = parts[parts.length - 1];
              if (jwtsForKeys[maybeUploadkey]) {
                req.setHeader('x-videopress-upload-token', jwtsForKeys[maybeUploadkey]);
              } else if ('HEAD' === method) {
                return this.createGetJwtRequest(maybeUploadkey).then(responseData => {
                  jwtsForKeys[maybeUploadkey] = responseData.token;
                  req.setHeader('x-videopress-upload-token', responseData.token);
                  return req;
                });
              }
            }
            return Promise.resolve(req);
          }
        });
        upload.findPreviousUploads().then(function (previousUploads) {
          if (previousUploads.length) {
            upload.resumeFromPreviousUpload(previousUploads[0]);
          }
          upload.start();
        });
        return upload;
      };
    });
    this.wpcom = wpcom;
    this._sid = sid;
  }
}

/***/ }),

/***/ 15459:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Users)
/* harmony export */ });
/**
 * Create a `Users` instance
 * @param {WPCOM} wpcom - wpcom instance
 * @returns {Users|undefined}
 */
function Users(wpcom) {
  if (!(this instanceof Users)) {
    return new Users(wpcom);
  }
  this.wpcom = wpcom;
}

/**
 * A list of @mention suggestions for the current user
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Users.prototype.suggest = function (query, fn) {
  return this.wpcom.req.get('/users/suggest', query, fn);
};

/***/ }),

/***/ 56096:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   V: () => (/* binding */ createReadStream)
/* harmony export */ });
function createReadStream() {
  throw new Error('Cannot call fs functions within the browser');
}

/***/ }),

/***/ 44031:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Pinghub)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);

const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('wpcom:pinghub');

/**
 * Create a `Pinghub` instance
 * @param {Object} wpcom - wpcom instance
 * @returns {Pinghub|undefined}
 */
function Pinghub(wpcom) {
  if (!(this instanceof Pinghub)) {
    return new Pinghub(wpcom);
  }
  this.wpcom = wpcom;
  this.conns = {};
}

/**
 * Open a websocket to Pinghub
 * @param {string} path - request path
 * @param {Function} fn - callback function
 */
Pinghub.prototype.connect = function (path, fn) {
  debug('connect', path, fn);
  const pinghub = this;
  const params = {
    action: 'connect',
    path: '/pinghub' + path
  };
  const errorCallback = function () {}; // we want an xhr, not a promise
  const xhr = this.conns[path] = this.wpcom.req.get(params, errorCallback);
  xhr.onload = function (e) {
    debug('onload', path, e);
    fn(null, e);
  };
  xhr.onerror = xhr.onabort = xhr.onclose = function (e) {
    debug('onerror', path, e);
    pinghub.remove(path);
    fn(e, null);
  };
};

/**
 * Close a websocket connection (unsubscribe)
 * @param {string} path - request path
 */
Pinghub.prototype.disconnect = function (path) {
  debug('disconnect', path);
  const params = {
    action: 'disconnect',
    path: '/pinghub' + path
  };
  const errorCallback = function () {}; // no promises
  this.wpcom.req.get(params, errorCallback);
};

/**
 * Remove a dead connection
 * @param {string} path - pinghub channel
 */
Pinghub.prototype.remove = function (path) {
  debug('remove', path);
  delete this.conns[path];
};

/***/ }),

/***/ 3069:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ Req)
/* harmony export */ });
/* harmony import */ var _send_request__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(53328);


/**
 * Expose `Request` module
 * @param {WPCOM} wpcom - wpcom instance
 */
function Req(wpcom) {
  this.wpcom = wpcom;
}

/**
 * Request methods
 * @param {Object | string} params - params object
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Req.prototype.get = function (params, query, fn) {
  // `query` is optional
  if ('function' === typeof query) {
    fn = query;
    query = {};
  }
  return _send_request__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.call(this.wpcom, params, query, null, fn);
};

/**
 * Make `update` request
 * @param {Object | string} params
 * @param {Object} [query] - query object parameter
 * @param {Object} body - body object parameter
 * @param {Function} fn - callback function
 */
Req.prototype.post = Req.prototype.put = function (params, query, body, fn) {
  if (undefined === fn) {
    if (undefined === body) {
      body = query;
      query = {};
    } else if ('function' === typeof body) {
      fn = body;
      body = query;
      query = {};
    }
  }

  // params can be a string
  params = 'string' === typeof params ? {
    path: params
  } : params;

  // in v1 endpoints, DELETE and PUT operations use http POST, but for v2 endpoints we must allow this to be overridden
  params.method = params.method || 'post';
  return _send_request__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.call(this.wpcom, params, query, body, fn);
};

/**
 * Make a `delete` request
 * @param {Object | string} params - params object
 * @param {Object} [query] - query object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
Req.prototype.del = function (params, query, fn) {
  if ('function' === typeof query) {
    fn = query;
    query = {};
  }
  return this.post(params, query, null, fn);
};

/***/ }),

/***/ 10278:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* export default binding */ __WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Module vars
 */
const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('wpcom:runtime');

/**
 * Build a generic method
 * @param {Object} methodParams - method methodParams
 * @param {Function} buildPath - function called to build method path
 * @returns {string} method path
 */
const methodBuilder = (methodParams, buildPath) => {
  return function (query, fn) {
    const path = buildPath(methodParams, this);
    return this.wpcom.req.get(path, query, fn);
  };
};

/**
 * Add methods to the given Class in the
 * runtime process.
 * @param {*} Class - class to extend
 * @param {Array} list - methods list
 * @param {Function} buildPath - function to build the method endpoint path
 */
/* harmony default export */ function __WEBPACK_DEFAULT_EXPORT__(Class, list, buildPath) {
  list.forEach(methodParams => {
    methodParams = 'object' === typeof methodParams ? methodParams : {
      name: methodParams
    };
    debug('Adding %o', methodParams.name);
    Class.prototype[methodParams.name] = methodBuilder(methodParams, buildPath);
  });
}

/***/ }),

/***/ 53328:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ sendRequest)
/* harmony export */ });
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2090);
/* harmony import */ var debug__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(debug__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(45810);
/* harmony import */ var qs__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(qs__WEBPACK_IMPORTED_MODULE_1__);


const debug = debug__WEBPACK_IMPORTED_MODULE_0___default()('wpcom:send-request');
const debug_res = debug__WEBPACK_IMPORTED_MODULE_0___default()('wpcom:send-request:res');

/**
 * Request to WordPress REST API
 * @param {string | Object} params - params object
 * @param {Object} [query] - query object parameter
 * @param {Object} [body] - body object parameter
 * @param {Function} fn - callback function
 * @returns {Function} request handler
 */
function sendRequest(params, query, body, fn) {
  // `params` can be just the path ( String )
  params = 'string' === typeof params ? {
    path: params
  } : params;
  debug('sendRequest(%o )', params.path);

  // set `method` request param
  params.method = (params.method || 'get').toUpperCase();

  // `query` is optional
  if ('function' === typeof query) {
    fn = query;
    query = {};
  }

  // `body` is optional
  if ('function' === typeof body) {
    fn = body;
    body = null;
  }

  // query could be `null`
  query = query || {};

  // Handle special query parameters
  // - `apiVersion`
  if (query.apiVersion) {
    params.apiVersion = query.apiVersion;
    debug('apiVersion: %o', params.apiVersion);
    delete query.apiVersion;
  } else {
    params.apiVersion = this.apiVersion;
  }

  // - `apiNamespace`
  if (query.apiNamespace) {
    params.apiNamespace = query.apiNamespace;
    debug('apiNamespace: %o', params.apiNamespace);
    delete query.apiNamespace;
  }

  // - `proxyOrigin`
  if (query.proxyOrigin) {
    params.proxyOrigin = query.proxyOrigin;
    debug('proxyOrigin: %o', params.proxyOrigin);
    delete query.proxyOrigin;
  }

  // Stringify query object before to send
  query = qs__WEBPACK_IMPORTED_MODULE_1___default().stringify(query, {
    arrayFormat: 'brackets'
  });

  // pass `query` and/or `body` to request params
  params.query = query;
  if (body) {
    params.body = body;
  }

  // OAuth token
  if (this.token) {
    params.token = this.token;
  }
  debug('params: %o', params);

  // if callback is provided, behave traditionally
  if ('function' === typeof fn) {
    // request method
    return this.request(params, function (err, res, headers) {
      debug_res(res);
      fn(err, res, headers);
    });
  }

  // but if not, return a Promise
  return new Promise((resolve, reject) => {
    this.request(params, (err, res) => {
      debug_res(res);
      err ? reject(err) : resolve(res);
    });
  });
}

/***/ }),

/***/ 2090:
/***/ ((module, exports, __webpack_require__) => {

/* eslint-env browser */

/**
 * This is the web browser implementation of `debug()`.
 */

exports.formatArgs = formatArgs;
exports.save = save;
exports.load = load;
exports.useColors = useColors;
exports.storage = localstorage();
exports.destroy = (() => {
  let warned = false;
  return () => {
    if (!warned) {
      warned = true;
      console.warn('Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.');
    }
  };
})();

/**
 * Colors.
 */

exports.colors = ['#0000CC', '#0000FF', '#0033CC', '#0033FF', '#0066CC', '#0066FF', '#0099CC', '#0099FF', '#00CC00', '#00CC33', '#00CC66', '#00CC99', '#00CCCC', '#00CCFF', '#3300CC', '#3300FF', '#3333CC', '#3333FF', '#3366CC', '#3366FF', '#3399CC', '#3399FF', '#33CC00', '#33CC33', '#33CC66', '#33CC99', '#33CCCC', '#33CCFF', '#6600CC', '#6600FF', '#6633CC', '#6633FF', '#66CC00', '#66CC33', '#9900CC', '#9900FF', '#9933CC', '#9933FF', '#99CC00', '#99CC33', '#CC0000', '#CC0033', '#CC0066', '#CC0099', '#CC00CC', '#CC00FF', '#CC3300', '#CC3333', '#CC3366', '#CC3399', '#CC33CC', '#CC33FF', '#CC6600', '#CC6633', '#CC9900', '#CC9933', '#CCCC00', '#CCCC33', '#FF0000', '#FF0033', '#FF0066', '#FF0099', '#FF00CC', '#FF00FF', '#FF3300', '#FF3333', '#FF3366', '#FF3399', '#FF33CC', '#FF33FF', '#FF6600', '#FF6633', '#FF9900', '#FF9933', '#FFCC00', '#FFCC33'];

/**
 * Currently only WebKit-based Web Inspectors, Firefox >= v31,
 * and the Firebug extension (any Firefox version) are known
 * to support "%c" CSS customizations.
 *
 * TODO: add a `localStorage` variable to explicitly enable/disable colors
 */

// eslint-disable-next-line complexity
function useColors() {
  // NB: In an Electron preload script, document will be defined but not fully
  // initialized. Since we know we're in Chrome, we'll just detect this case
  // explicitly
  if ( true && window.process && (window.process.type === 'renderer' || window.process.__nwjs)) {
    return true;
  }

  // Internet Explorer and Edge do not support colors.
  if (typeof navigator !== 'undefined' && navigator.userAgent && navigator.userAgent.toLowerCase().match(/(edge|trident)\/(\d+)/)) {
    return false;
  }

  // Is webkit? http://stackoverflow.com/a/16459606/376773
  // document is undefined in react-native: https://github.com/facebook/react-native/pull/1632
  return typeof document !== 'undefined' && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance ||
  // Is firebug? http://stackoverflow.com/a/398120/376773
   true && window.console && (window.console.firebug || window.console.exception && window.console.table) ||
  // Is firefox >= v31?
  // https://developer.mozilla.org/en-US/docs/Tools/Web_Console#Styling_messages
  typeof navigator !== 'undefined' && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 ||
  // Double check webkit in userAgent just in case we are in a worker
  typeof navigator !== 'undefined' && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
}

/**
 * Colorize log arguments if enabled.
 *
 * @api public
 */

function formatArgs(args) {
  args[0] = (this.useColors ? '%c' : '') + this.namespace + (this.useColors ? ' %c' : ' ') + args[0] + (this.useColors ? '%c ' : ' ') + '+' + module.exports.humanize(this.diff);
  if (!this.useColors) {
    return;
  }
  const c = 'color: ' + this.color;
  args.splice(1, 0, c, 'color: inherit');

  // The final "%c" is somewhat tricky, because there could be other
  // arguments passed either before or after the %c, so we need to
  // figure out the correct index to insert the CSS into
  let index = 0;
  let lastC = 0;
  args[0].replace(/%[a-zA-Z%]/g, match => {
    if (match === '%%') {
      return;
    }
    index++;
    if (match === '%c') {
      // We only are interested in the *last* %c
      // (the user may have provided their own)
      lastC = index;
    }
  });
  args.splice(lastC, 0, c);
}

/**
 * Invokes `console.debug()` when available.
 * No-op when `console.debug` is not a "function".
 * If `console.debug` is not available, falls back
 * to `console.log`.
 *
 * @api public
 */
exports.log = console.debug || console.log || (() => {});

/**
 * Save `namespaces`.
 *
 * @param {String} namespaces
 * @api private
 */
function save(namespaces) {
  try {
    if (namespaces) {
      exports.storage.setItem('debug', namespaces);
    } else {
      exports.storage.removeItem('debug');
    }
  } catch (error) {
    // Swallow
    // XXX (@Qix-) should we be logging these?
  }
}

/**
 * Load `namespaces`.
 *
 * @return {String} returns the previously persisted debug modes
 * @api private
 */
function load() {
  let r;
  try {
    r = exports.storage.getItem('debug');
  } catch (error) {
    // Swallow
    // XXX (@Qix-) should we be logging these?
  }

  // If debug isn't set in LS, and we're in Electron, try to load $DEBUG
  if (!r && typeof process !== 'undefined' && 'env' in process) {
    r = process.env.DEBUG;
  }
  return r;
}

/**
 * Localstorage attempts to return the localstorage.
 *
 * This is necessary because safari throws
 * when a user disables cookies/localstorage
 * and you attempt to access it.
 *
 * @return {LocalStorage}
 * @api private
 */

function localstorage() {
  try {
    // TVMLKit (Apple TV JS Runtime) does not have a window object, just localStorage in the global context
    // The Browser also has localStorage in the global context.
    return localStorage;
  } catch (error) {
    // Swallow
    // XXX (@Qix-) should we be logging these?
  }
}
module.exports = __webpack_require__(80869)(exports);
const {
  formatters
} = module.exports;

/**
 * Map %j to `JSON.stringify()`, since no Web Inspectors do that by default.
 */

formatters.j = function (v) {
  try {
    return JSON.stringify(v);
  } catch (error) {
    return '[UnexpectedJSONParseError]: ' + error.message;
  }
};

/***/ }),

/***/ 80869:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/**
 * This is the common logic for both the Node.js and web browser
 * implementations of `debug()`.
 */

function setup(env) {
  createDebug.debug = createDebug;
  createDebug.default = createDebug;
  createDebug.coerce = coerce;
  createDebug.disable = disable;
  createDebug.enable = enable;
  createDebug.enabled = enabled;
  createDebug.humanize = __webpack_require__(28437);
  createDebug.destroy = destroy;
  Object.keys(env).forEach(key => {
    createDebug[key] = env[key];
  });

  /**
  * The currently active debug mode names, and names to skip.
  */

  createDebug.names = [];
  createDebug.skips = [];

  /**
  * Map of special "%n" handling functions, for the debug "format" argument.
  *
  * Valid key names are a single, lower or upper-case letter, i.e. "n" and "N".
  */
  createDebug.formatters = {};

  /**
  * Selects a color for a debug namespace
  * @param {String} namespace The namespace string for the debug instance to be colored
  * @return {Number|String} An ANSI color code for the given namespace
  * @api private
  */
  function selectColor(namespace) {
    let hash = 0;
    for (let i = 0; i < namespace.length; i++) {
      hash = (hash << 5) - hash + namespace.charCodeAt(i);
      hash |= 0; // Convert to 32bit integer
    }
    return createDebug.colors[Math.abs(hash) % createDebug.colors.length];
  }
  createDebug.selectColor = selectColor;

  /**
  * Create a debugger with the given `namespace`.
  *
  * @param {String} namespace
  * @return {Function}
  * @api public
  */
  function createDebug(namespace) {
    let prevTime;
    let enableOverride = null;
    let namespacesCache;
    let enabledCache;
    function debug(...args) {
      // Disabled?
      if (!debug.enabled) {
        return;
      }
      const self = debug;

      // Set `diff` timestamp
      const curr = Number(new Date());
      const ms = curr - (prevTime || curr);
      self.diff = ms;
      self.prev = prevTime;
      self.curr = curr;
      prevTime = curr;
      args[0] = createDebug.coerce(args[0]);
      if (typeof args[0] !== 'string') {
        // Anything else let's inspect with %O
        args.unshift('%O');
      }

      // Apply any `formatters` transformations
      let index = 0;
      args[0] = args[0].replace(/%([a-zA-Z%])/g, (match, format) => {
        // If we encounter an escaped % then don't increase the array index
        if (match === '%%') {
          return '%';
        }
        index++;
        const formatter = createDebug.formatters[format];
        if (typeof formatter === 'function') {
          const val = args[index];
          match = formatter.call(self, val);

          // Now we need to remove `args[index]` since it's inlined in the `format`
          args.splice(index, 1);
          index--;
        }
        return match;
      });

      // Apply env-specific formatting (colors, etc.)
      createDebug.formatArgs.call(self, args);
      const logFn = self.log || createDebug.log;
      logFn.apply(self, args);
    }
    debug.namespace = namespace;
    debug.useColors = createDebug.useColors();
    debug.color = createDebug.selectColor(namespace);
    debug.extend = extend;
    debug.destroy = createDebug.destroy; // XXX Temporary. Will be removed in the next major release.

    Object.defineProperty(debug, 'enabled', {
      enumerable: true,
      configurable: false,
      get: () => {
        if (enableOverride !== null) {
          return enableOverride;
        }
        if (namespacesCache !== createDebug.namespaces) {
          namespacesCache = createDebug.namespaces;
          enabledCache = createDebug.enabled(namespace);
        }
        return enabledCache;
      },
      set: v => {
        enableOverride = v;
      }
    });

    // Env-specific initialization logic for debug instances
    if (typeof createDebug.init === 'function') {
      createDebug.init(debug);
    }
    return debug;
  }
  function extend(namespace, delimiter) {
    const newDebug = createDebug(this.namespace + (typeof delimiter === 'undefined' ? ':' : delimiter) + namespace);
    newDebug.log = this.log;
    return newDebug;
  }

  /**
  * Enables a debug mode by namespaces. This can include modes
  * separated by a colon and wildcards.
  *
  * @param {String} namespaces
  * @api public
  */
  function enable(namespaces) {
    createDebug.save(namespaces);
    createDebug.namespaces = namespaces;
    createDebug.names = [];
    createDebug.skips = [];
    let i;
    const split = (typeof namespaces === 'string' ? namespaces : '').split(/[\s,]+/);
    const len = split.length;
    for (i = 0; i < len; i++) {
      if (!split[i]) {
        // ignore empty strings
        continue;
      }
      namespaces = split[i].replace(/\*/g, '.*?');
      if (namespaces[0] === '-') {
        createDebug.skips.push(new RegExp('^' + namespaces.slice(1) + '$'));
      } else {
        createDebug.names.push(new RegExp('^' + namespaces + '$'));
      }
    }
  }

  /**
  * Disable debug output.
  *
  * @return {String} namespaces
  * @api public
  */
  function disable() {
    const namespaces = [...createDebug.names.map(toNamespace), ...createDebug.skips.map(toNamespace).map(namespace => '-' + namespace)].join(',');
    createDebug.enable('');
    return namespaces;
  }

  /**
  * Returns true if the given mode name is enabled, false otherwise.
  *
  * @param {String} name
  * @return {Boolean}
  * @api public
  */
  function enabled(name) {
    if (name[name.length - 1] === '*') {
      return true;
    }
    let i;
    let len;
    for (i = 0, len = createDebug.skips.length; i < len; i++) {
      if (createDebug.skips[i].test(name)) {
        return false;
      }
    }
    for (i = 0, len = createDebug.names.length; i < len; i++) {
      if (createDebug.names[i].test(name)) {
        return true;
      }
    }
    return false;
  }

  /**
  * Convert regexp to namespace
  *
  * @param {RegExp} regxep
  * @return {String} namespace
  * @api private
  */
  function toNamespace(regexp) {
    return regexp.toString().substring(2, regexp.toString().length - 2).replace(/\.\*\?$/, '*');
  }

  /**
  * Coerce `val`.
  *
  * @param {Mixed} val
  * @return {Mixed}
  * @api private
  */
  function coerce(val) {
    if (val instanceof Error) {
      return val.stack || val.message;
    }
    return val;
  }

  /**
  * XXX DO NOT USE. This is a temporary stub function.
  * XXX It WILL be removed in the next major release.
  */
  function destroy() {
    console.warn('Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.');
  }
  createDebug.enable(createDebug.load());
  return createDebug;
}
module.exports = setup;

/***/ }),

/***/ 48532:
/***/ ((module) => {

const iconsThatNeedOffset = ['gridicons-add-outline', 'gridicons-add', 'gridicons-align-image-center', 'gridicons-align-image-left', 'gridicons-align-image-none', 'gridicons-align-image-right', 'gridicons-attachment', 'gridicons-bold', 'gridicons-bookmark-outline', 'gridicons-bookmark', 'gridicons-calendar', 'gridicons-cart', 'gridicons-create', 'gridicons-custom-post-type', 'gridicons-external', 'gridicons-folder', 'gridicons-heading', 'gridicons-help-outline', 'gridicons-help', 'gridicons-history', 'gridicons-info-outline', 'gridicons-info', 'gridicons-italic', 'gridicons-layout-blocks', 'gridicons-link-break', 'gridicons-link', 'gridicons-list-checkmark', 'gridicons-list-ordered', 'gridicons-list-unordered', 'gridicons-menus', 'gridicons-minus', 'gridicons-my-sites', 'gridicons-notice-outline', 'gridicons-notice', 'gridicons-plus-small', 'gridicons-plus', 'gridicons-popout', 'gridicons-posts', 'gridicons-scheduled', 'gridicons-share-ios', 'gridicons-star-outline', 'gridicons-star', 'gridicons-stats', 'gridicons-status', 'gridicons-thumbs-up', 'gridicons-textcolor', 'gridicons-time', 'gridicons-trophy', 'gridicons-user-circle', 'gridicons-reader-follow', 'gridicons-reader-following'];
const iconsThatNeedOffsetY = ['gridicons-align-center', 'gridicons-align-justify', 'gridicons-align-left', 'gridicons-align-right', 'gridicons-arrow-left', 'gridicons-arrow-right', 'gridicons-house', 'gridicons-indent-left', 'gridicons-indent-right', 'gridicons-minus-small', 'gridicons-print', 'gridicons-sign-out', 'gridicons-stats-alt', 'gridicons-trash', 'gridicons-underline', 'gridicons-video-camera'];
const iconsThatNeedOffsetX = ['gridicons-arrow-down', 'gridicons-arrow-up', 'gridicons-comment', 'gridicons-clear-formatting', 'gridicons-flag', 'gridicons-menu', 'gridicons-reader', 'gridicons-strikethrough'];
module.exports = {
  iconsThatNeedOffset,
  iconsThatNeedOffsetX,
  iconsThatNeedOffsetY
};

/***/ }),

/***/ 94769:
/***/ (function(module, exports, __webpack_require__) {

"use strict";
var __WEBPACK_AMD_DEFINE_RESULT__;

(function (global) {
  // minimal symbol polyfill for IE11 and others
  if (typeof Symbol !== 'function') {
    var Symbol = function (name) {
      return name;
    };
    Symbol.nonNative = true;
  }
  const STATE_PLAINTEXT = Symbol('plaintext');
  const STATE_HTML = Symbol('html');
  const STATE_COMMENT = Symbol('comment');
  const ALLOWED_TAGS_REGEX = /<(\w*)>/g;
  const NORMALIZE_TAG_REGEX = /<\/?([^\s\/>]+)/;
  function striptags(html, allowable_tags, tag_replacement) {
    html = html || '';
    allowable_tags = allowable_tags || [];
    tag_replacement = tag_replacement || '';
    let context = init_context(allowable_tags, tag_replacement);
    return striptags_internal(html, context);
  }
  function init_striptags_stream(allowable_tags, tag_replacement) {
    allowable_tags = allowable_tags || [];
    tag_replacement = tag_replacement || '';
    let context = init_context(allowable_tags, tag_replacement);
    return function striptags_stream(html) {
      return striptags_internal(html || '', context);
    };
  }
  striptags.init_streaming_mode = init_striptags_stream;
  function init_context(allowable_tags, tag_replacement) {
    allowable_tags = parse_allowable_tags(allowable_tags);
    return {
      allowable_tags: allowable_tags,
      tag_replacement: tag_replacement,
      state: STATE_PLAINTEXT,
      tag_buffer: '',
      depth: 0,
      in_quote_char: ''
    };
  }
  function striptags_internal(html, context) {
    if (typeof html != "string") {
      throw new TypeError("'html' parameter must be a string");
    }
    let allowable_tags = context.allowable_tags;
    let tag_replacement = context.tag_replacement;
    let state = context.state;
    let tag_buffer = context.tag_buffer;
    let depth = context.depth;
    let in_quote_char = context.in_quote_char;
    let output = '';
    for (let idx = 0, length = html.length; idx < length; idx++) {
      let char = html[idx];
      if (state === STATE_PLAINTEXT) {
        switch (char) {
          case '<':
            state = STATE_HTML;
            tag_buffer += char;
            break;
          default:
            output += char;
            break;
        }
      } else if (state === STATE_HTML) {
        switch (char) {
          case '<':
            // ignore '<' if inside a quote
            if (in_quote_char) {
              break;
            }

            // we're seeing a nested '<'
            depth++;
            break;
          case '>':
            // ignore '>' if inside a quote
            if (in_quote_char) {
              break;
            }

            // something like this is happening: '<<>>'
            if (depth) {
              depth--;
              break;
            }

            // this is closing the tag in tag_buffer
            in_quote_char = '';
            state = STATE_PLAINTEXT;
            tag_buffer += '>';
            if (allowable_tags.has(normalize_tag(tag_buffer))) {
              output += tag_buffer;
            } else {
              output += tag_replacement;
            }
            tag_buffer = '';
            break;
          case '"':
          case '\'':
            // catch both single and double quotes

            if (char === in_quote_char) {
              in_quote_char = '';
            } else {
              in_quote_char = in_quote_char || char;
            }
            tag_buffer += char;
            break;
          case '-':
            if (tag_buffer === '<!-') {
              state = STATE_COMMENT;
            }
            tag_buffer += char;
            break;
          case ' ':
          case '\n':
            if (tag_buffer === '<') {
              state = STATE_PLAINTEXT;
              output += '< ';
              tag_buffer = '';
              break;
            }
            tag_buffer += char;
            break;
          default:
            tag_buffer += char;
            break;
        }
      } else if (state === STATE_COMMENT) {
        switch (char) {
          case '>':
            if (tag_buffer.slice(-2) == '--') {
              // close the comment
              state = STATE_PLAINTEXT;
            }
            tag_buffer = '';
            break;
          default:
            tag_buffer += char;
            break;
        }
      }
    }

    // save the context for future iterations
    context.state = state;
    context.tag_buffer = tag_buffer;
    context.depth = depth;
    context.in_quote_char = in_quote_char;
    return output;
  }
  function parse_allowable_tags(allowable_tags) {
    let tag_set = new Set();
    if (typeof allowable_tags === 'string') {
      let match;
      while (match = ALLOWED_TAGS_REGEX.exec(allowable_tags)) {
        tag_set.add(match[1]);
      }
    } else if (!Symbol.nonNative && typeof allowable_tags[Symbol.iterator] === 'function') {
      tag_set = new Set(allowable_tags);
    } else if (typeof allowable_tags.forEach === 'function') {
      // IE11 compatible
      allowable_tags.forEach(tag_set.add, tag_set);
    }
    return tag_set;
  }
  function normalize_tag(tag_buffer) {
    let match = NORMALIZE_TAG_REGEX.exec(tag_buffer);
    return match ? match[1].toLowerCase() : null;
  }
  if (true) {
    // AMD
    !(__WEBPACK_AMD_DEFINE_RESULT__ = (function module_factory() {
      return striptags;
    }).call(exports, __webpack_require__, exports, module),
		__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
  } else {}
})(this);

/***/ }),

/***/ 34263:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ FileReader)
/* harmony export */ });
/* harmony import */ var _isReactNative__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(32936);
/* harmony import */ var _uriToBlob__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(74448);
/* harmony import */ var _isCordova__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(87152);
/* harmony import */ var _readAsByteArray__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(94447);
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }






var FileSource = /*#__PURE__*/function () {
  // Make this.size a method
  function FileSource(file) {
    _classCallCheck(this, FileSource);

    this._file = file;
    this.size = file.size;
  }

  _createClass(FileSource, [{
    key: "slice",
    value: function slice(start, end) {
      // In Apache Cordova applications, a File must be resolved using
      // FileReader instances, see
      // https://cordova.apache.org/docs/en/8.x/reference/cordova-plugin-file/index.html#read-a-file
      if ((0,_isCordova__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)()) {
        return (0,_readAsByteArray__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(this._file.slice(start, end));
      }

      var value = this._file.slice(start, end);

      return Promise.resolve({
        value: value
      });
    }
  }, {
    key: "close",
    value: function close() {// Nothing to do here since we don't need to release any resources.
    }
  }]);

  return FileSource;
}();

var StreamSource = /*#__PURE__*/function () {
  function StreamSource(reader, chunkSize) {
    _classCallCheck(this, StreamSource);

    this._chunkSize = chunkSize;
    this._buffer = undefined;
    this._bufferOffset = 0;
    this._reader = reader;
    this._done = false;
  }

  _createClass(StreamSource, [{
    key: "slice",
    value: function slice(start, end) {
      if (start < this._bufferOffset) {
        return Promise.reject(new Error("Requested data is before the reader's current offset"));
      }

      return this._readUntilEnoughDataOrDone(start, end);
    }
  }, {
    key: "_readUntilEnoughDataOrDone",
    value: function _readUntilEnoughDataOrDone(start, end) {
      var _this = this;

      var hasEnoughData = end <= this._bufferOffset + len(this._buffer);

      if (this._done || hasEnoughData) {
        var value = this._getDataFromBuffer(start, end);

        var done = value == null ? this._done : false;
        return Promise.resolve({
          value: value,
          done: done
        });
      }

      return this._reader.read().then(function (_ref) {
        var value = _ref.value,
            done = _ref.done;

        if (done) {
          _this._done = true;
        } else if (_this._buffer === undefined) {
          _this._buffer = value;
        } else {
          _this._buffer = concat(_this._buffer, value);
        }

        return _this._readUntilEnoughDataOrDone(start, end);
      });
    }
  }, {
    key: "_getDataFromBuffer",
    value: function _getDataFromBuffer(start, end) {
      // Remove data from buffer before `start`.
      // Data might be reread from the buffer if an upload fails, so we can only
      // safely delete data when it comes *before* what is currently being read.
      if (start > this._bufferOffset) {
        this._buffer = this._buffer.slice(start - this._bufferOffset);
        this._bufferOffset = start;
      } // If the buffer is empty after removing old data, all data has been read.


      var hasAllDataBeenRead = len(this._buffer) === 0;

      if (this._done && hasAllDataBeenRead) {
        return null;
      } // We already removed data before `start`, so we just return the first
      // chunk from the buffer.


      return this._buffer.slice(0, end - start);
    }
  }, {
    key: "close",
    value: function close() {
      if (this._reader.cancel) {
        this._reader.cancel();
      }
    }
  }]);

  return StreamSource;
}();

function len(blobOrArray) {
  if (blobOrArray === undefined) return 0;
  if (blobOrArray.size !== undefined) return blobOrArray.size;
  return blobOrArray.length;
}
/*
  Typed arrays and blobs don't have a concat method.
  This function helps StreamSource accumulate data to reach chunkSize.
*/


function concat(a, b) {
  if (a.concat) {
    // Is `a` an Array?
    return a.concat(b);
  }

  if (a instanceof Blob) {
    return new Blob([a, b], {
      type: a.type
    });
  }

  if (a.set) {
    // Is `a` a typed array?
    var c = new a.constructor(a.length + b.length);
    c.set(a);
    c.set(b, a.length);
    return c;
  }

  throw new Error('Unknown data type');
}

var FileReader = /*#__PURE__*/function () {
  function FileReader() {
    _classCallCheck(this, FileReader);
  }

  _createClass(FileReader, [{
    key: "openFile",
    value: function openFile(input, chunkSize) {
      // In React Native, when user selects a file, instead of a File or Blob,
      // you usually get a file object {} with a uri property that contains
      // a local path to the file. We use XMLHttpRequest to fetch
      // the file blob, before uploading with tus.
      if ((0,_isReactNative__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A)() && input && typeof input.uri !== 'undefined') {
        return (0,_uriToBlob__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)(input.uri).then(function (blob) {
          return new FileSource(blob);
        })["catch"](function (err) {
          throw new Error("tus: cannot fetch `file.uri` as Blob, make sure the uri is correct and accessible. ".concat(err));
        });
      } // Since we emulate the Blob type in our tests (not all target browsers
      // support it), we cannot use `instanceof` for testing whether the input value
      // can be handled. Instead, we simply check is the slice() function and the
      // size property are available.


      if (typeof input.slice === 'function' && typeof input.size !== 'undefined') {
        return Promise.resolve(new FileSource(input));
      }

      if (typeof input.read === 'function') {
        chunkSize = +chunkSize;

        if (!isFinite(chunkSize)) {
          return Promise.reject(new Error('cannot create source for stream without a finite value for the `chunkSize` option'));
        }

        return Promise.resolve(new StreamSource(input, chunkSize));
      }

      return Promise.reject(new Error('source object may only be an instance of File, Blob, or Reader in this environment'));
    }
  }]);

  return FileReader;
}();



/***/ }),

/***/ 14788:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ fingerprint)
/* harmony export */ });
/* harmony import */ var _isReactNative__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(32936);
 // TODO: Differenciate between input types

/**
 * Generate a fingerprint for a file which will be used the store the endpoint
 *
 * @param {File} file
 * @param {Object} options
 * @param {Function} callback
 */

function fingerprint(file, options) {
  if ((0,_isReactNative__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)()) {
    return Promise.resolve(reactNativeFingerprint(file, options));
  }

  return Promise.resolve(['tus-br', file.name, file.type, file.size, file.lastModified, options.endpoint].join('-'));
}

function reactNativeFingerprint(file, options) {
  var exifHash = file.exif ? hashCode(JSON.stringify(file.exif)) : 'noexif';
  return ['tus-rn', file.name || 'noname', file.size || 'nosize', exifHash, options.endpoint].join('/');
}

function hashCode(str) {
  // from https://stackoverflow.com/a/8831937/151666
  var hash = 0;

  if (str.length === 0) {
    return hash;
  }

  for (var i = 0; i < str.length; i++) {
    var _char = str.charCodeAt(i);

    hash = (hash << 5) - hash + _char;
    hash &= hash; // Convert to 32bit integer
  }

  return hash;
}

/***/ }),

/***/ 15952:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ XHRHttpStack)
/* harmony export */ });
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/* global window */
var XHRHttpStack = /*#__PURE__*/function () {
  function XHRHttpStack() {
    _classCallCheck(this, XHRHttpStack);
  }

  _createClass(XHRHttpStack, [{
    key: "createRequest",
    value: function createRequest(method, url) {
      return new Request(method, url);
    }
  }, {
    key: "getName",
    value: function getName() {
      return 'XHRHttpStack';
    }
  }]);

  return XHRHttpStack;
}();



var Request = /*#__PURE__*/function () {
  function Request(method, url) {
    _classCallCheck(this, Request);

    this._xhr = new XMLHttpRequest();

    this._xhr.open(method, url, true);

    this._method = method;
    this._url = url;
    this._headers = {};
  }

  _createClass(Request, [{
    key: "getMethod",
    value: function getMethod() {
      return this._method;
    }
  }, {
    key: "getURL",
    value: function getURL() {
      return this._url;
    }
  }, {
    key: "setHeader",
    value: function setHeader(header, value) {
      this._xhr.setRequestHeader(header, value);

      this._headers[header] = value;
    }
  }, {
    key: "getHeader",
    value: function getHeader(header) {
      return this._headers[header];
    }
  }, {
    key: "setProgressHandler",
    value: function setProgressHandler(progressHandler) {
      // Test support for progress events before attaching an event listener
      if (!('upload' in this._xhr)) {
        return;
      }

      this._xhr.upload.onprogress = function (e) {
        if (!e.lengthComputable) {
          return;
        }

        progressHandler(e.loaded);
      };
    }
  }, {
    key: "send",
    value: function send() {
      var _this = this;

      var body = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
      return new Promise(function (resolve, reject) {
        _this._xhr.onload = function () {
          resolve(new Response(_this._xhr));
        };

        _this._xhr.onerror = function (err) {
          reject(err);
        };

        _this._xhr.send(body);
      });
    }
  }, {
    key: "abort",
    value: function abort() {
      this._xhr.abort();

      return Promise.resolve();
    }
  }, {
    key: "getUnderlyingObject",
    value: function getUnderlyingObject() {
      return this._xhr;
    }
  }]);

  return Request;
}();

var Response = /*#__PURE__*/function () {
  function Response(xhr) {
    _classCallCheck(this, Response);

    this._xhr = xhr;
  }

  _createClass(Response, [{
    key: "getStatus",
    value: function getStatus() {
      return this._xhr.status;
    }
  }, {
    key: "getHeader",
    value: function getHeader(header) {
      return this._xhr.getResponseHeader(header);
    }
  }, {
    key: "getBody",
    value: function getBody() {
      return this._xhr.responseText;
    }
  }, {
    key: "getUnderlyingObject",
    value: function getUnderlyingObject() {
      return this._xhr;
    }
  }]);

  return Response;
}();

/***/ }),

/***/ 46436:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _O: () => (/* binding */ Upload)
/* harmony export */ });
/* unused harmony exports defaultOptions, isSupported */
/* harmony import */ var _upload__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(11406);
/* harmony import */ var _noopUrlStorage__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(55217);
/* harmony import */ var _urlStorage__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9476);
/* harmony import */ var _httpStack__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(15952);
/* harmony import */ var _fileReader__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(34263);
/* harmony import */ var _fingerprint__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(14788);
function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { return function () { var Super = _getPrototypeOf(Derived), result; if (_isNativeReflectConstruct()) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/* global window */








var defaultOptions = _objectSpread({}, _upload__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.defaultOptions, {
  httpStack: new _httpStack__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .A(),
  fileReader: new _fileReader__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A(),
  urlStorage: _urlStorage__WEBPACK_IMPORTED_MODULE_1__/* .canStoreURLs */ .o ? new _urlStorage__WEBPACK_IMPORTED_MODULE_1__/* .WebStorageUrlStorage */ .Y() : new _noopUrlStorage__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A(),
  fingerprint: _fingerprint__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .A
});

var Upload = /*#__PURE__*/function (_BaseUpload) {
  _inherits(Upload, _BaseUpload);

  var _super = _createSuper(Upload);

  function Upload() {
    var file = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    _classCallCheck(this, Upload);

    options = _objectSpread({}, defaultOptions, {}, options);
    return _super.call(this, file, options);
  }

  _createClass(Upload, null, [{
    key: "terminate",
    value: function terminate(url, options, cb) {
      options = _objectSpread({}, defaultOptions, {}, options);
      return _upload__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.terminate(url, options, cb);
    }
  }]);

  return Upload;
}(_upload__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A);

var _window = window,
    XMLHttpRequest = _window.XMLHttpRequest,
    Blob = _window.Blob;
var isSupported = XMLHttpRequest && Blob && typeof Blob.prototype.slice === 'function';


/***/ }),

/***/ 87152:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
var isCordova = function isCordova() {
  return  true && (typeof window.PhoneGap != 'undefined' || typeof window.Cordova != 'undefined' || typeof window.cordova != 'undefined');
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (isCordova);

/***/ }),

/***/ 32936:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
var isReactNative = function isReactNative() {
  return typeof navigator !== 'undefined' && typeof navigator.product === 'string' && navigator.product.toLowerCase() === 'reactnative';
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (isReactNative);

/***/ }),

/***/ 94447:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ readAsByteArray)
/* harmony export */ });
/**
 * readAsByteArray converts a File object to a Uint8Array.
 * This function is only used on the Apache Cordova platform.
 * See https://cordova.apache.org/docs/en/latest/reference/cordova-plugin-file/index.html#read-a-file
 */
function readAsByteArray(chunk) {
  return new Promise(function (resolve, reject) {
    var reader = new FileReader();

    reader.onload = function () {
      var value = new Uint8Array(reader.result);
      resolve({
        value: value
      });
    };

    reader.onerror = function (err) {
      reject(err);
    };

    reader.readAsArrayBuffer(chunk);
  });
}

/***/ }),

/***/ 74448:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ uriToBlob)
/* harmony export */ });
/**
 * uriToBlob resolves a URI to a Blob object. This is used for
 * React Native to retrieve a file (identified by a file://
 * URI) as a blob.
 */
function uriToBlob(uri) {
  return new Promise(function (resolve, reject) {
    var xhr = new XMLHttpRequest();
    xhr.responseType = 'blob';

    xhr.onload = function () {
      var blob = xhr.response;
      resolve(blob);
    };

    xhr.onerror = function (err) {
      reject(err);
    };

    xhr.open('GET', uri);
    xhr.send();
  });
}

/***/ }),

/***/ 9476:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Y: () => (/* binding */ WebStorageUrlStorage),
/* harmony export */   o: () => (/* binding */ canStoreURLs)
/* harmony export */ });
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/* global window, localStorage */
var hasStorage = false;

try {
  hasStorage = 'localStorage' in window; // Attempt to store and read entries from the local storage to detect Private
  // Mode on Safari on iOS (see #49)

  var key = 'tusSupport';
  localStorage.setItem(key, localStorage.getItem(key));
} catch (e) {
  // If we try to access localStorage inside a sandboxed iframe, a SecurityError
  // is thrown. When in private mode on iOS Safari, a QuotaExceededError is
  // thrown (see #49)
  if (e.code === e.SECURITY_ERR || e.code === e.QUOTA_EXCEEDED_ERR) {
    hasStorage = false;
  } else {
    throw e;
  }
}

var canStoreURLs = hasStorage;
var WebStorageUrlStorage = /*#__PURE__*/function () {
  function WebStorageUrlStorage() {
    _classCallCheck(this, WebStorageUrlStorage);
  }

  _createClass(WebStorageUrlStorage, [{
    key: "findAllUploads",
    value: function findAllUploads() {
      var results = this._findEntries('tus::');

      return Promise.resolve(results);
    }
  }, {
    key: "findUploadsByFingerprint",
    value: function findUploadsByFingerprint(fingerprint) {
      var results = this._findEntries("tus::".concat(fingerprint, "::"));

      return Promise.resolve(results);
    }
  }, {
    key: "removeUpload",
    value: function removeUpload(urlStorageKey) {
      localStorage.removeItem(urlStorageKey);
      return Promise.resolve();
    }
  }, {
    key: "addUpload",
    value: function addUpload(fingerprint, upload) {
      var id = Math.round(Math.random() * 1e12);
      var key = "tus::".concat(fingerprint, "::").concat(id);
      localStorage.setItem(key, JSON.stringify(upload));
      return Promise.resolve(key);
    }
  }, {
    key: "_findEntries",
    value: function _findEntries(prefix) {
      var results = [];

      for (var i = 0; i < localStorage.length; i++) {
        var _key = localStorage.key(i);

        if (_key.indexOf(prefix) !== 0) continue;

        try {
          var upload = JSON.parse(localStorage.getItem(_key));
          upload.urlStorageKey = _key;
          results.push(upload);
        } catch (e) {// The JSON parse error is intentionally ignored here, so a malformed
          // entry in the storage cannot prevent an upload.
        }
      }

      return results;
    }
  }]);

  return WebStorageUrlStorage;
}();

/***/ }),

/***/ 97493:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _createSuper(Derived) { return function () { var Super = _getPrototypeOf(Derived), result; if (_isNativeReflectConstruct()) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _wrapNativeSuper(Class) { var _cache = typeof Map === "function" ? new Map() : undefined; _wrapNativeSuper = function _wrapNativeSuper(Class) { if (Class === null || !_isNativeFunction(Class)) return Class; if (typeof Class !== "function") { throw new TypeError("Super expression must either be null or a function"); } if (typeof _cache !== "undefined") { if (_cache.has(Class)) return _cache.get(Class); _cache.set(Class, Wrapper); } function Wrapper() { return _construct(Class, arguments, _getPrototypeOf(this).constructor); } Wrapper.prototype = Object.create(Class.prototype, { constructor: { value: Wrapper, enumerable: false, writable: true, configurable: true } }); return _setPrototypeOf(Wrapper, Class); }; return _wrapNativeSuper(Class); }

function _construct(Parent, args, Class) { if (_isNativeReflectConstruct()) { _construct = Reflect.construct; } else { _construct = function _construct(Parent, args, Class) { var a = [null]; a.push.apply(a, args); var Constructor = Function.bind.apply(Parent, a); var instance = new Constructor(); if (Class) _setPrototypeOf(instance, Class.prototype); return instance; }; } return _construct.apply(null, arguments); }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _isNativeFunction(fn) { return Function.toString.call(fn).indexOf("[native code]") !== -1; }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var DetailedError = /*#__PURE__*/function (_Error) {
  _inherits(DetailedError, _Error);

  var _super = _createSuper(DetailedError);

  function DetailedError(message) {
    var _this;

    var causingErr = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    var req = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
    var res = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : null;

    _classCallCheck(this, DetailedError);

    _this = _super.call(this, message);
    _this.originalRequest = req;
    _this.originalResponse = res;
    _this.causingError = causingErr;

    if (causingErr != null) {
      message += ", caused by ".concat(causingErr.toString());
    }

    if (req != null) {
      var requestId = req.getHeader('X-Request-ID') || 'n/a';
      var method = req.getMethod();
      var url = req.getURL();
      var status = res ? res.getStatus() : 'n/a';
      var body = res ? res.getBody() || '' : 'n/a';
      message += ", originated from request (method: ".concat(method, ", url: ").concat(url, ", response code: ").concat(status, ", response text: ").concat(body, ", request id: ").concat(requestId, ")");
    }

    _this.message = message;
    return _this;
  }

  return DetailedError;
}( /*#__PURE__*/_wrapNativeSuper(Error));

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DetailedError);

/***/ }),

/***/ 37055:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   R: () => (/* binding */ log)
/* harmony export */ });
/* unused harmony export enableDebugLog */
/* eslint no-console: "off" */
var isEnabled = false;
function enableDebugLog() {
  isEnabled = true;
}
function log(msg) {
  if (!isEnabled) return;
  console.log(msg);
}

/***/ }),

/***/ 55217:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ NoopUrlStorage)
/* harmony export */ });
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/* eslint no-unused-vars: "off" */
var NoopUrlStorage = /*#__PURE__*/function () {
  function NoopUrlStorage() {
    _classCallCheck(this, NoopUrlStorage);
  }

  _createClass(NoopUrlStorage, [{
    key: "listAllUploads",
    value: function listAllUploads() {
      return Promise.resolve([]);
    }
  }, {
    key: "findUploadsByFingerprint",
    value: function findUploadsByFingerprint(fingerprint) {
      return Promise.resolve([]);
    }
  }, {
    key: "removeUpload",
    value: function removeUpload(urlStorageKey) {
      return Promise.resolve();
    }
  }, {
    key: "addUpload",
    value: function addUpload(fingerprint, upload) {
      return Promise.resolve(null);
    }
  }]);

  return NoopUrlStorage;
}();



/***/ }),

/***/ 11406:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var js_base64__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(17812);
/* harmony import */ var js_base64__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(js_base64__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var url_parse__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(52225);
/* harmony import */ var url_parse__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(url_parse__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _error__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(97493);
/* harmony import */ var _logger__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(37055);
/* harmony import */ var _uuid__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(11900);
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

/* global window */





var defaultOptions = {
  endpoint: null,
  uploadUrl: null,
  metadata: {},
  fingerprint: null,
  uploadSize: null,
  onProgress: null,
  onChunkComplete: null,
  onSuccess: null,
  onError: null,
  _onUploadUrlAvailable: null,
  overridePatchMethod: false,
  headers: {},
  addRequestId: false,
  onBeforeRequest: null,
  onAfterResponse: null,
  onShouldRetry: null,
  chunkSize: Infinity,
  retryDelays: [0, 1000, 3000, 5000],
  parallelUploads: 1,
  storeFingerprintForResuming: true,
  removeFingerprintOnSuccess: false,
  uploadLengthDeferred: false,
  uploadDataDuringCreation: false,
  urlStorage: null,
  fileReader: null,
  httpStack: null
};

var BaseUpload = /*#__PURE__*/function () {
  function BaseUpload(file, options) {
    _classCallCheck(this, BaseUpload);

    // Warn about removed options from previous versions
    if ('resume' in options) {
      console.log('tus: The `resume` option has been removed in tus-js-client v2. Please use the URL storage API instead.'); // eslint-disable-line no-console
    } // The default options will already be added from the wrapper classes.


    this.options = options; // The storage module used to store URLs

    this._urlStorage = this.options.urlStorage; // The underlying File/Blob object

    this.file = file; // The URL against which the file will be uploaded

    this.url = null; // The underlying request object for the current PATCH request

    this._req = null; // The fingerpinrt for the current file (set after start())

    this._fingerprint = null; // The key that the URL storage returned when saving an URL with a fingerprint,

    this._urlStorageKey = null; // The offset used in the current PATCH request

    this._offset = null; // True if the current PATCH request has been aborted

    this._aborted = false; // The file's size in bytes

    this._size = null; // The Source object which will wrap around the given file and provides us
    // with a unified interface for getting its size and slice chunks from its
    // content allowing us to easily handle Files, Blobs, Buffers and Streams.

    this._source = null; // The current count of attempts which have been made. Zero indicates none.

    this._retryAttempt = 0; // The timeout's ID which is used to delay the next retry

    this._retryTimeout = null; // The offset of the remote upload before the latest attempt was started.

    this._offsetBeforeRetry = 0; // An array of BaseUpload instances which are used for uploading the different
    // parts, if the parallelUploads option is used.

    this._parallelUploads = null; // An array of upload URLs which are used for uploading the different
    // parts, if the parallelUploads option is used.

    this._parallelUploadUrls = null;
  }
  /**
   * Use the Termination extension to delete an upload from the server by sending a DELETE
   * request to the specified upload URL. This is only possible if the server supports the
   * Termination extension. If the `options.retryDelays` property is set, the method will
   * also retry if an error ocurrs.
   *
   * @param {String} url The upload's URL which will be terminated.
   * @param {object} options Optional options for influencing HTTP requests.
   * @return {Promise} The Promise will be resolved/rejected when the requests finish.
   */


  _createClass(BaseUpload, [{
    key: "findPreviousUploads",
    value: function findPreviousUploads() {
      var _this = this;

      return this.options.fingerprint(this.file, this.options).then(function (fingerprint) {
        return _this._urlStorage.findUploadsByFingerprint(fingerprint);
      });
    }
  }, {
    key: "resumeFromPreviousUpload",
    value: function resumeFromPreviousUpload(previousUpload) {
      this.url = previousUpload.uploadUrl || null;
      this._parallelUploadUrls = previousUpload.parallelUploadUrls || null;
      this._urlStorageKey = previousUpload.urlStorageKey;
    }
  }, {
    key: "start",
    value: function start() {
      var _this2 = this;

      var file = this.file;

      if (!file) {
        this._emitError(new Error('tus: no file or stream to upload provided'));

        return;
      }

      if (!this.options.endpoint && !this.options.uploadUrl) {
        this._emitError(new Error('tus: neither an endpoint or an upload URL is provided'));

        return;
      }

      var retryDelays = this.options.retryDelays;

      if (retryDelays != null && Object.prototype.toString.call(retryDelays) !== '[object Array]') {
        this._emitError(new Error('tus: the `retryDelays` option must either be an array or null'));

        return;
      }

      if (this.options.parallelUploads > 1) {
        // Test which options are incompatible with parallel uploads.
        ['uploadUrl', 'uploadSize', 'uploadLengthDeferred'].forEach(function (optionName) {
          if (_this2.options[optionName]) {
            _this2._emitError(new Error("tus: cannot use the ".concat(optionName, " option when parallelUploads is enabled")));
          }
        });
      }

      this.options.fingerprint(file, this.options).then(function (fingerprint) {
        if (fingerprint == null) {
          (0,_logger__WEBPACK_IMPORTED_MODULE_2__/* .log */ .R)('No fingerprint was calculated meaning that the upload cannot be stored in the URL storage.');
        } else {
          (0,_logger__WEBPACK_IMPORTED_MODULE_2__/* .log */ .R)("Calculated fingerprint: ".concat(fingerprint));
        }

        _this2._fingerprint = fingerprint;

        if (_this2._source) {
          return _this2._source;
        }

        return _this2.options.fileReader.openFile(file, _this2.options.chunkSize);
      }).then(function (source) {
        _this2._source = source; // If the upload was configured to use multiple requests or if we resume from
        // an upload which used multiple requests, we start a parallel upload.

        if (_this2.options.parallelUploads > 1 || _this2._parallelUploadUrls != null) {
          _this2._startParallelUpload();
        } else {
          _this2._startSingleUpload();
        }
      })["catch"](function (err) {
        _this2._emitError(err);
      });
    }
    /**
     * Initiate the uploading procedure for a parallelized upload, where one file is split into
     * multiple request which are run in parallel.
     *
     * @api private
     */

  }, {
    key: "_startParallelUpload",
    value: function _startParallelUpload() {
      var _this3 = this;

      var totalSize = this._size = this._source.size;
      var totalProgress = 0;
      this._parallelUploads = [];
      var partCount = this._parallelUploadUrls != null ? this._parallelUploadUrls.length : this.options.parallelUploads; // The input file will be split into multiple slices which are uploaded in separate
      // requests. Here we generate the start and end position for the slices.

      var parts = splitSizeIntoParts(this._source.size, partCount, this._parallelUploadUrls); // Create an empty list for storing the upload URLs

      this._parallelUploadUrls = new Array(parts.length); // Generate a promise for each slice that will be resolve if the respective
      // upload is completed.

      var uploads = parts.map(function (part, index) {
        var lastPartProgress = 0;
        return _this3._source.slice(part.start, part.end).then(function (_ref) {
          var value = _ref.value;
          return new Promise(function (resolve, reject) {
            // Merge with the user supplied options but overwrite some values.
            var options = _objectSpread({}, _this3.options, {
              // If available, the partial upload should be resumed from a previous URL.
              uploadUrl: part.uploadUrl || null,
              // We take manually care of resuming for partial uploads, so they should
              // not be stored in the URL storage.
              storeFingerprintForResuming: false,
              removeFingerprintOnSuccess: false,
              // Reset the parallelUploads option to not cause recursion.
              parallelUploads: 1,
              metadata: {},
              // Add the header to indicate the this is a partial upload.
              headers: _objectSpread({}, _this3.options.headers, {
                'Upload-Concat': 'partial'
              }),
              // Reject or resolve the promise if the upload errors or completes.
              onSuccess: resolve,
              onError: reject,
              // Based in the progress for this partial upload, calculate the progress
              // for the entire final upload.
              onProgress: function onProgress(newPartProgress) {
                totalProgress = totalProgress - lastPartProgress + newPartProgress;
                lastPartProgress = newPartProgress;

                _this3._emitProgress(totalProgress, totalSize);
              },
              // Wait until every partial upload has an upload URL, so we can add
              // them to the URL storage.
              _onUploadUrlAvailable: function _onUploadUrlAvailable() {
                _this3._parallelUploadUrls[index] = upload.url; // Test if all uploads have received an URL

                if (_this3._parallelUploadUrls.filter(function (u) {
                  return !!u;
                }).length === parts.length) {
                  _this3._saveUploadInUrlStorage();
                }
              }
            });

            var upload = new BaseUpload(value, options);
            upload.start(); // Store the upload in an array, so we can later abort them if necessary.

            _this3._parallelUploads.push(upload);
          });
        });
      });
      var req; // Wait until all partial uploads are finished and we can send the POST request for
      // creating the final upload.

      Promise.all(uploads).then(function () {
        req = _this3._openRequest('POST', _this3.options.endpoint);
        req.setHeader('Upload-Concat', "final;".concat(_this3._parallelUploadUrls.join(' '))); // Add metadata if values have been added

        var metadata = encodeMetadata(_this3.options.metadata);

        if (metadata !== '') {
          req.setHeader('Upload-Metadata', metadata);
        }

        return _this3._sendRequest(req, null);
      }).then(function (res) {
        if (!inStatusCategory(res.getStatus(), 200)) {
          _this3._emitHttpError(req, res, 'tus: unexpected response while creating upload');

          return;
        }

        var location = res.getHeader('Location');

        if (location == null) {
          _this3._emitHttpError(req, res, 'tus: invalid or missing Location header');

          return;
        }

        _this3.url = resolveUrl(_this3.options.endpoint, location);
        (0,_logger__WEBPACK_IMPORTED_MODULE_2__/* .log */ .R)("Created upload at ".concat(_this3.url));

        _this3._emitSuccess();
      })["catch"](function (err) {
        _this3._emitError(err);
      });
    }
    /**
     * Initiate the uploading procedure for a non-parallel upload. Here the entire file is
     * uploaded in a sequential matter.
     *
     * @api private
     */

  }, {
    key: "_startSingleUpload",
    value: function _startSingleUpload() {
      // First, we look at the uploadLengthDeferred option.
      // Next, we check if the caller has supplied a manual upload size.
      // Finally, we try to use the calculated size from the source object.
      if (this.options.uploadLengthDeferred) {
        this._size = null;
      } else if (this.options.uploadSize != null) {
        this._size = +this.options.uploadSize;

        if (isNaN(this._size)) {
          this._emitError(new Error('tus: cannot convert `uploadSize` option into a number'));

          return;
        }
      } else {
        this._size = this._source.size;

        if (this._size == null) {
          this._emitError(new Error("tus: cannot automatically derive upload's size from input and must be specified manually using the `uploadSize` option"));

          return;
        }
      } // Reset the aborted flag when the upload is started or else the
      // _performUpload will stop before sending a request if the upload has been
      // aborted previously.


      this._aborted = false; // The upload had been started previously and we should reuse this URL.

      if (this.url != null) {
        (0,_logger__WEBPACK_IMPORTED_MODULE_2__/* .log */ .R)("Resuming upload from previous URL: ".concat(this.url));

        this._resumeUpload();

        return;
      } // A URL has manually been specified, so we try to resume


      if (this.options.uploadUrl != null) {
        (0,_logger__WEBPACK_IMPORTED_MODULE_2__/* .log */ .R)("Resuming upload from provided URL: ".concat(this.options.url));
        this.url = this.options.uploadUrl;

        this._resumeUpload();

        return;
      } // An upload has not started for the file yet, so we start a new one


      (0,_logger__WEBPACK_IMPORTED_MODULE_2__/* .log */ .R)('Creating a new upload');

      this._createUpload();
    }
    /**
     * Abort any running request and stop the current upload. After abort is called, no event
     * handler will be invoked anymore. You can use the `start` method to resume the upload
     * again.
     * If `shouldTerminate` is true, the `terminate` function will be called to remove the
     * current upload from the server.
     *
     * @param {boolean} shouldTerminate True if the upload should be deleted from the server.
     * @return {Promise} The Promise will be resolved/rejected when the requests finish.
     */

  }, {
    key: "abort",
    value: function abort(shouldTerminate) {
      var _this4 = this;

      // Count the number of arguments to see if a callback is being provided in the old style required by tus-js-client 1.x, then throw an error if it is.
      // `arguments` is a JavaScript built-in variable that contains all of the function's arguments.
      if (arguments.length > 1 && typeof arguments[1] === 'function') {
        throw new Error('tus: the abort function does not accept a callback since v2 anymore; please use the returned Promise instead');
      } // Stop any parallel partial uploads, that have been started in _startParallelUploads.


      if (this._parallelUploads != null) {
        this._parallelUploads.forEach(function (upload) {
          upload.abort(shouldTerminate);
        });
      } // Stop any current running request.


      if (this._req !== null) {
        this._req.abort();

        this._source.close();
      }

      this._aborted = true; // Stop any timeout used for initiating a retry.

      if (this._retryTimeout != null) {
        clearTimeout(this._retryTimeout);
        this._retryTimeout = null;
      }

      if (!shouldTerminate || this.url == null) {
        return Promise.resolve();
      }

      return BaseUpload.terminate(this.url, this.options) // Remove entry from the URL storage since the upload URL is no longer valid.
      .then(function () {
        return _this4._removeFromUrlStorage();
      });
    }
  }, {
    key: "_emitHttpError",
    value: function _emitHttpError(req, res, message, causingErr) {
      this._emitError(new _error__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A(message, causingErr, req, res));
    }
  }, {
    key: "_emitError",
    value: function _emitError(err) {
      var _this5 = this;

      // Do not emit errors, e.g. from aborted HTTP requests, if the upload has been stopped.
      if (this._aborted) return; // Check if we should retry, when enabled, before sending the error to the user.

      if (this.options.retryDelays != null) {
        // We will reset the attempt counter if
        // - we were already able to connect to the server (offset != null) and
        // - we were able to upload a small chunk of data to the server
        var shouldResetDelays = this._offset != null && this._offset > this._offsetBeforeRetry;

        if (shouldResetDelays) {
          this._retryAttempt = 0;
        }

        if (shouldRetry(err, this._retryAttempt, this.options)) {
          var delay = this.options.retryDelays[this._retryAttempt++];
          this._offsetBeforeRetry = this._offset;
          this._retryTimeout = setTimeout(function () {
            _this5.start();
          }, delay);
          return;
        }
      }

      if (typeof this.options.onError === 'function') {
        this.options.onError(err);
      } else {
        throw err;
      }
    }
    /**
     * Publishes notification if the upload has been successfully completed.
     *
     * @api private
     */

  }, {
    key: "_emitSuccess",
    value: function _emitSuccess() {
      if (this.options.removeFingerprintOnSuccess) {
        // Remove stored fingerprint and corresponding endpoint. This causes
        // new uploads of the same file to be treated as a different file.
        this._removeFromUrlStorage();
      }

      if (typeof this.options.onSuccess === 'function') {
        this.options.onSuccess();
      }
    }
    /**
     * Publishes notification when data has been sent to the server. This
     * data may not have been accepted by the server yet.
     *
     * @param {number} bytesSent  Number of bytes sent to the server.
     * @param {number} bytesTotal Total number of bytes to be sent to the server.
     * @api private
     */

  }, {
    key: "_emitProgress",
    value: function _emitProgress(bytesSent, bytesTotal) {
      if (typeof this.options.onProgress === 'function') {
        this.options.onProgress(bytesSent, bytesTotal);
      }
    }
    /**
     * Publishes notification when a chunk of data has been sent to the server
     * and accepted by the server.
     * @param {number} chunkSize  Size of the chunk that was accepted by the server.
     * @param {number} bytesAccepted Total number of bytes that have been
     *                                accepted by the server.
     * @param {number} bytesTotal Total number of bytes to be sent to the server.
     * @api private
     */

  }, {
    key: "_emitChunkComplete",
    value: function _emitChunkComplete(chunkSize, bytesAccepted, bytesTotal) {
      if (typeof this.options.onChunkComplete === 'function') {
        this.options.onChunkComplete(chunkSize, bytesAccepted, bytesTotal);
      }
    }
    /**
     * Create a new upload using the creation extension by sending a POST
     * request to the endpoint. After successful creation the file will be
     * uploaded
     *
     * @api private
     */

  }, {
    key: "_createUpload",
    value: function _createUpload() {
      var _this6 = this;

      if (!this.options.endpoint) {
        this._emitError(new Error('tus: unable to create upload because no endpoint is provided'));

        return;
      }

      var req = this._openRequest('POST', this.options.endpoint);

      if (this.options.uploadLengthDeferred) {
        req.setHeader('Upload-Defer-Length', 1);
      } else {
        req.setHeader('Upload-Length', this._size);
      } // Add metadata if values have been added


      var metadata = encodeMetadata(this.options.metadata);

      if (metadata !== '') {
        req.setHeader('Upload-Metadata', metadata);
      }

      var promise;

      if (this.options.uploadDataDuringCreation && !this.options.uploadLengthDeferred) {
        this._offset = 0;
        promise = this._addChunkToRequest(req);
      } else {
        promise = this._sendRequest(req, null);
      }

      promise.then(function (res) {
        if (!inStatusCategory(res.getStatus(), 200)) {
          _this6._emitHttpError(req, res, 'tus: unexpected response while creating upload');

          return;
        }

        var location = res.getHeader('Location');

        if (location == null) {
          _this6._emitHttpError(req, res, 'tus: invalid or missing Location header');

          return;
        }

        _this6.url = resolveUrl(_this6.options.endpoint, location);
        (0,_logger__WEBPACK_IMPORTED_MODULE_2__/* .log */ .R)("Created upload at ".concat(_this6.url));

        if (typeof _this6.options._onUploadUrlAvailable === 'function') {
          _this6.options._onUploadUrlAvailable();
        }

        if (_this6._size === 0) {
          // Nothing to upload and file was successfully created
          _this6._emitSuccess();

          _this6._source.close();

          return;
        }

        _this6._saveUploadInUrlStorage();

        if (_this6.options.uploadDataDuringCreation) {
          _this6._handleUploadResponse(req, res);
        } else {
          _this6._offset = 0;

          _this6._performUpload();
        }
      })["catch"](function (err) {
        _this6._emitHttpError(req, null, 'tus: failed to create upload', err);
      });
    }
    /*
     * Try to resume an existing upload. First a HEAD request will be sent
     * to retrieve the offset. If the request fails a new upload will be
     * created. In the case of a successful response the file will be uploaded.
     *
     * @api private
     */

  }, {
    key: "_resumeUpload",
    value: function _resumeUpload() {
      var _this7 = this;

      var req = this._openRequest('HEAD', this.url);

      var promise = this._sendRequest(req, null);

      promise.then(function (res) {
        var status = res.getStatus();

        if (!inStatusCategory(status, 200)) {
          if (inStatusCategory(status, 400)) {
            // Remove stored fingerprint and corresponding endpoint,
            // on client errors since the file can not be found
            _this7._removeFromUrlStorage();
          } // If the upload is locked (indicated by the 423 Locked status code), we
          // emit an error instead of directly starting a new upload. This way the
          // retry logic can catch the error and will retry the upload. An upload
          // is usually locked for a short period of time and will be available
          // afterwards.


          if (status === 423) {
            _this7._emitHttpError(req, res, 'tus: upload is currently locked; retry later');

            return;
          }

          if (!_this7.options.endpoint) {
            // Don't attempt to create a new upload if no endpoint is provided.
            _this7._emitHttpError(req, res, 'tus: unable to resume upload (new upload cannot be created without an endpoint)');

            return;
          } // Try to create a new upload


          _this7.url = null;

          _this7._createUpload();

          return;
        }

        var offset = parseInt(res.getHeader('Upload-Offset'), 10);

        if (isNaN(offset)) {
          _this7._emitHttpError(req, res, 'tus: invalid or missing offset value');

          return;
        }

        var length = parseInt(res.getHeader('Upload-Length'), 10);

        if (isNaN(length) && !_this7.options.uploadLengthDeferred) {
          _this7._emitHttpError(req, res, 'tus: invalid or missing length value');

          return;
        }

        if (typeof _this7.options._onUploadUrlAvailable === 'function') {
          _this7.options._onUploadUrlAvailable();
        } // Upload has already been completed and we do not need to send additional
        // data to the server


        if (offset === length) {
          _this7._emitProgress(length, length);

          _this7._emitSuccess();

          return;
        }

        _this7._offset = offset;

        _this7._performUpload();
      })["catch"](function (err) {
        _this7._emitHttpError(req, null, 'tus: failed to resume upload', err);
      });
    }
    /**
     * Start uploading the file using PATCH requests. The file will be divided
     * into chunks as specified in the chunkSize option. During the upload
     * the onProgress event handler may be invoked multiple times.
     *
     * @api private
     */

  }, {
    key: "_performUpload",
    value: function _performUpload() {
      var _this8 = this;

      // If the upload has been aborted, we will not send the next PATCH request.
      // This is important if the abort method was called during a callback, such
      // as onChunkComplete or onProgress.
      if (this._aborted) {
        return;
      }

      var req; // Some browser and servers may not support the PATCH method. For those
      // cases, you can tell tus-js-client to use a POST request with the
      // X-HTTP-Method-Override header for simulating a PATCH request.

      if (this.options.overridePatchMethod) {
        req = this._openRequest('POST', this.url);
        req.setHeader('X-HTTP-Method-Override', 'PATCH');
      } else {
        req = this._openRequest('PATCH', this.url);
      }

      req.setHeader('Upload-Offset', this._offset);

      var promise = this._addChunkToRequest(req);

      promise.then(function (res) {
        if (!inStatusCategory(res.getStatus(), 200)) {
          _this8._emitHttpError(req, res, 'tus: unexpected response while uploading chunk');

          return;
        }

        _this8._handleUploadResponse(req, res);
      })["catch"](function (err) {
        // Don't emit an error if the upload was aborted manually
        if (_this8._aborted) {
          return;
        }

        _this8._emitHttpError(req, null, "tus: failed to upload chunk at offset ".concat(_this8._offset), err);
      });
    }
    /**
     * _addChunktoRequest reads a chunk from the source and sends it using the
     * supplied request object. It will not handle the response.
     *
     * @api private
     */

  }, {
    key: "_addChunkToRequest",
    value: function _addChunkToRequest(req) {
      var _this9 = this;

      var start = this._offset;
      var end = this._offset + this.options.chunkSize;
      req.setProgressHandler(function (bytesSent) {
        _this9._emitProgress(start + bytesSent, _this9._size);
      });
      req.setHeader('Content-Type', 'application/offset+octet-stream'); // The specified chunkSize may be Infinity or the calcluated end position
      // may exceed the file's size. In both cases, we limit the end position to
      // the input's total size for simpler calculations and correctness.

      if ((end === Infinity || end > this._size) && !this.options.uploadLengthDeferred) {
        end = this._size;
      }

      return this._source.slice(start, end).then(function (_ref2) {
        var value = _ref2.value,
            done = _ref2.done;

        // If the upload length is deferred, the upload size was not specified during
        // upload creation. So, if the file reader is done reading, we know the total
        // upload size and can tell the tus server.
        if (_this9.options.uploadLengthDeferred && done) {
          _this9._size = _this9._offset + (value && value.size ? value.size : 0);
          req.setHeader('Upload-Length', _this9._size);
        }

        if (value === null) {
          return _this9._sendRequest(req);
        }

        _this9._emitProgress(_this9._offset, _this9._size);

        return _this9._sendRequest(req, value);
      });
    }
    /**
     * _handleUploadResponse is used by requests that haven been sent using _addChunkToRequest
     * and already have received a response.
     *
     * @api private
     */

  }, {
    key: "_handleUploadResponse",
    value: function _handleUploadResponse(req, res) {
      var offset = parseInt(res.getHeader('Upload-Offset'), 10);

      if (isNaN(offset)) {
        this._emitHttpError(req, res, 'tus: invalid or missing offset value');

        return;
      }

      this._emitProgress(offset, this._size);

      this._emitChunkComplete(offset - this._offset, offset, this._size);

      this._offset = offset;

      if (offset == this._size) {
        // Yay, finally done :)
        this._emitSuccess();

        this._source.close();

        return;
      }

      this._performUpload();
    }
    /**
     * Create a new HTTP request object with the given method and URL.
     *
     * @api private
     */

  }, {
    key: "_openRequest",
    value: function _openRequest(method, url) {
      var req = openRequest(method, url, this.options);
      this._req = req;
      return req;
    }
    /**
     * Remove the entry in the URL storage, if it has been saved before.
     *
     * @api private
     */

  }, {
    key: "_removeFromUrlStorage",
    value: function _removeFromUrlStorage() {
      var _this10 = this;

      if (!this._urlStorageKey) return;

      this._urlStorage.removeUpload(this._urlStorageKey)["catch"](function (err) {
        _this10._emitError(err);
      });

      this._urlStorageKey = null;
    }
    /**
     * Add the upload URL to the URL storage, if possible.
     *
     * @api private
     */

  }, {
    key: "_saveUploadInUrlStorage",
    value: function _saveUploadInUrlStorage() {
      var _this11 = this;

      // Only if a fingerprint was calculated for the input (i.e. not a stream), we can store the upload URL.
      if (!this.options.storeFingerprintForResuming || !this._fingerprint) {
        return;
      }

      var storedUpload = {
        size: this._size,
        metadata: this.options.metadata,
        creationTime: new Date().toString()
      };

      if (this._parallelUploads) {
        // Save multiple URLs if the parallelUploads option is used ...
        storedUpload.parallelUploadUrls = this._parallelUploadUrls;
      } else {
        // ... otherwise we just save the one available URL.
        storedUpload.uploadUrl = this.url;
      }

      this._urlStorage.addUpload(this._fingerprint, storedUpload).then(function (urlStorageKey) {
        return _this11._urlStorageKey = urlStorageKey;
      })["catch"](function (err) {
        _this11._emitError(err);
      });
    }
    /**
     * Send a request with the provided body.
     *
     * @api private
     */

  }, {
    key: "_sendRequest",
    value: function _sendRequest(req) {
      var body = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
      return sendRequest(req, body, this.options);
    }
  }], [{
    key: "terminate",
    value: function terminate(url, options) {
      // Count the number of arguments to see if a callback is being provided as the last
      // argument in the old style required by tus-js-client 1.x, then throw an error if it is.
      // `arguments` is a JavaScript built-in variable that contains all of the function's arguments.
      if (arguments.length > 1 && typeof arguments[arguments.length - 1] === 'function') {
        throw new Error('tus: the terminate function does not accept a callback since v2 anymore; please use the returned Promise instead');
      } // Note that in order for the trick above to work, a default value cannot be set for `options`,
      // so the check below replaces the old default `{}`.


      if (options === undefined) {
        options = {};
      }

      var req = openRequest('DELETE', url, options);
      return sendRequest(req, null, options).then(function (res) {
        // A 204 response indicates a successfull request
        if (res.getStatus() === 204) {
          return;
        }

        throw new _error__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A('tus: unexpected response while terminating upload', null, req, res);
      })["catch"](function (err) {
        if (!(err instanceof _error__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A)) {
          err = new _error__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .A('tus: failed to terminate upload', err, req, null);
        }

        if (!shouldRetry(err, 0, options)) {
          throw err;
        } // Instead of keeping track of the retry attempts, we remove the first element from the delays
        // array. If the array is empty, all retry attempts are used up and we will bubble up the error.
        // We recursively call the terminate function will removing elements from the retryDelays array.


        var delay = options.retryDelays[0];
        var remainingDelays = options.retryDelays.slice(1);

        var newOptions = _objectSpread({}, options, {
          retryDelays: remainingDelays
        });

        return new Promise(function (resolve) {
          return setTimeout(resolve, delay);
        }).then(function () {
          return BaseUpload.terminate(url, newOptions);
        });
      });
    }
  }]);

  return BaseUpload;
}();

function encodeMetadata(metadata) {
  var encoded = [];

  for (var key in metadata) {
    encoded.push("".concat(key, " ").concat(js_base64__WEBPACK_IMPORTED_MODULE_0__.Base64.encode(metadata[key])));
  }

  return encoded.join(',');
}
/**
 * Checks whether a given status is in the range of the expected category.
 * For example, only a status between 200 and 299 will satisfy the category 200.
 *
 * @api private
 */


function inStatusCategory(status, category) {
  return status >= category && status < category + 100;
}
/**
 * Create a new HTTP request with the specified method and URL.
 * The necessary headers that are included in every request
 * will be added, including the request ID.
 *
 * @api private
 */


function openRequest(method, url, options) {
  var req = options.httpStack.createRequest(method, url);
  req.setHeader('Tus-Resumable', '1.0.0');
  var headers = options.headers || {};

  for (var name in headers) {
    req.setHeader(name, headers[name]);
  }

  if (options.addRequestId) {
    var requestId = (0,_uuid__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .A)();
    req.setHeader('X-Request-ID', requestId);
  }

  return req;
}
/**
 * Send a request with the provided body while invoking the onBeforeRequest
 * and onAfterResponse callbacks.
 *
 * @api private
 */


function sendRequest(req, body, options) {
  var onBeforeRequestPromise = typeof options.onBeforeRequest === 'function' ? Promise.resolve(options.onBeforeRequest(req)) : Promise.resolve();
  return onBeforeRequestPromise.then(function () {
    return req.send(body).then(function (res) {
      var onAfterResponsePromise = typeof options.onAfterResponse === 'function' ? Promise.resolve(options.onAfterResponse(req, res)) : Promise.resolve();
      return onAfterResponsePromise.then(function () {
        return res;
      });
    });
  });
}
/**
 * Checks whether the browser running this code has internet access.
 * This function will always return true in the node.js environment
 *
 * @api private
 */


function isOnline() {
  var online = true;

  if ( true && 'navigator' in window && window.navigator.onLine === false) {
    online = false;
  }

  return online;
}
/**
 * Checks whether or not it is ok to retry a request.
 * @param {Error} err the error returned from the last request
 * @param {number} retryAttempt the number of times the request has already been retried
 * @param {object} options tus Upload options
 *
 * @api private
 */


function shouldRetry(err, retryAttempt, options) {
  // We only attempt a retry if
  // - retryDelays option is set
  // - we didn't exceed the maxium number of retries, yet, and
  // - this error was caused by a request or it's response and
  // - the error is server error (i.e. not a status 4xx except a 409 or 423) or
  // a onShouldRetry is specified and returns true
  // - the browser does not indicate that we are offline
  if (options.retryDelays == null || retryAttempt >= options.retryDelays.length || err.originalRequest == null) {
    return false;
  }

  if (options && typeof options.onShouldRetry === 'function') {
    return options.onShouldRetry(err, retryAttempt, options);
  }

  var status = err.originalResponse ? err.originalResponse.getStatus() : 0;
  return (!inStatusCategory(status, 400) || status === 409 || status === 423) && isOnline();
}
/**
 * Resolve a relative link given the origin as source. For example,
 * if a HTTP request to http://example.com/files/ returns a Location
 * header with the value /upload/abc, the resolved URL will be:
 * http://example.com/upload/abc
 */


function resolveUrl(origin, link) {
  return new (url_parse__WEBPACK_IMPORTED_MODULE_1___default())(link, origin).toString();
}
/**
 * Calculate the start and end positions for the parts if an upload
 * is split into multiple parallel requests.
 *
 * @param {number} totalSize The byte size of the upload, which will be split.
 * @param {number} partCount The number in how many parts the upload will be split.
 * @param {string[]} previousUrls The upload URLs for previous parts.
 * @return {object[]}
 * @api private
 */


function splitSizeIntoParts(totalSize, partCount, previousUrls) {
  var partSize = Math.floor(totalSize / partCount);
  var parts = [];

  for (var i = 0; i < partCount; i++) {
    parts.push({
      start: partSize * i,
      end: partSize * (i + 1)
    });
  }

  parts[partCount - 1].end = totalSize; // Attach URLs from previous uploads, if available.

  if (previousUrls) {
    parts.forEach(function (part, index) {
      part.uploadUrl = previousUrls[index] || null;
    });
  }

  return parts;
}

BaseUpload.defaultOptions = defaultOptions;
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (BaseUpload);

/***/ }),

/***/ 11900:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ uuid)
/* harmony export */ });
/**
 * Generate a UUID v4 based on random numbers. We intentioanlly use the less
 * secure Math.random function here since the more secure crypto.getRandomNumbers
 * is not available on all platforms.
 * This is not a problem for us since we use the UUID only for generating a
 * request ID, so we can correlate server logs to client errors.
 *
 * This function is taken from following site:
 * https://stackoverflow.com/questions/105034/create-guid-uuid-in-javascript
 *
 * @return {string} The generate UUID
 */
function uuid() {
  return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
    var r = Math.random() * 16 | 0,
        v = c == 'x' ? r : r & 0x3 | 0x8;
    return v.toString(16);
  });
}

/***/ }),

/***/ 52676:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";

var camelCase = __webpack_require__(14238);

module.exports = function () {
	var cased = camelCase.apply(camelCase, arguments);
	return cased.charAt(0).toUpperCase() + cased.slice(1);
};


/***/ }),

/***/ 14238:
/***/ ((module) => {

"use strict";

module.exports = function () {
	var str = [].map.call(arguments, function (str) {
		return str.trim();
	}).filter(function (str) {
		return str.length;
	}).join('-');

	if (!str.length) {
		return '';
	}

	if (str.length === 1 || !(/[_.\- ]+/).test(str) ) {
		if (str[0] === str[0].toLowerCase() && str.slice(1) !== str.slice(1).toLowerCase()) {
			return str;
		}

		return str.toLowerCase();
	}

	return str
	.replace(/^[_.\- ]+/, '')
	.toLowerCase()
	.replace(/[_.\- ]+(\w|$)/g, function (m, p1) {
		return p1.toUpperCase();
	});
};


/***/ }),

/***/ 52225:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var required = __webpack_require__(33062)
  , qs = __webpack_require__(1359)
  , controlOrWhitespace = /^[\x00-\x20\u00a0\u1680\u2000-\u200a\u2028\u2029\u202f\u205f\u3000\ufeff]+/
  , CRHTLF = /[\n\r\t]/g
  , slashes = /^[A-Za-z][A-Za-z0-9+-.]*:\/\//
  , port = /:\d+$/
  , protocolre = /^([a-z][a-z0-9.+-]*:)?(\/\/)?([\\/]+)?([\S\s]*)/i
  , windowsDriveLetter = /^[a-zA-Z]:/;

/**
 * Remove control characters and whitespace from the beginning of a string.
 *
 * @param {Object|String} str String to trim.
 * @returns {String} A new string representing `str` stripped of control
 *     characters and whitespace from its beginning.
 * @public
 */
function trimLeft(str) {
  return (str ? str : '').toString().replace(controlOrWhitespace, '');
}

/**
 * These are the parse rules for the URL parser, it informs the parser
 * about:
 *
 * 0. The char it Needs to parse, if it's a string it should be done using
 *    indexOf, RegExp using exec and NaN means set as current value.
 * 1. The property we should set when parsing this value.
 * 2. Indication if it's backwards or forward parsing, when set as number it's
 *    the value of extra chars that should be split off.
 * 3. Inherit from location if non existing in the parser.
 * 4. `toLowerCase` the resulting value.
 */
var rules = [
  ['#', 'hash'],                        // Extract from the back.
  ['?', 'query'],                       // Extract from the back.
  function sanitize(address, url) {     // Sanitize what is left of the address
    return isSpecial(url.protocol) ? address.replace(/\\/g, '/') : address;
  },
  ['/', 'pathname'],                    // Extract from the back.
  ['@', 'auth', 1],                     // Extract from the front.
  [NaN, 'host', undefined, 1, 1],       // Set left over value.
  [/:(\d*)$/, 'port', undefined, 1],    // RegExp the back.
  [NaN, 'hostname', undefined, 1, 1]    // Set left over.
];

/**
 * These properties should not be copied or inherited from. This is only needed
 * for all non blob URL's as a blob URL does not include a hash, only the
 * origin.
 *
 * @type {Object}
 * @private
 */
var ignore = { hash: 1, query: 1 };

/**
 * The location object differs when your code is loaded through a normal page,
 * Worker or through a worker using a blob. And with the blobble begins the
 * trouble as the location object will contain the URL of the blob, not the
 * location of the page where our code is loaded in. The actual origin is
 * encoded in the `pathname` so we can thankfully generate a good "default"
 * location from it so we can generate proper relative URL's again.
 *
 * @param {Object|String} loc Optional default location object.
 * @returns {Object} lolcation object.
 * @public
 */
function lolcation(loc) {
  var globalVar;

  if (true) globalVar = window;
  else {}

  var location = globalVar.location || {};
  loc = loc || location;

  var finaldestination = {}
    , type = typeof loc
    , key;

  if ('blob:' === loc.protocol) {
    finaldestination = new Url(unescape(loc.pathname), {});
  } else if ('string' === type) {
    finaldestination = new Url(loc, {});
    for (key in ignore) delete finaldestination[key];
  } else if ('object' === type) {
    for (key in loc) {
      if (key in ignore) continue;
      finaldestination[key] = loc[key];
    }

    if (finaldestination.slashes === undefined) {
      finaldestination.slashes = slashes.test(loc.href);
    }
  }

  return finaldestination;
}

/**
 * Check whether a protocol scheme is special.
 *
 * @param {String} The protocol scheme of the URL
 * @return {Boolean} `true` if the protocol scheme is special, else `false`
 * @private
 */
function isSpecial(scheme) {
  return (
    scheme === 'file:' ||
    scheme === 'ftp:' ||
    scheme === 'http:' ||
    scheme === 'https:' ||
    scheme === 'ws:' ||
    scheme === 'wss:'
  );
}

/**
 * @typedef ProtocolExtract
 * @type Object
 * @property {String} protocol Protocol matched in the URL, in lowercase.
 * @property {Boolean} slashes `true` if protocol is followed by "//", else `false`.
 * @property {String} rest Rest of the URL that is not part of the protocol.
 */

/**
 * Extract protocol information from a URL with/without double slash ("//").
 *
 * @param {String} address URL we want to extract from.
 * @param {Object} location
 * @return {ProtocolExtract} Extracted information.
 * @private
 */
function extractProtocol(address, location) {
  address = trimLeft(address);
  address = address.replace(CRHTLF, '');
  location = location || {};

  var match = protocolre.exec(address);
  var protocol = match[1] ? match[1].toLowerCase() : '';
  var forwardSlashes = !!match[2];
  var otherSlashes = !!match[3];
  var slashesCount = 0;
  var rest;

  if (forwardSlashes) {
    if (otherSlashes) {
      rest = match[2] + match[3] + match[4];
      slashesCount = match[2].length + match[3].length;
    } else {
      rest = match[2] + match[4];
      slashesCount = match[2].length;
    }
  } else {
    if (otherSlashes) {
      rest = match[3] + match[4];
      slashesCount = match[3].length;
    } else {
      rest = match[4]
    }
  }

  if (protocol === 'file:') {
    if (slashesCount >= 2) {
      rest = rest.slice(2);
    }
  } else if (isSpecial(protocol)) {
    rest = match[4];
  } else if (protocol) {
    if (forwardSlashes) {
      rest = rest.slice(2);
    }
  } else if (slashesCount >= 2 && isSpecial(location.protocol)) {
    rest = match[4];
  }

  return {
    protocol: protocol,
    slashes: forwardSlashes || isSpecial(protocol),
    slashesCount: slashesCount,
    rest: rest
  };
}

/**
 * Resolve a relative URL pathname against a base URL pathname.
 *
 * @param {String} relative Pathname of the relative URL.
 * @param {String} base Pathname of the base URL.
 * @return {String} Resolved pathname.
 * @private
 */
function resolve(relative, base) {
  if (relative === '') return base;

  var path = (base || '/').split('/').slice(0, -1).concat(relative.split('/'))
    , i = path.length
    , last = path[i - 1]
    , unshift = false
    , up = 0;

  while (i--) {
    if (path[i] === '.') {
      path.splice(i, 1);
    } else if (path[i] === '..') {
      path.splice(i, 1);
      up++;
    } else if (up) {
      if (i === 0) unshift = true;
      path.splice(i, 1);
      up--;
    }
  }

  if (unshift) path.unshift('');
  if (last === '.' || last === '..') path.push('');

  return path.join('/');
}

/**
 * The actual URL instance. Instead of returning an object we've opted-in to
 * create an actual constructor as it's much more memory efficient and
 * faster and it pleases my OCD.
 *
 * It is worth noting that we should not use `URL` as class name to prevent
 * clashes with the global URL instance that got introduced in browsers.
 *
 * @constructor
 * @param {String} address URL we want to parse.
 * @param {Object|String} [location] Location defaults for relative paths.
 * @param {Boolean|Function} [parser] Parser for the query string.
 * @private
 */
function Url(address, location, parser) {
  address = trimLeft(address);
  address = address.replace(CRHTLF, '');

  if (!(this instanceof Url)) {
    return new Url(address, location, parser);
  }

  var relative, extracted, parse, instruction, index, key
    , instructions = rules.slice()
    , type = typeof location
    , url = this
    , i = 0;

  //
  // The following if statements allows this module two have compatibility with
  // 2 different API:
  //
  // 1. Node.js's `url.parse` api which accepts a URL, boolean as arguments
  //    where the boolean indicates that the query string should also be parsed.
  //
  // 2. The `URL` interface of the browser which accepts a URL, object as
  //    arguments. The supplied object will be used as default values / fall-back
  //    for relative paths.
  //
  if ('object' !== type && 'string' !== type) {
    parser = location;
    location = null;
  }

  if (parser && 'function' !== typeof parser) parser = qs.parse;

  location = lolcation(location);

  //
  // Extract protocol information before running the instructions.
  //
  extracted = extractProtocol(address || '', location);
  relative = !extracted.protocol && !extracted.slashes;
  url.slashes = extracted.slashes || relative && location.slashes;
  url.protocol = extracted.protocol || location.protocol || '';
  address = extracted.rest;

  //
  // When the authority component is absent the URL starts with a path
  // component.
  //
  if (
    extracted.protocol === 'file:' && (
      extracted.slashesCount !== 2 || windowsDriveLetter.test(address)) ||
    (!extracted.slashes &&
      (extracted.protocol ||
        extracted.slashesCount < 2 ||
        !isSpecial(url.protocol)))
  ) {
    instructions[3] = [/(.*)/, 'pathname'];
  }

  for (; i < instructions.length; i++) {
    instruction = instructions[i];

    if (typeof instruction === 'function') {
      address = instruction(address, url);
      continue;
    }

    parse = instruction[0];
    key = instruction[1];

    if (parse !== parse) {
      url[key] = address;
    } else if ('string' === typeof parse) {
      index = parse === '@'
        ? address.lastIndexOf(parse)
        : address.indexOf(parse);

      if (~index) {
        if ('number' === typeof instruction[2]) {
          url[key] = address.slice(0, index);
          address = address.slice(index + instruction[2]);
        } else {
          url[key] = address.slice(index);
          address = address.slice(0, index);
        }
      }
    } else if ((index = parse.exec(address))) {
      url[key] = index[1];
      address = address.slice(0, index.index);
    }

    url[key] = url[key] || (
      relative && instruction[3] ? location[key] || '' : ''
    );

    //
    // Hostname, host and protocol should be lowercased so they can be used to
    // create a proper `origin`.
    //
    if (instruction[4]) url[key] = url[key].toLowerCase();
  }

  //
  // Also parse the supplied query string in to an object. If we're supplied
  // with a custom parser as function use that instead of the default build-in
  // parser.
  //
  if (parser) url.query = parser(url.query);

  //
  // If the URL is relative, resolve the pathname against the base URL.
  //
  if (
      relative
    && location.slashes
    && url.pathname.charAt(0) !== '/'
    && (url.pathname !== '' || location.pathname !== '')
  ) {
    url.pathname = resolve(url.pathname, location.pathname);
  }

  //
  // Default to a / for pathname if none exists. This normalizes the URL
  // to always have a /
  //
  if (url.pathname.charAt(0) !== '/' && isSpecial(url.protocol)) {
    url.pathname = '/' + url.pathname;
  }

  //
  // We should not add port numbers if they are already the default port number
  // for a given protocol. As the host also contains the port number we're going
  // override it with the hostname which contains no port number.
  //
  if (!required(url.port, url.protocol)) {
    url.host = url.hostname;
    url.port = '';
  }

  //
  // Parse down the `auth` for the username and password.
  //
  url.username = url.password = '';

  if (url.auth) {
    index = url.auth.indexOf(':');

    if (~index) {
      url.username = url.auth.slice(0, index);
      url.username = encodeURIComponent(decodeURIComponent(url.username));

      url.password = url.auth.slice(index + 1);
      url.password = encodeURIComponent(decodeURIComponent(url.password))
    } else {
      url.username = encodeURIComponent(decodeURIComponent(url.auth));
    }

    url.auth = url.password ? url.username +':'+ url.password : url.username;
  }

  url.origin = url.protocol !== 'file:' && isSpecial(url.protocol) && url.host
    ? url.protocol +'//'+ url.host
    : 'null';

  //
  // The href is just the compiled result.
  //
  url.href = url.toString();
}

/**
 * This is convenience method for changing properties in the URL instance to
 * insure that they all propagate correctly.
 *
 * @param {String} part          Property we need to adjust.
 * @param {Mixed} value          The newly assigned value.
 * @param {Boolean|Function} fn  When setting the query, it will be the function
 *                               used to parse the query.
 *                               When setting the protocol, double slash will be
 *                               removed from the final url if it is true.
 * @returns {URL} URL instance for chaining.
 * @public
 */
function set(part, value, fn) {
  var url = this;

  switch (part) {
    case 'query':
      if ('string' === typeof value && value.length) {
        value = (fn || qs.parse)(value);
      }

      url[part] = value;
      break;

    case 'port':
      url[part] = value;

      if (!required(value, url.protocol)) {
        url.host = url.hostname;
        url[part] = '';
      } else if (value) {
        url.host = url.hostname +':'+ value;
      }

      break;

    case 'hostname':
      url[part] = value;

      if (url.port) value += ':'+ url.port;
      url.host = value;
      break;

    case 'host':
      url[part] = value;

      if (port.test(value)) {
        value = value.split(':');
        url.port = value.pop();
        url.hostname = value.join(':');
      } else {
        url.hostname = value;
        url.port = '';
      }

      break;

    case 'protocol':
      url.protocol = value.toLowerCase();
      url.slashes = !fn;
      break;

    case 'pathname':
    case 'hash':
      if (value) {
        var char = part === 'pathname' ? '/' : '#';
        url[part] = value.charAt(0) !== char ? char + value : value;
      } else {
        url[part] = value;
      }
      break;

    case 'username':
    case 'password':
      url[part] = encodeURIComponent(value);
      break;

    case 'auth':
      var index = value.indexOf(':');

      if (~index) {
        url.username = value.slice(0, index);
        url.username = encodeURIComponent(decodeURIComponent(url.username));

        url.password = value.slice(index + 1);
        url.password = encodeURIComponent(decodeURIComponent(url.password));
      } else {
        url.username = encodeURIComponent(decodeURIComponent(value));
      }
  }

  for (var i = 0; i < rules.length; i++) {
    var ins = rules[i];

    if (ins[4]) url[ins[1]] = url[ins[1]].toLowerCase();
  }

  url.auth = url.password ? url.username +':'+ url.password : url.username;

  url.origin = url.protocol !== 'file:' && isSpecial(url.protocol) && url.host
    ? url.protocol +'//'+ url.host
    : 'null';

  url.href = url.toString();

  return url;
}

/**
 * Transform the properties back in to a valid and full URL string.
 *
 * @param {Function} stringify Optional query stringify function.
 * @returns {String} Compiled version of the URL.
 * @public
 */
function toString(stringify) {
  if (!stringify || 'function' !== typeof stringify) stringify = qs.stringify;

  var query
    , url = this
    , host = url.host
    , protocol = url.protocol;

  if (protocol && protocol.charAt(protocol.length - 1) !== ':') protocol += ':';

  var result =
    protocol +
    ((url.protocol && url.slashes) || isSpecial(url.protocol) ? '//' : '');

  if (url.username) {
    result += url.username;
    if (url.password) result += ':'+ url.password;
    result += '@';
  } else if (url.password) {
    result += ':'+ url.password;
    result += '@';
  } else if (
    url.protocol !== 'file:' &&
    isSpecial(url.protocol) &&
    !host &&
    url.pathname !== '/'
  ) {
    //
    // Add back the empty userinfo, otherwise the original invalid URL
    // might be transformed into a valid one with `url.pathname` as host.
    //
    result += '@';
  }

  //
  // Trailing colon is removed from `url.host` when it is parsed. If it still
  // ends with a colon, then add back the trailing colon that was removed. This
  // prevents an invalid URL from being transformed into a valid one.
  //
  if (host[host.length - 1] === ':' || (port.test(url.hostname) && !url.port)) {
    host += ':';
  }

  result += host + url.pathname;

  query = 'object' === typeof url.query ? stringify(url.query) : url.query;
  if (query) result += '?' !== query.charAt(0) ? '?'+ query : query;

  if (url.hash) result += url.hash;

  return result;
}

Url.prototype = { set: set, toString: toString };

//
// Expose the URL parser and some additional properties that might be useful for
// others or testing.
//
Url.extractProtocol = extractProtocol;
Url.location = lolcation;
Url.trimLeft = trimLeft;
Url.qs = qs;

module.exports = Url;


/***/ }),

/***/ 61043:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useDebounce)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _useDebouncedCallback__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(58984);


function valueEquality(left, right) {
    return left === right;
}
function useDebounce(value, delay, options) {
    var eq = options && options.equalityFn ? options.equalityFn : valueEquality;
    var _a = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(value), state = _a[0], dispatch = _a[1];
    var _b = (0,_useDebouncedCallback__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)((0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(function (value) { return dispatch(value); }, []), delay, options), callback = _b[0], cancel = _b[1];
    var previousValue = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(value);
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(function () {
        // We need to use this condition otherwise we will run debounce timer for the first render (including maxWait option)
        if (!eq(previousValue.current, value)) {
            callback(value);
            previousValue.current = value;
        }
    }, [value, callback, eq]);
    return [state, cancel];
}


/***/ }),

/***/ 58984:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ useDebouncedCallback)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);

function useDebouncedCallback(callback, delay, options) {
    if (options === void 0) { options = {}; }
    var maxWait = options.maxWait;
    var maxWaitHandler = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(null);
    var maxWaitArgs = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)([]);
    var leading = options.leading;
    var wasLeadingCalled = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(false);
    var functionTimeoutHandler = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(null);
    var isComponentUnmounted = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(false);
    var debouncedFunction = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(callback);
    debouncedFunction.current = callback;
    var cancelDebouncedCallback = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(function () {
        clearTimeout(functionTimeoutHandler.current);
        clearTimeout(maxWaitHandler.current);
        maxWaitHandler.current = null;
        maxWaitArgs.current = [];
        functionTimeoutHandler.current = null;
        wasLeadingCalled.current = false;
    }, []);
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(function () { return function () {
        // we use flag, as we allow to call callPending outside the hook
        isComponentUnmounted.current = true;
    }; }, []);
    var debouncedCallback = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        maxWaitArgs.current = args;
        clearTimeout(functionTimeoutHandler.current);
        if (!functionTimeoutHandler.current && leading && !wasLeadingCalled.current) {
            debouncedFunction.current.apply(debouncedFunction, args);
            wasLeadingCalled.current = true;
            return;
        }
        functionTimeoutHandler.current = setTimeout(function () {
            cancelDebouncedCallback();
            if (!isComponentUnmounted.current) {
                debouncedFunction.current.apply(debouncedFunction, args);
            }
        }, delay);
        if (maxWait && !maxWaitHandler.current) {
            maxWaitHandler.current = setTimeout(function () {
                var args = maxWaitArgs.current;
                cancelDebouncedCallback();
                if (!isComponentUnmounted.current) {
                    debouncedFunction.current.apply(null, args);
                }
            }, maxWait);
        }
    }, [maxWait, delay, cancelDebouncedCallback, leading]);
    var callPending = function () {
        // Call pending callback only if we have anything in our queue
        if (!functionTimeoutHandler.current) {
            return;
        }
        debouncedFunction.current.apply(null, maxWaitArgs.current);
        cancelDebouncedCallback();
    };
    // At the moment, we use 3 args array so that we save backward compatibility
    return [debouncedCallback, cancelDebouncedCallback, callPending];
}


/***/ }),

/***/ 11590:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
/**
 * @license React
 * use-subscription.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var e=__webpack_require__(51609),g=Object.assign;
exports.useSubscription=function(a){var c=a.getCurrentValue,d=a.subscribe,b=e.useState(function(){return{getCurrentValue:c,subscribe:d,value:c()}});a=b[0];var f=b[1];b=a.value;if(a.getCurrentValue!==c||a.subscribe!==d)b=c(),f({getCurrentValue:c,subscribe:d,value:b});e.useDebugValue(b);e.useEffect(function(){function b(){if(!a){var b=c();f(function(a){return a.getCurrentValue!==c||a.subscribe!==d||a.value===b?a:g({},a,{value:b})})}}var a=!1,h=d(b);b();return function(){a=!0;h()}},[c,d]);return b};


/***/ }),

/***/ 7205:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (true) {
  module.exports = __webpack_require__(11590);
} else {}


/***/ }),

/***/ 34026:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
/**
 * @license React
 * use-sync-external-store-shim.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var e=__webpack_require__(51609);function h(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var k="function"===typeof Object.is?Object.is:h,l=e.useState,m=e.useEffect,n=e.useLayoutEffect,p=e.useDebugValue;function q(a,b){var d=b(),f=l({inst:{value:d,getSnapshot:b}}),c=f[0].inst,g=f[1];n(function(){c.value=d;c.getSnapshot=b;r(c)&&g({inst:c})},[a,d,b]);m(function(){r(c)&&g({inst:c});return a(function(){r(c)&&g({inst:c})})},[a]);p(d);return d}
function r(a){var b=a.getSnapshot;a=a.value;try{var d=b();return!k(a,d)}catch(f){return!0}}function t(a,b){return b()}var u= false||"undefined"===typeof window.document||"undefined"===typeof window.document.createElement?t:q;exports.useSyncExternalStore=void 0!==e.useSyncExternalStore?e.useSyncExternalStore:u;


/***/ }),

/***/ 4965:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
/**
 * @license React
 * use-sync-external-store-shim/with-selector.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var h=__webpack_require__(51609),n=__webpack_require__(58139);function p(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var q="function"===typeof Object.is?Object.is:p,r=n.useSyncExternalStore,t=h.useRef,u=h.useEffect,v=h.useMemo,w=h.useDebugValue;
exports.useSyncExternalStoreWithSelector=function(a,b,e,l,g){var c=t(null);if(null===c.current){var f={hasValue:!1,value:null};c.current=f}else f=c.current;c=v(function(){function a(a){if(!c){c=!0;d=a;a=l(a);if(void 0!==g&&f.hasValue){var b=f.value;if(g(b,a))return k=b}return k=a}b=k;if(q(d,a))return b;var e=l(a);if(void 0!==g&&g(b,e))return b;d=a;return k=e}var c=!1,d,k,m=void 0===e?null:e;return[function(){return a(b())},null===m?void 0:function(){return a(m())}]},[b,e,l,g]);var d=r(a,c[0],c[1]);
u(function(){f.hasValue=!0;f.value=d},[d]);w(d);return d};


/***/ }),

/***/ 58139:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (true) {
  module.exports = __webpack_require__(34026);
} else {}


/***/ }),

/***/ 37121:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (true) {
  module.exports = __webpack_require__(4965);
} else {}


/***/ }),

/***/ 95272:
/***/ ((module) => {

module.exports = function isBuffer(arg) {
  return arg && typeof arg === 'object'
    && typeof arg.copy === 'function'
    && typeof arg.fill === 'function'
    && typeof arg.readUInt8 === 'function';
}

/***/ }),

/***/ 51531:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
// Currently in sync with Node.js lib/internal/util/types.js
// https://github.com/nodejs/node/commit/112cc7c27551254aa2b17098fb774867f05ed0d9



var isArgumentsObject = __webpack_require__(55387);
var isGeneratorFunction = __webpack_require__(2625);
var whichTypedArray = __webpack_require__(52730);
var isTypedArray = __webpack_require__(95943);

function uncurryThis(f) {
  return f.call.bind(f);
}

var BigIntSupported = typeof BigInt !== 'undefined';
var SymbolSupported = typeof Symbol !== 'undefined';

var ObjectToString = uncurryThis(Object.prototype.toString);

var numberValue = uncurryThis(Number.prototype.valueOf);
var stringValue = uncurryThis(String.prototype.valueOf);
var booleanValue = uncurryThis(Boolean.prototype.valueOf);

if (BigIntSupported) {
  var bigIntValue = uncurryThis(BigInt.prototype.valueOf);
}

if (SymbolSupported) {
  var symbolValue = uncurryThis(Symbol.prototype.valueOf);
}

function checkBoxedPrimitive(value, prototypeValueOf) {
  if (typeof value !== 'object') {
    return false;
  }
  try {
    prototypeValueOf(value);
    return true;
  } catch(e) {
    return false;
  }
}

exports.isArgumentsObject = isArgumentsObject;
exports.isGeneratorFunction = isGeneratorFunction;
exports.isTypedArray = isTypedArray;

// Taken from here and modified for better browser support
// https://github.com/sindresorhus/p-is-promise/blob/cda35a513bda03f977ad5cde3a079d237e82d7ef/index.js
function isPromise(input) {
	return (
		(
			typeof Promise !== 'undefined' &&
			input instanceof Promise
		) ||
		(
			input !== null &&
			typeof input === 'object' &&
			typeof input.then === 'function' &&
			typeof input.catch === 'function'
		)
	);
}
exports.isPromise = isPromise;

function isArrayBufferView(value) {
  if (typeof ArrayBuffer !== 'undefined' && ArrayBuffer.isView) {
    return ArrayBuffer.isView(value);
  }

  return (
    isTypedArray(value) ||
    isDataView(value)
  );
}
exports.isArrayBufferView = isArrayBufferView;


function isUint8Array(value) {
  return whichTypedArray(value) === 'Uint8Array';
}
exports.isUint8Array = isUint8Array;

function isUint8ClampedArray(value) {
  return whichTypedArray(value) === 'Uint8ClampedArray';
}
exports.isUint8ClampedArray = isUint8ClampedArray;

function isUint16Array(value) {
  return whichTypedArray(value) === 'Uint16Array';
}
exports.isUint16Array = isUint16Array;

function isUint32Array(value) {
  return whichTypedArray(value) === 'Uint32Array';
}
exports.isUint32Array = isUint32Array;

function isInt8Array(value) {
  return whichTypedArray(value) === 'Int8Array';
}
exports.isInt8Array = isInt8Array;

function isInt16Array(value) {
  return whichTypedArray(value) === 'Int16Array';
}
exports.isInt16Array = isInt16Array;

function isInt32Array(value) {
  return whichTypedArray(value) === 'Int32Array';
}
exports.isInt32Array = isInt32Array;

function isFloat32Array(value) {
  return whichTypedArray(value) === 'Float32Array';
}
exports.isFloat32Array = isFloat32Array;

function isFloat64Array(value) {
  return whichTypedArray(value) === 'Float64Array';
}
exports.isFloat64Array = isFloat64Array;

function isBigInt64Array(value) {
  return whichTypedArray(value) === 'BigInt64Array';
}
exports.isBigInt64Array = isBigInt64Array;

function isBigUint64Array(value) {
  return whichTypedArray(value) === 'BigUint64Array';
}
exports.isBigUint64Array = isBigUint64Array;

function isMapToString(value) {
  return ObjectToString(value) === '[object Map]';
}
isMapToString.working = (
  typeof Map !== 'undefined' &&
  isMapToString(new Map())
);

function isMap(value) {
  if (typeof Map === 'undefined') {
    return false;
  }

  return isMapToString.working
    ? isMapToString(value)
    : value instanceof Map;
}
exports.isMap = isMap;

function isSetToString(value) {
  return ObjectToString(value) === '[object Set]';
}
isSetToString.working = (
  typeof Set !== 'undefined' &&
  isSetToString(new Set())
);
function isSet(value) {
  if (typeof Set === 'undefined') {
    return false;
  }

  return isSetToString.working
    ? isSetToString(value)
    : value instanceof Set;
}
exports.isSet = isSet;

function isWeakMapToString(value) {
  return ObjectToString(value) === '[object WeakMap]';
}
isWeakMapToString.working = (
  typeof WeakMap !== 'undefined' &&
  isWeakMapToString(new WeakMap())
);
function isWeakMap(value) {
  if (typeof WeakMap === 'undefined') {
    return false;
  }

  return isWeakMapToString.working
    ? isWeakMapToString(value)
    : value instanceof WeakMap;
}
exports.isWeakMap = isWeakMap;

function isWeakSetToString(value) {
  return ObjectToString(value) === '[object WeakSet]';
}
isWeakSetToString.working = (
  typeof WeakSet !== 'undefined' &&
  isWeakSetToString(new WeakSet())
);
function isWeakSet(value) {
  return isWeakSetToString(value);
}
exports.isWeakSet = isWeakSet;

function isArrayBufferToString(value) {
  return ObjectToString(value) === '[object ArrayBuffer]';
}
isArrayBufferToString.working = (
  typeof ArrayBuffer !== 'undefined' &&
  isArrayBufferToString(new ArrayBuffer())
);
function isArrayBuffer(value) {
  if (typeof ArrayBuffer === 'undefined') {
    return false;
  }

  return isArrayBufferToString.working
    ? isArrayBufferToString(value)
    : value instanceof ArrayBuffer;
}
exports.isArrayBuffer = isArrayBuffer;

function isDataViewToString(value) {
  return ObjectToString(value) === '[object DataView]';
}
isDataViewToString.working = (
  typeof ArrayBuffer !== 'undefined' &&
  typeof DataView !== 'undefined' &&
  isDataViewToString(new DataView(new ArrayBuffer(1), 0, 1))
);
function isDataView(value) {
  if (typeof DataView === 'undefined') {
    return false;
  }

  return isDataViewToString.working
    ? isDataViewToString(value)
    : value instanceof DataView;
}
exports.isDataView = isDataView;

// Store a copy of SharedArrayBuffer in case it's deleted elsewhere
var SharedArrayBufferCopy = typeof SharedArrayBuffer !== 'undefined' ? SharedArrayBuffer : undefined;
function isSharedArrayBufferToString(value) {
  return ObjectToString(value) === '[object SharedArrayBuffer]';
}
function isSharedArrayBuffer(value) {
  if (typeof SharedArrayBufferCopy === 'undefined') {
    return false;
  }

  if (typeof isSharedArrayBufferToString.working === 'undefined') {
    isSharedArrayBufferToString.working = isSharedArrayBufferToString(new SharedArrayBufferCopy());
  }

  return isSharedArrayBufferToString.working
    ? isSharedArrayBufferToString(value)
    : value instanceof SharedArrayBufferCopy;
}
exports.isSharedArrayBuffer = isSharedArrayBuffer;

function isAsyncFunction(value) {
  return ObjectToString(value) === '[object AsyncFunction]';
}
exports.isAsyncFunction = isAsyncFunction;

function isMapIterator(value) {
  return ObjectToString(value) === '[object Map Iterator]';
}
exports.isMapIterator = isMapIterator;

function isSetIterator(value) {
  return ObjectToString(value) === '[object Set Iterator]';
}
exports.isSetIterator = isSetIterator;

function isGeneratorObject(value) {
  return ObjectToString(value) === '[object Generator]';
}
exports.isGeneratorObject = isGeneratorObject;

function isWebAssemblyCompiledModule(value) {
  return ObjectToString(value) === '[object WebAssembly.Module]';
}
exports.isWebAssemblyCompiledModule = isWebAssemblyCompiledModule;

function isNumberObject(value) {
  return checkBoxedPrimitive(value, numberValue);
}
exports.isNumberObject = isNumberObject;

function isStringObject(value) {
  return checkBoxedPrimitive(value, stringValue);
}
exports.isStringObject = isStringObject;

function isBooleanObject(value) {
  return checkBoxedPrimitive(value, booleanValue);
}
exports.isBooleanObject = isBooleanObject;

function isBigIntObject(value) {
  return BigIntSupported && checkBoxedPrimitive(value, bigIntValue);
}
exports.isBigIntObject = isBigIntObject;

function isSymbolObject(value) {
  return SymbolSupported && checkBoxedPrimitive(value, symbolValue);
}
exports.isSymbolObject = isSymbolObject;

function isBoxedPrimitive(value) {
  return (
    isNumberObject(value) ||
    isStringObject(value) ||
    isBooleanObject(value) ||
    isBigIntObject(value) ||
    isSymbolObject(value)
  );
}
exports.isBoxedPrimitive = isBoxedPrimitive;

function isAnyArrayBuffer(value) {
  return typeof Uint8Array !== 'undefined' && (
    isArrayBuffer(value) ||
    isSharedArrayBuffer(value)
  );
}
exports.isAnyArrayBuffer = isAnyArrayBuffer;

['isProxy', 'isExternal', 'isModuleNamespaceObject'].forEach(function(method) {
  Object.defineProperty(exports, method, {
    enumerable: false,
    value: function() {
      throw new Error(method + ' is not supported in userland');
    }
  });
});


/***/ }),

/***/ 49208:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.

var getOwnPropertyDescriptors = Object.getOwnPropertyDescriptors ||
  function getOwnPropertyDescriptors(obj) {
    var keys = Object.keys(obj);
    var descriptors = {};
    for (var i = 0; i < keys.length; i++) {
      descriptors[keys[i]] = Object.getOwnPropertyDescriptor(obj, keys[i]);
    }
    return descriptors;
  };

var formatRegExp = /%[sdj%]/g;
exports.format = function(f) {
  if (!isString(f)) {
    var objects = [];
    for (var i = 0; i < arguments.length; i++) {
      objects.push(inspect(arguments[i]));
    }
    return objects.join(' ');
  }

  var i = 1;
  var args = arguments;
  var len = args.length;
  var str = String(f).replace(formatRegExp, function(x) {
    if (x === '%%') return '%';
    if (i >= len) return x;
    switch (x) {
      case '%s': return String(args[i++]);
      case '%d': return Number(args[i++]);
      case '%j':
        try {
          return JSON.stringify(args[i++]);
        } catch (_) {
          return '[Circular]';
        }
      default:
        return x;
    }
  });
  for (var x = args[i]; i < len; x = args[++i]) {
    if (isNull(x) || !isObject(x)) {
      str += ' ' + x;
    } else {
      str += ' ' + inspect(x);
    }
  }
  return str;
};


// Mark that a method should not be used.
// Returns a modified function which warns once by default.
// If --no-deprecation is set, then it is a no-op.
exports.deprecate = function(fn, msg) {
  if (typeof process !== 'undefined' && process.noDeprecation === true) {
    return fn;
  }

  // Allow for deprecating things in the process of starting up.
  if (typeof process === 'undefined') {
    return function() {
      return exports.deprecate(fn, msg).apply(this, arguments);
    };
  }

  var warned = false;
  function deprecated() {
    if (!warned) {
      if (process.throwDeprecation) {
        throw new Error(msg);
      } else if (process.traceDeprecation) {
        console.trace(msg);
      } else {
        console.error(msg);
      }
      warned = true;
    }
    return fn.apply(this, arguments);
  }

  return deprecated;
};


var debugs = {};
var debugEnvRegex = /^$/;

if (process.env.NODE_DEBUG) {
  var debugEnv = process.env.NODE_DEBUG;
  debugEnv = debugEnv.replace(/[|\\{}()[\]^$+?.]/g, '\\$&')
    .replace(/\*/g, '.*')
    .replace(/,/g, '$|^')
    .toUpperCase();
  debugEnvRegex = new RegExp('^' + debugEnv + '$', 'i');
}
exports.debuglog = function(set) {
  set = set.toUpperCase();
  if (!debugs[set]) {
    if (debugEnvRegex.test(set)) {
      var pid = process.pid;
      debugs[set] = function() {
        var msg = exports.format.apply(exports, arguments);
        console.error('%s %d: %s', set, pid, msg);
      };
    } else {
      debugs[set] = function() {};
    }
  }
  return debugs[set];
};


/**
 * Echos the value of a value. Trys to print the value out
 * in the best way possible given the different types.
 *
 * @param {Object} obj The object to print out.
 * @param {Object} opts Optional options object that alters the output.
 */
/* legacy: obj, showHidden, depth, colors*/
function inspect(obj, opts) {
  // default options
  var ctx = {
    seen: [],
    stylize: stylizeNoColor
  };
  // legacy...
  if (arguments.length >= 3) ctx.depth = arguments[2];
  if (arguments.length >= 4) ctx.colors = arguments[3];
  if (isBoolean(opts)) {
    // legacy...
    ctx.showHidden = opts;
  } else if (opts) {
    // got an "options" object
    exports._extend(ctx, opts);
  }
  // set default options
  if (isUndefined(ctx.showHidden)) ctx.showHidden = false;
  if (isUndefined(ctx.depth)) ctx.depth = 2;
  if (isUndefined(ctx.colors)) ctx.colors = false;
  if (isUndefined(ctx.customInspect)) ctx.customInspect = true;
  if (ctx.colors) ctx.stylize = stylizeWithColor;
  return formatValue(ctx, obj, ctx.depth);
}
exports.inspect = inspect;


// http://en.wikipedia.org/wiki/ANSI_escape_code#graphics
inspect.colors = {
  'bold' : [1, 22],
  'italic' : [3, 23],
  'underline' : [4, 24],
  'inverse' : [7, 27],
  'white' : [37, 39],
  'grey' : [90, 39],
  'black' : [30, 39],
  'blue' : [34, 39],
  'cyan' : [36, 39],
  'green' : [32, 39],
  'magenta' : [35, 39],
  'red' : [31, 39],
  'yellow' : [33, 39]
};

// Don't use 'blue' not visible on cmd.exe
inspect.styles = {
  'special': 'cyan',
  'number': 'yellow',
  'boolean': 'yellow',
  'undefined': 'grey',
  'null': 'bold',
  'string': 'green',
  'date': 'magenta',
  // "name": intentionally not styling
  'regexp': 'red'
};


function stylizeWithColor(str, styleType) {
  var style = inspect.styles[styleType];

  if (style) {
    return '\u001b[' + inspect.colors[style][0] + 'm' + str +
           '\u001b[' + inspect.colors[style][1] + 'm';
  } else {
    return str;
  }
}


function stylizeNoColor(str, styleType) {
  return str;
}


function arrayToHash(array) {
  var hash = {};

  array.forEach(function(val, idx) {
    hash[val] = true;
  });

  return hash;
}


function formatValue(ctx, value, recurseTimes) {
  // Provide a hook for user-specified inspect functions.
  // Check that value is an object with an inspect function on it
  if (ctx.customInspect &&
      value &&
      isFunction(value.inspect) &&
      // Filter out the util module, it's inspect function is special
      value.inspect !== exports.inspect &&
      // Also filter out any prototype objects using the circular check.
      !(value.constructor && value.constructor.prototype === value)) {
    var ret = value.inspect(recurseTimes, ctx);
    if (!isString(ret)) {
      ret = formatValue(ctx, ret, recurseTimes);
    }
    return ret;
  }

  // Primitive types cannot have properties
  var primitive = formatPrimitive(ctx, value);
  if (primitive) {
    return primitive;
  }

  // Look up the keys of the object.
  var keys = Object.keys(value);
  var visibleKeys = arrayToHash(keys);

  if (ctx.showHidden) {
    keys = Object.getOwnPropertyNames(value);
  }

  // IE doesn't make error fields non-enumerable
  // http://msdn.microsoft.com/en-us/library/ie/dww52sbt(v=vs.94).aspx
  if (isError(value)
      && (keys.indexOf('message') >= 0 || keys.indexOf('description') >= 0)) {
    return formatError(value);
  }

  // Some type of object without properties can be shortcutted.
  if (keys.length === 0) {
    if (isFunction(value)) {
      var name = value.name ? ': ' + value.name : '';
      return ctx.stylize('[Function' + name + ']', 'special');
    }
    if (isRegExp(value)) {
      return ctx.stylize(RegExp.prototype.toString.call(value), 'regexp');
    }
    if (isDate(value)) {
      return ctx.stylize(Date.prototype.toString.call(value), 'date');
    }
    if (isError(value)) {
      return formatError(value);
    }
  }

  var base = '', array = false, braces = ['{', '}'];

  // Make Array say that they are Array
  if (isArray(value)) {
    array = true;
    braces = ['[', ']'];
  }

  // Make functions say that they are functions
  if (isFunction(value)) {
    var n = value.name ? ': ' + value.name : '';
    base = ' [Function' + n + ']';
  }

  // Make RegExps say that they are RegExps
  if (isRegExp(value)) {
    base = ' ' + RegExp.prototype.toString.call(value);
  }

  // Make dates with properties first say the date
  if (isDate(value)) {
    base = ' ' + Date.prototype.toUTCString.call(value);
  }

  // Make error with message first say the error
  if (isError(value)) {
    base = ' ' + formatError(value);
  }

  if (keys.length === 0 && (!array || value.length == 0)) {
    return braces[0] + base + braces[1];
  }

  if (recurseTimes < 0) {
    if (isRegExp(value)) {
      return ctx.stylize(RegExp.prototype.toString.call(value), 'regexp');
    } else {
      return ctx.stylize('[Object]', 'special');
    }
  }

  ctx.seen.push(value);

  var output;
  if (array) {
    output = formatArray(ctx, value, recurseTimes, visibleKeys, keys);
  } else {
    output = keys.map(function(key) {
      return formatProperty(ctx, value, recurseTimes, visibleKeys, key, array);
    });
  }

  ctx.seen.pop();

  return reduceToSingleString(output, base, braces);
}


function formatPrimitive(ctx, value) {
  if (isUndefined(value))
    return ctx.stylize('undefined', 'undefined');
  if (isString(value)) {
    var simple = '\'' + JSON.stringify(value).replace(/^"|"$/g, '')
                                             .replace(/'/g, "\\'")
                                             .replace(/\\"/g, '"') + '\'';
    return ctx.stylize(simple, 'string');
  }
  if (isNumber(value))
    return ctx.stylize('' + value, 'number');
  if (isBoolean(value))
    return ctx.stylize('' + value, 'boolean');
  // For some reason typeof null is "object", so special case here.
  if (isNull(value))
    return ctx.stylize('null', 'null');
}


function formatError(value) {
  return '[' + Error.prototype.toString.call(value) + ']';
}


function formatArray(ctx, value, recurseTimes, visibleKeys, keys) {
  var output = [];
  for (var i = 0, l = value.length; i < l; ++i) {
    if (hasOwnProperty(value, String(i))) {
      output.push(formatProperty(ctx, value, recurseTimes, visibleKeys,
          String(i), true));
    } else {
      output.push('');
    }
  }
  keys.forEach(function(key) {
    if (!key.match(/^\d+$/)) {
      output.push(formatProperty(ctx, value, recurseTimes, visibleKeys,
          key, true));
    }
  });
  return output;
}


function formatProperty(ctx, value, recurseTimes, visibleKeys, key, array) {
  var name, str, desc;
  desc = Object.getOwnPropertyDescriptor(value, key) || { value: value[key] };
  if (desc.get) {
    if (desc.set) {
      str = ctx.stylize('[Getter/Setter]', 'special');
    } else {
      str = ctx.stylize('[Getter]', 'special');
    }
  } else {
    if (desc.set) {
      str = ctx.stylize('[Setter]', 'special');
    }
  }
  if (!hasOwnProperty(visibleKeys, key)) {
    name = '[' + key + ']';
  }
  if (!str) {
    if (ctx.seen.indexOf(desc.value) < 0) {
      if (isNull(recurseTimes)) {
        str = formatValue(ctx, desc.value, null);
      } else {
        str = formatValue(ctx, desc.value, recurseTimes - 1);
      }
      if (str.indexOf('\n') > -1) {
        if (array) {
          str = str.split('\n').map(function(line) {
            return '  ' + line;
          }).join('\n').slice(2);
        } else {
          str = '\n' + str.split('\n').map(function(line) {
            return '   ' + line;
          }).join('\n');
        }
      }
    } else {
      str = ctx.stylize('[Circular]', 'special');
    }
  }
  if (isUndefined(name)) {
    if (array && key.match(/^\d+$/)) {
      return str;
    }
    name = JSON.stringify('' + key);
    if (name.match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)) {
      name = name.slice(1, -1);
      name = ctx.stylize(name, 'name');
    } else {
      name = name.replace(/'/g, "\\'")
                 .replace(/\\"/g, '"')
                 .replace(/(^"|"$)/g, "'");
      name = ctx.stylize(name, 'string');
    }
  }

  return name + ': ' + str;
}


function reduceToSingleString(output, base, braces) {
  var numLinesEst = 0;
  var length = output.reduce(function(prev, cur) {
    numLinesEst++;
    if (cur.indexOf('\n') >= 0) numLinesEst++;
    return prev + cur.replace(/\u001b\[\d\d?m/g, '').length + 1;
  }, 0);

  if (length > 60) {
    return braces[0] +
           (base === '' ? '' : base + '\n ') +
           ' ' +
           output.join(',\n  ') +
           ' ' +
           braces[1];
  }

  return braces[0] + base + ' ' + output.join(', ') + ' ' + braces[1];
}


// NOTE: These type checking functions intentionally don't use `instanceof`
// because it is fragile and can be easily faked with `Object.create()`.
exports.types = __webpack_require__(51531);

function isArray(ar) {
  return Array.isArray(ar);
}
exports.isArray = isArray;

function isBoolean(arg) {
  return typeof arg === 'boolean';
}
exports.isBoolean = isBoolean;

function isNull(arg) {
  return arg === null;
}
exports.isNull = isNull;

function isNullOrUndefined(arg) {
  return arg == null;
}
exports.isNullOrUndefined = isNullOrUndefined;

function isNumber(arg) {
  return typeof arg === 'number';
}
exports.isNumber = isNumber;

function isString(arg) {
  return typeof arg === 'string';
}
exports.isString = isString;

function isSymbol(arg) {
  return typeof arg === 'symbol';
}
exports.isSymbol = isSymbol;

function isUndefined(arg) {
  return arg === void 0;
}
exports.isUndefined = isUndefined;

function isRegExp(re) {
  return isObject(re) && objectToString(re) === '[object RegExp]';
}
exports.isRegExp = isRegExp;
exports.types.isRegExp = isRegExp;

function isObject(arg) {
  return typeof arg === 'object' && arg !== null;
}
exports.isObject = isObject;

function isDate(d) {
  return isObject(d) && objectToString(d) === '[object Date]';
}
exports.isDate = isDate;
exports.types.isDate = isDate;

function isError(e) {
  return isObject(e) &&
      (objectToString(e) === '[object Error]' || e instanceof Error);
}
exports.isError = isError;
exports.types.isNativeError = isError;

function isFunction(arg) {
  return typeof arg === 'function';
}
exports.isFunction = isFunction;

function isPrimitive(arg) {
  return arg === null ||
         typeof arg === 'boolean' ||
         typeof arg === 'number' ||
         typeof arg === 'string' ||
         typeof arg === 'symbol' ||  // ES6 symbol
         typeof arg === 'undefined';
}
exports.isPrimitive = isPrimitive;

exports.isBuffer = __webpack_require__(95272);

function objectToString(o) {
  return Object.prototype.toString.call(o);
}


function pad(n) {
  return n < 10 ? '0' + n.toString(10) : n.toString(10);
}


var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep',
              'Oct', 'Nov', 'Dec'];

// 26 Feb 16:19:34
function timestamp() {
  var d = new Date();
  var time = [pad(d.getHours()),
              pad(d.getMinutes()),
              pad(d.getSeconds())].join(':');
  return [d.getDate(), months[d.getMonth()], time].join(' ');
}


// log is just a thin wrapper to console.log that prepends a timestamp
exports.log = function() {
  console.log('%s - %s', timestamp(), exports.format.apply(exports, arguments));
};


/**
 * Inherit the prototype methods from one constructor into another.
 *
 * The Function.prototype.inherits from lang.js rewritten as a standalone
 * function (not on Function.prototype). NOTE: If this file is to be loaded
 * during bootstrapping this function needs to be rewritten using some native
 * functions as prototype setup using normal JavaScript does not work as
 * expected during bootstrapping (see mirror.js in r114903).
 *
 * @param {function} ctor Constructor function which needs to inherit the
 *     prototype.
 * @param {function} superCtor Constructor function to inherit prototype from.
 */
exports.inherits = __webpack_require__(35615);

exports._extend = function(origin, add) {
  // Don't do anything if add isn't an object
  if (!add || !isObject(add)) return origin;

  var keys = Object.keys(add);
  var i = keys.length;
  while (i--) {
    origin[keys[i]] = add[keys[i]];
  }
  return origin;
};

function hasOwnProperty(obj, prop) {
  return Object.prototype.hasOwnProperty.call(obj, prop);
}

var kCustomPromisifiedSymbol = typeof Symbol !== 'undefined' ? Symbol('util.promisify.custom') : undefined;

exports.promisify = function promisify(original) {
  if (typeof original !== 'function')
    throw new TypeError('The "original" argument must be of type Function');

  if (kCustomPromisifiedSymbol && original[kCustomPromisifiedSymbol]) {
    var fn = original[kCustomPromisifiedSymbol];
    if (typeof fn !== 'function') {
      throw new TypeError('The "util.promisify.custom" argument must be of type Function');
    }
    Object.defineProperty(fn, kCustomPromisifiedSymbol, {
      value: fn, enumerable: false, writable: false, configurable: true
    });
    return fn;
  }

  function fn() {
    var promiseResolve, promiseReject;
    var promise = new Promise(function (resolve, reject) {
      promiseResolve = resolve;
      promiseReject = reject;
    });

    var args = [];
    for (var i = 0; i < arguments.length; i++) {
      args.push(arguments[i]);
    }
    args.push(function (err, value) {
      if (err) {
        promiseReject(err);
      } else {
        promiseResolve(value);
      }
    });

    try {
      original.apply(this, args);
    } catch (err) {
      promiseReject(err);
    }

    return promise;
  }

  Object.setPrototypeOf(fn, Object.getPrototypeOf(original));

  if (kCustomPromisifiedSymbol) Object.defineProperty(fn, kCustomPromisifiedSymbol, {
    value: fn, enumerable: false, writable: false, configurable: true
  });
  return Object.defineProperties(
    fn,
    getOwnPropertyDescriptors(original)
  );
}

exports.promisify.custom = kCustomPromisifiedSymbol

function callbackifyOnRejected(reason, cb) {
  // `!reason` guard inspired by bluebird (Ref: https://goo.gl/t5IS6M).
  // Because `null` is a special error value in callbacks which means "no error
  // occurred", we error-wrap so the callback consumer can distinguish between
  // "the promise rejected with null" or "the promise fulfilled with undefined".
  if (!reason) {
    var newReason = new Error('Promise was rejected with a falsy value');
    newReason.reason = reason;
    reason = newReason;
  }
  return cb(reason);
}

function callbackify(original) {
  if (typeof original !== 'function') {
    throw new TypeError('The "original" argument must be of type Function');
  }

  // We DO NOT return the promise as it gives the user a false sense that
  // the promise is actually somehow related to the callback's execution
  // and that the callback throwing will reject the promise.
  function callbackified() {
    var args = [];
    for (var i = 0; i < arguments.length; i++) {
      args.push(arguments[i]);
    }

    var maybeCb = args.pop();
    if (typeof maybeCb !== 'function') {
      throw new TypeError('The last argument must be of type Function');
    }
    var self = this;
    var cb = function() {
      return maybeCb.apply(self, arguments);
    };
    // In true node style we process the callback on `nextTick` with all the
    // implications (stack, `uncaughtException`, `async_hooks`)
    original.apply(this, args)
      .then(function(ret) { process.nextTick(cb.bind(null, null, ret)) },
            function(rej) { process.nextTick(callbackifyOnRejected.bind(null, rej, cb)) });
  }

  Object.setPrototypeOf(callbackified, Object.getPrototypeOf(original));
  Object.defineProperties(callbackified,
                          getOwnPropertyDescriptors(original));
  return callbackified;
}
exports.callbackify = callbackify;


/***/ }),

/***/ 53512:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
const randomUUID = typeof crypto !== 'undefined' && crypto.randomUUID && crypto.randomUUID.bind(crypto);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({
  randomUUID
});

/***/ }),

/***/ 48062:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ rng)
/* harmony export */ });
// Unique ID creation requires a high quality random # generator. In the browser we therefore
// require the crypto API and do not support built-in fallback to lower quality random number
// generators (like Math.random()).
let getRandomValues;
const rnds8 = new Uint8Array(16);
function rng() {
  // lazy load so that environments that need to polyfill have a chance to do so
  if (!getRandomValues) {
    // getRandomValues needs to be invoked in a context where "this" is a Crypto implementation.
    getRandomValues = typeof crypto !== 'undefined' && crypto.getRandomValues && crypto.getRandomValues.bind(crypto);

    if (!getRandomValues) {
      throw new Error('crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported');
    }
  }

  return getRandomValues(rnds8);
}

/***/ }),

/***/ 99834:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ unsafeStringify)
/* harmony export */ });

/**
 * Convert array of 16 byte values to UUID string format of the form:
 * XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX
 */

const byteToHex = [];

for (let i = 0; i < 256; ++i) {
  byteToHex.push((i + 0x100).toString(16).slice(1));
}

function unsafeStringify(arr, offset = 0) {
  // Note: Be careful editing this code!  It's been tuned for performance
  // and works in ways you may not expect. See https://github.com/uuidjs/uuid/pull/434
  return byteToHex[arr[offset + 0]] + byteToHex[arr[offset + 1]] + byteToHex[arr[offset + 2]] + byteToHex[arr[offset + 3]] + '-' + byteToHex[arr[offset + 4]] + byteToHex[arr[offset + 5]] + '-' + byteToHex[arr[offset + 6]] + byteToHex[arr[offset + 7]] + '-' + byteToHex[arr[offset + 8]] + byteToHex[arr[offset + 9]] + '-' + byteToHex[arr[offset + 10]] + byteToHex[arr[offset + 11]] + byteToHex[arr[offset + 12]] + byteToHex[arr[offset + 13]] + byteToHex[arr[offset + 14]] + byteToHex[arr[offset + 15]];
}

function stringify(arr, offset = 0) {
  const uuid = unsafeStringify(arr, offset); // Consistency check for valid UUID.  If this throws, it's likely due to one
  // of the following:
  // - One or more input array values don't map to a hex octet (leading to
  // "undefined" in the uuid)
  // - Invalid input values for the RFC `version` or `variant` fields

  if (!validate(uuid)) {
    throw TypeError('Stringified UUID is invalid');
  }

  return uuid;
}

/* unused harmony default export */ var __WEBPACK_DEFAULT_EXPORT__ = ((/* unused pure expression or super */ null && (stringify)));

/***/ }),

/***/ 77981:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _native_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(53512);
/* harmony import */ var _rng_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(48062);
/* harmony import */ var _stringify_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(99834);




function v4(options, buf, offset) {
  if (_native_js__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.randomUUID && !buf && !options) {
    return _native_js__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A.randomUUID();
  }

  options = options || {};
  const rnds = options.random || (options.rng || _rng_js__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(); // Per 4.4, set bits for version and `clock_seq_hi_and_reserved`

  rnds[6] = rnds[6] & 0x0f | 0x40;
  rnds[8] = rnds[8] & 0x3f | 0x80; // Copy bytes to buffer, if provided

  if (buf) {
    offset = offset || 0;

    for (let i = 0; i < 16; ++i) {
      buf[offset + i] = rnds[i];
    }

    return buf;
  }

  return (0,_stringify_js__WEBPACK_IMPORTED_MODULE_2__/* .unsafeStringify */ .k)(rnds);
}

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (v4);

/***/ }),

/***/ 52730:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var forEach = __webpack_require__(80705);
var availableTypedArrays = __webpack_require__(14834);
var callBind = __webpack_require__(28498);
var callBound = __webpack_require__(79818);
var gOPD = __webpack_require__(69336);

/** @type {(O: object) => string} */
var $toString = callBound('Object.prototype.toString');
var hasToStringTag = __webpack_require__(51913)();

var g = typeof globalThis === 'undefined' ? window : globalThis;
var typedArrays = availableTypedArrays();

var $slice = callBound('String.prototype.slice');
var getPrototypeOf = Object.getPrototypeOf; // require('getprototypeof');

/** @type {<T = unknown>(array: readonly T[], value: unknown) => number} */
var $indexOf = callBound('Array.prototype.indexOf', true) || function indexOf(array, value) {
	for (var i = 0; i < array.length; i += 1) {
		if (array[i] === value) {
			return i;
		}
	}
	return -1;
};

/** @typedef {(receiver: import('.').TypedArray) => string | typeof Uint8Array.prototype.slice.call | typeof Uint8Array.prototype.set.call} Getter */
/** @type {{ [k in `\$${import('.').TypedArrayName}`]?: Getter } & { __proto__: null }} */
var cache = { __proto__: null };
if (hasToStringTag && gOPD && getPrototypeOf) {
	forEach(typedArrays, function (typedArray) {
		var arr = new g[typedArray]();
		if (Symbol.toStringTag in arr) {
			var proto = getPrototypeOf(arr);
			// @ts-expect-error TS won't narrow inside a closure
			var descriptor = gOPD(proto, Symbol.toStringTag);
			if (!descriptor) {
				var superProto = getPrototypeOf(proto);
				// @ts-expect-error TS won't narrow inside a closure
				descriptor = gOPD(superProto, Symbol.toStringTag);
			}
			// @ts-expect-error TODO: fix
			cache['$' + typedArray] = callBind(descriptor.get);
		}
	});
} else {
	forEach(typedArrays, function (typedArray) {
		var arr = new g[typedArray]();
		var fn = arr.slice || arr.set;
		if (fn) {
			// @ts-expect-error TODO: fix
			cache['$' + typedArray] = callBind(fn);
		}
	});
}

/** @type {(value: object) => false | import('.').TypedArrayName} */
var tryTypedArrays = function tryAllTypedArrays(value) {
	/** @type {ReturnType<typeof tryAllTypedArrays>} */ var found = false;
	forEach(
		// eslint-disable-next-line no-extra-parens
		/** @type {Record<`\$${TypedArrayName}`, Getter>} */ /** @type {any} */ (cache),
		/** @type {(getter: Getter, name: `\$${import('.').TypedArrayName}`) => void} */
		function (getter, typedArray) {
			if (!found) {
				try {
				// @ts-expect-error TODO: fix
					if ('$' + getter(value) === typedArray) {
						found = $slice(typedArray, 1);
					}
				} catch (e) { /**/ }
			}
		}
	);
	return found;
};

/** @type {(value: object) => false | import('.').TypedArrayName} */
var trySlices = function tryAllSlices(value) {
	/** @type {ReturnType<typeof tryAllSlices>} */ var found = false;
	forEach(
		// eslint-disable-next-line no-extra-parens
		/** @type {Record<`\$${TypedArrayName}`, Getter>} */ /** @type {any} */ (cache),
		/** @type {(getter: typeof cache, name: `\$${import('.').TypedArrayName}`) => void} */ function (getter, name) {
			if (!found) {
				try {
					// @ts-expect-error TODO: fix
					getter(value);
					found = $slice(name, 1);
				} catch (e) { /**/ }
			}
		}
	);
	return found;
};

/** @type {import('.')} */
module.exports = function whichTypedArray(value) {
	if (!value || typeof value !== 'object') { return false; }
	if (!hasToStringTag) {
		/** @type {string} */
		var tag = $slice($toString(value), 8, -1);
		if ($indexOf(typedArrays, tag) > -1) {
			return tag;
		}
		if (tag !== 'Object') {
			return false;
		}
		// node < 0.6 hits here on real Typed Arrays
		return trySlices(value);
	}
	if (!gOPD) { return null; } // unknown engine
	return tryTypedArrays(value);
};


/***/ }),

/***/ 88966:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var uppercamelcase = __webpack_require__(52676);
var statusCodes = __webpack_require__(30049);

module.exports = WPError;

function WPError () {
  var self = new Error();

  for (var i = 0; i < arguments.length; i++) {
    process(self, arguments[i]);
  }

  if (typeof Error.captureStackTrace === 'function') {
    Error.captureStackTrace(self, WPError);
  }

  return self;
}

function process ( self, data ) {
  if ( ! data ) { 
    return;
  }
  
  if (typeof data === 'number') {
    setStatusCode( self, data );

  } else {
    // assume it's a plain 'ol Object with some props to copy over
    if ( data.status_code ) {
      setStatusCode( self, data.status_code );
    }

    if ( data.error ) {
      self.name = toName( data.error );
    }

    if ( data.error_description ) {
      self.message = data.error_description;
    }

    var errors = data.errors;
    if ( errors ) {
      var first = errors.length ? errors[0] : errors;
      process( self, first );
    }

    for ( var i in data ) {
      self[i] = data[i];
    }

    if ( self.status && ( data.method || data.path ) ) {
      setStatusCodeMessage( self );
    }
  }
}

function setStatusCode ( self, code ) {
  self.name = toName( statusCodes[ code ] );
  self.status = self.statusCode = code;
  setStatusCodeMessage( self );
}

function setStatusCodeMessage ( self ) {
  var code = self.status;
  var method = self.method;
  var path = self.path;

  var m = code + ' status code';
  var extended = method || path;

  if ( extended ) m += ' for "';
  if ( method ) m += method;
  if ( extended ) m += ' ';
  if ( path ) m += path;
  if ( extended ) m += '"';

  self.message = m;
}

function toName ( str ) {
  return uppercamelcase( String(str).replace(/error$/i, ''), 'error' );
}


/***/ }),

/***/ 93227:
/***/ ((module) => {

module.exports = extend

var hasOwnProperty = Object.prototype.hasOwnProperty;

function extend() {
    var target = {}

    for (var i = 0; i < arguments.length; i++) {
        var source = arguments[i]

        for (var key in source) {
            if (hasOwnProperty.call(source, key)) {
                target[key] = source[key]
            }
        }
    }

    return target
}


/***/ }),

/***/ 84025:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
module.exports = __webpack_require__.p + "images/gridicons-47c7fb356fcb2d963681.svg";

/***/ }),

/***/ 43198:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
module.exports = __webpack_require__.p + "images/arrow-up-e82a5439772acd6b3e97.svg";

/***/ }),

/***/ 75951:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
module.exports = __webpack_require__.p + "images/maximize-icon-4bc9a907ac844328eb8f.svg";

/***/ }),

/***/ 63693:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
module.exports = __webpack_require__.p + "images/minimize-icon-329e9869529f13417f51.svg";

/***/ }),

/***/ 77697:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
module.exports = __webpack_require__.p + "images/wapuu-squared-avatar-cf83bdae49791ddafab4.svg";

/***/ }),

/***/ 60906:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
module.exports = __webpack_require__.p + "images/wapuu-thinking-81c2d0f615199fe8d906.svg";

/***/ }),

/***/ 51609:
/***/ ((module) => {

"use strict";
module.exports = window["React"];

/***/ }),

/***/ 75795:
/***/ ((module) => {

"use strict";
module.exports = window["ReactDOM"];

/***/ }),

/***/ 66087:
/***/ ((module) => {

"use strict";
module.exports = window["lodash"];

/***/ }),

/***/ 76154:
/***/ ((module) => {

"use strict";
module.exports = window["moment"];

/***/ }),

/***/ 20195:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["a11y"];

/***/ }),

/***/ 1455:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["apiFetch"];

/***/ }),

/***/ 56427:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["components"];

/***/ }),

/***/ 29491:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["compose"];

/***/ }),

/***/ 47143:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["data"];

/***/ }),

/***/ 66161:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["dataControls"];

/***/ }),

/***/ 38443:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["date"];

/***/ }),

/***/ 28107:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["dom"];

/***/ }),

/***/ 86087:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["element"];

/***/ }),

/***/ 27723:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["i18n"];

/***/ }),

/***/ 20923:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["isShallowEqual"];

/***/ }),

/***/ 48558:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["keycodes"];

/***/ }),

/***/ 92279:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["plugins"];

/***/ }),

/***/ 5573:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["primitives"];

/***/ }),

/***/ 93832:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["url"];

/***/ }),

/***/ 10979:
/***/ ((module) => {

"use strict";
module.exports = window["wp"]["warning"];

/***/ }),

/***/ 86973:
/***/ (() => {

/* (ignored) */

/***/ }),

/***/ 14834:
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var possibleNames = __webpack_require__(69501);

var g = typeof globalThis === 'undefined' ? window : globalThis;

/** @type {import('.')} */
module.exports = function availableTypedArrays() {
	var /** @type {ReturnType<typeof availableTypedArrays>} */ out = [];
	for (var i = 0; i < possibleNames.length; i++) {
		if (typeof g[possibleNames[i]] === 'function') {
			// @ts-expect-error
			out[out.length] = possibleNames[i];
		}
	}
	return out;
};


/***/ }),

/***/ 24586:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ _defineProperty)
/* harmony export */ });
/* harmony import */ var _toPropertyKey_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(20205);

function _defineProperty(obj, key, value) {
  key = (0,_toPropertyKey_js__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(key);
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }
  return obj;
}

/***/ }),

/***/ 89575:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ _extends)
/* harmony export */ });
function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}

/***/ }),

/***/ 69740:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ _objectSpread2)
/* harmony export */ });
/* harmony import */ var _defineProperty_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(24586);

function ownKeys(e, r) {
  var t = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var o = Object.getOwnPropertySymbols(e);
    r && (o = o.filter(function (r) {
      return Object.getOwnPropertyDescriptor(e, r).enumerable;
    })), t.push.apply(t, o);
  }
  return t;
}
function _objectSpread2(e) {
  for (var r = 1; r < arguments.length; r++) {
    var t = null != arguments[r] ? arguments[r] : {};
    r % 2 ? ownKeys(Object(t), !0).forEach(function (r) {
      (0,_defineProperty_js__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(e, r, t[r]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) {
      Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r));
    });
  }
  return e;
}

/***/ }),

/***/ 17502:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ _objectWithoutPropertiesLoose)
/* harmony export */ });
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }
  return target;
}

/***/ }),

/***/ 79824:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ toPrimitive)
/* harmony export */ });
/* harmony import */ var _typeof_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(17545);

function toPrimitive(t, r) {
  if ("object" != (0,_typeof_js__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(t) || !t) return t;
  var e = t[Symbol.toPrimitive];
  if (void 0 !== e) {
    var i = e.call(t, r || "default");
    if ("object" != (0,_typeof_js__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(i)) return i;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return ("string" === r ? String : Number)(t);
}

/***/ }),

/***/ 20205:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ toPropertyKey)
/* harmony export */ });
/* harmony import */ var _typeof_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(17545);
/* harmony import */ var _toPrimitive_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(79824);


function toPropertyKey(t) {
  var i = (0,_toPrimitive_js__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .A)(t, "string");
  return "symbol" == (0,_typeof_js__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .A)(i) ? i : String(i);
}

/***/ }),

/***/ 17545:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ _typeof)
/* harmony export */ });
function _typeof(o) {
  "@babel/helpers - typeof";

  return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) {
    return typeof o;
  } : function (o) {
    return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o;
  }, _typeof(o);
}

/***/ }),

/***/ 48241:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   m: () => (/* binding */ focusManager)
/* harmony export */ });
/* unused harmony export FocusManager */
/* harmony import */ var _subscribable_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(92127);
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(14181);
// src/focusManager.ts


var FocusManager = class extends _subscribable_js__WEBPACK_IMPORTED_MODULE_0__/* .Subscribable */ .Q {
  #focused;
  #cleanup;
  #setup;
  constructor() {
    super();
    this.#setup = (onFocus) => {
      if (!_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .isServer */ .S$ && window.addEventListener) {
        const listener = () => onFocus();
        window.addEventListener("visibilitychange", listener, false);
        return () => {
          window.removeEventListener("visibilitychange", listener);
        };
      }
      return;
    };
  }
  onSubscribe() {
    if (!this.#cleanup) {
      this.setEventListener(this.#setup);
    }
  }
  onUnsubscribe() {
    if (!this.hasListeners()) {
      this.#cleanup?.();
      this.#cleanup = void 0;
    }
  }
  setEventListener(setup) {
    this.#setup = setup;
    this.#cleanup?.();
    this.#cleanup = setup((focused) => {
      if (typeof focused === "boolean") {
        this.setFocused(focused);
      } else {
        this.onFocus();
      }
    });
  }
  setFocused(focused) {
    const changed = this.#focused !== focused;
    if (changed) {
      this.#focused = focused;
      this.onFocus();
    }
  }
  onFocus() {
    this.listeners.forEach((listener) => {
      listener();
    });
  }
  isFocused() {
    if (typeof this.#focused === "boolean") {
      return this.#focused;
    }
    return globalThis.document?.visibilityState !== "hidden";
  }
};
var focusManager = new FocusManager();

//# sourceMappingURL=focusManager.js.map

/***/ }),

/***/ 81642:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PL: () => (/* binding */ infiniteQueryBehavior)
/* harmony export */ });
/* unused harmony exports hasNextPage, hasPreviousPage */
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14181);
// src/infiniteQueryBehavior.ts

function infiniteQueryBehavior(pages) {
  return {
    onFetch: (context, query) => {
      const fetchFn = async () => {
        const options = context.options;
        const direction = context.fetchOptions?.meta?.fetchMore?.direction;
        const oldPages = context.state.data?.pages || [];
        const oldPageParams = context.state.data?.pageParams || [];
        const empty = { pages: [], pageParams: [] };
        let cancelled = false;
        const addSignalProperty = (object) => {
          Object.defineProperty(object, "signal", {
            enumerable: true,
            get: () => {
              if (context.signal.aborted) {
                cancelled = true;
              } else {
                context.signal.addEventListener("abort", () => {
                  cancelled = true;
                });
              }
              return context.signal;
            }
          });
        };
        const queryFn = context.options.queryFn || (() => Promise.reject(
          new Error(`Missing queryFn: '${context.options.queryHash}'`)
        ));
        const fetchPage = async (data, param, previous) => {
          if (cancelled) {
            return Promise.reject();
          }
          if (param == null && data.pages.length) {
            return Promise.resolve(data);
          }
          const queryFnContext = {
            queryKey: context.queryKey,
            pageParam: param,
            direction: previous ? "backward" : "forward",
            meta: context.options.meta
          };
          addSignalProperty(queryFnContext);
          const page = await queryFn(
            queryFnContext
          );
          const { maxPages } = context.options;
          const addTo = previous ? _utils_js__WEBPACK_IMPORTED_MODULE_0__/* .addToStart */ .ZZ : _utils_js__WEBPACK_IMPORTED_MODULE_0__/* .addToEnd */ .y9;
          return {
            pages: addTo(data.pages, page, maxPages),
            pageParams: addTo(data.pageParams, param, maxPages)
          };
        };
        let result;
        if (direction && oldPages.length) {
          const previous = direction === "backward";
          const pageParamFn = previous ? getPreviousPageParam : getNextPageParam;
          const oldData = {
            pages: oldPages,
            pageParams: oldPageParams
          };
          const param = pageParamFn(options, oldData);
          result = await fetchPage(oldData, param, previous);
        } else {
          result = await fetchPage(
            empty,
            oldPageParams[0] ?? options.initialPageParam
          );
          const remainingPages = pages ?? oldPages.length;
          for (let i = 1; i < remainingPages; i++) {
            const param = getNextPageParam(options, result);
            result = await fetchPage(result, param);
          }
        }
        return result;
      };
      if (context.options.persister) {
        context.fetchFn = () => {
          return context.options.persister?.(
            fetchFn,
            {
              queryKey: context.queryKey,
              meta: context.options.meta,
              signal: context.signal
            },
            query
          );
        };
      } else {
        context.fetchFn = fetchFn;
      }
    }
  };
}
function getNextPageParam(options, { pages, pageParams }) {
  const lastIndex = pages.length - 1;
  return options.getNextPageParam(
    pages[lastIndex],
    pages,
    pageParams[lastIndex],
    pageParams
  );
}
function getPreviousPageParam(options, { pages, pageParams }) {
  return options.getPreviousPageParam?.(
    pages[0],
    pages,
    pageParams[0],
    pageParams
  );
}
function hasNextPage(options, data) {
  if (!data)
    return false;
  return getNextPageParam(options, data) != null;
}
function hasPreviousPage(options, data) {
  if (!data || !options.getPreviousPageParam)
    return false;
  return getPreviousPageParam(options, data) != null;
}

//# sourceMappingURL=infiniteQueryBehavior.js.map

/***/ }),

/***/ 30001:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $: () => (/* binding */ getDefaultState),
/* harmony export */   s: () => (/* binding */ Mutation)
/* harmony export */ });
/* harmony import */ var _notifyManager_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(78852);
/* harmony import */ var _removable_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86181);
/* harmony import */ var _retryer_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(81089);
// src/mutation.ts



var Mutation = class extends _removable_js__WEBPACK_IMPORTED_MODULE_0__/* .Removable */ .k {
  constructor(config) {
    super();
    this.mutationId = config.mutationId;
    this.#defaultOptions = config.defaultOptions;
    this.#mutationCache = config.mutationCache;
    this.#observers = [];
    this.state = config.state || getDefaultState();
    this.setOptions(config.options);
    this.scheduleGc();
  }
  #observers;
  #defaultOptions;
  #mutationCache;
  #retryer;
  setOptions(options) {
    this.options = { ...this.#defaultOptions, ...options };
    this.updateGcTime(this.options.gcTime);
  }
  get meta() {
    return this.options.meta;
  }
  addObserver(observer) {
    if (!this.#observers.includes(observer)) {
      this.#observers.push(observer);
      this.clearGcTimeout();
      this.#mutationCache.notify({
        type: "observerAdded",
        mutation: this,
        observer
      });
    }
  }
  removeObserver(observer) {
    this.#observers = this.#observers.filter((x) => x !== observer);
    this.scheduleGc();
    this.#mutationCache.notify({
      type: "observerRemoved",
      mutation: this,
      observer
    });
  }
  optionalRemove() {
    if (!this.#observers.length) {
      if (this.state.status === "pending") {
        this.scheduleGc();
      } else {
        this.#mutationCache.remove(this);
      }
    }
  }
  continue() {
    return this.#retryer?.continue() ?? // continuing a mutation assumes that variables are set, mutation must have been dehydrated before
    this.execute(this.state.variables);
  }
  async execute(variables) {
    const executeMutation = () => {
      this.#retryer = (0,_retryer_js__WEBPACK_IMPORTED_MODULE_1__/* .createRetryer */ .II)({
        fn: () => {
          if (!this.options.mutationFn) {
            return Promise.reject(new Error("No mutationFn found"));
          }
          return this.options.mutationFn(variables);
        },
        onFail: (failureCount, error) => {
          this.#dispatch({ type: "failed", failureCount, error });
        },
        onPause: () => {
          this.#dispatch({ type: "pause" });
        },
        onContinue: () => {
          this.#dispatch({ type: "continue" });
        },
        retry: this.options.retry ?? 0,
        retryDelay: this.options.retryDelay,
        networkMode: this.options.networkMode
      });
      return this.#retryer.promise;
    };
    const restored = this.state.status === "pending";
    try {
      if (!restored) {
        this.#dispatch({ type: "pending", variables });
        await this.#mutationCache.config.onMutate?.(
          variables,
          this
        );
        const context = await this.options.onMutate?.(variables);
        if (context !== this.state.context) {
          this.#dispatch({
            type: "pending",
            context,
            variables
          });
        }
      }
      const data = await executeMutation();
      await this.#mutationCache.config.onSuccess?.(
        data,
        variables,
        this.state.context,
        this
      );
      await this.options.onSuccess?.(data, variables, this.state.context);
      await this.#mutationCache.config.onSettled?.(
        data,
        null,
        this.state.variables,
        this.state.context,
        this
      );
      await this.options.onSettled?.(data, null, variables, this.state.context);
      this.#dispatch({ type: "success", data });
      return data;
    } catch (error) {
      try {
        await this.#mutationCache.config.onError?.(
          error,
          variables,
          this.state.context,
          this
        );
        await this.options.onError?.(
          error,
          variables,
          this.state.context
        );
        await this.#mutationCache.config.onSettled?.(
          void 0,
          error,
          this.state.variables,
          this.state.context,
          this
        );
        await this.options.onSettled?.(
          void 0,
          error,
          variables,
          this.state.context
        );
        throw error;
      } finally {
        this.#dispatch({ type: "error", error });
      }
    }
  }
  #dispatch(action) {
    const reducer = (state) => {
      switch (action.type) {
        case "failed":
          return {
            ...state,
            failureCount: action.failureCount,
            failureReason: action.error
          };
        case "pause":
          return {
            ...state,
            isPaused: true
          };
        case "continue":
          return {
            ...state,
            isPaused: false
          };
        case "pending":
          return {
            ...state,
            context: action.context,
            data: void 0,
            failureCount: 0,
            failureReason: null,
            error: null,
            isPaused: !(0,_retryer_js__WEBPACK_IMPORTED_MODULE_1__/* .canFetch */ .v_)(this.options.networkMode),
            status: "pending",
            variables: action.variables,
            submittedAt: Date.now()
          };
        case "success":
          return {
            ...state,
            data: action.data,
            failureCount: 0,
            failureReason: null,
            error: null,
            status: "success",
            isPaused: false
          };
        case "error":
          return {
            ...state,
            data: void 0,
            error: action.error,
            failureCount: state.failureCount + 1,
            failureReason: action.error,
            isPaused: false,
            status: "error"
          };
      }
    };
    this.state = reducer(this.state);
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_2__/* .notifyManager */ .j.batch(() => {
      this.#observers.forEach((observer) => {
        observer.onMutationUpdate(action);
      });
      this.#mutationCache.notify({
        mutation: this,
        type: "updated",
        action
      });
    });
  }
};
function getDefaultState() {
  return {
    context: void 0,
    data: void 0,
    error: null,
    failureCount: 0,
    failureReason: null,
    isPaused: false,
    status: "idle",
    variables: void 0,
    submittedAt: 0
  };
}

//# sourceMappingURL=mutation.js.map

/***/ }),

/***/ 39931:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   q: () => (/* binding */ MutationCache)
/* harmony export */ });
/* harmony import */ var _notifyManager_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(78852);
/* harmony import */ var _mutation_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(30001);
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(14181);
/* harmony import */ var _subscribable_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(92127);
// src/mutationCache.ts




var MutationCache = class extends _subscribable_js__WEBPACK_IMPORTED_MODULE_0__/* .Subscribable */ .Q {
  constructor(config = {}) {
    super();
    this.config = config;
    this.#mutations = [];
    this.#mutationId = 0;
  }
  #mutations;
  #mutationId;
  #resuming;
  build(client, options, state) {
    const mutation = new _mutation_js__WEBPACK_IMPORTED_MODULE_1__/* .Mutation */ .s({
      mutationCache: this,
      mutationId: ++this.#mutationId,
      options: client.defaultMutationOptions(options),
      state
    });
    this.add(mutation);
    return mutation;
  }
  add(mutation) {
    this.#mutations.push(mutation);
    this.notify({ type: "added", mutation });
  }
  remove(mutation) {
    this.#mutations = this.#mutations.filter((x) => x !== mutation);
    this.notify({ type: "removed", mutation });
  }
  clear() {
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_2__/* .notifyManager */ .j.batch(() => {
      this.#mutations.forEach((mutation) => {
        this.remove(mutation);
      });
    });
  }
  getAll() {
    return this.#mutations;
  }
  find(filters) {
    const defaultedFilters = { exact: true, ...filters };
    return this.#mutations.find(
      (mutation) => (0,_utils_js__WEBPACK_IMPORTED_MODULE_3__/* .matchMutation */ .nJ)(defaultedFilters, mutation)
    );
  }
  findAll(filters = {}) {
    return this.#mutations.filter(
      (mutation) => (0,_utils_js__WEBPACK_IMPORTED_MODULE_3__/* .matchMutation */ .nJ)(filters, mutation)
    );
  }
  notify(event) {
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_2__/* .notifyManager */ .j.batch(() => {
      this.listeners.forEach((listener) => {
        listener(event);
      });
    });
  }
  resumePausedMutations() {
    this.#resuming = (this.#resuming ?? Promise.resolve()).then(() => {
      const pausedMutations = this.#mutations.filter((x) => x.state.isPaused);
      return _notifyManager_js__WEBPACK_IMPORTED_MODULE_2__/* .notifyManager */ .j.batch(
        () => pausedMutations.reduce(
          (promise, mutation) => promise.then(() => mutation.continue().catch(_utils_js__WEBPACK_IMPORTED_MODULE_3__/* .noop */ .lQ)),
          Promise.resolve()
        )
      );
    }).then(() => {
      this.#resuming = void 0;
    });
    return this.#resuming;
  }
};

//# sourceMappingURL=mutationCache.js.map

/***/ }),

/***/ 90903:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   _: () => (/* binding */ MutationObserver)
/* harmony export */ });
/* harmony import */ var _mutation_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(30001);
/* harmony import */ var _notifyManager_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(78852);
/* harmony import */ var _subscribable_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(92127);
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(14181);
// src/mutationObserver.ts




var MutationObserver = class extends _subscribable_js__WEBPACK_IMPORTED_MODULE_0__/* .Subscribable */ .Q {
  constructor(client, options) {
    super();
    this.#currentResult = void 0;
    this.#client = client;
    this.setOptions(options);
    this.bindMethods();
    this.#updateResult();
  }
  #client;
  #currentResult;
  #currentMutation;
  #mutateOptions;
  bindMethods() {
    this.mutate = this.mutate.bind(this);
    this.reset = this.reset.bind(this);
  }
  setOptions(options) {
    const prevOptions = this.options;
    this.options = this.#client.defaultMutationOptions(options);
    if (!(0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .shallowEqualObjects */ .f8)(prevOptions, this.options)) {
      this.#client.getMutationCache().notify({
        type: "observerOptionsUpdated",
        mutation: this.#currentMutation,
        observer: this
      });
    }
    this.#currentMutation?.setOptions(this.options);
    if (prevOptions?.mutationKey && this.options.mutationKey && (0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .hashKey */ .EN)(prevOptions.mutationKey) !== (0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .hashKey */ .EN)(this.options.mutationKey)) {
      this.reset();
    }
  }
  onUnsubscribe() {
    if (!this.hasListeners()) {
      this.#currentMutation?.removeObserver(this);
    }
  }
  onMutationUpdate(action) {
    this.#updateResult();
    this.#notify(action);
  }
  getCurrentResult() {
    return this.#currentResult;
  }
  reset() {
    this.#currentMutation?.removeObserver(this);
    this.#currentMutation = void 0;
    this.#updateResult();
    this.#notify();
  }
  mutate(variables, options) {
    this.#mutateOptions = options;
    this.#currentMutation?.removeObserver(this);
    this.#currentMutation = this.#client.getMutationCache().build(this.#client, this.options);
    this.#currentMutation.addObserver(this);
    return this.#currentMutation.execute(variables);
  }
  #updateResult() {
    const state = this.#currentMutation?.state ?? (0,_mutation_js__WEBPACK_IMPORTED_MODULE_2__/* .getDefaultState */ .$)();
    this.#currentResult = {
      ...state,
      isPending: state.status === "pending",
      isSuccess: state.status === "success",
      isError: state.status === "error",
      isIdle: state.status === "idle",
      mutate: this.mutate,
      reset: this.reset
    };
  }
  #notify(action) {
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_3__/* .notifyManager */ .j.batch(() => {
      if (this.#mutateOptions && this.hasListeners()) {
        const variables = this.#currentResult.variables;
        const context = this.#currentResult.context;
        if (action?.type === "success") {
          this.#mutateOptions.onSuccess?.(action.data, variables, context);
          this.#mutateOptions.onSettled?.(action.data, null, variables, context);
        } else if (action?.type === "error") {
          this.#mutateOptions.onError?.(action.error, variables, context);
          this.#mutateOptions.onSettled?.(
            void 0,
            action.error,
            variables,
            context
          );
        }
      }
      this.listeners.forEach((listener) => {
        listener(this.#currentResult);
      });
    });
  }
};

//# sourceMappingURL=mutationObserver.js.map

/***/ }),

/***/ 78852:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   j: () => (/* binding */ notifyManager)
/* harmony export */ });
/* unused harmony export createNotifyManager */
// src/notifyManager.ts
function createNotifyManager() {
  let queue = [];
  let transactions = 0;
  let notifyFn = (callback) => {
    callback();
  };
  let batchNotifyFn = (callback) => {
    callback();
  };
  let scheduleFn = (cb) => setTimeout(cb, 0);
  const setScheduler = (fn) => {
    scheduleFn = fn;
  };
  const batch = (callback) => {
    let result;
    transactions++;
    try {
      result = callback();
    } finally {
      transactions--;
      if (!transactions) {
        flush();
      }
    }
    return result;
  };
  const schedule = (callback) => {
    if (transactions) {
      queue.push(callback);
    } else {
      scheduleFn(() => {
        notifyFn(callback);
      });
    }
  };
  const batchCalls = (callback) => {
    return (...args) => {
      schedule(() => {
        callback(...args);
      });
    };
  };
  const flush = () => {
    const originalQueue = queue;
    queue = [];
    if (originalQueue.length) {
      scheduleFn(() => {
        batchNotifyFn(() => {
          originalQueue.forEach((callback) => {
            notifyFn(callback);
          });
        });
      });
    }
  };
  const setNotifyFunction = (fn) => {
    notifyFn = fn;
  };
  const setBatchNotifyFunction = (fn) => {
    batchNotifyFn = fn;
  };
  return {
    batch,
    batchCalls,
    schedule,
    setNotifyFunction,
    setBatchNotifyFunction,
    setScheduler
  };
}
var notifyManager = createNotifyManager();

//# sourceMappingURL=notifyManager.js.map

/***/ }),

/***/ 2262:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   t: () => (/* binding */ onlineManager)
/* harmony export */ });
/* unused harmony export OnlineManager */
/* harmony import */ var _subscribable_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(92127);
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(14181);
// src/onlineManager.ts


var OnlineManager = class extends _subscribable_js__WEBPACK_IMPORTED_MODULE_0__/* .Subscribable */ .Q {
  #online = true;
  #cleanup;
  #setup;
  constructor() {
    super();
    this.#setup = (onOnline) => {
      if (!_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .isServer */ .S$ && window.addEventListener) {
        const onlineListener = () => onOnline(true);
        const offlineListener = () => onOnline(false);
        window.addEventListener("online", onlineListener, false);
        window.addEventListener("offline", offlineListener, false);
        return () => {
          window.removeEventListener("online", onlineListener);
          window.removeEventListener("offline", offlineListener);
        };
      }
      return;
    };
  }
  onSubscribe() {
    if (!this.#cleanup) {
      this.setEventListener(this.#setup);
    }
  }
  onUnsubscribe() {
    if (!this.hasListeners()) {
      this.#cleanup?.();
      this.#cleanup = void 0;
    }
  }
  setEventListener(setup) {
    this.#setup = setup;
    this.#cleanup?.();
    this.#cleanup = setup(this.setOnline.bind(this));
  }
  setOnline(online) {
    const changed = this.#online !== online;
    if (changed) {
      this.#online = online;
      this.listeners.forEach((listener) => {
        listener(online);
      });
    }
  }
  isOnline() {
    return this.#online;
  }
};
var onlineManager = new OnlineManager();

//# sourceMappingURL=onlineManager.js.map

/***/ }),

/***/ 97092:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   X: () => (/* binding */ Query)
/* harmony export */ });
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(14181);
/* harmony import */ var _notifyManager_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(78852);
/* harmony import */ var _retryer_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(81089);
/* harmony import */ var _removable_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(86181);
// src/query.ts




var Query = class extends _removable_js__WEBPACK_IMPORTED_MODULE_0__/* .Removable */ .k {
  constructor(config) {
    super();
    this.#abortSignalConsumed = false;
    this.#defaultOptions = config.defaultOptions;
    this.#setOptions(config.options);
    this.#observers = [];
    this.#cache = config.cache;
    this.queryKey = config.queryKey;
    this.queryHash = config.queryHash;
    this.#initialState = config.state || getDefaultState(this.options);
    this.state = this.#initialState;
    this.scheduleGc();
  }
  #initialState;
  #revertState;
  #cache;
  #promise;
  #retryer;
  #observers;
  #defaultOptions;
  #abortSignalConsumed;
  get meta() {
    return this.options.meta;
  }
  #setOptions(options) {
    this.options = { ...this.#defaultOptions, ...options };
    this.updateGcTime(this.options.gcTime);
  }
  optionalRemove() {
    if (!this.#observers.length && this.state.fetchStatus === "idle") {
      this.#cache.remove(this);
    }
  }
  setData(newData, options) {
    const data = (0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .replaceData */ .pl)(this.state.data, newData, this.options);
    this.#dispatch({
      data,
      type: "success",
      dataUpdatedAt: options?.updatedAt,
      manual: options?.manual
    });
    return data;
  }
  setState(state, setStateOptions) {
    this.#dispatch({ type: "setState", state, setStateOptions });
  }
  cancel(options) {
    const promise = this.#promise;
    this.#retryer?.cancel(options);
    return promise ? promise.then(_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .noop */ .lQ).catch(_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .noop */ .lQ) : Promise.resolve();
  }
  destroy() {
    super.destroy();
    this.cancel({ silent: true });
  }
  reset() {
    this.destroy();
    this.setState(this.#initialState);
  }
  isActive() {
    return this.#observers.some(
      (observer) => observer.options.enabled !== false
    );
  }
  isDisabled() {
    return this.getObserversCount() > 0 && !this.isActive();
  }
  isStale() {
    return this.state.isInvalidated || !this.state.dataUpdatedAt || this.#observers.some((observer) => observer.getCurrentResult().isStale);
  }
  isStaleByTime(staleTime = 0) {
    return this.state.isInvalidated || !this.state.dataUpdatedAt || !(0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .timeUntilStale */ .j3)(this.state.dataUpdatedAt, staleTime);
  }
  onFocus() {
    const observer = this.#observers.find((x) => x.shouldFetchOnWindowFocus());
    observer?.refetch({ cancelRefetch: false });
    this.#retryer?.continue();
  }
  onOnline() {
    const observer = this.#observers.find((x) => x.shouldFetchOnReconnect());
    observer?.refetch({ cancelRefetch: false });
    this.#retryer?.continue();
  }
  addObserver(observer) {
    if (!this.#observers.includes(observer)) {
      this.#observers.push(observer);
      this.clearGcTimeout();
      this.#cache.notify({ type: "observerAdded", query: this, observer });
    }
  }
  removeObserver(observer) {
    if (this.#observers.includes(observer)) {
      this.#observers = this.#observers.filter((x) => x !== observer);
      if (!this.#observers.length) {
        if (this.#retryer) {
          if (this.#abortSignalConsumed) {
            this.#retryer.cancel({ revert: true });
          } else {
            this.#retryer.cancelRetry();
          }
        }
        this.scheduleGc();
      }
      this.#cache.notify({ type: "observerRemoved", query: this, observer });
    }
  }
  getObserversCount() {
    return this.#observers.length;
  }
  invalidate() {
    if (!this.state.isInvalidated) {
      this.#dispatch({ type: "invalidate" });
    }
  }
  fetch(options, fetchOptions) {
    if (this.state.fetchStatus !== "idle") {
      if (this.state.dataUpdatedAt && fetchOptions?.cancelRefetch) {
        this.cancel({ silent: true });
      } else if (this.#promise) {
        this.#retryer?.continueRetry();
        return this.#promise;
      }
    }
    if (options) {
      this.#setOptions(options);
    }
    if (!this.options.queryFn) {
      const observer = this.#observers.find((x) => x.options.queryFn);
      if (observer) {
        this.#setOptions(observer.options);
      }
    }
    if (false) {}
    const abortController = new AbortController();
    const queryFnContext = {
      queryKey: this.queryKey,
      meta: this.meta
    };
    const addSignalProperty = (object) => {
      Object.defineProperty(object, "signal", {
        enumerable: true,
        get: () => {
          this.#abortSignalConsumed = true;
          return abortController.signal;
        }
      });
    };
    addSignalProperty(queryFnContext);
    const fetchFn = () => {
      if (!this.options.queryFn) {
        return Promise.reject(
          new Error(`Missing queryFn: '${this.options.queryHash}'`)
        );
      }
      this.#abortSignalConsumed = false;
      if (this.options.persister) {
        return this.options.persister(
          this.options.queryFn,
          queryFnContext,
          this
        );
      }
      return this.options.queryFn(
        queryFnContext
      );
    };
    const context = {
      fetchOptions,
      options: this.options,
      queryKey: this.queryKey,
      state: this.state,
      fetchFn
    };
    addSignalProperty(context);
    this.options.behavior?.onFetch(
      context,
      this
    );
    this.#revertState = this.state;
    if (this.state.fetchStatus === "idle" || this.state.fetchMeta !== context.fetchOptions?.meta) {
      this.#dispatch({ type: "fetch", meta: context.fetchOptions?.meta });
    }
    const onError = (error) => {
      if (!((0,_retryer_js__WEBPACK_IMPORTED_MODULE_2__/* .isCancelledError */ .wm)(error) && error.silent)) {
        this.#dispatch({
          type: "error",
          error
        });
      }
      if (!(0,_retryer_js__WEBPACK_IMPORTED_MODULE_2__/* .isCancelledError */ .wm)(error)) {
        this.#cache.config.onError?.(
          error,
          this
        );
        this.#cache.config.onSettled?.(
          this.state.data,
          error,
          this
        );
      }
      if (!this.isFetchingOptimistic) {
        this.scheduleGc();
      }
      this.isFetchingOptimistic = false;
    };
    this.#retryer = (0,_retryer_js__WEBPACK_IMPORTED_MODULE_2__/* .createRetryer */ .II)({
      fn: context.fetchFn,
      abort: abortController.abort.bind(abortController),
      onSuccess: (data) => {
        if (typeof data === "undefined") {
          if (false) {}
          onError(new Error(`${this.queryHash} data is undefined`));
          return;
        }
        this.setData(data);
        this.#cache.config.onSuccess?.(data, this);
        this.#cache.config.onSettled?.(
          data,
          this.state.error,
          this
        );
        if (!this.isFetchingOptimistic) {
          this.scheduleGc();
        }
        this.isFetchingOptimistic = false;
      },
      onError,
      onFail: (failureCount, error) => {
        this.#dispatch({ type: "failed", failureCount, error });
      },
      onPause: () => {
        this.#dispatch({ type: "pause" });
      },
      onContinue: () => {
        this.#dispatch({ type: "continue" });
      },
      retry: context.options.retry,
      retryDelay: context.options.retryDelay,
      networkMode: context.options.networkMode
    });
    this.#promise = this.#retryer.promise;
    return this.#promise;
  }
  #dispatch(action) {
    const reducer = (state) => {
      switch (action.type) {
        case "failed":
          return {
            ...state,
            fetchFailureCount: action.failureCount,
            fetchFailureReason: action.error
          };
        case "pause":
          return {
            ...state,
            fetchStatus: "paused"
          };
        case "continue":
          return {
            ...state,
            fetchStatus: "fetching"
          };
        case "fetch":
          return {
            ...state,
            fetchFailureCount: 0,
            fetchFailureReason: null,
            fetchMeta: action.meta ?? null,
            fetchStatus: (0,_retryer_js__WEBPACK_IMPORTED_MODULE_2__/* .canFetch */ .v_)(this.options.networkMode) ? "fetching" : "paused",
            ...!state.dataUpdatedAt && {
              error: null,
              status: "pending"
            }
          };
        case "success":
          return {
            ...state,
            data: action.data,
            dataUpdateCount: state.dataUpdateCount + 1,
            dataUpdatedAt: action.dataUpdatedAt ?? Date.now(),
            error: null,
            isInvalidated: false,
            status: "success",
            ...!action.manual && {
              fetchStatus: "idle",
              fetchFailureCount: 0,
              fetchFailureReason: null
            }
          };
        case "error":
          const error = action.error;
          if ((0,_retryer_js__WEBPACK_IMPORTED_MODULE_2__/* .isCancelledError */ .wm)(error) && error.revert && this.#revertState) {
            return { ...this.#revertState, fetchStatus: "idle" };
          }
          return {
            ...state,
            error,
            errorUpdateCount: state.errorUpdateCount + 1,
            errorUpdatedAt: Date.now(),
            fetchFailureCount: state.fetchFailureCount + 1,
            fetchFailureReason: error,
            fetchStatus: "idle",
            status: "error"
          };
        case "invalidate":
          return {
            ...state,
            isInvalidated: true
          };
        case "setState":
          return {
            ...state,
            ...action.state
          };
      }
    };
    this.state = reducer(this.state);
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_3__/* .notifyManager */ .j.batch(() => {
      this.#observers.forEach((observer) => {
        observer.onQueryUpdate();
      });
      this.#cache.notify({ query: this, type: "updated", action });
    });
  }
};
function getDefaultState(options) {
  const data = typeof options.initialData === "function" ? options.initialData() : options.initialData;
  const hasData = typeof data !== "undefined";
  const initialDataUpdatedAt = hasData ? typeof options.initialDataUpdatedAt === "function" ? options.initialDataUpdatedAt() : options.initialDataUpdatedAt : 0;
  return {
    data,
    dataUpdateCount: 0,
    dataUpdatedAt: hasData ? initialDataUpdatedAt ?? Date.now() : 0,
    error: null,
    errorUpdateCount: 0,
    errorUpdatedAt: 0,
    fetchFailureCount: 0,
    fetchFailureReason: null,
    fetchMeta: null,
    isInvalidated: false,
    status: hasData ? "success" : "pending",
    fetchStatus: "idle"
  };
}

//# sourceMappingURL=query.js.map

/***/ }),

/***/ 96832:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $: () => (/* binding */ QueryCache)
/* harmony export */ });
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(14181);
/* harmony import */ var _query_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(97092);
/* harmony import */ var _notifyManager_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(78852);
/* harmony import */ var _subscribable_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(92127);
// src/queryCache.ts




var QueryCache = class extends _subscribable_js__WEBPACK_IMPORTED_MODULE_0__/* .Subscribable */ .Q {
  constructor(config = {}) {
    super();
    this.config = config;
    this.#queries = /* @__PURE__ */ new Map();
  }
  #queries;
  build(client, options, state) {
    const queryKey = options.queryKey;
    const queryHash = options.queryHash ?? (0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .hashQueryKeyByOptions */ .F$)(queryKey, options);
    let query = this.get(queryHash);
    if (!query) {
      query = new _query_js__WEBPACK_IMPORTED_MODULE_2__/* .Query */ .X({
        cache: this,
        queryKey,
        queryHash,
        options: client.defaultQueryOptions(options),
        state,
        defaultOptions: client.getQueryDefaults(queryKey)
      });
      this.add(query);
    }
    return query;
  }
  add(query) {
    if (!this.#queries.has(query.queryHash)) {
      this.#queries.set(query.queryHash, query);
      this.notify({
        type: "added",
        query
      });
    }
  }
  remove(query) {
    const queryInMap = this.#queries.get(query.queryHash);
    if (queryInMap) {
      query.destroy();
      if (queryInMap === query) {
        this.#queries.delete(query.queryHash);
      }
      this.notify({ type: "removed", query });
    }
  }
  clear() {
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_3__/* .notifyManager */ .j.batch(() => {
      this.getAll().forEach((query) => {
        this.remove(query);
      });
    });
  }
  get(queryHash) {
    return this.#queries.get(queryHash);
  }
  getAll() {
    return [...this.#queries.values()];
  }
  find(filters) {
    const defaultedFilters = { exact: true, ...filters };
    return this.getAll().find(
      (query) => (0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .matchQuery */ .MK)(defaultedFilters, query)
    );
  }
  findAll(filters = {}) {
    const queries = this.getAll();
    return Object.keys(filters).length > 0 ? queries.filter((query) => (0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .matchQuery */ .MK)(filters, query)) : queries;
  }
  notify(event) {
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_3__/* .notifyManager */ .j.batch(() => {
      this.listeners.forEach((listener) => {
        listener(event);
      });
    });
  }
  onFocus() {
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_3__/* .notifyManager */ .j.batch(() => {
      this.getAll().forEach((query) => {
        query.onFocus();
      });
    });
  }
  onOnline() {
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_3__/* .notifyManager */ .j.batch(() => {
      this.getAll().forEach((query) => {
        query.onOnline();
      });
    });
  }
};

//# sourceMappingURL=queryCache.js.map

/***/ }),

/***/ 61799:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   E: () => (/* binding */ QueryClient)
/* harmony export */ });
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(14181);
/* harmony import */ var _queryCache_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(96832);
/* harmony import */ var _mutationCache_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(39931);
/* harmony import */ var _focusManager_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(48241);
/* harmony import */ var _onlineManager_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2262);
/* harmony import */ var _notifyManager_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(78852);
/* harmony import */ var _infiniteQueryBehavior_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(81642);
// src/queryClient.ts







var QueryClient = class {
  #queryCache;
  #mutationCache;
  #defaultOptions;
  #queryDefaults;
  #mutationDefaults;
  #mountCount;
  #unsubscribeFocus;
  #unsubscribeOnline;
  constructor(config = {}) {
    this.#queryCache = config.queryCache || new _queryCache_js__WEBPACK_IMPORTED_MODULE_0__/* .QueryCache */ .$();
    this.#mutationCache = config.mutationCache || new _mutationCache_js__WEBPACK_IMPORTED_MODULE_1__/* .MutationCache */ .q();
    this.#defaultOptions = config.defaultOptions || {};
    this.#queryDefaults = /* @__PURE__ */ new Map();
    this.#mutationDefaults = /* @__PURE__ */ new Map();
    this.#mountCount = 0;
  }
  mount() {
    this.#mountCount++;
    if (this.#mountCount !== 1)
      return;
    this.#unsubscribeFocus = _focusManager_js__WEBPACK_IMPORTED_MODULE_2__/* .focusManager */ .m.subscribe(() => {
      if (_focusManager_js__WEBPACK_IMPORTED_MODULE_2__/* .focusManager */ .m.isFocused()) {
        this.resumePausedMutations();
        this.#queryCache.onFocus();
      }
    });
    this.#unsubscribeOnline = _onlineManager_js__WEBPACK_IMPORTED_MODULE_3__/* .onlineManager */ .t.subscribe(() => {
      if (_onlineManager_js__WEBPACK_IMPORTED_MODULE_3__/* .onlineManager */ .t.isOnline()) {
        this.resumePausedMutations();
        this.#queryCache.onOnline();
      }
    });
  }
  unmount() {
    this.#mountCount--;
    if (this.#mountCount !== 0)
      return;
    this.#unsubscribeFocus?.();
    this.#unsubscribeFocus = void 0;
    this.#unsubscribeOnline?.();
    this.#unsubscribeOnline = void 0;
  }
  isFetching(filters) {
    return this.#queryCache.findAll({ ...filters, fetchStatus: "fetching" }).length;
  }
  isMutating(filters) {
    return this.#mutationCache.findAll({ ...filters, status: "pending" }).length;
  }
  getQueryData(queryKey) {
    return this.#queryCache.find({ queryKey })?.state.data;
  }
  ensureQueryData(options) {
    const cachedData = this.getQueryData(options.queryKey);
    return cachedData !== void 0 ? Promise.resolve(cachedData) : this.fetchQuery(options);
  }
  getQueriesData(filters) {
    return this.getQueryCache().findAll(filters).map(({ queryKey, state }) => {
      const data = state.data;
      return [queryKey, data];
    });
  }
  setQueryData(queryKey, updater, options) {
    const query = this.#queryCache.find({ queryKey });
    const prevData = query?.state.data;
    const data = (0,_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .functionalUpdate */ .Zw)(updater, prevData);
    if (typeof data === "undefined") {
      return void 0;
    }
    const defaultedOptions = this.defaultQueryOptions({ queryKey });
    return this.#queryCache.build(this, defaultedOptions).setData(data, { ...options, manual: true });
  }
  setQueriesData(filters, updater, options) {
    return _notifyManager_js__WEBPACK_IMPORTED_MODULE_5__/* .notifyManager */ .j.batch(
      () => this.getQueryCache().findAll(filters).map(({ queryKey }) => [
        queryKey,
        this.setQueryData(queryKey, updater, options)
      ])
    );
  }
  getQueryState(queryKey) {
    return this.#queryCache.find({ queryKey })?.state;
  }
  removeQueries(filters) {
    const queryCache = this.#queryCache;
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_5__/* .notifyManager */ .j.batch(() => {
      queryCache.findAll(filters).forEach((query) => {
        queryCache.remove(query);
      });
    });
  }
  resetQueries(filters, options) {
    const queryCache = this.#queryCache;
    const refetchFilters = {
      type: "active",
      ...filters
    };
    return _notifyManager_js__WEBPACK_IMPORTED_MODULE_5__/* .notifyManager */ .j.batch(() => {
      queryCache.findAll(filters).forEach((query) => {
        query.reset();
      });
      return this.refetchQueries(refetchFilters, options);
    });
  }
  cancelQueries(filters = {}, cancelOptions = {}) {
    const defaultedCancelOptions = { revert: true, ...cancelOptions };
    const promises = _notifyManager_js__WEBPACK_IMPORTED_MODULE_5__/* .notifyManager */ .j.batch(
      () => this.#queryCache.findAll(filters).map((query) => query.cancel(defaultedCancelOptions))
    );
    return Promise.all(promises).then(_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .noop */ .lQ).catch(_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .noop */ .lQ);
  }
  invalidateQueries(filters = {}, options = {}) {
    return _notifyManager_js__WEBPACK_IMPORTED_MODULE_5__/* .notifyManager */ .j.batch(() => {
      this.#queryCache.findAll(filters).forEach((query) => {
        query.invalidate();
      });
      if (filters.refetchType === "none") {
        return Promise.resolve();
      }
      const refetchFilters = {
        ...filters,
        type: filters.refetchType ?? filters.type ?? "active"
      };
      return this.refetchQueries(refetchFilters, options);
    });
  }
  refetchQueries(filters = {}, options) {
    const fetchOptions = {
      ...options,
      cancelRefetch: options?.cancelRefetch ?? true
    };
    const promises = _notifyManager_js__WEBPACK_IMPORTED_MODULE_5__/* .notifyManager */ .j.batch(
      () => this.#queryCache.findAll(filters).filter((query) => !query.isDisabled()).map((query) => {
        let promise = query.fetch(void 0, fetchOptions);
        if (!fetchOptions.throwOnError) {
          promise = promise.catch(_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .noop */ .lQ);
        }
        return query.state.fetchStatus === "paused" ? Promise.resolve() : promise;
      })
    );
    return Promise.all(promises).then(_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .noop */ .lQ);
  }
  fetchQuery(options) {
    const defaultedOptions = this.defaultQueryOptions(options);
    if (typeof defaultedOptions.retry === "undefined") {
      defaultedOptions.retry = false;
    }
    const query = this.#queryCache.build(this, defaultedOptions);
    return query.isStaleByTime(defaultedOptions.staleTime) ? query.fetch(defaultedOptions) : Promise.resolve(query.state.data);
  }
  prefetchQuery(options) {
    return this.fetchQuery(options).then(_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .noop */ .lQ).catch(_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .noop */ .lQ);
  }
  fetchInfiniteQuery(options) {
    options.behavior = (0,_infiniteQueryBehavior_js__WEBPACK_IMPORTED_MODULE_6__/* .infiniteQueryBehavior */ .PL)(options.pages);
    return this.fetchQuery(options);
  }
  prefetchInfiniteQuery(options) {
    return this.fetchInfiniteQuery(options).then(_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .noop */ .lQ).catch(_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .noop */ .lQ);
  }
  resumePausedMutations() {
    return this.#mutationCache.resumePausedMutations();
  }
  getQueryCache() {
    return this.#queryCache;
  }
  getMutationCache() {
    return this.#mutationCache;
  }
  getDefaultOptions() {
    return this.#defaultOptions;
  }
  setDefaultOptions(options) {
    this.#defaultOptions = options;
  }
  setQueryDefaults(queryKey, options) {
    this.#queryDefaults.set((0,_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .hashKey */ .EN)(queryKey), {
      queryKey,
      defaultOptions: options
    });
  }
  getQueryDefaults(queryKey) {
    const defaults = [...this.#queryDefaults.values()];
    let result = {};
    defaults.forEach((queryDefault) => {
      if ((0,_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .partialMatchKey */ .Cp)(queryKey, queryDefault.queryKey)) {
        result = { ...result, ...queryDefault.defaultOptions };
      }
    });
    return result;
  }
  setMutationDefaults(mutationKey, options) {
    this.#mutationDefaults.set((0,_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .hashKey */ .EN)(mutationKey), {
      mutationKey,
      defaultOptions: options
    });
  }
  getMutationDefaults(mutationKey) {
    const defaults = [...this.#mutationDefaults.values()];
    let result = {};
    defaults.forEach((queryDefault) => {
      if ((0,_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .partialMatchKey */ .Cp)(mutationKey, queryDefault.mutationKey)) {
        result = { ...result, ...queryDefault.defaultOptions };
      }
    });
    return result;
  }
  defaultQueryOptions(options) {
    if (options?._defaulted) {
      return options;
    }
    const defaultedOptions = {
      ...this.#defaultOptions.queries,
      ...options?.queryKey && this.getQueryDefaults(options.queryKey),
      ...options,
      _defaulted: true
    };
    if (!defaultedOptions.queryHash) {
      defaultedOptions.queryHash = (0,_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .hashQueryKeyByOptions */ .F$)(
        defaultedOptions.queryKey,
        defaultedOptions
      );
    }
    if (typeof defaultedOptions.refetchOnReconnect === "undefined") {
      defaultedOptions.refetchOnReconnect = defaultedOptions.networkMode !== "always";
    }
    if (typeof defaultedOptions.throwOnError === "undefined") {
      defaultedOptions.throwOnError = !!defaultedOptions.suspense;
    }
    if (typeof defaultedOptions.networkMode === "undefined" && defaultedOptions.persister) {
      defaultedOptions.networkMode = "offlineFirst";
    }
    return defaultedOptions;
  }
  defaultMutationOptions(options) {
    if (options?._defaulted) {
      return options;
    }
    return {
      ...this.#defaultOptions.mutations,
      ...options?.mutationKey && this.getMutationDefaults(options.mutationKey),
      ...options,
      _defaulted: true
    };
  }
  clear() {
    this.#queryCache.clear();
    this.#mutationCache.clear();
  }
};

//# sourceMappingURL=queryClient.js.map

/***/ }),

/***/ 4434:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $: () => (/* binding */ QueryObserver)
/* harmony export */ });
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(14181);
/* harmony import */ var _notifyManager_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(78852);
/* harmony import */ var _focusManager_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(48241);
/* harmony import */ var _subscribable_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(92127);
/* harmony import */ var _retryer_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(81089);
// src/queryObserver.ts





var QueryObserver = class extends _subscribable_js__WEBPACK_IMPORTED_MODULE_0__/* .Subscribable */ .Q {
  constructor(client, options) {
    super();
    this.options = options;
    this.#client = client;
    this.#selectError = null;
    this.bindMethods();
    this.setOptions(options);
  }
  #client;
  #currentQuery = void 0;
  #currentQueryInitialState = void 0;
  #currentResult = void 0;
  #currentResultState;
  #currentResultOptions;
  #selectError;
  #selectFn;
  #selectResult;
  // This property keeps track of the last query with defined data.
  // It will be used to pass the previous data and query to the placeholder function between renders.
  #lastQueryWithDefinedData;
  #staleTimeoutId;
  #refetchIntervalId;
  #currentRefetchInterval;
  #trackedProps = /* @__PURE__ */ new Set();
  bindMethods() {
    this.refetch = this.refetch.bind(this);
  }
  onSubscribe() {
    if (this.listeners.size === 1) {
      this.#currentQuery.addObserver(this);
      if (shouldFetchOnMount(this.#currentQuery, this.options)) {
        this.#executeFetch();
      } else {
        this.updateResult();
      }
      this.#updateTimers();
    }
  }
  onUnsubscribe() {
    if (!this.hasListeners()) {
      this.destroy();
    }
  }
  shouldFetchOnReconnect() {
    return shouldFetchOn(
      this.#currentQuery,
      this.options,
      this.options.refetchOnReconnect
    );
  }
  shouldFetchOnWindowFocus() {
    return shouldFetchOn(
      this.#currentQuery,
      this.options,
      this.options.refetchOnWindowFocus
    );
  }
  destroy() {
    this.listeners = /* @__PURE__ */ new Set();
    this.#clearStaleTimeout();
    this.#clearRefetchInterval();
    this.#currentQuery.removeObserver(this);
  }
  setOptions(options, notifyOptions) {
    const prevOptions = this.options;
    const prevQuery = this.#currentQuery;
    this.options = this.#client.defaultQueryOptions(options);
    if (!(0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .shallowEqualObjects */ .f8)(prevOptions, this.options)) {
      this.#client.getQueryCache().notify({
        type: "observerOptionsUpdated",
        query: this.#currentQuery,
        observer: this
      });
    }
    if (typeof this.options.enabled !== "undefined" && typeof this.options.enabled !== "boolean") {
      throw new Error("Expected enabled to be a boolean");
    }
    if (!this.options.queryKey) {
      this.options.queryKey = prevOptions.queryKey;
    }
    this.#updateQuery();
    const mounted = this.hasListeners();
    if (mounted && shouldFetchOptionally(
      this.#currentQuery,
      prevQuery,
      this.options,
      prevOptions
    )) {
      this.#executeFetch();
    }
    this.updateResult(notifyOptions);
    if (mounted && (this.#currentQuery !== prevQuery || this.options.enabled !== prevOptions.enabled || this.options.staleTime !== prevOptions.staleTime)) {
      this.#updateStaleTimeout();
    }
    const nextRefetchInterval = this.#computeRefetchInterval();
    if (mounted && (this.#currentQuery !== prevQuery || this.options.enabled !== prevOptions.enabled || nextRefetchInterval !== this.#currentRefetchInterval)) {
      this.#updateRefetchInterval(nextRefetchInterval);
    }
  }
  getOptimisticResult(options) {
    const query = this.#client.getQueryCache().build(this.#client, options);
    const result = this.createResult(query, options);
    if (shouldAssignObserverCurrentProperties(this, result)) {
      this.#currentResult = result;
      this.#currentResultOptions = this.options;
      this.#currentResultState = this.#currentQuery.state;
    }
    return result;
  }
  getCurrentResult() {
    return this.#currentResult;
  }
  trackResult(result) {
    const trackedResult = {};
    Object.keys(result).forEach((key) => {
      Object.defineProperty(trackedResult, key, {
        configurable: false,
        enumerable: true,
        get: () => {
          this.#trackedProps.add(key);
          return result[key];
        }
      });
    });
    return trackedResult;
  }
  getCurrentQuery() {
    return this.#currentQuery;
  }
  refetch({ ...options } = {}) {
    return this.fetch({
      ...options
    });
  }
  fetchOptimistic(options) {
    const defaultedOptions = this.#client.defaultQueryOptions(options);
    const query = this.#client.getQueryCache().build(this.#client, defaultedOptions);
    query.isFetchingOptimistic = true;
    return query.fetch().then(() => this.createResult(query, defaultedOptions));
  }
  fetch(fetchOptions) {
    return this.#executeFetch({
      ...fetchOptions,
      cancelRefetch: fetchOptions.cancelRefetch ?? true
    }).then(() => {
      this.updateResult();
      return this.#currentResult;
    });
  }
  #executeFetch(fetchOptions) {
    this.#updateQuery();
    let promise = this.#currentQuery.fetch(
      this.options,
      fetchOptions
    );
    if (!fetchOptions?.throwOnError) {
      promise = promise.catch(_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .noop */ .lQ);
    }
    return promise;
  }
  #updateStaleTimeout() {
    this.#clearStaleTimeout();
    if (_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .isServer */ .S$ || this.#currentResult.isStale || !(0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .isValidTimeout */ .gn)(this.options.staleTime)) {
      return;
    }
    const time = (0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .timeUntilStale */ .j3)(
      this.#currentResult.dataUpdatedAt,
      this.options.staleTime
    );
    const timeout = time + 1;
    this.#staleTimeoutId = setTimeout(() => {
      if (!this.#currentResult.isStale) {
        this.updateResult();
      }
    }, timeout);
  }
  #computeRefetchInterval() {
    return (typeof this.options.refetchInterval === "function" ? this.options.refetchInterval(this.#currentQuery) : this.options.refetchInterval) ?? false;
  }
  #updateRefetchInterval(nextInterval) {
    this.#clearRefetchInterval();
    this.#currentRefetchInterval = nextInterval;
    if (_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .isServer */ .S$ || this.options.enabled === false || !(0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .isValidTimeout */ .gn)(this.#currentRefetchInterval) || this.#currentRefetchInterval === 0) {
      return;
    }
    this.#refetchIntervalId = setInterval(() => {
      if (this.options.refetchIntervalInBackground || _focusManager_js__WEBPACK_IMPORTED_MODULE_2__/* .focusManager */ .m.isFocused()) {
        this.#executeFetch();
      }
    }, this.#currentRefetchInterval);
  }
  #updateTimers() {
    this.#updateStaleTimeout();
    this.#updateRefetchInterval(this.#computeRefetchInterval());
  }
  #clearStaleTimeout() {
    if (this.#staleTimeoutId) {
      clearTimeout(this.#staleTimeoutId);
      this.#staleTimeoutId = void 0;
    }
  }
  #clearRefetchInterval() {
    if (this.#refetchIntervalId) {
      clearInterval(this.#refetchIntervalId);
      this.#refetchIntervalId = void 0;
    }
  }
  createResult(query, options) {
    const prevQuery = this.#currentQuery;
    const prevOptions = this.options;
    const prevResult = this.#currentResult;
    const prevResultState = this.#currentResultState;
    const prevResultOptions = this.#currentResultOptions;
    const queryChange = query !== prevQuery;
    const queryInitialState = queryChange ? query.state : this.#currentQueryInitialState;
    const { state } = query;
    let { error, errorUpdatedAt, fetchStatus, status } = state;
    let isPlaceholderData = false;
    let data;
    if (options._optimisticResults) {
      const mounted = this.hasListeners();
      const fetchOnMount = !mounted && shouldFetchOnMount(query, options);
      const fetchOptionally = mounted && shouldFetchOptionally(query, prevQuery, options, prevOptions);
      if (fetchOnMount || fetchOptionally) {
        fetchStatus = (0,_retryer_js__WEBPACK_IMPORTED_MODULE_3__/* .canFetch */ .v_)(query.options.networkMode) ? "fetching" : "paused";
        if (!state.dataUpdatedAt) {
          status = "pending";
        }
      }
      if (options._optimisticResults === "isRestoring") {
        fetchStatus = "idle";
      }
    }
    if (options.select && typeof state.data !== "undefined") {
      if (prevResult && state.data === prevResultState?.data && options.select === this.#selectFn) {
        data = this.#selectResult;
      } else {
        try {
          this.#selectFn = options.select;
          data = options.select(state.data);
          data = (0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .replaceData */ .pl)(prevResult?.data, data, options);
          this.#selectResult = data;
          this.#selectError = null;
        } catch (selectError) {
          this.#selectError = selectError;
        }
      }
    } else {
      data = state.data;
    }
    if (typeof options.placeholderData !== "undefined" && typeof data === "undefined" && status === "pending") {
      let placeholderData;
      if (prevResult?.isPlaceholderData && options.placeholderData === prevResultOptions?.placeholderData) {
        placeholderData = prevResult.data;
      } else {
        placeholderData = typeof options.placeholderData === "function" ? options.placeholderData(
          this.#lastQueryWithDefinedData?.state.data,
          this.#lastQueryWithDefinedData
        ) : options.placeholderData;
        if (options.select && typeof placeholderData !== "undefined") {
          try {
            placeholderData = options.select(placeholderData);
            this.#selectError = null;
          } catch (selectError) {
            this.#selectError = selectError;
          }
        }
      }
      if (typeof placeholderData !== "undefined") {
        status = "success";
        data = (0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .replaceData */ .pl)(
          prevResult?.data,
          placeholderData,
          options
        );
        isPlaceholderData = true;
      }
    }
    if (this.#selectError) {
      error = this.#selectError;
      data = this.#selectResult;
      errorUpdatedAt = Date.now();
      status = "error";
    }
    const isFetching = fetchStatus === "fetching";
    const isPending = status === "pending";
    const isError = status === "error";
    const isLoading = isPending && isFetching;
    const result = {
      status,
      fetchStatus,
      isPending,
      isSuccess: status === "success",
      isError,
      isInitialLoading: isLoading,
      isLoading,
      data,
      dataUpdatedAt: state.dataUpdatedAt,
      error,
      errorUpdatedAt,
      failureCount: state.fetchFailureCount,
      failureReason: state.fetchFailureReason,
      errorUpdateCount: state.errorUpdateCount,
      isFetched: state.dataUpdateCount > 0 || state.errorUpdateCount > 0,
      isFetchedAfterMount: state.dataUpdateCount > queryInitialState.dataUpdateCount || state.errorUpdateCount > queryInitialState.errorUpdateCount,
      isFetching,
      isRefetching: isFetching && !isPending,
      isLoadingError: isError && state.dataUpdatedAt === 0,
      isPaused: fetchStatus === "paused",
      isPlaceholderData,
      isRefetchError: isError && state.dataUpdatedAt !== 0,
      isStale: isStale(query, options),
      refetch: this.refetch
    };
    return result;
  }
  updateResult(notifyOptions) {
    const prevResult = this.#currentResult;
    const nextResult = this.createResult(this.#currentQuery, this.options);
    this.#currentResultState = this.#currentQuery.state;
    this.#currentResultOptions = this.options;
    if (this.#currentResultState.data !== void 0) {
      this.#lastQueryWithDefinedData = this.#currentQuery;
    }
    if ((0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .shallowEqualObjects */ .f8)(nextResult, prevResult)) {
      return;
    }
    this.#currentResult = nextResult;
    const defaultNotifyOptions = {};
    const shouldNotifyListeners = () => {
      if (!prevResult) {
        return true;
      }
      const { notifyOnChangeProps } = this.options;
      const notifyOnChangePropsValue = typeof notifyOnChangeProps === "function" ? notifyOnChangeProps() : notifyOnChangeProps;
      if (notifyOnChangePropsValue === "all" || !notifyOnChangePropsValue && !this.#trackedProps.size) {
        return true;
      }
      const includedProps = new Set(
        notifyOnChangePropsValue ?? this.#trackedProps
      );
      if (this.options.throwOnError) {
        includedProps.add("error");
      }
      return Object.keys(this.#currentResult).some((key) => {
        const typedKey = key;
        const changed = this.#currentResult[typedKey] !== prevResult[typedKey];
        return changed && includedProps.has(typedKey);
      });
    };
    if (notifyOptions?.listeners !== false && shouldNotifyListeners()) {
      defaultNotifyOptions.listeners = true;
    }
    this.#notify({ ...defaultNotifyOptions, ...notifyOptions });
  }
  #updateQuery() {
    const query = this.#client.getQueryCache().build(this.#client, this.options);
    if (query === this.#currentQuery) {
      return;
    }
    const prevQuery = this.#currentQuery;
    this.#currentQuery = query;
    this.#currentQueryInitialState = query.state;
    if (this.hasListeners()) {
      prevQuery?.removeObserver(this);
      query.addObserver(this);
    }
  }
  onQueryUpdate() {
    this.updateResult();
    if (this.hasListeners()) {
      this.#updateTimers();
    }
  }
  #notify(notifyOptions) {
    _notifyManager_js__WEBPACK_IMPORTED_MODULE_4__/* .notifyManager */ .j.batch(() => {
      if (notifyOptions.listeners) {
        this.listeners.forEach((listener) => {
          listener(this.#currentResult);
        });
      }
      this.#client.getQueryCache().notify({
        query: this.#currentQuery,
        type: "observerResultsUpdated"
      });
    });
  }
};
function shouldLoadOnMount(query, options) {
  return options.enabled !== false && !query.state.dataUpdatedAt && !(query.state.status === "error" && options.retryOnMount === false);
}
function shouldFetchOnMount(query, options) {
  return shouldLoadOnMount(query, options) || query.state.dataUpdatedAt > 0 && shouldFetchOn(query, options, options.refetchOnMount);
}
function shouldFetchOn(query, options, field) {
  if (options.enabled !== false) {
    const value = typeof field === "function" ? field(query) : field;
    return value === "always" || value !== false && isStale(query, options);
  }
  return false;
}
function shouldFetchOptionally(query, prevQuery, options, prevOptions) {
  return options.enabled !== false && (query !== prevQuery || prevOptions.enabled === false) && (!options.suspense || query.state.status !== "error") && isStale(query, options);
}
function isStale(query, options) {
  return query.isStaleByTime(options.staleTime);
}
function shouldAssignObserverCurrentProperties(observer, optimisticResult) {
  if (!(0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .shallowEqualObjects */ .f8)(observer.getCurrentResult(), optimisticResult)) {
    return true;
  }
  return false;
}

//# sourceMappingURL=queryObserver.js.map

/***/ }),

/***/ 86181:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   k: () => (/* binding */ Removable)
/* harmony export */ });
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14181);
// src/removable.ts

var Removable = class {
  #gcTimeout;
  destroy() {
    this.clearGcTimeout();
  }
  scheduleGc() {
    this.clearGcTimeout();
    if ((0,_utils_js__WEBPACK_IMPORTED_MODULE_0__/* .isValidTimeout */ .gn)(this.gcTime)) {
      this.#gcTimeout = setTimeout(() => {
        this.optionalRemove();
      }, this.gcTime);
    }
  }
  updateGcTime(newGcTime) {
    this.gcTime = Math.max(
      this.gcTime || 0,
      newGcTime ?? (_utils_js__WEBPACK_IMPORTED_MODULE_0__/* .isServer */ .S$ ? Infinity : 5 * 60 * 1e3)
    );
  }
  clearGcTimeout() {
    if (this.#gcTimeout) {
      clearTimeout(this.#gcTimeout);
      this.#gcTimeout = void 0;
    }
  }
};

//# sourceMappingURL=removable.js.map

/***/ }),

/***/ 81089:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   II: () => (/* binding */ createRetryer),
/* harmony export */   v_: () => (/* binding */ canFetch),
/* harmony export */   wm: () => (/* binding */ isCancelledError)
/* harmony export */ });
/* unused harmony export CancelledError */
/* harmony import */ var _focusManager_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(48241);
/* harmony import */ var _onlineManager_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2262);
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(14181);
// src/retryer.ts



function defaultRetryDelay(failureCount) {
  return Math.min(1e3 * 2 ** failureCount, 3e4);
}
function canFetch(networkMode) {
  return (networkMode ?? "online") === "online" ? _onlineManager_js__WEBPACK_IMPORTED_MODULE_0__/* .onlineManager */ .t.isOnline() : true;
}
var CancelledError = class {
  constructor(options) {
    this.revert = options?.revert;
    this.silent = options?.silent;
  }
};
function isCancelledError(value) {
  return value instanceof CancelledError;
}
function createRetryer(config) {
  let isRetryCancelled = false;
  let failureCount = 0;
  let isResolved = false;
  let continueFn;
  let promiseResolve;
  let promiseReject;
  const promise = new Promise((outerResolve, outerReject) => {
    promiseResolve = outerResolve;
    promiseReject = outerReject;
  });
  const cancel = (cancelOptions) => {
    if (!isResolved) {
      reject(new CancelledError(cancelOptions));
      config.abort?.();
    }
  };
  const cancelRetry = () => {
    isRetryCancelled = true;
  };
  const continueRetry = () => {
    isRetryCancelled = false;
  };
  const shouldPause = () => !_focusManager_js__WEBPACK_IMPORTED_MODULE_1__/* .focusManager */ .m.isFocused() || config.networkMode !== "always" && !_onlineManager_js__WEBPACK_IMPORTED_MODULE_0__/* .onlineManager */ .t.isOnline();
  const resolve = (value) => {
    if (!isResolved) {
      isResolved = true;
      config.onSuccess?.(value);
      continueFn?.();
      promiseResolve(value);
    }
  };
  const reject = (value) => {
    if (!isResolved) {
      isResolved = true;
      config.onError?.(value);
      continueFn?.();
      promiseReject(value);
    }
  };
  const pause = () => {
    return new Promise((continueResolve) => {
      continueFn = (value) => {
        const canContinue = isResolved || !shouldPause();
        if (canContinue) {
          continueResolve(value);
        }
        return canContinue;
      };
      config.onPause?.();
    }).then(() => {
      continueFn = void 0;
      if (!isResolved) {
        config.onContinue?.();
      }
    });
  };
  const run = () => {
    if (isResolved) {
      return;
    }
    let promiseOrValue;
    try {
      promiseOrValue = config.fn();
    } catch (error) {
      promiseOrValue = Promise.reject(error);
    }
    Promise.resolve(promiseOrValue).then(resolve).catch((error) => {
      if (isResolved) {
        return;
      }
      const retry = config.retry ?? (_utils_js__WEBPACK_IMPORTED_MODULE_2__/* .isServer */ .S$ ? 0 : 3);
      const retryDelay = config.retryDelay ?? defaultRetryDelay;
      const delay = typeof retryDelay === "function" ? retryDelay(failureCount, error) : retryDelay;
      const shouldRetry = retry === true || typeof retry === "number" && failureCount < retry || typeof retry === "function" && retry(failureCount, error);
      if (isRetryCancelled || !shouldRetry) {
        reject(error);
        return;
      }
      failureCount++;
      config.onFail?.(failureCount, error);
      (0,_utils_js__WEBPACK_IMPORTED_MODULE_2__/* .sleep */ .yy)(delay).then(() => {
        if (shouldPause()) {
          return pause();
        }
        return;
      }).then(() => {
        if (isRetryCancelled) {
          reject(error);
        } else {
          run();
        }
      });
    });
  };
  if (canFetch(config.networkMode)) {
    run();
  } else {
    pause().then(run);
  }
  return {
    promise,
    cancel,
    continue: () => {
      const didContinue = continueFn?.();
      return didContinue ? promise : Promise.resolve();
    },
    cancelRetry,
    continueRetry
  };
}

//# sourceMappingURL=retryer.js.map

/***/ }),

/***/ 92127:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Q: () => (/* binding */ Subscribable)
/* harmony export */ });
// src/subscribable.ts
var Subscribable = class {
  constructor() {
    this.listeners = /* @__PURE__ */ new Set();
    this.subscribe = this.subscribe.bind(this);
  }
  subscribe(listener) {
    this.listeners.add(listener);
    this.onSubscribe();
    return () => {
      this.listeners.delete(listener);
      this.onUnsubscribe();
    };
  }
  hasListeners() {
    return this.listeners.size > 0;
  }
  onSubscribe() {
  }
  onUnsubscribe() {
  }
};

//# sourceMappingURL=subscribable.js.map

/***/ }),

/***/ 14181:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Cp: () => (/* binding */ partialMatchKey),
/* harmony export */   EN: () => (/* binding */ hashKey),
/* harmony export */   F$: () => (/* binding */ hashQueryKeyByOptions),
/* harmony export */   MK: () => (/* binding */ matchQuery),
/* harmony export */   S$: () => (/* binding */ isServer),
/* harmony export */   ZZ: () => (/* binding */ addToStart),
/* harmony export */   Zw: () => (/* binding */ functionalUpdate),
/* harmony export */   f8: () => (/* binding */ shallowEqualObjects),
/* harmony export */   gn: () => (/* binding */ isValidTimeout),
/* harmony export */   j3: () => (/* binding */ timeUntilStale),
/* harmony export */   lQ: () => (/* binding */ noop),
/* harmony export */   nJ: () => (/* binding */ matchMutation),
/* harmony export */   pl: () => (/* binding */ replaceData),
/* harmony export */   rX: () => (/* binding */ keepPreviousData),
/* harmony export */   y9: () => (/* binding */ addToEnd),
/* harmony export */   yy: () => (/* binding */ sleep)
/* harmony export */ });
/* unused harmony exports isPlainArray, isPlainObject, replaceEqualDeep */
// src/utils.ts
var isServer =  false || "Deno" in window;
function noop() {
  return void 0;
}
function functionalUpdate(updater, input) {
  return typeof updater === "function" ? updater(input) : updater;
}
function isValidTimeout(value) {
  return typeof value === "number" && value >= 0 && value !== Infinity;
}
function timeUntilStale(updatedAt, staleTime) {
  return Math.max(updatedAt + (staleTime || 0) - Date.now(), 0);
}
function matchQuery(filters, query) {
  const {
    type = "all",
    exact,
    fetchStatus,
    predicate,
    queryKey,
    stale
  } = filters;
  if (queryKey) {
    if (exact) {
      if (query.queryHash !== hashQueryKeyByOptions(queryKey, query.options)) {
        return false;
      }
    } else if (!partialMatchKey(query.queryKey, queryKey)) {
      return false;
    }
  }
  if (type !== "all") {
    const isActive = query.isActive();
    if (type === "active" && !isActive) {
      return false;
    }
    if (type === "inactive" && isActive) {
      return false;
    }
  }
  if (typeof stale === "boolean" && query.isStale() !== stale) {
    return false;
  }
  if (typeof fetchStatus !== "undefined" && fetchStatus !== query.state.fetchStatus) {
    return false;
  }
  if (predicate && !predicate(query)) {
    return false;
  }
  return true;
}
function matchMutation(filters, mutation) {
  const { exact, status, predicate, mutationKey } = filters;
  if (mutationKey) {
    if (!mutation.options.mutationKey) {
      return false;
    }
    if (exact) {
      if (hashKey(mutation.options.mutationKey) !== hashKey(mutationKey)) {
        return false;
      }
    } else if (!partialMatchKey(mutation.options.mutationKey, mutationKey)) {
      return false;
    }
  }
  if (status && mutation.state.status !== status) {
    return false;
  }
  if (predicate && !predicate(mutation)) {
    return false;
  }
  return true;
}
function hashQueryKeyByOptions(queryKey, options) {
  const hashFn = options?.queryKeyHashFn || hashKey;
  return hashFn(queryKey);
}
function hashKey(queryKey) {
  return JSON.stringify(
    queryKey,
    (_, val) => isPlainObject(val) ? Object.keys(val).sort().reduce((result, key) => {
      result[key] = val[key];
      return result;
    }, {}) : val
  );
}
function partialMatchKey(a, b) {
  if (a === b) {
    return true;
  }
  if (typeof a !== typeof b) {
    return false;
  }
  if (a && b && typeof a === "object" && typeof b === "object") {
    return !Object.keys(b).some((key) => !partialMatchKey(a[key], b[key]));
  }
  return false;
}
function replaceEqualDeep(a, b) {
  if (a === b) {
    return a;
  }
  const array = isPlainArray(a) && isPlainArray(b);
  if (array || isPlainObject(a) && isPlainObject(b)) {
    const aSize = array ? a.length : Object.keys(a).length;
    const bItems = array ? b : Object.keys(b);
    const bSize = bItems.length;
    const copy = array ? [] : {};
    let equalItems = 0;
    for (let i = 0; i < bSize; i++) {
      const key = array ? i : bItems[i];
      copy[key] = replaceEqualDeep(a[key], b[key]);
      if (copy[key] === a[key]) {
        equalItems++;
      }
    }
    return aSize === bSize && equalItems === aSize ? a : copy;
  }
  return b;
}
function shallowEqualObjects(a, b) {
  if (a && !b || b && !a) {
    return false;
  }
  for (const key in a) {
    if (a[key] !== b[key]) {
      return false;
    }
  }
  return true;
}
function isPlainArray(value) {
  return Array.isArray(value) && value.length === Object.keys(value).length;
}
function isPlainObject(o) {
  if (!hasObjectPrototype(o)) {
    return false;
  }
  const ctor = o.constructor;
  if (typeof ctor === "undefined") {
    return true;
  }
  const prot = ctor.prototype;
  if (!hasObjectPrototype(prot)) {
    return false;
  }
  if (!prot.hasOwnProperty("isPrototypeOf")) {
    return false;
  }
  return true;
}
function hasObjectPrototype(o) {
  return Object.prototype.toString.call(o) === "[object Object]";
}
function sleep(ms) {
  return new Promise((resolve) => {
    setTimeout(resolve, ms);
  });
}
function replaceData(prevData, data, options) {
  if (typeof options.structuralSharing === "function") {
    return options.structuralSharing(prevData, data);
  } else if (options.structuralSharing !== false) {
    return replaceEqualDeep(prevData, data);
  }
  return data;
}
function keepPreviousData(previousData) {
  return previousData;
}
function addToEnd(items, item, max = 0) {
  const newItems = [...items, item];
  return max && newItems.length > max ? newItems.slice(1) : newItems;
}
function addToStart(items, item, max = 0) {
  const newItems = [item, ...items];
  return max && newItems.length > max ? newItems.slice(0, -1) : newItems;
}

//# sourceMappingURL=utils.js.map

/***/ }),

/***/ 93402:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Ht: () => (/* binding */ QueryClientProvider),
/* harmony export */   jE: () => (/* binding */ useQueryClient)
/* harmony export */ });
/* unused harmony export QueryClientContext */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
"use client";

// src/QueryClientProvider.tsx

var QueryClientContext = react__WEBPACK_IMPORTED_MODULE_0__.createContext(
  void 0
);
var useQueryClient = (queryClient) => {
  const client = react__WEBPACK_IMPORTED_MODULE_0__.useContext(QueryClientContext);
  if (queryClient) {
    return queryClient;
  }
  if (!client) {
    throw new Error("No QueryClient set, use QueryClientProvider to set one");
  }
  return client;
};
var QueryClientProvider = ({
  client,
  children
}) => {
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    client.mount();
    return () => {
      client.unmount();
    };
  }, [client]);
  return /* @__PURE__ */ react__WEBPACK_IMPORTED_MODULE_0__.createElement(QueryClientContext.Provider, { value: client }, children);
};

//# sourceMappingURL=QueryClientProvider.js.map

/***/ }),

/***/ 53863:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   h: () => (/* binding */ useQueryErrorResetBoundary)
/* harmony export */ });
/* unused harmony export QueryErrorResetBoundary */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
"use client";

// src/QueryErrorResetBoundary.tsx

function createValue() {
  let isReset = false;
  return {
    clearReset: () => {
      isReset = false;
    },
    reset: () => {
      isReset = true;
    },
    isReset: () => {
      return isReset;
    }
  };
}
var QueryErrorResetBoundaryContext = react__WEBPACK_IMPORTED_MODULE_0__.createContext(createValue());
var useQueryErrorResetBoundary = () => react__WEBPACK_IMPORTED_MODULE_0__.useContext(QueryErrorResetBoundaryContext);
var QueryErrorResetBoundary = ({
  children
}) => {
  const [value] = React.useState(() => createValue());
  return /* @__PURE__ */ React.createElement(QueryErrorResetBoundaryContext.Provider, { value }, typeof children === "function" ? children(value) : children);
};

//# sourceMappingURL=QueryErrorResetBoundary.js.map

/***/ }),

/***/ 86259:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $1: () => (/* binding */ getHasError),
/* harmony export */   LJ: () => (/* binding */ ensurePreventErrorBoundaryRetry),
/* harmony export */   wZ: () => (/* binding */ useClearResetErrorBoundary)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9873);
"use client";

// src/errorBoundaryUtils.ts


var ensurePreventErrorBoundaryRetry = (options, errorResetBoundary) => {
  if (options.suspense || options.throwOnError) {
    if (!errorResetBoundary.isReset()) {
      options.retryOnMount = false;
    }
  }
};
var useClearResetErrorBoundary = (errorResetBoundary) => {
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    errorResetBoundary.clearReset();
  }, [errorResetBoundary]);
};
var getHasError = ({
  result,
  errorResetBoundary,
  throwOnError,
  query
}) => {
  return result.isError && !errorResetBoundary.isReset() && !result.isFetching && query && (0,_utils_js__WEBPACK_IMPORTED_MODULE_1__/* .shouldThrowError */ .G)(throwOnError, [result.error, query]);
};

//# sourceMappingURL=errorBoundaryUtils.js.map

/***/ }),

/***/ 56333:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   w: () => (/* binding */ useIsRestoring)
/* harmony export */ });
/* unused harmony export IsRestoringProvider */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
"use client";

// src/isRestoring.ts

var IsRestoringContext = react__WEBPACK_IMPORTED_MODULE_0__.createContext(false);
var useIsRestoring = () => react__WEBPACK_IMPORTED_MODULE_0__.useContext(IsRestoringContext);
var IsRestoringProvider = IsRestoringContext.Provider;

//# sourceMappingURL=isRestoring.js.map

/***/ }),

/***/ 67374:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   EU: () => (/* binding */ shouldSuspend),
/* harmony export */   iL: () => (/* binding */ fetchOptimistic),
/* harmony export */   tu: () => (/* binding */ ensureStaleTime)
/* harmony export */ });
/* unused harmony exports defaultThrowOnError, willFetch */
// src/suspense.ts
var defaultThrowOnError = (_error, query) => typeof query.state.data === "undefined";
var ensureStaleTime = (defaultedOptions) => {
  if (defaultedOptions.suspense) {
    if (typeof defaultedOptions.staleTime !== "number") {
      defaultedOptions.staleTime = 1e3;
    }
  }
};
var willFetch = (result, isRestoring) => result.isLoading && result.isFetching && !isRestoring;
var shouldSuspend = (defaultedOptions, result) => defaultedOptions?.suspense && result.isPending;
var fetchOptimistic = (defaultedOptions, observer, errorResetBoundary) => observer.fetchOptimistic(defaultedOptions).catch(() => {
  errorResetBoundary.clearReset();
});

//# sourceMappingURL=suspense.js.map

/***/ }),

/***/ 92164:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   t: () => (/* binding */ useBaseQuery)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var _tanstack_query_core__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(78852);
/* harmony import */ var _QueryErrorResetBoundary_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(53863);
/* harmony import */ var _QueryClientProvider_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(93402);
/* harmony import */ var _isRestoring_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(56333);
/* harmony import */ var _errorBoundaryUtils_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(86259);
/* harmony import */ var _suspense_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(67374);
"use client";

// src/useBaseQuery.ts







function useBaseQuery(options, Observer, queryClient) {
  if (false) {}
  const client = (0,_QueryClientProvider_js__WEBPACK_IMPORTED_MODULE_1__/* .useQueryClient */ .jE)(queryClient);
  const isRestoring = (0,_isRestoring_js__WEBPACK_IMPORTED_MODULE_2__/* .useIsRestoring */ .w)();
  const errorResetBoundary = (0,_QueryErrorResetBoundary_js__WEBPACK_IMPORTED_MODULE_3__/* .useQueryErrorResetBoundary */ .h)();
  const defaultedOptions = client.defaultQueryOptions(options);
  defaultedOptions._optimisticResults = isRestoring ? "isRestoring" : "optimistic";
  (0,_suspense_js__WEBPACK_IMPORTED_MODULE_4__/* .ensureStaleTime */ .tu)(defaultedOptions);
  (0,_errorBoundaryUtils_js__WEBPACK_IMPORTED_MODULE_5__/* .ensurePreventErrorBoundaryRetry */ .LJ)(defaultedOptions, errorResetBoundary);
  (0,_errorBoundaryUtils_js__WEBPACK_IMPORTED_MODULE_5__/* .useClearResetErrorBoundary */ .wZ)(errorResetBoundary);
  const [observer] = react__WEBPACK_IMPORTED_MODULE_0__.useState(
    () => new Observer(
      client,
      defaultedOptions
    )
  );
  const result = observer.getOptimisticResult(defaultedOptions);
  react__WEBPACK_IMPORTED_MODULE_0__.useSyncExternalStore(
    react__WEBPACK_IMPORTED_MODULE_0__.useCallback(
      (onStoreChange) => {
        const unsubscribe = isRestoring ? () => void 0 : observer.subscribe(_tanstack_query_core__WEBPACK_IMPORTED_MODULE_6__/* .notifyManager */ .j.batchCalls(onStoreChange));
        observer.updateResult();
        return unsubscribe;
      },
      [observer, isRestoring]
    ),
    () => observer.getCurrentResult(),
    () => observer.getCurrentResult()
  );
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    observer.setOptions(defaultedOptions, { listeners: false });
  }, [defaultedOptions, observer]);
  if ((0,_suspense_js__WEBPACK_IMPORTED_MODULE_4__/* .shouldSuspend */ .EU)(defaultedOptions, result)) {
    throw (0,_suspense_js__WEBPACK_IMPORTED_MODULE_4__/* .fetchOptimistic */ .iL)(defaultedOptions, observer, errorResetBoundary);
  }
  if ((0,_errorBoundaryUtils_js__WEBPACK_IMPORTED_MODULE_5__/* .getHasError */ .$1)({
    result,
    errorResetBoundary,
    throwOnError: defaultedOptions.throwOnError,
    query: client.getQueryCache().get(defaultedOptions.queryHash)
  })) {
    throw result.error;
  }
  return !defaultedOptions.notifyOnChangeProps ? observer.trackResult(result) : result;
}

//# sourceMappingURL=useBaseQuery.js.map

/***/ }),

/***/ 50960:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   n: () => (/* binding */ useMutation)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(51609);
/* harmony import */ var _tanstack_query_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(90903);
/* harmony import */ var _tanstack_query_core__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(78852);
/* harmony import */ var _QueryClientProvider_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(93402);
/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9873);
"use client";

// src/useMutation.ts




function useMutation(options, queryClient) {
  const client = (0,_QueryClientProvider_js__WEBPACK_IMPORTED_MODULE_1__/* .useQueryClient */ .jE)(queryClient);
  const [observer] = react__WEBPACK_IMPORTED_MODULE_0__.useState(
    () => new _tanstack_query_core__WEBPACK_IMPORTED_MODULE_2__/* .MutationObserver */ ._(
      client,
      options
    )
  );
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    observer.setOptions(options);
  }, [observer, options]);
  const result = react__WEBPACK_IMPORTED_MODULE_0__.useSyncExternalStore(
    react__WEBPACK_IMPORTED_MODULE_0__.useCallback(
      (onStoreChange) => observer.subscribe(_tanstack_query_core__WEBPACK_IMPORTED_MODULE_3__/* .notifyManager */ .j.batchCalls(onStoreChange)),
      [observer]
    ),
    () => observer.getCurrentResult(),
    () => observer.getCurrentResult()
  );
  const mutate = react__WEBPACK_IMPORTED_MODULE_0__.useCallback(
    (variables, mutateOptions) => {
      observer.mutate(variables, mutateOptions).catch(noop);
    },
    [observer]
  );
  if (result.error && (0,_utils_js__WEBPACK_IMPORTED_MODULE_4__/* .shouldThrowError */ .G)(observer.options.throwOnError, [result.error])) {
    throw result.error;
  }
  return { ...result, mutate, mutateAsync: result.mutate };
}
function noop() {
}

//# sourceMappingURL=useMutation.js.map

/***/ }),

/***/ 35223:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   I: () => (/* binding */ useQuery)
/* harmony export */ });
/* harmony import */ var _tanstack_query_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4434);
/* harmony import */ var _useBaseQuery_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(92164);
"use client";

// src/useQuery.ts


function useQuery(options, queryClient) {
  return (0,_useBaseQuery_js__WEBPACK_IMPORTED_MODULE_0__/* .useBaseQuery */ .t)(options, _tanstack_query_core__WEBPACK_IMPORTED_MODULE_1__/* .QueryObserver */ .$, queryClient);
}

//# sourceMappingURL=useQuery.js.map

/***/ }),

/***/ 9873:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   G: () => (/* binding */ shouldThrowError)
/* harmony export */ });
// src/utils.ts
function shouldThrowError(throwError, params) {
  if (typeof throwError === "function") {
    return throwError(...params);
  }
  return !!throwError;
}

//# sourceMappingURL=utils.js.map

/***/ }),

/***/ 73755:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   IO: () => (/* binding */ LAYER),
/* harmony export */   LU: () => (/* binding */ DECLARATION),
/* harmony export */   MS: () => (/* binding */ MS),
/* harmony export */   Sv: () => (/* binding */ KEYFRAMES),
/* harmony export */   XZ: () => (/* binding */ RULESET),
/* harmony export */   YK: () => (/* binding */ COMMENT),
/* harmony export */   j: () => (/* binding */ WEBKIT),
/* harmony export */   vd: () => (/* binding */ MOZ),
/* harmony export */   yE: () => (/* binding */ IMPORT)
/* harmony export */ });
/* unused harmony exports PAGE, MEDIA, CHARSET, VIEWPORT, SUPPORTS, DOCUMENT, NAMESPACE, FONT_FACE, COUNTER_STYLE, FONT_FEATURE_VALUES */
var MS = '-ms-'
var MOZ = '-moz-'
var WEBKIT = '-webkit-'

var COMMENT = 'comm'
var RULESET = 'rule'
var DECLARATION = 'decl'

var PAGE = '@page'
var MEDIA = '@media'
var IMPORT = '@import'
var CHARSET = '@charset'
var VIEWPORT = '@viewport'
var SUPPORTS = '@supports'
var DOCUMENT = '@document'
var NAMESPACE = '@namespace'
var KEYFRAMES = '@keyframes'
var FONT_FACE = '@font-face'
var COUNTER_STYLE = '@counter-style'
var FONT_FEATURE_VALUES = '@font-feature-values'
var LAYER = '@layer'


/***/ }),

/***/ 51714:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MY: () => (/* binding */ rulesheet),
/* harmony export */   r1: () => (/* binding */ middleware)
/* harmony export */ });
/* unused harmony exports prefixer, namespace */
/* harmony import */ var _Utility_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(41448);






/**
 * @param {function[]} collection
 * @return {function}
 */
function middleware (collection) {
	var length = (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .sizeof */ .FK)(collection)

	return function (element, index, children, callback) {
		var output = ''

		for (var i = 0; i < length; i++)
			output += collection[i](element, index, children, callback) || ''

		return output
	}
}

/**
 * @param {function} callback
 * @return {function}
 */
function rulesheet (callback) {
	return function (element) {
		if (!element.root)
			if (element = element.return)
				callback(element)
	}
}

/**
 * @param {object} element
 * @param {number} index
 * @param {object[]} children
 * @param {function} callback
 */
function prefixer (element, index, children, callback) {
	if (element.length > -1)
		if (!element.return)
			switch (element.type) {
				case DECLARATION: element.return = prefix(element.value, element.length, children)
					return
				case KEYFRAMES:
					return serialize([copy(element, {value: replace(element.value, '@', '@' + WEBKIT)})], callback)
				case RULESET:
					if (element.length)
						return combine(element.props, function (value) {
							switch (match(value, /(::plac\w+|:read-\w+)/)) {
								// :read-(only|write)
								case ':read-only': case ':read-write':
									return serialize([copy(element, {props: [replace(value, /:(read-\w+)/, ':' + MOZ + '$1')]})], callback)
								// :placeholder
								case '::placeholder':
									return serialize([
										copy(element, {props: [replace(value, /:(plac\w+)/, ':' + WEBKIT + 'input-$1')]}),
										copy(element, {props: [replace(value, /:(plac\w+)/, ':' + MOZ + '$1')]}),
										copy(element, {props: [replace(value, /:(plac\w+)/, MS + 'input-$1')]})
									], callback)
							}

							return ''
						})
			}
}

/**
 * @param {object} element
 * @param {number} index
 * @param {object[]} children
 */
function namespace (element) {
	switch (element.type) {
		case RULESET:
			element.props = element.props.map(function (value) {
				return combine(tokenize(value), function (value, index, children) {
					switch (charat(value, 0)) {
						// \f
						case 12:
							return substr(value, 1, strlen(value))
						// \0 ( + > ~
						case 0: case 40: case 43: case 62: case 126:
							return value
						// :
						case 58:
							if (children[++index] === 'global')
								children[index] = '', children[++index] = '\f' + substr(children[index], index = 1, -1)
						// \s
						case 32:
							return index === 1 ? '' : value
						default:
							switch (index) {
								case 0: element = value
									return sizeof(children) > 1 ? '' : value
								case index = sizeof(children) - 1: case 2:
									return index === 2 ? value + element + element : value + element
								default:
									return value
							}
					}
				})
			})
	}
}


/***/ }),

/***/ 31721:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   wE: () => (/* binding */ compile)
/* harmony export */ });
/* unused harmony exports parse, ruleset, comment, declaration */
/* harmony import */ var _Enum_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(73755);
/* harmony import */ var _Utility_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(41448);
/* harmony import */ var _Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(79241);




/**
 * @param {string} value
 * @return {object[]}
 */
function compile (value) {
	return (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .dealloc */ .VF)(parse('', null, null, null, [''], value = (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .alloc */ .c4)(value), 0, [0], value))
}

/**
 * @param {string} value
 * @param {object} root
 * @param {object?} parent
 * @param {string[]} rule
 * @param {string[]} rules
 * @param {string[]} rulesets
 * @param {number[]} pseudo
 * @param {number[]} points
 * @param {string[]} declarations
 * @return {object}
 */
function parse (value, root, parent, rule, rules, rulesets, pseudo, points, declarations) {
	var index = 0
	var offset = 0
	var length = pseudo
	var atrule = 0
	var property = 0
	var previous = 0
	var variable = 1
	var scanning = 1
	var ampersand = 1
	var character = 0
	var type = ''
	var props = rules
	var children = rulesets
	var reference = rule
	var characters = type

	while (scanning)
		switch (previous = character, character = (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .next */ .K2)()) {
			// (
			case 40:
				if (previous != 108 && (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .charat */ .wN)(characters, length - 1) == 58) {
					if ((0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .indexof */ .K5)(characters += (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)((0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .delimit */ .Tb)(character), '&', '&\f'), '&\f') != -1)
						ampersand = -1
					break
				}
			// " ' [
			case 34: case 39: case 91:
				characters += (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .delimit */ .Tb)(character)
				break
			// \t \n \r \s
			case 9: case 10: case 13: case 32:
				characters += (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .whitespace */ .mw)(previous)
				break
			// \
			case 92:
				characters += (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .escaping */ .Nc)((0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .caret */ .OW)() - 1, 7)
				continue
			// /
			case 47:
				switch ((0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .peek */ .se)()) {
					case 42: case 47:
						;(0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .append */ .BC)(comment((0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .commenter */ .nf)((0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .next */ .K2)(), (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .caret */ .OW)()), root, parent), declarations)
						break
					default:
						characters += '/'
				}
				break
			// {
			case 123 * variable:
				points[index++] = (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .strlen */ .b2)(characters) * ampersand
			// } ; \0
			case 125 * variable: case 59: case 0:
				switch (character) {
					// \0 }
					case 0: case 125: scanning = 0
					// ;
					case 59 + offset: if (ampersand == -1) characters = (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(characters, /\f/g, '')
						if (property > 0 && ((0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .strlen */ .b2)(characters) - length))
							(0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .append */ .BC)(property > 32 ? declaration(characters + ';', rule, parent, length - 1) : declaration((0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(characters, ' ', '') + ';', rule, parent, length - 2), declarations)
						break
					// @ ;
					case 59: characters += ';'
					// { rule/at-rule
					default:
						;(0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .append */ .BC)(reference = ruleset(characters, root, parent, index, offset, rules, points, type, props = [], children = [], length), rulesets)

						if (character === 123)
							if (offset === 0)
								parse(characters, root, reference, reference, props, rulesets, length, points, children)
							else
								switch (atrule === 99 && (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .charat */ .wN)(characters, 3) === 110 ? 100 : atrule) {
									// d l m s
									case 100: case 108: case 109: case 115:
										parse(value, reference, reference, rule && (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .append */ .BC)(ruleset(value, reference, reference, 0, 0, rules, points, type, rules, props = [], length), children), rules, children, length, points, rule ? props : children)
										break
									default:
										parse(characters, reference, reference, reference, [''], children, 0, points, children)
								}
				}

				index = offset = property = 0, variable = ampersand = 1, type = characters = '', length = pseudo
				break
			// :
			case 58:
				length = 1 + (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .strlen */ .b2)(characters), property = previous
			default:
				if (variable < 1)
					if (character == 123)
						--variable
					else if (character == 125 && variable++ == 0 && (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .prev */ .YL)() == 125)
						continue

				switch (characters += (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .from */ .HT)(character), character * variable) {
					// &
					case 38:
						ampersand = offset > 0 ? 1 : (characters += '\f', -1)
						break
					// ,
					case 44:
						points[index++] = ((0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .strlen */ .b2)(characters) - 1) * ampersand, ampersand = 1
						break
					// @
					case 64:
						// -
						if ((0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .peek */ .se)() === 45)
							characters += (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .delimit */ .Tb)((0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .next */ .K2)())

						atrule = (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .peek */ .se)(), offset = length = (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .strlen */ .b2)(type = characters += (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .identifier */ .Cv)((0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .caret */ .OW)())), character++
						break
					// -
					case 45:
						if (previous === 45 && (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .strlen */ .b2)(characters) == 2)
							variable = 0
				}
		}

	return rulesets
}

/**
 * @param {string} value
 * @param {object} root
 * @param {object?} parent
 * @param {number} index
 * @param {number} offset
 * @param {string[]} rules
 * @param {number[]} points
 * @param {string} type
 * @param {string[]} props
 * @param {string[]} children
 * @param {number} length
 * @return {object}
 */
function ruleset (value, root, parent, index, offset, rules, points, type, props, children, length) {
	var post = offset - 1
	var rule = offset === 0 ? rules : ['']
	var size = (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .sizeof */ .FK)(rule)

	for (var i = 0, j = 0, k = 0; i < index; ++i)
		for (var x = 0, y = (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .substr */ .c1)(value, post + 1, post = (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .abs */ .tn)(j = points[i])), z = value; x < size; ++x)
			if (z = (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .trim */ .Bq)(j > 0 ? rule[x] + ' ' + y : (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .replace */ .HC)(y, /&\f/g, rule[x])))
				props[k++] = z

	return (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .node */ .rH)(value, root, parent, offset === 0 ? _Enum_js__WEBPACK_IMPORTED_MODULE_2__/* .RULESET */ .XZ : type, props, children, length)
}

/**
 * @param {number} value
 * @param {object} root
 * @param {object?} parent
 * @return {object}
 */
function comment (value, root, parent) {
	return (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .node */ .rH)(value, root, parent, _Enum_js__WEBPACK_IMPORTED_MODULE_2__/* .COMMENT */ .YK, (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .from */ .HT)((0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .char */ .Tp)()), (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .substr */ .c1)(value, 2, -2), 0)
}

/**
 * @param {string} value
 * @param {object} root
 * @param {object?} parent
 * @param {number} length
 * @return {object}
 */
function declaration (value, root, parent, length) {
	return (0,_Tokenizer_js__WEBPACK_IMPORTED_MODULE_0__/* .node */ .rH)(value, root, parent, _Enum_js__WEBPACK_IMPORTED_MODULE_2__/* .DECLARATION */ .LU, (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .substr */ .c1)(value, 0, length), (0,_Utility_js__WEBPACK_IMPORTED_MODULE_1__/* .substr */ .c1)(value, length + 1, -1), length)
}


/***/ }),

/***/ 91758:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   A: () => (/* binding */ stringify),
/* harmony export */   l: () => (/* binding */ serialize)
/* harmony export */ });
/* harmony import */ var _Enum_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(73755);
/* harmony import */ var _Utility_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(41448);



/**
 * @param {object[]} children
 * @param {function} callback
 * @return {string}
 */
function serialize (children, callback) {
	var output = ''
	var length = (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .sizeof */ .FK)(children)

	for (var i = 0; i < length; i++)
		output += callback(children[i], i, children, callback) || ''

	return output
}

/**
 * @param {object} element
 * @param {number} index
 * @param {object[]} children
 * @param {function} callback
 * @return {string}
 */
function stringify (element, index, children, callback) {
	switch (element.type) {
		case _Enum_js__WEBPACK_IMPORTED_MODULE_1__/* .LAYER */ .IO: if (element.children.length) break
		case _Enum_js__WEBPACK_IMPORTED_MODULE_1__/* .IMPORT */ .yE: case _Enum_js__WEBPACK_IMPORTED_MODULE_1__/* .DECLARATION */ .LU: return element.return = element.return || element.value
		case _Enum_js__WEBPACK_IMPORTED_MODULE_1__/* .COMMENT */ .YK: return ''
		case _Enum_js__WEBPACK_IMPORTED_MODULE_1__/* .KEYFRAMES */ .Sv: return element.return = element.value + '{' + serialize(element.children, callback) + '}'
		case _Enum_js__WEBPACK_IMPORTED_MODULE_1__/* .RULESET */ .XZ: element.value = element.props.join(',')
	}

	return (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .strlen */ .b2)(children = serialize(element.children, callback)) ? element.return = element.value + '{' + children + '}' : ''
}


/***/ }),

/***/ 79241:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   C: () => (/* binding */ copy),
/* harmony export */   Cv: () => (/* binding */ identifier),
/* harmony export */   G1: () => (/* binding */ position),
/* harmony export */   K2: () => (/* binding */ next),
/* harmony export */   Nc: () => (/* binding */ escaping),
/* harmony export */   OW: () => (/* binding */ caret),
/* harmony export */   Sh: () => (/* binding */ token),
/* harmony export */   Tb: () => (/* binding */ delimit),
/* harmony export */   Tp: () => (/* binding */ char),
/* harmony export */   VF: () => (/* binding */ dealloc),
/* harmony export */   YL: () => (/* binding */ prev),
/* harmony export */   c4: () => (/* binding */ alloc),
/* harmony export */   di: () => (/* binding */ slice),
/* harmony export */   mw: () => (/* binding */ whitespace),
/* harmony export */   nf: () => (/* binding */ commenter),
/* harmony export */   rH: () => (/* binding */ node),
/* harmony export */   se: () => (/* binding */ peek)
/* harmony export */ });
/* unused harmony exports line, column, length, character, characters, tokenize, tokenizer, delimiter */
/* harmony import */ var _Utility_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(41448);


var line = 1
var column = 1
var length = 0
var position = 0
var character = 0
var characters = ''

/**
 * @param {string} value
 * @param {object | null} root
 * @param {object | null} parent
 * @param {string} type
 * @param {string[] | string} props
 * @param {object[] | string} children
 * @param {number} length
 */
function node (value, root, parent, type, props, children, length) {
	return {value: value, root: root, parent: parent, type: type, props: props, children: children, line: line, column: column, length: length, return: ''}
}

/**
 * @param {object} root
 * @param {object} props
 * @return {object}
 */
function copy (root, props) {
	return (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .assign */ .kp)(node('', null, null, '', null, null, 0), root, {length: -root.length}, props)
}

/**
 * @return {number}
 */
function char () {
	return character
}

/**
 * @return {number}
 */
function prev () {
	character = position > 0 ? (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .charat */ .wN)(characters, --position) : 0

	if (column--, character === 10)
		column = 1, line--

	return character
}

/**
 * @return {number}
 */
function next () {
	character = position < length ? (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .charat */ .wN)(characters, position++) : 0

	if (column++, character === 10)
		column = 1, line++

	return character
}

/**
 * @return {number}
 */
function peek () {
	return (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .charat */ .wN)(characters, position)
}

/**
 * @return {number}
 */
function caret () {
	return position
}

/**
 * @param {number} begin
 * @param {number} end
 * @return {string}
 */
function slice (begin, end) {
	return (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .substr */ .c1)(characters, begin, end)
}

/**
 * @param {number} type
 * @return {number}
 */
function token (type) {
	switch (type) {
		// \0 \t \n \r \s whitespace token
		case 0: case 9: case 10: case 13: case 32:
			return 5
		// ! + , / > @ ~ isolate token
		case 33: case 43: case 44: case 47: case 62: case 64: case 126:
		// ; { } breakpoint token
		case 59: case 123: case 125:
			return 4
		// : accompanied token
		case 58:
			return 3
		// " ' ( [ opening delimit token
		case 34: case 39: case 40: case 91:
			return 2
		// ) ] closing delimit token
		case 41: case 93:
			return 1
	}

	return 0
}

/**
 * @param {string} value
 * @return {any[]}
 */
function alloc (value) {
	return line = column = 1, length = (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .strlen */ .b2)(characters = value), position = 0, []
}

/**
 * @param {any} value
 * @return {any}
 */
function dealloc (value) {
	return characters = '', value
}

/**
 * @param {number} type
 * @return {string}
 */
function delimit (type) {
	return (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .trim */ .Bq)(slice(position - 1, delimiter(type === 91 ? type + 2 : type === 40 ? type + 1 : type)))
}

/**
 * @param {string} value
 * @return {string[]}
 */
function tokenize (value) {
	return dealloc(tokenizer(alloc(value)))
}

/**
 * @param {number} type
 * @return {string}
 */
function whitespace (type) {
	while (character = peek())
		if (character < 33)
			next()
		else
			break

	return token(type) > 2 || token(character) > 3 ? '' : ' '
}

/**
 * @param {string[]} children
 * @return {string[]}
 */
function tokenizer (children) {
	while (next())
		switch (token(character)) {
			case 0: append(identifier(position - 1), children)
				break
			case 2: append(delimit(character), children)
				break
			default: append(from(character), children)
		}

	return children
}

/**
 * @param {number} index
 * @param {number} count
 * @return {string}
 */
function escaping (index, count) {
	while (--count && next())
		// not 0-9 A-F a-f
		if (character < 48 || character > 102 || (character > 57 && character < 65) || (character > 70 && character < 97))
			break

	return slice(index, caret() + (count < 6 && peek() == 32 && next() == 32))
}

/**
 * @param {number} type
 * @return {number}
 */
function delimiter (type) {
	while (next())
		switch (character) {
			// ] ) " '
			case type:
				return position
			// " '
			case 34: case 39:
				if (type !== 34 && type !== 39)
					delimiter(character)
				break
			// (
			case 40:
				if (type === 41)
					delimiter(type)
				break
			// \
			case 92:
				next()
				break
		}

	return position
}

/**
 * @param {number} type
 * @param {number} index
 * @return {number}
 */
function commenter (type, index) {
	while (next())
		// //
		if (type + character === 47 + 10)
			break
		// /*
		else if (type + character === 42 + 42 && peek() === 47)
			break

	return '/*' + slice(index, position - 1) + '*' + (0,_Utility_js__WEBPACK_IMPORTED_MODULE_0__/* .from */ .HT)(type === 47 ? type : next())
}

/**
 * @param {number} index
 * @return {string}
 */
function identifier (index) {
	while (!token(peek()))
		next()

	return slice(index, position)
}


/***/ }),

/***/ 41448:
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BC: () => (/* binding */ append),
/* harmony export */   Bq: () => (/* binding */ trim),
/* harmony export */   FK: () => (/* binding */ sizeof),
/* harmony export */   HC: () => (/* binding */ replace),
/* harmony export */   HT: () => (/* binding */ from),
/* harmony export */   K5: () => (/* binding */ indexof),
/* harmony export */   YW: () => (/* binding */ match),
/* harmony export */   b2: () => (/* binding */ strlen),
/* harmony export */   c1: () => (/* binding */ substr),
/* harmony export */   kg: () => (/* binding */ combine),
/* harmony export */   kp: () => (/* binding */ assign),
/* harmony export */   tW: () => (/* binding */ hash),
/* harmony export */   tn: () => (/* binding */ abs),
/* harmony export */   wN: () => (/* binding */ charat)
/* harmony export */ });
/**
 * @param {number}
 * @return {number}
 */
var abs = Math.abs

/**
 * @param {number}
 * @return {string}
 */
var from = String.fromCharCode

/**
 * @param {object}
 * @return {object}
 */
var assign = Object.assign

/**
 * @param {string} value
 * @param {number} length
 * @return {number}
 */
function hash (value, length) {
	return charat(value, 0) ^ 45 ? (((((((length << 2) ^ charat(value, 0)) << 2) ^ charat(value, 1)) << 2) ^ charat(value, 2)) << 2) ^ charat(value, 3) : 0
}

/**
 * @param {string} value
 * @return {string}
 */
function trim (value) {
	return value.trim()
}

/**
 * @param {string} value
 * @param {RegExp} pattern
 * @return {string?}
 */
function match (value, pattern) {
	return (value = pattern.exec(value)) ? value[0] : value
}

/**
 * @param {string} value
 * @param {(string|RegExp)} pattern
 * @param {string} replacement
 * @return {string}
 */
function replace (value, pattern, replacement) {
	return value.replace(pattern, replacement)
}

/**
 * @param {string} value
 * @param {string} search
 * @return {number}
 */
function indexof (value, search) {
	return value.indexOf(search)
}

/**
 * @param {string} value
 * @param {number} index
 * @return {number}
 */
function charat (value, index) {
	return value.charCodeAt(index) | 0
}

/**
 * @param {string} value
 * @param {number} begin
 * @param {number} end
 * @return {string}
 */
function substr (value, begin, end) {
	return value.slice(begin, end)
}

/**
 * @param {string} value
 * @return {number}
 */
function strlen (value) {
	return value.length
}

/**
 * @param {any[]} value
 * @return {number}
 */
function sizeof (value) {
	return value.length
}

/**
 * @param {any} value
 * @param {any[]} array
 * @return {any}
 */
function append (value, array) {
	return array.push(value), value
}

/**
 * @param {string[]} array
 * @param {function} callback
 * @return {string}
 */
function combine (array, callback) {
	return array.map(callback).join('')
}


/***/ }),

/***/ 10031:
/***/ ((module) => {

"use strict";
module.exports = /*#__PURE__*/JSON.parse('{"/home/":"home","/stats/":"statistics","/add-ons/":"add-ons","/mailboxes":"mail","/comments/":"comments","/checkout/":"checkout","/backup/":"backup","/themes/":"themes","/plugins/manage":"manage plugins","/plugins":"plugins","/plans/":"upgrade plan","/email/":"manage emails","/domains/manage":"manage domain","/media/":"media","/posts/drafts":"drafted post","/posts/scheduled":"scheduled post","/posts/trashed":"trash post","/posts/":"posts","/posts":"posts","/pages/drafts":"drafted pages","/pages/scheduled":"scheduled pages","/pages/trashed":"trash pages","/pages/":"pages","/pages":"pages","/purchases/subscriptions/":"subscription purchases","/purchases/payment-methods/":"payment methods","/purchases/billing-history/":"billing history","/activity-log/":"activity","/woocommerce":"woocommerce","/wp-admin/admin.php?page=wc":"woocommerce","/people/team":"site users","/people/new":"invite user","/subscribers":"subscribers","/me/security":"security","/me/purchases":"purchases","/me/privacy":"privacy","/me/notifications":"notification settings","/me/account":"account settings","/me/site-blocks":"blocked sites","/me/get-apps":"wordpress apps","/me":"my profile","/settings/general/":"general settings","/settings/writing/":"writing settings","/settings/reading/":"reading settings","/settings/newsletter/":"newsletter settings","/settings/performance/":"performance settings","/settings/taxonomies/category/":"site categories","/settings/taxonomies/post_tag/":"post tag","/settings/podcasting/":"podcasting","/hosting-config/":"hosting configuration","/wp-admin/options-media.php":"media settings","/wp-admin/edit.php?post_type=jetpack-testimonial":"testimonials","/wp-admin/edit.php?post_type=page":"pages","/wp-admin/edit.php?post_type=feedback":"feedback form","/wp-admin/edit.php":"posts","/wp-admin/post-new.php?post_type=jetpack-testimonial":"new testimonial","/wp-admin/post-new.php?post_type=page":"new page","/wp-admin/post-new.php":"new post","/wp-admin/admin.php?page=akismet-key-config":"site spam","/wp-admin/admin.php?page=jetpack-search":"jetpack search","/wp-admin/admin.php?page=polls":"crowdsignal","/wp-admin/admin.php?page=ratings":"ratings","/wp-admin/options-general.php?page=debug-bar-extender":"debug bar extender","/wp-admin/index.php?page=my-blogs":"my sites","/read/conversations":"conversations","/read/notifications":"notifications","/read/subscriptions":"manage subscriptions","/read/list":"reader list","/read/search":"search","/read":"reader","/discover":"discover blogs","/tags":"tags","/sites":"manage sites","/marketing/tools/":"marketing tools","/marketing/traffic/":"traffic","/marketing/connections/":"connections","/marketing/sharing-buttons/":"social share","/marketing/business-tools/":"business tools","/earn/":"monetize","/advertising/":"advertising","/import/":"import","/export/":"export"}');

/***/ }),

/***/ 37891:
/***/ ((module) => {

"use strict";
module.exports = /*#__PURE__*/JSON.parse('{"af":{"value":2,"langSlug":"af","name":"Afrikaans","wpLocale":"af","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["002"]},"als":{"value":418,"langSlug":"als","name":"Alemannisch","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["155"]},"am":{"value":481,"langSlug":"am","name":"አማርኛ","wpLocale":"am","parentLangSlug":null,"calypsoPercentTranslated":1,"isTranslatedIncompletely":true,"territories":["002"]},"an":{"value":485,"langSlug":"an","name":"Aragonés","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":2,"isTranslatedIncompletely":true,"territories":[]},"ar":{"value":3,"langSlug":"ar","name":"العربية","wpLocale":"ar","parentLangSlug":null,"calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["145","002"],"rtl":true,"popular":16},"arc":{"value":419,"langSlug":"arc","name":"ܕܥܒܪܸܝܛ","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["145"]},"as":{"value":4,"langSlug":"as","name":"অসমীয়া","wpLocale":"as","parentLangSlug":null,"calypsoPercentTranslated":4,"isTranslatedIncompletely":true,"territories":["034"]},"ast":{"value":420,"langSlug":"ast","name":"Asturianu","wpLocale":"ast","parentLangSlug":null,"calypsoPercentTranslated":4,"isTranslatedIncompletely":true,"territories":["039"]},"av":{"value":421,"langSlug":"av","name":"авар мацӀ","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["151"]},"ay":{"value":422,"langSlug":"ay","name":"aymar aru","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["019"]},"az":{"value":79,"langSlug":"az","name":"Azərbaycan dili","wpLocale":"az","parentLangSlug":null,"calypsoPercentTranslated":21,"isTranslatedIncompletely":true,"territories":["145"]},"ba":{"value":423,"langSlug":"ba","name":"башҡорт теле","wpLocale":"ba","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["151"]},"bel":{"value":5,"langSlug":"bel","name":"Беларуская мова","wpLocale":"bel","parentLangSlug":null,"calypsoPercentTranslated":4,"isTranslatedIncompletely":true,"territories":["151"]},"bg":{"value":6,"langSlug":"bg","name":"Български","wpLocale":"bg_BG","parentLangSlug":null,"calypsoPercentTranslated":18,"isTranslatedIncompletely":true,"territories":["151"]},"bm":{"value":7,"langSlug":"bm","name":"Bamanankan","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["002"]},"bn":{"value":8,"langSlug":"bn","name":"বাংলা","wpLocale":"bn_BD","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["034"]},"bo":{"value":9,"langSlug":"bo","name":"བོད་སྐད","wpLocale":"bo","parentLangSlug":null,"calypsoPercentTranslated":4,"isTranslatedIncompletely":true,"territories":["030"]},"br":{"value":424,"langSlug":"br","name":"Brezhoneg","wpLocale":"bre","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["155"]},"bs":{"value":454,"langSlug":"bs","name":"Bosanski","wpLocale":"bs_BA","parentLangSlug":null,"calypsoPercentTranslated":9,"isTranslatedIncompletely":true,"territories":["039"]},"ca":{"value":10,"langSlug":"ca","name":"Català","wpLocale":"ca","parentLangSlug":null,"calypsoPercentTranslated":12,"isTranslatedIncompletely":true,"territories":["039"]},"ce":{"value":425,"langSlug":"ce","name":"Нохчийн мотт","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["151"]},"ckb":{"value":41,"langSlug":"ckb","name":"كوردی‎","wpLocale":"ckb","parentLangSlug":null,"calypsoPercentTranslated":6,"isTranslatedIncompletely":true,"territories":["145","034"],"rtl":true},"cs":{"value":11,"langSlug":"cs","name":"Čeština","wpLocale":"cs_CZ","parentLangSlug":null,"calypsoPercentTranslated":36,"isTranslatedIncompletely":true,"territories":["151"]},"csb":{"value":12,"langSlug":"csb","name":"Kaszëbsczi","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["151"]},"cv":{"value":426,"langSlug":"cv","name":"чӑваш чӗлхи","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":28,"isTranslatedIncompletely":true,"territories":["151"]},"cy":{"value":13,"langSlug":"cy","name":"Cymraeg","wpLocale":"cy","parentLangSlug":null,"calypsoPercentTranslated":12,"isTranslatedIncompletely":true,"territories":["154"]},"da":{"value":14,"langSlug":"da","name":"Dansk","wpLocale":"da_DK","parentLangSlug":null,"calypsoPercentTranslated":9,"isTranslatedIncompletely":true,"territories":["154"]},"de":{"value":15,"langSlug":"de","name":"Deutsch","wpLocale":"de_DE","parentLangSlug":null,"calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["155"],"popular":4},"de-ch":{"value":903,"langSlug":"de-ch","name":"Deutsch (Schweiz)","wpLocale":"de_CH","parentLangSlug":"de","calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["155"]},"de_formal":{"value":900,"langSlug":"de_formal","name":"Deutsch (Sie)","wpLocale":"de","parentLangSlug":"de","calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["155"]},"dv":{"value":427,"langSlug":"dv","name":"ދިވެހި","wpLocale":"dv","parentLangSlug":null,"calypsoPercentTranslated":1,"isTranslatedIncompletely":true,"territories":["034"],"rtl":true},"dz":{"value":16,"langSlug":"dz","name":"ཇོང་ཁ","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["034"]},"el":{"value":17,"langSlug":"el","name":"Ελληνικά","wpLocale":"el","parentLangSlug":null,"calypsoPercentTranslated":23,"isTranslatedIncompletely":true,"territories":["039"]},"el-po":{"value":468,"langSlug":"el-po","name":"Greek (Polytonic)","wpLocale":"el","parentLangSlug":null,"calypsoPercentTranslated":56,"isTranslatedIncompletely":true,"territories":["039"]},"en":{"value":1,"langSlug":"en","name":"English","wpLocale":"en_US","parentLangSlug":null,"calypsoPercentTranslated":100,"isTranslatedIncompletely":false,"territories":["019"],"popular":1},"en-gb":{"value":482,"langSlug":"en-gb","name":"English (UK)","wpLocale":"en_GB","parentLangSlug":null,"calypsoPercentTranslated":15,"isTranslatedIncompletely":false,"territories":["154"]},"eo":{"value":18,"langSlug":"eo","name":"Esperanto","wpLocale":"eo","parentLangSlug":null,"calypsoPercentTranslated":11,"isTranslatedIncompletely":true,"territories":[]},"es":{"value":19,"langSlug":"es","name":"Español","wpLocale":"es_ES","parentLangSlug":null,"calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["019","039"],"popular":2},"es-cl":{"value":484,"langSlug":"es-cl","name":"Español de Chile","wpLocale":"es_CL","parentLangSlug":"es","calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["019"]},"es-mx":{"value":902,"langSlug":"es-mx","name":"Español de México","wpLocale":"es_MX","parentLangSlug":"es","calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["019"]},"et":{"value":20,"langSlug":"et","name":"Eesti","wpLocale":"et","parentLangSlug":null,"calypsoPercentTranslated":9,"isTranslatedIncompletely":true,"territories":["154"]},"eu":{"value":429,"langSlug":"eu","name":"Euskara","wpLocale":"eu","parentLangSlug":null,"calypsoPercentTranslated":6,"isTranslatedIncompletely":true,"territories":["039"]},"fa":{"value":21,"langSlug":"fa","name":"فارسی","wpLocale":"fa_IR","parentLangSlug":null,"calypsoPercentTranslated":38,"isTranslatedIncompletely":true,"territories":["034"],"rtl":true},"fi":{"value":22,"langSlug":"fi","name":"Suomi","wpLocale":"fi","parentLangSlug":null,"calypsoPercentTranslated":15,"isTranslatedIncompletely":true,"territories":["154"]},"fo":{"value":23,"langSlug":"fo","name":"Føroyskt","wpLocale":"fo","parentLangSlug":null,"calypsoPercentTranslated":3,"isTranslatedIncompletely":true,"territories":["154"]},"fr":{"value":24,"langSlug":"fr","name":"Français","wpLocale":"fr_FR","parentLangSlug":null,"calypsoPercentTranslated":98,"isTranslatedIncompletely":false,"territories":["155"],"popular":5},"fr-be":{"value":478,"langSlug":"fr-be","name":"Français de Belgique","wpLocale":"fr_BE","parentLangSlug":"fr","calypsoPercentTranslated":98,"isTranslatedIncompletely":false,"territories":["155"]},"fr-ca":{"value":475,"langSlug":"fr-ca","name":"Français du Canada","wpLocale":"fr_CA","parentLangSlug":"fr","calypsoPercentTranslated":98,"isTranslatedIncompletely":false,"territories":["019"]},"fr-ch":{"value":474,"langSlug":"fr-ch","name":"Français de Suisse","wpLocale":"","parentLangSlug":"fr","calypsoPercentTranslated":98,"isTranslatedIncompletely":false,"territories":["155"]},"fur":{"value":25,"langSlug":"fur","name":"Friulian","wpLocale":"fur","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["039"]},"fy":{"value":26,"langSlug":"fy","name":"Frysk","wpLocale":"fy","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["155"]},"ga":{"value":27,"langSlug":"ga","name":"Gaelige","wpLocale":"ga","parentLangSlug":null,"calypsoPercentTranslated":12,"isTranslatedIncompletely":true,"territories":["154"]},"gd":{"value":476,"langSlug":"gd","name":"Gàidhlig","wpLocale":"gd","parentLangSlug":null,"calypsoPercentTranslated":12,"isTranslatedIncompletely":true,"territories":["154"]},"gl":{"value":457,"langSlug":"gl","name":"Galego","wpLocale":"gl_ES","parentLangSlug":null,"calypsoPercentTranslated":13,"isTranslatedIncompletely":true,"territories":["039"]},"gn":{"value":430,"langSlug":"gn","name":"Avañe\'ẽ","wpLocale":"gn","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["019"]},"gu":{"value":28,"langSlug":"gu","name":"ગુજરાતી","wpLocale":"gu","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["034"]},"he":{"value":29,"langSlug":"he","name":"עִבְרִית","wpLocale":"he_IL","parentLangSlug":null,"calypsoPercentTranslated":97,"isTranslatedIncompletely":false,"territories":["145"],"rtl":true,"popular":6},"hi":{"value":30,"langSlug":"hi","name":"हिन्दी","wpLocale":"hi_IN","parentLangSlug":null,"calypsoPercentTranslated":9,"isTranslatedIncompletely":true,"territories":["034"]},"hr":{"value":431,"langSlug":"hr","name":"Hrvatski","wpLocale":"hr","parentLangSlug":null,"calypsoPercentTranslated":15,"isTranslatedIncompletely":true,"territories":["039"]},"hu":{"value":31,"langSlug":"hu","name":"Magyar","wpLocale":"hu_HU","parentLangSlug":null,"calypsoPercentTranslated":26,"isTranslatedIncompletely":true,"territories":["151"]},"hy":{"value":467,"langSlug":"hy","name":"Հայերեն","wpLocale":"hy","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["145"]},"ia":{"value":32,"langSlug":"ia","name":"Interlingua","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":[]},"id":{"value":33,"langSlug":"id","name":"Bahasa Indonesia","wpLocale":"id_ID","parentLangSlug":null,"calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["035"],"popular":12},"ii":{"value":432,"langSlug":"ii","name":"ꆇꉙ","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["030"]},"ilo":{"value":469,"langSlug":"ilo","name":"Pagsasao nga Iloko","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["035"]},"is":{"value":34,"langSlug":"is","name":"Íslenska","wpLocale":"is_IS","parentLangSlug":null,"calypsoPercentTranslated":14,"isTranslatedIncompletely":true,"territories":["154"]},"it":{"value":35,"langSlug":"it","name":"Italiano","wpLocale":"it_IT","parentLangSlug":null,"calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["039"],"popular":8},"ja":{"value":36,"langSlug":"ja","name":"日本語","wpLocale":"ja","parentLangSlug":null,"calypsoPercentTranslated":98,"isTranslatedIncompletely":false,"territories":["030"],"popular":7},"ka":{"value":37,"langSlug":"ka","name":"ქართული","wpLocale":"ka_GE","parentLangSlug":null,"calypsoPercentTranslated":6,"isTranslatedIncompletely":true,"territories":["145"]},"kab":{"value":488,"langSlug":"kab","name":"Taqbaylit","wpLocale":"kab","parentLangSlug":null,"calypsoPercentTranslated":24,"isTranslatedIncompletely":true,"territories":["002"]},"kir":{"value":479,"langSlug":"kir","name":"Кыргызча","wpLocale":"kir","parentLangSlug":null,"calypsoPercentTranslated":3,"isTranslatedIncompletely":true,"territories":["143"]},"kk":{"value":462,"langSlug":"kk","name":"Қазақ тілі","wpLocale":"kk","parentLangSlug":null,"calypsoPercentTranslated":4,"isTranslatedIncompletely":true,"territories":["143"]},"km":{"value":38,"langSlug":"km","name":"ភាសាខ្មែរ","wpLocale":"km","parentLangSlug":null,"calypsoPercentTranslated":7,"isTranslatedIncompletely":true,"territories":["035"]},"kn":{"value":39,"langSlug":"kn","name":"ಕನ್ನಡ","wpLocale":"kn","parentLangSlug":null,"calypsoPercentTranslated":2,"isTranslatedIncompletely":true,"territories":["034"]},"ko":{"value":40,"langSlug":"ko","name":"한국어","wpLocale":"ko_KR","parentLangSlug":null,"calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["030"],"popular":15},"ks":{"value":433,"langSlug":"ks","name":"कश्मीरी","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["034"]},"kv":{"value":434,"langSlug":"kv","name":"Коми","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["151"]},"la":{"value":42,"langSlug":"la","name":"Latine","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["039"]},"li":{"value":43,"langSlug":"li","name":"Limburgs","wpLocale":"li","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["155"]},"lo":{"value":44,"langSlug":"lo","name":"ພາສາລາວ","wpLocale":"lo","parentLangSlug":null,"calypsoPercentTranslated":3,"isTranslatedIncompletely":true,"territories":["035"]},"lt":{"value":45,"langSlug":"lt","name":"Lietuvių kalba","wpLocale":"lt_LT","parentLangSlug":null,"calypsoPercentTranslated":20,"isTranslatedIncompletely":true,"territories":["154"]},"lv":{"value":453,"langSlug":"lv","name":"Latviešu valoda","wpLocale":"lv","parentLangSlug":null,"calypsoPercentTranslated":15,"isTranslatedIncompletely":true,"territories":["154"]},"mk":{"value":435,"langSlug":"mk","name":"Македонски јазик","wpLocale":"mk_MK","parentLangSlug":null,"calypsoPercentTranslated":6,"isTranslatedIncompletely":true,"territories":["039"]},"ml":{"value":46,"langSlug":"ml","name":"മലയാളം","wpLocale":"ml_IN","parentLangSlug":null,"calypsoPercentTranslated":4,"isTranslatedIncompletely":true,"territories":["034"]},"mn":{"value":472,"langSlug":"mn","name":"Монгол","wpLocale":"mn","parentLangSlug":null,"calypsoPercentTranslated":23,"isTranslatedIncompletely":true,"territories":["030"]},"mr":{"value":461,"langSlug":"mr","name":"मराठी","wpLocale":"mr","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["034"]},"ms":{"value":47,"langSlug":"ms","name":"Bahasa Melayu","wpLocale":"ms_MY","parentLangSlug":null,"calypsoPercentTranslated":6,"isTranslatedIncompletely":true,"territories":["035"]},"mt":{"value":465,"langSlug":"mt","name":"Malti","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["039"]},"mwl":{"value":464,"langSlug":"mwl","name":"Mirandés","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":2,"isTranslatedIncompletely":true,"territories":["039"]},"nah":{"value":436,"langSlug":"nah","name":"Nahuatl","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["019"]},"nap":{"value":437,"langSlug":"nap","name":"Nnapulitano","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["039"]},"nds":{"value":48,"langSlug":"nds","name":"Plattdüütsch","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["155"]},"ne":{"value":456,"langSlug":"ne","name":"नेपाली","wpLocale":"ne_NP","parentLangSlug":null,"calypsoPercentTranslated":4,"isTranslatedIncompletely":true,"territories":["034"]},"nl":{"value":49,"langSlug":"nl","name":"Nederlands","wpLocale":"nl_NL","parentLangSlug":null,"calypsoPercentTranslated":98,"isTranslatedIncompletely":false,"territories":["155"],"popular":9},"nl_formal":{"value":904,"langSlug":"nl_formal","name":"Nederlands (U)","wpLocale":"nl","parentLangSlug":"nl","calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["155"]},"nn":{"value":50,"langSlug":"nn","name":"Norsk nynorsk","wpLocale":"nn_NO","parentLangSlug":null,"calypsoPercentTranslated":13,"isTranslatedIncompletely":true,"territories":["154"]},"nb":{"value":51,"langSlug":"nb","name":"Norsk bokmål","wpLocale":"nb_NO","parentLangSlug":null,"calypsoPercentTranslated":53,"isTranslatedIncompletely":true,"territories":["154"]},"non":{"value":52,"langSlug":"non","name":"Norrǿna","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["154"]},"nv":{"value":53,"langSlug":"nv","name":"Diné bizaad","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["019"]},"oci":{"value":54,"langSlug":"oci","name":"Occitan","wpLocale":"oci","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["155"]},"or":{"value":55,"langSlug":"or","name":"ଓଡ଼ିଆ","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["034"]},"os":{"value":56,"langSlug":"os","name":"Ирон","wpLocale":"os","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["145"]},"pa":{"value":57,"langSlug":"pa","name":"ਪੰਜਾਬੀ","wpLocale":"pa_IN","parentLangSlug":null,"calypsoPercentTranslated":22,"isTranslatedIncompletely":true,"territories":["034"]},"pl":{"value":58,"langSlug":"pl","name":"Polski","wpLocale":"pl_PL","parentLangSlug":null,"calypsoPercentTranslated":26,"isTranslatedIncompletely":true,"territories":["151"]},"ps":{"value":59,"langSlug":"ps","name":"پښتو","wpLocale":"ps","parentLangSlug":null,"calypsoPercentTranslated":3,"isTranslatedIncompletely":true,"territories":["034"],"rtl":true},"pt":{"value":60,"langSlug":"pt","name":"Português","wpLocale":"pt_PT","parentLangSlug":null,"calypsoPercentTranslated":19,"isTranslatedIncompletely":true,"territories":["039"]},"pt-br":{"value":438,"langSlug":"pt-br","name":"Português do Brasil","wpLocale":"pt_BR","parentLangSlug":null,"calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["019"],"popular":3},"qu":{"value":439,"langSlug":"qu","name":"Runa Simi","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["019"]},"ro":{"value":61,"langSlug":"ro","name":"Română","wpLocale":"ro_RO","parentLangSlug":null,"calypsoPercentTranslated":100,"isTranslatedIncompletely":false,"territories":["151"]},"ru":{"value":62,"langSlug":"ru","name":"Русский","wpLocale":"ru_RU","parentLangSlug":null,"calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["151"],"popular":10},"rup":{"value":483,"langSlug":"rup","name":"Armãneashce","wpLocale":"rup_MK","parentLangSlug":null,"calypsoPercentTranslated":1,"isTranslatedIncompletely":true,"territories":["151"]},"sc":{"value":63,"langSlug":"sc","name":"Sardu","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["039"]},"si":{"value":471,"langSlug":"si","name":"සිංහල","wpLocale":"si_LK","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["034"]},"sk":{"value":64,"langSlug":"sk","name":"Slovenčina","wpLocale":"sk_SK","parentLangSlug":null,"calypsoPercentTranslated":10,"isTranslatedIncompletely":true,"territories":["151"]},"skr":{"value":486,"langSlug":"skr","name":"Saraiki","wpLocale":"skr","parentLangSlug":null,"calypsoPercentTranslated":68,"isTranslatedIncompletely":true,"territories":["034"]},"sl":{"value":65,"langSlug":"sl","name":"Slovenščina","wpLocale":"sl_SI","parentLangSlug":null,"calypsoPercentTranslated":8,"isTranslatedIncompletely":true,"territories":["039"]},"snd":{"value":440,"langSlug":"snd","name":"سنڌي","wpLocale":"snd","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["034"]},"so":{"value":459,"langSlug":"so","name":"Afsoomaali","wpLocale":"so_SO","parentLangSlug":null,"calypsoPercentTranslated":3,"isTranslatedIncompletely":true,"territories":["002"]},"sq":{"value":66,"langSlug":"sq","name":"Shqip","wpLocale":"sq","parentLangSlug":null,"calypsoPercentTranslated":50,"isTranslatedIncompletely":true,"territories":["039"]},"sr":{"value":67,"langSlug":"sr","name":"Српски језик","wpLocale":"sr_RS","parentLangSlug":null,"calypsoPercentTranslated":10,"isTranslatedIncompletely":true,"territories":["039"]},"sr_latin":{"value":901,"langSlug":"sr_latin","name":"Srpski (latinica)","wpLocale":"sr","parentLangSlug":"sr","calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["039"]},"su":{"value":441,"langSlug":"su","name":"Basa Sunda","wpLocale":"su_ID","parentLangSlug":null,"calypsoPercentTranslated":3,"isTranslatedIncompletely":true,"territories":["035"]},"sv":{"value":68,"langSlug":"sv","name":"Svenska","wpLocale":"sv_SE","parentLangSlug":null,"calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["154"],"popular":17},"ta":{"value":69,"langSlug":"ta","name":"தமிழ்","wpLocale":"ta_IN","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["034","035"]},"te":{"value":70,"langSlug":"te","name":"తెలుగు","wpLocale":"te","parentLangSlug":null,"calypsoPercentTranslated":16,"isTranslatedIncompletely":true,"territories":["034"]},"th":{"value":71,"langSlug":"th","name":"ไทย","wpLocale":"th","parentLangSlug":null,"calypsoPercentTranslated":9,"isTranslatedIncompletely":true,"territories":["035"]},"tir":{"value":480,"langSlug":"tir","name":"ትግርኛ","wpLocale":"tir","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["002"]},"tl":{"value":455,"langSlug":"tl","name":"Tagalog","wpLocale":"tl","parentLangSlug":null,"calypsoPercentTranslated":6,"isTranslatedIncompletely":true,"territories":["035"]},"tr":{"value":78,"langSlug":"tr","name":"Türkçe","wpLocale":"tr_TR","parentLangSlug":null,"calypsoPercentTranslated":99,"isTranslatedIncompletely":false,"territories":["145"],"popular":11},"tt":{"value":72,"langSlug":"tt","name":"Татар теле","wpLocale":"tt_RU","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["151"]},"ty":{"value":442,"langSlug":"ty","name":"Reo Mā`ohi","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["009"]},"udm":{"value":443,"langSlug":"udm","name":"Удмурт кыл","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["151"]},"ug":{"value":444,"langSlug":"ug","name":"Uyƣurqə","wpLocale":"ug_CN","parentLangSlug":null,"calypsoPercentTranslated":6,"isTranslatedIncompletely":true,"territories":["030"]},"uk":{"value":73,"langSlug":"uk","name":"Українська","wpLocale":"uk","parentLangSlug":null,"calypsoPercentTranslated":16,"isTranslatedIncompletely":true,"territories":["151"]},"ur":{"value":74,"langSlug":"ur","name":"اردو","wpLocale":"ur","parentLangSlug":null,"calypsoPercentTranslated":12,"isTranslatedIncompletely":true,"territories":["034"],"rtl":true},"uz":{"value":458,"langSlug":"uz","name":"O‘zbekcha","wpLocale":"uz_UZ","parentLangSlug":null,"calypsoPercentTranslated":5,"isTranslatedIncompletely":true,"territories":["143"]},"vec":{"value":445,"langSlug":"vec","name":"Vèneta","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["039"]},"vi":{"value":446,"langSlug":"vi","name":"Tiếng Việt","wpLocale":"vi","parentLangSlug":null,"calypsoPercentTranslated":23,"isTranslatedIncompletely":true,"territories":["035"]},"wa":{"value":75,"langSlug":"wa","name":"Walon","wpLocale":"wa","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["155"]},"xal":{"value":447,"langSlug":"xal","name":"Хальмг","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["143"]},"yi":{"value":76,"langSlug":"yi","name":"ייִדיש","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":[]},"yo":{"value":477,"langSlug":"yo","name":"èdè Yorùbá","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["002"]},"za":{"value":448,"langSlug":"za","name":"(Cuengh)","wpLocale":"","parentLangSlug":null,"calypsoPercentTranslated":0,"isTranslatedIncompletely":true,"territories":["030"]},"zh-cn":{"value":449,"langSlug":"zh-cn","name":"简体中文","wpLocale":"zh_CN","parentLangSlug":null,"calypsoPercentTranslated":98,"isTranslatedIncompletely":false,"territories":["030"],"popular":13},"zh-hk":{"value":487,"langSlug":"zh-hk","name":"香港中文版","wpLocale":"zh_HK","parentLangSlug":null,"calypsoPercentTranslated":70,"isTranslatedIncompletely":true,"territories":["030"]},"zh-sg":{"value":489,"langSlug":"zh-sg","name":"中文","wpLocale":"zh_SG","parentLangSlug":"zh-cn","calypsoPercentTranslated":98,"isTranslatedIncompletely":false,"territories":["035"]},"zh-tw":{"value":452,"langSlug":"zh-tw","name":"繁體中文","wpLocale":"zh_TW","parentLangSlug":null,"calypsoPercentTranslated":98,"isTranslatedIncompletely":false,"territories":["030"],"popular":14}}');

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = __webpack_modules__;
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/ensure chunk */
/******/ 	(() => {
/******/ 		__webpack_require__.f = {};
/******/ 		// This file contains only the entry chunk.
/******/ 		// The chunk loading function for additional chunks
/******/ 		__webpack_require__.e = (chunkId) => {
/******/ 			return Promise.all(Object.keys(__webpack_require__.f).reduce((promises, key) => {
/******/ 				__webpack_require__.f[key](chunkId, promises);
/******/ 				return promises;
/******/ 			}, []));
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/get javascript chunk filename */
/******/ 	(() => {
/******/ 		// This function allow to reference async chunks
/******/ 		__webpack_require__.u = (chunkId) => {
/******/ 			// return url for filenames based on template
/******/ 			return "" + {"189":"lib-analytics-ad-tracking-record-alias-in-floodlight","568":"wpcom-xhr-request"}[chunkId] + ".min.js";
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/get mini-css chunk filename */
/******/ 	(() => {
/******/ 		// This function allow to reference all chunks
/******/ 		__webpack_require__.miniCssF = (chunkId) => {
/******/ 			// return url for filenames based on template
/******/ 			return "" + "help-center" + ".css";
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/get mini-css chunk filename with rtl */
/******/ 	(() => {
/******/ 		__webpack_require__.miniCssF = (
/******/ 					(originalFn) => ((chunkId) => {
/******/ 				var isCssRtlEnabled = document.dir === 'rtl';
/******/ 				var originalUrl = originalFn(chunkId);
/******/ 				return isCssRtlEnabled ? originalUrl.replace(".css",".rtl.css") : originalUrl;
/******/ 		})
/******/ 				)(__webpack_require__.miniCssF)
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/global */
/******/ 	(() => {
/******/ 		__webpack_require__.g = (function() {
/******/ 			if (typeof globalThis === 'object') return globalThis;
/******/ 			try {
/******/ 				return this || new Function('return this')();
/******/ 			} catch (e) {
/******/ 				if (typeof window === 'object') return window;
/******/ 			}
/******/ 		})();
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/load script */
/******/ 	(() => {
/******/ 		var inProgress = {};
/******/ 		var dataWebpackPrefix = "EditingToolkit:";
/******/ 		// loadScript function to load a script via script tag
/******/ 		__webpack_require__.l = (url, done, key, chunkId) => {
/******/ 			if(inProgress[url]) { inProgress[url].push(done); return; }
/******/ 			var script, needAttach;
/******/ 			if(key !== undefined) {
/******/ 				var scripts = document.getElementsByTagName("script");
/******/ 				for(var i = 0; i < scripts.length; i++) {
/******/ 					var s = scripts[i];
/******/ 					if(s.getAttribute("src") == url || s.getAttribute("data-webpack") == dataWebpackPrefix + key) { script = s; break; }
/******/ 				}
/******/ 			}
/******/ 			if(!script) {
/******/ 				needAttach = true;
/******/ 				script = document.createElement('script');
/******/ 		
/******/ 				script.charset = 'utf-8';
/******/ 				script.timeout = 120;
/******/ 				if (__webpack_require__.nc) {
/******/ 					script.setAttribute("nonce", __webpack_require__.nc);
/******/ 				}
/******/ 				script.setAttribute("data-webpack", dataWebpackPrefix + key);
/******/ 		
/******/ 				script.src = url;
/******/ 			}
/******/ 			inProgress[url] = [done];
/******/ 			var onScriptComplete = (prev, event) => {
/******/ 				// avoid mem leaks in IE.
/******/ 				script.onerror = script.onload = null;
/******/ 				clearTimeout(timeout);
/******/ 				var doneFns = inProgress[url];
/******/ 				delete inProgress[url];
/******/ 				script.parentNode && script.parentNode.removeChild(script);
/******/ 				doneFns && doneFns.forEach((fn) => (fn(event)));
/******/ 				if(prev) return prev(event);
/******/ 			}
/******/ 			var timeout = setTimeout(onScriptComplete.bind(null, undefined, { type: 'timeout', target: script }), 120000);
/******/ 			script.onerror = onScriptComplete.bind(null, script.onerror);
/******/ 			script.onload = onScriptComplete.bind(null, script.onload);
/******/ 			needAttach && document.head.appendChild(script);
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/publicPath */
/******/ 	(() => {
/******/ 		var scriptUrl;
/******/ 		if (__webpack_require__.g.importScripts) scriptUrl = __webpack_require__.g.location + "";
/******/ 		var document = __webpack_require__.g.document;
/******/ 		if (!scriptUrl && document) {
/******/ 			if (document.currentScript)
/******/ 				scriptUrl = document.currentScript.src;
/******/ 			if (!scriptUrl) {
/******/ 				var scripts = document.getElementsByTagName("script");
/******/ 				if(scripts.length) {
/******/ 					var i = scripts.length - 1;
/******/ 					while (i > -1 && (!scriptUrl || !/^http(s?):/.test(scriptUrl))) scriptUrl = scripts[i--].src;
/******/ 				}
/******/ 			}
/******/ 		}
/******/ 		// When supporting browsers where an automatic publicPath is not supported you must specify an output.publicPath manually via configuration
/******/ 		// or pass an empty string ("") and set the __webpack_public_path__ variable from your code to use your own logic.
/******/ 		if (!scriptUrl) throw new Error("Automatic publicPath is not supported in this browser");
/******/ 		scriptUrl = scriptUrl.replace(/#.*$/, "").replace(/\?.*$/, "").replace(/\/[^\/]+$/, "/");
/******/ 		__webpack_require__.p = scriptUrl;
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/jsonp chunk loading */
/******/ 	(() => {
/******/ 		// no baseURI
/******/ 		
/******/ 		// object to store loaded and loading chunks
/******/ 		// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 		// [resolve, reject, Promise] = chunk loading, 0 = chunk loaded
/******/ 		var installedChunks = {
/******/ 			900: 0
/******/ 		};
/******/ 		
/******/ 		__webpack_require__.f.j = (chunkId, promises) => {
/******/ 				// JSONP chunk loading for javascript
/******/ 				var installedChunkData = __webpack_require__.o(installedChunks, chunkId) ? installedChunks[chunkId] : undefined;
/******/ 				if(installedChunkData !== 0) { // 0 means "already installed".
/******/ 		
/******/ 					// a Promise means "currently loading".
/******/ 					if(installedChunkData) {
/******/ 						promises.push(installedChunkData[2]);
/******/ 					} else {
/******/ 						if(true) { // all chunks have JS
/******/ 							// setup Promise in chunk cache
/******/ 							var promise = new Promise((resolve, reject) => (installedChunkData = installedChunks[chunkId] = [resolve, reject]));
/******/ 							promises.push(installedChunkData[2] = promise);
/******/ 		
/******/ 							// start chunk loading
/******/ 							var url = __webpack_require__.p + __webpack_require__.u(chunkId);
/******/ 							// create error before stack unwound to get useful stacktrace later
/******/ 							var error = new Error();
/******/ 							var loadingEnded = (event) => {
/******/ 								if(__webpack_require__.o(installedChunks, chunkId)) {
/******/ 									installedChunkData = installedChunks[chunkId];
/******/ 									if(installedChunkData !== 0) installedChunks[chunkId] = undefined;
/******/ 									if(installedChunkData) {
/******/ 										var errorType = event && (event.type === 'load' ? 'missing' : event.type);
/******/ 										var realSrc = event && event.target && event.target.src;
/******/ 										error.message = 'Loading chunk ' + chunkId + ' failed.\n(' + errorType + ': ' + realSrc + ')';
/******/ 										error.name = 'ChunkLoadError';
/******/ 										error.type = errorType;
/******/ 										error.request = realSrc;
/******/ 										installedChunkData[1](error);
/******/ 									}
/******/ 								}
/******/ 							};
/******/ 							__webpack_require__.l(url, loadingEnded, "chunk-" + chunkId, chunkId);
/******/ 						}
/******/ 					}
/******/ 				}
/******/ 		};
/******/ 		
/******/ 		// no prefetching
/******/ 		
/******/ 		// no preloaded
/******/ 		
/******/ 		// no HMR
/******/ 		
/******/ 		// no HMR manifest
/******/ 		
/******/ 		// no on chunks loaded
/******/ 		
/******/ 		// install a JSONP callback for chunk loading
/******/ 		var webpackJsonpCallback = (parentChunkLoadingFunction, data) => {
/******/ 			var [chunkIds, moreModules, runtime] = data;
/******/ 			// add "moreModules" to the modules object,
/******/ 			// then flag all "chunkIds" as loaded and fire callback
/******/ 			var moduleId, chunkId, i = 0;
/******/ 			if(chunkIds.some((id) => (installedChunks[id] !== 0))) {
/******/ 				for(moduleId in moreModules) {
/******/ 					if(__webpack_require__.o(moreModules, moduleId)) {
/******/ 						__webpack_require__.m[moduleId] = moreModules[moduleId];
/******/ 					}
/******/ 				}
/******/ 				if(runtime) var result = runtime(__webpack_require__);
/******/ 			}
/******/ 			if(parentChunkLoadingFunction) parentChunkLoadingFunction(data);
/******/ 			for(;i < chunkIds.length; i++) {
/******/ 				chunkId = chunkIds[i];
/******/ 				if(__webpack_require__.o(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 					installedChunks[chunkId][0]();
/******/ 				}
/******/ 				installedChunks[chunkId] = 0;
/******/ 			}
/******/ 		
/******/ 		}
/******/ 		
/******/ 		var chunkLoadingGlobal = globalThis["webpackChunkwebpack"] = globalThis["webpackChunkwebpack"] || [];
/******/ 		chunkLoadingGlobal.forEach(webpackJsonpCallback.bind(null, 0));
/******/ 		chunkLoadingGlobal.push = webpackJsonpCallback.bind(null, chunkLoadingGlobal.push.bind(chunkLoadingGlobal));
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be in strict mode.
(() => {
"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _src_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(85534);
/* harmony import */ var _src_config__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_src_config__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _automattic_data_stores__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(86811);
/* harmony import */ var _src_help_center__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(39681);
/* harmony import */ var _src_help_center_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(45771);
/* harmony import */ var _src_admin_bar__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(43481);





_automattic_data_stores__WEBPACK_IMPORTED_MODULE_4__/* .register */ .k();
})();

window.EditingToolkit = __webpack_exports__;
/******/ })()
;